"use strict";
this.name = "RandomStationNames";
this.author = "LittleBear";
this.copyright = "This script is hereby placed in the public domain.";
this.description = "World Script for The Galactic Almanac OXZ - Version 0.92 - Script is Identified as RandomStationNames in Logs";
this.version = "0.92";
this.licence = "CC BY-NC-SA 4.0";

// The Galactic Almanac OXZ Script. Version 0.92. Released : 12/08/23.

// Name Arrays Start HERE!
// Name Array for Main Stations. (Number of Names in Array: 2,048).
//  This Array holds the names for all the 2,048 Main Stations in the game in the Array called main. 
//  The array is read by System Number, which is advanced by 256 per Galaxy so that all the names are used without repetition.
//  The names are all stored in one array, but entries 1 to 256 are used for Galaxy 1, 257 to 512 for Galaxy 2 and so on.
//  Only the names for the stations present in the system the player is currently in are loaded, so only a few K of memory is actually used.
this.main = [
// Galaxy 1
"Hand of Glory", "Technological Magic", "All or Nothing", "Shadow Witch", "Checkpoint Charlie", "Code of Honour", "Fire Storm", "Avalonia Avenged", "Arc of Descent", "Rough Diamond", "Unbreakable Oath", "Wild Rosemary", "The Mad Hatter", "Paper Moon", "Red Dragon", "Scales of Justice", "Balance of Power", "Knight's Bridge", "Black Monolith", "Phantom of the Deep", "Arsenal of Freedom", "Tranquillity Base", "Lonesome Dove", "Shades of Gray", "Vailed Shadow", "Rags to Riches", "Future Tense", "Diabolical Laughter", "Displacement Tactic", "Magnum Opus", "Proving Ground", "Ultimate Finesse","Scarborough Fair", "Fire Demon", "Lore Master", "Masque of the Red Death", "Clear Air Turbulence", "Notre Dame", "Matter of Perspective", "Vogon Poetry", "Wind Walker", "Sacred Flame", "King of the Castle", "Raccoon City", "Obsidian Order", "Rule of Law", "The Red Baron", "The Riddling Sphinx", "Timely Intervention", "Fareie Fire", "Storm Rider", "Slanted Moonbeam", "Pale Nova", "Sleep of the Just", "Bearded Devil", "Leesti High", "Dark Mantle", "Sting in the Tail", "Dutch Auction", "Quality of Life" , "The Last Laugh", "Rallying Call", "Strictly Ballroom", "Valley of Plenty", "Light Bringer", "Pillars of Creation", "Neuromancer Rising", "Silver Blaze", "Angular Momentum", "Spoils of War", "Sweet Sorrow", "Star Fox", "Cosmic Chessboard", "Angel Heart", "Sacred Ground", "Iron Curtain", "Voodoo Child", "Human Nature", "Rolling Thunder", "Worst Case Scenario", "Path of the Shell", "Rising Storm", "Random Thoughts", "Better than Life", "Mortal Coil", "Vanilla Sky", "Frank Exchange of Views", "Awkward Moment", "Social Inertia", "Zodiacal Light", "Pale Captain", "Waking Moments", "Absolution Day", "Out of the Loop", "Star Shepheard", "Veiled Lady","Galactic Prince", "Queen of Shadows", "Fiscal Policy", "Out of Time", "Glimpse of Rita", "Red Dawn", "Quantum of Solace", "Latent Image", "Farewell to Arms", "Dark Nebula", "The Cultured Jester", "Morning Star", "Phoenix Nights", "Soul of Discretion", "Shades of Morality", "Altered Beast", "Fair Haven", "Waxing Power", "Consumer Confidence", "The Geoffrey Boycott", "Internal Reflection", "Sympathetic Devil", "Welsh Dragon", "Natural Law", "The Nine Dancers", "Frost Drake", "Golden Eagle", "Travelling Hopefully", "Danse Macabre", "Beyond a Joke", "Flawed Logic", "Whale Song","Equitable Exchange", "Boogie Nights", "Trojan Horse", "Union of Worlds", "Dramatis Personae", "Promised Land", "Kindness of Strangers", "Rules of Acquisition", "Devil May Care", "Reluctant Dragon", "Eternal Sceptic", "Bad Wolf", "Oracle of Delphi", "Loss Adjuster", "Second Sight", "Bohemian Rhapsody", "Rooster Teeth", "Wishful Thinking", "Small Mercies", "Dark Moon", "Return to Grace", "Atomic Kitten", "Ice Maiden", "Circle of Iron", "Android Mother", "Force of Nature", "Baron Greenback", "Avenging Hellfire", "Edge of Perception", "Eye of the Beholder", "Champagne Socialist", "Break from Reality","First Strike Policy", "Perfect Sphere", "Glint of Laser Light", "Paradise Lost", "All Good Things", "Band of Gold", "Unvarnished Truth", "Lone Star", "Business as Usual", "Call to Arms", "Furious Purpose", "Stone Medusa", "Utopia Reclaimed", "Corporate Subterfuge", "Umber Hulk", "Hidden Funds", "Black Rain", "Highland Mist", "Rings of Saturn", "Angel of Islington", "Hollow Laughter", "Transfigured Night", "Fire Cracker", "Corporate Politics", "Vestigial Flame", "Errand of Mercy", "The Devil Rides Out", "Shadow Demon", "Eye of Jupiter", "Ascent of Man", "Stellar Serpent", "Better Part of Valor","Merchant of Venice", "General Relativity", "Shadow of Doubt", "Sea of Tranquillity", "Blue Moon", "Grapes of Wrath", "Pale Moonlight", "Handsome Devil", "Ice Spider", "Field of Fire", "Star Jewel", "Eye of Sauron", "Trick or Treat", "Forgotten Glory", "Tropic Thunder", "Wolf in the Fold", "Tapestry of Fate", "The Serpentine King", "The Wasp Factory", "Smoke Weaver", "Hopeless Romantic", "Red Harvest", "Piece of the Action", "Mischief Night", "Handful of Stardust", "Steel Dawn", "Wink of an Eye", "Stolen Dreams", "Golden Star", "Puff Adder", "Brave New World", "Weeping Angel","Drowned God", "Fading Dream", "The John Christopher", "Blue Sunshine", "Risen Sun", "House of Serpents", "Reformed Devil", "Silent Running", "Disposable Income", "Return of the King", "Beyond the Pale", "Fractured Sanity", "Earth Mother", "Before Eden", "Forbidden City", "Darting Viper", "Garden of Bones", "Waters of Life", "The Frog Star", "Bone Devil", "Quick Thinking", "Soaring Condor", "Needful Things", "River Song", "Path of the King", "Dark Queen", "Trantor Citadel", "Summer Rain", "Occam's Razor", "Thin Ice", "Iron Lady", "Serpentine Queen", 
// Galaxy 2
"Unfettered Discretion", "Scattered Starlight", "Martian Twilight", "Ice Demon", "Forest of the Night", "Prime Mover", "Stone Giant", "Fearful Symmetry", "The March Hare", "Open to Offers", "Public Domain", "Eater of Light", "The Whirling Dervish", "End of Eternity", "Temporal Vortex", "Mote in God's Eye", "Flight of Fancy", "Uncommon Valour", "Unearthly Child", "Heavenly Light", "Silicon Destiny", "Rise to Power", "Darkroot Basin", "The Electronic Monk", "Fateful Pendulum", "Time Meddler", "Altered Paragon", "Dead on the Money", "War Games", "Shoulder of Orion", "Sanity Check", "Silver Star","Cunning Plan", "Crescent Moon", "Claw of Axos", "Beneath a Ghost Moon", "Leisure Hive", "Supremely Confident", "Wandering Star", "Unwitting Accomplice", "Dawn Cherub", "Baited Breath", "Full Circle", "Wild Stallion", "Brass Monkey", "The Cruel Sea", "Absolution Gap", "The Unsleeping City", "Jack in a Box", "Home to Roost", "Celestial Dawn", "The White Knight", "Accompaniment of Shadows", "Dark Spectrum", "Reality Control", "Turquoise Days", "Corporate Agenda", "Silver Nemesis", "End of the Line", "Echo Chamber", "Absolute Zero", "World View", "Congenital Optimist", "Hidden Dragon","Tannhauser Gate", "Final Destination", "World Eater", "Beach Comber", "Prince of Ravens", "Mercantile Delights", "Dark Rainbow", "Tangible Assets", "Ugly Duckling", "Horned Devil", "Cover Story", "Arthurian Legend", "Uncertainty Principle", "Demonic Allegory", "Surfing Bird", "Twilight Years", "The Final Frontier", "Fair Maiden", "Swift to Anger", "Fantastic Idea", "The Mellow Shark", "Over the Rainbow", "Twisted Light", "Toucan Departing", "Still Waters", "Dark Matter", "Planar Magic", "Undying Night", "Critical Mass", "Cinderella Complex", "Empty Hand", "African Queen","Goat Soup", "Mirror for a Hero", "Winter Tiger", "Crouching Tiger", "Rising Star", "Just Testing", "Blame Game", "Rosetta Stone", "Fermi Paradox", "World Turtle" , "Where it All Began", "Infernal Wrath", "Stone Golem", "Shadow of Oberon", "Fire in the Blood", "Night Flyer", "Ideal World", "Gothic Fantasy", "Nature of Perfection", "Voices of Transition", "Winter of Discontent", "Unstable Element","Proud Titania", "The Deadly Goat", "Retail Therapy", "The Hypothetical Cat", "Heart of Justice", "Unearthed Truth", "Civilian Applications", "Herne the Hunter", "Tropic of Cancer", "Fire Garnet","Just Kidding", "Unoriginal Sin", "Political Menagerie", "Cold Fusion", "Alone in the Night", "Immortal Helix", "Shoulder of Orion", "Honest Mistake", "Midsummer Madness", "Devil Dog", "Ancient Stargazer", "What Lies Beneath", "Untamed Entropy", "Ice Barrier", "Infinite Darkness", "Blink Dog", "Lathe of Heaven", "Tower of London", "Clarian Call", "Strictly Business", "Gallows Humour", "Bald Eagle", "Time in Eclipse", "Uninvited Guest", "Terra Nova", "Whisper of Truth", "Tourist Trap", "Local Flavour", "Meeting of Minds", "Stone Sentinel", "Seventh Seal", "Parlour Games","Phantom Watchdog" , "Speculative Fiction", "Forged In Light", "Valley Forge", "Kiss of Death", "Hint of Venom", "Dark Omen", "Door to Forever", "Optimistic View", "Primordial Stardust", "Sound of Drums", "Chasm City", "Bucking Bronco", "Hole in the Wall", "Storm Caller", "Bleeding Edge", "The Edible Poet", "Hidden Order", "Quality Assurance", "People Power", "Elder God", "The God Catcher", "The Last Gunslinger", "Einstein's Fallacy", "Greatest of All Time", "The Nordic King", "River of Stars", "Savage Garden", "Spectral Hand", "Mother of Dragons", "Night Prince", "The Explosive Fist","Baba Yaga's Hut", "Siegfried's Bassoon", "Artistic Temperament", "Don't Tread On Me", "Cosmic Candle", "After Hours", "Depths of Madness", "The Oregon Trail", "Conquering Hero", "Rite of Passage", "Lonesome Road", "Voice of Morning", "Another Life", "Playing Politics", "Stoney Silence", "Angel of the Dawn", "Flying Carpet", "Sentience Engine", "Pursuit of Happiness", "Tangled Web", "Hooded Falcon", "Call of Cthulhu", "Keyboard Warrior", "Jealous Lover", "Voice in the Wilderness", "Amazing Grace", "Hostage to Fortune", "Celtic Queen", "Prodigal Son", "Clinical Judgement", "Tiger Shark", "Dwindling Starlight","Quality of Mercy", "Divided Loyalties", "Feathered Serpent", "Size Isn't Everything", "Point of No Return", "The Blue Carbuncle", "Shadow Dancer", "Unvarnished Truth", "Conflict of Interest", "Garden of Eden", "Dubious Profits", "House of the Mouse", "Ridge Racer", "Titus Andronicus", "Good Samaritan", "Exodus of Humanity", "White Rabbit", "Stormy Petrel", "Defender of Mankind", "Tabula Rasa", "Blue Steel", "Silver Shadow", "Ocean of Storms", "Marie Celeste", "Poetic Justice", "Visigoth Queen", "Deus Ex Machina", "Knight Lore", "Popular Culture", "Lady of Sorrows", "Costal Wizard", "Born to Run", 
// Galaxy 3
"Blood and Chrome", "Intangible Assets", "Flying Dagger", "Magnificent Desolation", "Iron Duke", "Horned God", "Lady of the Lamp", "Lord of Time", "Madonna of Wasps", "Kitty Hawk", "Glass Ballerina", "Machu Picchu", "Rainbow Serpent", "The Desert Fox", "Romantic Fiction", "Unacceptable Behaviour", "Cost of Living", "Magna Carta", "Limping Bear", "Conquest of Space", "Things to Come", "Holy Water", "Shadow of Sputnik", "Surgical Strike", "Flight of the Fallen", "Quia Emptores", "Glass Hand", "Virgin Queen", "Blood Brother", "The Mountain Queen", "Bride of Shadows", "Stranger Things", "Out of the Present", "Lateness of the Hour", "Atlantis Rising", "Wild Fire", "Against All Odds", "Significant Gravitas", "Alternative Destiny", "Peace and Quiet", "Dove of Peace", "Eureka Moment", "Rumours of Raxxia", "Cruise Control", "Certified Genius", "Synthetic Lover", "Avenues of Possibility", "Necessary Fiction", "Fenris Unchained", "Scintillating Light", "Deep Thought", "Nomadic Comet", "Dark Tide", "Silence Will Fall", "Monolith of Ozymandias", "Risen Balrog", "Divine Wind", "Miracle Worker", "Lonely Star", "Blue Lightening", "Innocent Blood", "Monkey Magic", "Phantom Listener", "Atomic Blonde", "Dust Devil", "Element of Surprise", "Student Politics", "Summer Solstice", "Theory of Mind", "Petrified Steed", "Honest Broker", "Boscombe Valley", "Faustian Pact", "Breaking Even", "Walking on Glass", "Terminal Velocity", "Black Opal", "Reign of Fire", "Devourer of Worlds", "Observer Bias", "Lady of Fate", "Escape Velocity", "Hand of Fire", "Dangerous Liaisons", "Agua Fria", "Handcrafted Fjord", "Baptism of Fire", "Nectar of Olympia", "Angelic Sentinel", "Peace Makes Plenty", "The Defrocked Priest", "Spooky Interaction", "Kiss The Blade", "Shadow of Uluru", "Lotus Eater", "Caloris Montes","Observer Effect", "Market Forces", "Clear Blue Water", "Sea of Stars", "Wailing Wall", "Future Imperfect", "Unnatural Selection", "Tides of Fortune", "Cold Comfort", "All That Glitters", "Alternate History", "The Barefoot Contessa", "Dogs of War", "Silver Cord", "Moon Walker", "Imaginary Friend", "Just Madness", "Knight's Mare", "Perfect Circle", "Standing Stone", "Slippery When Wet", "The Maltese Falcon", "Peaceful Vistas", "Delusions of Grandeur", "Vessel of Stars", "Far Star", "Devil's Advocate", "Stone Heart", "Dutch Courage", "Leviathan Rising", "Cloud City", "Desert Blossom","Fait Accompli", "Thread of Fate", "Beneath a Steel Sky", "Measure for Measure", "Astral Queen", "The Prodigal Sun", "Hocus Pocus", "Stars Like Dust", "Just Deserts", "Coyote Moon", "Summer Shade", "Stiff Upper Lip", "Forgotten Realm", "Perpetual Motion", "Act of Faith", "Last Straw", "Holy Smoke", "Virtue of Necessity", "Apprentice Sorcerer", "Night Owl", "Organ Grinder", "Consider Her Ways", "Cauldron of Creation", "Shadow of Summer", "Madonna of Vipers", "Lady of Virtue", "Whisper of Waves", "Methuselah Star", "Tower of Babel", "Realm of Shadow", "Shoulders of Giants", "Mona Lisa","True Love", "Whim of Fate", "Panic Mode", "Quality Time", "Santa Maria", "Sunless City", "Perturbation Theory", "Opium of the People", "Sacred Cow", "Dark Star", "That Which Survives", "Salt of the Earth", "Effortless Elegance", "Majority Rule", "Stolen Thunder", "Stranger than Fiction", "Free Lunch", "Box of Delights", "Belle of the Ball", "The Fractured Sky", "Wild Goose", "Bad Penny", "Moot Point", "Elemental Juggernaut", "Magical Realism", "True Believer", "Silver Dollar", "Dark Arts", "Lovers Quarrel", "Charming But Irrational", "Feedback Loop", "Thunder Below","Stormy Knight", "Fire in the Hold", "Distilled Wisdom", "All Fools Day", "Famous Last Words", "Empress of Mankind", "Shadow of Purgatory", "Bolt from the Blue", "Spirit Horse", "Ides of March", "Demented But Determined", "Spice of Life", "Dragon Fire", "The Stolen Sun", "Nothing But Trouble", "Shepheard Moon", "Charm of Making", " Dark Side of Eden", "Sublime Seclusion", "Silent Running", "Pebble in the Sky", "Life's Rich Tapestry", "Dreaming Goat", "Plausible Deniability", "The Gargoyle King", "Emerald Star", "Circling Poet", "Silver Comet", "Hidden Meaning", "Buoyant Market", "Rainbow Warrior", "Necessary Weasel","Fairy Godmother", "Force Majeure", "Shifting Sands", "Age of Heros", "Dreaming Android", "Hollow Mountain", "Delicate Balance", "Gold Standard", "Perfect Equilibrium", "Noble Demon", "Plot Armour", "Edge of Excalibur", "Radiant Melody", "Last Word", "Adamantine Armor", "Beginner's Luck", "Cavalier Attitude", "Rhapsody in Bloom", "Lion in Winter", "Bachelor's Delight", "Fallen Idol", "Rising Tempest", "Classical Scholar", "Unquenchable Flame", "Charitable Assessment", "Undying Hope", "Lingering Moonlight", "Clandestine Activities", "Arithmetic Engine", "Royal Fortune", "Secret of Fire", "Once Upon a Time",
// Galaxy 4
"Heart of Gold", "Witch Mountain", "Trident of Poseidon",  "Demon Spawn", "Spirit of the Wind", "Golden Hind", "Amber Spyglass", "Crocodilian Tears", "Event Horizon", "Primordial Soup", "Spiny Norman", "Bare Necessities", "Risky Business", "Age of Mortals", "Random Element", "Price of Magic", "Astral Tango", "Gentle Lover", "Limited Credibility", "Light Fandango", "Silent Majority", "Sitting Bull", "Night Candle", "Tasmanian Devil", "Black Mamba", "The Pygmalion Effect", "Children of the Plains", "The Flying Fish", "Thorough But Unreliable", "History Repeating", "Murder of Crows", "Dark Energy","The Sopwith Camel", "Crown of Thorns", "Lonely Are the Brave", "Just Desserts", "Days of Glory", "Mountain Queen", "Excuses And Accusations", "Jumping Jack", "Howl of the Wolf", "Dark Times", "Seen Better Days", "Raging Typhoon", "Passage to Dawn" , "Uneasy Alliance", "Water on Obsidian", "The Aztec Banner", "Capricorn One", "Moonlight Sonata", "Bad Moon", "End of Invention", "Pelican in Impiety", "Singing Dunes", "Voices in the Earth", "Second Life", "Pulpit Rock", "Third Time Lucky", "Gaia Theory", "Thief of Time", "Serpent's Lair", "Artistic Philosophy", "Rags to Riches", "Agnostic Faith","Black Widow", "Parallax View", "Minister of Justice", "Square Dealer", "Sign of the Times", "Auspicious Comet", "Fallen Moon", "Where Eagles Dare", "Chimes of Eternity", "Fall of Rome", "Dream Lover", "Something in the Walls", "Talks To Strangers", "Mercantile Fortress", "Our Daily Bread", "Midnight Raven", "Immortal Hydra", "Sound of Silence", "Under Fallen Stars", "Sky Spirit", "The Blue Lagoon", "Total Eclipse", "Mind Trick", "Wild Side", "Pride Before A Fall", "Old Peculiar", "Lucky Thirteen", "Wuthering Heights", "Forbidden Planet", "Black Pearl", "Giants Causeway", "Silent Approach","Demon of the Mind", "Crimson Comet", "Master of Compromise", "Unbroken Circle", "Golden Fleece", "Icarus Rising", "Tubular Bells", "Flying Dragon", "I Blame Your Mother", "Street of Shadows", "Hand on Heart", "In One Ear", "Wind of Change", "Duty of Care", "Razor's Edge", "Nostradamus Roulette", "Midnight Cowboy", "Rite of Blood", "Golden Touch", "Oriental Dragon", "Star Gate", "Urban Spaceman", "Very Little Gravitas", "Surface Tension", "Time Bandit", "Octopus's Garden", "Onset of Darkness", "Word of God", "Shadow of the Past", "Sea of Ghosts", "Heart of the Forest", "Northwest Passage","Prince in Waiting", "Arabian Nights", "Cape Canaveral", "Shot in the Dark", "Field of Dreams", "Green Sleaves", "Pseudo Dragon", "Son of Dawn", "The Mind of God", "Sleipnir Fossa", "Royal Oak", "Dappled Light", "Eternal Flame", "The Path of True Love", "Stone Rose", "Bluebird Ascending", "Flower of Youth", "Peace in Our Time", "Pool of Fire", "Altered Carbon", "Neutron Star", "The Milk Palace", "Eye of the Tiger", "Dark God", "Cloak of Shadows", "Elegant Swan", "Digital Justice", "Emerald Isle", "Forbidden Love", "Salute to Columbia", "Awakened Kraken", "Moment of Clarity","Red Wizard", "Summer Flame", "Crimson Tide", "Star Child", "Wringing of Hands", "Knight School", "Circle of Fire", "Lark Descending", "Armchair Traveller", "Every Dog His Day", "Pocketful of Rye", "Inappropriate Response", "Passing Shadows", "Tears in Rain", "Shadow of Tiamat", "Siren Song", "Best of Intentions", "Lapse of Sanity", "Peculiar Customer", "Dream Chaser", "Ark Royal", "Holy Grail", "Celestial Waltz", "Charm of Vostok", "Adonis Blue", "Subtle Melody", "Disco Inferno", "Thought Experiment", "Strange Attractor", "Groundhog Day", "Void Echo", "Chromatic Dragon","Stolen Fire", "Sacred Ground", "Made in Heaven", "Commercial Intrigue", "Snickering Hound", "Babylon Five", "Serious Callers Only", "Night of the Eye", "Nightingale Descending", "Into the Light", "Demonic Laughter", "Hydrogen Sonata", "Serene Firefly", "Hidden Blade" , "Looking Glass", "Inspirational Light", "Mirror of Camelot", "Paper Tiger", "Android Dreams", "Pattern Juggler", "Here Be Dragons", "Parallel Evolution", "Royal Python", "Dark Mirror", "Seeds of Earth", "Ethelred the Unready", "Cryptic Instructions", "Sins of the Father", "Shattered Sun", "Into the Void", "Autonomous Order", "Realm of Valor","Word of Power", "Radiant Quasar", "Babbling Brook", "King of Athens", "Silent Watcher", "Waters of Mars", "Master of Arms", "Wailing Banshee", "Liberty Bell", "Abyssal Gaze", "Second Chance", "Blood Diamond", "Burning Question", "Silver Serpent", "Eric the Red", "Silver Surfer", "Dark Horse", "Temporary Insanity", "Thunder God", "Field of Dreams", "The Dancing Men", "Iron Hand", "All Just A Game", "Dark Heart", "Walls of Midnight", "Cloud Leopard", "The Phantom Tollbooth ", "Chariot of the Gods", "Winter Flame", "Zero Credibility", "Lone Star", "Flaming Comet",
// Galaxy 5
"World Serpent", "All Hallows Eve", "Apple of Youth", "Dark Photon", "Blue Midget", "Shadow of Mir", "Starless Night", "A Steel Breeze", "Dilated Light", "Kindred Spirit", "The Medusa Cascade", "Royal Flame", "Northern Lights", "Poetic Licence", "Herold of Enterprise", "End of the Road", "Shortcut to Affluence", "Ill Met By Moonlight", "White Snake", "An Even Chance", "Buyer Beware", "Call of the Wild", "Awkward Customer", "War Hammer", "Golden Child", "Beyond the Infinite", "The Lesser Evil", "Blade Runner", "Blue Blazes", "Necessary Evil", "Benefit of Hindsight", "Player of Games","Spiritually Neutral", "The Dark Tower", "Judgement Day", "The Baying Hound", "Balance of Convenience", "Generous Offer", "Weekend Warrior", "Ghosts of Mars", "The Price of Power", "Inferno Canto", "Irreconcilable Differences", "Captive Audience", "Restoration Comedy", "Laughter In the Flames", "Poets Corner", "Paying the Price", "Pale Rider", "Golden Calf", "Soul Haven", "Golden Dawn", "Sentimental Succubus", "Das Kapital", "Secret Admirer", "Purple Rain", "Still Waters", "Rock of Ages", "Posthumous Vindication", "Dance of Demons", "Krampus Run", "West of Eden", "Balance of Probabilities", "Crazy Horse","Bride of Starlight", "Irrational Number", "Divided We Fall", "Unfinished Business", "Tidings of Soyuz", "Winged Monkey", "Whispers of a Machine", "Call to Arms", "Worthy Opponent", "Age of Aquarius", "Force of Nature", "The Perching Griffin", "Ties that Bind" , "Ghost Moon", "Golden Thread", "Smoke Signal", "Cold Cerberus", "Virtue By Reflection", "Elder Days", "Ice Warrior", "Pepper's Ghost", "Road Less Travelled", "Winsome Gargoyle", "Turning Point", "Roll of Honour", "Act of Atonement", "Angel of the North", "Tin Man", "Fell Judgement", "Company of Serpents", "Friend in Need", "Hero Worship","Broken Angel ", "Second Thoughts", "Iron Sky", "Cockney Sparrow", "Gold Fever", "Sable Pulsar", "Grey Hawk", "Conan the Barbarian", "Dilated Starlight", "Open Season", "The Celestial Serpent", "Symbolic Logic", "Moon Dog", "The Crimson King", "Far Horizons", "Spectre of War", "Grandfather Paradox", "Innocent Abroad", "Suffers Fools Gladly", "Stich in Time", "Fallen Angel", "Young at Heart", "Zero Tolerance", "Bronze Veteran", "Terms of Endearment", "Hive of Industry", "Vindicated Heretic", "Slumber Party", "Empirical Reason", "Baleful Basilisk", "Cosmic Dancer", "Blood Knight","Commitment Issues", "Salar de Uyuni", "African Violet", "Connecticut Yankee", "Celestial Phoenix", "Diplomatic Incident", "Use of Weapons", "Reverse Psychology", "Circle of Friends", "Freudian Excuse", "The Cackling Harpy", "Feng Huang", "Flying Circus", "Pleasant Interlude", "Last Hussar", "Honour Before Reason", "Storm of the Dead", "Superiority Complex", "Elemental Fury", "Razzle Dazzle", "Desperate Remedy", "Urban Legend", "Gears of War", "Gentle Giant", "City of Gold", "Sky's Edge ", "Little Brother", "Price of Justice", "Blood Moon", "Mental Gymnastics", "Winter Lantern", "Lonesome Cowboy","Proud Standard", "Guiding Light", "Knight Errant", "Hidden Agenda", "Independence Day", "Harsh Language", "Paradise Towers", "Hound of Hades", "Thunder Child", "Iron Golem", "Green Arrow", "Think Tank", "Wooden Heart", "Frontier Justice", "Jewel in the Crown", "The Purifying Flame", "Insufferable Genius", "Hunter's Moon", "City of Ravens", "Furious Weasel", "Pony Express", "Into the Labyrinth", "Ripple Effect", "Degrees of Separation", "Seventh Son", "All Shook Up", "Mysterious Stranger", "Fateful Comet", "Lotus Tree", "Time Loop", "Guest of Eagles", "Silence Under Snow","Baron Munchausen", "Sense of Humour", "Prone to Tears", "Gate to Limbo", "Mind Games", "Frozen Star", "Spirits of the Ice Forest", "Undying Loyalty", "Dark Fabel", "Transient Phenomenon", "Blithe Spirit", "Vicious Circle", "Fire Drake", "The Black Adder", "Flowery Insults", "Iron Goat", "Low Hanging Fruit", "Technicolour Dreamcoat", "Twist of Fate", "Crimson Forge", "The Mock Turtle", "Mirror of Life", "Dare to Dream", "Reap the Whirlwind", "Amazon Queen", "House of Suns", "Century Rain", "Bedtime for Democracy", "Iron Star", "Edge of Infinity", "Dark Intelligence", "Infinity Engine","Desert Snow", "Nocturnal Illusion", "Cold Blood", "Soul Harvest", "Turning to Reason", "Feathered Dragon", "Strict Doctrine", "Hard Evidence", "Formidable Ophidian", "Fallen Star", "Touche Turtle", "Dressed Up To Party", "Adventure Capitalism", "Scars of Glamour", "Baleful Glance", "Stalwart Fury", "Elliptical Progress", "Beyond the Sea", "Raptor Ascending", "Vanity Fair", "Purple Worm", "Towards Bedlam", "Borrowed Time", "Surrealist Logic", "Hostile Takeover", "Leveraged Buyout", "Persuasive Argument", "Stalking Horse", "Relative Strangers", "Nostromo Descending", "Matters of Import", "Subtle Anger", 
// Galaxy 6
"Awkward Facts", "Prosthetic Conscience", "Sinister Geometry", "Profit Margin", "Itinerant Wanderer", "Link to the Past", "Moment of Silence", "Unblinking Eye", "Consider Phlebas", "Iron Nerve", "Diplomatic Gunboat", "Byzantine Perspective", "Dauntless Damsel", "United We Stand", "Lateral Thinking", "Splendid Isolation", "Sand Serpent", "Trade Surplus", "Halls of Valhalla", "Flexible Demeanour", "Emerald City", "Dark Falchion", "King's Landing", "Divine Calculation", "Dante's Inferno", "Secret of Steel", "Stern Judgement", "Hallowed Serpent", "Limiting Factor", "So Much for Subtlety", "Heaven Can Wait", "Ember of Hope","Hand of Omega", "Deepest Regrets", "Law of the Jungle", "Divine Comedy", "Best Laid Plans", "Redemption Arc", "Technical Hero", "Judas Goat", "Sleight of Hand", "Hall of Fame", "Guilaume de Palerme", "Watership Down", "Endless Circle", "Night Watch", "Democratic Carnival", "Snake Pass", "Enter the Dragon", "Pliny the Elder", "Silent Partner", "Undiscovered Country", "Youthful Indiscretion", "Full of Grace", "Limits of Rationality", "Better Part of Valour", "Walking Shadow", "Teething Problems", "Immovable Object", "Tough Times", "Grey Area", "Fallen Kingdom", "Displacement Activity", "Anthropic Principle","Artistic License", "Fade to Black", "Anarchic Order", "Silver Bullet", "Irresistible Force", "Euclidean Topology", "Pillar of Autumn", "Fiscal Permeability", "Amenable to Change", "End of Eternity", "Moral Dissonance", "Ride of the Valkyries", "Divine Retribution", "It's Character Forming", "Jaundiced Outlook", "Problem Child", "Test of Character", "Tangible Affection", "Reasonable Excuse", "Recent Convert", "Tempting Fate", "Elder Star", "Value Judgement", "Warrior Poet", "Gothic Etymology", "Tactical Grace", "Kindred Spirit", "Doctor of War", "End of History", "Penitent Saint", "Tolerant Smile", "Attitude Adjuster","Divine Chessboard", "Quietly Confident", "Queen of Eternity", "End of the Line", "Pool of Tears", "Tiger Lilly", "Ethics Gradient", "Affinity for Order", "Soup Dragon", "Silicon Dreams", "Witch Craft", "Blame My Mother", "Forgotten Quarrel", "Charitable View", "Shadow of Zen", "Cheshire Cat", "Echoes of War", "Celestial Light", "Forged in Fire", "Winter Wolf", "Idle Hands", "Lilly of the Valley", "Iridescent Rose", "Walk of Life", "Nostalgia for Infinity", "Phantom Zone", "Morning Glory", "Quantum of Chivalry", "Uninvited Guest", "Alpine Salamander", "Affable Ogre", "Rising Storm","Harmonic Potential", "Endless Darkness", "Zero Gravitas", "Vision of Doom", "The Black Knight", "Probability Current", "Rise of Rome", "Perfect Dark", "Guilty Spark", "Inner Eye", "Inconstant Muse", "Maltese Cross", "Risk of Rain", "Dark Carnival", "Wisdom Like Silence", "Appeal to Reason", "Quaker Maiden", "Sober Counsel", "Uncertainty Principle", "Anything Within Reason", "Vanishing Act", "Dream Chamber", "Heart's Desire", "Desert Rose", "Statistical Ensemble", "Fire Opal", "Hard Times", "Fragrant Marble", "Storm in a Teacup", "Divine Intervention", "Rodeo King", "Meteor Swarm","Secret Garden", "Poetry in Motion", "Dramatic Exit", "Magic Roundabout", "Midas Touch", "Apple of Discord", "Electric Samurai", "Drama Queen", "Natural Balance", "Tipping Point", "Inner Child", "Tree of Life", "Hollow Knight", "Bystander Effect", "Family Values", "Watchful Angel", "Elysian Fields", "Randomius Factoria", "Tunnel of Stars", "Red Herring", "Luck of the Draw", "Eerie Silence", "Unrequited Love", "Visa Versa", "Dire Wolf", "Parliament of Owls", "Silk Road", "Shooting Star", "Star Witch", "Pyric Victory", "Dawn Rider", "Cultured Pearl","Blue Dragon", "Blue Ribbon", "Ambient Morality", "Poke It With A Stick", "Pale Horse", "Flower Child", "Free Spirit", "Pillar of Ice", "Night Hawk", "Perchance to Dream", "All is Lost", "Dealer's Choice", "Wages of Sin", "Wind Runner", "Necessary Cruelty", "Kraken Unchained", "Natural Selection", "Lucid Dreams", "Vengeful Spirit", "Divine Right", "Greased Lightning", "Sticky Wicket", "Heart of Darkness", "Outrageous Fortune", "Trouble Ahead", "Tall Poppy", "Rattle and Roll", "Dark Knight", "Conventional Wisdom", "Lapsed Pacifist", "Resonance Cascade", "Stellar Nursery","Infinite Variety", "Atomic Panda", "Breaker of Chains", "Swift Horseman", "Strange Tidings", "Blood Covenant", "Prophet of Doom", "Unchained Night", "Mother of Cthulhu", "Thinking Allowed", "Descending Edge", "Rain Dancer", "The Tinfoil Hat", "Lasting Damage", "Scarlet Days", "Truth Above All", "Font of Wisdom", "Liveware Problem", "Back to Perfection", "Mass Effect", "Objective Truth", "Boutique Le Chic", "Whisper of Fortune", "Silver Magic", "Autumn Twilight", "Subliminal Advertising", "River of Fire", "Moral Victory", "Bright Water", "Orchestral Manoeuvres", "End of Days", "Diminishing Returns",
// Galaxy 7
"Spring Dawning", "Rainbow Dragon", "Pure Reason", "Perfect Melody", "Alter Ego", "Conjured Light", "Questing Philosopher", "Shift In Emphasis", "System Shock", "Fixed Grin", "Granit Fist ", "Golden Leprechaun", "Opposing Force", "Moral Compass", "Cold Fusion", "Troubled Waters", "Gardens of Babylon", "Waking Dream", "Hence the Fortress", "Surface Detail", "Killer Instinct", "Awoken Fury", "Mermaid Melody", "Hidden Valley", "Scholar of Decay", "Keeper of Traken", "Jack Rabbit", "Fire on Water", "Implacable Huntsman", "Bitter Springs", "Pool of Radiance", "Wild at Heart", "Uncanny Echo", "Subtle Mind", "Eternal Purgatory", "Cheddar George", "Vagrant Quasar", "Head Honcho", "Palpable Tension", "Stitch in Time", "Distant Drums", "Briar Rose", "Quid Pro Quo", "Useful Ornament", "Golden Goose", "Noble Spirit", "Dark Vision", "Melancholy Queen", "Plain of Descartes", "Dimension Jump", "Penny Lane", "Perfect Storm", "Crafty Devil", "Bride of the Wind", "Philosopher King", "Refracted Sunray", "Autumn Solstice", "Rolling Stone", "Lone Hand", "Threshold of Perception", "Rising Tide", "Fiery Steed", "Brave Heart", "Mists of Time","Shield Maiden", "Arcane Grimoire", "Triumph of Galactica", "Witching Hour", "Just In Time", "Flower Power", "Final Reckoning", "Taste of Freedom", "Dream Land", "Thank Me Later", "Voice of Evening", "Perfect Union", "Broken Lance", "Deep Blue", "Sunken Treasure", "Simulated Existence", "Chaos Theory", "Dark Horizon", "Marble Arch", "Raging Bull", "Fountain of Youth", "Built to Last", "Teflon Tapir", "Eternal Inflation", "String Theory", "Sweet Alyssum", "Kindled Courage", "Farewell to Spring", "Imperial Crown", "Oncoming Storm", "Moon Flower", "Maverik Mustang","Cultural Revolution", "Mother of Riches", "Dances with Goats", "Scent of Brimstone", "Transfigured Starlight", "Valley of Fire", "Imperial Purple", "The Red Admiral", "Lone Rider" , "Painted Lady", "Peace Lily", "The Red Hand", "Dawn Star", "Butterfly Effect", "Debt of Honour", "Information Paradox", "Celestial Navigator", "Charming Bounder", "Lights in the Dusk", "Knight Rider", "The Secretive Squirrel", "Key to Time", "Waiting for Godot", "Back to Reality", "Iron Horse", "The Lead Balloon", "Journey of the Sorcerer" , "Perpetual Student", "Abundance of Caution", "Drums in the Deep", "Slim Pickings", "Strange Bedfellows","Barter Town", "Virtuous Blood", "Vacuum Energy", "Soul Reaver", "Living Legend", "Interesting Times", "Quick Silver", "Sicilian Opening", "Red Dog", "Nonsense Poetry", "Eldritch Geometry", "Many Hands", "Truth Hurts", "Forged in Battle", "Arrow in the Dust", "The Blue Danube", "Mystic Aura", "Mind Over Matter", "Diamond Dog", "Unchained Melody", "Valley of the Kings", "Eye of Harmony", "Remorse of Conscience", "Knight of the Lanes", "Sympathetic Magic", "Clockwork Orange", "Wolf of Ragnarok", "War Drum", "Puppy Love", "Extreme Prejudice", "Sudden Impact", "Alternate Timeline","Aurora Borealis", "Stairway to Heaven", "Pax Romana" , " Legacy of Kain", "Almost Human", "War of the Roses", "Distant Strangers", "Flowers for Algernon", "Continental Drift", "Ruby in the Dust", "Ahead of the Game", "Infinite Regress", "Ivory Tower" , "Stone Circle", "Reasonably Safe", "Winter Contingency", "Exile on Taladas", "Flame of the West", "Secret Fire", "Hidden Gem", "We Need To Talk", "Glass Slipper", "Children of Earth", "The Iron Throne", "Waning Moon", "Fading Star", "Beyond the Rift", "King's Ransom", " Daemon Star", "Ancient Mariner", "Bear Market", "Dawn Rider","Domino Theory", "Turbulent Priest", "Evening Star", "Elixir of Life", "Eldritch Wizardry", "All Roads Lead Home", "Bountiful Harvest", "Haunted Moon", "Paradoxical Twin", "Tactical Retreat", "Frog Chorus", "Sunless Sea", "Undying Light", "Mother of Grace", "Mouse Shadow", "Cosmic Amphitheatre", "Sombre Harlequin", "Art of War", "Father Time", "Pearl Harbour", "Eerie Eagle", "Dark Gift", "Inner Strength", "Nautilus Descending", "Positive Thinking", "Lark Rise", "Party Line", "Unquenchable Flame", "Wild Hunt", "Star Glider", "Far from Home", "Grey Haven","Art of the Possible", "Shadow of Before", "Party Politics", "The Blind Watchmaker", "Blue Sky Thinking", "Dust in the Wind", "Pillar of Fire", "The Cyclopean Eye", "Legend of the Fall", "Martian Sunrise", "Darwin Award", "Judicial Discretion", "Needs of the Many", "Racing in the Rain", "Isolated Incident", "Shadow Magic", "Storm Crow", "Ferryman of Hades", "Grey Matter", "Sun Dog", "Game Changer", "Politics of Envy", "The Nomadic Merchant", "Fifth Quarter", "Rogue Variable", "True Capitalism", "Quirk of Fate", "Unintentional Victory", "Olive Branch", "Founding Father", "Altered Reality", "Libertarian Dilemma", 
// Galaxy 8
"Stranger in Paradise", "Universal Suffrage", "Thin Blue Line", "Phoenician Bauble", "Questionable Activity", "English Rose", "Champagne Supernova", "Dissonance Theory", "Olympus Mons", "Sales Pitch", "Dream Chaser", "Star Crafter", "Colourful Character", "Edge of Forever", "Electoral College", "Moment of Truth", "Dawdling Light", "Nomadic Quasar", "Neutron Tide", "Ethics Adjuster", "The Controversial Bard", "Flexible Principles", "Captive Market", "Season of the Witch", "Strawberry Fields", "Just Good Friends", "We All Stand Together", "Serpentine Nomenclature", "Bottled Lightening", "Platonic Lover", "Primal Spark", "Tiger Claw","Azores Day", "Reformed Nice Guy", "Free Radical", "Grim Resolve", "Bewitching Light", "Time Warp", "Lotus Eater", "Dark Thoughts", "Fire Walker", "Unrequited Love", "Tower of the Winds", "Elysian Fire", "Deja Vu", "Pillar of Salt", "The Wicker Man", "Hard to Handle", "Strange Encounter", "Coming of Age", "Symphony of Night", "Cold as Ice", "Clandestine Affair", "Eternal Youth", "Fire Brand", "Descending Blade", "Carpe Diem", "Trouble in Mind", "Thunder of Hooves", "Get Over It", "Midnight Flyer", "Red Rum", "Lap of the Gods", "Love Bug","Taste of Honey", "Astute Investment", "Sweet Oblivion", "Arrival of Godot", "Moonlight on the Prairie", "Mega City One", "The Unknown Soldier", "Pale Flame", "Echo of Eternity", "Fair Exchange", "Iron Snowflake", "Celestial Ocean", "The Usual Suspects", "Riddle of Existence", "Goodbye Sanity", "Satisfaction of Honour", "Blood Sea", "Weird Sister", "Margin of Error", "Vaulting Ambition", "Red Squirrel", "Lucid Nonsense", "Lustful Mermaid", "Not Without Hope", "Sweltered Venom", "Charmed Life", "Return to Eden", "Trial by Fire", "Steam Punk", "Salmon of Doubt", "Hilarity for Charity", "True Blue","Hypothetical Observer", "Owl of Athena", "Incurable Optimist", "Delight Surpassed", "Mountains of Madness", "Cosmic Camouflage", "Fashionable Opinion", "Red Snow", "Lucky Star", "Messiah Complex", "Jovian Queen", "Crooked Smile", "The Haunted Fractal", "Ancient Prophecy", "Promised Land", "Thorn Apple", "Night Mother", "Reasonable Doubt", "Living Shadow", "Bad Attitude", "White Fang", "Snap Dragon", "The Solitary Oyster", "Pleasure World", "Stone Lion", "Wolf at the Door", "Drop of Blood", "Golden Vanity", "Silent Whisper", "Black Anemone", "Useful Advice", "Green Mantle","Prime Directive", "Wishful Thinking", "Absent Friends", "Dawn Treader", "Pallas Athena", "Velvet Revolution", "Night Whispers", "Cost of Living", "Templar Knight", "Giant Killer", "Memphis Belle", "Walk it Off", "Sleeping Beauty", "Tolling Bell", "Easy Pickings", "Welcome Sight", "Grim Fandango", "Golden Age", "Dark Equinox", "Indigo Dream", "The Green Goblin", "Endless Sea", "Happily Ever After", "Dark Water", "Rain Bird", "Joke Warfare", "Indomitable Will", "Tipsy Queen", "Hero Factory", "Atom Smasher", "Situational Awareness", "Bed of Roses","Heart of Winter", "Seventh Star", "Nowhere to Run", "Striking Viper", "Dream Factory", "Fuchsia Light", "Recording Angel", "Tender Foot", "End of Time", "Cherry Blossom", "Stormy Weather", "Twilight Princess", "Golden Axe", "Second Nature", "Uncanny Accuracy", "Martial Law", "Dancing Lights", "Relativistic Insights", "Tears Before Bedtime", "The Final Gate", "Mirror Demon", "Stranger than Fiction", "Silent Night", "Innovative Solution", "Only the Valiant", "Black Lotus", "House of Usher", "Dark Path", "Comforting Delusion", "Cosmological Constant", "Blood Magic", "Quantum Entanglement","Dead of Night", "Stream of Time", "Black Hawk", "Romantically Challenged", "Empirical Proof", "Wounded Knee", "Threads of Fate", "Shadow Legend", "Sable Moonstone", "Reverend Mother", "Birthplace of Humanity", "Fairy Tail", "Poison Ivy", "Ocarina of Time", "Nonconformist Rituals", "Death or Glory", "Rapid Rebuttal", "Infinitude of Primes", "Black Comedy", "Children of Hurin", "Bright Nebula", "Saintly Patience", "Commercial Awareness", "Dark Sun", "Cruel Simulation", "Sands of Time", "Cold Steel", "Edge of Reason", "None of the Above", "Infinitely Improbable", "Orphaned Quasar", "Reasoning Backwards","Spirit of Battle", "Lady of Andromeda", "Ice Storm", "Adaptive Expectations", "Lady in Black", "Metaphysical Accident", "Balance of Trade", "Wizard of Earthsea", "Water God", "Risk Assessment", "Fire Serpent", "Delightful Delirium", "Covering Fire", "Strange Epiphany", "The Puppet Master", "Colour of Magic", "Eyes of the Dragon", "Ethereal Darkness", "Glacial Wall", "Book of the Fallen", "Healthy Scepticism", "True Purpose", "Neighbour Principle", "Caveat Emptor", "Bastille Day", "Scattered Light", "Asset Stripper", "Black Dragon", "Boom Town", "Finest Hour", "Gimble Angle", "Alluring Gaze",
// The Name below is only used if the pool needs to loop (See the Readme File for Details)..
// The Main Station Array won't loop as Oolite automatically limits there being only one Main Station per System.
// But an emergency Looping name is added just in case.
"Injury Time"];

// Name Array for the starting 2 letter Code for Witchpoint Buoys. (Number of Names in Array: 256)
this.buoypool = ["FM", "VF", "FF", "SD", "JC", "YE", "SO", "ZF", "ZZ", "QI", "KX", "ZR", "SU", "VQ", "UJ", "OZ", "SX", "JJ", "OJ", "LD", "GY", "XW", "FQ", "AL", "UK", "BE", "XA", "ER", "KR", "MX", "QC", "WF", "EN", "DW", "OC", "LF", "UD", "NC", "WD", "XO", "WO", "KC", "XN", "PZ", "RZ", "AL", "LW", "TL", "BE", "AA", "LA", "EE", "WK", "RB", "PR", "PY", "VB", "WB", "XQ", "CZ", "CD", "FL", "KD", "SW", "TX", "DK", "TE", "NC", "PO", "FJ", "DA", "RJ", "PM", "UU", "QS", "AZ", "FY", "SG", "ER", "XE", "VV", "IF", "CL", "EW", "BI", "YI", "GI", "ZR", "YA", "FT", "AA", "IC", "MN", "MM", "RQ", "QA", "PT", "WS", "KE", "AN", "IJ", "XK", "TL", "JT", "EO", "UB", "BU", "ZC", "JC", "OV", "IG", "KE", "OU", "XO", "DV", "JR", "JS", "DM", "DY", "XT", "UY", "ZE", "GJ", "BU", "OF", "AI", "RZ", "FB", "VQ", "SA", "ZM", "XP", "FT", "EL", "DS", "EN", "RW", "GF", "TZ", "YK", "UF", "LD", "TE", "KB", "AO", "YJ", "CF", "WK", "DI", "GB", "GL", "NI", "JY", "JK", "UJ", "IN", "LZ", "IE", "SE", "XS", "LN", "XW", "BK", "NV", "DG", "VA", "IY", "KO", "WA", "KV", "RK", "NS", "PY", "NS", "QA", "TD", "TO", "SB", "CM", "DY", "VW", "TU", "OU", "WM", "VI", "PI", "WB", "DQ", "LJ", "PQ", "QA", "NQ", "XE", "SN", "RD", "IU", "SI", "QM", "XT", "UX", "MO", "DF", "ZC", "OZ", "TZ", "TA", "VD", "BX", "QG", "ND", "TA", "NG", "KE", "WK", "KN", "UR", "CT", "GR", "GQ", "JO", "WB", "MZ", "FF", "RC", "JD", "RB", "YL", "VJ", "EL", "CX", "WN", "OE", "CM", "JD", "YJ", "TX", "RY", "VI", "VU", "ZJ", "PU", "ZW", "GY", "YX", "JV", "MY", "NV", "ZX", "KX", "TL", "NB", "NS", "QB", "TA", "ZM", "OY",    
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"RC"];

// Name Arrays for Stations named using the Pool method.
//  Name Array for Black Monk Monastarys.. (Number of Names in Array: 256)
//  For Stations such as Black Monks which are Galaxy wide but only appear at certain systems it is simpler to just use a pool of 256 names as then every Black Monk station in the 8 Galaxies is assigned a consitent name from the pool.
//  Doing it this way means I only have to check for the station being present in the system rather than having to work out where they all are and have a load of conditions to test which system of the 2048 the player is in.
this.monkpool = [
"Clerical Mace", "Tome of Debt", "Rosary of Debt", "Joy of Debt", "Purity of Poverty", "Piety of Penury", "Flail of Repayment", "Abbot of Avarice", "Exorcism of Solvency", "Negative Equity", "Tome of Armaments", "Pontiff of Destitution", "Cardinal of Credit", "Rector of Repayment", "Verger of Vengeance", "Altar of Accounting", "Patriarch of Poverty", "Prayer for Solvency", "Chains of Default", "Credit Control", "Cowl of Receivership", "Sin of Liquidity", "Abbot of Accounting", "Deacon of Piety", "Tabard of Debt", "Sacrament of Mammon", "Pound of Flesh", "The Bankrupt Bishop", "Blessedly Insolvent", "State of Debt", "Bliss of Bankruptcy", "Compound Interest",
"Day of Reckoning", "Nave of Receivership", "Sacrament of Debt", "Chapple of Affluence", "Indebted Sinner", "Papal Currency", "Abbot of Austerity", "Repayment or Revenge", "Curse of Liquidity", "Temptation of Solvency", "In Debt We Trust", "Austere Fellowship", "Matriarch of Insolvency", "Psalm of Debt", "Chant of Mammon", "Repenting Sinner", "Vow of Poverty", "Lamb of Loans", "Bane of Default", "Patriarch of Loans", "Mace of Repentance", "Cleric of Currency", "Sin of Equity", "Mortgage of Mammon", "Monastic Inquisition", "Reaper of Sin", "Missionary of Lending", "Curate of Credit", "Vicar of Vengeance", "Reverent of Revenge", "Monetary Miracle", "Manifestation of Mammon",
"Graven Image", "Bankrupt Matriarch", "Tome of Liquidation", "Chosen of Mammon", "Joyous Bankruptcy", "Sanctity of Capital", "Adept of Insolvency", "Hymn of Debt", "Temple of Insolvency", "Cathedral of Mammon", "Righteous Repayment", "Sin of Solvency", "Accountant of Woe",  "Pope of Penury", "Destitute Debtor", "Repentance for Repayment", "Stocks of Debt", "Order of the Headless", "Sack Cloth", "Missionary of Debt", "Mass for Insolvency", "Papal Blessing", "Gospel of Mammon", "Soul Trader", "Pain of Solvency", "Crusade for Currency", "Prayer of Destitution", "Fellowship of Penury", "Communion of Debt", "Bible of Avarice", "Incarnation of Insolvency", "Vicar of Poverty",
"Lash of Lamentation", "Repentance for Solvency", "Joy of Servitude", "Vow of Repayment", "Crusader of Mammon", "Monastic Moneylender", "Cathedral of Credit", "Vestments of Bankruptcy",  "Scythe of Default", "Mace of Mammon", "Purification of Sin", "Saviour of Solvency", "Hymn of Vengeance", "Nave of Bankruptcy", "Temple of Ruin", "Avenger of Default",  "Communion of Mammon", "Cathedral of Debt", "Scourge of Default", "Flail of Sin", "Cleric of Credit", "Mace of Vengeance", "Cassock of Insolvency", "Monastic Revenge ", "Abbot of Ruin", "Crusading Bishop", "Chant of Mammon", "Gospel of Debt", "Chapel of Rest", "Bliss of Insolvency", "Purge of Default", "Debtor's Prayer",
"The Impecunious Pontiff", "Lash of Default", "Rapture of Debt", "Vengeful Pope", "Vicar of Woe", "Monastic Accounting", "Vestments of Repossession", "Puritanical Avenger", "Joyous Repayment", "Blessed Servitude", "Curate of Capital", "Altar of Mammon", "Clerical Coffers", "Bible of Vengeance", "Destitute Sinner", "Monastic Avenger", "The Bejewelled Bishop", "Nave of Servitude", "The Indentured Soul", "Collection Plate", "Monetarised Faith", "Cowl of Mammon", "Purge of Sin", "The Bishop of Bath & Wells", "Miracle of Foreclosure", "Merciless Pursuit", "Pitiless Pope", "Prayer of Foreclosure", "Papal Coffer", "Affluent Abbott", "Nave of Avarice", "Fellowship of Debt",  
"Temple of Woe", "Debt Collector", "Beatific Bailiff ", "Ladder to Heaven", "Cathedral of Avarice", "Austere Matriarch", "Monastic Capital", "Vow of Poverty",  "Quantitative Tightening", "Altar of Bankruptcy", "Joy of Penury", "Robe of Revenge", "Crooke of Collection", "Psalm of Mammon", "Avenging Verger", "Hymn of Pain",  "Miraculous Repossession", "Credit Reaper", "Direct Debit", "Cathedral of Servitude", "Monastic Foreclosure", "Puritanical Curate", "Vestments of Piety", "Habit of Pain", "Robe of Mammon", "Lamb of Debt", "Worship of Avarice", "Nave of Piety", "Curse of Solvency", "Avaricious Avenger", "Temple of Ruin", "Crooke of Insolvency",  
"Deacon of Doom", "Wimple of Woe", "Spanish Inquisition", "Cowl of Vengeance", "Crooke of Penury", "Financial Inquisitor", "Agony of Default", "Nave of Destitution", "Flail of Finance", "Hymn of Repossession", "Cowl of Austerity", "Financial Audit", "Holy Orders", "Crooke of Servitude", "Cassock of Credit", "Tome of Default",  "Chant of Foreclosure", "Mark of Faith", "Temple of Temptation", "Goblet of Mammon", "Habit of Repentance", "Sacrament of Bankruptcy", "Dance with the Reaper", "Crooke of Foreclosure", "Fiscal Review", "Purging Day", "Tabard of Woe", "Rector of Revenge", "Deacon of Debt", "Scythe of Piety", "Gospel of Finance", "Robe of Penury",
"Beatific Bishop", "Rapturous Debtor", "Sanctity of Repayment", "Penniless Friar", "Curate of Servitude", "Destitute Deacon", "Austere Friar", "Archbishop of Austerity", "Repentant Sinner", "Pyre of Agony", "Vestments of Poverty", "Fearsome Friar", "Venomous Vicar", "Chaotic Cleric", "Psalm of Repentance", "Vicious Verger", "Habit of Penury", "Crooke of Repayment", "Curate of Cruelty", "Cowl of Liquidity", "Cassock of Receivership", "Tabard of Lending", "Blessed Bailiff", "Sacrament of Receivership", "Robe of Repentance", "Fiscal Missionary", "Hymn of Finance", "Archbishop of Receivership", "Affluent Avenger", "Merciless Missionary", "Dastardly Deacon", "Pope of Piety",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"The Black Coffer"];

//  Name Array for Con Store Stations. (Number of Names in Array: 256)
// This uses the pool method as above.
this.storepool = ["Happy Shopper", "Bargain Basement", "Sale of the Century", "Gods and Men", "Sweetheart Deal", "Revenue Stream", "The Good Life", "Economy Drive", "Super Saver", "Rapid Commerce", "Wall Street", "Square Mile", "Unburst Bubble", "Springfield Mall", "Cheerfully Cheap", "Tight Budget", "Wheeler Dealer", "Abbey Road", "Thrift Store", "Discount Dave", "Monroeville Mall", "Cash Accounting", "Quick Buck", "Business Plan", "Off the Books", "Supermarket Sweep", "Cheap as Chips", "Open All Hours", "Economies of Scale", "Duty Free", "Puente Hills Mall", "Trash Talk",
"Disembodied Dealer", "Off the Record", "Freedom of Contract", "Fistful of Credits", "Tombstone Traders", "Sale or Return", "Arcadia Mall", "Promotional Offer", "Final Edition", "The Boiler Room", "Bill of Lading", "Twin Pines Mall", "Credit Note", "Long Shot", "Retail Index", "Hedge Fund", "Insider Trading", "Captain of Industry", "Night Crawler", "Riddle of Steel", "Deal of the Decade", "One Time Offer", "Live Free or Die", "Black Friday", "Economic Upturn", "Faraway Fiasco", "Absolute Discretion", "Boardroom Coup", "Open Offer", "Feverish Atmosphere", "Invitation to Treat", "Longhorn Mall",
"Pleasure of Business", "Canary Warf", "Get Rich Quick", "Pyramid Scheme", "On a Clear Day", "Of Sand and Fog", "Funeral for a Fiend", "Blue Mountain ", "Oxford Street", "Old Spitalfields", "Stealing First Base", "Hatton Garden", "South Bank", "The Blue and the Gray", "The Westfield Centre", "Fading Sun", "Wild Card", "Wild Weasel", "Opening Day Blues", "Fears of a Clown", "The Bull Ring", "Frontier Pharmacist", "Pitt Street", "Sesame Street", "Diary Queen", "Wagons Roll", "Bluewater Mall", "Joint Custody", "The Grand Canal", "One Little Word", "Shallow Vows", "Flirting with Disaster",
"Last Trumpet", "Evasive Action", "Name of the Game", "Photon Surfer", "Anger Management", "Charing Cross", "Corporate Avenger", "Moon Goddess", "Consume and Obey", "Satanic Panic", "Take it to the Limit", "Laissez Faire", "Clearwater Parade", "Day Trader", "Bearish Outlook", "Blue Chip", "The Bottom Line", "Permanent Record", "Call Option", "Cost of Carry", "Gearing Ratio", "Blonde Ambition", "Color of Money", "Bond Trader", "Debentured Credit", "Derivative of Trade", "Fine Dividend", "Fair Value", "Wireframe Seraphin", "Double Jeopardy", "Fixed Cost", "Lightwater Valley",
"In the Money", "Indices Trader", "Once In A Lifetime", "Margin Call", "Dividend Option", "Quantitative Easing", "Stock Option", "Rate of Return", "Fever Pitch", "Cash Cow", "Rollover Option", "Spread Betting", "Smart Investment", "New Deal", "Trading Floor", "Smart Money", "Weekend Trader", "Census of the Lambs", "Conan Mall", "Londis Central ", "Cost Cutter", "Easy Money", "Monetary Fund", "Time Square", "Love of Money", "Brent Cross", "Rosey Outlook", "Economic Forecast", "Terms of Business", "Nightshade Parade", "Rolling in Credits", "Ball and Chain", 
"Quick Turnaround", "Persona Assistant", "Old Peculiar", "Curiosity Shop", "Sharp Practice", "Playing God", "Absolute Business", "Cleaver Hans", "Maximillian Mall", "Curve Ball", "Cash Grab", "Wild West", "Woolworth Mall", "Ship in a Bottle", "Wishing Well", "Tax Haven", "Head for Business", "Letter of Credit", "Nouveau Riche", "Beyond the Alcove", "Ye Olde Shoppe", "Backroom Deal", "Gift Shop", "Bullish Outlook", "Carnegie Mall", "The Almighty Credit", "Dollars to Donuts", "Racing Certainty", "Long Haul", "Time for Miracles", "Spicy Meatball", "Pieces of April",
"The Tooth Fairy", "Different Class", "Nefarious Scheming", "Raw Deal", "A Cut Above", "The Daily Grind", "Faking It", "Trapped in the Closet", "Fontaine Industries", "Truth and Advertising", "Members Only", "Hard Currency", "Summer Palace", "The Comstock Centre", "Hot Property", "Brookfield Mall", "The Persian Caravan", "Manhattan Mall", "Vestige of Value", "Meadow Hall", "The Colour of Money", "Top Notch", "Fifth Avenue", "Goldilocks Zone", "Sleeper Service", "Doubling Down", "Sitting Duck", "Trading Places", "The Global Village", "Argent Provocateur", "Bite of the Jackal", "Oranges and Sunshine",
"Once a Hero", "Mind of the Machine", "Prisoner of Yesterday", "Money for Nothing", "Severance Pay", "Heart of Glass", "Day of Jeopardy", "Nervous Energy", "Truth or Dare", "Kingfisher Mall", "On the Double", "Easy Virtue", "Melodies of Steel", "Honesty Is No Excuse", "Bargain Hunter", "The Breakfast Club", "Random Encounter", "Credit Laundry", "The Bargain Driver", "Spine Chiller", "Breath of Fire", "Leicester Square", "The Four Seasons", "Chop Shop", "Calculated Risk", "Quick Fix", "Three Wishes", "Rat Race", "House of Wares", "Parasite Eve", "Ariel Acrobat", "Sloane Square",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Denbrough Mall"];

//  Name Array for Superhub Stations. (Number of Names in Array: 256)
// Only the Superhubs added by PA Grove's orginal OXP are named by this array.
// Superhub Stations added by the Extra Stations for Extra Planets OXP are named using the Extra Stations for Extra Planets Pool.
// This uses the pool method as above. 
this.hubpool = ["Immortal Hand", "First Love", "A Kind of Magic", "Death and Gravity", "Rune Factory", "Love of Davina", "Smooth Jazz", "First Contact", "Of Course I Still Love You", "Unusual Customs", "The Rosewood Resort", "Behind the Mask", "Pleasure Garden", "Winter Shade", "Tough Cookie", "Down the Rabbit Hole", "Mobius Loop", "Broad Daylight", "Deep Analysis", "Trace of Contentment", "Dissenting Opinion", "Jerusalem Lot", "First World Problems", "Unity of Commerce", "Encore Las Vegas", "Regency Posture", "Signature of Quality", "Heartbreak Hotel", "Parisian Attitude", "Film Noir", "Burn the Rope", "The Tropicana Resort",
"Guardian of Liberty", "Gathering of the Clouds", "The Waldorf Hotel", "Hyde Park", "Neutral Observer", "The Mercurial Hilton", "The Borderland Minstrel", "The Gotham Ritz", "Covent Garden", "Order of the Stick", "Just Passing Through", "Heel of Talos", "Warm Embrace", "Sisters of Clemency", "Russell Square", "Equitable Darling", "Titanic Undertaking", "Wish Fulfilment", "Secular Probity", "Marriage of Figaro", "The Titanic Maw", "Speckled Jim", "Big Ben", "Old Faithful", "Chekhov's Gunman", "Pascal's Wager", "The Startled Faun", "Arnos Grove", "Peak of Attainment", "Greek Pantheon", "Coastal Fog", "The Welcome Respite",
"Honeymoon Period", "End of an Era", "Edge of Heaven", "Fairytale of New York", "Willesden Junction", "Ravenscourt Park", "Pocketful of Rainbows", "Fair Weather Fiend", "Parsons Green", "Month of Sundays", "The Grand Masquerade", "Lancaster Gate", "First Among Equals", "Upper Crust", "The Aristocratic Feline", "Imperium of Lave", "The Regal Rodent", "Bird in the Hand", "Season of Giants", "Afraid of Monsters", "Globe of Enlightenment", "Swiss Cottage", "Second Opinion", "Love Potion", "The Crystal Ball", "Riders in the Sky", "Treasure Trove", "The Last Encore", "Pit Stop", "Big Bertha", "Dread of Laughter", "Holland Park",
"Milliways Restaurant", "The Ultimate Answer", "One Trick Pony", "Venetian Daylight", "Polished Accent", "Upper Cut", "The Feasting Feline", " Kingdom in the Clouds", "Putting on the Ritz", "Grand Tour", "Top of the Class", "Ladbroke Grove", "The Rodent Rocketeer", "Regal Etiquette", "Feudal Epoch", "No More Room In Hell", "See No Evil", "The Regal Masquerade", "Web of Commerce", "The Grand Imperium", "Taste of Power", "The Mercurial Maiden", "An Excellent Repast", "Monster Mash", "Elements of Power", "The Ritz Hotel", "The Gargantuan Globe", "Chiswick Park", "Night Caller", "Honeymoon in Vegas", "The Faithful Regent", "Big Boris",
"Aristocratic Attitude", "Fallen Earth", "The Mercurial Treasure", "Seeker of Enlightenment", "Fairytale Wedding", "Company of Heroes", "Book of Prophecy", "The Speckled Feline", "Minstrel of Rapture", "First Citizen", "Trails of Cold Steel", "Impossible Things", "Fractured but Whole", "Star Ruby", "The Rascally Rabbit", "Trace of Excellence", "La Tour Eiffel", "Vacant Sky", "The Ultimate Encore", "The Ultraviolet Imperium", "Sisters of Mobius", "Glade of Majesty", "Bounds Green", "Double Agent", "Radiant Dawn", "The Parisian Flame", "Covenant of the Plume", "Looming Shadow", "Not the Intended Use", "Path of Least Resistance", "Peak of Excellence", "Scratch Damage", 
"First Blush", "Sliding Scale", "A Fine Spectacle", "Superior Attitude", "Back from the Brink", "The Honeymoon Suite", "Joker in the Pack", "Burnt Oak", "The Impossible Loop", "Chancery Lane", "Clapham Common", "The Masked Masquerade", "The Minion Master", "The Refined Welcome", "Fairytales for Monsters", "Off the Rails", "The Blushing Hen", "Another Fine Mess", "The Ebony Glade", "Seeking Contentment", "Ealing Broadway", "A Game of Gods", "The Sydney Hilton", "Walking in Circles", "Uptown Attitude", "Colliers Wood", "The Silent Minstrel", "The Blushing Brownie", "Kentish Town", "Soul Music", "Sunday Without God", "The Rascally Rodent", 
"Dog in the Vineyard", "Deadly Premonition", "Maple Creek", "The House Next Door", "The Blushing Titan", "The Virtuous Misfortune", "Played for Laughs", "Six Feet Under", "Tooting Broadway", "Hear No Evil", "Society Is to Blame", "Corporate Samurai", "Believe it or Not", "Treasure Hunter", "Fulham Broadway", "Citizen of the Galaxy", "Column of Brilliance", "Joking Aside", "The Frosty Glade", "Where the Wasteland Ends", "A Brighter Dark", "Camden Town", "Life Is Beautiful", "House of the Scorpion", "The Silmarillion", "The Flooded Temple", "For All Mankind", "Embers in the Dusk", "Epoch of Solomon", "Caledonian Road", "Just Before the End", "Unusual Brilliance",
"Here and There", "Euston Square", "A Brief Respite", "More than Meets the Eye", "Too Big to Fail", "The Arthur Dent", "Acton Town", "The Blue Wizard", "Ministry of Sound", "Book of the New Sun", "Sisters of Refinement", "Adult Fairytale", "Size Matters", "Fate of the World", "During the Storm", "Seeker of Ecstasy", "Valley of the Wind", "Sound of the Sky", "The Reticulated Rabbit", "Belsize Park", "Beyond Belief", "Jelly Bean", "Widowed Star", "Baker Street", "The Final Option", "The Masked Minstrel", "The Hollow World", "Speak No Evil", "Dwarf Fortress", "Knowing Smile", "Under the Umbrella Tree", "All the Right Places", 
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"I Blame The Parents"];

//  Name Array for HoOpy Casinos. (Number of Names in Array: 256)
//  This uses the pool method as above.
this.hoopypool = ["The Dice Man", "Nine of Pentacles", "Four of Clubs", "Two of Hearts", "Ace of Batons", "Deuce of Hearts", "Nine of Coins", "Eight of Diamonds", "Seven of Staves", "Six of Clubs", "Eight of Wands", "Four of Cups", "Pair of Ducks", "Three of Hearts", "The Lucky Goat", "Five of Staves", "Ten of Batons", "Knave of Diamonds", "Ace of Hearts", "Three of Clubs", "Ace of Diamonds", "Four of Cups", "Ten of Swords", "Four of Wands", "Deuce of Hearts", "Nine of Swords", "Eight of Triangles", "Pocket Rockets", "Ten of Cups", "Four of Spades", "Eight of Swords",
"Five of Clubs", "Three of Swords", "Seven of Wands", "Eight of Diamonds", "Four of Discs", "Three of Staves", "Six of Hearts", "Knave of Cups", "Three Ladies", "Six of Staves", "Ten of Cups", "Deuce of Wands", "Seven of Diamonds", "Four of Cups", "Two of Hearts", "Deuce of Cups", "Three of Swords", "Four of Coins", "Two of Triangles", "Deuce of Coins", "Ace of Staves", "Ten of Clubs", "Three Ducks", "Knave of Spades", "Ace of Wands", "Six of Coins", "Deuce of Discs", "Seven of Clubs", "Ace of Hearts", "Knave of Pentacles", "Pocket Snowmen", "Four of Hearts",
"Knave of Diamonds", "Nine of Hearts", "Deuce of Spades", "Eight of Wands", "Knave of Hearts", "Ace of Swords", "Ace of Discs", "Knave of Clubs", "Eight of Batons", "Ten of Discs", "Three of Cups", "Eight of Clubs", "Pocket Kings", "Eight of Clubs", "Knave of Pentacles", "Five of Swords", "Eight of Diamonds", "Two of Triangles", "Ace of Pentacles", "Deuce of Hearts", "The Ring Master", "Knave of Swords", "Deuce of Staves", "Ace of Wands", "Knave of Spades", "Four of Coins", "Six of Pentacles", "Ten of Coins", "Four of Cups", "Big Slick", "Six of Discs", "Five of Diamonds",
"Four of Batons", "Deuce of Wands", "Three of Coins", "Ten of Cups", "Pair of Cowboys", "Knave of Spades", "Ten of Wands", "Ace of Hearts", "Ace of Diamonds", "Ten of Discs", "Ten of Coins", "Pocket Queens", "Seven of Wands", "Three of Discs", "Two of Clubs", "Ace of Hearts", "Five of Cups", "Three of Diamonds", "Deuce of Triangles", "Broadway Straight", "Nine of Cups", "Seven of Coins", "Nine of Hearts", "Six of Batons", "Six of Staves", "Ace of Batons", "Deuce of Spaces", "Knave of Wands", "Four of Staves", "The Ace of Spades", "Ten of Spades", "Four of Discs", "Knave of Staves",
"The Four Horsemen", "Four of Pentacles", "Seven of Triangles", "Knave of Coins", "Two of Wands", "Eight of Clubs", "Three of Triangles", "Two of Diamonds", "Six of Spades", "Four Kings", "Eight of Cups", "Deuce of Spades", "Ace of Diamonds", "The Three Cowboys", "Two of Spades", "Nine of Diamonds", "Ten of Cups", "Knave of Wands", "Seven of Diamonds", "Three of Coins", "Six of Hearts", "Seven of Diamonds", "Eight of Discs", "Ten of Hearts", "Five of Wands", "Deuce of Cups", "Ace of Staves", "Ace of Clubs", "Eight of Wands", "Ace of Discs", "Inside Straight", "Six of Clubs",
"Six of Hearts", "Nine of Cups", "Three of Hearts", "Knave of Diamonds", "Three of Clubs", "Seven of Pentacles", "Ace of Discs", "Two of Discs", "Ace of Batons", "Knave of Hearts", "Two Fat Ladies", "Knave of Staves", "Knave of Batons", "Three of Coins", "Ace of Clubs", "Knave of Triangles", "Four of Staves", "Four of Triangles", "Straight Flush", "Three of Cups", "Nine of Batons", "Five of Clubs", "Four of Batons", "Six of Swords", "Two of Hearts", "Six of Batons", "Seven of Coins", "Nine of Cups", "Three of a Kind", "Ten of Diamonds", "Nine of Wands", "Knave of Coins",
"Two of Discs", "Ace of Discs", "Nine of Hearts", "Seven of Triangles", "Full House", "Knave of Swords", "Five of Diamonds", "Seven of Swords", "Nine of Discs", "Knave of Discs", "Three of Wands", "Eight of Clubs", "Ten of Diamonds", "Two of Discs", "Legs Eleven", "Nine of Staves", "Two of Triangles", "Six of Coins", "Four of Swords", "Eight of Wands", "Seven of Pentacles", "Three of Hearts", "Nine of Hearts", "Deuce of Staves", "Ace of Triangles", "Nine of Diamonds", "Ace of Batons", "Eight of Spades", "Three of Staves", "Ten of Batons", "Eight of Swords",
"Nine of Cups", "Four of Pentacles", "Sweet Sixteen", "Six of Swords", "Five of Spades", "Eight of Spades", "Three of Diamonds", "Two of Batons", "Deuce of Diamonds", "Queen of Hearts", "Eight of Wands", "Nine of Staves", "Six of Coins", "Deuce of Spades", "Bakers Bun", "Ten of Clubs", "Two of Diamonds", "Deuce of Diamonds", "Ace of Triangles", "Eight of Diamonds", "Seven of Staves", "Four of Hearts", "Four of Batons", "Five of Swords", "Nine of Cups", "Staying Alive", "Five of Coins", "Seven of Cups", "Knave of Triangles", "Three of Diamonds", "Four of Hearts", "Seven of Wands", "Ten of Discs",  
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"The Jackpot"];

//  Name Array for Taxi Galactica. (Number of Names in Array: 256)
//  This uses the pool method as above.
this.taxipool = ["Lane Runner", "Long Haul", "Short Hop", "Cab Rank Rule", "Gruelling Run", "The Bilking Fare", "The Galactic Knowledge", "Butter Boy", "Kessel Run", "Leather Arse", "Kipper Season", "Little Apples", "Oranges and Lemons", "Bow Bells", "Sherbet Dab", "Royal Lobster", "Blackwall Tunnel", "Space Hog", "Root of All Evil", "Pine Fresh", "Long Journey", "Choke Point", "Queue Jumper", "Drunk and Disorderly", "Homing Pigeon", "Fare Enhancer", "Quick Jump", "The Hard Way", "Park Lane", "Blue Book Run", "Brush Off", "Copper Bottom",
"Short Cut", "Homeward Bound", "Dirty Dozen", "Against the Grain", "Flyer Run", "Gantville Cowboy", "Iron Lung", "Kitty Got Claws", "What Goes Up", "Magic Circle", "Piccadilly Circus", "Working Joe", "Wembley Central", "On the Cotton", "Off the Map", "Over the Hump", "High Holborn", "Point of Interest", "Fear No Evil", "Penton Street", "Putting on Foul", "Rush Hour", "The Black Cab", "Rat Run", "Scent Box", "Cabbie Lingo", "Red Route", "Pall Mall", "The Athenaeum Club", "Wedding Cake", "Apples and Pears", "Dubious Punter",
"Green Badge", "Bulletproof Cabbie", "The Travis Bickle", "Bishopsgate Run", "Rhyming Slang", "Blue Book", "Blue Trees", "Void Stalker", "Dust of the Stars", "Bullseye Tip", "Butter Girl", "Buzz Box", "Chopping Up", "Cold Blow", "Lane Crawler", "Cricket Seats", "Duck and Dive", "Flag Fall", "Relative Chaos", "Four Hander", "Gaff Street", "The Neon Maniac", "Carlton Arms", "Hackney Carriage", "Black and Tan", "Livery Cab", "Black Cab", "Cabbie's Hangout", "Space Rickshaw", "Jitney Run", "Tout's Ball", "Bun Fight", 
"Tripe Shop", "Can of Worms", "Cash in Hand", "Rathole Rank", "Gasworks Run", "Devils Triangle", "Knock on Wood", "Chiswick Roundabout", "Of Mice and Men", "Cabbie's Code", "On the Bounce", "High Roller", "Brooming Off", "Beatle Juice", "Frequent Flyer", "Journeyman Route", "Anything Considered", "Pie and Mash", "Queasy Customer", "Hyperspace Hopper", "Quick Jaunt", "Round the Horn", "Cabbie's Diner", "Wagons Roll", "Saint Columbus", "Maximum Overdrive", "Faster than Light", "Spaghetti Junction", "Roundabout Route", "A Blind Bargain", "Mornington Crescent", "Tripe Factory", 
"On the Slate", "Credit Factory", "On the Meter", "Time and Tide", "Speed Run", "Fresh Fields", "Cooper's Rank", "One of Those Days", "Cosmic Wanderer", "Splash and Dash", "Fast and Furious", "Cosmic Cabbie", "Stellar Convoy", "Pastures New", "Cosmic Chauffeur", "Tucker's Luck", "The Blue Badge", "The Red Rocket", "The Fat Controller", "Uber Wars", "High Stakes", "Rain Maker", "The Tipsy Punter", "Questionable Activity", "Luigi's Rank", "Cosmic Hopper", "Cut and Run", "Pogo Stick", "Industrious Courier", "Circuitous Route", "Winding Road", "Gone Horribly Wrong", 
"Intrepid Explorer", "Midnight Run", "Endless Journey", "Punter's Hearsay", "Hedged Bets", "Cosmic Chauffeur", "Cabbie's Cant", "Lip Service", "Broad Church", "Rickshaw Rank", "Light Touch", "Promising Punter", "Trustworthy Chauffeur", "Hopeful Beacon", "Smoke and Mirrors", "Running on Fumes", "Whizz Kid", "Hot Injectors", "Cosmic Courier", "The Green Man", "The Strange Fare", "Beginners Luck", "Coming in Hot", "Eleventh Hour Arrival", "Dualling Banjos", "Bat out of Hell", "Blowing in the Wind", "Shank's Pony", "Burning Bridges", "Casts no Shadow", "Final Countdown", "Cosmic Rickshaw", 
"Born Slippery", "Manhattan Rank", "Hot Stuff", "The Jolly Courier", "Living on a Prayer", "Lust for Life", "Two by Two", "Honey Bunny", "Stellar Courier", "Rose Tinted View", "Irregular Punter", "Death and Taxes", "Underground Vogue", "Walks by Himself", "Road Runner", "Milk and Honey", "Punch Drunk", "Running Scared", "Night Watch", "Uncharted Course", "One Hand Clapping", "Runaway Passenger", "Man Overboard", "Secret Route", "Stonewall Rank", "Vogon's Grandmother", "Twin Peaks", "One for the Road", "Lane Dodger", "Only a Theory", "The Perilous Punter", "Danger Money",
"Hilarity Ensues", "Fantastic Voyage", "Mount Olympus", "Cartesian Dualism", "Ground Zero", "Finsbury Park", "Madison Square", "Holborn Circus", "Easter Island", "Villain Protagonist", "Willing to Travel", "Harmless Fun", "The Cloned Cabbie", "Game of Life", "He Went That Way", "Airbrushed Accounts", "The Rapid Rickshaw", "How the Mighty Have Fallen", "Bird of Prey", "Over by Christmas", "Cheeky Grin", "Marathon Run", "Sentient Cargo", "Edge of the World", "Danger Mouse", "Galactic Gateway", "Just One Thing to Say", "Eat My Dust", "Quick Job", "Leave No Witnesses", "Devil's Ivy", "Kill Zone", 
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"King of the Road"];

//  Name Array for S.I.R.F Stations (Number of Names in Array: 2,048)
//  This uses the large pool method.
//  SIRIF are not particularly common, but there are about 50 per Galaxy.
//  So that there is a variety of names the pool contains 2,048 names (but only about 400 are actually used).
// Each is made up of 7 Sub Styles rolled off in 64 blocks per Galaxy. So in each Galaxy the 50 odd SIRIfs that appear are named in 4 different styles.
// Over all 8 Galaxies 7 styles are used as three styles are only used in particular Galaxies.
this.sirfpool = [
// Galaxy 1 (Rolled in 4 Rolls of 64)
"Sarcastic Proton", "Whimsical Positron", "Jarrow Shipyard", "Enigmatic Electron", "Charismatic Proton", "Disturber of Picnics", "Silicon Valley", "Status Quo", "Footprints in the Sand", "Charming Photon", "Mischievous Tachyon", "Sands of Sacrifice", "Capricious Neutron", "Charismatic Positron", "Sarcastic Graviton", "Death from Above", "Rules of Engagement", "Woolwich Dockyard", "Charming Proton", "Charming Electron", "Courteous Graviton", "Enigmatic Electron", "State of the Art", "Onrira Orbital Shipyards", "Drums on Fire Mountain", "Under a Lavian Moon", "Peculiar Neutron", "Mellow Quark", "The Left Hand of Death", "Sarcastic Lepton", "Strange Lepton", "Mellow Proton", "Charming Neutrino", "Dancing In The Moonlight", "Capricious Electron", "Sarcastic Electron", "Captivating Tachyon", "Eccentric Tachyon", "Exotic Proton", "Elegant Proton", "Fall of Moondust", "Bashful Tachyon", "Enigmatic Neutron", "Mischievous Electron", "Strange Neutrino", "Enigmatic Proton", "Charismatic Photon", "Smoke in the Wind", "Steelyard Blues", "Steely Glint ", "Demons of the Mind", "Naval Repair Facility 45", "Captivating Electron", "Capricious Proton", "Against a Crooked Sky", "The Frank Whittle", "Peculiar Lepton", "The Fifth Beatle", "Warriors of the Deep", "Enigmatic Lepton", "Mischievous Positron", "Delightful Electron", "Child of the Moon", "Sardonic Electron", "Lucuraa Base", "The Celestial Toymaker", "Trident Foundry", "Ramona Base", "Ahab Spaceport", "The Hammer and Sickle", "Amakuni Workshop", "Black Orchid", "Neptune Workshop", "Jocasta Spaceport", "Virago Base", "Murmurs of Earth", "Ahab Workshop", "Claymore Spaceport", "Asuka Workshop", "Flight of the Phoenix", "Armistice Base", "Akatsuki Foundry", "The Ian Livingstone", "Drinkwater Foundry", "Predacon Spaceport", "Jackdaw Base", "Daedalus Foundry", "Rise of the Robots", "Chance in a Million", "Demon of the Deep", "Just Read The Instructions", "Valhalla Workshop", "Caleuche Workshop", "Liberian Foundry", "Beyond the Wall", "Predacon Spaceport", "Brandenburg Spaceport", "Snake Charmer", "Heart of Midnight", "Titanic Foundry", "Meter Maid", "Albatross Foundry", "Dragonfish Base", "Wind Through the Keyhole", "Silver Bullet", "Blackbird Foundry", "Kornblatt Base", "Andromeda Spaceport", "Campania Spaceport", "Liberian Base", "Pandora Base", "Lathe of Heaven", "Vision of a Future Passed", "Messiah Workshop", "The Ends Of Invention", "Tuscarora Base", "Swordfish Spaceport", "Dyson Foundry", "Trident Workshop", "The Arthur C. Clarke", "Narcissus Spaceport", "Neither Man Nor Beast", "Orcus Foundry", "Colonia Workshop", "Swan Song", "Grayfish Base", "Melusine Foundry", "Trident Spaceport", "Engineer of Hercules", "Window on the West", "Forge of Daedalus", "Smith of the Gods", "Demon of the Bell", "Foundry of Nicodemus", "Smith of Fortuna", "Smith of Tiamat", "Fools Rush In", "Engineer of Daedalus", "Forge of Morpheus", "The Imperishable Flame", "Smith of Icarus", "Tour de Force", "Smith of Hephaestus", "The Forest Oracle", "Requiem for Dissent", "Songs of Distant Earth", "One Man and His Droid", "Dumb Luck", "Engineer of the Gods", "Smith of Vulcan", "Casket of Souls", "Smith of Icarus", "Too Hot to Handle", "The Mystery Machine", "Forge of Daedalus", "Engineer of Solomon", "Forge of Hephaestus", "Forge of Daedalus", "Stranger Here Myself", "Engineer of Vulcan", "The William Carlson", "Free Radical", "Lost Amongst the Stars", "Forge of Icarus", "Forge of Fortuna", "Space Odyssey", "Forge of Fortuna", "Unfortunate Conflict Of Evidence", "Flight from the Dark", "The Walter White", "Engineer of Vulcan", "Oasis of the White Palm", "Forge of Tiamat", "Fall of Zeus", "Workshop of Baphomet", "The Iain M. Banks", "The Yellow Brick Road", "The Great Bird", "Forge of Baphomet", "A Time of Roses", "Smith of Odin", "The Rosalind Franklin", "A Series Of Unlikely Explanations", "God Told Me To Do It ", "Workshop of Baphomet", "Fire of Prometheus", "Foundry of Odin", "Smith of Icarus", "Knight of the Nine", "Workshop of the Gods", "Foundry of Icarus", "Workshop of Odin", "The Bionic Captain", "The Weary Captain", "The Harrington Emerson", "Nervous Hero", "Red Star", "The Almighty Commander", "Wrath of Khan", "Thunder Road", "Pearl Harbor", "The Trickster Commander", "World on a Wire", "Silicon Knight", "Keeper of Secrets", "The Jonathan Swift", "The Disenchanted God", "Art of Destruction", "Unreliable Witness", "The Disenchanted Foeman", "Empire of the Ants", "The Nervous Heroine", "The Jealous Hero", "The Disenchanted Heroine", "Pyramid of Mars", "Only Slightly Bent", "Hunting the Snark", "Hard to Be a God", "Kitty Has Claws", "Night of the Comet", "Beyond Good and Evil", "The Cynical Heroine", "The Bionic Heroine", "The Disenchanted Foeman", "The Grigori Rasputin", "Matriarch of Swarms", "Children of Men", "The Weary Foeman", "The Jealous God", "The Mikhail Gorbachev", "The Cynical Heroine", "No More Mr Nice Guy ", "The Trickster God", "The Weary Commander", "The Bionic God", "The Jaded God", "The Disenchanted God", "Let There Be Light", "The Cynical Heroine", "The Weary Hero", "The Phillip K. Dick", "Heavy Metal", "Spark of Rebellion", "The Disenchanted Heroine", "The Disenchanted Heroine", "The Trickster Hero", "The Rebecca Weston", "The Jealous Hero", "Time Walker", "The Trickster Heroine", "Knight of the Black Rose", "The Jealous Hero", "The Weary Foeman", "The Cynical Heroine", "Venom in Her Veins", "The Disenchanted Foeman",
// Galaxy 2 (Rolled in 4 Rolls of 64)
"Albatross Waystation", "Cussler Starbase", "Montana Starbase", "Badge of Carnage", "Klondike Waystation", "Nereid Cosmodrome", "The Gods Must Be Crazy", "Arabella Starbase", "Secret of the Immortals", "Amindra Starbase", "Calypso Starport", "Vulcan Cosmodrome", "Solent Starbase", "Screaming into the Void", "Belafonte Starport", "Son of the Hydra", "Klondike Waystation", "Beyond the Gildar Rift", "Nautilus Cosmodrome", "Pandora Waystation", "Montgomery Starbase", "Poseidon Starport", "Barracuda Starbase", "Dreaming of Electric Sheep", "And Then There Were None", "Charleston Starport", "Galileo Armaments Facility", "Enterprise Starbase", "Saratoga Cosmodrome", "Nautilus Waystation", "Asuka Waystation", "The Rest Will Follow", "Caleuche Waystation", "Take the Money and Run", "Normandy Starbase", "Supply and Demand", "Atlantic Waystation", "Fire Warrior", "Poseidon Waystation", "Kornblatt Cosmodrome", "Spark of Revolution", "Sawfish Waystation", "The Stephen Baxter", "Devonshire Waystation", "Away with the Wind", "Corsair Cosmodrome", "Argo Starbase", "Nemesis Starport", "Montana Cosmodrome", "Liberty Prime", "Claymore Starport", "Fort Caecilius", "Ramona Starbase", "Ballantrae Waystation", "The White Glove Armory", "Fort Potestas", "Montgomery Cosmodrome", "Claridon Starport", "Top of the World", "Cithara Waystation", "Nemo Waystation", "A Rose Watered with Blood", "Argonaut Starbase", "The Moon of Madness", "Tycho Docks", "Better Dead Than Red", "The Old Man and the Sea", "Thinking Out Loud", "Calypso Hangar", "Blackbird Hangar", "Jocasta Hangar", "Storm of Iron", "Siranui High", "Hispania Platform", "Korund Docks", "Virago High", "Messiah Hangar", "Valette High", "Rusalka Docks", "Blood of the Unicorn", "Melusine Hangar", "Brothers of the Snake", "Catch Twenty Two", "Liberian Docks", "Melusine Docks", "Valette High", "Estrella Docks", "Beyond the Burning Lands", "Lucuraa Hangar", "Andromeda Docks", "Invitation to an Accident", "Milano High", "Levels of Wealth", "Lorelei Docks", "Clementine Hangar", "Orpheus Docks", "Poppadum Docks", "Rocinante Docks", "All Along the Watchtowers", "Confidence and Paranoia", "Messiah Docks", "Solace Platform", "Over the Moon", "Crossing the Line", "Jackdaw High", "Kusari Hangar", "Are You Not Entertained", "Jackdaw Hangar", "Comrades of Summer", "Phoenix from the Ashes", "Georgetown Hangar", "Narcissa Platform", "Open for Business", "Jeroboam High", "In the Cold Light of Day", "Panache Hangar", "Rocinante Platform", "Mayflower Platform", "Valette Hangar", "Calling the Shots", "Friede Platform", "Arkansas Hangar", "Jericho Docks", "Siranui Hangar", "Korund Platform", "Sutanto Docks", "Nightflyer Platform", "First Amongst Equals", "Palanquin Foundry", "The Serpent Beneath", "Titanic Foundry", "Saratoga Foundry", "Saracen Spaceport", "Valhalla Workshop", "Beluga Foundry", "Miracle of the Rose", "The Donna Summers", "Persephone Base", "Anvil of Fenris", "Jericho Workshop", "Roton Workshop", "Estrella Foundry", "Britannia Workshop", "Scorched Earth Policy", "Borealis Base", "Fishing for Compliments", "Art of Conversation", "Argo Workshop", "Dolphin Spaceport", "Achates Base", "The Seventh Moon", "Grab Yourself an Alibi", "The Seventh Serpent", "Korund Spaceport", "Akatsuki Workshop", "Nautilus Spaceport", "Hispania Base", "Cascara Workshop", "Charleston Foundry", "Britannic Base", "Bloodhound Base", "Devonshire Base", "Spark in the Shadows", "Code of the Lifemaker", "Milano Workshop", "Bismarck Workshop", "Trenton Spaceport", "Ounce of Prevention", "Memo from Purgatory", "Caleuche Base", "Solace Foundry", "Roton Workshop", "Tiberius Base", "Gunman of the Apocalypse", "Atlantis Base", "Ramona Foundry", "Pandora Workshop", "And the Desert Shall Blossom", "Fire on the Mountain", "Britannic Base", "Scorpion Foundry", "Solace Workshop", "Hero of the Imperium", "Vestal Base", "Luck of the Draw", "Trenton Foundry", "Cithara Spaceport", "Atlantis Foundry", "Teatime of the Soul", "Too Good to Be True", "Kornblatt Workshop", "Candle in the Wind", "The Natalie Portman", "Vision Quest", "Engineer of Hephaestus", "Valley of the Drakes", "Engineer of Faustus", "Workshop of Daedalus", "Engineer of Daedalus", "Angel of Darkness", "On Wings of Blood", "Forge of Athena", "Dark Side of the Moon", "The Francis Leslie", "Guardian of the Revolution", "Foundry of Icarus", "The Medusa Touch", "Through a Glass Darkly", "The Midas Touch", "Wreck and Ruin", "Devil takes the Hindmost", "The Mary Anning", "Engineer of Baphomet", "Forge of Vulcan", "War Without End", "Shut Up and Dance", "Within an Armoured Shell", "Engineer of Herculis", "Your Wish is Granted", "The Johannes Brahms", "Prepared for Trouble", "The Antonio Vivaldi", "The Odette Bancilhon", "Children of the Night", "Engineer of Nicodemus", "The John Leadstone", "Heart of the World", "Disturbance in the Force", "Nareau Armory", "Engineer of Tiamat", "Specialty of the House", "Despite the Falling Snow ", "The Peter Dinklage", "Engineer of Daedalus", "Workshop of Nicodemus", "The Terauchi Masatake", "Engineer of Icarus", "Ghost Warrior", "Smith of Athena", "Engineer of Daedalus", "Forge of Hephaestus", "Going by the Book", "Workshop of the Gods", "Engineer of Herculis", "The Eleanor Helin", "Workshop of Tiamat", "Flower on the Stone", "Foundry of Faustus", "Key to the Problem", "The Simon Mascarino", "Birth of the Imperium", "Shelob Armory", "Forge of Tiamat", "Forge of Solomon", "Engineer of Odin", "Bring Me Sunshine",
// Galaxy 3 (Rolled in 4 Rolls of 64)
"Avalon Hangar", "The Hans Christian Andersen", "The Black Candle", "Hispaniola Hangar", "Georgetown Hangar", "He Who Fights Monsters", "Speedwell Platform", "Georgetown Astrodome", "Beluga Astrodome", "Jericho Hangar", "Vestal Platform", "Daedalus High", "Atropos High", "Korund Astrodome", "Clementine Docks", "Speedwell Hangar", "Pocahantas Hangar", "Lucuraa Platform", "Rusalka Astrodome", "Calypso Astrodome", "Hispaniola Hangar", "Master Of Puppets", "Trenton Platform", "Skylon Astrodome", "Sutanto Docks", "Makepeace Platform", "His Dark Materials", "Panache High", "Solace Platform", "Arkansas Platform", "Panache Astrodome", "Bloodhound Docks", "Solace High", "Clementine Hangar", "Hellebore Hangar", "Trenton Platform", "The Richard Morgan", "Pleiades Hangar", "The Neil Gaiman", "Orpheus Docks", "Antaeus High", "Isabella Astrodome", "Achates Platform", "Iphigenia Platform", "Colonia Hangar", "Jackdaw Hangar", "Deucalion Hangar", "Adonis Docks", "Hesperus Hangar", "Speedwell Platform", "Son of a Preacher Man", "Melusine Hangar", "Hispaniola Hangar", "The Christian Pinder", "Dyson Platform", "Patrician Docks", "Predacon High", "Achilles Platform", "Bernal Hangar", "Valette High", "Talos Astrodome", "Trenton Docks", "Speedwell High", "Ericson Platform", "Bashful Quark", "Mellow Photon", "Courteous Lepton", "Mischievous Photon", "Enigmatic Quark", "Enigmatic Proton", "Peculiar Proton", "Elegant Neutron", "Charming Electron", "Exotic Lepton", "Peculiar Graviton", "Mellow Quark", "Enigmatic Neutron", "Strange Neutrino", "Delightful Neutron", "Eccentric Proton", "Dawdling Electron", "Elegant Electron", "Nonchalant Graviton", "Sarcastic Neutrino", "Captivating Proton", "Delightful Positron", "Elegant Electron", "Strange Neutrino", "Captivating Graviton", "Mischievous Quark", "Eccentric Neutron", "Dawdling Graviton", "Sarcastic Photon", "Eccentric Positron", "Mischievous Positron", "Enigmatic Positron", "Dawdling Proton", "Charismatic Neutron", "Strange Graviton", "Sardonic Neutron", "Sarcastic Graviton", "Capricious Lepton", "Delightful Photon", "Enigmatic Photon", "Delightful Tachyon", "Delightful Graviton", "Mellow Graviton", "Swarm of Doom", "Bashful Neutron", "Bashful Neutron", "Bashful Quark", "Exotic Positron", "Peculiar Neutron", "Bashful Graviton", "Mellow Quark", "Mellow Tachyon", "Captivating Tachyon", "Charming Lepton", "Sardonic Quark", "Nonchalant Neutrino", "Sarcastic Quark", "Nonchalant Graviton", "Sarcastic Electron", "Eccentric Proton", "Captivating Positron", "Sarcastic Positron", "Delightful Neutrino", "Charismatic Electron", "Caleuche Spaceport", "Hellebore Foundry", "Enterprise Base", "Bloodhound Workshop", "Langley Base", "The Only Game In Town", "Campania Workshop", "Mayflower Spaceport", "The Theodore Newton", "Titanic Foundry", "Crossing the Rubicon", "Dolphin Spaceport", "Amaterasu Foundry", "Proteus Base", "Neptune Workshop", "Virago Base", "Avalon Workshop", "Caledonia Workshop", "Charleston Foundry", "Calypso Base", "Makepeace Foundry", "Shackleton Workshop", "Narcissa Foundry", "Iphigenia Spaceport", "Georgetown Foundry", "Enterprise Base", "Palanquin Workshop", "Atlantic Base", "Orca Workshop", "Atlantis Workshop", "Calypso Workshop", "Lexington Base", "Pampero Spaceport", "Ramona Workshop", "Amakuni Foundry", "Britannia Workshop", "Dulcibella Foundry", "Orca Spaceport", "Montana Foundry", "Grayfish Spaceport", "Buran Spaceport", "Lucuraa Spaceport", "Valette Foundry", "Orpheus Workshop", "Fenton Spaceport", "Britannia Workshop", "Sutanto Workshop", "Melusine Base", "Pandora Workshop", "Amaterasu Workshop", "Proteus Workshop", "Rocinante Workshop", "Sutherland Workshop", "Ahab Base", "Predacon Workshop", "Daedalus Spaceport", "Solace Base", "Nakatomi Workshop", "Arabella Foundry", "Orcus Spaceport", "Odin Foundry", "The Donald Sutherland ", "Argonaut Foundry", "Grossadler Workshop", "Engineer of Morpheus", "Engineer of Prometheus", "Forge of Vulcan", "The Gareth Thomas", "Forge of Baphomet", "Clearing in the Forest", "Workshop of Fortuna", "Foundry of Fortuna", "Smith of Athena", "Workshop of Zeus", "Forge of Athena", "Engineer of Solomon", "Foundry of Faustus", "The Christopher Pike", "Workshop of Hercules", "Smith of the Gods", "Engineer of Daedalus", "Engineer of Faustus", "Engineer of Zeus", "Workshop of Daedalus", "War Queen", "Smith of the Gods", "Workshop of Daedalus", "Engineer of Nicodemus", "Forge of Odin", "Engineer of Hercules", "Smith of Odin", "The Takahashi Korekiyo", "Workshop of Faustus", "The Paul Darrow", "Engineer of Hephaestus", "Forge of Zeus", "Engineer of Morpheus", "The Sandra Faber", "Workshop of Faustus", "Workshop of Daedalus", "Forge of Fortuna", "Smith of Hercules", "Forge of Prometheus", "Smith of Daedalus", "Engineer of Odin", "Foundry of the Gods", "Workshop of Odin", "Workshop of Hercules", "The Anneila Sargent", "Smith of Icarus", "Smith of the Gods", "Forge of Daedalus", "Engineer of Baphomet", "Forge of Athena", "Workshop of Nicodemus", "Workshop of Solomon", "Workshop of Fortuna", "Workshop of Tiamat", "Workshop of Hercules", "The Merle M. Rasmussen", "Foundry of Vulcan", "Forge of Baphomet", "Smith of Baphomet", "The Richard Noland", "The Louise Schroeder", "Engineer of Faustus", "Engineer of Faustus", "Engineer of Prometheus",
// Galaxy 4 (Rolled in 4 Rolls of 64)
"Trident Workshop", "Speedwell Foundry", "The Grey Haven", "Claymore Spaceport", "Siranui Base", "Kornblatt Base", "Atlantis Base", "Ballantrae Spaceport", "Solace Workshop", "Lawton Workshop", "Normandy Foundry", "Friede Workshop", "Amaterasu Base", "Defiant Foundry", "Moldavia Workshop", "In the Still of the Night", "Neptune Base", "Mayflower Base", "Leviathan Spaceport", "Buran Foundry", "Achilles Workshop", "Nemo Spaceport", "Talos Workshop", "Palanquin Foundry", "Defiant Base", "Belafonte Spaceport", "Solace Base", "Nemesis Foundry", "Lucuraa Spaceport", "Copperfin Foundry", "Vestal Foundry", "Dakota Base", "Shackleton Foundry", "Titan Workshop", "The Kennedy Space Center", "Jeroboam Foundry", "A Sixth Part of the World", "Avalon Foundry", "Isabella Base", "Ericson Spaceport", "Bloodhound Workshop", "Atlantis Spaceport", "Give Peace a Chance", "Nemo Base", "Enterprise Spaceport", "Claymore Foundry", "Bernal Base", "Titan Spaceport", "Enterprise Spaceport", "Predacon Base", "Astrea Spaceport", "Pampero Spaceport", "Daedalus Foundry", "Crithania Base", "Scorpion Foundry", "Jeroboam Workshop", "Copperfin Foundry", "Leviathan Base", "Gatekeeper of Gozer", "Titan Workshop", "Dulcibella Base", "Jocasta Foundry", "Solent Foundry", "Ocellus Workshop", "Belafonte Starbase", "Britannia Starbase", "Albatross Starport", "Alameda Waystation", "Defiant Starport", "Cutlass Starport", "Brandenburg Starbase", "Nautilus Cosmodrome", "Grayfish Cosmodrome", "Tuscarora Starbase", "Titanic Starbase", "Lawton Starport", "Nemo Starbase", "Ramona Starport", "Cithara Cosmodrome", "Albatross Waystation", "Arabella Starbase", "Angelina Starbase", "Swordfish Starbase", "Volante Waystation", "Ballantrae Cosmodrome", "A Lizard for All Seasons", "Charleston Waystation", "Valparaiso Starbase", "Barracuda Waystation", "Oakland Starbase", "Caledonia Waystation", "Saratoga Starport", "Nautilus Cosmodrome", "Titan Starport", "Nautilus Starport", "Cussler Starport", "Ulysses Waystation", "Calypso Starbase", "Ishin Cosmodrome", "Odin Starport", "Delaware Waystation", "Caleuche Waystation", "Grayfish Cosmodrome", "Defiant Waystation", "Britannic Waystation", "Claymore Cosmodrome", "Glencairn Cosmodrome", "Claridon Cosmodrome", "Britannia Starbase", "Cutlass Cosmodrome", "Normandy Starport", "Obscured by Clouds", "Valhalla Starport", "Dulcibella Cosmodrome", "The Robert Smith", "Arabella Starport", "Albatross Starport", "Tionisla Rising", "Tuscarora Waystation", "Calypso Starport", "Angelina Cosmodrome", "Defiant Cosmodrome", "Arabella Cosmodrome", "Odessa Cosmodrome", "Saratoga Waystation", "Atlantis Starbase", "Angelina Waystation", "Ballantrae Waystation", "Workshop of Zeus", "The Grace Lee Whitney", "All Quiet on the Western Front", "Foundry of Tiamat", "Forge of Faustus", "Smith of the Gods", "Workshop of Fortuna", "Big Brother is Watching You", "Engineer of Faustus", "The Vera Rubin", "When the Tigers Broke Free", "Engineer of Hephaestus", "Engineer of Hephaestus", "One Hand Clapping", "Foundry of Nicodemus", "Workshop of Nicodemus", "Foundry of Faustus", "Forge of Hephaestus", "Foundry of Prometheus", "Smith of Hercules", "Workshop of Nicodemus", "Workshop of Odin", "Workshop of Hercules", "Foundry of Athena", "Forge of Daedalus", "Foundry of Odin", "Foundry of Hephaestus", "Foundry of Odin", "Chasing Rainbows", "Time of the Butterflies", "Foundry of Nicodemus", "Engineer of Nicodemus", "Smith of Odin", "Smith of Nicodemus", "The Thomas Nichols", "Workshop of Nicodemus", "Engineer of Hercules", "Smith of Baphomet", "Engineer of Fortuna", "Smith of Hercules", "Engineer of Nicodemus", "Forge of Athena", "Workshop of Nicodemus", "The Robin Williams", "Workshop of Nicodemus", "Engineer of Hercules", "Forge of Fortuna", "Workshop of Odin", "The Michael Keating", "Smith of Daedalus", "Thanks For The Memory", "Workshop of Tiamat", "The Bruce Greenwood", "The Richard Dormer", "Forge of Solomon", "Workshop of Zeus", "The Giancarlo Esposito", "The Sucheta Kripalani", "Momentary Lapse of Reason", "Engineer of Prometheus", "The Thomas Penniston", "Something Wicked This Way Comes", "The Indira Varma", "The Year of Living Dangerously", "The Bionic Hero", "The Weary God", "The Jaded Hero", "The Nervous Hero", "The Nervous Hero", "Ring around the Sun", "The Jealous God", "The Cynical Commander", "The Nervous Heroine", "The Trickster Commander", "The Jealous God", "The Trickster Hero", "The Trickster God", "The Weary Foeman", "Battle of the Atlantic", "The Jealous Commander", "The Jaded God", "Battle of the Bulge", "The Trickster Captain", "The Nervous Heroine", "The Jealous Hero", "The Disenchanted Heroine", "The Almighty God", "The Bionic Foeman", "The Nervous God", "The Almighty Foeman", "The Weary Foeman", "The Cynical Commander", "The Trickster Hero", "The Cynical Heroine", "The Bionic Heroine", "Obliteration of the Self", "The Disenchanted Hero", "The Trickster Foeman", "The Jealous God", "The Weary Foeman", "The Jealous Heroine", "The Disenchanted Hero", "The Cynical Heroine", "The Jealous Commander", "The Trickster Heroine", "The Weary Commander", "The Bionic God", "The Jaded God", "The Disenchanted Heroine", "The Disenchanted Captain", "The Cynical Heroine", "The Weary Hero", "The Weary Heroine", "The Almighty Foeman", "Name of the Father", "The Disenchanted Heroine", "Spirit of the People", "The Trickster Hero", "The Bionic God", "You Can't Take It with You", "The Cynical Commander", "The Trickster Heroine", "The John W. Campbell", "The Harrison Ford", "The Weary Foeman", "The Cynical Heroine", "The Jaded God", "The Disenchanted Foeman",
// Galaxy 5 (Rolled in 4 Rolls of 64)
"Workshop of Solomon", "Workshop of Baphomet", "The Laura Bassi", "Forge of Baphomet", "The Anne Gray", "Forge of Daedalus", "The Nicolas Poussin", "Forge of Prometheus", "Workshop of the Gods", "Smith of Odin", "The Ethan Hawke ", "Forge of Zeus", "The Isaac Newton", "Foundry of Faustus", "The Jonathan Banks", "Foundry of Zeus", "Forge of Zeus", "The Susannah York", "Workshop of Zeus", "Engineer of Prometheus", "Foundry of Hephaestus", "Engineer of Tiamat", "Forge of Zeus", "Foundry of Athena", "Workshop of Nicodemus", "Slouching Towards Bedlam", "The Robert Stevenson", "Smith of Icarus", "The Diana Rigg", "Workshop of Zeus", "Forge of Prometheus", "Foundry of Odin", "Here There Be Tygers", "The Jacqueline Pearce", "Forge of Vulcan", "Overdrawn at the Memory Bank", "Engineer of Faustus", "The Beatrice Tinsley", "Foundry of Nicodemus", "Blood on the Sun", "The Katherine Johnson", "Smith of Baphomet", "Engineer of Hercules", "Workshop of Zeus", "Foundry of Zeus", "Engineer of Fortuna", "Smith of Morpheus", "Smith of Zeus", "The James Plantain", "The Dylan Minnette", "Dark Side of the Moon", "Through the Eyes of a Monster", "The Kenneth More", "Forge of Vulcan", "Engineer of Odin", "Engineer of the Gods", "Workshop of Tiamat", "Engineer of Athena", "Engineer of Baphomet", "Engineer of Nicodemus", "Engineer of Zeus", "Workshop of Solomon", "Forge of Zeus", "Engineer of Solomon", "Arkansas Base", "Amaterasu Base", "Siranui Foundry", "Bloodhound Foundry", "Pandora Workshop", "Palanquin Workshop", "Read the Fine Print", "Calypso Workshop", "Triton Workshop", "Akatsuki Workshop", "Delaware Foundry", "Genesis Base", "Nereid Foundry", "Jack of All Trades", "Milano Spaceport", "Genesis Base", "The Buddha of Suburbia", "Vestal Base", "Devonshire Foundry", "Tycho Workshop", "Liparus Base", "Buran Workshop", "Orpheus Base", "Nautilus Spaceport", "Solace Foundry", "Day of the Tentacle", "Pampero Workshop", "Vulcan Base", "Saratoga Foundry", "Hesperus Base", "Neptune Workshop", "Claridon Spaceport", "Pocahantas Base", "Solent Base", "Makepeace Workshop", "Conspiracy of Silence", "Corsair Workshop", "Solace Workshop", "Waiting For The Ghost Train", "Nereid Foundry", "Atropos Base", "Ballard of the Hidden Asp", "Hephaestus Workshop", "Amphitrite Base", "Jackdaw Base", "Under a Killing Moon", "Caleuche Workshop", "Montana Workshop", "Predacon Base", "Bismarck Base", "Britannia Base", "Poseidon Foundry", "Asuka Base", "Andromeda Workshop", "Amakuni Workshop", "Orcus Workshop", "Saracen Spaceport", "Friede Foundry", "Drinkwater Base", "Georgetown Spaceport", "Postcard from Tionisla", "Tuscarora Base", "Maid of Bond Street", "Iphigenia Foundry", "Courteous Proton", "Charming Quark", "Elegant Graviton", "Nonchalant Photon", "Sarcastic Photon", "Courteous Photon", "Elegant Neutron", "Charismatic Quark", "Mischievous Tachyon", "Delightful Neutrino", "Mischievous Neutrino", "Courteous Lepton", "Mischievous Graviton", "Sarcastic Electron", "Delightful Lepton", "Exotic Tachyon", "Puppet On A String", "Captivating Lepton", "Bashful Lepton", "Strange Lepton", "Mellow Lepton", "Charismatic Electron", "Enigmatic Tachyon", "Peculiar Quark", "Dawdling Proton", "Charming Graviton", "Bashful Electron", "Enigmatic Tachyon", "Enigmatic Proton", "Sardonic Graviton", "Exotic Neutron", "Bashful Electron", "Charming Proton", "Nonchalant Neutron", "Mischievous Neutron", "Dawdling Quark", "Dawdling Electron", "Dawdling Neutrino", "Captivating Proton", "Mischievous Proton", "Nonchalant Neutrino", "Bashful Electron", "Bashful Graviton", "Exotic Electron", "Courteous Quark", "Mischievous Tachyon", "Exotic Photon", "Elegant Neutrino", "Enigmatic Electron", "Peculiar Graviton", "Eccentric Proton", "Nonchalant Quark", "Charismatic Photon", "Eccentric Proton", "Elegant Neutrino", "Courteous Tachyon", "Eccentric Lepton", "Devil in Disguise", "Charismatic Neutron", "Courteous Electron", "Charismatic Electron", "Captivating Proton", "Mellow Photon", "Courteous Lepton", "Milano High", "Poppadum High", "Rocinante Hangar", "Beluga Hangar", "Avalon Hangar", "Siranui Docks", "Ocellus Docks", "Jericho Docks", "Hispaniola Astrodome", "Rheinland Hangar", "Friede Astrodome", "Beluga High", "Ocellus Docks", "Estrella Astrodome", "Patrician High", "Colonia High", "Anastasia Docks", "Clementine Hangar", "Valette Hangar", "Echo in the Darkness", "Jocasta Hangar", "Predacon Docks", "Leonov Docks", "Iphigenia Platform", "Pampero Docks", "Bretonia Docks", "Adonis Astrodome", "Bretonia High", "Ocellus Hangar", "Lorelei High", "Isabella Docks", "Kusari Hangar", "Beluga High", "Virago High", "Trident Docks", "Atropos High", "Tycho High", "Jocasta Docks", "Stranger in the Crowd", "Daedalus Hangar", "Speedwell Docks", "Kusari Platform", "Deucalion Docks", "Ocellus Astrodome", "Valette High", "Jocasta Platform", "Mayflower Hangar", "Skylon Hangar", "Messiah High", "Makepeace Astrodome", "Amphitrite Platform", "Borealis Platform", "Friede Astrodome", "Milano Docks", "Lucuraa Docks", "Jeroboam Docks", "Calypso Platform", "Andromeda Platform", "Snow on the Roses", "Amaterasu Docks", "Arkansas Platform", "Avalon High", "Nightflyer Astrodome", "Roton High",
// Galaxy 6 (Rolled in 4 Rolls of 64)
"The Cynical Hero", "The Bionic Captain", "The Weary Protagonist", "The Almighty Heroine", "The Disenchanted Heroine", "The Cynical Heroine", "One False Step for Mankind", "Substitute for Love", "The Disenchanted Protagonist", "The Bionic God", "The Trickster God", "The Trickster Foeman", "The Trickster Captain", "The Jealous Protagonist", "The Almighty God", "The Cynical Captain", "The Almighty Protagonist", "The Weary Hero", "The Trickster Captain", "The Bionic Heroine", "The Weary Commander", "The Nervous God", "The Bionic Captain", "The Almighty Commander", "The Disenchanted Heroine", "The Cynical Commander", "The Trickster Commander", "The Cynical God", "The Almighty Protagonist", "The Jaded Commander", "The Cynical Captain", "The Robert A Heinlein", "The Weary Hero", "The Trickster Foeman", "The Weary Heroine", "The Almighty Foeman", "The Disenchanted Commander", "The Jealous Heroine", "The Jealous Heroine", "The Bionic Hero", "The Disenchanted Protagonist", "Sign of the Four", "The Bionic Commander", "The Bionic Hero", "The Cynical Commander", "No Place Like Home", "The Jealous Commander", "The Cynical Heroine", "Master of the Flying Guillotine", "The Jealous Heroine", "Agent of Fortune", "The Nervous Protagonist", "The Trickster Foeman", "Attack of the Giant Leeches", "The Disenchanted Hero", "The Pit Stop", "The Bionic Captain", "The Jealous Protagonist", "The Bionic Captain", "The Almighty Hero", "The Almighty Commander", "The Trickster Captain", "The Almighty God", "The Bionic Protagonist", "Forge of Solomon", "Engineer of Nicodemus", "Engineer of the Gods", "The Josette Simon", "The Leonard McCoy", "Forge of Tiamat", "Forge of Athena", "Forge of Tiamat", "Workshop of Baphomet", "Foundry of the Gods", "The Tony Lee", "Smith of the Gods", "Forge of the Gods", "Smith of Baphomet", "Smith of Baphomet", "Forge of Vulcan", "Foundry of Nicodemus", "Lord of the Rings", "Foundry of Vulcan", "Smith of Hephaestus", "Engineer of Faustus", "In The Mouth of Madness", "The DeForest Kelley", "Foundry of the Gods", "Forge of Zeus", "Engineer of Daedalus", "Forge of Faustus", "Workshop of Odin", "Settled Out of Court", "Smith of Faustus", "Workshop of Morpheus", "Forge of Baphomet", "Engineer of Icarus", "Foundry of the Gods", "Foundry of Athena", "The Simon Pegg", "Forge of Hephaestus", "Engineer of Athena", "The Dorothy L. Sayers", "Smith of Odin", "Smith of Daedalus", "Foundry of Icarus", "Workshop of Baphomet", "Foundry of Athena", "Foundry of Athena", "Forge of Solomon", "The Claudia Sheinbaum", "The Kato Tomosaburo", "Forge of Prometheus", "The Elizabeth Parker", "Workshop of Fortuna", "The Jennifer Doudna", "The Zoe Saldana", "Forge of Daedalus", "Foundry of Fortuna", "Down to the Waterline", "Clan of the Cave Bear", "The Mark Lenard", "Smith of Faustus", "The Daniel Porter", "Workshop of Nicodemus", "Foundry of Fortuna", "Workshop of Tiamat", "Forge of Fortuna", "Nereid Waystation", "Caledonia Starbase", "Oakland Starport", "Barracuda Starbase", "Defiant Cosmodrome", "Montgomery Starbase", "Ishin Cosmodrome", "Tiberius Starport", "Devonshire Waystation", "Fenton Starbase", "Dulcibella Cosmodrome", "Scorpion Cosmodrome", "Montana Starbase", "Barracuda Waystation", "Normandy Starport", "Barracuda Cosmodrome", "Battle of the Gods", "Cutlass Starport", "Angelina Cosmodrome", "Britannic Cosmodrome", "Jackson Starbase", "Charleston Starbase", "Sawfish Starport", "Charleston Starport", "Delaware Cosmodrome", "Fenton Starbase", "Nightmare of the Wolf", "Devonshire Starport", "Campania Starport", "Solent Cosmodrome", "Nereid Waystation", "Illustria Starport", "Normandy Cosmodrome", "Fenton Waystation", "Amakuni Waystation", "On a Wing and a Prayer", "Solent Starport", "Grossadler Starbase", "Nautilus Cosmodrome", "Copperfin Waystation", "Orca Starport", "Brandenburg Starbase", "Ballantrae Starport", "Decolore Starport", "Ishin Starport", "Atlantic Cosmodrome", "Ulysses Starbase", "Ahab Waystation", "Devonshire Waystation", "Britannic Waystation", "Brandenburg Cosmodrome", "Decolore Cosmodrome", "Poseidon Waystation", "Dragonfish Starbase", "Illustria Starbase", "Liparus Starport", "Ulysses Waystation", "Decolore Waystation", "Arabella Starport", "Hephaestus Waystation", "Noah Starbase", "Nautilus Cosmodrome", "Sawfish Starport", "Aspen Cosmodrome", "Georgetown Foundry", "Aspen Spaceport", "Normandy Foundry", "Volante Foundry", "Achilles Base", "Hephaestus Spaceport", "Beyond A Reasonable Doubt", "Ramona Workshop", "Caine Base", "Grossadler Workshop", "Andromeda Foundry", "Cussler Workshop", "Time of Contempt", "Clementine Spaceport", "Moldavia Foundry", "Ahab Workshop", "Hispaniola Foundry", "Kornblatt Workshop", "Kornblatt Foundry", "Britannia Spaceport", "Lucuraa Spaceport", "Going through the Motions", "Skylon Workshop", "Crithania Spaceport", "Hispaniola Foundry", "Nemo Workshop", "Mayflower Foundry", "Moldavia Spaceport", "Ballantrae Workshop", "Orca Base", "Jericho Spaceport", "Nautilus Workshop", "Ishin Base", "Makepeace Base", "Titanic Foundry", "The Ghost Who Walks", "Lawton Spaceport", "Tiberius Spaceport", "Liberian Workshop", "Buran Base", "Georgetown Foundry", "Dolphin Base", "Nautilus Base", "Lorelei Foundry", "Illustria Workshop", "Hellebore Base", "Fistful of Travellers Cheques", "Anchises Base", "Roton Spaceport", "Speedwell Foundry", "Some Things Never Die", "Orcus Foundry", "Amaterasu Workshop", "Corsair Spaceport", "Deucalion Workshop", "Skylon Spaceport", "Illustria Base", "Corsair Base", "Narcissus Base", "Asuka Base", "Mayflower Base", "Saracen Workshop", "Glencairn Spaceport", "Normandy Base",
// Galaxy 7 (Rolled in 4 Rolls of 64)
"Titanic Starbase", "Angelina Waystation", "Claymore Waystation", "Saratoga Cosmodrome", "Poseidon Starbase", "Proteus Starport", "Scorpion Starport", "Glencairn Waystation", "Vulcan Waystation", "Atlantic Cosmodrome", "Scorpion Starbase", "Delaware Starport", "Genesis Cosmodrome", "Ramon Security Orbital Shipyard", "Odessa Waystation", "Dolphin Starport", "Atlantis Waystation", "From Earth to the Moon ", "Last Defender of Camelot", "Corsair Cosmodrome", "Cithara Waystation", "Caledonia Starport", "Bismarck Waystation", "Enterprise Starbase", "Pandora Starbase", "Nautilus Starbase", "Kornblatt Starport", "Defiant Starport", "Odin Starport", "Barracuda Starbase", "Cithara Starport", "Dragonfish Starbase", "Amindra Starbase", "Normandy Starbase", "Normandy Waystation", "Anchises Waystation", "Noah Waystation", "Scorpion Starport", "Alameda Cosmodrome", "The Isaac Asimov", "Orca Cosmodrome", "Alameda Starport", "Valhalla Waystation", "Goliath Starbase", "Ramona Starport", "Broadsword Starport", "Bismarck Starbase", "Cithara Waystation", "Kornblatt Cosmodrome", "Montgomery Starport", "Nautilus Starbase", "Albatross Cosmodrome", "Corsair Starport", "Cussler Cosmodrome", "Embrace of the Serpent", "Dolphin Waystation", "Liparus Cosmodrome", "Albatross Waystation", "Copperfin Cosmodrome", "Delaware Cosmodrome", "Goliath Starport", "Ulysses Waystation", "Atlantic Waystation", "Caleuche Waystation", "Engineer of Morpheus", "The Alexander Allerson", "Smith of Odin", "Engineer of Athena", "Engineer of Vulcan", "Engineer of Faustus", "The Heidi Hammel", "Better Dead Than Smeg", "Engineer of Vulcan", "Smith of Nicodemus", "Smith of Daedalus", "The Kim Weaver", "Workshop of Tiamat", "Foundry of the Gods", "Workshop of Hercules", "Smith of Morpheus", "Smith of Hephaestus", "Engineer of Baphomet", "Journey to Tyburn Tree", "Smith of Morpheus", "Foundry of Morpheus", "Smith of Athena", "Engineer of Prometheus", "Ants Don't Dance", "Blood on the Battlefield", "Workshop of Zeus", "Workshop of Morpheus", "Engineer of Icarus", "The Aaron Allston", "Workshop of Zeus", "The Pablo Picasso", "Engineer of Baphomet", "Forge of Daedalus", "Cabin in the Woods", "Engineer of Hephaestus", "Smith of Hephaestus", "Foundry of Hephaestus", "A Place at the Table", "The Lillian de la Torre", "Foundry of Athena", "The Janice Rand", "Smith of Prometheus", "Journey into Madness", "Smith of the Gods", "The Laura Fraser", "Forge of Zeus", "Forge of Morpheus", "The Lindsey Ginter", "The Tamara Smirnova", "Forge of Prometheus", "The Sophie Germain", "The Omar Khayyam", "Engineer of Fortuna", "Foundry of Morpheus", "Track of the Moon Beast", "Foundry of Tiamat", "The Lisa Randall", "Forge of Baphomet", "Foundry of Athena", "Engineer of Zeus", "Dead Men Don't Wear Plaid", "The Long Arm of the Law", "Forge of Morpheus", "Foundry of Icarus", "Konovalov Astrodome", "Where Spirits Have Lease", "House of the Four Winds", "Vestal Astrodome", "Hesperus Docks", "Kusari Astrodome", "The Man Who Knew Too Much", "The Final Problem", "Rheinland Platform", "Amaterasu Hangar", "Hispania High", "Jeroboam Platform", "Armistice Platform", "Friede Platform", "Moldavia Platform", "Sutanto Hangar", "Leviathan Platform", "Rocinante Docks", "Talos Hangar", "Langley High", "Friede Astrodome", "Persephone Platform", "Shackleton High", "Rheinland Docks", "Deucalion Astrodome", "Leonov Hangar", "Buran Platform", "Rusalka Docks", "Buran Hangar", "Rheinland Astrodome", "Armistice Platform", "Anastasia Hangar", "Achates Hangar", "Out of the Ashes", "Rusalka Platform", "Calypso Hangar", "Siranui Hangar", "Lexington Astrodome", "Akatsuki Astrodome", "Achates High", "Jocasta High", "Jocasta Platform", "Narcissus Astrodome", "Amaterasu High", "Ericson Astrodome", "Bloodhound Hangar", "Amaterasu Platform", "Solace Platform", "Vestal Hangar", "Poppadum Docks", "Forever Beyond Reach", "Leviathan Platform", "Drinkwater High", "Triton  Docks", "Hellebore Hangar", "Vestal High", "Marett Construction Facility", "Triton  Astrodome", "When Knights Were Bold", "Moldavia Astrodome", "Arkansas Docks", "Orpheus High", "Ocellus Docks", "Buran Platform", "Elegant Neutron", "Courteous Quark", "Over the Hills and Far Away", "The William Shatner", "Whimsical Tachyon", "Whimsical Tachyon", "Elegant Neutron", "Charming Proton", "Charming Graviton", "Mellow Proton", "Dawdling Lepton", "Mischievous Graviton", "Peculiar Proton", "Peculiar Neutrino", "Strange Electron", "Mischievous Electron", "Exotic Lepton", "Nonchalant Quark", "Mischievous Proton", "Nonchalant Neutron", "Courteous Positron", "Elegant Proton", "Courteous Lepton", "Captivating Photon", "Mellow Tachyon", "Sarcastic Graviton", "Ghost at the Feast", "Exotic Proton", "Capricious Quark", "Charismatic Neutron", "Capricious Positron", "Capricious Quark", "Delightful Tachyon", "Peculiar Graviton", "Courteous Quark", "Over The Garden Wall", "Capricious Photon", "There Will Come Soft Rains", "Charming Positron", "Capricious Neutrino", "Captivating Electron", "Exotic Photon", "Mischievous Electron", "Delightful Positron", "Delightful Positron", "Crest of the Wave", "Sardonic Positron", "Delightful Proton", "Bashful Neutron", "Delightful Quark", "Elegant Photon", "Charming Positron", "Strange Photon", "Charismatic Neutron", "Courteous Positron", "Enigmatic Tachyon", "When the Bough Breaks", "Charming Positron", "Peculiar Photon", "Captivating Neutrino", "Peculiar Proton", "Exotic Lepton", "Peculiar Graviton", "Strange Neutron",
// Galaxy 8 (Rolled in 4 Rolls of 64)
"Britannia Base", "Dulcibella Base", "Talos Spaceport", "Mayflower Spaceport", "Hesperus Foundry", "Asuka Base", "Barracuda Base", "Charge of the Light Brigade", "Valette Workshop", "Fenton Base", "Ramona Spaceport", "Atlantic Workshop", "Isabella Workshop", "Sutherland Base", "Britannic Workshop", "Rheinland Spaceport", "Amindra Workshop", "Charleston Spaceport", "Devonshire Workshop", "Montana Base", "Cascara Foundry", "Belafonte  Base", "Iphigenia Spaceport", "Caleuche Base", "Tuscarora Foundry", "Cussler Base", "Deucalion Foundry", "Asuka Spaceport", "Mayflower Spaceport", "Tycho Spaceport", "Buran Foundry", "Resurrection of the Dragon ", "Tiberius Foundry", "Fenton Workshop", "Lorelei Spaceport", "Panache Spaceport", "Vulcan Spaceport", "Jackson Base", "Amakuni Workshop", "Levant Workshop", "Armistice Base", "Ride with the Devil", "Proteus Base", "Britannic Base", "Enterprise Spaceport", "Nightflyer Workshop", "Anchises Spaceport", "Astrea Spaceport", "Deucalion Spaceport", "Hispania Foundry", "Grossadler Base", "Sawfish Spaceport", "Ramona Spaceport", "Deucalion Foundry", "Tuscarora Spaceport", "Hotspur Base", "Saratoga Foundry", "Amaterasu Base", "Season of Disbelief", "Titan Foundry", "Liberian Foundry", "Narcissus Base", "Bloodhound Spaceport", "Maximum Overdrive ", "Smith of Baphomet", "Smith of Baphomet", "Engineer of Tiamat", "The Polly Walker", "Engineer of Icarus", "Workshop of Zeus", "Workshop of Fortuna", "Engineer of Hercules", "The Sarah Lawson", "The Lindsay Duncan", "The Marcia Anderson", "Engineer of Odin", "Forge of Daedalus", "Workshop of Tiamat", "Engineer of Hercules", "Smith of Morpheus", "Workshop of Zeus", "The George Takei", "The Alastair Reynolds", "Goats Just Wanna Have Fun" , "Foundry of Prometheus", "Workshop of Baphomet", "Forge of Athena", "Engineer of the Gods", "Workshop of Vulcan", "Foundry of the Gods", "The Henri Matisse", "Engineer of Icarus", "The Matthew Graham", "The Duncan Lamont", "Engineer of Vulcan", "Smith of Athena", "Engineer of Faustus", "Engineer of Baphomet", "Forge of Athena", "Engineer of Daedalus", "Engineer of Morpheus", "Foundry of Fortuna", "Smith of Vulcan", "The Kim Campbell", "Engineer of Fortuna", "The Hikaru Sulu", "Workshop of Zeus", "Forge of Zeus", "Foundry of Hephaestus", "Forge of Daedalus", "Smith of Hephaestus", "The Vincent DeSalle", "Engineer of Solomon", "Foundry of Faustus", "For a Few Credits More", "The John Winston", "The Andy Warhol", "Foundry of Solomon", "The Charles Bronson", "Forge of Zeus", "Forge of Vulcan", "Engineer of Fortuna", "Engineer of Hephaestus", "The Paul Neuhaus", "Engineer of the Gods", "Foundry of Prometheus", "Smith of Faustus", "Forge of Tiamat", "The Jealous Foeman", "The Almighty Commander", "Best of Both Worlds", "The Trickster God", "The Bionic God", "The Trickster Commander", "The Jealous Foeman", "The Weary Foeman", "The Gustave Courbet", "The Cynical Captain", "The Bionic God", "The Weary Hero", "The Almighty Hero", "The Trickster Commander", "The Weary Captain", "The Weary Hero", "The Weary Captain", "The Frank Drake", "The Almighty God", "The Jealous Hero", "The Nervous Foeman", "The Need for Speed", "The Bionic Heroine", "The Weary Captain", "The Jaded Commander", "The Cynical Heroine", "The William Shakespeare", "The Trickster God", "The Bionic Heroine", "The Cynical Heroine", "The Trickster Commander", "The Aldous Huxley", "The Disenchanted Foeman", "The Nervous Foeman", "The Mark Hamill", "The Almighty Heroine", "The Jealous Captain", "The Stephen R. Donaldson", "The Jaded Foeman", "The Jaded Hero", "Start the Revolution Without Me ", "The Jaded Captain", "The Cynical Foeman", "The Bionic Hero", "The Jealous Heroine", "The Jaded Foeman", "The Disenchanted Heroine", "The Disenchanted God", "The Jaded Heroine", "The Jaded Foeman", "The Almighty Hero", "The Jaded Foeman", "Famous for Fifteen Minutes", "The Jaded Commander", "The Nervous Hero", "The Almighty Foeman", "The Bionic Heroine", "The Jealous Hero", "The Jaded Captain", "The Jaded Foeman", "The Jaded Heroine", "The Jaded Captain", "The Bionic Heroine", "The Jealous Heroine", "The Majel Barrett", "Guru of the Wastes", "Manual of Overhauling", "Master of Renovation", "Guru of Welding", "God of Renovation", "Guru of Refitting", "Captain of the Wastes", "Necronomicon of Servicing", "Captain of Replacement", "Master of Restoration", "Master of Servicing", "Master of Servicing", "Necronomicon of Restoration", "Spring and Port Wine", "Captain of Overhauling", "God of Overhauling", "Forever and the Earth", "Guru of Renovation", "Necronomicon of Renovation", "Guru of Overhauling", "Master of Renovation", "The Zachary Quinto", "Necronomicon of Restoration", "Captain of Renovation", "Captain of Welding", "Remembrance of Things Past", "The Man Who Would Be King", "Manual of Restoration", "Captain of Restoration", "Necronomicon of Welding", "The Michael Barrier", "Captain of Renovation", "God of Renovation", "Guru of Replacement", "Necronomicon of Welding", "Guru of Welding", "Master of the Wastes", "The Nicolas Cage", "Captain of the Wastes", "Elvis Has Left the Building", "Necronomicon of the Wastes", "Captain of the Wastes", "Necronomicon of Servicing", "Master of Restoration", "Necronomicon of Restoration", "Manual of Replacement", "Master of Refitting", "Captain of Maintenance", "Master of Maintenance", "Captain of Welding", "Necronomicon of Maintenance", "The Quentin Tarantino", "Guru of Refitting", "Captain of Replacement", "Necronomicon of Renovation", "Master of Maintenance", "Captain of Reconstruction", "Manual of Overhauling", "Master of the Wastes", "Guru of Renovation", "Captain of the Wastes", "Captain of Overhauling", "Manual of Reconstruction",
 // The Name below is only used if the pool needs to loop (See the Readme File for Details).
"The Fritz Lang"];

//  Name Array for RSS Waystations (Number of Names in Array: 256)
//  This uses the pool method as above.
this.rrspool = ["All for One", "To Catch a Thief", "Secret Army", "Thief Taker", "The Hangman", "Crime and Punishment", "Loss Prevention", "The Frank Herbert", "And Hell Followed", "Unsleeping Bodyguard", "Dread Paladin", "The Smoking Gun", "The Warm Gun", "Maxims of Battle", "Gallant Defender", "The Humble Hero", "Righteous Deliverance", "Stern Visage", "Eye of Newt", "End of the World", "Victory or Death", "Wind Chime", "Martial Law", "The Lone Gunman", "No Time to Explain", "Steady Eddie", "Trapped in Paradise", "One Thing Led to Another", "Winning Number", "Bane of Bandits", "Pot Luck", "Steady Hands", 
"Thief of Ruin", "State of Flux", "Shoot Them Later", "The Artful Aardvark", "Brothers in Arms", "Fall of the Freebooter", "Gallant Foeman", "Friend of Trade", "The George Washington", "Mark of Cain", "Strength of Ten Men", "Rituals of Combat", "Dead or Alive", "Slayer Squad", "Dirty Dozen", "Talk to the Hand", "Game of Death", "Lone Gunslinger", "Fearful Aspect", "Potentially Volatile", "Absent Friends", "Moth to a Flame", "University of Life", "Descent of Man", "Laughs at Death", "Ever Vigilant", "Last Stand", "Aspect of Security", "Perilous Pursuits", "Thief Slayer", "Victorious Mercenary", "The Dread Rodin", 
"Aspect of Courage", "Never Say Die", "Hide and Seek", "Hot and Cold", "Did the Right Thing", "Aspects of Peril", "Asset Recovery", "The Weary Gumshoe", "Beyond Atlantis", "Fairest of All", "Night of the Owl", "Lock and Load", "The Mercenary Code", "Mirthless Laugh", "Relentless Bloodhound", "Infallible Tracker", "Lost and Found", "The One Who Waits", "Blast from the Past", "The Secret Seven", "Protect and Serve", "The Cemetery Man", "Death and Sunshine", "Aspect of Liberation", "Bulldog Breed", "Now or Never", "Carnival of Rust", "Resolute Defence", "Running on Karma", "The Famous Five", "The Gallant Rodin", "Heir to the Empire", 
"The Impressive Six", "High Planes Drifter", "State of Play", "The Winston Churchill", "No One Lives Forever", "Exclusion Clause", "Law of the Gun", "Land of Dreams", "Echoes of War", "Coins for the Dead", "Heat of Battle", "Last Hope", "The Pilkington Agency", "Surreptitious Methods", "Glimmer of Hope", "Flicker of Perception", "Unfailing Intuition", "Mercenary Visage", "Before the Storm", "Deep Pockets", "Double Trouble", "Toil and Trouble", "Counter Force", "Armed Response", "In the Limelight", "Glimmer of Dystopia", "Cold of Space", "Cold Vacuum", "Questionable Things", "Little Doris", "Future Legend", "Flicker of Plasma",
"Out of the Sun", "Whispers of Death", "The Joan of Arc", "Jumping Bean", "Space Oddity", "Asking for Trouble", "The Sherlock Holmes", "Plan B", "Dead Pool", "Stryker's Run", "Signs of Life", "Thankless Task", "Old Nick", "Coffee and Donuts", "Blood and Guts", "Burning Chrome", "Honourable Mention", "The Magnificent Seven", "Road Runner", "The Beautiful Balloon", "Monster of the Week", "Share and Enjoy", "None Shall Pass", "Point of No Return", "Tooth and Claw", "Shrine to the Fallen", "Ritual Magic", "The Crows Nest", "Glimpse of Optimism", "Airs and Graces", "Frosty Reception", "Whisky and Rye", 
"Laser Surgeon", "Snake Eater", "Femme Fatale", "Lucky Break", "Hazy Idea", "Scent of Shelter", "The Spider's Parlour", "One Man Army", "Rat Trap", "Diplomatic Immunity", "Last Tango", "Eternal Hope", "Naval Customs", "Lock Down", "Arms Reach", "Final Chapter", "Softly Spoken", "Lead Posterior", "Tough as Nails", "Quick Draw", "Casual Bravery", "Old Ways", "Against All Odds", "Angels with Dirty Faces", "Return of Banquo", "Fleeting Glance", "Slipping Into Darkness", "Pioneer Spirit", "Slug of Hooch", "Essence of Hope", "Element of Chance", "Duty of Care", 
"Arisen Hope", "End Game", "Clovis Flint", "Gallant Pioneer", "Uncertain Origin", "The Philip Marlowe", "Broken Aesop", "Civilized Mercenary", "Born of Rage", "Afterglow of Battle", "Land of Nod", "Spiced Wine", "All for One", "Sparkle of Dread", "Absentia Lamented", "The Arisen Deity", "The Big Cheese", "Ready or Not", "Chance Meeting", "Centre of Mass", "Power at a Price", "The Fourth Musketeer", "Shades of Blue", "Disaster Area", "Born of Madness", "Elope of Sanity", "Kobayashi Maru", "No Win Scenario", "Pure of Heart", "Dawn of a New Age", "Costumed Hero", "Cactus Flower", 
"Poodle Springs", "The Peculiar Proton", "Parallel Universe", "Dire Straits", "Line of Sight", "Sketch of Sanctuary", "Muddy Waters", "Gathering of Eagles", "Atlas Arisen", "Flip the Script", "The Arisen Rodin", "The Sam Spade", "Canary Cage", "Hope of Deliverance", "The Cavalry", "Unsavoury Task", "Counter Strike", "Odds Against Tomorrow", "The Coiled Cobra", "Questionable Content", "The Owl Service", "Drop Dead Gorgeous", "Dead Reckoning", "Aspect of Dulwich", "Above and Beyond", "The Fantastic Four", "Flowers in the Attic", "Tiamat Arisen", "Judge Dredd", "Live by Night", "On Dangerous Ground", "One for All", 
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"The Gallant Paladin"];

//  Name Array for Free Trade Zone Template (Number of Names in Array: 256)
//  This uses the pool method as above.  
this.ftzpool = ["Black Scorpion",  "The Deadly Mantis",  "From Hell It Came",  "The Brain Eater",  "Fiend Without a Face",  "Night of the Blood Beast",  "Flesh and the Devil",  "The Crawling Hand",  "Creeping Terror", "The Flesh Eaters", "Island of Terror",  "Damnation Alley",  "Demon Seed",  "Blood City",  "Night Walker",  "Pit of Horror",  "Dark Intruder",  "A Devilish Homicide",  "Two on a Guillotine",  "Chamber of Horrors",  "The Murder Clinic",  "Hand of Night",  "Prince of Darkness", "The Hooded Claw",  "Death Watch",  "Murder by Moonlight",  "The Dead Zone",  "Death Powder",  "Deadly Friend", "Stand and Deliver",  "The Running Man",  "Dead Heat", 
"Terror Within",  "Death Machine",  "The Dark Hour",  "Evil Behind You", "Death Race",  "Dead by Midnight",  "Mask of Horror",  "Ghost Breaker",  "The Demon Barber",  "Carnival of Sinners",  "Dead of Night",  "Blood Bucket",  "Circus of Horrors",  "City of the Dead",  "Shop of Horrors",  "The Pit and the Pendulum", "Black Sabbath", "Naked Evil", "The Mad Monk",  "Queen of Blood", "Creature of Destruction",  "A Taste of Blood", "Theatre of Death",  "Fear Chamber",  "The Body Snatcher",  "Once a Thief",  "Cry of the Banshee",  "Feast of Flesh",  "Mark of the Devil", "Ritual of Evil", "Demon Lover", "Bay of Blood", 
"Black Moon", "Cash on the Nail",  "Daughter of Darkness", "Incense for the Damned", "Blood Farmer",  "The Night Stalker",  "Three on a Meathook", "Dying Room Only",  "Mansion of Madness",  "Messiah of Evil", "Nothing But the Night",  "Tears of the Sun", "The Thirsty Dead",  "Hanging Rock",  "Burnt Offering", "Track of the Moonbeast", "Black Widow", "Beyond the Darkness", "Altered States", "Dressed to Kill", "Watcher in the Woods",  "Burial Ground", "Night of the Scarecrow", "Just Before Dawn", "Alone in the Dark",  "The Beast Within",  "Season of the Witch",  "Company of Wolves",  "Twisted Illusions", "Dead of Winter", "Twisted Nightmare",  "Cellar Dweller", 
"Edge of the Axe", "After Midnight",  "Foul Play",  "Casts a Deadly Spell",  "Immortal Sins",  "Army of Darkness",  "Hell on Earth", "Poison Ivy", "The Dark Half",  "Mouth of Madness", "Wicked Games", "Burial of the Rats", "Killing Time", "Prince of Lies",  "Terror Firmer",  "Prison of the Dead",  "Subconscious Cruelty",  "Fear of the Dark",  "Darkness Falls", "Blood Orchid",  "Dark Harvest", "Dead Meat",  "Ginger Snaps", "Body Snatcher",  "Halfway House", "Riding the Bullet",  "Shallow Grave", "The Fallen One",  "Wolf Creek",  "Death Row", "Drawn in Blood",  "The Feeding Grounds", 
"Penny Dreadful", "Hollow Sacrament", "The Bone Eater", "Den of Thieves", "Tooth And Nail", "Timber Falls", "Shadow Puppet", "Haunted Hill","Blood Feud", "Nature of the Beast", "Living Hell", "Sorrow Cove", "Bloody Mary", "Left for Dead", "Ice Spider","The Haunted Forest", "Hallows Point", "Dreams of the Dead", "Doomed to Consume", "Alien Seduction", "Dead Silence", "The Daisy Chain", "The Crazy Eights", "Black Swarm","The Umbrella Corporation", "The Last Gateway", "Swamp Devil", "Spirits of the Fall", "Seventh Moon", "Red Mist", "Playing with Fire", "Night Watcher",
"Never Cry Wolf", "Meat Train", "Lost Weekend", "Isle of the Damned", "Hell House", "Haunted Echoes", "The Gates of Hell", "Dying God", "Demon Kiss", "Death on Demand","Death Bell", "Dead by Dawn", "The Dunwich Horror", "Attitude for Destruction", "House of Madness","Satanic Panic", "Darklight Cove", "The Grave Digger", "The Widow Maker", "Final Destination", "Edge of Darkness", "Drag Me to Hell", "Creature of Darkness", "Children of the Corn","Axis of Evil", "My Soul to Take", "Hard Ride to Hell", "Black Swan", "Panic Button", "Bag of Bones", "Modus Anomali", "Stir of Echoes",
"Willow Creek", "Mysterious Island", "Elevator to Hell", "Cabin Fever", "Lotus Blossom", "Alien Covenant", "The Dandy Highwayman", "Terminal Frost", "Double Trouble", "Bad Samaritan", "Assassination Nation", "Velvet Buzzsaw", "In the Tall Grass",  "Sky Devil", "Reservoir Dog", "Flesh and Bone", "Fire and Ash", "Twisted Chrome", "Broken Steel", "Swift Nemesis", "Beard of Evil", "Fire and Ice", "Blood on Iron", "Broken Hope", "Botany Bay", "Burning Sands", "She Devil", "Dark Brotherhood", "Circus of Fear", "Dead Man's Chest", "Pieces of Eight", "Deathtrap Dungeon",
"Light Fingers", "Northern Drift", "Blood on Ice", "Devourer of Souls", "Credit Funnel", "Deadly Shadow", "Troublesome Truth", "Scorpion Swamp", "Snow Witch", "Soulless Fury", "Sea of Blood", "Rebel Planet", "Creature of Havoc", "Midnight Rogue", "Heart of the Enemy", "Stealer of Souls", "Dead of Night", "Master of Chaos", "All That Glitters", "Casket of Souls", "Son of the Mask", "The Sadie Farrell", "Elixir of Life", "Legacy of Blood", "Queen of Spiders", "Bloodstone Pass", "Ravages of Time", "Honour Amongst Thieves", "Lendore Isle", "Talon of Night", "Blizzard Pass", "Thoughts of Darkness",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Death of Justice"];

//  Name Array for GRS Buoy Factorys (Number of Names in Array: 256)
//  This uses the pool method as above.
this.grspool = ["Empress Viktoriya VI", "Archduchess Melanie", "Archduchess Elizabeth", "Empress Natalya II", "Archduchess Isabella", "Earl Louis IV", "Empress Heidi", "Duchess Hermine", "Count Peregrine", "Kaiser Gottfried", "Sultan Samir", "Dame Geraldine", "Thane Tavish VI", "Jarl Thyra VI", "Earl Hugo", "Mikado Chikao", "Khan Munish", "Countess Camilla", "Sultan Daud IV", "Count Lucius", "Earl Hugo", "Thane Lorcan II", "Archduchess Natalya IV", "Thane Bram", "Duchess Beatrice", "Earl Aubin", "Duchess Olivia", "Earl Gustavus", "Duchess Matilda", "Rajah Devesh", "Princess Marie", "Kaiser Gerwin",
"Thane Ewan", "Archduchess Theresia", "Queen Elizabeth II", "Empress Eleanor", "Princess Lucy", "Dame Jacqueline", "Countess Augusta", "Jarl Gorm", "Mikado Otohiko", "Archduchess Juliette VI", "Duchess Meghan", "Sultan Daud IV", "Duchess Eleanor", "Countess Alice", "Archduchess Elise", "Duchess Katharine VI", "Count Rousseff II", "Duchess Deirdre", "Count Leonid", "Duchess Jane", "Rajah Devendra", "Mikado Akitomo", "Mikado Kagetaka II", "Sultan Yasser", "Earl Ivor", "Archduchess Rachel", "Duchess Meghan", "Jarl Revna", "Duchess Siobhan VI", "Archduchess Jacquelin VI", "Empress Nadia",
"Count Archibald","Archduchess Hildegard", "Kaiser Lorentz XI", "Rajah Kishor", "Earl Mervyn", "Countess Meghan IV", "Jarl Sune", "Rajah Munish", "Princess Beatrice", "Earl Louis", "Khan Gurunath", "Count Andre", "Jarl Ulfhild", "Empress Leopoldine IV", "Dame Jacqueline", "Dame Sally", "Jarl Harald", "Thane Branigan VI", "Dame Emily", "Countess Diana", "Archduchess Juliette", "Countess Camilla", "Kaiser Aurick II", "Count Ivor II", "Jarl Knud", "Countess Shauna", "Mikado Tadamitsu", "Jarl Signe", "Countess Anne IV", "Princess Augusta", "Duchess Nessa", "Rajah Devendra", "Countess Jane VI",
"Dame Judith", "Sultan Adham", "Earl Klaus", "Thane Alastair IV", "Kaiser Ferdinand IV", "Dame Susan IV", "Thane Aidan II", "Kaiser Xavier", "Sultan Farooq XI", "Countess Alexandrina", "Jarl Tygve", "Jarl Harald VI", "Countess Siobhan", "Rajah Hansraj XI", "Kaiser Lorentz", "Empress Ekaterina", "Count Nathaniel II", "Jarl Bjon XI", "Princess Margaret", "Kaiser Fritz", "Archduchess Leopoldine XI", "Empress Eleanor", "Earl Walter XI", "Princess Sarah", "Rajah Akhil", "Princess Meghan IV", "Mikado Tadamitsu", "Rajah Abhay", "Mikado Sadakatsu", "Dame Beryl", "Thane Blaine",
"Rajah Jitendra", "Duchess Cynthia VI", "Khan Ishana", "Countess Adel", "Kaiser Christof XI", "Dame Veronica IV", "Sultan Omar XI", "Duchess Viktoriya", "Princess Margaret", "Kaiser Valter II", "Archduchess Johanna", "Empress Victoria", "The Count Dracula", "Mikado Junto II", "Dame Barbara XI", "Kaiser Heiner", "Khan Ranbir", "Kaiser Johann", "Count Ivan", "Princess Meghan", "Rajah Lakshan", "Empress Fleur", "Earl Karl", "Dame Geraldine", "Kaiser Egbert", "Countess Claire", "Khan Munish", "Earl Jurgen II", "Kaiser Harald IV", "Princess Amelia", "Sultan Yasser", "Empress Theresia",
"Thane Arran", "Kaiser Gunther", "Dame Judith", "Countess Alice", "Princess Henrietta", "Thane Keithen", "Countess Sarah", "Archduchess Ekaterina XI", "Princess Siobhan", "Count Piers", "Count Stefan XI", "Thane Branigan", "Princess Sarah", "Countess Alice", "Count Leonid", "Mikado Shinta", "Archduchess Heidi", "Dame Jane VI", "Dame Lillian", "Dame Jane", "Archduchess Melanie II", "Khan Devendra", "Empress Nadine", "Countess Alexandrina", "Countess Nessa", "Duchess Diana", "Duchess Mary", "Duchess Cornelia II", "Count Piers", "Kaiser Ludwig", "Empress Johanna IV", "Jarl Bodil VI",
"Count Peregrine","Jarl Ulfhild", "Archduchess Adrienne", "Princess Cynthia", "Dame Helen", "Khan Ajay IV", "Count Igor", "Dame Geraldine", "Princess Cynthia", "Earl Stefan", "Princess Imogen", "Empress Hermine VI", "Duchess Siobhan IV", "Jarl Thurid", "Thane Beacun", "Princess Aisling", "Rajah Karthik", "Empress Isabella", "Countess Amelia", "Sultan Faisal II", "Duchess Augusta", "Princess Charlotte", "Countess Jane", "Khan Abhay", "Thane Liam", "Jarl Svend", "Rajah Bhavesh", "Princess Henrietta", "Empress Elise", "Dame Jacqueline", "Duchess Matilda IV", "Earl Mervyn", "Khan Mansukh",
"Empress Leopoldine", "Rajah Wasim XI", "Archduchess Juliette", "Earl Walter", "Princess Josephine", "Rajah Abhay", "Archduchess Hildegard", "Dame Isobel", "Empress Hermine", "Count Bernardo", "Princess Beatrice", "Thane Keithen", "Kaiser Wolfgang", "Empress Cornelia", "Archduchess Miriam", "Duchess Matilda", "Empress Leopoldine", "Dame Geraldine", "Empress Isabella XI", "Khan Bhupinder", "Countess Augusta", "Count Casper", "Sultan Jabari XI", "Mikado Junnosuke", "Khan Ranbir II", "Mikado Ryu", "Empress Victoria VI", "Duchess Aisling IV", "Dame Madeline", "Archduchess Melanie", "Countess Amelia", "Archduchess Isabella",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Princess Diane II"];

//  Name Array for Darkside Moonshine Saloons (Number of Names in Array: 256)
//  This uses the pool method as above.
this.darkpool1 = ["The Racoon and Kitten", "The Merry Hound", "The Raptor and Sloth", "The Infamous Feline", "The Peculiar Koala", "The Lethal Graduate", "The Strange Bird", "The Python and Baboon", "The Lynx and Bat", "The Python and Bantam", "The Dragonfly and Wombat", "The Gargole and Sloth", "The Asp and Poet", "The Levitating Porcine", "The Rotating Bird", "The Bandicoot and Gopher", "The Zany Weasel", "The Badger and Rat", "The Inebriated Lama", "The Merry Koala", "The Drunken Porcine", "The Raptor and Salamander", "The Kestral and Pheasant", "The Cobra and Sparrow", "The Inebriated Graduate", "The Crazy Piscine", "The Cobra and Baboon", "The Meerkat and Frog", "The Jolly Mongoose", "The Red Rooster", "The Curious Duck", "The Blue Cat", 
"The Kestral and Baboon", "The Scorpion and Calf", "The Curious Porcine", "The Rotating Rodent", "The Jaguar and Possum", "The Cougar and Gibbon", "The Python and Toad", "The Scorpion and Turtle", "The Eagle and Pheasant", "The Remarkable Goat", "The Cobra and Lemming", "The Infamous Rooster", "The Siren and Penguin", "The Panther and Possum", "The Murderous Goat", "The Panther and Turtle", "The Unusual Mallard", "The Horned Hen", "The Famous Koala", "The Freaky Duck", "The Scorpion and Rat", "The Sneaky Goat", "The Crazy Lizard", "The Old Rooster", "The Inebriated Mallard", "The Gargole and Calf", "The Jaguar and Kitten", "The Harpy and Sparrow", "The Eagle and Calf", "The Asp and Penguin", "The Jolly Duck", "The Jaguar and Kitten",
"The Drunken Poet", "The Rotating Fox", "The Man and Machine", "The Unusual Rodent", "The Scorpion and Bantam", "The Lethal Lama", "The Horned Mongoose", "The Rotating Poet", "The Horned Rodent", "The Royal Bear", "The Petulant Porcine", "The Harpy and Bat", "The Coyote and Turtle", "The Lethal Porcine", "The Drunken Baker", "The Jaguar and Sparrow", "The Meerkat and Cub", "The Racoon and Rat", "The Scorpion and Possum", "The Lethal Weasel", "The Siren and Mouse", "The Asp and Sparrow", "The Racoon and Mole", "The Lynx and Lemming", "The Infamous Wolf", "The Eagle and Mouse", "The Harpy and Lemming", "The Wasted Lama", "The Meerkat and Penguin", "The Gargole and Salamander", "The Meerkat and Rat", "The Python and Sloth", "The Famous Tiger",
"The Reticulated Piscine", "The Aardvark and Platypus", "The Strange Bird", "The Coyote and Swan", "The Racoon and Bantam", "The Happy Poet", "The Famous Graduate", "The Mamba and Baboon", "The Badger and Turtle", "The Jolly Mallard", "The Speckled Stoat", "The Cobra and Swan", "The Python and Pheasant", "The Horned Lion", "The Freaky Wolf", "The Infamous Weasel", "The Eagle and Mole", "The Cougar and Possum", "The Gargole and Sloth", "The Badger and Penguin", "The Coyote and Rat", "The Petulant Wolf", "The Spotted Lama", "The Remarkable Poet", "The Asp and Marmot", "The Lynx and Rat", "The Jaguar and Penguin", "The Kestral and Baboon", "The Unusual Weasel", "The Panther and Tortoise", "The Sneaky Feline", "The Raptor and Rat", 
"The Lynx and Kitten", "The Python and Possum", "The Remarkable Rooster", "The Racoon and Tortoise", "The Old Lizard", "The Bandicoot and Sloth", "The Eagle and Mole", "The Sneaky Piscine", "The Horned Cat", "The Kestral and Gopher", "The Speckled Duck", "The Infamous Rabbit", "The Happy Weasel", "The Inebriated Wolf", "The Coyote and Penguin", "The Scorpion and Sloth", "The Lynx and Rat", "The Ocelot and Mole", "The Lynx and Turtle", "The Panther and Kitten", "The Bandicoot and Vole", "The Spotted Bird", "The Dog and Duck", "The Siren and Turtle", "The Crazy Weasel", "The Harpy and Marmot", "The Small Bear", "The Coyote and Penguin", "The Coyote and Toad", "The Rotating Mongoose", "The Peculiar Stoat", "The Coyote and Kitten",
"The Rotating Porcine", "The Sneaky Lizard", "The Ocelot and Newt", "The Vulture and Penguin", "The Wasted Fox", "The Ocelot and Tortoise", "The Lynx and Swan", "The Merry Bird", "The Remarkable Rooster", "The Edible Poet", "The Mamba and Sparrow", "The Peculiar Bird", "The Python and Toad", "The Levitating Stoat", "The Curious Hen", "The Strange Lama", "The Leopard and Wombat", "The Racoon and Marmot", "The Ocelot and Mouse", "The Scorpion and Mole", "The Asp and Gopher", "The Reticulated Feline", "The Sneaky Mallard", "The Asp and Newt", "The Racoon and Possum", "The Meerkat and Pheasant", "The Speckled Graduate", "The Scorpion and Swan", "The Mamba and Mole", "The Peculiar Graduate", "The Jolly Porcine", "The Strange Koala",
"The Sneaky Bird", "The Famous Mongoose", "The Leopard and Wombat", "Dead Metal", "The Crazy Porcine", "The Harpy and Toad", "The Peculiar Bear", "The Meerkat and Kitten", "The Badger and Gibbon", "The Curious Fox", "The Ocelot and Pheasant", "The Scorpion and Kitten", "The Petulant Poet", "The Ocelot and Pheasant", "The Wasted Lizard", "The Eagle and Penguin", "The Levitating Feline", "The Panther and Platypus", "The Leopard and Toad", "The Inebriated Rabbit", "The Zany Duck", "The Jaguar and Gopher", "The Harpy and Bantam", "The Dragonfly and Wombat", "The Remarkable Hen", "The Curious Goat", "The Racoon and Toad", "The Panther and Newt", "The Sneaky Piscine", "The Gargole and Tortoise", "The Unusual Fox", "The Leopard and Penguin",
"The Python and Baboon", "The Mamba and Mole", "The Aardvark and Sparrow", "The Vulture and Newt", "The Asp and Baboon", "The Python and Gopher", "The Bandicoot and Toad", "The Jaguar and Calf", "The Zany Wolf", "The Dragonfly and Gopher", "The Cougar and Sloth", "The Petulant Bird", "The Python and Lemming", "The Cobra and Rat", "The Freaky Stoat", "The Zany Rodent", "The Aardvark and Turtle", "The Happy Feline", "The Unusual Fox", "The Sneaky Bear", "The Bandicoot and Gopher", "The Raptor and Toad", "The Dragonfly and Gibbon", "The Siren and Rat", "The Cobra and Possum", "The Leopard and Bantam", "The Zany Wolf", "The Inebriated Graduate", "The Curious Bird", "The Cougar and Sloth", "The Cobra and Turtle",    
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"The Slug and Lettice"];

//  Name Array for Darkside Moonshine Distillery Stations (Number of Names in Array: 256)
//  This uses the pool method as above.
this.darkpool2 = ["The Leopard and Tortoise", "The Mad Piscine", "The Fox and Scorpion", "The Leopard and Kitten", "The Peculiar Rabbit", "The Speckled Goat", "The Peculiar Hen", "The Crazy Poet", "The Old Hen", "The Dragonfly and Pheasant", "The Petulant Hen", "The Rotating Rooster", "The Mamba and Bat", "The Famous Feline", "The Levitating Goat", "The Sneaky Bear", "The Scorpion and Kitten", "The Wasted Bear", "The Speckled Rodent", "The Happy Tiger", "The Jolly Rooster", "The Blue Goat", "The Ocelot and Pheasant", "The Reticulated Rodent", "The Inebriated Lizard", "The Bandicoot and Penguin", "The Badger and Bantam", "The Funky Gibbon", "The Horned Mongoose", "The Horned Goat", "The Coyote and Pheasant", "The Bandicoot and Penguin",
"The Racoon and Pheasant", "The Coyote and Gibbon", "The Jolly Hog", "The Panther and Bat", "The Cobra and Toad", "The Mamba and Rat", "The Jaguar and Turtle", "The Horned Goat", "The Spotted Rabbit", "The Python and Newt", "The Famous Rodent", "The Scorpion and Toad", "The Strange Lion", "The Happy Wolf", "The Infamous Weasel", "The Rotating Rooster", "The Crazy Bear", "The Raptor and Lemming", "The Siren and Newt", "The Cougar and Wombat", "The Freaky Hound", "The Reticulated Lion", "The Bird and Bush", "The Freaky Stoat", "The Kestral and Bat", "The Bandicoot and Lemming", "The Horned Feline", "The Jolly Lizard", "The Drunken Cat", "The Jolly Fox", "The Kestral and Gopher", "The Happy Hog", "The Kestral and Pheasant", 
"The Bandicoot and Gopher", "The Ocelot and Penguin", "The Jolly Lizard", "The Wasted Wolf", "The Sneaky Duck", "The Mamba and Rabbit", "The Cobra and Calf", "The Coyote and Pheasant", "The Strange Lizard", "The Racoon and Platypus", "The Lethal Goat", "The Wasted Bear", "The Laughing Tiger", "The Vulture and Mole", "The Coyote and Wombat", "The Kestral and Turtle", "The Curious Porcine", "The Eagle and Siren", "The Dragon and Calf", "The Siren and Kitten", "The Coyote and Wombat", "The Freaky Stoat", "The Zany Graduate", "The Crazy Lion", "The Panther and Kitten", "The Inebriated Bear", "The Kestral and Rat", "The Aardvark and Bat", "The Rotating Lama", "The Stoned Feline", "The Raptor and Calf", "The Curious Rodent", 
"The Jolly Duck", "The Merry Fox", "The Spotted Lion", "The Levitating Bear", "The Horned Koala", "The Zany Bird", "The Strange Mongoose", "The Odd Fox", "The Inebriated Hen", "The Raptor and Newt", "The Remarkable Koala", "The Strange Lama", "The Coyote and Gopher", "The Mamba and Mouse", "The Petulant Hen", "The Meerkat and Gibbon", "The Raptor and Toad", "The Odd Poet", "The Racoon and Bantam", "The Spotted Lion", "The Sneaky Lama", "The Drunken Hound", "The Leopard and Sloth", "The Gargole and Pheasant", "The Raptor and Bantam", "The Curious Mongoose", "The Aardvark and Salamander", "The Strange Feline", "The Coyote and Sparrow", "The Rotating Lizard", "The Speckled Rabbit", "The Ocelot and Mole", "The Unusual Weasel",
"The Vulture and Wombat", "The Eagle and Newt", "The Horned Rabbit", "The Levitating Rodent", "The Racoon and Toad", "The Ocelot and Mouse", "The Asp and Sloth", "The Dragonfly and Wombat", "The Python and Lemming", "The Bandicoot and Swan", "The Wasted Lizard", "The Zany Lema", "The Drunken Rodent", "The Peculiar Lizard", "The Cobra and Platypus", "The Asp and Lemming", "The Drunken Bantam", "The Levitating Stoat", "The Wasted Rabbit", "The Leopard and Penguin", "The Inebriated Weasel", "The Lynx and Mouse", "The Cobra and Baboon", "The Leopard and Wombat", "The Speckled Feline", "The Cougar and Baboon", "The Meerkat and Sparrow", "The Lethal Mallard", "The Curious Tiger", "The Freaky Hound", "The Coyote and Newt", "The Zany Lama",
"The Raptor and Bantam", "The Green Goat", "The Leopard and Bantam", "The Harpy and Lemming", "The Wasted Hog", "The Spotted Mallard", "The Levitating Bear", "The Drunken Rabbit", "The Gargole and Mole", "The Crazy Koala", "The Happy Piscine", "The Raptor and Salamander", "The Mamba and Bantam", "The Horned Tiger", "The Wasted Weasel", "The Vulture and Possum", "The Leopard and Newt", "The Harpy and Sloth", "The Cornered Moth", "The Wasted Rodent", "The Badger and Newt", "The Merry Fox", "The Bandicoot and Wombat", "The Merry Rodent", "The Meerkat and Bantam", "The Asp and Gibbon", "The Vulture and Newt", "The Aardvark and Lemming", "The Happy Aardvark", "The Crazy Poet", "The Mamba and Mole", "The Lethal Piscine", 
"The Mad Rabbit", "The Unusual Mallard", "The Petulant Duck", "The Peculiar Porcine", "The Kestral and Turtle", "The Aardvark and Gibbon", "The Jaguar and Swan", "The Dragonfly and Kitten", "The Wasted Mole", "The Freaky Weasel", "The Merry Hound", "The Leopard and Sloth", "The Kestral and Marmot", "The Dog and Platypus", "The Strange Weasel", "The Remarkable Koala", "The Siren and Sparrow", "The Mamba and Turtle", "The Bandicoot and Penguin", "The Raptor and Platypus", "The Petulant Hen", "The Freaky Duck", "The Leaping Rabbit", "The Curious Stoat", "The Levitating Mallard", "The Unusual Lama", "The Drunken Rodent", "The Cobra and Sparrow", "The Peculiar Lama", "The Wasted Lama", "The Remarkable Rodent", 
"The Reticulated Frog", "The Racoon and Turtle", "The Raptor and Rat", "The Sneaky Mongoose", "The Coyote and Platypus", "The Spotted Lion", "The Freaky Mallard", "The Cobra and Newt", "The Jaguar and Kitten", "The Asp and Swan", "The Jaguar and Sloth", "The Drunken Koala", "The Happy Piscine", "The Happy Goat", "The Gargole and Turtle", "The Siren and Mouse", "The Lethal Stoat", "The Burning Beach", "The Harpy and Newt", "The Remarkable Bird", "The Lethal Lion", "The Horned Hound", "The Freaky Lizard", "The Reticulated Hen", "The Petulant Graduate", "The Jolly Asp", "The Cobra and Mouse", "The Panther and Cobra", "The Ocelot and Penguin", "The Crazy Cobra", "The Jaguar and Turtle",    
 // The Name below is only used if the pool needs to loop (See the Readme File for Details).
"The Infamous Tiger"];

//  Name Array for Royal Hunting Lodges (Number of Names in Array: 256)
//  This uses the pool method as above, but with hand naming for the Lodges which normally exist in game.
//  Lodges are all hand named, but if another OXP added extra Lodges either to additional systems or multiple Lodges in the same system these are named procedurally (up to 256 per system).
this.lodgepool = ["Lady of the Lake", "Angela the Impatient", "Francesco the Naive", "Michele the Cursed", "Antionetta the Unhelpful", "Anna the Lionheart", "Luciano the Naive", "Lucia the Bold", "Antionetta the Odd", "Secret of the Grail", "Castle of Maidens", "Francesca the Elongated", "Sir Robin the Brave", "Carlo the Obscure", "Lucia the Lost", "Francesco the Synthetic", "Amelie the Unwashed", "Aldo the Synthetic", "Anna the Unsteady", "Michele the Naive", "Giovanna the Flatulen", "Carlo the Bold", "Elena the Cursed", "Elena the Obscure", "Amelie the Mutated", "Giovanna the Impatient", "Pietro the Infected", "Carla the Brave", "Carmela the Shrewd", "Knight of the Serpent", "Robin the Bold", "Lady of Shalott", 
"High Noon", "Giovanna the Curtailed", "Jarno the Patient", "Salvatore the Unwashed", "Giovanni the Cursed", "Vincenzo the Conspicuous", "Salvatore the Impatient", "Angela the Infected", "Barge of the Dead", "Face the Raven", "Angela the Naive", "Angelo the Butcher", "Francesco the Butcher", "Concetta the Disorganised", "Knight of the Rose", "Michele the Impatient", "Carlo the Brave", "Scabbard of Excalibur", "Salvatore the Disorganised", "Luciano the Infected", "Luigi the Underhand", "Angelo the Underhand", "Antonio the Obscure", "Luciano the Underhand", "Francesca the Impatient", "Luciano the Curtailed", "Francesco the Unsteady", "Anna the Relaxed", "Luigi the Underhand", "Francesca the Lost",
"Knight of the Crown", "Horn of Valhalla", "Aldo the Fearless", "Angelo the Misshapen", "Concetta the Shrewd", "Antonio the Misshapen", "Giovanna the Fearless", "Francesca the Underhand", "Franco the Butcher", "Sergio the Peculiar", "Anna the Curtailed", "Cauldron of Blood", "Domenico the Unhelpful", "Hall of Adjudication", "Rosa the Unwashed", "Domenico the Brave", "The Green Baron", "Amelie the Underhand", "Giovanni the Obscure", "Sergio the Burned", "Brigitte the Relaxed", " the Relaxed", "Giovanna the Misshapen", "Brigitte the Obscure", "Domenico the Fearless", "Aldo the Flatulen", "Sergio the Burned", "Elena the Impatient", "Sergio the Burned", "Antionetta the Mutated", "Domenico the Cursed",
"Pietro the Rude", "Concetta the Disorganised", "Knight of the Cart", "Horn of Plenty", "Carlo the Curtailed", "Jarno the Obscure", "Lucia the Lionheart", "Shadow of the Templars", "Michele the Inflated", "Carlo the Underhand", "Sergio the Lionheart", "Franco the Butcher", "Antionetta the Infected", "Mirror of Honour", "Giovanni the Synthetic", "Rosa the Elongated", "Lucia the Naive", "Rosa the Unhelpful", "Amelie the Peculiar", "Rosa the Relaxed", "Brigitte the Fearless", "Giorgio the Butcher", "Rosa the Disfigured", "Michele the Misshapen", "Giovanni the Unsteady", "Rosa the Brave", "Angelo the Conspicuous", "Jarno the Shrewd", "Giorgio the Burned", "Lucia the Cautious", "Code of Chivalry", 
"Giovanna the Cursed", "Angela the Disorganised", "Sword in the Stone", "Fog of War", "Death or Glory", "Sergio the Lionheart", "Brigitte the Patient", "Aldo the Bold", "Adrienne the Underhand", "Lucia  the Bold", "Elena the Shrewd", "Amelie the Butcher", "Caterina the Inflated", "Vincenzo the Brave", "First Blood", "Franco the Disorganised", "Rosa the Cautious", "Domenico the Curtailed", "Court of Charlemagne", "Luciano the Patient", "Giovanni the Lost", "Master of the Claw", "Sergio the Bold", "Michele the Peculiar", "Giorgio the Peculiar", "Angelo the Lionheart", "Elena the Unwashed", "Amelie the Relaxed", "Angelo the Unhelpful", "Carla the Synthetic", "Carlo the Disfigured",
"Giovanna the Mutated", "Antonio the Shrewd", "Giovanna the Shrewd", "Trial of the French Taunting", "Definitions of Honor", "Concetta the Lost", "Michele the Patient", "Brigitte the Brave", "Carlo the Unwashed", "Angela the Mutated", "Francesco the Underhand", "Elena the Peculiar", "Carlo the Curtailed", "Carmela the Unwashed", "Angela the Cursed", "King of the Hill", "Trial of the Great Moth", "Luciano the Elongated", "Caterina the Bold", "Knight of the Sword", "Angela the Infected", "Sarah the Naive", "Franco the Patient", "Carla the Elongated", "Giorgio the Brave", "Carmela the Vain", "Pietro the Cautious", "Caterina the Impatient", "Giorgio the Obscure", "Luigi the Fearless", "Giovanna the Relaxed", "Carlo the Unhelpful",
"Carmela the Butcher", "James the Burned", "None Shall Pass", "Peril of the Poet", "Luciano the Cursed", "Giovanni the Disorganised", "Eric the Fearless", "Vincenzo the Bold", "Aldo the Misshapen", "Angelo the Cursed", "Anna the Elongated", "Giovanni the Unwashed", "Carlo the Lost", "Concetta the Fearless", "Carlo the Cursed", "Antionetta the Bold", "Elena the Lionheart", "Francesco the Fearless", "Carla the Disfigured", "Twin Kingdom Valley", "Brigitte the Underhand", "Carla the Infected", "Vincenzo the Unsteady", "Caterina the Rude", "Concetta the Patient", "Luigi the Curtailed", "Michele the Mutated", "Francesco the Disfigured", "Sergio the Obscure", "Giorgio the Inflated", "Domenico the Flatulen",
"Lucia the Disorganised", "Test of the Shrubbery", "Luigi the Cautious", "Michele the Flatulen", "Trial of the Wooden Badger", "Franco the Shrewd", "Angelo the Lost", "Angela the Unhelpful", "Amelie the Cursed", "Giorgio the Unwashed", "Vincenzo the Obscure", "Jarno the Curtailed", "Michele the Disfigured", "Jarno the Curtailed", "Francesco the Disfigured", "Staff of Merlin", "Luciano the Synthetic", "Salvatore the Elongated", "Francesco the Naive", "Pietro the Naive", "Peril of the Satanic Shrew", "Michele the Curtailed", "Adrienne the Conspicuous", "Luigi the Disorganised", "Angelo the Elongated", "Carmela the Impatient", "Giorgio the Cursed", "Carmela the Shrewd", "Concetta the Disorganised", "Carmela the Peculiar", 
"Lucia the Elongated", "The African Swallow", "Carmela the Lost", "Book of Carmarthen", "Vincenzo the Unsteady", "Lucia the Infected", "Peril of the Killer Rabbit", "Anna the Shrewd",    
 // The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Richard the Lionheart"];

//  Name Array for Imperial AstroFactories (Number of Names in Array: 256)
//  This uses the pool method as above.
this.astropool = ["Center of the Mind", "Chains of Olympus", "Hack and Slash", "Ghost of Sparta", "Accuser of the Brethren", "All for Nothing", "Chewing the Scenery", "Memory Lane", "The Slippery Slope", "The Oracle of Seasons", "Late to the Party", "Just Roll With It", "Fridge Logic", "Dubious Company", "Dastardly and Muttley", "Descent of Angels", "Mark of the Ninja", "Duel of the Fates", "Chivalry of a Failed Knight", "Shadows Die Twice", "House of Fury", "Burning Ambition", "Heroes Of The East", "Snow by Night", "Journey to the West", "The Iron Teeth", "It Takes a Thief", "Born of Mist", "The Thinking Machine", "Look to the Sky", "Mask of Life", "The Morlock Hole", 
"Arrivals from the Dark", "The Mushroom Man", "Born Under the Sail", "Under the Dome", "The Supreme Commander", "Under Alien Stars", "Call to Power", "The Accidental Astronaut", "Return of the Archons", "Children Of The Dust", "Deep Space Nine", "Glitch in the System", "Feeding the Trolls", "Flight of the Sages", "Blood Maiden", "Tears of Remorse", "Cruel Intentions", "The Horned King", "Sense and Sensibility", "Dark Earth", "The Acts of Caine", "Yesterday Was a Lie", "Worth the Candle", "Daughter of the Lilies", "Loss of Sensation", "Breaking the Wall", "The Iron Dream", "Running with Rats", "The Difference Engine", "All Things End", "Friends with Everybody", "Dance Of The Butterfly",
"Only Echoes Remain", "Draw One in the Dark", "House of Doors", "Inner Demon", "No Gods for Drowning", "Trail of Lightning", "Special Circumstances", "Witchfinder General", "Soul Hacker", "Women of the Otherworld", "Round the Twist", "Rise of the Cobra", "No Songs For The Dead", "Troubled Soul", "A Series of Unfortunate Events", "The Steel Cowboy", "Fate of the Clans", "Within a Deep Forest", "Afraid of the Dark", "Stroke of Midnight", "The Water Baby", "Tears of Blood", "The Ashen One", "The Princess Bride", "Divine Blood", "Devil Fish", "Never Say Never Again", "The Riddling Reaver", "Start of an Adventure", "Around a Red Dwarf", "Burn The Witch", "The Long Patrol",
"The Mother Hubbard", "Legend of the Seeker", "Zone of Thought", "Song of the Sea", "Schooled in Magic", "Kisses and Curses", "Keeper of the Elements", "The Cursed Child", "Shadows over Meridian", "Blue Ice", "The Feathered Lord", "Call of the Wildman", "Hour of Darkness", "Better Watch Out", "Wait Until Dark", "The Goblin Slayer", "Wolf of the Plains", "After Closing Time", "Army of Frogs", "No Jacket Required", "Illusions of Grandeur", "A Man for All Seasons", "Waiting to Exhale", "Growing Affection", "Second Choice", "Trigger Finger", "One Life to Live", "Butlins Resort", "Wanderer of the North", "The Tusken Raider", "Across the Line", "Sliver of Darkness",
"Soul Collector", " Loved and Lost", "Trails In The Sky", "Soul Calibre", "World of Warcraft", "Twist Ending", "Succession Crisis", "Rooting for the Empire", "The Stanley Parable", "Secrets of the Sun God", "Lord of the Storm", "Anger Is a Gift", "Cruel Twist of Fate", "All The Rage", "Along for the Ride", "The Forge Master", "Art of Being Normal", "The King Maker", "Safety in Numbers", "Racing in the Rain", "Daughter of the Nile", "More Than This", "Running Out of Time", "Of Fire and Stars", "Stairway to Heaven", "One of Us is Lying", "Inside the Storm", "Rose Under Fire", "Shadow of the Fox", "Born from a Wish", "Running With Lions", "Searching for the Sky",
"The Nuclear Plant", "The Toxin Refinery", "Central Processing", "The Phobos Anomaly", "The Containment Area", "The Platinum Refinery", "The Spawning Vats", "The Underhalls", "The Waste Tunnels", "The Crusher", "The Refueling Base", "The Industrial Zone", "Anomalous Materials", "Unforeseen Consequences", "The Blast Pit", "Residue Processing", "The Lambda Core", "The Medical Pavilion", "Under A Painted Sky", "The Silence of Bones", "Song for a Dark Queen", "Wind in the Door", "Tunnel in the Sky", "The Proving Ground", "The Atlantic Express", "Siren Alley", "Until We Meet Again", "Fontaine Futuristics", "The Hidden Hand", "Battleship Bay", "Monument Island", "Hall of Heroes",
"Down the Street", "Voices After Midnight", "We All Fall Down", "Hunting the Flame", "Instead of Three Wishes", "Spirits on the Roof", "The Owl House", "Firestorm Peak", "Room for Improvement", "Barefoot in the Park", "Home Before Dark", "Cinders and Ashes", "Devil of the Moon", "Silence in the Library", "Dead Center", "The Lazarus Effect", "Love of Iron", "Song of the Lioness", "The Cat Came Back", "Restless Heart", "A Theory of Butterflies", "After the Fact", "Realm of Owls", "The Chained Melody", "The Bone Witch", "Not So Different", "Baptism of Fire", "Day of the Dollmaker", "Anywhere the Wind Blows", "Heart of Steel", "The Turing Test", "Under Lock and Key",
"Atlantis of the Sands", "Comstock House", "Hand of the Prophet", "The Broken Saint", "What We Behold", "Thunder Dome", "Worth Fighting For", "The Fourth Bear","Off To See The Wizard", "Beneath the Iron Mountain", "The Imperial Treasury", "Died with Their Boots On", "Quietly Into the Night", "Final Unity", "Kingdom of Heaven","The Tarnished Knight", "The Treatment Plant", "Sutton Coalfield", "The Imperial Granary", "Game of Shadows", "The Pleasure Dome", "The Edge Runner", "Gold Rush", "Letter of Farewell","Down in the Valley", "Mirror of Fate", "Cider with Rosie", "Love for the Wicked", "The Cold Room", "The Uranium Works", "The Ore Refinery", "Prelude to a Kiss",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"The Count Dracula"];

//  Name Array for RRS Mining Outposts (Number of Names in Array: 256)
//  This uses the pool method as above.
this.minepool = ["Steady as a Rock", "Children of Remnant", "Power of the Equinox", "Pomp and Circumstance", "Legends of the Dead Earth", "Two Sides of a Coin", "Hudson Bay", "Spanner in the Works", "Laughter in Paradise", "On One Condition", "Mallard Point", "Make a Wish", "Colossal Cave", "Defector from Paradise", "Demon Slayer", "Monkey Business", "Beast in the Maze", "Chasing a Butterfly", "Probably Nothing", "Lost in a Crowd", "So Much for Stealth", "Black Gold", "Rules of Attraction", "Fatal Frame", "Bait and Switch", "Better Luck Tomorrow", "Days of Ruin", "Son of Reprieve", "Life of Melody", "Sunny in Philadelphia", "Holier Than Thou", "Death Note", "The Glass Onion",
"Beneath the Earth", "Book of Life", "The Maiden Rose", "Children of the Sanctum", "Twinkle in the Eye", "Love at First Sight", "Sunset Overdrive", "Samurai Jack", "Sword and Claw", "Seeker of Truth", "Incarnation of Legend", "Beyond the Impossible", "Country of Hearts", "After the Rain", "Shade of El Dorado", "Walking the Earth", "Rock and Rule", "Makes Sense in Context", "Rivet City", "Wearing the Cape", "No Chance for Fate", "Dancing with the Stars", "Chasing the Sunset", "Suburban Knight", "Methods of Rationality", "Chasing an Empty Dream", "Strange Times", "The Bad Old Days", "Boot Hill", " When Lightning Strikes", "One for the Vine", "Pursued by a Bear", "Rose in Bloom", "Breaking Dawn",
"The Orange Tree", "Double Eagle", "Gentle Repose", "Beyond the Boundary", "Garden of Sinners", "Thorns and Roses", "The Closer", "Throne of Glass", "Book of Malachi", "Not Always Right", "The Caustic Critic", "Atomic Betty", "Area of Expertise", "Into a Black Hole", "The Unbelievable Truth", "Master of Disguise", "Turning Over a New Leaf", "Kiss of the Dragon", "Facing the Future", "Delved too Deep", "Voice in the Dark", "The Slow Path", "Journey to Babel", "Basilisk Cove", "Portal to the Past", "Central Casting", "Boy Meets World", "Passing the Torch", "The Haunting Hour", "Know the Devil", "Out of This World", "Life in the Clouds",
"In a Strange Land", "Parable of the Sower", "The Echo Wife", "A Wrinkle in Time", "The Candy House", "Left Hand of Darkness", "Anything Goes", "Matters Of Taste", "Unto the Deep", "The Sleeping Giant", "The Perfect Illusion", "Born This Way", "Cheek To Cheek", "Come to Mama", "El Dorado", "The Mole Man", "Edge of Glory", "Beyond the Sunset", "Orphan of the Sky", "Time for the Stars", "Our Day Will Come", "The Existence Forecast", "Bothered and Bewildered", "Born with the Hunger", "Catching the Wind", "Something in the Air", "Train of Thought", "Forbidden Star", " Cause and Effect", "Get It Together", "Kisses in the Wind", "Promise of a New Day", 
"Enough Is Enough", "Back in the Day", "All the Right Moves", "Moonlight on Water", "No More Tears", "Fire Island", "Underneath the Smile", "No More Rainy Days", "Around a Memory", "Dorsey Lighthouse", "Our Lips Are Sealed", "The Nine Elms", "Not the One", "Middle of Nowhere", "Not What It Seems", "Shake It Up", "Kiss and Tell", "Two a Penney", "Fraggle Rock", "For the Fame", "Just like Magic", "Over and Over Again", "Lair of Eugene", "Off the Table", "One Last Time", "Son of a Gun", "Love in the Rain", "Under Any Moon", "Chasing Thunder", "Sign from Above", "No Matter What", "The Planet Cracker", "Live for the Day",
"Nothing Lasts Forever", "Act of Contrition", "Back in Business", "Goodbye to Innocence", "Fortune Teller", "Into the Groove", "Wish You Were Here", "Three Little Birds", "Out of Goodbyes", "Less is More", "Ready for Anything", "Hemlock Grove", "Wish You Were Here", "Precious Memories", "The New Kind", "Turn It Up", "These Are the Days", "Colors of Infinity", "Hitching a Ride", "Quiet Desperation", "Make It Right", "Let the Music Play", "Sealed with a Kiss", "Believe in Miracles", "The Last to Know", "Hard to Forget", "Hot as Ice", "Not Too Late", "The Real Thing", "Come On Down", "Heavy Lies the Head", "Soul Mate", "Symphony of Life",
"Too Much of a Good Thing", "Better than Today", "The Vat", "Feels So Good", "Looking for an Angel", "In the Flesh", "One Second to Midnight", "Through the Years", "Sooner or Later", "The Mines of Moria", "Where the Wild Roses Grow", "The World Still Turns", "For the Record", "Do Not Disturb", "Just a Little Bit", "State of Mind", "The Dog Star", "Until It All Falls Apart", "Between the Raindrops", "Hot Line to Heaven", "More than Physical", "A Mind of Its Own", "Madly in Love", "The One That Got Away", "Pocketful of Sunshine", "Girls Night Out", "Sunshine on a Rainy Day", "Halfway to Paradise", "Breaking the Rules", "Just Around the Corner", "Fool for Love", "The Central Cavern",
"Slow It Down", "Just Another Dream", "The Stepping Stone", "Hotter than Hell", "All Around the World", "Let It Rain", "Warrior of the Wasteland", "Here Comes the Rapture", "Rock the Party", "The Velvet Underground", "Gathering Storm", "Moving On Up", "Love Machine", "Stillness in Time", "One Drink Away", "Hanging on a String", "Downward Spiral", "The Magic Touch", "Memory of the Future", "A Sight for Sore Eyes", "Searching for a Hero", "One Night in Heaven", "Hold On Tight", "Praying for Time", "Nothing Has Been Proved", "One of the Crowd", "To Speak Is a Sin",    
 // The Name below is only used if the pool needs to loop (See the Readme File for Details).
"To Face the Truth"];

// The Mining Outposts can also be called by RRS as special Slaver Bases and Infected Mines.
// Different pools are used in case one appears in a system where there is already a mine present.
// These stations only remain until destroyed by the player when completing the mission, but can appear in any system.
// The name assigned is persitant, but only a pool of 64 names is needed as the stations appear so rarely.
this.minepool2 = [
// 32 Names in each row.
"Beautiful Inside", "Deeply Dippy", "Sticks and Stones", "Running the Melody", "One Step Closer", "All Fired Up", "Forever Is Over", "What About Us", "Read My Lips", "Bumper To Bumper", "Spice Girl", "Leading the Way", "Down in the Depths", "The Only Way", "Best Forgotten", "Neon Blue", "Story of a Heart", "Words Are Not Enough", "Caught in a Moment", "The Right Time", "Hole in the Head", "Opening the Door", "Pushing the Button", "Get Ready for It", "Let in the Sun", "The Fruit Machine", "Feels Like Heaven", "All Time Low", "The Slightest Touch", "Glowing in the Dark", "Club Tropicana", "Lazy Days", 
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"The Witch Doctor"];

this.minepool3 = [
// 32 Names in each row.
"Mixed Signals", "No Regrets", "Time for Change", "The One Dream", "Dust in Gravity", "Nights of Thunder", "Face of the Sea", "Head Up High", "Together Forever", "Space Invader", "The Toy Box", "Take My Hand", "Never Alone", "Nothing Like the Rain", "Melts with the Sun", "When I Grow Up", "Past and Present", "Send Me Roses", "Forever as One", "Up and Down", "Space Cowboy", "The Infant Light", "Free and Single", "Boat on the River", "Somewhere in the World", "Find Another Way", "The Drill Instructor", "Together and Forever", "Endless Summer", "Follow the Leader", "No Self Control", "Rebel of the Sands", 
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Rhythm of the Night"];

//  Name Array for the Collective SLAPU Stations. (Number of Names in Array: 256)
//  This uses the pool method as above.
this.slapupool = ["Endurance of Friedrich Engels", "Joy of Communism", "Honour of the Presidium", "Solidarity of the People", "Tenacity of Leninism", "Conscience of Maoism", "Solidarity of the Party", "Altruism of the Bolsheviks", "Pride of the Proletariat", "Foresight of Juche", "Medal of the Proletariat", "Might of Maoism", "Love of the Bolsheviks", "Unity of the Revolution", "Unity of the Presidium", "Tenacity of Joseph Stalin", "Truth of the Workers", "Tenacity of the Proletariat", "Unity of the Politburo", "Power of the Kremlin", "Might of Joseph Stalin", "Medal of Karl Marx", "Generosity of Doublethink", "Medal of the Commissars", "Fortitude of Karl Marx", "Altruism of Friedrich Engels", "Generosity of the Five-Year Plan", "Might of the Bolsheviks", "Bravery of Juche", "Honour of Doublethink", "Concord of the Bolsheviks", "Conscience of Vladimir Lenin",
"Paradigm of Karl Marx", "Bravery of the Revolution", "Paradigm of Maoism", "Compassion of Friedrich Engels", "Foresight of Big Brother", "Altruism of the Bolsheviks", "Endurance of Maoism", "Resilience of the Proletariat", "Generosity of the Revolution", "Love of Friedrich Engels", "Concord of Doublethink", "Foresight of the Commune", "Unity of the Commune", "Altruism of the Red Army", "Heroism of the Proletariat", "Tenacity of Joseph Stalin", "Generosity of the Red Army", "Honesty of the Party", "Hero of the Revolution", "Resilience of the Commissars", "Paradigm of Juche", "Harmony of the Five-Year Plan", "Medal of the Proletariat", "Compassion of Friedrich Engels", "Fortitude of the Stasi", "Solidarity of the Stasi", "Humanity of the Presidium", "Concord of Doublethink", "Altruism of Joseph Stalin", "Bravery of the People", 
"Love of Leninism", "Vigilance of the Party", "Pride of Communism", "Conscience of Communism", "Concord of the Proletariat", "Pride of Doublethink", "Heroism of Big Brother", "Truth of the Party", "Compassion of the Party", "Unity of Central Planning", "Compassion of the Presidium", "Truth of the Proletariat", "Heroism of Joseph Stalin", "Harmony of Doublethink", "Generosity of Big Brother", "Soliloquy of Sovietism", "Heroism of Leninism", "Hero of Big Brother", "Generosity of Big Brother", "Pride of Big Brother", "Bravery of Maoism", "Compassion of the Workers", "Humanity of Vladimir Lenin", "Power of Sovietism", "Power of the Politburo", "Hero of the Workers", "Vigilance of the Stasi", "Foresight of Juche", "Hope of Vladimir Lenin", "Power of the Bolsheviks", "Generosity of the Commune", "Unity of the Commune",
"Foresight of the Commune", "Unity of the Commune", "Altruism of the Red Army", "Honesty of Communism", "Humanity of Karl Marx", "Paradigm of Karl Marx", "Solidarity of Sovietism", "Endurance of Big Brother", "Humanity of the Proletariat", "Might of the Workers", "Unity of Juche", "Truth of Maoism", "Generosity of the Politburo", "Heroism of the Politburo", "Joy of Maoism", "Conscience of Juche", "Concord of Big Brother", "Hope of the Presidium", "Endurance of the Kremlin", "Paradigm of Juche", "Unity of Friedrich Engels", "Conscience of Ho-Chi Minh", "Paradigm of the Commissars", "Bravery of the Red Army", "Paradigm of the Five-Year Plan", "Tenacity of Joseph Stalin", "Hope of the Proletariat", "Might of Karl Marx", "Honour of Doublethink", "Concord of Leninism", "Hero of Big Brother", "Tenacity of Centralism",
"Tenacity of Doublethink", "Heroism of the Commissars", "Soliloquy of the Five-Year Plan", "Altruism of Doublethink", "Conscience of Doublethink", "Power of Big Brother", "Compassion of Maoism", "Solidarity of the Party", "Honour of the Proletariat", "Compassion of the Party", "Unity of Central Planning", "Conscience of Karl Marx", "Tenacity of Central Planning", "Red Star", "Pride of Doublethink", "Heroism of Doublethink", "Generosity of the Commissars", "Hope of Ho-Chi Minh", "Power of the Presidium", "Foresight of Communism", "Pride of the Red Army", "Honour of Leninism", "Generosity of the Kremlin", "Bravery of the Commissars", "Hero of Juche", "Fortitude of the Five-Year Plan", "Honesty of Communism", "Humanity of Juche", "Vigilance of Juche", "Altruism of the Proletariat", "Hero of the Commune",
"Bravery of Juche", "Fortitude of Joseph Stalin", "Soliloquy of the Politburo", "Foresight of Karl Marx", "Generosity of the Five-Year Plan", "Might of Leninism", "Honour of Centralism", "Endurance of the Stasi", "Joy of Centralism", "Hope of the Workers", "Resilience of the Proletariat", "Fortitude of Vladimir Lenin", "Resilience of the Politburo", "Resilience of the Red Army", "Hope of Karl Marx", "Paradigm of the Proletariat", "Medal of Big Brother", "Medal of the Proletariat", "Power of Joseph Stalin", "Integrity of Karl Marx", "Love of Big Brother", "Vigilance of Leninism", "Foresight of Ho-Chi Minh", "Resilience of Maoism", "Tenacity of Communism", "Power of the Commissars", "Generosity of Centralism", "Vigilance of Central Planning", "Heroism of Communism", "Bravery of Communism", "Might of the Party", "Altruism of Leninism",
"Concord of the Proletariat", "Soliloquy of Vladimir Lenin", "Medal of Juche", "Paradigm of Juche", "Honour of the Stasi", "Integrity of the Revolution", "Endurance of Communism", "Integrity of Ho-Chi Minh", "Hero of the Red Army", "Pride of Central Planning", "Concord of Central Planning", "Paradigm of Big Brother", "Unity of the Commissars", "Tenacity of the People", "Truth of Doublethink", "Humanity of the Revolution", "Bravery of Doublethink", "Endurance of the Bolsheviks", "Soliloquy of Centralism", "Humanity of Big Brother", "Joy of Central Planning", "Conscience of Juche", "Unity of the Five-Year Plan", "Compassion of the Bolsheviks", "Altruism of Big Brother", "Honesty of Communism", "Humanity of Karl Marx", "Joy of the Presidium", "Hero of Karl Marx", "Soliloquy of the Stasi", "Pride of the Stasi", "Endurance of the Five-Year Plan",
"Endurance of the Politburo", "Endurance of the Red Army", "Truth of Friedrich Engels", "Hope of Karl Marx", "Unity of the Party", "Generosity of Sovietism", "Tenacity of the Presidium", "Paradigm of Karl Marx", "Might of the Politburo", "Compassion of Doublethink", "Compassion of Maoism", "Solidarity of the Party", "Generosity of the Bolsheviks", "Altruism of the Stasi", "Hope of Ho-Chi Minh", "Power of the Presidium", "Honour of the Stasi", "Heroism of the Politburo", "Unity of the Proletariat", "Concord of Maoism", "Harmony of the Proletariat", "Soliloquy of Vladimir Lenin", "Medal of Juche", "Medal of Juche", "Unity of the Presidium", "Tenacity of Joseph Stalin", "Truth of the Workers", "Honesty of Leninism", "Conscience of the People", "Heroism of Big Brother", "Hero of the Revolution", "Hope of Sovietism", 
"Solidarity of the Politburo", "Paradigm of the Workers", "Heroism of the Party",    
 // The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Needs of the Many"];

//  Name Array for the Collective ZGF Stations. (Number of Names in Array: 256)
//  This uses the pool method as above.
this.zgfpool = ["Repentance of the Kulakbernc", "Destruction of the Dissident", "Nemesis of Perestroika", "Purifier of Dissent", "Dismay of the Fifth Column", "Curse of Pseudoscience", "Defeat of the Saboteur", "Despair of Perestroika", "End of the Kulakbernc", "Extermination of Individualism", "Curse of Trotskyism", "Obliteration of the Saboteur", "Grave of the Fifth Column", "Desolation of the Defector", "Curse of the Vrediteli", "Purifier of Khozraschyot", "Nemesis of Liberalism", "Eradication of Capitalism", "Annihilation of Demokratizatsiya", "Repentance of the Vrediteli", "Anguish of Perestroika", "Bane of Glasnost", "Dismay of Free Enterprise", "Penitence of Capitalism", "Anguish of Treason", "Downfall of the Kulakbernc", "Demise of Samizdat", "Bane of Samizdat", "Purgatory of the Saboteur", "Purifier of the Ishentsy", "Penitence of the Nevozvrashchentsy", "Purifier of Khozraschyot",
"Purgatory of the Defector", "Bane of Glasnost", "Dismay of the Free Market", "Curse of Free Enterprise", "Defeat of the Free Market", "Grave of the Intelligentsia", "Repentance of Parasitism", "Extermination of Free Enterprise", "Grave of Khozraschyot", "Anguish of Khozraschyot", "Obliteration of Free Enterprise", "Sorrow of the Saboteur", "Plague of Thought Crime", "Lament of the Ishentsy", "Torment of Glasnost", "Dismay of the Vrediteli", "Purifier of Khozraschyot", "Plague of Dissent", "Sorrow of Thought Crime", "Obliteration of the Defector", "Purge of Perestroika", "Curse of the Ishentsy", "Scourge of the West", "Blight of Dissent", "Desolation of Goldstein", "Desolation of the Conspiratorial Bloc", "Sorrow of the Defector", "Anguish of the Fifth Column", "Purifier of the Ishentsy", "Repentance of Trotskyism", "Demise of Capitalism", "Extermination of the Podkulachnik",
"Penitence of Dissent", "Annihilation of Samizdat", "Scourge of the Nevozvrashchentsy", "Grave of Individualism", "Purgatory of the Podkulachnik", "Grave of the West", "Doom of the Fifth Column", "Obliteration of Goldstein", "Downfall of Thought Crime", "End of Glasnost", "Purgatory of the Kulaks", "Purge of Samizdat", "Purge of Glasnost", "Anguish of Goldstein", "Purgatory of Samizdat", "Dismay of the Vrediteli", "Annihilation of the Aristocracy", "Eradication of the Free Market", "Grave of Pseudoscience", "Devastation of Thought Crime", "Anguish of Samizdat", "Grave of the West", "Extermination of the Intelligentsia", "Blight of Pseudoscience", "Eradication of the Nevozvrashchentsy", "End of the Ishentsy", "Collapse of the Fifth Column", "Curse of the Intelligentsia", "Eradication of Goldstein's Book", "Lament of the Defector", "Sorrow of Individualism", "End of the Dissident",
"Fall of Samizdat", "Obliteration of Capitalism", "Purge of Trotskyism", "Nemesis of Trotskyism", "Bane of Thought Crime", "Plague of the Ishentsy", "Fall of the Defector", "Nemesis of the Kulakbernc", "Anguish of Individualism", "Devastation of the Aristocracy", "Purgatory of the Vrediteli", "Curse of Samizdat", "Purifier of Individualism", "Defeat of the Vrediteli", "Blight of Thought Crime", "Sorrow of the Kulakbernc", "Scourge of Glasnost", "Fall of Goldstein", "Annihilation of the Intelligentsia", "Downfall of the Aristocracy", "Blight of Parasitism", "Desolation of Demokratizatsiya", "Extermination of the Defector", "Destruction of Samizdat", "Extermination of the Saboteur", "Desolation of Demokratizatsiya", "Annihilation of the Free Market", "Plague of Khozraschyot", "Anguish of Khozraschyot", "Devastation of Thought Crime", "Anguish of the Podkulachnik", "Nemesis of Capitalism",
"Repentance of the Nevozvrashchentsy", "Destruction of Trotskyism", "Devastation of the Dissident", "Fall of Treason", "Defeat of the Fifth Column", "Grave of Thought Crime", "Bane of the Vrediteli", "Grave of Dissent", "Defeat of Free Enterprise", "Defeat of Free Enterprise", "Curse of Free Enterprise", "Demise of Perestroika", "Obliteration of Treason", "Plague of Free Enterprise", "Anguish of Parasitism", "Purge of the Intelligentsia", "Desolation of the Free Market", "Doom of Free Enterprise", "Devastation of Free Enterprise", "Downfall of Goldstein", "Curse of the Conspiratorial Bloc", "Despair of the Defector", "Dismay of the Vrediteli", "Extermination of the Nevozvrashchentsy", "Fall of Demokratizatsiya", "Blight of Thought Crime", "Demise of the Vrediteli", "Blight of Capitalism", "End of the Defector", "Defeat of Liberalism", "Torment of the Fifth Column",
"Downfall of the Nevozvrashchentsy", "Defeat of Capitalism", "Destruction of the Free Market", "Curse of the Aristocracy", "Extermination of the Ishentsy", "Lament of the Conspiratorial Bloc", "End of Trotskyism", "Grave of Trotskyism", "Dismay of Thought Crime", "Annihilation of the Intelligentsia", "Annihilation of Parasitism", "Penitence of Individualism", "Blight of the Ishentsy", "Nemesis of Free Enterprise", "Purge of the Vrediteli", "Desolation of the Dissident", "End of Demokratizatsiya", "Downfall of Treason", "Destruction of the Aristocracy", "Devastation of the Dissident", "Sorrow of the West", "Purgatory of Demokratizatsiya", "Anguish of Demokratizatsiya", "Despair of Treason", "Scourge of the Kulaks", "Obliteration of Thought Crime", "Obliteration of the Nevozvrashchentsy", "Blight of the Fifth Column", "Purifier of the Free Market", "Torment of Thought Crime",
"Demise of Individualism", "Defeat of the Free Market", "Plague of the Defector", "Purifier of the Defector", "Fall of the Kulakbernc", "Purifier of the Free Market", "Despair of Goldstein", "Devastation of Trotskyism", "Plague of the Fifth Column", "Devastation of the Intelligentsia", "Anguish of Thought Crime", "Curse of Dissent", "Repentance of Khozraschyot", "Extermination of Khozraschyot", "Plague of Individualism", "Nemesis of the Intelligentsia", "Sorrow of Trotskyism", "Despair of the Defector", "Dismay of the Vrediteli", "Purifier of Demokratizatsiya", "Curse of Capitalism", "Annihilation of the Defector", "Devastation of Liberalism", "Sorrow of the Conspiratorial Bloc", "Torment of Liberalism", "Doom of Free Enterprise", "Devastation of Free Enterprise", "Blight of the Free Market", "Eradication of Parasitism", "Defeat of the Intelligentsia", "Scourge of the Defector",
"Blight of the Nevozvrashchentsy", "Torment of Glasnost", "Dismay of the Aristocracy", "Purge of the Kulakbernc", "Downfall of the Nevozvrashchentsy", "Plague of Dissent", "Defeat of Free Enterprise", "Defeat of the Free Market", "Nemesis of Samizdat", "Fall of the Conspiratorial Bloc", "Grave of Thought Crime", "Penitence of Treason", "Sorrow of the Kulakbernc", "Doom of the Defector", "Doom of the Vrediteli", "Fall of Demokratizatsiya", "Scourge of Capitalism", "End of Glasnost", "Grave of the Podkulachnik", "Demise of Treason", "Anguish of Khozraschyot", "Collapse of Capitalism", "Annihilation of Pseudoscience", "Demise of Goldstein", "Penitence of the Dissident", "Curse of the Kulaks", "Defeat of Pseudoscience", "Grave of the Vrediteli", "End of the Free Market", "Repentance of Treason", "Lament of the Free Market", "Scourge of the Vrediteli", "Curse of the Dissident",
"Torment of the Dissident", "Lament of the Ishentsy", "Anguish of Perestroika",    
 // The Name below is only used if the pool needs to loop (See the Readme File for Details).
"The Karl Marx"];

//  Name Array for the Salvage Gang Stations (Number of Names in Array: 256)
//  This uses the pool method as above. 
this.salvagepool = ["Last Rites", "Dark Future", "Scourge of Winter", "House of Wolves", "Lighting the Dark", "Trials and Tribulations", "Creature Feature", "Veil of Tears", "Gradius Bay", "Mean Streets", "Bayonetta Rising", "Jackdaw Cove", "Beauty in Destruction", "Nimble Acrobat", "Letters from a Renegade", "Unicorn Rock", "Yawning Angel", "Dark Aster", "The Silk Purse", "Beneath the Endless Night", "Den of Iniquity", "Snowball Effect", "Take Your Chance", "Right as Rain", "The Last Straw", "Cutting Corners", "Blessing in Disguise", "Rogue One", "Age of Miracles", "The Cookie Cutter", "Inadmissible Evidence", "Business before Pleasure", 
"On the Radio",  "Saints Row",  "Twisted Metal",  "Hard Reset",  "Path of Exile",  "From the Ashes",  "Dead Space", "Infinite Space",  "Astral Chain",  "Heavy Rain", "Perfect Dark",  "Age of Empires",  "Age of Mythology",  "War of the Roses", "Rise of Nations",  "World In Conflict",  "Heroes of the Storm",  "Ground Control",  "The Major Tom",   "What Lies Beneath", "Sleepy Hollow",  "Urban Legend",  "Deep Rising",  "Raven Dance",  "Dark Waters",  "House of Clocks",  "Dead Ringer", "American Gothic",  "Maximum Overdrive",  "Chained Heat",  "Voodoo Lounge",  "Twisted Nerve", 
"Multitude of Sins", "Head in the Clouds", "Devil iin the Detail", "Slow and Steady", "Icewind Pass", "Live and Learn", "Bethesda Wharf", "Oil and Water", "Catch a Fire", "Word to the Wise", "Tales out of School", "Bite the Bullet", "Cloud Nine", "Stir It Up", "Mile End", "Blinded by Science", "Sothern Comfort", "Finders Keepers", "Bread and Butter", "Bold as Brass", "Behind the Sun", "Nuts and Bolts", "Free Like the Wind", "Odds and Ends", "Dreamfall Bay", "Sunshine After the Rain", "Keep On Running", "Last Exit", "Too Late to Sleep", "Logan's Run", "River of Gold", "Dissent of Man",
"Face of Marble",  "Face at the Window",  "Inside Job",  "Meteor Apocalypse",  "The Man from Atlantis",  "The Day After Tomorrow", "Frequently Asked Questions",  "A Spotless Mind", "Disturbing Behavior",  "The Undiscovered Country",  "The Aurora Encounter",  "A Change of Mind",  "Avenging Conscience",  "Devourer in the Mist",  "Somewhere in the Darkness",  "The Happiness Cage", "The Rat Savior",  "Devourer of Stars",  "Cold Flame",  "The Moon God",  "Widow in the Woods",  "Rag and Bone", "Master of the Runes",  "Heart of the Ages",  "Forgotten God",  "Stalker in the Snows",  "Storm of Steel ",  "The King in Yellow",  "The Peacock King",  "Eater of Dreams",  "The Blind Watchmaker", "Father of All Winds", 
"Cold Lazarus",  "Rumble at Riedquat",  "Lonely Tears",  "Bearer of the Cup",  "Blood of the Ancients",  "Fallen Wisdom",  "Beneath a Cloudless Sky",  "Monarch of the Night",  "Father of the Swamps",  "Maker of Illusions",  "The Oldest Dreamer",  "Fiery Messenger",  "Dweller in the Depths",  "Matriarch of Swarms",  "End of the Darkness",  "Dark Devourer",  "The Nameless Mist",  "Green Flame", "Twisted Sound", "Demon of Dissonance",  "Dream Witch",  "Limbo of the Lost",  "Whisperer in the Darkness",  "Shadow over Innsmouth", "Museum of the Mind",  "Poetry of the Gods",  "Shadow of the Colossus",  "Gravity Rush",  "Chaos Reborn",  "The Technomancer", "Star Ocean",  "Kingdom Hearts",
"The Key of Solomon", "Ghost of Tsushima", "Until Dawn", "The Deer Hunter", "Evil Within", "Tokyo Ghostwire", "Alien Breed", "Red Orchestra", "Touch of the Night", "Prince of Persia", "State of Decay", "Lost Property", "Iron Rain", "Rock Hopper", "Blade Dancer","Strawberry Fields", "Dragon Slayer", "Unnatural Causes", "Blood of the Dragon", "The Omega Man", "Vanishing Point", "Fist of Fury", "Way of the Dragon", "Cover Girl", "Hard Times", "Race with the Devil", "Rolling Thunder", "Flag of Iron", "Cannonball Run", "Running on Empty", "Blue Thunder", "A Breed Apart",
"Alley Cat", "Armour of God", "Bird on a Wire", "Narrow Margin", "King of Beggars", "Demolition Man", "Point of No Return", "Ashes of Time", "Strike the Match", "Tank Girl", "Dash of Courage", "Bulletproof Monk",  "Ballistic Kiss", "Desperate Measures", "Mask of Zorro", "Cradle to Grave", "Nowhere to Hide", "Battle Royale", "Beneath the Endless Night", "The Red Hood", "Clash of the Titans", "Fire of Conscience", "Sleepless Night", "Source Code", "Sucker Punch", "Act of Valor", "Ghost Rider", "Day of Reckoning", "The Artful Dodger",  "No Tears for the Dead", "Fury Road", "Time for Consequences",
"Sea of Thieves", "Sneak Peak", "The Suicide Squad", "Golden Circle", "Fate of the Furious", "Face of Deception", "Day of the Soldado", "Close Quarters", "Hidden World", "Far From Home", "Face in the Crowd",  "Desert Bloom", "Trouble in Mind", "Born Yesterday", "Touch of Class", "Cutting Edge", "Picture Perfect", "Chasing Liberty", "Cinderella Story", "Midnight In Paris",  "Exit Strategy", "Magic in the Moonlight", "Palm Springs", "Cashmere Mafia", "High Fidelity", "Across the Universe", "Brokeback Mountain", "Forever Young", "Last Tango", "Practical Magic", "Ghost Machine", "Another World",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Even Heaven Cries"];

//  Name Array for the Sentinel Stations (Number of Names in Array: 256)
//  This uses the pool method as above (Shared with the Hathor and Nephthys Stations as the Sentials are very rare and never appear in the same system as the Hathor and Nephthys Stations - which are also quite rare!
this.sentinelpool = ["Moral Turpitude", "Often Right", "The Motley Fool", "Cross of Thorns", "Shadow of the Mountain", "The Buried Dagger", "Passive Income", "Mist in the Mirror", "Helping Hand", "Tastes like Chicken", "The Big Sleep", "Recipe for Disaster", "Life and Soul", "The Long Goodbye", "Hard Sell", "Dawn of Fire", "Trace Memory", "The Wolf King", "Rats in the Walls", "Little Sister", "Ominous Silence", "To Boldly Go", "Deck of Cards", "Dark Side of the Rainbow", "Cult of the Lamb", "The Seventh Retribution", "Soul of Cinder", "Nerd Rage", "Never Look Away", "Nerd Rage", "The Fourth Wall", "A Long Time Ago",
"Playing for Time", "Dust and Cobwebs", "Down On The Street", "Screaming in the Dark", "Early Days", "Carved from Ice", "Breaking Loose", "Playing it Safe", "Words of Blood", "Cyber Dreams", "Darkest Hour", "Leaf in the Wind", "The Sky May Fall", "For We Are Many", "Ashes of the Past", "Urban Myth", "A New Dawn", "Tracy Island", "Panic in the Sky", "Rebel in the Ranks", "Before the Awakening", "Master and Apprentice", "Heaven on Earth", "Answers in the Wind", "Spark of Resistance", "Path of Deceit", "Not for Nothing", "The Horacio Nelson", "Asphalt Jungle", "Specter of the Past", "Discount Armageddon", "Rules of the Game",
"Visions of the Future", "Under the Black Sun", "Balance Point", "Nugget of Truth", "Ring of Power", "Shroud of Night", "World Without End", "Glimpse into the Past", "Dreams of the Raven", "That Which Divides", "The More Things Change", "Turning of the Tide", "Foul Deeds Will Rise", "Crisis of Consciousness", "Child of Two Worlds", "Face of the Unknown", "Contest of Principles", "After the Tears", "Son of Fenris", "Seeds of Rage", "Demands of Honor", "Sacrifices of War", "The Headless Horsman", "And I Must Scream", "Plot Device", "Under the Skin", "Things Fall Apart", "Rock and a Hard Place", "Guises of the Mind", "Double or Nothing", "Forever Dark", "Best and the Brightest", "Capture the Flag",
"Greater than the Sum", "Strike Up the Band", "Devil Makes Three", "Legion of Forever", "Stuff of Dreams", "The Rose of Versailles", "Risen from the Ashes", "Night Hunter", "Wrath of the Prophets", "Left Hand of Destiny", "Enemy of My Enemy", "Where Sea Meets Sky", "No Assembly Required", "Collective Hindsight", "Ring Around the Sky", "Keeping things Simple", "Bitter Fruit", "Instant Karma", "Paradise Interrupted", "Back from the Dead", "Where Time Stands Still", "Out of the Cocoon", "Scent of Battle", "Turn of the Page", "A Choice of Futures", "Art of the Impossible", "Blood on the Moon", "Path of the Fallen", "Over a Torrent Sea", "Legion of Prosperity", "The Ridley Scott", "Open Secret",
"Before the Fall", "The Black Sea", "In Tempests Wake", "Echoes and Refractions", "Valiant Effort", "Zero Sum Game", "Watching the Clock", "The Poisoned Chalice", "Return of the Favour", "The Bloodied Rose", "Somewhere to Belong", "Ashes of Tomorrow", "Plausible Theory", "These Haunted Seas", "Circle in Time", "Breaker of Worlds", "Star Shadow", "Full Throttle", "The Wounded Sky", "The White Sea", "Revolt of the Angels", "Trial by Combat", "Happy Ending", "Shadow Captain", "Encounter at Farpoint", "First and Only", "Covenant of the Crown", "Quiet of the Night", "Tears of the Singers", "Happy Days", "The Shell Game", "Forget Me Not",
"Every Day Is a Holiday", "Best Case Scenario", "Stay of Execution", "Pennies from Heaven", "Lord of the Fallen", "The Hungry Machine", "Redemption of Time", "Searching for Meaning", "Skin Deep", "The Long Walk", "The Adam West", "Fruit for the Crows", "Eternal Night", "Hurt Locker", "Legion of Light", "Cry of the Moon", "To Thine Own Self", "Social Network", "Beyond the Pines", "Dark Was the Night", "Ring of Protection", "The Wall Facer", "Depth of Perception", "Voice from the Stone", "Before Night Falls", "Dancer in the Dark", "Under the Sand", "Don't Panic", "Artificial Intelligence", "Catch Me If You Can", "Pack Rat", 
"Far from Heaven", "Waiting for Happiness", "Memoirs of a Geisha", "Pulling the Strings", "There Will Be Blood", "Memories of a River", "Hope and Glory", "Picture of Health", "A Few Good Men", "Before the Rain", "The Last Supper", "Once Were Warriors", "Amongst the Tombstones", "Girlfriend in a Coma", "Through the Olive Trees", "In the Company of Men", "The Shrouded Hand", "The Machine God", "Deceptively Simple", "Under the Lighthouse", "Cider House Rules", "Another Way", "Hell Spawn", "Wish Upon A Star", "Sheer Madness", "Man Size in Marble ", "Song of The Siren", "Places in the Heart", "Never the Twain", "Half a Hero", "The Accidental Tourist",
"The Dead Poets Society", "Gods of the Plague", "Wrecking Crew", "Cold Feet", "Ice Queen", "When Worlds Collide", "Taking the High Ground", "Picnic at Hanging Rock", "Battle Angel", "Grim Determination", "Realm of the Senses", "Balance of Happiness", "Dark Humour", "Ballad of a Soldier", "Sinners Bounty", "Days of Wine and Roses", "Knife in the Water", "The Alfred Hitchcock", "Cry Tomorrow", "Getting Personal", "Nothing But a Man", "Colder Than Death", "Room at the Top", "Don't Believe The Hype", "Another Part of the Forest", "A Tale of Two Cities", "The Stars Look Down", "Light of Elder Days", "Breaking Strain", "The Way of All Flesh", "Going Underground", "Battle on the Wind", "Last Refuge of the Incompetent",    
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"The Captain Yossarian"];

//  Name Array for the Renegade Stations (Number of Names in Array: 256)
//  This uses the pool method as above. 
this.renegadepool = ["The Anne Bonny", "Black Dog", "The Black Tower", "Domain of Terror", "Voodo Priest", "Mouse Trap", "Dead Man's Chest", "Plasma Storm", "Blackbeard's Cove", "Like a Lady", "Cannon Fodder", "Blight Town", "Pistol Smoke", "The Dread Leviathan", "The Alexis Machine", "The Demonic Fraternity", "The Blind Beggar", "Barbossa Reef", "Deacon of the Deep", "Demon King", "The Lost Sinner", "One More Time", "Sins of the Flesh", "Shadow Fire", "Cruel Flame", "The Nameless King", "The Baneful Queen", "Demonic Retribution", "The Consumed King", "Path of Pain", "Ghost of Bluebeard",
"The Hellish Oath", "Revenge of Limbo", "Will of Satan", "Hammer of Hell", "Devourer of Earth", "Wall of Ice", "Compaen Island", "Wall of Fire", "Triumph of Terror", "Domain of Rats", "Dark Hand", "The Risen Shade", "The Queen Ann's Revenge", "Blackbeard Island", "Purgatory Rising", "Abyssal Fire", "Particle Effect", "Stand and Deliver", "Fires of Hell", "The Grace O'Malley", "Splinter Cell", "Land of Shadow", "Bloody Retribution", "Dead Man's Hand", "The Edward Low", "Wrath of Pugwash", "The Black Parrot", "Rotten to the Core", "The William Kidd", "The Black Pearl", "Fiend's Locker",
"Sea of Doom", "Sands of Blood", "The Drowned Man", "Blood Stone", "Echo of Vengeance", "Barbossa Reef", "Smash and Grab", "Bellamy Island", "Darkness Consumed", "Mischief Managed", "The War Chest", "Blood Pool", "The Henry Avery", "Gentleman of Fortune", "Cutlass Cove", "Mirror of Regret", "Corpse Candle", "The Captain Blood", "Pride of Hell", "The Lost Soul", "The Nameless Dead", "Whisper of Opulence", "Out of the Pit", "Lotus Hall", "The Red Witch", "Night Hag", "The Cloven Hoof", "Undead Parish", "The Hellfire Club", "Dark Magic", "Wreak of Hope",
"Vail of Tears", "The Jack Sparrow", "Cruel and Unusual", "Desire and Regret", "Ghost Child", "Demonic Embrace", "The Green Parrot", "Parthian Retort", "Wrath of Teach", "Burning Legion", "The Lich King", "The Captain Teach", "The Blind Pew", "Curse of Bluebeard", "The Captain Flint", "North Island", "Soul Leach", "Whispers of Wealth", "Snake Eyes", "The Nine Hells", "The Madhouse", "Hornigold Cove", "The Long John Silver", "The Unholy", "The Demonic Reef", "Hellfire Harbour", "The Silver Hand", "Soul Trap", "Night City", "Injustice for All", "Unchained Greed", "Hand of Hell", "Acid Rain",
"The Black Spot", "Demon Master", "Silver Blade", "The Gray Fox", "The Fiendish Fraternity", "Beelzebub Bay", "Death Claw", "The Meat Grinder", "Blaze of Glory", "Blood Pact", "Bluebeard Bay", "Triumph of Evil", "Death Star", "Scent of Opulence", "The Jolly Roger", "Sea of Fire", "Death on Black Wings", "The Cheng Sao", "Dread Island", "The Pirates Code", "Dream Machine", "Shade of Wrath", "Creep Show", "The Captain Teach", "Doom Slayer", "The Eldritch Goddess", "Eternal Doom", "Run Away", "Bottled Lightning", "Seeds of Doom", "Judas Priest",
"The Meat Hook", "The Killing Joke", "Soul Factory", "Dark Brotherhood", "The Executioner", "Fortress of Doom", "Hammer of Hell", "Blood Sacrifice", "Halo of Blood", "The Ching Shih", "Dark Spirit", "The Claas Compaen", "The Billy Bones", "The Blind Watchman", "Smoke of Battle", "Moon Raider", "Forest Thunder", "Razor Claw", "Silver Wrath", "The Mary Read", "Pitcairn Island", "The Headless Horseman", "Hell Rider", "Patch of Midnight", "Greek Fire", "Eternal Shadow", "Hidden Fraternity", "The Henry Morgan", "Master of Doom", "The Captain Pugwash", "Angel of Death", "The Jack Sparrow", "The Iron Man",
"The Graveyard", "Born of Blood", "The Glass Hand", "Pit of Hell", "Dark Storm", "Baron of Hell", "Mother of Demons", "Knight of Hell", "The Calico Jack", "The Henry Avery", "The Henry Morgan", "Soul Sphere", "Fire God", "The Crusher", "The Mary Read", "Ice Goddess", "Blood Oath", "The Boneyard", "Demonic Oath", "The Hanged Man", "Madam Guillotine", "Age of Extinction", "After Dark", "Night in Motion", "Code of Silence", "The Ching Shih", "Beelzebub Rising", "The Silver Perch", "The Mary Read", "The Smiling Assassin", "Hell Hound", "The Broken Sword", "The Dolls House", "Demonic Pride",
"Blood Ties", "The Dark Coffer", "The Benjamin Hornigold", "Unnatural Order", "Slight of Hand", "The Mary Read", "Blood Debt", "Wreaking Ball", "The Red Crest", "Storm Cloud", "The Dead Pool", "Devil Incarnate", "Songbird Rising", "Armed and Dangerous", "Dry Bones", "Deafening Silence", "Ambiguous Morality", "Death Mask", "Ice Bridge", "Death Loop", "Blood Tide", "The Toy Factory", "Fallen God", "The Bell Tower", "The Black Spot", "Death Incarnate", "Snow Storm", "The Bloody Reef", "Killing Spree", "Trigger Happy", "Hidden Depths", "Distant Thunder",    
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"The Hooded Claw"];

// Name Array for the Hacker Outposts. (Number of Names in Array: 64)
// This uses the pool method as above.
// These Stations are only spawned by Anarchies OXZ in Anarchy Systems and only if certain conditions are met and if the player defeats the Renegade Viper without killing it.
// In therory the station could be spawned in any Anarchy System (32 per Galaxy). But only a few will every exist in any payers game.
// Stations spawned have peristant names, but as with mission spawned Slaver Bases and Infected Mines, 64 names is enough to give a variety in the names used as the stations are so rare.
this.hackerpool = [
// 32 Names in each line.
"Venus in Chains", "Island in the Sun", "Back and Forth", "In Electric Dreams", "Fan Service", "The Silent Belfry", "Ace of Base", "Every Time It Rains", "Living in Danger", "Waiting for Magic", "Tears of a Clone", "Start the Fire", "Beer in the Bar", "End the Lies", "Here to Party", "Over the Mountains", "Sunshine in the Rain", "Country Girl", "Flying Demon", "Russian Lullaby", "Set the World on Fire", "Forgot to Remember", "Gold Dust", "True Feeling", "Born to Play", "Just Another Night", "Light Me Up", "Ready for the Weekend", "In Slow Motion", "Flowers on the Grave", "Calling Time", "The Furtive Feline",
"The Bumpy Ride", "One of a Kind", "Tell the World", "All the Time", "Light of the Soul", "The Power House", "Stop the Music", "Work It Out", "Not on the Inside", "Out of the Black", "Should Have Known", "The Dream Collective", "Time in the Valley", "The One and Only", "Deep Obsession", "Messing Around", "Turn the Night Up", "Not in Love", "Captured by the Game", "Party Girl", "Walking in the Rain", "Never Go Back", "The Silent Figure", "Born Again", "Kiss It Better", "Lost in Paradise", "Music of the Sun", "Nothing Is Promised", "Rude Boy", "Towards the Sun", "Looking for a Star", "The Coconut Tree",
 // The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Father of Lies"];

//  Name Array for the Zieman Habitats. (Number of Names in Array: 256)
//  This uses the pool method as above.
this.ziemanpool = ["Beyond the Door", "Faith of Our Fathers", "Glass of Darkness", "Better Get Used to It", "Last of the Masters", "Out in the Garden", "The Cookie Lady", "Piper in the Woods", "Whisky in the Jar", "Upon the Dull Earth", "World of Talent", "Diary of the Rose", "Friar of the Flame", "The Darwinian Pool Room", "Eyes Do More Than See", "Feminine Intuition", "The Last Question", "Getting Even", "Feeling of Power", "The Chromium Fence", "Just Make Them Up", "The Immortal Bard", "In a Good Cause", "Pinnacle of Industry", "Such a Beautiful Day", "The Last Answer", "From Left to Right", "The Variable Man", "The Crawler", "Lest We Remember", "Point of Law", "The Proper Study", 
"Satisfaction Guaranteed", "The Secret Sense", "Truth to Tell", "Unto the Fourth Generation", "Time is the Traitor", "Letter to a Phoenix", "Horseman in the Sky", "One of the Missing", "Realm of the Unreal", "Made Out of Meat", "There Shall Be No Darkness", "All Summer in a Day", "The April Witch", "Come into My Cellar", "The Fog Horn", "Frost and Fire", "Bottom of the Bowl", "Who Goes There", "The Space Beyond", "Breaking the Game", "The Roaring Trumpet", "A Plague of Butterflies", "Plot Twist", "The Stars That Blink", "Not with a Bang", "Shall the Dust Praise Thee", "Special Delivery", "Country of the Kind", "Thing of Beauty", "The Living Fossil", "Time Enough", "To Serve Man","Witch of the Mists", "The Stronger Spell", 
"Fruit on the Vine", "Divide and Rule", "The Blue Giraffe", "Internal Combustion", "Nothing in the Rules", "The Owl and the Ape", "Stone of the Witch Queen", "Crazy as a Soup Sandwich", "Paladin of the Lost Hour", "Like Mother Used to Make", "Possibility of Evil", "All That You Love", "The Other Gods", "End of the Whole Mess", "It Grows on You", "Last Rung on the Ladder", "The Moving Finger", "Rainy Season", "Suffer the Little Children", "Things They Left Behind", "The Man Who Never Forgot", "Under the Weather", "The Dancing Deer", "Beyond the Wall of Sleep", "Dreams in the Witch House", "The Green Meadow", "Out of the Aeons", "What the Moon Brings", "The Impossible Planet", "Not of Woman Born", "Too Many Secrets", "The Invisible Man", "A Saucer of Loneliness", "Just This Once", 
"The Tree on the Hill", "Haunter of the Dark", "With Morning Comes Mistfall", "The Terrible Old Man", "Hidden Side of the Moon", "For a Breath I Tarry", "The Magic Goes Away", "The Deep End", "Voices of Time", "If I Forget Thee", "The Man Who Ploughed the Sea", "Silence Please", "Summertime on Icarus", "Just a Technical Error", "The Green Hills of Earth", "Venture to the Moon", "The Long Watch", "Fragments of a Rose", "Future History", "The Goldfish Bowl", "Lost Legacy", "Our Fair City", "We Also Walk Dogs", "When the People Fell", "Hill House", "Cookie Monster", "In the Country of the Blind", "Days to Come", "Return at Dusk", "Keeper of the Wall", "Under Cover of Night", "Time of the Witch", 
"Promises to the Dead", "The Beast with Five Fingers", "King of the Fair", "Stories in the Dark", "New Lamps for Old", "Limits of Enchantment", "Last Man on Earth", "Brother to the Machine", "Hunger and Thirst", "Pattern for Survival", "Too Proud to Lose", "Whom God Hath Sundered", "Spell of the Jungle", "Until the End", "Back to the Future", "Into the Maelstrom", "Story of a Lie", "Be Careful What You Wish For", "Chain of Destiny", "Across a Crowded Room", "Lights on the Hill", "Taking it Personally", "Monsters in the Heart", "A Place to Hide", "Fruit of the Tree", "Glimpses of the Moon", "The Touchstone", "Within the Maze", "Born with the Dead", "The Other Side", "Message from the Sea", "Altar of the Dead", 
"Bread upon the Waters", "The Rocking Horse", "False Dawn", "Matter of Fact", "Watches of the Night", "Birth of a Salesman", "Old School", "Acting for the Best", "Wedding Bells", "A Slice of Life", "Mark on the Wall", "Remember the Rose", "Spawn of Leviathan", "Icewind Dale", "Change of Heart", "Anatomy of Desire", "Hunter in the Snow", "Life in the Iron Mills", "Man Without a Country", "Absence of God", "Tea on the Mountain", "Polaroids from the Dead", "Life After God", "Along the Amazon", "Love of a Good Woman", "Shell of the Turtle", "Jest of God", "Lives of the Saints","Not Safe After Dark", "Rust and Bone", "The Knife Thrower", 
"Home on the Range", "Curtain of Green", "Dancing After Hours", "East of Samarinda", "Gifts of the Body", "The Hollow Tree", "In Bad Company", "Lost in the Fire", "Dancing on the Outskirts", "Learning to Swim", "Other Side of the Sun", "The Earth Museum", "Sense of Reality", "The Malachite Box", "Last Evening on Earth", "Open All Night", "The Lost and the Damned", "Tendrils of the Vine", "Things of the Spirit", "Bit on the Side", "The Creative Gene", "Laugh and Lament", "Across the Wall", "Born from Mold", "The Cat on the Mat", "Evenings at Home", "Difficult At Parties", "Close to Home", "Out of Season", "Cat in the Rain", "Man of the World", "Juice of the Barley", 
"One for the Money", "Blow the Man Down", "Song of Sixpence", "Round the Mulberry Bush", "Beside the Fire", "Humpty Dumpty", "Lark in the Morning", "Show Me the Way to Go Home", "Run for Cover", "The Unquiet Grave", "Down in the Valley", "Go Tell Aunt Rhody", "Mole in the Ground", "Working on the Railroad", "Sweeter than Wine", "Freed from the Gallows", "Nothing New", "Remember the Alamo", "Turkey in the Straw", "Philosophical Cowboy", "Trail of the Buffalo", "Hard Road to Travel", "The Salty Dog", "Cider Through a Straw", "We Shall Overcome", "Born in Time", "One More Chance", "Threw It All Away", "Most of the Time",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Shelter from the Storm"];

//  Name Array for Saber's BioSphere (Number of Names in Array: 256)
//  This uses the pool method as above. 
this.saberpool = ["Time of the Twins", "Spirit on the Water", "Further Down the Line", "Accidental Hero", "Thunder on the Mountain", "War of the Twins", "Down by the Riverside", "Home of the Elite", "Song of Huma", "On the Road Again", "Test of the Twins", "The Promised Place", "Curse of the Werewolf", "Finding the Faith", "One Last Drink", "Before the Strike", "The Parched Sea", "Sight and Sound", "Rogues to Riches", "Upon the Other Side", "The Quiet Place", "An Opportunity for Profit", "Beyond the High Road", "Too Long in the Dark", "Sands of the Soul", "Flight of the Dying Sun", "The Hand That Feeds", "Trouble and Her Friends", "Cookie Jar", "Voice of the Whirlwind", "The Windup Girl", "When Gravity Fails", 
"Person of Interest", "Heavy Weather", "The Thirteenth Floor", "Tea from an Empty Cup", "How to Make a Monster", "Better Than Us", "Human Revolution", "Blank Check", "Best Foot Forward", "Revenge of the Nerds", "All at Once", "World of Tomorrow", "Worst That Could Happen", "The Aaron Swartz", "The Electronic Age", "Virtual Revolution", "Moment of Humanity", "The Lone Wanderer", "Do Your Own Thing", "Not Done Yet", "Spell Slinger", "The Vault Dweller", "City on the Edge of Forever", "Trouble With Trumbles", "Faces of Fire", "The Entropy Effect", "Window on a Lost World", "The Kobayashi Maru Scenario", "From the Depths", "The Better Man", "The Empty Chair", "Coldbath Fields",
"Born in the Wind", "Cursed with Knowledge", "The Madame Curie", "Battle of the Line", "Rain Cloud", "Debt of Gratitude", "In the Alien Corn", "Happiness is a Warm Gun", "Line in the Sand", "There is No Spoon", "Tenderness and Power", "Dreams of Our Age", "Go Tell the Sun", "Killer in the Rain", "Shaking the Bottle", "No Middle Name", "Hanging Tough", "How the Gods Kill", "Working for the Weekend", "In These Arms", "Just Like Paradise", "West End Girl", "Not Enough Time", "Anywhere But Here", "No Voices in the Sky", "Like a Child Again", "Man in the Box", "No Money Down", "March of the Pigs", "Bull in the Heather", "Woke Up with a Monster", 
"Fun to Be Had", "The Vending Machine", "Existence Is Punishment", "God Complex", "Cookham Wood", "Pride and Joy", "Shiny Happy People", "Turn It On", "The Bell Witch", "Reflections of Passion", "Faith No More", "Down by the Water", "The Good Deed", "Saw the Light", "Something for the Pain", "Heads Will Roll", "The Long Hard Road", "Naked Ambition", "Square Peg", "Personality Crisis", "Love Hurts", "Old as the Hills", "Soldier of Misfortune", "Bill of Sale", "Flush with Power", "The Buck Stops Here", "Heavenly Body", "Back to the Woods", "Talking Shop", "One of the Many", "Dances with Dogs", "Straight as an Arrow", 
"Obscured from View", "World in the Balance", "According to His Abilities", "Unto My Manifold Doom", "How the Old World Died", "Lighting the Way", "Portrait of the Artist", "Matter of Timing", "The Alchemist", "Power of Observation", "One Step from Earth", "Jewel in the Sky", "Fog on Barrow Downs", "Tale of the Ending", "The Hallowed Garden", "Ate the Whole Thing", "Speed of the Cheetah", "Gears and Cogs", "View from the Top", "Gift from the Gods", "Dawn of the Endless Night", "Roar of the Lion", "Cain Rose Up", "The Chocolate Box", "End of the Party", "Armour of Faith", "Exchange of Glances", "Went Too Far", "My Work Is Not Yet Done", "Voice in the Night", "Beyond the Border", "These Foolish Things", "The Winter Market", "Smoke in the Forest", 
"Spark of Life", "Cooking on Gas", "Beware of the Dog", "On Christmas Morning", "The Other Wise Man", "Death on the Nile", "Everything You Want", "Hard Cash", "Sign in the Sky", "Thou Art the Man", "The Under Dog", "Artist at Work", "An Honest Thief", "Fable for Our Times", "Wisdom and Lies", "Dog in the Manger", "Out of the Frying Pan", "A Different Flesh", "No Truce with Kings", "Case for the Defence", "Personal Demon", "The Eagle Has Landed", "In a Better World", "Trade Secret", "Agent of Change", "Local Custom", "Hawk Among the Sparrows", "A Warning to the Curious", "Awake and Dreaming", "Ballad of a Small Player", "Star Widow", "Shoeless Joe", "Too Bright to See", "The Canary Trainer", 
"Best of Times", "Choice of Weapons", "Unsettled Dust", "Falling from Grace", "Raising the Wind", "Hand in Glove", "The Waiting Room", "More Than You Bargained For", "Necklace of Raindrops", "The Green Flash", "Dust on the Mountain", "Beware of the Bouquet", "All in the Mind", "Boring but Effective", "Voices in an Empty House", "Cash Crop", "What Dreams May Come", "Daughter of the Vine", "Bell in the Fog", "Leaves of the Tree", "Memoirs of a Brother", "Drinking Games", "Ashes of the Beacon", "Just Like Honey", "Coming Round the Mountain", "Field of Stars", "Slight Case of Larceny", "Political Satire", "Skepticism and Dissent", "Haunting Beauty", "Insult to Injury", "Through the Crack", "Shadow in the Sky", 
"Nobody Else Laughed", "Sneak Preview", "Pleasant Dreams", "Leopard on the Mountain", "Troubling Times", "Looking for the Rainbow", "Until the Clouds Roll By", "Heat of the Day", "The Mulberry Tree", "Critical Perspective", "Affairs of Men", "Devil and the Deep", "Above the Clouds", "Concerning a Vow", "Fool in her Folly", "Under the Cloak", "Across the Page", "Demon by Daylight", "Bethnal Green", "Born to the Dark", "Across the Threshold", "Way of the Worm", "Path of the Eldar", "The Last Revelation", "Behind You", "Memoirs of a Cavalier", "Star Storm", "Suspicious Generosity",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Sleeping with the Enemy"];

//  Name Array for the Kiota Habitat & Mega Habitat Stations (Number of Names in Array: 2,048)
// This uses the Large Pool Method - See Readme for Details.
this.habitatrpool = [
// Galaxy 1
"Alien Nation", "Lord of Tranquillity", "The Eleanor Rigby", "Nightmare of Eden", "Working Class Hero", "Stuff of Legend", "Healing Hand", "Hotel California", "Daughter of Hope", "Monarch of Fate", "Child of Hope", "Under Burning Skies", "Life of the Party", "The Ice Blender", "Mother of Tranquillity", "Synchronize Your Dogmas", "Village of Chigley", "Mont Blanc Restaurant", "Child of Fortitude", "Village of the Damned", "Sentinal of Serenity", "Nightmare in Silver", "Bullion City", "Sentinel of Hope", "Earth Goddess", "Child of Wisdom", "Sentinel of Tranquillity I", "Neon City", "Rats Nest", "Of Unknown Origin", "Tales from the Edge", "Sunk Cost Fallacy", "Now and Then", "Madonna of Serenity", "HMP Parkhurst", "Isolation Facility 06", "Pelennor Fields", "Waiting in the Wings", "Luna Romana", "Cathedral of Light", "Reach for Tomorrow", "Blandings Castle", "Asymmetric Warfare", "Daughter of Fortune", "Monarch of Wisdom", "Spirit in the Sky", "Paradise Towers", "Tumbledown Ranch", "Five Moons Square", "Mother of Fortitude", "Monarch of Grace", "Typhoid Mary", "Diamond City", "City of Thieves", "Amorous Goddess", "Lady of Tranquillity", "Bodiam Castle", "The Deadly Swarm", "The Beast Below", "Journey to the Unknown", "The Bone Garden", "Rat Run", "Daughter of Grace", "The Last Homely House", "Garden of Storms", "Ring World", "Fascinating Catacomb", "Worlds End", "The Peoples Flag", "Hive of Activity", "Rothstein Shrine", "The Android Affair", "Stepford Wife", "Dark Metropolis", "What Lurks Bellow", "Tranquil Kingdom", "Bismarck City", "Widow in the Woods", "Exquisite Mansion", "Incubation Centre 25", "Black Mesa", "The Elisha Collier", "Harvest Moon", "Garden of Souls", "Brimstone Angel", "HMP Wormwood Scrubs", "Sacrifice for Redemption", "Quarantine Facility 35", "HMP Forest Bank", "The Kato Takaaki", "SoloTek Orbital Headquarters", "Dust of the Damned", "Butterfly Effect", "Ornate Lodge", "Winds of Winter", "The Sleeping City", "Blood of the Ancients", "Charming Palisade", "The Vanishing City", "The Kenneth Williams", "GASEC Orbital Headquarters", "Workers Paradise", "Look to Windward", "East India Docks", "Halcyon Lodge", "Birds of a Feather", "Warwick Castle", "Workers Rest", "Tears of Laughter", "Singing in the Rain", "Call of the Wild", "Stranger Within", "The Edgar Allan Poe", "Asquith Mansion", "Lavish Palisade", "Daisy Cutter", "Prince of Thieves", "Twilight at the Towers", "Elegant Treehouse", "Elegant Cooperative", "HMP Slade", "Pool of Twilight", "Incubation Centre 15", "Delightful Grove", "Lavish Catacomb", "Cipactli Ranch", "Brimstone Ranch", "Walking on Water", "The Last Watch", "Coalition of Viktoria", "Out of the Cradle", "GalTax Orbital Headquarters", "The Jens Ayton", "Palace of Annalie", "Albedo of Sabine", "Green Lantern", "Unseen Hand", "Earth Song", "Gene of the Lamp", "Firetop Mountain", "Rock and Roll", "Phantom of the Opera", "Skid Row", "Albedo of Arabella", "Rotational Energy", "Karma Sutra", "Wall Flower", "The Rockford Seismometer", "Orbital City One", "Fangorn Citadel", "Ghost of Winter", "University of Maximegalon", "Emporium of Brigitte", "Institute of Karin", "Zoras Aquarium", "Twisted Sister", "Coalition of Arabella", "The Urban Spaceman", "Albedo of Brigitte", "Legend of Zelda", "Konev Aviary", "Spawning Facility 15", "The Sheraton Motel", "The Flying Banquet", "The Selezen Facility", "Heartbreak Hotel", "Institute of Francisca", "Hive Mind Amplifier 07", "House of Cards", "The Orient Express", "The Dorchester Inn", "Palace of Teresia", "Confederacy of Viktoria", "Hardwicke House", " Lady Killer", "Basilica of Brigitte", "Basilica of Viktoria", "Rustic Bliss", "Paradise Falls", "The Rosewood Inn", "Coalition of Nicole", "Quarantine Facility 05", "Conclave of Helena", "Albedo of Francoise", "The Forest King", "The Samuel Johnson", "Pajama Party", "Gotham City", "Stainless Steel Rat", "The Chiltern Hotel", "Palace of the People", "Boston Common", "Richelieu Apiary", "Not of This Earth", "HMP Pentonville", "Flavie Cattery", "Big Brother", "Amit Apiary", "Honey Island", "Quarantine Facility 15", "The Cooler King", "Samir Warren", "Quarantine Facility 10", "Needs of the Many", "Honeymoon Suite", "Earthquake Shelter 10", "Conspiracy Theory", "Way of the Lobster", "The Isle of Dogs", "Leader Of The Pack", "The Mother Nest", "Pascale Aquarium", "Dweller of the Depths", "Down with the Sickness", "Nishay Vespiary", "Jezebeth Burrow", "Solar Storm Shelter 10", "Kalil Cattery", "Persephone Vespiary", "Kelvin City", "Layal Cattery", "Lamia Warren", "Pastures of Heaven", "Hive Mind Transmitter 02", "The Holdstock Hotel", "Hadria Nest", "Bellerose Cattery", "Dawon Cattery ", "The Red Flag", "Ingvar Roost", "The Bates Motel", "Kelvin Nest", "Mara Vespiary", "Horatius Hall", "King of the Narrow Sea", "Underwater Kingdom", "Lily of the Valley", "Melbourne Cricket Ground", "Road to Nowhere", "Kakarauri Folly", "Aeron Apiary", "Amnon Burrow", "Monkey Island", "The Abraham Lincoln", "Tenpenny Towers", "Plague of Dreams", "Narkissa Cattery", "Baskerville Hall", "Argent Moon", "Unimatrix Zero", "Ronan Roost", "Berdine Graduate Farm", "Prophecies of Nostradamus", "The Apiary", "The Cattery", "Divine Right",
// Galaxy 2 
"The Native Star", "View from a Hill", "Dynasty of Sabine", "Monument to Ella", "City of Fools", "Eight Bit Apocalypse", "Beyond the Reach", "Emblem of Viktoria", "The Saint Sofia", "Secrets of the Wild Wood", "Embrace of Nicole", "Golders Green", "Portrait of Damnation", "HMP Low Newton", "Guardian of the Lost", "Totem of Adel", "Courage of Marianne", "The Saint Agneta", "Boston Manor", "House of Bones", "Brimstone Abbey", "HMP Full Sutton", "Spirit of Adventure", "Embrace of Brigitte", "Monument to Viktoria", "Sandleford Warren", "Dynasty of Viktoria", "HMP Drake Hall", "Monument to Annalie", "Servant of Two Masters", "Dynasty of Charlotte", "Crossroads of the Worlds", "The Lazarus Pit", "The Neil Armstrong", "Corporate Overlord", "Blood Origin", "Eden Gardens Stadium", "The Wrong Trousers", "Calling Doctor Jones", "Banquet for the Damned", "Icon of Francisca", "Soul Forge", "Emblem of Alene", "Son of Wrath", "Portrait of Nicole", "Heart of a Champion", "Teresia Palace", "Portrait of Brigitta", "Emblem of Zorath", "Call of the Raven", "Westworld Theme Park", "HMP Five Wells", "Menace to Society", "Year of the Mantis", "Speciality of the House", "HMP Bronzefield", "Musing on Judit", "Quest for Freedom", "The Mathew Glamorre", "Wild Thoughts", "Watch and Learn", "Deliverance Lost", "Totem of Marie", "HMP Shepton Mallet", "Incubation Centre 45", "Zenith of Melanura", "The Moby Dick", "The Love Shack", "Cenotaph of Lepida", "Flesh and Iron", "Equinox of Persicus", "Road to Redemption", "Angel on the Beach", "The Kimpton Tavern", "Halls of the Hunter", "The Winged Champion", "Magnificence of Hoematotis", "Palace of the Proletariat", "The Golden Egg", "Yeomen of the Guard", "Lover of Battle", "HMP Long Lartin", "Rider of the Purple Sage", "Winter Harvest", "Chant of Palidus", "The Palladian Tower", "Creed of Pulchella", "The Adrian Mole", "After the Storm", "Coleoptera Commune", "Across the Threshold", "Labyrinth of Catamene", "Down to the Wire", "Chant of Carduelis", "Magnificence of Catamene", "Labyrinth of Merops", "Mystery of Ventris", "The Rose Garden", "The Chicago Hilton", "Labyrinth of Ventris", "Equinox of Acilla", "Creed of Argentatus", "Chant of Neopsephotus", "Next Stop Paradise", "Equinox of Cruentata", "The Neal Asher", "Magnificence of Dicata", "Magnificence of Devillei", "The Thompson Tower", "Mystery of Varius", "Zenith of Orcesi", "Supplying the Revolution", "Willing to Wait", "After the Shock", "Labyrinth of Petros", "Hastings Castle", "Magnificence of Motacilla", "The Korakia Hilton", "The Six Sided Man", "Magnificence of Chaetura", "Magnificence of Hoematotis", "Knight of the Imperium", "Chant of Leucotis", "Gloucester Castle", "Tower of the Elephant", "Equinox of Pratens", "Cathedral Heights", "Magnificence of Cervinus", "Rendezvous with Luscinus", "Knows No Fear", "Pondering Liesel", "Yearning for Reuel", "Yearning for Alois", "Mark of the Mage", "Guild of Kasdeya", "Yearning for Otaktay", "Oasis of Persefoni", "Fanfare for Ernaline", "Ambassador of Phylo", "The Mud Crab", "The Red Line", "Ready to Fly", "HMP Newgate", "Red Sky at Night", "Passion and Paradise", "Pondering Bakavata", "Pondering Kakarauri", "Treebeard Castle", "Shadow of War", "Fanfare for Bakavata", "Avatar of Besnik", "Fat Cat", "Wistful for Iyayi", "Yearning for Dirce", "Nest of the Righteous", "Therein Lies the Problem", "Warrior of the Storm", "Toad in the Hole", "The Black Prince", "Not Invented Here", "Guild of Kalil", "Guild of Sohrab", "Ticket to Ride", "Island in the Sky", "Devourer of Gods", "Village of Shadows", "Rendezvous with Takoda", "Sign of Besnik", "Lamb to the Slaughter", "Darkroot Garden", "Fanfare for Fontaine", "Fort Asfand", "Sign of Aiden", "No Gods or Kings", "Master of the Maelstrom", "Untold History", "Sign of Idette", "North by Northwest", "Rendezvous with Giroux", "Guardian of Forever", "Empathy for Libitna", "Reflecting on Nina", "The Eldar Prophecy", "Guild of Baudric", "Making History", "Phantasm of Iyayi", "Guild of Khalon", "With Mixed Results", "Republic of Cassander", "Fairest of Them All", "Wish List", "The Gentle Touch", "Mayflower City", "Waking Moments", "Broadway Grove", "HMP High Down", "Saratoga Springs", "Clearwell Grove", "Campeche City", "Duck and Cover", "The Sea Cat", "Eye of Terra", "Tropical Thunder", "Beside a Burning Sea", "Order of Lenin", "Hadlow Acropolis", "Treehouse of Doom", "Bolesworth Manor", "The Sinking City", "Bolesworth Lodge", "Incubation Centre 35", "Newbury Park", "Luscombe Manor", "The Old Forest", "Clearwell Colony", "Wadhurst Gardens", "Wadhurst Colony", "Gentlemen of the Road", "Hilfield Villa", "The Leonard Rossiter", "Emergence of Consciousness", "Winter is Coming", "Buckingham Palace", "The Red Book", "Broadway Springs", "Fire and Hemlock", "Enchantment under the Sea", "Green Rain", "Sundorne Castle", "Not for Sale", "Where Beauty Lies", "Newbury Village", "Bolesworth Mansion", "Prince of Crows", "Dark Millennium", "Stanhope Village", "The Ayrton Senna", "Sisters of the Revolution", "Incubation Centre 45", "With Baited Breath", "Bolesworth Hermitage", "The Martin Luther King", "Crimson Dawn", "Broadway Grove", "Center of Gravity", "Day of the Nerds", "HMP Warren Hill", "Glade of Dreams", "Power of Voodoo", "All Just a Dream", "Rothley Hermitage", "Woolwich Arsenal", "Triumph of the Workers", "Call of the Pied Piper", "Wentworth Colony", "Fire Emblem",
// Galaxy 3
"Tabernacle of Irania", "Gravity of the Situation", "Traditions of Domicella", "Dignity of Pasti", "Dignity of Vorus", "Circle of Protection", "Portent of Goldiei", "Panoply of Tenui", "Plains of Trichas", "The Iron Keep", "Plains of Albicilla", "Tragedy of Larviora", "Dunes of Glaucous", "Serendipity of Hypoleuca", "Looking for Mercy", "Heartbreak of Censis", "Heartbreak of Kakapo", "Portent of Sternula", "Dunes of Muscicapa", "Tableau of Caspia", "Mascot of Toria", "All Our Yesterdays", "Tableau of Andean", "Tableau of Taczanowski", "Nimbus of Glaucoides", "Tragedy of Chelidon", "Puss in Boots", "Traditions of Nilotica", "Dignity of Yamdena", "Dignity of Teuteles", "Majesty of Visci", "Dignity of Fuscata", "Cradle of Cerco", "Pageant of Seram", "Tableau of Nestoridae", "Panoply of Sanguinea", "Mascot of Saparua", "Heartbreak of Chlidonias", "Portent of Secica", "Majesty of Sanguinea", "Tragedy of Sulphurea", "Dignity of Arcarius", "Tabernacle of Ramphus", "Plains of Yamdena", "Tableau of Spengeli", "Dignity of Occidental", "Nimbus of Opterus", "Cradle of Forctis", "Tableau of Cyaus", "Pageant of Chlidonias", "Ring of Fire", "Cradle of Epotus", "Dunes of Puratus", "Heartbreak of Auri", "Serendipity of Teuteles", "Mascot of Musci", "Nest of Caladrius", "Tableau of Glaucoides", "Serendipity of Migra", "Tabernacle of Rufous", "Pageant of Ramphus", "Cradle of Roselaar", "Nimbus of Sterna", "Dignity of Spengeli", "Buckden Clinic", "Shotwick Halls", "Upton Halls", "Hive Mind Transponder 65", "Kimbolton Chambers", "Cotherstone Halls", "The Wolverton Sanctuary", "Renhold Asylum", "Fighting Spirit", "Chance of Love", "Windsor Asylum", "Halton Cloisters", "Ludworth Chambers", "Dinner with Gershwin", "Barnard College", "Burwell Chambers", "Bishopton Sanctuary", "Warrington Halls", "The Hampstead Haven", "Burwell Sanctuary", "The Newhall Institute", "Buckden Halls", "Dodlestone Halls", "The Huntingdon Sanctuary", "The Barnard Seminary", "The Chester Seminary", "Down for Whatever", "The Rampton Clinic", "Drunk on Love", "Denebola College", "Kimble Halls", "The Boarstall Sanitorium", "The Halton Foundation", "Eaten Alive", "The Donnington Sanitorium", "The Tepid Pond", "Feels Like Summer", "The Bishopton Institute", "The Rampton Sanctuary", "Farewell to Innocence", "The Lavendon Clinic", "Three Mile Island", "The Someries Foundation", "Shocklach University", "The Ludworth Clinic", "HMP Buckley Hall", "Freeway of Love", "The Mortham Clinic", "Someries Hall", "The Trematon Institute", "The Dalden Asylum", "The Barnard Sanitorium", "Nantwich College", "The Helston Orphanage", "Cotherstone Cloisters", "The Woodcroft Orphanage", "Malpas Asylum", "Odell College", "The Aldreth Foundation", "The Dalden Academy", "The Denebola Orphanage", "The Missenden Seminary", "Solar Storm Shelter 50", "The Launceston Foundation", "The Kalandula Aqueduct", "The Gueltas Marsh", "Lake Towada", "The Celebes Swamp", "Lake Winnipeg", "The Washington Irvine", "The Songhua Marsh", "The Kama Shoals", "The Celilo Peaks", "Mount Ventura", "Loch Ness", "The Rheinfall Sea", "The Celilo Sea", "Mount Nunataks", "Dover Castle", "The Pechora Marsh", "The Brahmaputra Swamp", "The Ghostrider Marsh", "Lake Wollaston", "The Tasman Rapids", "The Congo Marsh", "The Futaleufu Marsh", "Hold It Against Me", "The Ibera Marsh", "The Black Rapids", "Mount Pinatubo", "The Esteros Straits", "The Palearctic Swamp", "House Of Fun", "The Bidwell Marsh", "Leeds Castle", "The Tasman Marsh", "The Upano Straits", "Loch Martnaham", "The Celebes Marsh", "The Murchison Aqueduct", "The Dettifoss Sea", "The Zanclean Straits", "The Salamat Swamp", "The Murchison Marsh", "Earthquake Shelter 75", "Lake Victoria", "Lake Saroma", "The Pechora Rapids", "The Nastapoca Aqueduct", "The Gueltas Aqueduct", "Loch Saorach", "Mount Tamarana", "Loch Scalloch", "The Laccadive Shoals", "The Chilko Swamp", "The Everglades", "Lake Windermere", "The Chambeshi Straits", "The Kama Sea", "Lake Malawi", "The Salween Aqueduct", "The Joseph Heller", "Loch Fender", "Lake Kapla", "The Nicolas Rogers", "Love and Kisses", "Durham Castle", "The Gauley Shoals", "The Lanford Empire", "The Vandelay Cartel", "The Veridian Alliance", "Hive Mind Node 55", "The Khumalo Society", "Nervosa City", "The Many Eyed Goddess", "The Seldon Corporation", "The Abstergo Union", "The Jericho Empire", "The Nefario Conglomerate", "The Fairview Society", "The Ecumena Republic", "The Khumalo Union", "Lanford Castle", "The Bartok Empire", "The Strickland Union", "Friday Night", "The Treadstone Federation", "The Callister Dominion", "Bralm Colony", "The Soran Repository", "The Stark Corporation", "The Soylent Syndicate", "Lead the Way", "The Dragonfire Empire", "The Cinco Cartel", "The Khumalo Union", "The Lanford Corporation", "The Cyberdyne Repository", "The Abstergo Society", "The Osborn Corporation", "The Treadstone Association", "The Seldon Union", "The Caprica Union", "The Hishii Corporation", "The Graystone Society", "The Conglom Dominion", "The Dragonfire Republic", "The Korova Depository", "The Veridian Republic", "The Bartok Dominion", "The Daystrom Empire", "The Goliath Empire", "The Tangiers Empire", "The Seburo Repository", "The Luthor Society", "The Benthic Dominion", "The McCandless Federation", "The Acme Corporation", "The Milliways Association", "The Cyberdyne Cartel", "The Incite Union", "The Caliban Union", "The Concordance Association", "The Ewing Society", "The Benthic Union", "The Tricell Society", "The Bartok Federation", "The Strickland Society", "The McCandless Repository", "The Sienar Conglomerate", "Hampton Court", "The Initech Repository",
 // Galaxy 4 
"Troupe of Empusa", "Retinue of Mitra", "The Alan Shepard", "Lineage of Megaira", "Muster of Cessair", "Prowess of Orianne", "Cache of Megaera", "Contract of Empusa", "Nothing to Lose", "Troupe of Igraine", "Genius of Persefoni", "Lord of the Lost", "Retinue of Orianne", "White Knuckle Ride", "Tablet of Revon", "Lushan Mountain", "Nuisance Value", "Troupe of Jolon", "Effigy of Modestine", "Prowess of Helene", "Pact of Galtero", "Aptitude of Orabelle", "Pact of Agrippine", "Aptitude of Adnet", "Pieces of Ice", "Effigy of Quella", "Waiting for Tonight", "Prowess of Malvolia", "Pact of Lamina", "Muster of Agate", "Earthquake Shelter 55", "Kindred of Tanda", "Retinue of Adnet", "Muster of Delaynie", "Blame it on the Boogie", "Queen of the Depths", "Heat of the Sun", "Bring On the Sun", "Chant of Quella", "Paradise Postponed", "Dead Men Tell No Tales", "Lady in Red", "Genius of Gifflet", "Chant of Tenuis", "Aptitude of Damion", "Chant of Orphee", "Pact of Zephyrine", "Troupe of Flavie", "Tablet of Euphemie", "The Stanley Kubrick", "Kindred of Cessair", "Cache of Alphonsine", "Lineage of Adnet", "Pact of Adelram", "Acumen of Deline", "Effigy of Nobuo", "Prowess of Argo", "Chant of Ghislain", "The Anthony Hancock", "Chant of Orianne", "Acumen of Thibault", "Effigy of Euphemie", "Genius of Fabienne", "Retinue of Turbella", "The Wraith Expanse", "Bletchley Park", "The Cockatrice Maelstrom", "The Succubus Singularity", "The Lagoon Cascade", "The Wyvern Nebula", "Bird Box", "The Orion Pulsar", "The Jiminy Cricket", "The Monoceros Expanse", "The Orion Anomaly", "The Balrog Cluster", "The Helix Anomaly", "The Minotaur Cascade", "Cooking Up a Storm", "The Eagle Nimbus", "The Halo Rift", "The Ophiuchus Cluster", "The Wyvern Singularity", "The Tall Man", "The Monoceros Cluster", "Sundance City", "The Manticore Maelstrom", "The Pelican Nebula", "The Snowball Cascade", "The Monoceros Singularity", "The Manticore Nebula", "Number of the Beast", "The Cockatrice Quasar", "The Banshee Cluster", "The Falcon Nebula", "The Perseus Singularity", "The Cockatrice Singularity", "The Succubus Rift", "The Pelican Maelstrom", "The Wraith Cascade", "The Orion Singularity", "The Halo Maelstrom", "The Falcon Nimbus", "The Crab Singularity", "The Orion Pulsar", "The Hourglass Rift", "The Dandelion Quasar", "The Hourglass Nebula", "The Necronomicon Pulsar", "The Homunculus Rift", "The Horsehead Quasar", "The Puffball Singularity", "The Banshee Maelstrom", "The Dandelion Nebula", "Clastonir Citadel", "The Banshee Rift", "The Halo Nimbus", "The Butterfly Rift", "The Crab Maelstrom", "Galactic Alcoholics Anonymous", "The Eagle Anomaly", "The Balrog Quasar", "The Homunculus Pulsar", "The Minotaur Expanse", "The Ophiuchus Pulsar", "The Ophiuchus Expanse", "Hungry like the Wolf", "The Crab Cascade", "Barnstaple Chateau", "Dorchester Park", "Lady and the Tramp", "The Paint Box", "The Chestnut Tree Cafe", "Where No Vultures Fly", "Sorrow Is Born", "The Vladimir Lenin", "In Cold Blood", "Durpley Park", "Noodle Street", "Adventures in Alabasta", "Almeley Glade", "The Honeymoon Suite", "Ruardean Village", "Merdon Castle", "Middleton Villa", "Armathwaite Castle", "Stapleton Lodge", "Glossop Village", "Derby Castle", "Salcombe Villa", "Gloucester Park", "Glossop Grove", "Ashton Mansion", "Beetham Manor", "Wharton Castle", "Branthwaite Park", "Crondall Chateau", "Durpley Colony", "Corby Acropolis", "Lost in the World", "Crondall Gardens", "Kendal Gardens", "Dalton Colony", "Mackworth Villa", "Lulworth Springs", "Hampton Glade", "Appleby Acropolis", "Pendragon Colony", "Spawn of the North", "Almeley Lodge", "Berkeley Springs", "Pendragon Springs", "Children of Chance", "Crondall Mansion", "Horsley Hermitage", "Durpley Mansion", "Mackworth Glade", "Colchester Manor", "Sleepy Lagoon ", "No Time Like the Past", "Sherborne Mansion", "Bolsover Colony", "Southsea Chateau", "Berkeley Grove", "Another Brick in the Wall", "Codnor Castle", "Lord of the Dance", "Pull Out the Pin", "Let It Shine", "Luciano City", "Symphony in Blue", "Waking the Witch", "The Snarling Panther", "The Dancing Tiger", "The Awakened Wolverine", "Ride to Freedom", "The Nomadic Jaguar", "The Snarling Wolverine", "The Noble Panther", "The Risen Tiger", "The Noble Vixen", "The Crouching Feline", "The Awakened Vixen", "The Crouching Lion", "The Dancing Puma", "The Mischievous Jaguar", "The Horned Man", "The Stalking Panther", "Father of the Man", "The Pensive Vixen", "Colour of the Wind", "The Mischievous Panther", "The Pouncing Tiger", "Heroes and Villains", "The Dancing Tiger", "The Mischievous Lynx", "The Snarling Lioness", "The Pouncing Jaguar", "The Leaping Lioness", "The Slumbering Lion", "The Leaping Lynx", "The Playful Vixen", "The Slumbering Cougar", "The Iron Heel", "The Pouncing Puma", "The Dancing Wolverine", "The Noble Leopard", "The Leaping Vixen", "The Slumbering Leopard", "The Crouching Feline", "The Noble Jaguar", "The Dancing Panther", "The Nomadic Feline", "The Dancing Puma", "The Awakened Jaguar", "The Solitary Lynx", "The Snarling Puma", "The Snarling Tiger", "The Awakened Panther", "The Leaping Puma", "The Snarling Lioness", "The Nomadic Leopard", "The Playful Cougar", "The Scarlet Tiger", "Ignorance is Strength", "The Snarling Lioness", "The Crouching Leopard", "The Bjorn Borg", "Playful Wolverine", "The Solitary Lynx", "The Slumbering Vixen", "The Playful Tiger", "The Snarling Lion", "The Slumbering Wolverine", "Keep an Eye on Summer", "Spawning Facility 35",
// Galaxy 5 
"Sage of Fengtian", "Emissary of Shikai", "Squire of Sandayu", "Emissary of Sichuan", "Helm of Jinichi", "Sage of Iemitsu", "Squire of Hidenobu", "Gauntlet of Tsunenari", "Spear of Zuolin", "Hoard of Chahar", "Tribute to Zuolin", "Host of Fengtian", "Colditz Castle", "Emissary of Nagato", "Hoard of Nobunaga", "Gauntlet of Zuolin", "Sage of Manchuria", "Phalanx of Ienobu", "Apparition of Sichuan", "Servant of Chahar", "Apparition of Kotaro", "Disciple of Zuolin", "Centurion of Hidenobu", "Sacrifice of Kotaro", "Squire of Tsunenari", "Crime and Punishment", "Servant of Kotaro", "Phalanx of Baoshan", "Gauntlet of Nobunaga", "Emissary of Nagato", "Smokey Mountain", "Lament of Hanmin", "Let the Wind Blow", "Sacrifice of Tsunenari", "Apparition of Manchuria", "Emissary of Fengtian", "Gauntlet of Zuolin", "Emissary of Kawakami", "Sacrifice of Sichuan", "Sure as the Dawn", "Island in the Storm", "Hoard of Chiyome", "Through Any Window", "Sacrifice of Hattori", "Naturally Stoned", "Hoard of Shanxi", "Spear of Nagato", "Helm of Kawakami", "Servant of Peifu", "Host of Gondor", "Hoard of Anhui", "Helm of Iemitsu", "Servant of Kawakami", "Sacrifice of Chahar", "Disciple of Nobunaga", "Steel Halo", "Emissary of Fengtian", "Sage of Hanmin", "Army of Thieves", "Gauntlet of Kumul", "Phalanx of Nobunaga", "Apparition of Sichuan", "Sacrifice of Sandayu", "Gauntlet of Anhui", "The Sutton Motel", "The Carlton Hotel", "The Newenden Hotel", "The Grimsthorpe Inn", "The Leicester Tavern", "The Leicester Hotel", "The Rutland Inn", "The Kingsgate Tavern", "The Bolingbroke Hilton", "The Kingsgate Inn", "The Tattershall Hotel", "The Leasowe Tavern", "The Rochford Hilton", "Fool in Love", "The Leeds Tavern", "The Buckenham Motel", "The Leicester Hilton", "The Turton Inn", "The Whitwick Hilton", "The Gainsborough Tavern", "The Brenchley Inn", "The Leybourne Motel", "The Sleaford Tavern", "The Bolingbroke Tower", "The Canterbury Tavern", "Peace in the Valley", "The Ashton Tavern", "The Grimsthorpe Motel", "The Gilmorton Tower", "The Whitwick Motel", "The Leybourne Hilton", "The Gilmorton Motel", "The Somerton Motel", "The Brent Motel", "The Chilham Hotel", "Us and Them", "Borwick Keep", "The Elmham Hilton", "Another Day in Paradise", "The Tothill Tower", "The Folkestone Motel", "The Carlton Inn", "The Rutland Tower", "The Arkholme Tavern", "The Horsford Hotel", "The Lancaster Motel", "The Valence Hilton", "The Brent Hilton", "The Walmer Tavern", "The Sandown Motel", "The Belvoir Tavern", "The Gilmorton Hotel", "The Thetford Inn", "The Newenden Motel", "The Turton Inn", "The Brenchley Hilton", "The Kinaird Motel", "The Folkingham Inn", "The Canterbury Hotel", "The Leybourne Tavern", "The Gilmorton Hilton", "The Brimstage Tower", "Stamford Hill", "The Allington Inn", "Castle Wolfenstein", "The Courageous Crusader", "The Venerable Pilgrim", "Turn Around", "The Heroic Mariner", "The Valiant Wanderer", "The Fearless Mariner", "The Seasoned Traveller", "Hermosa Beach", "The Valiant Nomad", "The Fearless Wanderer", "The Resolute Sailor", "The Valiant Pilgrim", "The Fearless Wayfarer", "The Ancient Navigator", "The Resolute Crusader", "Thimbleweed Park", "The Dauntless Wanderer", "The Courageous Crusader", "The Intrepid Explorer", "The Lonesome Wanderer", "The Audacious Wanderer", "Just Out of Reach", "The Gallant Crusader", "The Audacious Sailor", "The Audacious Pilgrim", "The Ancient Nomad", "Flame of Desire", "The Courageous Pioneer", "The Resolute Nomad", "The Heroic Navigator", "Brackly Hall", "The Gallant Wanderer", "The Courageous Mariner", "The Ancient Traveller", "The Dauntless Wanderer", "Thunder in the Rain", "The Venerable Navigator", "The Fearless Pioneer", "The Venerable Crusader", "The Resolute Pioneer", "The Courageous Navigator", "The Fearless Nomad", "The Dauntless Wayfarer", "The Gallant Wanderer", "The Resolute Explorer", "The Ancient Traveller", "The Audacious Wanderer", "The Seasoned Traveller", "The Audacious Mariner", "The Fearless Explorer", "The Valiant Pioneer", "The Courageous Wanderer", "The Venerable Pilgrim", "The Resolute Pioneer", "The Ancient Traveller", "Not That Far Away", "The Courageous Nomad", "The Valiant Navigator", "The Intrepid Mariner", "The Intrepid Crusader", "The Ancient Navigator", "The Intrepid Wanderer", "The Seasoned Pilgrim", "Whitney Computing Ltd", "Faraday Defence Inc", "Gutenberg Robotics Plc", "Zeppelin Pharmaceuticals Ltd", "Naismith Cybernetics Inc", "Faraday City", "Edison Construction Ltd", "Latimer Robotics Inc", "Living on the Edge", "Archimedes Engineering Ltd", "Hawking Armaments Inc", "Faraday Genetics Plc", "Williams Cybernetics Ltd", "Faraday Defence Inc", "Tesla Robotics Plc", "Williams Technologies Ltd", "Stephenson Engineering Inc", "Edison Engineering Plc" , "Morse Defence Ltd", "Serpent of the Nile", "Morse Engineering Plc", "Naismith Construction Ltd", "Zeppelin Engineering Inc", "Skywalker Ranch", "Bell Pharmaceuticals Ltd", "Wozniak Construction Inc", "Archimedes Optics Plc", "The Frog Prince" , "Fleming Robotics Inc", "Rage Against The Machine", "Morse Genetics Ltd", "Naismith Robotics Plc", "Holdstock City", "Gutenberg Defence Ltd", "Naismith Robotics Inc", "Williams Communications Plc", "Franklin Defence Ltd", "Zeppelin Construction Inc", "Braben Cybernetics Plc", "Franklin Genetics Ltd", "Tesla Cybernetics Plc", "Watt Construction Inc", "Watt Armaments Ltd", "Marconi Pharmaceuticals Inc", "Baird Computing Plc", "Zeppelin Communications Ltd", "Manticore Departing", "Marconi Genetics Plc", "Goodyear Engineering Ltd", "Turing Computing Inc", "Bell Defence Plc", "Zeppelin Optics Ltd", "Stephenson Robotics Inc", "Braben Robotics Plc", "Whittle Defence Ltd", "Feed the Fire", "Dyson Armaments Plc", "Holdstock Armaments Ltd", "Fleming Optics Inc", "Knight of the Lion", "Washington Pharmaceuticals Inc", "Fleming Robotics Ltd", "Archimedes Cybernetics Plc", "Lumiere Engineering Ltd",
// Galaxy 6 
"Father of Liberty", "Almost Is Never Enough", "Voice of Harmony", "Well of Eloquence", "Lady of Tranquillity", "Sonnet of Liberty", "Father of Tranquillity", "Ballard of Commerce", "Basin of Eternity", "Voice of Liberty", "Well of Freedom", "Lord of Reason", "Symphony of Equilibrium", "Mother of Eternity", "Song of Freedom", "Melody of Liberty", "Lady of Reason", "Father of Eloquence", "Symphony of Harmony", "Song of Liberty", "Well of Eternity", "Song of Eloquence", "Master of Eloquence", "Lord of Temperance", "Lady of Liberty", "Mirror of Harmony", "Fountain of Freedom", "Lord of Tranquillity", "Well of Eternity", "Master of Liberty", "Lord of Eloquence", "Queen of Cats", "Song of Reason", "City of the Lost", "Sonnet of Reason", "Symphony of Hope", "Basin of Serenity", "Master of Freedom", "Daughter of Temperance", "Mother of Serenity", "Symphony of Liberty", "Well of Eloquence", "Sonnet of Freedom", "Mother of Eloquence", "Fountain of Eternity", "Lady of Liberty", "Song of Hope", "Sonnet of Commerce", "The Cobra Kai Dojo", "Ballard of Tranquillity", "Fountain of Liberty", "Mirror of Serenity", "Mother of Harmony", "Lakewood Manor", "Lady of Eloquence", "Basin of Liberty", "Sonnet of Harmony", "Song of Serenity", "Lord of Commerce", "Voice of Temperance", "Symphony of Eternity", "Basin of Liberty", "Daughter of Commerce", "Fountain of Tranquillity", "Rockingham Burrow", "Bolton Homestead", "Hethpool Estate", "HMP Bullingdon", "HMP Downview", "As the World Falls Down", "The Lonsdale Aviary", "The Dilston Cattery", "Black Out the Sun", "Feel the Light", "The Thorpe Aviary", "The Hethpool Cattery", "The Rockingham Vespiary", "Just One Smile", "The Buckby Cattery", "Crawley Manson", "The Bamburgh Nest", "The Callaly Burrow", "The Berwick Aviary", "Stop the Rain", "Fight the Moonlight", "Conviction of the Heart", "The Lilbourne Estate", "Feelings of Forever", "The Benefield Apiary", "Follow the Wind", "Hunter of the Night", "Into the Dark", "Gonna Take a Miracle", "Just So You Know", "Kiss from a Rose", "Just Walk Away", "Once and Future King", "Left in the Dark", "The Tarset Cattery", "The Hundred Acre Wood", "Book of Giants", "Daisies and Raindrops", "As You Like It", "The Hollow Tree", "From the Lighthouse", "Instead of Three Wishes", "Dare to Be Scared", "The Brains Trust", "The Alderton Cattery", "Taming of the Shrew", "In a Dark Room", "Steak for Supper", "The Foundling", "Gentlemen of Verona", "Doorway in the Hedge", "No Heart in His Body", "The Disappearing Man", "Jewels from the Moon", "Spirit at the Well", "Pack of Lies", "The Practical Princess", "Specter in the Maze", "Wonder of Providence", "Much Ado About Nothing", "The Fruit Bat", "Restless Spirit", "Master of the Hunt", "Halloween Party", "Sea of Elysium", "Ocean of Bliss", "Pool of Rapture", "Pool of Bliss", "Quinte Bay", "Mexico Bay", "Panama Harbour", "Rotterdam Harbour", "Fount of Reflection", "Sea of Bliss", "King of the Golden Hall", "Spring of Consciousness", "Charleston Harbour", "Sea of Wisdom", "Adelaide Harbour", "River of Ecstasy", "Spawning Facility 75", "Fount of Dreams", "Woman in the Snow", "Pool of Reflection", "Bear at the Gate", "Spring of Rapture", "Fount of Rapture", "The Fourth Wish", "Ocean of Souls", "Collier Bay", "Spring of Inspiration", "Bonaparte Bay", "Recipe for Trouble", "Optical illusion", "Field Trip", "The Nine Doves", "Gone to Pieces", "Fount of Ecstasy", "River of Wisdom", "Send in the Clowns", "Adelaide Harbour", "Sea of Contemplation", "From the Closet", "New Age Blues", "River of Sentience", "The Earthen Jar", "Pool of Bliss", "Clean as a Whistle", "Witch in the Wood", "Nothing New under the Sun", "Wheel of Progress", "River of Reflection", "Sea of Beatitude", "Pool of Souls", "River of Sentience", "Mouse at the Seashore", "Morecambe Bay", "Sea of Elysium", "Pool of Ecstasy", "River of Inspiration", "The Matchstick Girl", "Sea of Reflection", "Ocean of Souls", "Spring of Knowledge", "Fount of Consciousness", "Knight of the Fish", "Daughter of the Dwarf", "Sea of Knowledge", "The Vicious Rodent", "The Steffi Graf", "Man of Influence", "The Suave Raptor", "The Litter Bug", "Born to Die", "Queen in the Garden", "The Black Sheep", "Duel in a Desert", "The Spotted Rodent", "The Edible Lobster", "Are We There Yet", "The Roosting Ospray", "The Lethal Lobster", "Playing Dead", "The Urbane Serpent", "Flower Without a Name", "The Lone Wolf", "The Genial Serpent", "The Pie Man", "Mirror to the Past", "Blue Oyster Cult", "The Urban Fox", "The Perching Ospray", "The Spotted Feline", "Only a Game", "Afraid of Clowns", "The Horned Lobster", "The Selfish Giant", "The Deadly Goat", "Palace of Deceit", "The Howling Hound", "On the Great Wall", "The Edible Lobster", "The Deadly Poet", "Hive Mind Matrix 85", "The Courteous Serpent", "Cold Iron", "Run of the Downs", "The Silent Tomcat", "Mistress of Copper Mountain", "The Stone Book", "Bones of the Earth", "On the High Marsh", "Walker by Moonlight", "The Spotted Lobster", "The Howling Wolf", "The Urbane Demon", "The Courteous Serpent", "The Lone Wolf", "The Cabbage Patch", "The Urbane Serpent", "The Horned Poet", "The Hungry Fox", "The Horned Lobster", "The Wishing Stone", "The Howling Hound", "The Genial Serpent", "The Hungry Stoat", "The Roosting Raptor", "The Sly Weasel", "The Urbane Serpent", "Spell of Winter", "The Perching Raptor",
// Galaxy 7 
"Curator of Aqualina", "Lover of Nanako", "Purity of Marianna", "Elegance of Natasha", "Amnesty of Fomalhaut", "Lover of Elena", "Speaking With the Dead", "Frost Maiden", "The Living Gate", "Charter of Lerelace", "Riddle of Nirvana", "Treaty of Venus", "Custodian of Xanadu", "Beauty of Maxim", "Accord of Mimas", "Last Stop Before Eternity", "Beauty of Elisaveta", "Sympathy for Akane", "Treaty of Polaris", "Saucer of Loneliness", "Iron Raven", "Curator of Lerelace", "Custodian of Oreve", "Tenderness of Elena", "Sympathy for Anastasia", "Riddle of Oceania", "Secrets of the Deep", "Greenwich Village", "Lover of Satoru", "Enigma of Jupiter", "Schrodinger's Cat", "Pearls of the Coast", "Against the Giants", "Elegance of Karyna", "Sympathy for Naoto", "Curator of Europa", "Empathy for Ludmilla", "Grace of Natasha", "Elegance of Mikhail", "Empathy for Dasha", "Treaty of Lerelace", "Custodian of Troy", "Treaty of Limbo", "Beauty of Georgi", "Empathy for Elisaveta", "Riddle of Eden", "Grace of Irina", "Riddle of Teorge", "Curator of Phobos", "Enigma of Ateslete", "Accord of Zaonce", "Amnesty of Ganymede", "Grace of Anastasia", "Accord of Neptune", "Plenty of Fish", "Curator of Polaris", "Sympathy for Elisaveta", "Beauty of Mikhail", "Purity of Elisaveta", "Accord of Quandixe", "Empathy for Tsubasa", "Theatre of Blood", "Purity of Kamui", "Custodian of Tiared", "Bucknell Grove", "Acton Gardens", "To Legend He Goes", "Speak of the Devil", "Feast of the Moon", "Leafield Grove", "Weaver of Dreams", " First Snow of Winter", "The Rose Window", "Night of the Lepus", "Lady of the Mists", "Another Name for Dawn", "Bones of the Beast", "Game of Chance", "Beyond Hill and Dale", "Fame Is the Spur", "Too Many Thieves", "Bretchel Castle", "Island of Lost Dreams", "Wickless in the Nether", "Astride the Wind", "Turn Back the Clock", "Just Visiting", "Hinton Springs", "Questionable Taste", "The Ticking Clock", "Time Flies", "Sound of Thunder", "For All Time", "The Lake House", "Last Day of Summer", "Ascot Grove", "See You Yesterday", "Flight to Forever", "Charlton Springs", "Years in the Making", "Book of Vile Darkness", "Four and Twenty Blackbirds", "The Blue Jar", "Splitting the Difference", "Within a Wall", "Ludlow Springs", "The Iridescent Dragonfly", "Pool of Darkness", "Three Blind Mice", "While the Light Lasts", "Sport of Kings", "Code of the Clans", "The Man Who Knew", "Hope for the Flowers", "Into the Wild", "Life in the Woods", "High in the Clouds", "Shrewsbury Castle", "Boot Camp", "Winter in Eden", "Summer of the Monkeys", "Tiger in the Bush", "Against the Gods", "Tender Is the Flesh", "Animal Farm", "The Madame Pompadour", "Moon in the Cloud", "The Willard Price", "Wildeblood Incorporated", "May to December", "Petterson Amalgamated", "Tyley Aeronautics Ltd", "Ergon Holdings Inc", "Strelka Laboratories Plc", "Life in Five Courses", "Beerbaum Holdings Plc", "Mosser Healthcare Inc", "Daughter of the Forest", "Feynman Electronics Inc", "Garden of Babylon", "Petterson Therapeutics Plc", "Strelka Laboratories Inc", "Gerege Investments Ltd", "Caducei Aeronautics Plc", "Ichihara Laboratories Ltd", "McLane Investments Plc", "The Geret Corporation", "Zetter Therapeutics Inc", "Dinamec Amalgamated", "Irrikan Therapeutics Ltd", "Changing of the Guard", "Ichihara Electronics Ltd", "Salem Avionics Inc", "The Shores of Time", "Ingram Aeronautics", "Whatt Incorporated", "Caeles Aeronautics Ltd", "Dinamec Amalgamated", "Brothers of the Wind", "Lakon Electronics Inc", "Dinamec Investments Ltd", "The Rakesh Sharma", "Cowell Incorporated", "Beerbaum Investments Plc", "Prosset Laboratories Inc", "Gerege Holdings Ltd", "Wildeblood Incorporated", "Gerege Aeronautics Plc", "Caeles Electronics Inc", "Year of the Flood", "Berner Amalgamated", "Acornsoft Games Plc", "Zorgon Incorporated", "The Marko Susimetsa ", "Ferman Holdings Plc", "Odin Healthcare Inc", "Caducei Aeronautics Ltd", "Starblaze Laboratories Inc", "Acornsoft Incorporated", "Montana Amalgamated", "Gerege Avionics Plc", "Wildeblood Investments Ltd", "Ryder Laboratories Inc", "Ganelon Holdings Plc", "Little Caesars Arena", "Kruger Electronics Inc", "First of the Few", "Odin Electronics Ltd", "Aegidian Laboratories Inc", "Berner Electronics Ltd", "And All Between", "Mrs Miggins Poet Hatchery", "Behind the Attic Wall", "Saunderson Hall", "Pitch Invasion", "The Book of Lies", "Bella at Midnight", "Below the Root", "Beyond the Valley of Thorns", "The Drowned Vault", "Children of the Red King", "Sky Galleon", "Battle Toad", "Goblins in the Castle", "Emma in Winter", "Five Children and It", "The Frog Princess", "Giant Under the Snow", "A Hat Full of Sky", "Gods of Manhattan", "Chamber of Secrets", "Into the Mist", "Mortal Danger", "In the Grip of Winter", "Fire of Life", "The Iron Ring", "Norwood Burrow", "Islands of the Blessed", "The Silver Apple", "Master of the Books", "The Lost Princess", "Outcast of Redwall", "The Nameless One", "Show Time", "When the Raven Flies ", "The Night Tourist", "Palace of Laughter", "March of the Penguins", "End of the Rainbow", "The Old Tobacco Shop", "Riddle of the Seventh Stone", "The Phoenix and the Carpet", "Prophecy of the Stones", "The Forgotten Sisters", "Hole in the Sky", "School for Heroes", "Sister of the South", "Moonbase Alpha", "Tiger by the Tail", "Smelling of Roses", "The Midnight Garden", "Secrets of the Tree", "Absolute Midnight", "Until the Celebration", "The Charles Walker", "Wind in the Door", "The Winter Knight", "Inheritance of Ashes", "Canticle of Whispers", "Handbook for Mortals", "Kiss of Deception", "Muse of Nightmares", "Reaper at the Gates", "The Buried City", "Gate to Nowhere", "Talking to Dragons",
// Galaxy 8
"Ark of Purity", "Shepheard of Solemnity", "Supremacy of Piety", "Lullaby of Mercy", "Tears of Julia", "Euphoria of Faith", "Shepheard of Sanctity", "Naval Administration Centre 85", "Supremacy of Eternity", "Lullaby of Sanctity", "Tears of Jana", "Ark of Solemnity", "Gatekeeper of Eternity", "Spawning Facility 85", "Lullaby of Piety", "Apostle of Michelle", "Gatekeeper of Eternity", "Euphoria of Fidelity", "Torch Against the Night", "Vistas of Eternity", "Gatekeeper of Sanctity", "Bone Dance", "Lullaby of Faith", "Best of Enemies", "Blue Noon", "Ark of Fidelity", "Chorus of Piety", "Bones of the Moon", "Shepheard of Piety", "Chorus of Solemnity", "Apostle of Julia", "Palace of the Workers", "Lullaby of Faith", "Apostle of Andrea", "Ark of Infinity", "Euphoria of Solemnity", "Placidity of Infinity", "Gatekeeper of Solemnity", "Geometry of Shadows", "Ark of Piety", "Shepheard of Faith", "Ark of Sanctity", "Lullaby of Eternity", "Running with the Demon", "Every Last Drop", "Vistas of Reason", "Ark of Mercy", "Shepheard of Fidelity", "The Graduate Farm", "Chorus of Infinity", "Gatekeeper of Sanctity", "Tears of the Wolf", "The Laurel Goodwin", "Sleeping in Flame", "Shepheard of Infinity", "Tears of Carla", "Supremacy of Eternity", "Gatekeeper of Purity", "Apostle of Thorsten", "Supremacy of Solemnity", "Shepheard of Faith", "Placidity of Solemnity", "Supremacy of Faith", "The Alexi Leonov", "The Brieudet Inn", "The Richemont Hotel", "The Richemont Tower", "The Nicosia Apiary", "The Brindisi Inn", "The Berlin Hilton", "The Athens Inn", "The Altamura Tavern", "The Morimont Hilton", "The Castellana Motel", "The Stockholm Hilton", "The Vienna Motel", "The Athens Tavern", "The Andlau Inn", "The Nolibos Hilton", "The Castellana Hilton", "The Rodemack Motel", "The Taranto Motel", "Barbarians at the Gates", "The James Feynman", "Act of Compassion", "The Echelle Motel", "The Vienna Motel", "The Lucera Inn", "The Matera Hotel", "The Filolie Inn", "The Sardinia Tower", "The Campania Motel", "Stalking the Unicorn", "The Basilicata Hilton", "The Groucho Marx", "The Aulteribe Tavern", "The Richemont Hotel", "The Brieudet Hilton", "The Sassari Tavern", "Touching Darkness", "The Montendre Hilton", "The Andlau Motel", "Circus of the Damned", "Touch the Dark", "The Chabrol Inn", "The Lombardy Hotel", "Tears of the Earth", "The Echelle Hilton", "The Minsk Tavern", "The Budapest Inn", "The Amsterdam Motel", "The Minsk Hilton", "Cool for Cats", "The Dublin Inn", "Warp Factor", "Curse of the Stars", "The Cherveux Tavern", "The Echelle Tower", "The Chabrol Inn", "Alton Towers", "The Paris Hotel", "The Dublin Hotel", "The Auberoche Inn", "The Vasto Tavern", "Escape from the Pit", "The Aucors Hotel", "Call for Heroes", "The Faicchio Tavern", "Fountain of Understanding", "Serenade of Salience", "Hall of Clarity", "Canticle of Determination", "Anthem of Introspection", "Hall of Understanding", "Fountain of Prudence", "The Grub Hatchery", "Fountain of Lucidity", "The Ringed City", "Well of Meditation", "Fountain of Perspicacity", "Anthem of Prudence", "Fountain of Meditation", "Die by the Sword", "Anthem of Prudence", "Fountain of Acumen", "Well of Lucidity", "Hall of Acumen", "Anthem of Lucidity", "Canticle of Prudence", "The Yuri Gagarin", "Hall of Determination", "Well of Acumen", "Fountain of Foresight", "Fountain of Prudence", "Well of Determination", "The George Harrison", "Fountain of Clarity", "Serenade of Sentience", "Well of Introspection", "Defiance of Destiny", "Death of the Outsider", "Serenade of Sentience", "Prisoner of The Village", "Anthem of Acumen", "Canticle of Tenacity", "Order of the Flame", "Hall of Meditation", "Anthem of Comprehension", "The Leonardo Da Vinci", "Anthem of Sentience", "Hall of Tenacity", "Serenade of Introspection", "HMP Downview", "Anthem of Clarity", "Even the Ocean", "Fountain of Introspection", "Serenade of Erudition", "Anthem of Erudition", "Fountain of Erudition", "Canticle of Tenacity", "Blue Velvet", "Take Me to Your Leader", "Anthem of Perspicacity", "The Elemental Stone", "Time Quest", "Hall of Introspection", "Fountain of Sentience", "Well of Determination", "Canticle of Foresight", "Anthem of Intellect", "Hall of Salience", "Canticle of Understanding", "The Heisenberg Effect", "The Armored Princess", "The Rosetta Anomaly", "The Chaos Lattice", "The Kepler Nexus", "The Rubicon Lattice", "The Chaos Continuum", "The Rosetta Lattice", "The Oppenheimer Spiral", "Coven of Dusk", "The Rubicon Effect", "Challenge from the Past", "The Kepler Spiral", "Descendant of Light", "The Rosetta Spiral", "The Kepler Matrix", "The Eureka Continuum", "The Rubicon Postulate", "The Chaos Spiral", "The Eureka Continuum", "The Entropy Foundation", "The Displacement Matrix", "The Heisenberg Lattice", "The Displacement Foundation", "The Oppenheimer Helix", "The Rosetta Continuum", "The Chaos Continuum", "Prophecy of the Shadow", "The Displacement Anomaly", "The Oppenheimer Nexus", "The Eureka Spiral", "The Rosetta Lattice", "The Displacement Matrix", "Secret of the Solstice", "The Displacement Effect", "Shovel Knight", "The Equilibrium Spiral", "The Displacement Helix", "Lamb of Tartary ", "The Entropy Postulate", "The Chaos Helix", "The Rubicon Anomaly", "The Rosetta Matrix", "Ride Like the Wind", "The Equilibrium Foundation", "Sleeping Gods Lie", "The Rosetta Postulate", "The Rubicon Helix", "Last of the Buccaneers", "The Oppenheimer Foundation", "The Rubicon Postulate", "Before the War", "The Entropy Helix", "The Heisenberg Nexus", "The Chaos Lattice", "The Oppenheimer Nexus", "The Kepler Continuum", "The Displacement Continuum", "The Chaos Effect", "The Oppenheimer Spiral", "The Displacement Helix", "The Equilibrium Lattice", "The Kepler Helix", "The Rubicon Spiral",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"HMP Belmarsh"];

//  Name Array for the Bio Sphers & Manufacturing Stations (Number of Names in Array: 2,048)
//  This uses the Large Pool Method - See Readme for Details.
this.biopool = [
// Galaxy 1 
"Werner Enterprises Inc", "Fangorn Forest", "Stephenson Products Ltd", "Nakashimi Psychotropics Inc", "Marconi Xeroforms Ltd", "Morse Psychotropics Ltd", "Nakashimi Systems Ltd", "Baird Systems Inc", "Mymurth Psychotropics Inc", "Moth Processing Factory 05", "The Babbage Purifier", "Haussmann Machinery Ltd", "Tesla Developments Ltd", "Commodore Xeroforms Plc", "Haussmann Systems Ltd", "Selezen Developments Ltd", "Mymurth Nanites Inc", "Truffle Hunter", "Spawning Facility 25", "Message in a Bottle", "Breath of Smaug", "Savile Row", "Comanche Moon", "Obnoxicorp Ltd", "Rockforth Developments Ltd", "Duval Products Inc", "Franklin Xeroforms Inc", "Arkhurst Interstellar Ltd", "Tesla Psychotropics Ltd", "Tesla Products Ltd", "Glorious Harvest", "Arkhurst Enterprises Ltd", "Epsilon Acquisitions Ltd", "Canneti Psychotropics Inc", "Earthquake Shelter 25", "Selezen Enterprises Inc", "Babbage Hydroponics Ltd", "Costanza Poet Farm", "Archimedes Systems Inc", "Pursuit of Wonder", "Bell Interstellar Inc", "Edison Hydroponics Ltd", "Gutenberg Interstellar Ltd", "Arkhurst Xeroforms Plc", "Dyson Developments Inc", "Williams Products Inc", "Soylent Green Ltd", "Tyson Automations Ltd", "Whitney Machinery Plc", "Mondelez Products Ltd", "Marconi Automations Plc", "Casterford Products Inc", "Weston Psychotropics Inc", "Naismith Interstellar Ltd", "Heart of the North", "Naismith Psychotropics Ltd", "Latimer Xeroforms Inc", "Tyson Interstellar Inc", "Written on the Wind", "Acme Developments Inc", "Rockforth Developments Inc", "Cisco Systems Inc", "Cahuella Enterprises Inc", "Forbidden Kingdom", "The Bachem Union", "The Gilead Commonwealth", "The Covestro Federation", "The Kashamin Union", "The Rotunda Commonwealth", "Means of Production", "Mirkwood City", "The Formosa Commonwealth", "The Rorschach Commonwealth", "Casino Royale", "The Kantar Union", "The Celanese Foundation", "The Nutrien Union", "The Soup Cauldron", "The Maxwell Commonwealth", "The Bill Oddie", "The Debaria Association", "The Waydon Society", "The Carcosa Conglomerate", "The Celanese Commonwealth", "The Tepachi Commonwealth", "The Arkham Facility", "The Gas Works", "The Gomorrah Society", "The Novac Facility", "The Keuthan Institute", "Ghost Road", "The Delain Society", "The Empathica Federation", "The Mohaine Union", "The Candleton Conglomerate", "Tiamat Hockey Dome", "Fallen Wisdom", "The Formosa Federation", "The Covestro Conglomerate", "The Bachem Commonwealth", "Mother of Worlds", "The Excalibur Commonwealth", "The Golgotha Faculty", "The Gilead Society", "The Topeka Faculty", "Harewood Aviary", "The Covestro Conglomerate", "The Delain Conglomerate", "The Novac Association", "Wishing on a Star", "The Maxwell Federation", "Cloverfield Farm", "Close to Tears", "The Norweb Commonwealth", "The Maxwell Faculty", "Golden Duck", "The Samsung Society", "Image in the Mirror", "Spawning Facility 05", "The Empathica Association", "The Deschain Conglomerate", "Love and Ale", "The Chandler Poet Farm", "The Lockwood Poet Farm", "The Formosa Institute", "The Makara Insect Farm", "The Nutrien Association", "The Kantar Foundation", "Phantom Tiara", "Thrumpberry Flavouring Ltd", "Sock Puppet", "Smoke on the Water", "Luminous Polyhedron", "Sparkling Amethyst", "Moonlit Polyhedron", "Phantom Amethyst", "Never Talk To Strangers ", "The Royal Orchard", "Incandescent Polyhedron", "Phantom Crown", "Golden Acre Farm", "The Meatball Machine", "Shimmering Amethyst", "Phantom Coronet", "Shimmering Crown", "Luminous Polyhedron", "Dream Factory", "Cradle of Civilization", "Incandescent Meteor", "Radiant Diadem", "Sparkling Albedo", "Narrow Margin", "Phantom Tiara", "Moonlit Albedo", "Phantom Orchid", "Shimmering Topaz", "Quantum of Eden", "Isla Bonita", "Sparkling Orchid", "Ethereal Topaz", "Winged Demon", "Chromatic Albedo", "Luminous Tiara", "Spectral Albedo", "Chromatic Polyhedron", "Workers Cooperative", "Radiant Amethyst", "Phantom Diadem", "Sparkling Tiara", "Quarantine Facility 75", "Chromatic Coronet", "Wild Pastures", "The Bermuda Triangle", "Phantom Orchid", "Summer Wine", "Moonlit Coronet", "Phantom Albedo", "Moonlit Albedo", "Shimmering Diadem", "Blood and Honor", "Candle for the Devil", "The Jameson Distillery", "Shimmering Topaz", "Incandescent Topaz", "Ethereal Polyhedron", "Perch for the Devil", "Master of Ravenloft", "Chromatic Crown", "Radiant Meteor", "Measure of Hope", "The Edward Lasker", "Shadow of Yesterday", "Greystoke Outpost", "Terran Sunset", "Timeless Gatekeeper", "The Satanic Mill", "Ageless Guardian", "The Neon Hornet", "Merdon Depot", "The Swift Hornet", "Cold Comfort", "Campbell Goat Farm", "Martian Dawn", "Red Heat", "Eternal Watchdog", "Petticoat Lane", "Slug of Hooch", "The Swift Nymph", "Holwell Outpost", "Flanders Fields", "Rise of the Machines", "The Nimble Satyr", "Southampton Outpost", "Colchester Outpost", "Eternal Gatekeeper", "Ancient Watchdog", "Star Maker", "Golden Dawn", "Contents May Differ", "Marshwood Outpost", "Jovian Cyclone", "Berkeley Outpost", "Wings of Winter", "Eternal Megalith", "Penrith Outpost", "Jovian Cyclone", "Middleton Outpost", "Melbourne Depot", "The Swift Hornet", "Naworth Outpost", "Flight of Icarus", "Duffield Depot", "The Deft Hornet", "The Neon Satyr", "Berkeley Depot", "Lowther Outpost", "Here and Now", "Bampton Outpost", "Lulworth Depot", "Beyond the Sun", "Ancient Gatekeeper", "The Nimble Hornet", "Pennington Outpost", "Jovian Relic", "Hole in the Wall", "Ancient Watchdog", "The Nimble Satyr", "Dalton Outpost", "Durpley Depot", "The Brood Chamber", "Ancient Megalith", "Golden Sunset", "Lowther Depot", "Golden Megalith", "Jovian Cyclone", "Torrington Outpost",
// Galaxy 2 
"Harrods Luxury Goods Inc", "Meet the Meat", "Seldar Textiles Plc", "Petterson Meat Products Ltd", "Spalder Fish Oils Plc", "Salem Synthetics Inc", "The Sheltering Sky", "Montana Textiles Inc", "Rackham Luxury Goods Plc", "Oberth Protein Pills Ltd", "Faber Minerals Inc", "Caducei Liquors Inc", "Rackham Minerals Inc", "The Red Tulip", "Frontier Synthetics Ltd", "Kruger Meat Products Ltd", "Tyley Meat Products Inc", "McLane Radioactives Plc", "Sun God", "Centre of Attention", "Faulcon Radioactives Plc", "Saleza Fish Oils Inc", "Fontaine Fisheries", "Ichihara Explosives Plc", "Faber Fish Oils Inc", "McGreavy Furriers Ltd", "Caducei Explosives Inc", "Valley of the Dolls", "Socam Liquors Inc", "Oberth Precious Metals Ltd", "Wildeblood Furriers Inc", "Neurath Protein Pills Ltd", "Cowell Textiles Inc", "Flame of Judgment", "Lakon Fish Oils Ltd", "Faulcon Luxury Goods Inc", "Sitting in Limbo", "Deep Trouble", "Cast into the Flames", "Gerege Synthetics Plc", "Ferman Fish Oils Ltd", "Flesh of Cretacia", "Tufnell Park", "Wire in the Blood", "Aegidian Minerals Ltd", "McLane Liquors Plc", "Firefly Fish Oils Inc", "Bream Explosives Ltd", "Twist of Faith", "Mosser Protein Pills Inc", "Bream Radioactives Ltd", "Ramon Liquors Plc", "Plague Harvest", "The Elusive Avenger", "Odessa Cannery", "Caeles Furriers Ltd", "Firefly Textiles Plc", "Daughters of Thunder", "Blackjack Protein Pills Ltd", "Gerege Minerals Inc", "Pritney Meat Products Ltd", "Ergon Protein Pills Inc", "The Spinning Jenny", "Dust and Echoes", "Token of Siegfried", "Devotion of Trinity", "Shores of Silence", "Steed of Evelyn", "Portrait of Siegfried", "Path of the Renegade", "Disciple of Alexandra", "Too Cool for School", "Vigilance of Abigail", "Book of Alice", "Token of Amelia", "Memento of Gabriella", "Book of Teagan", "Vigilance of Valentina", "The John McEnroe", "Book of Isabella", "Cunning of Allison", "Tears for Fears", "Bianchi Shrew Abattoir", "Lost Cause", "Devotion of Charlotte", "Portrait of Isabella", "Garden of Edan", "Adaption to Change", "Legend of Maximus", "Cunning of Miranda", "Memento of Alexandra", "Valley of Stability", "Scandal in Bohemia", "Pact of Amelia", "Above Us Only Sky", "Chariot of Alexandra", "Cunning of Amelia", "Memento of Natalia", "The Jake Thackray", "Devotion of Gamera", "Chariot of Emilio", "Utopia of Delilah", "Ticket to Paradise", "Steed of Eloise", "War for the Overworld", "Benulobiweed Shipyard", "Utopia of Evelyn", "Portrait of Eloise", "Clemency of Anastasia", "Might of Caroline", "Land of the Unicorn", "Under My Wing", "Hum of Starlight", "Devotion of Teagan", "Majesty of Adeline", "Campbell Goat Farm", "Sins of the Father", "Portrait of Marianne", "Devotion of Naomi", "Disciple of Alexandra", "Cunning of Delilah", "Book of Alexandra", "Portrait of Teagan", "Chariot of Rosalie", "Book of Anastasia", "Legend of Adeline", "Majesty of Alexandra", "Chariot of Sophia", "Horny Devil", "Thanks for all the Fish", "Summit of Aryn", "The Golden Horn", "Master of the Arcane", "Second Atlantis", "Answer to the Riddle", "Grove of Angitia", "Cradle of Fire", "Made of Night", "Bridge of Achilles", "Harbor of Achaeans", "River of Eridanus", "Eridania Mons", "Subtle Approach", "Lord of Ravens", "Haven of Corax", "Cimmerian Island", "Strait of Chiron", "Cape of the Grace", "Castalian Springs", "Wolf of Midwinter", "Lake Benacus", "Tiger by Moonlight", "Strait of Janus", "Ismenian Springs", "Cape of Hours", "Touching the Grass", "Wayward Soul", "On the Lilypad", "Adriatic Sea", "Grove of Ferentina", "Bay of Notus", "The Gordian Knot", "Monster World", "Atlantic Snow", "Silver Mountain", "Horn of the Nile", "Lake Moeris", "Island of Meroe", "Grove of Marca", "Sun Lake", "Sea of Sirens", "Bay of Simois", "Lake of Semiramis", "Scheria Island", "Servant of Darkness", "Ears of Wheat", "Bay of Palinurus", "Place of Shadows", "Ionian Sea", "Fear to Tread", "One Grave Too Many", "Bay of Xanthus", "Age of Darkness", "Under a Rock", "Crossroads of Charon", "Titan Bay", "Back of Beyond", "Second Thule", "Land of Wonders", "Tarnished Saint", "Calling on Dragons", "Bringer of Dawn", "The Alec Guinness", "Kyloe Cannery", "Alnwick Greenhouses Inc", "Lilburn Tulip Nursery", "Warkworth Plantations Ltd", "The Danby Plantation", "Hand of Chaos", "The Barden Plantation", "Norham Nursery", "Acklam Hydration Ltd", "The Sigston Complex", "Bellister Greenhouses Ltd", "The Thorpe Complex", "Buttercrambe Hydration Inc", "Way of the Serpent", "Welton Plastics Plc", "Tarset Hydration Plc", "The Cockle Brewery", "Lowick Plantations Plc", "Buttercrambe Plastics Ltd", "The Swinburne Brewery", "Hope over Experience", "Morpeth Plastics Ltd", "The Crazy Frog", "Hethpool Greenhouses Inc", "Rising of the Redmoon", "Taste of Her Sting", "Harbottle Plantations Plc", "The Levington Cannery", "The Towcester Complex", "The Thornton Cannery", "Prudhoe Plantations Inc", "Edlingham Hydration Plc", "Cornhill Plastics Plc", "Crimson Mist", "Featherstone Hydration Inc", "The Corbridge Cannery", "Lemmington Goat Farm", "Alnham Orchid Nursery", "Elsdon Nursery", "Houghton Plantations Inc", "Astwell Hydration Inc", "The Ayton Brewery", "Mask of Mayhem", "Roar of the Crowd", "Corbridge Banana Nursery", "The Goat Farm", "The Graduate Farm", "Harsley Cannery", "The Alnwick Refinery", "Burden of Loyalty", "Hexham Metallics Ltd", "Harsley Greenhouses Ltd", "The Waterville Complex", "Lost to Light", "The Staward Complex", "The Company Man", "The Swinburne Cannery", "Embleton Greenhouses Inc", "Howtel Plantations Ltd", "Prudhoe Nursery", "Benefield Plastics Ltd", "Concordat of Worms", "Aydon Plastics Inc",
// Galaxy 3 
"The Jack Bender", "HMP Featherstone", "The Lance Reddick", "HMP Feltham", "HMP Wandsworth", "Tarsiox Metalworks", "HMP Winchester", "Latchmere House", "The Stephen Williams", "The Paul A. Edwards", "The Eric Laneuville", "The Daniel Attias", "The Karen Gaviola", "The Stephen Semel", "Easy Rider", "The Marita Grabiak", "The Michael Zinberg", "The Adam Davidson", "The David Grossman", "The Robert Mandel", "The Roxann Dawson", "Iron Maiden", "The Deran Sarafian", "The Paris Barclay", "The Mark Goldman", "The Mario Van Peebles", "The Josh Holloway", "The Naveen Andrews", "The Matthew Fox", "The Emilie de Ravin", "The Michael Emerson", "The Roger C. Carmel", "The Henry Ian Cusick", "The Harold Perrineau", "The Elizabeth Mitchell", "The Nestor Carbonell", "The Ian Somerhalder", "The Zuleikha Robinson", "The Rebecca Mader", "The Mira Furlan", "The Tania Raymonde", "The Alan Dale", "The Dustin Watchman", "The Kiele Sanchez", "The Kimberley Joseph", "The Andrea Gabriel", "The Kevin Durand", "The Marsha Thomason", "The Fredric Lehne", "The William Blanchette", "The Blake Bashoff", "The Christian Bowman", "The Patrick Fischler", "The Daniel Roebuck", "The Fionnula Flanagan", "The Mickey Graue", "The Kiersten Havelock", "The Michael Bowen", "The Lillian Hurst", "The Neil Hopkins", "The Fisher Stevens", "The Sterling Beaumon", "The Julie Bowen", "The Sheila Kelley", "Serpent Sea", "Tomorrow Never Knows", "Sea of Nectar", "Sea of Tranquility", "Lake of Sorrow", "Marsh of Epidemics", "Marsh of Decay", "Seething Bay", "Die Another Day", "Lunik Bay", "Island of Winds", "Peninsula of Thunder", "Land of Frost", "The Jade Hare", "Caloris Basin", "Rembrandt Basin", "Shard of Destiny", "Point of Action", "Apex of Reason", "New Horizons", "Ultima Thule", "Harvest Festival", "Cherry Blossom", "Cerealia Tholus", "Divine Comedy", "Hill of Tara", "Hammer of Sorrow", "Sword of Fire", "Lake Alcyonian", "Persistence of Memory", "Arc of Radiance", "Circle of Time", "Annulus of Reason", "Crucible of Fate", "Edge of Infinity", "Point of Action", "Blazing Torch", "Broken Aesop", "Judus Unchained", "The Phobos Monolith", "The Deimos Anomaly", "Gate to Limbo", "The Ice Grotto", "River of Fire", "Ramparts of Perdition", "The Shattered Bridge", "Serpent Rider", "Field of Judgement", "Foetid Manse", "Guardian of Ice", "Guardian of Fire", "Bright Crucible", "The Seventh Portal", "Sacred Grove", "Shadow Wood", "Silent Refectory", "Locus Requiescat", "Ice Hold", "The Lemuel Gulliver", "The Hiroyuki Sanada", "The Kim Dickens", "The Mischievous Gremlin", "Quinbus Flestrin", "The Mindbender", "Cloud Catcher", "Canterbury Landing", "The Sandown Refectory", "Burial at Sea", "The Pointed Hat", "The Next Big Thing", "Close to the Sun", "The Silent Age", "The Stamford Refectory", "The Sky Crawler", "The Golden Perch", "The Turton Refectory", "The Torksey Array", "Fist of the Lotus", "The Walmer Array", "The Final Boss", "The Chilham Array", "The End Is Nigh", "The Tomorrow Children", "The Blood Dragon", "Center of the Earth", "We Happy Few", "Tabernacle of Trade", "The Shattered Frontier", "Tales from the Loop", "Attack of the Humans", "Valley of the Pharaohs", "The Invisible World", "Praying in Vain", "Childish Things", "The Warrior Princess", "The Late Show", "High on Life", "The Leybourne Array", "The Brenchley Refectory", "The Leading Man", "The Invisible War", "Over the Edge", "The Calculus Affair", "The Brenchley Array", "Secret of Nimh", "Ambassador of the Shadows", "Battle of the Minds", "Uncertain Times", "The Thurnham Array", "Birds of the Master", "Shifting Waters", "The Rutland Array", "Orphan of the Stars", "Order of the Stones", "Lady of Shadows", "On the False Earth", "World Without Stars", "Bitter Medicine", "From the New World", "Beast King", "The Desert Punk", "A Wind Named Amnesia", "The Planet Eater", "The Brethern Moon", "Night Has Come", "The Somerton Refectory", "The Trashcan Man", "The Captain Trips", "Irece Bionics Ltd", "Turanian Durables Plc", "Thorpe Exports Inc", "Babylon Genomics Ltd", "Laurent Bionics Plc", "Hellebore Dynamics Inc", "Kurita Industries Ltd", "Lustrix Propulsion Inc", "Luthien Bionics Plc", "Buhallin Positronics Ltd", "Olivetti Terraforming Inc", "Laurent Propulsion Ltd", "Andoran Exports Plc", "Browning Prosthetics Inc", "Irece Exports Ltd", "Tarragon Genomics Plc", "Lootera Prosthetics Inc", "Mercer Prosthetics Ltd", "Mualang Dynamics Plc", "Galileo Consumables Inc", "Gorton Terraforming Plc", "Bulldog Prosthetics Ltd", "Goliath Positronics Inc", "Arowana Exports Plc", "Kirin Bionics Ltd", "Zalagar Exports Plc", "Samarkand Bionics Inc", "Gorton Exports Ltd", "Hellespont Bionics Plc", "Dinton Durables Inc", "Astromech Consumables Ltd", "Jellico Industries Plc", "Gargain Propulsion Inc", "Buhallin Industries Ltd", "Kirin Terraforming Plc", "Dharma Consumables Inc", "Zircon Propulsion Ltd", "Kelpie Durables Plc", "Bulldog Terraforming Inc", "Gorton Industries Ltd", "Day of the Dog", "Mangon Propulsion Inc", "Jellico Bionics Ltd", "Turanian Propulsion Inc", "Constantin Exports Plc", "Gorton Terraforming Ltd", "The Hundredfold Problem", "Surinami Exports Plc", "Buhallin Exports Ltd", "Irece Bionics Inc", "The Medusa Seed", "Daisho Exports Inc", "Drennan Terraforming Ltd", "Kankoku Positronics Inc", "Orphic Exports Plc", "Kankoku Industries Ltd", "Gorton Bionics Plc", "Olivetti Exports Inc", "Mendham Positronics Ltd", "Browning Propulsion Inc", "Daisho Consumables Ltd", "Browning Terraforming Plc", "Swine Fever", "Kurita Positronics Ltd",
// Galaxy 4  
"The Zoe Bell", "The Iron Horse", "New Tsiolkovsky Mentalworks", "The Star Wolf", "The Brett Cullen", "The Spirit Horse", "The Arctic Fox", "The Iron Bear", "The Steel Scorpion", "The Strontium Dog", "The Ghost Bear", "Murder Machine", "The Steel Shark", "The Snow Adder", "The Cloud Cat", "The Iron Adder", "The Star Cobra", "The Star Wolf", "The Iron Scorpion", "The Fire Jaguar", "The Stone Horse", "The Iron Raven", "The Ghost Adder", "The Iron Jaguar", "The Spirit Shark", "The Iron Wolf", "The Spirit Horse", "The Arctic Wolf", "The Steel Horse", "The Cloud Jaguar", "The Diamond Bear", "The Star Jaguar", "The Iron Scorpion", "The Snow Cat", "The Enrico Fermi", "Off the Wall", "Lenin in October", "The Arctic Wolf", "The Steel Adder", "The Ghost Bear", "The Snow Jaguar", "Star Stormer", "The Steel Fox", "The Iron Fox", "The Black Adder", "The Stone Raven", "The Iron Scorpion", "The Snow Scorpion", "The Steel Fox", "The Fire Shark", "The Dark Raven", "The Ice Wolf", "The Snow Cat", "Heart of Empire", "The Ghost Scorpion", "The Fire Scorpion", "The Ice Fox", "Keeper of the Door", "The Unreliable Narrator", "The Stone Adder", "The Fire Fox", "The Spirit Scorpion", "The Steel Wolf", "The Fire Adder", "Nashan Munitions Ltd", "The Chocolate Factory", "Warlock Foundries Inc", "Batarian Mechanoids Ltd", "Noveria Ergonomics Plc", "Sirta Mechworks Inc", "The Crow Road", "Nemus Instruments Plc", "Heyuan Commodities Inc", "Scopuli Mechworks Ltd", "Kore Clones Inc", "Palantir Processing Ltd", "Heyuan Mechanoids Plc", "Phoenix Ergonomics Inc", "Sirenum Munitions Ltd", "Beckman Munitions Plc", "Borkat Mechanoids Inc", "Genex Replicants Ltd", "Nemus Munitions Inc", "Armax Mechanoids Plc", "Guanghui Commodities Ltd", "Graduate Mincing Facility 45", "Philomela Munitions Plc", "Devlon Clones Inc", "Apex Ergonomics Ltd", "Ragnarok Mechworks Inc", "Sonax Mechanoids Plc", "Batarian Mechworks Ltd", "Kedar Replicants Inc", "Conatix Mechworks Plc", "Batarian Foundries Ltd", "Rodam Clones Inc", "Isenberg Processing Ltd", "Parohe Munitions Plc", "Ragnarok Munitions Inc", "Nashan Mechworks Ltd", "Cision Mechanoids Plc", "Amalthea Clones Inc", "Guanghui Mechworks Ltd", "Sonax Commodities Plc", "Fenris Replicants Inc", "Nemus Mechanoids Ltd", "Kedar Ergonomics Plc", "Indenture Mechanoids Inc", "Cerberus Mechanoids Ltd", "Ragnarok Foundries Plc", "Conatix Mechworks Inc", "Anatass Munitions Ltd", "Krishna Munitions Plc", "Borkat Processing Inc", "Cerberus Replicants Ltd", "Sonax Mechanoids Inc", "Saronis Ergonomics Plc", "Philomela Instruments Ltd", "The John Wyndham", "Whitman Mechworks Inc", "Dark Comedy", "Krishna Munitions Inc", "Ashland Instruments Plc", "Indenture Foundries Ltd", "Borkat Foundries Inc", "Ashland Ergonomics Plc", "Conatix Commodities Ltd", "Cepheid Instruments Inc", "The Sheehan Coalition", "The Rainbow Orchid", "The McLaren Coalition", "V for Vendetta", "The Annalise Protectorate", "The Draconis Complex", "The Mobius Consortium", "The Rhinitis Complex", "Passport to Pimlico", "The Rautha Protectorate", "The Division Bell", "The Ent Farm", "The Desperate Dan", "The Jannah Protectorate", "The Pradesh Cartel", "The Darkes Combine", "The Keenan League", "The Fukunaga Confederation", "The Calliope Coalition", "The Banderas Complex", "The Banderas Combine", "The McLaren Confederation", "The Mobius Combine", "Dennis the Menace", "The Kronthaler Complex", "The Draconis Combine", "The Fukunaga Cartel", "The Pritchard Alliance", "The Tanase Combine", "The McLaren Cartel", "The Tanase Cartel", "The Rasche League", "The Berihn League", "The McLaren Coalition", "The Altera Combine", "The Hesperus Complex", "The Ericsen Hegemony", "The Stenson League", "The Wahlberg Consortium", "The Tanase Protectorate", "The Romanoff Combine", "The Mobius Confederation", "The Larais League", "The Mobius Coalition", "The Three Sisters", "The Kabden Confederation", "The Mobius Coalition", "The Achenar League", "The Wachowski Alliance", "The Munchausen Cartel", "The Jannah Combine", "The Versace Alliance", "The Hansen Combine", "The Darkes Protectorate", "The Ericsen Confederation", "The Laurentiis Alliance", "The Honey Trap", "The Draconis Combine", "The Atreides Combine", "The Pradesh Complex", "The Wachowski Cartel", "Sun and Shadow", "The Saunders Protectorate", "The Jannah Confederation", "Luck of the Legion", "The Immortal Warlock", "The Byron Chung", "The Mysterious Shaman", "The Lance Reddick", "The Sean Whalen", "The Marta Carcana", "The Frederick Koehler", "The Grisel Reyes", "The John Hawkes", "The Judith Fedder", "The Jonathan Dixon", "The Michelle Arthur", "The Alice Evans", "The Melissa Farman", "The Delphian Wizard", "The Veronica Hamel", "The Grant Bowler", "The Immortal Magician", "The Primeval Helix", "The Susan Duerden", "The Immortal Helix", "The Brian Goodman", "The Cabalistic Wizard", "The Titus Welliver", "The Teddy Wells", "The Glenn Cannon", "The Achilles Gacis", "The Mary Ann Taheny", "The David H. Lawrence", "The Alan Seabock", "Perpetual War", "The Greg Grunberg", "The Mysterious Magician", "The Guillaume Dabinpons", "The Nick Jameson", "The Tamara Taylor", "The Delphian Warlock", "The Clancy Brown", "The Bruce Davison", "The Kevin Chapman", "The Rachel Ticotin", "The Immortal Magician", "The Sarah Farooqui", "The Gabrielle Fitzpatrick", "The Delphian Singularity", "The Tom Irwin", "The Mary Mara", "The Wendy Braun", "Virtual Obsession", "The Immortal Nexus", "Wasp Warrior", "The Katie Doyle", "The Robert Frederick", "The Immortal Shaman", "Love the Bomb", "The Paula Malcomson", "The Robert McElhenney", "The Michael M. Vendrell", "The Lorraine K. Potter", "The Matthew Alan", "The Zack Shada", "The Lawrence Terrill", "The Tom Connolly",
// Galaxy 5 
"Ewing Androids Ltd", "Treadstone Liquidators Plc", "Moriarty Haulage Inc", "Soylent Exports Ltd", "Treadstone Haulage Inc", "Rossum Haulage Plc", "Ewing Transportation Ltd", "Cochrane Dynamics Inc", "Concordance Utilities Plc", "Milliways Androids Ltd", "Luthor Dynamics Inc", "Shinra Haulage Plc", "Campbell Goat Farm", "Sinclair Liquidators Inc", "Ecumena Transportation Plc", "Veridian Androids Ltd", "Tidis Omnitools Inc", "Ewing Liquidators Plc", "Bartok Exports Ltd", "Soylent Haulage Inc", "Mohican Dynamics Plc", "Bartok Exports Ltd", "Sienar Laboratories Inc", "Tangiers Liquidators Plc", "Abstergo Exports Ltd", "Tangiers Transportation Inc", "Delos Dynamics Plc", "Pentex Haulage Ltd", "Matsumura Androids Inc", "Enstein Utilities Plc", "Gadgetron Utilities Ltd", "Rossum Transportation Inc", "Kramer Androids Plc", "Gullichsen Psionics Ltd", "Osborn Psionics Inc", "Korova Liquidators Plc", "Daystrom Transportation Inc", "Gotham Haulage Ltd", "Delos Transportation Plc", "Eagle in the Snow", "Ravenwood Liquidators Ltd", "Hishii Psionics Plc", "Acme Exports Inc", "Strickland Dynamics Ltd", "Rest for the Wicked", "Rossum Transportation Plc", "Zorin Omnitools Ltd", "Tangiers Omnitools Inc", "The Grub Farm", "Concordance Exports Ltd", "The James Cameron", "Wayne Psionics Plc", "Wernham Omnitools Ltd", "McCandless Liquidators Inc", "Meade Utilities Plc", "Treadstone Androids Ltd", "Armacham Omnitools Inc", "Mohican Androids Plc", "Tidis Psionics Ltd", "Ecumena Psionics Inc", "Monarch Laboratories Plc", "Matsumura Psionics Ltd", "Bartok Transportation Inc", "Acme Omnitools Plc", "Courtier of Chester", "Sage of Peckforton", "Warlord of Shotwick", "Deliverance of Cainhoe", "Salvation of Aldford", "Strength of Buckden", "Consort of Penstowe", "Sage of Barnard", "Deliverance of Newhall", "Salvation of Renhold", "Kudos of Launceston", "Kudos of Denebola", "Deliverance of Denebola", "Ring of Kingsley", "Deliverance of Bourn", "Kudos of Cotherstone", "Ring of Shipbrook", "Kudos of Renhold", "Deliverance of Helston", "Salvation of Denebola", "Consort of Lavendon", "Courtier of Etonbury", "Warlord of Aldreth", "Deliverance of Peckforton", "Strength of Renhold", "The Impossible Dream", "Deliverance of Shocklach", "Pride of Halton", "Ring of Kimbolton", "Courtier of Cotherstone", "Look and Learn", "Pride of Northwich", "Strength of Cheveley", "Pride of Aldreth", "Kudos of Pendennis", "Lord of Mice", "Ring of Upton", "Deliverance of Aldford", "Courtier of Lavendon", "Salvation of Denebola", "Warlord of Someries", "Courtier of Denebola", "Salvation of Shocklach", "Deliverance of Newhall", "Salvation of Pulford", "Warlord of Cheveley", "Kudos of Dodlestone", "Rites of War", "Sage of Denebola", "Kudos of Turville", "Consort of Eaton", "Kudos of Scargill", "Warlord of Longthorpe", "Strength of Kingsley", "Warlord of Upton", "Warlord of Shipbrook", "Kudos of Ludworth", "Warlord of Bishopton", "Song of the Labyrinth", "Consort of Elton", "Just for Fun", "Pride of Rampton", "The Soinalet Distillery", "Pride of Malpas", "The Heart Reef", "Cradle Mountain", "Beneath the Persona", "Kingdom of Aksum", "Victoria Falls", "The Rift Valley", "To Have and To Hold", "Best of the Rest", "On the Moonlit Road", "A Walk in the Night", "Diego Garcia", "The Maltese Falcon", "The Great Outdoors", "Bright Springs", "Boston Common", "The Broken Tooth", "Running Man", "Uncommon Ground", "Malham Cove", "Ben Nevis", "Scafell Pike", "Vale of York", "Midnight Sun", "On a Hydrogen Breeze", "Mount Washington", "Death Valley", "The Green Flag", "Admiralty Island", "Book of Aksum", "Cape of Good Hope", "Not Actual Gameplay", "Devils Tower", "Fort Frederica", "Fort Monroe", "Freedom Rider", "Hanford Reach", "Three Little Pigs", "Ironwood Forest", "The Little Bighorn", "Sour Grapes", "Kingdom of Kush", "Pillar of Night", "The Rainbow Bridge", "Rose Atoll", "Cry of the Innocent", "Mount Rushmore", "The Country Mouse", "The Sealed Room", "Cave of Swallows", "The City Mouse", "The Red Widow", "Curse of the Monolith", "The Gold Hunter", "Horn of Africa", "Gulf of Aden", "Road of the Eagles", " Lair of the Ice Worm", "Tabuk Province", "Arabia Deserta", "Kingdom of Awsan", "Shadows in the Skull", "Sharif of Mecca", "Emirate of Asir", "Desert of Nefud", "The Black Circle", "Devil in Iron", "Drums of Tombalku", "God in the Bowl", "Burton Lodge", "Spoils of Sacrilege", "Gift of the Emperor", "Out of Paradise", "Howling at the Moon", "Behind the Singer Tower", "The Rest Cure", "Tea on the Mountain", "The Lonely Voice", "Way of the World", "Clemency of the Court", "Son of the Celestial", "Man of Adamant", "Not by Its Cover", "Haunter of the Ring", "Logic of Empire", "Conscience in Art", "The Bull Dog Breed", "Fist and Fang", "The David Bowie", "Flight or Fright", "Pit of the Serpent", "Face of Baltar", "Sign of the Snake", "Winter amid the Ice", "The Acid House", "Before the Law", "The Stray Dog", "Live at Five", "Some Are Born Great", "Book of Alternate Worlds", "Word from the Edge", "Shadows in the Moonlight", "Grave of the Fireflies", "On Slide Inn Road", "The Greatest Gift", "Snout in the Dark", "Wake Not the Dead", "Fragments of a Hologram Rose", "Poetry and the Gods", "Angel of the Odd", "Music from the Pillar", "Mold of the Earth", "Duration of Life", "Freak Show", "The Lower World", "Bending the Landscape", "Crusade of Fire", "Spell of Seven", "New Worlds for Old", "Out of the Unknown", "Book of Dreams", "The Charnel God", "Time to Come", "Beneath Ceaseless Skies", "Tales from Beyond", "Sower of the Thunder", "Mathematics of Magic", "The Runaway Shadow", "Tales Beyond Time",
// Galaxy 6 
"Sawtooth Recycling Inc", "Reinhart Alloys Plc", "Torgue Machinery Inc", "Frostburn Recycling Ltd", "Hammerlock Metallics Plc", "Lynchwood Recycling Ltd", "The Glass Mountain", "Anything for a Quiet Life", "Jackpot Vending Ltd", "Return of the Kong Beast", "Maverick Shipping Plc", "Frostburn Recycling Inc", "Hyperious Ceramics Inc", "Gearbox Recycling Ltd", "Fremington Alloys Plc", "Eridium Ceramics Ltd", "Paritisan Applications Ltd", "Dahl Metallics Inc", "Skyfall Ceramics Plc", "Maverick Alloys Ltd", "Eridian Applications Plc", "Bartlesby Minerals Inc", "Reinhart Vending Plc", "Reinhart Applications Ltd", "Lynchwood Vending Inc", "Veruc Minerals Ltd", "Gearbox Alloys Plc", "Paragon Applications Ltd", "Longbow Shipping Plc", "Skyfall Alloys Plc", "Torgue Machinery Ltd", "Poet Mincing Facility 15", "Thunderball Metallics Plc", "Under the Dark Cloth", "Frostburn Materials Ltd", "Sawtooth Metallics Ltd", "Harpoon Applications Inc", "McNally Metals Plc", "Harpoon Machinery Plc", "Eridium Ceramics Ltd", "Lascaux Machinery Inc", "Sawtooth Applications Inc", "Tector Shipping Inc", "Patriot Ceramics Inc", "Zoltan Shipping Plc", "Firefox Applications Ltd", "Logan Materials Ltd", "Lynchwood Minerals Ltd", "Fight Club", "Eridium Shipping Ltd", "Chulainn Applications Plc", "Eridian Materials Inc", "Veruc Alloys Plc", "Veruc Ceramics Inc", "Sawtooth Ceramics Ltd", "Falchion Ceramics Plc", "Vermion Applications Inc", "Sawtooth Minerals Plc", "Siren Vending Inc", "Hunt for the Blood Orchid", "Deadwood Metallics Inc", "Hornet Machinery Inc", "Lascaux Machinery Inc", "Banbury Alloys Ltd", "Amateur in Violence", "Weight of the Sunrise", "Great Work of Time", "Game Without Rules", "The Antonio Casale", "Fire Breather", "The General Ironfist", "Portrait by Moonlight", "Queen of the Black Coast", "Rogue in the House", "Shadow of the Vulture", "Son of the White Wolf", "Tower of the Elephant", "By the Waters of Babylon", "Army of a Dream", "Cabin on the Coast", "The Dandelion Girl", "Before the Revolution", "Division by Zero", "Road of Needles", "Window of Heaven", "Wall Around the World", "A Walk in the Sun", "The Tall Stranger", "In the Picture", "Get a Load of This", "Folly and Glory", "Power of the Dog", "The Night Tourist", "Pride of Bear Creek", "Angle of Repose", "Armory of Mordred", "The Josey Wales", "Days Without End", "Stairs of Sand", "In the Distance", "Man of the Forest", "Spirit of the Border", "Day of the Beast", "The Third Eye", "Lives of the Prophets", "Farmer in the Sky", "Maiden in the Tower", "Conversations with God", "Serious Drinking", "Ladder of Jacob", "Jack of the North", "Burden of Belief", "Memory of Childhood", "Angel at the Fence", "Bride of the Water God", "Threads of Time", "Behind the Rising Sun", "False Colours", "Bride of the Plains", "Instant in the Wind", "Morality Play", "After the Wind", "Summit of the Gods", "Touching the Void", "Before the Mast", "Lady of Sherwood", "Day of the Locust", "The Firebrand", "Search for a Lost Time", "This Side of Paradise", "Light in August", "Scourge of God", "The Shadow Speaker", "Tent of Miracles", "Orion Shall Rise", "A Rat Shall Fall", "The Quiet Sun", "Holder of the World", "Dawn of Darkness", "Meaning and Purpose", "Rise of Meritocracy", "Inheritance of Loss", "Night of the Triffids", "Office of Mercy", "Notions of Immortality", "The Purple Cloud", "Flood of Fire", "Under the Triple Suns", "Fate of the Banished", "God of Small Things", "Echoes of the Living", "Heat and Dust", "Lady of the Forest", "Realism in the Balance", "The Secret Doctrine", "Palace of the Peacock", "Waiting for the Barbarians", "Among the Believers", "Petals of Blood", "The Ranting Poet", "Bend in the River", "Our Lady of the Flowers", "Soul on Ice", "The Wild One", "Worlds in Collision", "The Doors of Perception", "East Coast Rising", "Hear the Wind Sing", "Nothing Nice to Say", "Historical Realism", "Islands in the Net", "Down and Out", "The Quantum Thief", "Rapture of the Nerds", "Fire in the Sun", "Behold the Man", "Ahead of the Curve", "The Steam Man", "Piece of the Night", "Under the Tonto Rim", "Born on a Tuesday", "Son of a Servant", "Piece of the Night", "The Road Back", "Scenes from Provincial Life", "House of the Spirits", "The Narrow Path", "Sleepless Nights", "Fire on the Plain", "Absolutely Normal", "Everything Good Will Come", "Into the River", "Graveyard Shift", "Witching Hour", "Skeleton Crew", "Imperial Purple", "Night Surf", "Gray Matter", "The Ragged Edge", "Stairway to Heaven", "The Endless Spiral", "Eternal Summer", "Wheel of Fire", "Strange Bedfellows", "Fall of Innocence", "Crouch End", "Night Flier", "Atlantic Heart", "Chords of Dawn", "Mountain Oracle", "Phantom Zone", "Sisters of Eluria", "Summer Thunder", "Christmas on Ganymede", "Recipe for Hate", "Call to Arms", "Feeling of Power", "Up the Garden Path", "Founding Father", "Robot Dreams", "Stranger in Paradise", "The Heavenly Host", "Beyond the Star Gate", "Wind of Change", "The Marc Menard", "Flash of Brilliance", "Matter of Principle", "Turning Point", "Flight of Fancy", "Prime of Life", "Edge of Reason", "Fallen Angel", "Memento Mori", "Sunshine Desserts", "Breaker of Chains", "Spoils of War", "Beyond Eternity", "Cherokee Rose", "Silent Whispher", "Morning Star", "Cold Storage",  "Parting Shot", "The Wolf Farm", "Soul Hunter", "Parliament of Dreams", "Quality of Mercy", "Geometry of Shadows", "Act of Atonement", "Divided Loyalties", "Fall of Night", "Matter of Honor", "The Greta Garbo", "Severed Dreams", "Well of Tears", "llusion of Truth", "Learning Curve",
// Galaxy 7
"Upon a Sunny Night", "MegaMart Foods Ltd", "BioSec Sausages Inc", "Silence of the Tiger", "TetraTech Cereals Ltd", "TetraCorp Plankton Ltd", "TranSec Cereals Inc", "MegaMart Opiates Inc", "TranSec Opiates Plc", "BioTech Plankton Plc", "InNet Syrups Plc", "TetraSec Rations Ltd", "TetraWare Ales Ltd", "OmniSec Ales Ltd", "HyperCortex Rations Ltd", "InWare Mushrooms Ltd", "MetaTech Cereals Ltd", "Under a Black Sun", "InCom Mushrooms Plc", "UniTech Rations Ltd", "CyberCorp Robots Plc", "MetaTex Cordials Ltd", "OmniNet Sausages Ltd", "MegaCorp Syrups Ltd", "MetaTech Cereals Inc", "MetaMart Opiates Ltd", "BioCortex Syrups Ltd", "Lazarus Research Station", "CyberTex Rations Inc", "TetraGen Mushrooms Plc", "InCom Mushrooms Inc", "The Lead Farmer", "TetraTech Pastas Inc", "TetraGen Cordials Plc", "CyberWare Sausages Inc", "TetraNet Pastas Inc", "InGen Cereals Ltd", "CyberMart Cereals Inc", "HyperCorp Syrups Ltd", "End of a Brave Man", "TranGen Rations Inc", "HyperSec Opiates Inc", "CyberNet Cordials Inc", "OmniMart Rations Ltd", "MegaMart Mushrooms Plc", "UniGen Mushrooms Ltd", "BioGen Rations Plc", "OmniCortex Opiates Plc", "CyberCortex Plankton Inc", "HyperWare Plankton Ltd", "MegaSec Cordials Plc", "BioCom Opiates Plc", "HyperGen Cordials Ltd", "MegaTech Mushrooms Inc", "Hope in the Unseen", "InGen Rations Plc", "UniWare Rations Plc", "BioTech Ales Plc", "MegaWare Rations Inc", "UniWare Ales Inc", "MegaTex Mushrooms Inc", "MegaNet Ales Plc", "TetraCom Ales Ltd", "UniNet Plankton Plc", "Custodian of Peace", "Steward of Hope", "The Tom Connolly", "Goddess of Fortune", "Rule of Four", "The Tomiko Lee", "The Delphic Prophecy", "Thunder Lizard", "The James Earl Jones", "Guardian of Hope", "The Marvin DeFreitas", "Steward of Hope", "The Michael Dempsey", "Goddess of Prosperity", "The Greenhouse Effect", "Defender of Commerce", "Beyond the Far North", "Holy Fire", "Guardian of Commerce", "The Liam Neeson", "Sentinel of Peace", "The Alex Petrovitch", "Flower in the Vacuum", "Sentinel of Hope", "The Gadget Maker", "The Christopher McGahan", "The Wendy Pearson", "The Delphic Oracle", "The Red Goddess", "Sentinel of Commerce", "Dream of the Nine", "The Tina Turner", "The Kesha Diodato", "The Michael DeLuise", "Advancement of Learning", "Custodian of Commerce", "Sentinel of Peace", "Love Lies Bleeding", "Guardian of Hope", "The Adam Leadbeater", "Custodian of Hope", "Mediocre But Arrogant", "Queen of the Desert", "Defender of Prosperity", "The Andrew Connolly", "Pictures from an Institution", "The Delphic Augury", "The Kristin Richardson", "The Michaela Cottrell", "Sentinel of Prosperity", "Starter for Ten", "Custodian of Commerce", "Everyone Worth Knowing", "The Zack Ward", "The Sable Keech", "The Lipstick Jungle", "Guardian of Peace", "The Kelly Rice", "The Vanessa Branch", "The Three Kings", "Goddess of Fortune", "Now and Forever", "Steward of Prosperity", "Season of Passion", "Shadow of Aquarius", "The Grub Cannery", "Power of Aries", "Well of Sagittarius", "Shadow of Pisces", "Aurora of Aquarius", "Constellation of Orion", "Power of Aries", "Reflection of Orion", "Well of Rasheda", "Well of Aries", "Shadow of Tomorrow", "Well of Andromeda", "Aurora of Libra", "Time of Pisces", "Power of Orion", "Aurora of Aquarius", "Well of Libra", "Reflection of Sagittarius", "The Dollhouse", "Harbinger of Aries", "Reflection of Gemini", "Small Talent for War", "Well of Aquarius", "Time of Scorpio", "Reflection of Capricorn", "Well of Sagittarius", "Shadow of Gemini", "Time of Taurus", "Trading Up", "Shadow of Asphodel", "Aurora of Scorpio", "Power of Gemini", "Reflection of Orion", "Power of Libra", "Constellation of Aries", "Reflection of Taurus", "Time of Sagittarius", "Domestic Goddess", "Time of Taurus", "Reflection of Orion", "Time of Aries", "Power of Andromeda", "Well of Libra", "Shadow of Orion", "Book of the Long Sun", "Shadow of Pisces", "For Such a Time", "Shadow of Capricorn", "Well of Andromeda", "The Christa McAuliffe", "Power of Capricorn", "Well of Andromeda", "Reflection of Taurus", "When It Was Dark", "Time of Orion", "Nemesis Orbital Shipyard", "After Worlds Collide", "Reflection of Aries", "Constellation of Aquarius", "Shadow of Taurus", "Constellation of Sagittarius", "Reflection of Aquarius", "Power of Taurus", "Thorpe Haulage Plc", "Nissan Mechanicals Inc", "Dharma Enterprises Ltd", "Lootera Enterprises Plc", "Turanian Components Inc", "Mercer Implants Ltd", "Lexicon Components Plc", "Kingsley Enterprises Ltd", "Browning Mechanicals Inc", "Tokasha Implants Plc", "Limpkin Haulage Ltd", "The Friedrich Nietzshe", "Mualang Consumables Plc", "Zalagar Organics Ltd", "Mangon Welding Inc", "Discus Haulage Plc", "Barcella Fixtures Ltd", "Luthien Consumables Inc", "Marshall Haulage Plc", "Barcella Components Ltd", "Zircon Haulage Inc", "Drennan Haulage Plc", "Gargain Implants Ltd", "Daisho Enterprises Inc", "Kingsley Consumables Plc", "Sheridan Welding Ltd", "Wendigo Components Inc", "Luthien Enterprises Plc", "Limpkin Components Ltd", "Holden Construction Inc", "Jellico Welding Plc", "Midway Enterprises Ltd", "Hearts and Armour ", "Nissan Implants Plc", "Daisho Enterprises Ltd", "Hellebore Welding Inc", "Comedy of Errors", "Dharma Implants Ltd", "Ironhold Construction Inc", "Kankoku Implants Plc", "Zalagar Fixtures Ltd", "Behind the Evidence", "Beyond the Ice Limit", "Zircon Components Ltd", "Luthien Trading Inc", "Buhallin Mechanicals Plc", "Holden Haulage Ltd", "Matabushi Consumables Inc", "Kankoku Trading Plc", "Alshain Construction Ltd", "Ironhold Organics Inc", "Dinton Welding Plc", "Gargain Shielding Ltd", "Lustrix Haulage Inc", "Limpkin Implants Plc", "Orphic Welding Ltd", "Irece Shielding Inc", "Discus Trading Plc", "Luthien Fixtures Ltd", "Watching the Skies", "Ironhold Shielding Plc", "Mualang Mechanicals Ltd", "Lustrix Haulage Inc", "Dawning Light",
// Galaxy 8 
"The Greenhouse", "The Grub Farm", "Atlanta Nights", "Consider the Consequences", "The Poet Farm", "Alderton Metallics Plc", "Deck the Halls", "Lilbourne Plastics Plc", "Thornton Hydration Plc", "The Halton Complex", "Heart of the Comet", "The Houghton Refinery", "The Ayton Complex", "Light of Other Days", "The Invisible Hand", "Tarset Hydration Inc", "The Barden Cannery", "The Barnwell Brewery", "The Topcliffe Refinery", "Mistress of the Empire", "The Poet Nursery", "The Embleton Refinery", "The Cornhill Complex", "Thornton Cannery", "Simonburn Metallics Inc", "Juggler of Worlds", "Still Life with Crows", "The Cresswell Cannery", "The Burton Brewery", "Beaufront Plastics Inc", "The Orchid Nursery", "Broken Sun ", "Hepple Plantations Ltd", "The Houghton Complex", "Oath of Fealty", "The Duffield Cannery", "Alderton Hydration Plc", "The Incorporated Knight", "Dandelion Sky", "Haltwhistle Plastics Plc", "Thirlwall Plantations Inc", "Acklam Plantations Inc", "The Haughton Complex", "The Berwick Cannery", "The Baconsthorpe Refinery", "Alnham Hydration Inc", "The Lilburn Refinery", "The Herb Nursery", "The Tulip Nursery", "Alderton Plastics Ltd", "The Bolton Refinery", "Light at the End", "Priestess of Avalon", "Malton Metallics Ltd", "Crawley Plantations Plc", "The Danby Refinery", "Levington Hydration Ltd", "The Herb Nursery", "Towcester Metallics Inc", "The Langley Brewery", "Saxton Hydration Inc", "Haggerston Metallics Ltd", "Step on a Crack", "The Graduate Nursery", "Gearbox Applications Ltd", "Fremington Metallics Inc", "The Last Theorem", "Stallion Textiles Inc", "Firehawk Minerals Plc", "Ahab Metallics Plc", "Memoirs and Misinformation", "Nakayama Alloys Inc", "Mind the Gap", "Dexidous Materials Ltd", "Falchion Alloys Plc", "Archer Machinery Plc", "Jackpot Vending Inc", "Mobley Recycling Plc", "Deadwood Shipping Plc", "Veruc Minerals Ltd", "Southpaw Materials Plc", "Fremington Vending Plc", "Run for Your Life", "Firefox Metalworks", "Nut Job", "Fremington Ceramics Ltd", "Bartlesby Minerals Ltd", "Tediore Minerals Plc", "Banbury Recycling Inc", "Triquetra Vending Inc", "Pandora Materials Inc", "Seraph Machinery Ltd", "Skyfall Machinery Plc", "Hornet Recycling Ltd", "Tediore Applications Plc", "Firefox Applications Ltd", "Paritisan Shipping Plc", "Jackpot Minerals Ltd", "Torgue Ceramics Ltd", "Hellfire Vending Ltd", "Jinx Machinery Ltd", "Longbow Metallics Ltd", "Hyperion Recycling Plc", "Torgue Minerals Inc", "Seraph Metallics Inc", "Nakayama Metallics Plc", "Torgue Machinery Ltd", "Tector Vending Ltd", "Patriot Machinery Inc", "Servant of the Empire", "Skyfall Ceramics Inc", "Pitchfork Metallics Plc", "Jackpot Alloys Ltd", "Morphous Ceramics Ltd", "Reinhart Metallics Inc", "Foster Metallics Inc", "Zoltan Alloys Inc", "Nakayama Applications Inc", "Nakayama Metallics Inc", "Longbow Ceramics Inc", "Hyperion Alloys Ltd", "Veruc Machinery Plc", "Stingray Shipping Ltd", "Firehawk Vending Plc", "Dahl Machinery Ltd", "Maverick Ceramics Inc", "Flamerock Shipping Ltd", "Triquetra Machinery Plc", "Rather Be Right", "The Hamilton Confederation", "The Stockwell League", "The Altera Combine", "Two Steps Forward", "The Tanase Coalition", "The Calliope Complex", "Hive Mind Nexus 110", "The Westwood Combine", "The Rowan Confederation", "The Dioscuri Consortium", "The Atreides Confederation", "The Munchausen Consortium", "The Rautha Combine", "The Hatching Chamber", "The Cutting Room", "Wall Around a Star", "The Leiter Cartel", "Make Me an Offer", "The Saunders Protectorate", "Nuts in May", "Many a Year Ago", "The Hudson Consortium", "The Rowan Coalition", "The Wachowski Consortium", "The Keenan Confederation", "The Juanita Consortium", "The Rowan Confederation", "The Saunders Cartel", "The Juanita Coalition", "Requiem for a Fish", "The Pritchard Consortium", "The Calliope Cartel", "The Jannah Consortium", "The Laurentiis Complex", "The Juanita Coalition", "The Color Purple", "Bright River", "The Acturan Consortium", "The Hamilton Combine", "Rebel Heart ", "The Ericsen Confederation", "Autumn of the Patriarch", "The Rowan Coalition", "The Munchausen Complex", "The Stockwell Combine", "The Kronthaler Consortium", "The Achenar Complex", "The Rhinitis Confederation", "The Atreides Combine", "The Westwood League", "The Romanoff Complex", "The Larais Confederation", "The Stenson Coalition", "The Nervosa Consortium", "The Atreides League", "Royal Jelly", "The Vasquith Complex", "The Nervosa Coalition", "The Fukunaga Confederation", "The Stockwell Consortium", "Feast of the Goat", "The Darkes Combine", "Investiture of the Gods", "Aeolis Mons", "Albor Tholus", "Anseris Mons", "Chalce Montes", "Ceraunius Tholus", "Centauri Montes", "Eridania Mons", "Electris Mons", "Drava Valles", "Dulce Vallis", "Granicus Valles", "Frento Vallis", "Evros Vallis", "Patapsco Vallis", "Parana Valles", "The Midas Muffler", "The Goldilocks Zone", "The Marilyn Monroe", "Chasma Boreale", "Ascraeus Chasmata", "Planum Australe", "Valles Marineris", "Hebes Chasma", "Hellas Chasma", "Tithonium Chasma", "Juventae Chasma", "Utopia Planitia", "Eridania Planitia", "Amazonis Planitia", "Amenthes Planum", "Bosporus Planum", "Daedalia Planum", "Malea Planum", "Nepenthes Planum", "Planum Chronium", "Solis Planum", "Big Vern", "Terra Cimmeria", "Rainforest Stew", "Promethei Terra", "Terra Sirenum", "Aonia Terra", "The Columbia Hills", "The McCool Hill", "Dreaming of Amelia", "Pot of Gold", "The Home Plate", "Gathering of Days", "Sleepy Hollow", "Rainbows End", "Nemesis of Faith", "Tears of a Tiger", "Water for Elephants", "The Nature of Truth", "Notes from Underground", "Not by Bread Alone", "Fraction of the Whole", "Morning Calm", "Wind Walker", "The Percival Lowell", "Evolution of Worlds", "The Robert A. Heinlein", "The Canals of Mars", "The Steven Spielberg",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Toast of London"];

//  Name Array for the Solar Stations (Number of Names in Array: 2,048)
//  This uses the Large Pool Method - See Readme for Details.
this.solarpool = [
// Galaxy 1 
"Black Rainbow", "The Resurrection Conjecture", "The Munchausen Phenomena", "Relativity Theory", "The Mountain Poet", "The Revenant Dichotomy", "The Overlord Dichotomy", "Weird Science", "The Polybius Effect", "The Duality Dichotomy", "The Polybius Paradox", "Call of the Canyon", "Saturday Night Fever", "Chaos Theory", "Game Theory", "Children of Babel", "The Observer Paradigm", "The Duality Dichotomy", "The Revenant Effect", "The Overlord Paradox", "The Duality Dichotomy", "String Theory", "The Homunculus Effect", "Trial of Champions", "The Lambda Paradigm", "The Rama Effect", "The Red Queen", "Darkside Blues", "Storm Giant", "The Resurrection Dichotomy", "The Revenant Conjecture", "The Bystander Conjecture", "Early Warning Post 15", "The Necronomicon Effect", "The Bystander Hypothesis", "Corpse Grinder", "Beggars Banquet", "The Grandfather Effect", "The Steve Jackson", "The Rama Paradox", "The Tyrant Conjecture", "The Tyrant Conjecture", "Bread and Circuses", "Crowhaven Farm", "The Allstars Hockey Stadium", "The Munchausen Paradigm", "Gravitation Theory", "Arizona Days", "The Outsider Effect", "The Beholder Paradigm", "And Soon the Darkness", "Anything Legal Considered", "The Pancho Villa", "Dreams of Avarice", "The Lambda Dichotomy", "Accretion Theory", "The Outsider Dichotomy", "The Equilibrium Dichotomy", "The Beholder Paradox", "Hive Mind Antenna 01", "Rendezvous with Rama", "The Warrior Poet", "The Rama Paradox", "The Time Traveler's Wife", "Ray of Sunshine", "SolTrac Ceramics Ltd", "Quantum Leap", "Voice from the Past", "Flames of the Falcon", "SysPax Ceramics Ltd", "MultiCorp Nanobots Plc", "Early Warning Post 10", "The Medusa Touch", "MetaTrac Quirium Inc", "MultiTech Plasma Inc", "Shadow of the Sun", "OrgGen Quirium Plc", "MaxiGen Power Ltd", "The White Witch", "GalMech Energy Plc", "MaxiTech Power Inc", "SolTron Fusion Inc", "MetaRex Recycling Ltd", "Casino de Monte Carlo", "SolFax Harvesters Ltd", "For the Birds", "XenoTrac Energy Inc", "City of Masks", "The Lead Zeplin", "Aurora Borealis", "MicroMech Ceramics Ltd", "Pushing Daisies ", "MetaMech Power Ltd", "MetaMech Power Ltd", "MultiTech Ceramics Inc", "GalTech Energy Inc", "MetaFax Plasma Plc", "MetaCorp Quirium Inc", "MultiTron Energy Plc", "The Brian Lara", "GalGen Nanobots Ltd", "Chain Reaction", "Naval Intelligence Post 10", "Crown of Stars", "Lords Cricket Ground", "MetaCorp Recycling Inc", "Rising Sun", "The Ministry of Love", "MultiTron Harvesters Inc", "MultiMech Nanobots Ltd", "MaxiPax Energy Plc", "MatComp Fuels Ltd", "MicroTech Recycling Plc", "The Nightingale Clinic", "XenoCorp Ceramics Ltd", "MatTech Fuels Inc", "Beyond the Veil", "MetaRex Nanobots Inc", "OrgPax Energy Inc", "Sundew Citadel", "The Niccolo Machiavelli", "MultiCorp Quirium Plc", "MicroTron Ceramics Ltd", "GalComp Fusion Ltd", "The Bone Yard", "SolTech Quirium Ltd", "MetaTech Power Inc", "XenoTron Power Plc", "Master of Physics", "Master of Reason", "Symphony of Philosophy", "Sonata of Chemistry", "The Art of Quadratics", "Ballad of Physics", "The Ten Foot Pole", "Love and Thunder", "The Art of Algebra", "Ode to Chemistry", "Symphony of Algebra", "Eye in the Sky", "Elegance of Mathematics", "Joy of Physics", "Ballad of Logic", "Sun Dancer", "Fallen Idol", "Ballad of Calculus", "Master of Philosophy", "Ballad of Quadratics", "Storm Chaser", "Master of Physics", "Ode to Chemistry", "Sonata of Reason", "Ballad of Reason", "Sun Surfer", "Black Lagoon", "Half Moon Street", "Ode to Reason", "Love of the Damned", "Star Master", "Call of Adventure", "State of the Union", "Elegance of Physics", "Night Watch", "Fire in the Sky", "Giant Slayer", "Sonata of Calculus", "Elegance of Philosophy", "Rising Swarm", "Ode to Philosophy", "Sonata of Calculus", "Ode to Newton", "Black Lagoon", "Fire Eater", "Storm Rider", "Poetry of Reason", "House of Mirrors", "Symphony of Chemistry", "Ode to Physics", "Master of Logic", "Symphony of Algebra", "Goat of Mendes", "Sonata of Philosophy", "Earthquake Shelter 15", "Burning Man", "Trial by Ordeal", "Knight and Day", "Black Widow", "Joy of Chemistry", "Goat of Mendes", "Sonata of Quadratics", "Mystery Island", "Ode to Algebra", "Ministry of Silly Walks", "The Chihuahuan Society", "The Javeriana Foundation", "The Telemark Society", "The Nordic Society", "Star City", "Troubled Waters", "Blood of Heroes", "The Harvard University", "The Nordic College", "The Jinwoo Society", "The Malvern Institute", "The Erotic Solarium", "The Pershore Association", "The Daresbury Order", "The Pradesh College", "Alexandra Palace", "The Vienna University", "The Oberwolfach College", "The Allahabad Fraternity", "The Bouchet Order", "The Man in Black", "The Granick Institute", "The Blue Man", "The Harvard College", "The Laurentian Foundation", "The Ashish Bhatia", "The Timmermann Association", "The Vienna Society", "Faulty Towers", "The Namibia Seminary", "Eye of the Needle", "Frontier Blenders Inc", "Master of the Stars", "Strange New World", "Five Coins for a Kingdom", "The Babraham Fraternity", "The Smithsonian University", "The Sindh Academy", "Credibility Problem", "The Shoe Event Horizon", "Hand of the Queen", "Book of the Stranger", "Drowned World", "The Lokomotiv Order", "The Frankfurt Order", "The Lahore College", "The Ontario University", "The Ministry of Silly Walks", "The Frankfurt Order", "Nepenthe City", "Solar Storm Shelter 15", "The Nairobi University", "Highway to Hell", "The Chihuahuan Order", "For Whom the Bell Tolls", "Sun Eater", "The Babraham Association", "Planet Cracker", "The Dushanbe Institute", "Day of the Dolphin", "Endless Void", "Comrade in Arms", "The Heidelberg University",
// Galaxy 2 -
"The Suzanne Krull", "The Dustin Geiger", "The Jill Kuramoto", "Prisoner of the Sun", "The Ebeneezer Goode", "The Percival Scott", "The Eric Nemoto", "The Sora Jung", "Winter Sun", "Palm of the Hand", "The Donnie Keshawarz", "The Victor Browne", "The Robert Patrick", "The Josh Holloway", "The Maggie Grace", "Watcher of the Throne", "The Mark Pellegrino", "Survival Instinct", "The Archie Ahuna", "The Robert McElhenney", "Way of the World", "From Father to Son", "The William Makozak", "The Christina Souza", "The Mark Kalaugher", "Path of the Outcast", "The Kelly Kraynek", "The Troy Vincent", "The Evan Handler", "The Nick Tate", "Armed with Madness", "The Tim Halligan", "The Anne Bedian", "The Steven Elder", "The Keir O'Donnell", "The Scott Paulin", "The John O'Hara", "The Mark Goodier", "The Jackie Maraya", "The Saul Rubinek", "Day of Ascension", "The John Walcutt", "The Monica Garcia", "The Dariush Kashani", "Return of Fire", "The Nathan Fillion", "The Julie Adams", "Servant of the Bones", "The Monica Barladeanu", "Northern Sunrise", "The Sammi Davis", "Shrine of Winter", "The John Canavan", "The Allison Janney", "The Jenny Chang", "The Stephen Rafferty", "The Terasa Livingstone", "The Terence McKenna", "The Curtis Jackson", "The Short Drop", "Key to the Past", "The Clarence Logan", "The Ronald Guttman", "The Melissa Bickerton", "Song of Chamrosh ", "Liberty Island", "The Alan Taylor", "Total Eclipse of the Heart", "Red Fury", "The Dominic Monaghan", "The Ken Leung", "The Jeff Fahey", "The Sam Anderson", "The John Terry", "On Golden Pond", "The Rodrigo Santoro", "The Sonya Walger", "The Doug Hutchison", "Song of Kalavinka", "The Iceman Cometh", "The Katey Sagal", "Fort William", "The Geoff Heise", "The Shawn Lathrop", "The Todd Coolidge", "Pawn of Chaos", "The Sayed Badreya", "The Lawrence Mandley", "The George O'Hanlon", "The David Paterson", "The Marc Casabani", "The Finn Armstrong", "The Pierre Olivier", "The Jack Maxwell", "Generations of Winter", "The Andrew Meader", "The Kevin Rankin", "Through the Looking Glass", "The Lela Loren", "The Lisa Fraser", "Fellowship of the Frog", "The Xavier Alaniz", "The Josh Randall", "The Marguerite Moreau", "Mirror of Ivanhoe", "The Lindsay Frost", "Out of Context", "The Tamara Lynch", "Crossing the Line", "Heat of the Night", "The Eric Griffith", "The John Choi", "The Ali Shaheed", "All Things Pass", "Milliways Restaurant", "The Michael Lanzo", "The John Tilton", "The Geoffrey Rivas", "Song of Pamola", "No Time to Die", "The Brooke Anderson", "The Virginia Morris", "Badge of Honor", "Beauty of the Lilies", "The Stephen Page", "Midnight Regret", "Vagrant Queen", "Brighton Palace", "PlasTex Coolants Ltd", "EnTrix Thrusters Inc", "StarCat Refrigeration Ltd", "AmunCon Collectors Ltd", "PhoeTec Coolants Ltd", "EnCon Deuterium Plc", "PhoeNex Resources Plc", "Down to a Sunless Sea", "MoonCat Coolants Ltd", "Fallen Leaves", "Lord of Silence", "Fox in the Snow", "The Truth Below", "EnTrix Renewables Inc", "MoonBell Generators Ltd", "EcoNex Refrigeration Inc", "MoonTrix Conservation Ltd", "PlasTec Collectors Inc", "Outlaw Star", "PhoeTrix Scoops Ltd", "Child of an Elder God", "StarCon Generators Plc", "Blood and Flame", "PlasLux Refrigeration Inc", "Steel Daemon", "RaNex Conservation Inc", "Sun Skimmer", "RaCon Coolants Plc", "RaNex Renewables Plc", "MoonNex Deuterium Plc", "RaTrix Deuterium Plc", "RaNex Resources Plc", "AmunTrix Thrusters Plc", "PlasPod Coolants Plc", "HelioPod Resources Ltd", "AmunPod Collectors Plc", "Symphony of the Night", "StarCat Coolants Ltd", "EcoPod Coolants Ltd", "Gentle as the Night", "EnPod Generators Ltd", "PhoeMax Refrigeration Inc", "Pity Is Not Enough", "AmunBell Collectors Ltd", "StarPod Thrusters Ltd", "MoonPod Deuterium Plc", "EcoTec Deuterium Inc", "StarNex Generators Inc", "SunTrix Thrusters Ltd", "EnLux Thrusters Ltd", "Circle of Wisdom", "RaLux Generators Plc", "PhoeTec Collectors Plc", "MoonCon Generators Ltd", "StarBell Generators Inc", "SunCon Resources Inc", "MoonTec Collectors Inc", "Just Making Matters Worse", "Son of the House", "Ahead of Schedule", "AmunLux Renewables Ltd", "SunTrix Collectors Inc", "RaLux Scoops Plc", "MoonCat Conservation Plc", "The Donna Smallwood", "Desolation of Smaug", "The Ronald Revels", "Firelink Shrine", "Mansfield Park", "The Samantha Mathis", "The Solomon Richards", "Here Comes a Chopper", "The Eleanor Mariano", "The Missing Link", "The Shawn Doyle", "Pursued by a Memory", "The Carla Buscaglia", "Three Card Trick", "The James Horan", "Downton Abbey", "Star Breeze", "The Francois Guetary", "The Jeanne Rogers", "So it Begins", "Catechism of Hate", "The Tyler Laudowicz", "The Kiya Lee", "The Warren Kundis", "Swimming in Fire", "The Theo Rossi", "The Ian GomezIan", "The Sun King", "The Craig Young", "The Brass Monkey", "The Peter Lavin", "The Theo Coumbis", "The John Bryan", "The Carrie Preston", "The Shaun Toub", "No One Lives Forever", "The Roxanne Day", "Dramatic Music", "The Tyrone Howard", "Descent of the Nine ", "The Jeremy Colvin", "The Andrea Roth", "Chaos Child", "Thine Is the Glory", "The Dean Norris", "The Jamal Bradley", "Castle Grayskull", "The Glen Bailey", "The Juan Cantu", "Lavender Hill", "The Christopher Amitrano", "The Meilinda Soerjoko", "Prism of the Past", "Uncommon Denominator", "The Jeremy Davies", "Spear of Ultramar", "The Felix Williamson", "The Joel Himelhoch", "The Pink Panther", "The Jacob Witkin", "Sun Diver", "Amongst the Damned", "The David Cordell", "Three Pipe Problem",
// Galaxy 3 
"The Turbulent Professor", "Nothing Really Matters", "The Stargazer", "The Peculiar Chemist", "The Charming Boffin", "Under the North Star", "The Turbulent Chemist", "The Neuromancer", "The Peculiar Boffin", "Winter of the World", "The Stardust Thief", "The Affable Chemist", "Not Before Sundown", "The Peculiar Boffin", "Threads of Fortune", "The Mad Scientist", "City of Woven Streets", "The Genial Professor", "The Fault in Our Stars", "The Charming Mathematician", "Acquaintance with Darkness", "Now You Know", "The Affable Astronomer", "The Temperamental Mathematician", "Petals on the Wind", "Reading in the Dark", "The Temperamental Physicist", "The Midnight Bell", "Phantom of the Temple", "The Genial Mathematician", "Magic Under Glass", "Seeds of Yesterday", "The Cultured Physicist", "Orphan of the Rhine", "Cooking with Wild Game", "The Charming Genius", "The Angel Next Door", "The Genial Professor", "Earthquake Shelter 35", "The Cultured Boffin", "The Charming Scientist", "Classroom of the Elite", "Under the Pendulum Sun", "The Cultured Physicist", "Children of the Abbey", "The Cultured Chemist", "Grace of the Gods", "The Turbulent Mathematician", "The Cultured Genius", "Eminence in Shadow", "Chivalry of a Failed Knight", "The Genial Genius", "The Peculiar Boffin", "SETI Scanner 25", "The Turbulent Professor", "Pupil of a Wise Man", "The Peculiar Mathematician", "Ascendance of a Bookworm", "The Cultured Genius", "Banished from the Party", "Dawn of the Witch", "Garden of Sinners", "The Charming Mathematician", "Eyes in the Dark", "DomeFax Sensors Ltd", "DomeComp Astronavigation Inc", "SoloCorp Irrigation Plc", "HydroGen Software Inc", "LifeRex Reanimation Ltd", "LifeTrac Astronavigation Ltd", "DomeComp Holographics Inc", "DomeRex Holographics Inc", "SoloGen Irrigation Inc", "SoloRex Sensors Inc", "UniComp Irrigation Plc", "VolGen Holographics Inc", "HydroTech Nutrition Inc", "SinCorp Software Plc", "MagmaRex Software Plc", "HydroMech Irrigation Ltd", "VolGen Software Ltd", "Talking It Over", "MagmaComp Software Inc", "MonoMech Nutrition Inc", "DomeTron Sensors Plc", "HydroFax Reanimation Ltd", "Beyond the Islands", "VolCorp Scanners Ltd", "MonoPax Astronavigation Ltd", "LifeTech Sensors Plc", "LifeTron Holographics Inc", "UniRex Software Ltd", "Not as a Stranger", "DomeTech Software Plc", "SinTech Reanimation Inc", "VolMech Software Ltd", "DomePax Sensors Inc", "SinPax Sensors Plc", "UniTron Nutrition Plc", "Mirror of Glaucus", "MagmaRex Scanners Inc", "SoloMech Reanimation Ltd", "HydroTrac Astronavigation Plc", "SoloTron Holographics Ltd", "MagmaPax Sensors Plc", "Beyond the Stars", "RadFax Scanners Ltd", "Hive Mind Nexus 75", "MonoComp Irrigation Ltd", "MonoPax Wholesale Inc", "SinRex Scanners Inc", "LifeTron Software Ltd", "RadRex Wholesale Plc", "MagmaMech Astronavigation Inc", "SoloMech Reanimation Ltd", "SoloTron Software Inc", "MonoCorp Reanimation Inc", "SinMech Holographics Plc", "VolGen Sensors Inc", "SinTech Reanimation Plc", "HydroTron Irrigation Plc", "RadFax Sensors Plc", "SoloRex Reanimation Plc", "MagmaGen Software Plc", "VolTech Software Inc", "DomeGen Holographics Plc", "MagmaTrac Irrigation Ltd", "MagmaFax Astronavigation Plc", "One of Us Is Next", "The Thekla Reuten", "The Patricia Hastie", "Dark Secret", "The Ammar Daraiseh", "The Molly McGivern", "The Elisabeth Blake", "The Casey Adams", "The Sean Kinerney", "The Barbara Vidinha", "The Julius Ledda", "The Robert Dahey", "The Alex Mason", "The Mark Gilbert", "Bernard of Clairvaux", "The Aisha Hinds", "The Dion Donahue", "The Kamari Borden", "The Rhett Giles", "The James Huang", "The Taiarii Marshall", "The Traber Burns", "The William Sanderson", "The Emerson Brooks", "The Dan Hildebrand", "The Miko Franconi", "The John Skinner", "The Victoria Goring", "The Larry Joshua", "The Allan Cole", "The Ken Elliott", "Rum Punch", "The Jesse Smith", "The Ashleigh Wood", "The Derrick Bulatao", "The Eden Murray", "The Achraf Marzouki", "The Jermaine Smith", "The Dorian Burns", "The Patrick J. Adams", "The Elizabeth Logan", "The Michael Titterton", "The Siwathep Sunapo", "The Michelle Forbes", "The Yetide Badaki", "The George Cheung", "Star of Albion", "The William H. Fiddler", "The Chris Barnes", "The Alexandra Krosney", "The Kavita Patil", "Beat the Reaper", "The Dmitri S. Boudrine", "The Stephen Scibetta", "The Jaymie Kim", "The Jonathan Arthur", "The Traci Burgard", "The Maile Holck", "The Salvatore Abbadessa", "The Michael Cowell", "The Stephen Semel", "The Sophie Kim", "The Madeline Carroll", "The Danan Pere", "The Stephen Quinn", "Spiritual Insight", "The Romantic Schism", "The Barbara Baehler", "The Shannon Chanhthanam", "The Edward Conery", "The Lynnette Garces", "The Rylee Fansler", "The Linda Herman", "The Michael Hardy", "The Scott Moura", "The Hannah Bell", "The Addison Arquette", "The Ashlee Kyker", "The Michael Robinson", "Spiritual Journey", "The Cynthia Charles", "The Alexandra Morgan", "The James Lesure", "The Marlene Forte", "The Kimberly Estrada", "The Traci Toguchi", "The Sean Douglas", "The Kanayo Chiemelu", "The Damon Juan", "The Candace Hammer", "The Anthony Keyvan", "The Daniel Kunkel", "The Teresa Huang", "The Quantum Journey", "The Christopher Johnson", "The Ernesto Lopez", "The Maree Miller", "The Darren Reiher", "The Christina Kim", "The Kaveh Kardan", "The Devon Gearhart", "The Savannah Lathem", "The Sonya Seng", "The Peter Ruocco", "The Stephen Bishop", "The Diamante Kielo", "The Steve Labrash", "The Graham McTavish", "The Amanda Carlin", "The Michael Sadler", "The Cape of Good Hope", "The Matt Hoffman", " Book of the Short Sun", "The James Jeremiah", "The Kasim Saul", "The Christina Simpkins", "The Sarah Duval", "The Emily Evan", "The Michael Trisler", "The Dana Sorman", "The Lehualani Silva", "Hunting the Unicorn", "The Gerard Elmore", "The Joshua Hancock", "The Steven Neumeier", "The Matthew Pedersen", "The Cindy Paliracio", "The Kate Connor",
// Galaxy 4  
"The Fourth Angel", "Flight of the Eagle", "Guard of Honor", "Singing in the Shrouds", "The Pitchford Collector", "The Cadulo Reflector", "The Great Circle", "Night Over Water", "Wrong Side of the Sky", "River of Smoke", "Night Train to Lisbon", "Notes from a Coma", "The Order of Things", "Siren of Titan", "Forest of the Hanged", "Hunger for Life", "Tunnel of Love", "The Unlimited Dream", "Friend of the Family", "The Kadabra Reflector", "The Justified Sinner", "Salt and Sanctuary", "The Night Club", "Flower in a Sinful Sea", "Over the Odds", "In Search of Lost Time", "Heart of the Order", "Oranges Are Not the Only Fruit", "Wait Until Spring", "The Thorian Reflector", "Prayer and Miracles", "The Aldebaran Reflector", "The Bone Shard", "The Baldwin Reflector", "Paradise of the Heart", "On a Winter Night", "Romance of the Forest", "Flower in the Mirror", "The Derinoe Collector", "Light over Russia", "Blood on the Forge", "The Satanus Collector", "Two Suns in the Sunset", "Waiting for an Angel", "Lord of the Trees", "City of Ember", "Necessary Roughness", "Damsel in Distress", "The Sandman Reflector", "In the Cold of Space", "Fettered by Fate", "Saw It Coming", "The Masked Rider", "Red or Dead", "Tall and Talented", "In the Last Stride", "The Great Game", "Dancing with Demons", "Worthy of Love", "The Dead Drop", "The Combine Collector", "List of the Lost", "The Far Pavilion", "The Ultron Collector", "Lotus in the Wind", "The Scientific Dream", "Cardinal of the Kremlin", "The James Locke", "Forever and a Day", "The Kathleen Darcy", "The George Gerdes", "The Golden Gun", "The Sundra Oakley", "The Rebecca Tilney", "One Lonely Night", "The Flying Elephant", "The Garrett Hughes", "Kingdom of Shadows", "The Colby French", "Rational Poetry", "Symphony of Logic", "The Stefanie Smart", "The Kailee Velasco", "Black Sabbath", "The Patrick Torres", "The Tanner Maguire", "The Haley Cook", "The Mandy Turpin", "The Souhil Nimeh", "The Sonya Masinovsky", "The Alicia Rae", "Tomorrow Never Comes", "Logical Dreams", "The Broken Penny", "The Joseph Wilson", "Our Man in Havana", "The Matthew Thompson", "The Dane Justman", "The Julia Mueller", "The Shiromi Arserio", "The Dennis Falton", "The Brian Sherwin", "The Thomas McCurdy", "The Alexandra Tabas", "The Chris Marvin", "The John A Weaver", "The Frank Torres", "The Kimberly Stahl", "The Sean DeCambra", "The Carter Jenkins", "The Jeannetta Arnette", "Hive Mind Amplifier 50", "The Scott Rogers", "The Damon Lindelof", "The Robin Atkin", "The Lynnanne Zager", "The Sharon Bell", "Earthquake Shelter 45", "The Patrick Bradford", "The Whispering King", "The Andrew Doan", "The Sophie Owens", "The Dustin Gomes", "The Arlene Newman", "The Michelle Ruff", "The Jordan Lawson", "The Nick Roth", "The Tony Wade", "Rule of Science", "The Processing Plant", "The Whole Of The Moon", "Postern of Fate", "The Adjustment Bureau", "Cup of Kindness", "The Faceless Hunter", "The Woman in Red", "Penchant for Logic", " Naval Intelligence Post 85", "Veteran of Onusorle", "Luminary of Lave", "Waiting for Sunrise", "Follower of Freeman", "Maxim of Rationality", "Penchant for Technology", "Rule of Order", "Rule of Logic", "Pupil of Babbage", "Veteran of Onusorle", "Pupil of Dalton", "Valrisian City", "Pupil of Schrodinger", "Rule of Mathematics", "Sanctity of Logic", "Veteran of Oreseren", "Veteran of Inbibe", "Follower of Oberth", "Sanctity of Science", "The Jules Verne", "Rule of Intellect", "Sanctity of Logic", "Rule of Robotics", "Follower of Dyson", "Follower of Freeman", "Luminary of Hope", "Follower of Freeman", "Luminary of Logic", "Pupil of Hubble", "Veteran of Rileaa", "Guns of the White Witch", "Penchant for Rationality", "The Ragged Astronaut", "Torment of a Broken Heart", "Blood of Olympus", "Veteran of Qutecete", "Penchant for Mathematics", "Sanctity of Academia", "Nothing to Gain", "On the Revolutionary Road", "Sentimental Journey", "Behold a Pale Horse", "Veteran of Logic", "Luminary of Mathematics", "Thirst for Love", "Follower of Blake", "Sanctity of Sentience", "Penchant for Sanity", "Pupil of Einstein", "Penchant for Reason", "Until I Find You", "Follower of Dyson", "The Citizen Kane", "Brotherhood of the Rose", "The David Williams", "The Virtual Odyssey", "The Aubrey Glover", "The Rebecca Hazlewood", "The Todd Bryant", "The Looking Glass War", "The Digital Poet", "The Amy Stewart", "The Digital Cat", "The Matt Esecson", "Empire of the Wolves", "The Jim Templar", "Howling in the Woods", "The Reluctant Traveller", "The Sanjay Madhav", "The Stephanie Conching", "The Ninth Gate", "The Evan Jennings", "The Jeff Kober", "Night of the Fox", "One or the Other of Us", "The Chad Donella", "Burden of Proof", "The Samm Levine", "The Melissa Barker", "The Walter Fowler", "The Simulated Poet", "The John Herkenrath", "The Troy Manandic", "Colour of Blood", "The Jack Bender", "The Adam Horowitz", "The Stephen Williams", "The Samantha Thomas", "The Patricia Churchill", "The Sarah Caplan", "The Leonard Dick", "The Drew Goddard", "The Melinda Taylor", "The Jesse Alexander", "The Jim Triplett", "The Jeff Pinkner", "The David Fury", "The Jennifer Johnson", "Month of the Leopard", "The Steven Maeda", "The Kaleen Yamase", "Code of Honor", "The Tamara Isaac", "The Amanda Lencioni", "The Blood of His Fathers ", "Virtual Reality", "The Christian Taylor", "The Craig Wright", "The Monica Owusu", "The Burning Candle", "The Alison Schapker", "The Michael Giacchino", "The John S. Bartley", "The Michael Bonvillain", "The Stephen Semel", "The Mark Goldman", "The Christopher Nelson", "Saucerful of Secrets",
// Galaxy 5 
"SynTec Consoles Ltd", "ComDirect Systems Plc", "Earthian Perfumes Inc", "Aphrodisiac Spices Ltd", "StellarCom Chronometers Plc", "ManOp Consoles Inc", "SimCom Systems Ltd", "SysCon Hailing Plc", "Earthian Ales Inc", "Edible Clones Ltd", "Asimov Positronics Plc", "WorldData Systems Inc", "MemnSomn Medical Ltd", "QuQorian Silica Plc", "FluxLocked Metals Inc", "Machanalian Wayfinders Ltd", "OwnDirt Recycling Plc", "RemLock Survival Inc", "PlasFibre Products Ltd", "AutoreMote Robotics Inc", "TetVal Stimulants Plc", "SynCognac Replicators Ltd", "Tadpole Computing Inc", "InterSpac Elements Plc", "FastJet Pods Inc", "Kruger Mining Ltd", "CorCom Trading Plc", "HiFlux Alloys Inc", "Arcturan Herbs Ltd", "ColtMaster Lasers Plc", "Earthquake Shelter 65", "TriAxial Maps Plc", "ShanaSkilk Furs Ltd", "AutoCom HyperRadios Inc", "Bladderlash Products Plc", "Hive Mind Nexus 95", "Durassion Ores Inc", "Mymurth Imports Plc", "ThruVis Cameras Inc", "Phlaschgyt Lasers Ltd", "Shadow of a Tear", "GalactoNav Computers Inc", "RoboCruise Autopilots Ltd", "Pathfinder Navigation Plc", "StarDreamer Devices Ltd", "Soylent Green Plc", "BattleBot Drones Inc", "Blue Steel Ltd", "Red Pivot Plc",  "Blood and Empire", "Orange Tear Ltd", "Yellow Chisel Plc", "Blue Neon Inc", "Violet Flax Ltd", "The Vega Corporation", "TailChaser Targeting Ltd", "ThruSpace Networks Plc", "MedStims Regenerations Inc", "WellMind Telepathy Ltd",  "RelaxaPad Interiors Plc", "FemBot Companions Ltd", "Sirius Cybernetics Inc", "HyperMax Blenders Plc", "GalPark Meters Ltd", "GrubTec Foods Inc", "The Vorachith Auditorium", "The Professor Quatermass", "Separation of Powers", "The Professor Moriarty", "Flash Point", "Puzzle of Flesh", "Son of None", "Lovell Starbase", "The Professor Challenger", "The Professor Howland", "Komarov Starbase", "Power and Empire", "Descent into Hell", "The Professor Fletcher", "Cromwell Starbase", "Land of the Living", "The Professor Farnsworth", "Back to the Moon", "Lincoln Starbase", "Blind Date", "Touch Not the Cat", "Lovell Starbase", "Hidden in Plain Sight", "Welcome to the Jungle", "The Professor Fabian", "Soft Focus", "Carolina Moon", "Debt of Honor", "Against All Enemies", "Day of the Cheetah", "Footprints of God", "Ice Station Six", "Armstrong Starbase", "Point of Contact", "Teeth of the Tiger", "Quest For The Crown", "Waiting for the Worms", "The Golden Gate", "Copernicus Starbase", "Wheel of Darkness", "Evil Under The Sun", "Born in Exile", "The Professor Fleming", "The Hunger Angel", "Wrath of the Gods", "Gagarin Starbase", "The Professor Fowler", "Lydon Starbase", "The Nether World", "The Professor Higgins", "The Professor Xavier", "Holdstock Starbase", "The Professor Ravelstein", "Under the Hill", "Sorrows of Satan", "Amstrad Starbase", "The Professor Pavlovich", "Romance of Two Worlds", "Vorachith Starbase", "The Professor Bushwick", "Scenes of Clerical Life", "Workers in the Dawn", "Under the Greenwood Tree", "Mask of Eternity", "Out of Joint", "The Mary Markey", "The Sarah Boyd", "The David Eisenberg", "The Lance Stubblefield", "The Robert Florio", "The Martin Nicholson", "The Chris Braun", "The Veronica Collins", "The Mandy Sherman", "The Margaret Doversola", "The Alyssa Weisberg", "The Zack Grobler", "The James H. Spencer", "The Jonathan A. Carlson", "Monkey Island", "The Carlos Barbosa", "The Stephen Storer", "The Mark Worthington", "The Tim Beach", "The Scott Meehan", "The Matthew C. Jacobs", "The Mimi Gramatky", "The Scott Cobb", "The Andrew Murdock", "The Luke Freeborn", "Gold in the Mountains", "The Christina Wilson", "The Domenic Silvestri", "The Rick Romer", "A Mind Forever Voyaging", "The Julieann Getman", "The Roland Sanchez", "The Billy Ray McKenna", "The Kathryn Morrison", "Dreams of Yesterday", "The Steve LaPorte", "The Doreen F. Schultz", "The Emily Katz", "The James Sartain", "The Kendal Shannon", "The Jeff Dawn", "The Nani Casillas", "The Janis Clark", "The Tania Kahale", "The Rita Troy", "The Susan Schuler", "The Karen Price", "The Lotus Sakai", "Honky Tonk Angel", "The Patricia Churchill", "The Amanda Lencioni", "The Mary Courtney", "The James E. Williams", "The Tamara Isaac", "The Jamie Vega", "The Last Farewell", "The Jean Higgins", "The Jack Philbrick", "Child of the Machine", "The Steve Cainas", "The Sebastian Roque", "The Wainani Young", "The Peter Schroer", "Lustre of Mimas", "Philosophy of Ariel", "The Reality Bug", "Dream of Nashira", "Man in the Moon", "Heart of the Sun", "Born of the Storm", "Rituals of Umbriel", "The Apothecary", "Sovereign of Nunki", "Half a Yellow Sun", "Congress of Elara", "Sovereign of Tethys", "The Fourth Protocol", "Philosophy of Libertas", "Dream of Diadem", "Politics of Saturn", "Between the Strokes of Night", "Sum of All Fears", "Rituals of Mercury", "Dream of Gemini", "Born Without Remorse", "Rituals of Castor", "Politics of Cebalrai", "The Faded Sun", "Philosophy of Lepus", "Romancing the Throne", "Sovereign of Cebalrai", "Dream of Phoebe", "Chain of Reasoning", "Brothers of Earth", "Lustre of Gemini", "Politics of Thebe", "To the Last Man", "Ashes of Victory", "Empire of Man", "Dream of Meleph", "Desert Serenade", "Rituals of Capella", "Philosophy of Tethys", "Dream of Komephoros", "Rituals of Terebeilum", "Sovereign of Libertas", "The Western Wind", "Hunter of Worlds", "Dream of Rhea", "Politics of Jupitor", "Sovereign of Acrab", "Last of the Immortals", "Lustre of Thalassa", "Sovereign of Orion", "Dream of Centaurus", "When Heaven Fell", "Rituals of Titan", "Lustre of Rasalas", "Philosophy of Gemini", "Axis of Time", "Dream of Avamar", "Philosophy of Neptune", "Daughter of the Moon Goddess", "Dream of Kerberos", "Rituals of Earth", "Clown in a Cornfield", "Dream of Sinope",
// Galaxy 6 
"UniTech Sidearms Ltd", "MapSmart Accelerators Ltd", "ProMaster Boosters Ltd", "MedSmart Processors Inc", "UniStim Accelerators Inc", "HexCom Blenders Ltd", "UniVault Inhibitors Plc", "HexMaster Stimulants Plc", "UniTech Stimulants Ltd", "HexVault Granaries Plc", "MedCom Granaries Ltd", "UniStim Medications Plc", "UniSmart Blenders Ltd", "JetMaster Medications Ltd", "MapVault Accelerators Plc", "MedCom Stimulants Plc", "HexSynth Workshops Ltd", "StowFlux Processors Ltd", "AutoVault Stimulants Plc", "ProCom Fertilisers Plc", "MapVault Blenders Ltd", "HexStim Accelerators Ltd", "NavSmart Analysis Ltd", "JetCom  Fertilisers Inc", "AutoStim Workshops Inc", "UniFlux Medications Plc", "StowTech Boosters Inc", "JetPulse Boosters Ltd", "HexSmart Fertilisers Plc", "JetFlux Stimulants Inc", "StowPulse Stimulants Inc", "Them and Us", "StowMaster Medications Inc", "StowCom Analysis Ltd", "MedVault Stimulants Ltd", "RemPulse Accelerators Ltd", "AutoSmart Processors Ltd", "UniSmart Boosters Plc", "NavMaster Machinery Ltd", "NavCom Processors Inc", "Breaking All the Rules", "StowStim Stimulants Plc", "RemStim Granaries Plc", "UniStim Granaries Inc", "UniVault Stimulants Inc", "MedCore Accelerators Ltd", "NavSmart Accelerators Plc", "ProSmart Inhibitors Plc", "JetSynth Machinery Ltd", "Dancing in the Ruins", "HexMaster Machinery Plc", "MapStim Machinery Plc", "JetTech Granaries Ltd", "MedStim Granaries Ltd", "Far From the Madding Crowd", "AutoTech Granaries Plc", "StowCom Boosters Plc", "JetFlux Granaries Ltd", "ProStim Inhibitors Ltd", "HexSmart Granaries Plc", "MapCore Machinery Ltd", "UniMaster Granaries Plc", "Let Them Eat Cake", "UniPulse Analysis Plc", "The Carla Bowen", "Son of the Dark", "Questionable Ethics", "Where Darkness Begins", "Gone Are the Days", "The Joyce McCarthy", "The Craig West", "Secrets in the Fire", "Cult of the Sun", "The Heather Anderson", "The Richard E. Gershman", "The Lottery", "Surface Tension", "The Allen DiGioia", "After the First Death", "Random Variable", "A Good Man Goes To War", "The Vernon Davidson", "Simple as Snow", "The Taylor Phillips", "Land Of The Lost", "Seal of Solomon", "The Sally Beisel", "The Michael Musteric", "The Steven E. Simon", "The Elephant of Surprise", "Day of the Pelican", "Empire of Bones", "The Amy Wilkins", "The Mark Anand", "The Jim Goldthwait", "The Matt Rebenkoff", "The Farthest Shore", "The Zach Hunt", "The Norman Kali", "The Conrad E. Palmisano", "Ectoplasmic Materials Ltd", "The Walter Fowler", "Gift of Magic", "The Fiery Heart", "The Neil A. Hogan", "The Derrick Kaupiko", "Flame in the Mist", "The God Box", "Flesh and Fire", "The Russell Maki", "Forged by Fire", "Lucy in the Sky", "Goddess of Yesterday", "In the Middle of the Night", "The Gary Nakano", "The James Van Houten", "Night of the Twister", "The Troy Arakaki", "Ombria in Shadow", "The Brian Costa", "The John Marano", "The Liloa Wong", "The Shanna Norton", "The Don Bracken", "The Robert Kyker", "The Michelle Coleman", "Sunrise Over Astolat", "The Darrell Tachibana", "Once and for All", "Pants on Fire", "Hero for Hire", "Rest of the Story", "Prisoner of Time", "Silent to the Bone", "Palatine Starbase", "A Riddle of Roses", "Sister of the Bride", "Waiting for the Rain", "Molchalin Starbase", "The Solarium", "Things Hoped For", "The Sanatorium", "Across the Seven Seas", "Ties that Break", "Stronger Than You Know", "The Planetarium", "Taste of Salt", "Maybe I Won't", "There Goes the Neighborhood", "Atlantida Starbase", "Things Not Seen", "Never Came Home", "Time to Remember", "Waiting for Normal", "Troubling a Star", "Not from Here", "Things That Are", "Web of Dreams", "The Sun Also Rises", "Trust Issues", "The Wandering Man", "Children of the Moon", "Two Steps from Heaven", "Crossing the River", "The Cosmodrome", "Book of Saladin", "The Winter Queen", "Four Days in June", "Liechtenstein Starbase", "Devil in Amber", "Maratratha Starbase", "Blanket of Darkness", "Column of Fire", "Day of the Scorpion", "Fanfare for a Witch", "The Tudor Rose", "Wake Up and Dream", "Mellat Starbase", "Knowledge of Angels", "Portrait of a Lady", "Way of the Lantern", "Beyond the Bright Sea", "Castle in the Forest", "Dragonfly in Amber", "Bride of Liberty", "Devil in a Forest", "Drums of Autumn", "Mellat Starbase", "Child of Spring", "Duty and Desire", "Day Must Dawn", "Burning Daylight", "Veil of Darkness", "Taste of Brilliance", "The Patricia Rose", "Eyes of the Emperor", "Taste of Ambiguity", "The Justin Fischer", "The Michael Crowe", "The Daron Smith", "Perfection of Faith", "Belly of the Dragon", "The John Steinbeck", "Season of Storms", "Glimpse of Foresight", "Taste of Ambiguity", "Measure of Objectivity", "Spectacle of Corruption", "Mirage of Objectivity", "Three Graves Deep", "Glimpse of Perfection", "Mirage of Immortality", "To a God Unknown", "Mirage of Invincibility", "Glimpse of Perfection", "Taste of Clarity", "The Tim Dingle", "The George Smiley", "Mirage of Brilliance", "Smouldering Fires", "The Shannon Mita", "Glimpse of Brilliance", "The Hugo Santiago", "The Sean Lyons", "Stairway to the Stars", "Glimpse of Brilliance", "Taste of Perfection", "The Michael Gilday", "Mirage of Objectivity", "Glimpse of Discovery", "Mirage of Ambiguity", "Hive Mind Antenna 45", "Taste of Objectivity", "Measure of Invincibility", "Under the Blood Red Sun", "Measure of Clarity", "The Kelly Westmiller", "Winter Wonderland", "Mirage of Perfection", "The Sara Chesney", "Measure of Ambiguity", "Mirage of Discovery", "The Karen Archibald", "The Chuck Askerneese", "Mirage of Brilliance", "The Nick Porreca", "Mirage of Perfection", "The Eddie Acuna", "Glimpse of Discovery", "The Dan Pemberton", "Taste of Objectivity", "Mirage of Ambiguity", "The Dave Trevino", "The Todd J. Robertson", "Storming Heaven", "Measure of Invincibility",
// Galaxy 7
"Walking Through Darkness", "The Ugly Truth", "Out of the Flames", "The Faustian Bargain", "Children of the Grail", "Shadow of Midnight", "The Robert M. Bouffard", "The Michael Mikita", "The Riley Jones", "Through a Dark Mist", "The Douglas T. Madison", "Fable for Another Time", "Last of the Just", "Blood Upon the Rose", "The Daniel Defoe", "Return of the Brute", "Child of a Dream", "Any Means Necessary", "Sleeping with the Fishes", "Dark of the Sun", "The Dianne Chadwick", "Swimming in the Dark", "The Peter C. Clarke", "Alone in the Universe", "The Florence Nightingale", "Close Encounter", "Marked by Fire", "The William Gideon", "Picture of Freedom", "The Brick Moon", "Time to Smell the Roses", "Out of the Dust", "The Johanne Mitchell", "The Gary A. Brewer", "The Chikako Suzuki", "The Mark Rodriguez", "The Mariano Fernandez", "The Glenn Hoofman", "The Naked Sun", "Into the Gauntlet", "Window of Time", "The Andrew Calma", "The Ross Anderson", "The Mike Carrillo", "The Kanoa Dahlin", "The Steve Guerino", "The Michael Kaahanui", "The Koave Kamauoha", "The Dave Manatad", "Cat Among the Pigeons", "The John Lennon", "The Noeau Nakai", "Lair of the White Worm", "Disco Queen", "Pattern of Roses", "The Great Glass Elevator", "The Brian Smith", "The Dean Wolcott", "The Wallace Wong", "No One Must Know", "The Duncan Crawford", "The Paul Sonski", "The Guy Belegaud", "The Clockwork Sparrow", "The Craig K. Lewis", "The World Next Door", "The Sean Hallock", "SolMax BackUp Ltd", "The Craig Hoffmann", "The GalMax Archive", "Outcast of Redwall", "In Too Deep", "Realm of the Mad God", "The Seeing Stone", "Swish of the Curtain", "On the Golden Lake", "The Galactic Library", "Girl at the Window", "The Ruling Passion", "Spoiled for Choice", "The Samuel Pactol", "Memory of Hope", "Witch of the West", "Guardian of the Spirit", "Dance of the Giants", "Valley of the Flame", "On the Far Side", "If the Gods Laugh", "In Strange Company", "Space Demon", "The Thirty Nine Steps", "Probability Wave", "The Tavern Knight", "Dreaming of Babylon", "The Amber Room", "Act of Providence", "Thrown to the Sky", "Ashes and Bones", "Danger in the Dark", "Gone for Good", "The Hiding Place", "Playing for the Ashes", "The Jacob Standley", "Edge of the Pit", "Sacred and Profane", "The Memory Archive", "Within the Walls of Madness", "The Croaking Raven", "Wolf in the Shadows", "The Matt Goldstein", "The Doug Anderson", "Dragon at the Party", "Adder on the Heath", "Bat in the Belfry", "Dancer on the Waves", "Daughter of Time", "Grounds for Suspicion", "Fire in the Thatch", "The Floating Admiral", "Glimpse of the Moon", "A Taste for Bones", "Just a Simulation", "House of the Arrow", "The Nine Tailors", "The Spanish Main", "My Bones Will Keep", "A Nice Cup of Tea", "House of the Seven Flies", "Splendour of Discovery", "Daughter of the Waves", "Wonder of Discovery", "Apex of Enlightenment", "Miracle of Trade", "Splendour of Enlightenment", "Strangers in the Night", "Elation of Wisdom", "Feather on the Wind", "Nothing But the Truth", "Marvel of Knowledge", "Proceed with Caution", "Proceed with Caution", "Say It with Flowers", "Epoch of Ascension", "Apex of Enlightenment", "Epoch of Engineering", "Splendour of Ascension", "Elation of Knowledge", "Marvel of Technology", "Epoch of Wisdom", "The Samuel L. Jackson", "Splendour of Engineering", "Miracle of Discovery", "The Shapes of Sleep", "Epoch of Enlightenment", "Rhapsody of Wisdom", "Splendour of Ascension", "Marvel of Discovery", "Moth Mincing Factory 25", "Elation of Enlightenment", "Splendour of Trade", "Elation of Wisdom", "Miracle of Knowledge", "Wonder of Discovery", "Apex of Technology", "Elation of Knowledge", "Wonder of Ascension", "Splendour of Trade", "Marvel of Technology", "Epoch of Transcendence", "Marvel of Trade", "Splendour of Ascension", "Wonder of Wisdom", "Elation of Wisdom", "Apex of Knowledge", "Wonder of Transcendence", "Miracle of Technology", "Elation of Knowledge", "Marvel of Technology", "Miracle of Ascension", "Apex of Discovery", "Rhapsody of Transcendence", "Wonder of Discovery", "Epoch of Wisdom", "Miracle of Transcendence", "Wonder of Discovery", "Splendour of Transcendence", "Shroud of Darkness", "Splendour of Technology", "Stranger in a Strange Land", "Marvel of Wisdom", "Heinz Poet Soup Cannery", "The Silas Carson", "Ambrose Incubation Plc", "The Ian Bell", "Man from the Past", "Becker Incubation Ltd", "Seldon Solicitors LLP", "Mist and Snow", "Vostok Starbase", "Cornell Investigations Inc", "Something Nasty in the Woodshed", "Komarov Starbase", "Third Party Risk", "Michell Incubation Plc", "Defence of the Realm", "The Mortuary", "Lovelace Starbase", "A Three Pipe Problem", "The Crematorium", "Howland Starbase", "Fletcher Solicitors LLP", "On the Line", "Krempe Incubation Plc", "The Woman in White", "Weight of the Evidence", " Hard Choices", "Lincoln Starbase", "Deserts of Digebiti", "Words for Sorrow", "Rahmon Incubation Ltd", "Venkman Starbase", "All the Colours of Darkness", "Children of the Revolution", "The Fossil Hunter", "Friend of the Devil", "In a Dry Season", "Sun Demon", "Antidote to Venom", "Rider of the Storm", "Sinclair Starbase", "Ravelstein Investigations Inc", "Patience of the Spider", "Deep in the Woods", "Aronnax Solicitors LLP", "Keating Starbase", "The Age of Doubt", "The Last Question ", "The Shape of Water", "Rounding the Mark", "Ondimba Incubation Plc", "Scent of the Night", "Hindenburg Starbase", "Voice of the Violin", "Wings of the Sphinx", "The Chalk Circle", "Secret of the Night", "Thorstein Starbase", "Guelleh Solicitors LLP", "The Inner Palace", "Frozen in Time", "Salvation of a Saint", "Copernicus Starbase", "Diary of a Pilgrimage", "Face of the Clam", "Good as Gold", "Service with a Smile",
// Galaxy 8  
"The Laugh Track", "Mostly Harmless", "The Holistic Detective Agency", "The Freelancer", "The Fifth Elephant", "Nothing But Blue Skies", "The Merchant", "Summer Moonshine", "Gentleman of Leisure", "Money in the Bank", "Standing Room Only", "The Lonely Credit", "The Glass Key", "Old Reliable", "Reaper Man", "Sober as a Judge", "The Manchurian Candidate", "All the King's Men", "Capable of Honor", "Promise of Joy", "The Courier", "Roads of Earth", "The Christopher Lee", "Into the Far Harbor", "The Round House", "Mackerel by Moonlight", "Preserve and Protect", "Unintended Consequences", "Moon Rat", "All That Remains", "On the Eve of Victory", "The Fourth Estate", "Attraction of Affinities", "Sleep of Reason", "The Cat Who Walked By Himself", "Book of the Dead", "The Old Manor House", "Cabin in the Wilderness", "The Division Bell", "Built for Trouble", "Scotch on the Rocks", "Always Outnumbered", "Time of Hope", "Shame the Devil", "The Bride and Groom", "Whispers of Betrayal", "Life of a Useless Man", "Sliver of Truth", "All the Beautiful Sinners", "Body of Evidence", "The Tarnished Eye", "Just One Look", "Plain Truth", "Room for Dessert", "Shadow in the Mirror", "Give Me the Gun and Say That", "Before the Fact", "Death and the Maiden", "Tracks in the Snow", "One of Those Things", "The Dark Remains", "Reputation for a Song", "Under a Monsoon Cloud", "Whisper in the Gloom", "The Christopher Stanback", "The Steve Badillo", "Queen of the Sun", "The Discarded Image", "Beyond the Digital Age", "The Philip Barnes", "The Mark Rasmussen", "The Warren Roberts", "The Secular Miracle", "The Geanina Vasilescu", "The Jeff Angelo", "The Delia Hauser", "The Cameron Matheson", "The Everett A. Galisa", "The Chris Buchinsky", "Touched by the Frost", "The John Herbert", "The Frank Morrone", "House on the Dune", "The Scott Weber", "The Maciek Malish", "The Tony Hugar", "The Cynthia Merrill", "The Thomas DeGorter", "The Walter Ledesma", "The Paula Fairfield", "Take Me to Your Dealer", "The Carla Murray", "The Robert J. Anderson", "Listening Post 115", "Into the Wardrobe", "The Hugh Murphy", "The Matthew Pavolaitis", "Snow and Ashes", "Leaf in Amber", "Over the Wine Dark Sea", "The Klair Ethridge", "The Marc Glassman", "The Michael C. Moore", "The Doug Reed", "The Peter Bergren", "The Adam DeCoster", "The Desert God", "The Lyndsey Schenk", "The Larry Hopkins", "The Richard Lightstone", "The Dick Hansen", "Listening Post 85", "The Michael J. White", "The Ken Strain", "The Paul Menichini", "Fire from Heaven", "The Joseph Schultz", "The David Pattee", "Last of the Amazons", "The Catherine Flynn", "The Christopher B. Reeves", "Tides of War", "Journey Through the Impossible", "The Esther Chae", "The Troy Allen", "The Patrick Cabral", "The Gabrielle Reeves", "The Joe Michalski", "Secret of the Blue Water", "Mysticism of Hiraoka", "Romance of Atlantis", "Pyramid of Meretrida", "Mysticism of Mainani", "Seraphim of Carener", "Wealth of Carlota", "Seraphim of Pomeche", "Treasure of Kopernik", "Wealth of Timbalderis", "Periapt of Kamadhenu", "Grail of Kushen", "Story of the Amulet", "Wealth of Hephaestus", "Seraphim of Mombaluma", "Wealth of Limapa", "Grail of Garuda", "Sceptre of Deriso", "Mysticism of Hachisuka", "Plutarch of Lembava", "Sceptre of Carlota", "Treasure of Zelano", "Sceptre of Aspero", "Plutarch of Meretrida", "Grail of Rodentia", "Treasure of Liaedin", "Sceptre of Brahma", "Treasure of Carnoeck", "Pyramid of Potriti", "Seraphim of Deciat", "Grail of Asterope", "Mysticism of Mulachi", "Pyramid of Liaedin", "The Seven Light Year Itch", "Periapt of Centralis", "Grail of Tollan", "Pyramid of Pomeche", "In the Forests of the Night", "Wealth of Marduk", "Seraphim of Carener", "Sceptre of Gushiken", "Mysticism of Naunei", "Plutarch of Piscium", "Grail of Asterope", "Wealth of Tollan", "Seraphim of Carener", "Mysticism of Carlota", "Sceptre of Nornari", "Mysticism of Hamasaki", "Sceptre of Mombaluma", "Wealth of Hanabusa", "Grail of Berenices", "Mysticism of Limapa", "Seraphim of Rodentia", "Plutarch of Thrutis", "Treasure of Pleiades", "Grail of Thrutis", "Treasure of Carlota", "Pyramid of Rodentia", "Grail of Wolfberg", "Mysticism of Astrum", "Plutarch of Hamasaki", "Grail of Hambula", "Treasure of Lembava", "Rossum Junkyard", "Godwin Platform", "Patterson Hangar", "Kataoka High", "Okamoto Junkyard", "McDaniel High", "Shuttleworth Boneyard", "Godwin Boneyard", "Jenner Junkyard", "Karlsefni Hangar", "Kessel Docks", "Levinson Boneyard", "Columbus Junkyard", "Nakamura Junkyard", "Rossum Platform", "Jameson Hangar", "Shuttleworth Junkyard", "McNair Platform", "Darboux Hangar", "Garan High", "Karlsefni Platform", "Ikeda Junkyard", "Katayama Hangar", "Darkes High", "Sakurai Boneyard", "Lerman Hangar", "Sanger Boneyard", "Tepper High", "Metcalf Platform", "Heaven and Earth", "Mastracchio Hangar", "Gorbachev Platform", "Santos Boneyard", "Thiele Hangar", "Garan Docks", "Kataoka Hangar", "Steiner Hangar", "Griffiths Hangar", "Stafford Boneyard", "Field of Honor", "Bentham Boneyard", "Vesalius High", "Garratt Boneyard", "Hurston Boneyard", "Imamura Boneyard", "Darkes Junkyard", "Malchiodi Docks", "Crampton Hangar", "Griffiths High", "Cartier High", "Powell Docks", "Lincoln High", "Nakamura Platform", "Gorbachev Docks", "Khrenov Hangar", "Crampton Junkyard", "Kawasaki Boneyard", "Patterson High", "Bentham City", "Needham Hangar", "Thurston Boneyard", "Malchiodi Hangar", "Garratt Junkyard", "Schneider Platform",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"The Fuma Kotaro"];

//  Name Array for the Research Stations (Number of Names in Array: 2,048)
//  This uses the Large Pool Method - See Readme for Details.
this.sciencepool = [
// Galaxy 1 (Rolled as 4 Rolls of 64)
"Kaltimtara Junkyard", "Tohoku Hangar", "Karnataka Hangar", "Atlantida Hangar", "Chaban Platform", "Bradesco Docks", "Comical Tragedy", "Promerica Platform", "Where the Giants Sleep", "Vorona Boneyard", "Mareschal Junkyard", "Desert Storm", "The Diogenes Club", "Kempen Hangar", "Bahrain Boneyard", "Parana Junkyard", "Comoros Boneyard", "Zhabin Junkyard", "Bahrain Boneyard", "Lombard Boneyard", "Basilisk City", "Vorona Hangar", "Komeroni Junkyard", "Faulcon de Lacy Laboratories", "Hapoalim High", "Karnataka High", "Ganadero High", "Promerica Platform", "Bancaribe Docks", "Mauritius Docks", "Volkov Hangar", "Piraeus Platform", "Meknikov Boneyard", "Bradesco Hangar", "Chaban Hangar", "Kempen Hangar", "Pasternak High", "Tohoku High", "Resona Platform", "Lumbini Platform", "Falabella Hangar", "Grameen Platform", "Fukushima Docks", "Aliado Junkyard", "Libanais High", "Piraeus Hangar", "Mauritanie Hangar", "Trail of the Wolf", "Chaban Docks", "Raiffeisen Platform", "Falabella Platform", "Lebonah Platform", "Karafarin Docks", "Starward Rogue", "Liechtenstein Hangar", "Shooting Star", "Descuento Junkyard", "Fukushima High", "Borodin Platform", "Maratratha Junkyard", "Keppel Platform", "Atlantida Hangar", "Murder on the Dancefloor", "Lombard Platform", "SynTec Consoles Ltd", "ComDirect Systems Plc", "The Unseen University", "Aphrodisiac Spices Ltd", "StellarCom Chronometers Plc", "ManOp Consoles Inc", "SimCom Systems Ltd", "SysCon Hailing Plc", "Earthian Ales Inc", "Edible Clones Ltd", "Asimov Positronics Plc", "WorldData Systems Inc", "MemnSomn Medical Ltd", "QuQorian Silica Plc", "FluxLocked Metals Inc", "Machanalian Wayfinders Ltd", "OwnDirt Recycling Plc", "RemLock Survival Inc", "Firebird Rising", "AutoreMote Robotics Inc", "TetVal Stimulants Plc", "SynCognac Replicators Ltd", "Tadpole Computing Inc", "InterSpac Elements Plc", "FastJet Pods Inc", "Kruger Mining Ltd", "CorCom Trading Plc", "HiFlux Alloys Inc", "Arcturan Herbs Ltd", "ColtMaster Lasers Plc", "HoloFac Messaging Inc", "TriAxial Maps Plc", "ShanaSkilk Furs Ltd", "AutoCom HyperRadios Inc", "Bladderlash Products Plc", "City of Rapture", "Durassion Ores Inc", "Mymurth Imports Plc", "ThruVis Cameras Inc", "Phlaschgyt Lasers Ltd", "The Ian Botham", "GalactoNav Computers Inc", "RoboCruise Autopilots Ltd", "Pathfinder Navigation Plc", "StarDreamer Devices Ltd", "Soylent Green Plc", "BattleBot Drones Inc", "Blue Steel Ltd", "Red Pivot Plc",  "Green Spark Inc", "Charm Offensive", "Yellow Chisel Plc", "Blue Neon Inc", "Violet Flax Ltd", "The Vega Corporation", "Emperor of Dust", "ThruSpace Networks Plc", "MedStims Regenerations Inc", "WellMind Telepathy Ltd",  "RelaxaPad Interiors Plc", "FemBot Companions Ltd", "Sirius Cybernetics Inc", "HyperMax Blenders Plc", "GalPark Meters Ltd", "GrubTec Foods Inc", "The Andromeda Strain", "The Taranis Transmuter", "The Caducei Telescope", "The Wolfwood Miniaturiser", "The Feynman Collider", "The Saud Collider", "The Gerege Transmuter", "The Frontier Collider", "The Raddlett Miniaturiser", "The Astrobe Accelerator", "The Pritney Miniaturiser", "The Feynman Accelerator", "The Paynou Collider", "The Salem Collider", "Prayers for Rain", "The Beerbaum Accelerator", "The Astrobe Accelerator", "The Whatt Incubator", "The Seldar Miniaturiser", "Force of Freedom", "The Dinamec Incubator", "The Petterson Transmuter", "The Aquarian Telescope", "SETI Scanner 25", "The Ingram Miniaturiser", "The Tyley Miniaturiser", "The Ayton Collider", "The Wildeblood Incubator", "The Raddlett Miniaturiser", "The Commodore Rabeen", "The Pavel Chekov", "The Saud Incubator", "The Whatt Collider", "The Rackham Incubator", "The Bream Accelerator", "The Mosser Accelerator", "The Wildeblood Miniaturiser", "Distant Star", "The Outworld Miniaturiser", "The Ramon Collider", "The Berner Incubator", "Cold Fire", "The Glorious Revolution", "The Faber Collider", "The Brain of Morbius", "The Zorgon Miniaturiser", "The McLane Collider", "State of Grace", "The Koneko Transmuter", "The Odin Miniaturiser", "The Ferman Telescope", "The Lament Configuration", "The Blackjack Accelerator", "The Trenton Seismometer", "The Prosset Collider", "The Irrikan Collider", "The Wildeblood Transmuter", "The Acornsoft Transmuter", "The Prosset Accelerator", "The Starblaze Collider", "The Ramon Transmuter", "The Whatt Telescope", "The Paynou Miniaturiser", "The Astrobe Telescope", "Ballet of Virtue", "Chronical of Chivalry", "Tears for the Dead", "Scarab of Virtue", "Chronical of Devotion", "Halo of Insight", "The Philadelphia Experiment", "Phylactery of Esteem", "Circlet of Fealty", "Halo of Impartiality", "Ballet of Gallantry", "Plateau of Esteem", "Ballet of Fealty", "Plateau of Esteem", "Halo of Emancipation", "Circlet of Chivalry", "Plateau of Insight", "Phylactery of Gallantry", "Ballet of Virtue", "Phylactery of Chivalry", "Crimes of the Future", "Scarab of Gallantry", "Appeal To Reason", "Scarab of Virtue", "Beyond the Time Barrier", "The Lab Rat", "Halo of Chivalry", "Krakatoa Monitoring Station", "The Sean Connery", "Circlet of Virtue", "Halo of Chivalry", "Circlet of Stoicism", "Sleeper of Ravermos", "Somewhere in Time", "Circlet of Gallantry", "The Humphrey Bogart", "Anvil of the People", "The Nikola Tesla", "Hive Mind Amplifier 03", "Circus of Value", "Plateau of Esteem", "Circlet of Insight", "Father of Serpents", "Circlet of Absolution", "Phylactery of Insight", "Chronical of Gallantry", "Plateau of Chivalry", "Halo of Devotion", "Plateau of Esteem", "Scarab of Fealty", "Circlet of Insight", "Enchantment of Gallantry", "Phylactery of Insight", "Circlet of Chivalry", "Enchantment of Insight", "Chronical of Chivalry", "Halo of Redemption", "Chronical of Fealty", "Circlet of Gallantry", "Phylactery of Stoicism", "Plateau of Chivalry", "Enchantment of Emancipation", "Ballet of Fealty", "Phylactery of Insight",
// Galaxy 2 (Rolled as 4 Rolls of 64)
"Village in the Treetops", "The Sunken World", "Along Came a Spider", "Dwellers in the Mirage", "Face in the Abyss", "Voyage of Discovery", "Carnival of Souls", "Back to the Stone Age", "Starlight and Shadows", "Centralis Keep", "The Armory", "Child of the Hunt", "The Aquarium", "Wisdom of War", "The Vivarium", "Keep Me in Mind", "Desert Raider", "Close to the Ground", "The Astrodome", "Stranger to the Sun", "Agent of Discord", "The Armory", "Over Your Dead Body", "The Menagerie", "Beneath the Moors", "The Ionics Complex", "Lurker at the Threshold", "The Seven Crows", "The Solitary Man", "The Longest Night", "The Thirteen Hallows", "The Stone Dog", "Knight of the Word", "Silver on the Tree", "The Summer Knight", "Song to the Siren", "Feast of Fools", "A Small Favor", "The Twelve Goddesses", "Secret of the Runes", "The Videodrome", "Pravda Download Link 15", "From the Underworld", "Beyond the Edge of Time", "Soldier of the Mist", "King of Dreams", "The Seventh Scroll", "Sands of Oblivion", "Versailles of the Dead", "Captain of the Guard", "Lament of Innocence", "Spirit of Excalibur", "Dusk of the Gods", "Castle of the Winds", "Dream of Eagles", "The Lantern Bearer", "Wrath of the Iceni", "The Singing Sword", "Eagle of the Ninth", "The Pandorica", "Under the Eagle", "Empire of the Sun", "Mark of the Horse Lord", "The Silver Branch", "Browning Bioweapons Ltd", "Lansen Disrupters Plc", "Solitare Torpedoes Inc", "Warlord Bioweapons Ltd", "Cerulean Disrupters Inc", "Beretta Railguns Plc", "Antelope Railguns Inc", "Bronco Disrupters Ltd", "Lobaev Disintegrators Plc", "Lockheed Bioweapons Inc", "The Sun Never Sets", "Bulldog Disintegrators Plc", "Warhawk Lasers Inc", "Tokarev Droids Ltd", "Blowpipe Mechanoids Plc", "Whirlwind Armaments Ltd", "Warlord Blasters Inc", "Claymore Disrupters Plc", "Chessmaster Blasters Ltd", "Cerulean Neurotoxins Inc", "Pearl of Wisdom", "Brimstone Pistols Ltd", "Versicorps Neurotoxins Inc", "Nimrod Armaments Plc", "Hemlock Ballistics Inc", "Beretta Landmines Ltd", "Stinger Neurotoxins Inc", "Sauer Armaments Plc", "Lockheed Sidearms Inc", "Firebrand Sonics Ltd", "Warlord Landmines Inc", "Disturbing the Peace", "Lobaev Railguns Inc", "Henschel Mechanoids Ltd", "Spirit of Fire", "Cycle of Violence", "Cerulean Landmines Inc", "Monster in the Closet", "Hudson Blasters Plc", "Hawker Mechanoids Inc", "Falchion Droids Ltd", "Lockheed Railguns Plc", "Warlord Neurotoxins Inc", "Decline of an Empire", "Aardvark Sidearms Plc", "Beretta Lasers Inc", "Doomsday Disintegrators Ltd", "Piranha Lasers Plc", "Ruger Railguns Inc", "Makarov Sonics Plc", "Starfire Sonics Ltd", "Lockheed Landmines Plc", "Sauer Droids Inc", "Ruger Railguns Ltd", "Use of Force", "Tololoche Blasters Inc", "Solitare Disrupters Ltd", "Nova Bioweapons Inc", "Kawanishi Sidearms Plc", "Falchion Disintegrators Ltd", "Stinger Pistols Inc", "Stinger Landmines Plc", "Dassault Mechanoids Ltd", "Flaming Dragon", "House of Odin", "Time of Judgement", "The Sheriff", "Sign of the Pagan", "The Mayor of Trantor", "Time of Contemplation", "Time of the Raven", "Firefight at Arcadia", "Image of Lovelace", "Firefight at Tombstone", "Night of the Dead", "Day of Reckoning", "Image of Ashoria", "The Silver Chalice", "Night of Reckoning", "Sword of the Empire", "Silence of the Night", "Eye in the Sky", "Time of the Dead", "Night of the Demon", "Day of Reckoning", "Way of Lovelace", "Journey to Damascus", "Day of Fenris", "House of Turing", "Day of Contemplation", "Night of the Demon", "House of Atlas", "Last Days of Pompeii", "Way of Lovelace", "A Far Off Place", "Way of Poseidon", "Image of Holdstock", "When the Eagle Hunts", "Holiday in the Wild", "The Regulator", "House of Archimedes", "Time of Contemplation", "Time of the Demon", "The Graham Greene", "Day of the Demon", "Firefight at Arcadia", "Day of the Jackel", "Night of Fenris", "The Little Prince", "The Regulator", "Firefight at Bandera", "Beneath the Desert", "The Laurel Goodwin", "Between Love and Hate", "Night of the Dead", "House of Lovelace", "Day of the Dove", "Way of Poseidon", "Way of Beowulf", "Dodge City", "Day of Reckoning", "Touch of the Sun", "The Flying Doctor", "The Russia House", "Way of Theseus", "Desire and Uncertainty", "Jaws of Victory", "The Anne Frank", "Imperfect Journey", "The Armchair General", "The Sun Dragon", "State of Denial", "Born into Struggle", "The Philosopher", "Of Gods and Men", "Perfect Timing", "Cry of Reason", "Journey into Day", "More than Just a Game", "Voice of Change", "Taken for a Ride", "Game for Vultures", "The Blushing Bride", "Drums of the Desert", "Crucible of War", "Love in the Wilderness", "Far from Men", "Helen of Troy", "The Belly Dancer", "Blessed are the Meek", "Ice Cold Logic", "Embers at the End", "Call of the East", "Down Through the Ages", "Fire of Fate", "Inside the Line", "The Theorist", "Princess of the Nile", "The Reasoner", "Shadow of Illusion", "Under the Crescent", "Lion of the Desert", "The Way Ahead", "All the Money in the World", "Search for the Nile", "The Roger Holloway", "Dreams of Sparrows", "The Great River", "Return to Pride Rock", "The Logician", "The Laurel Wreath", "Duel of the Titans", "Architect of Fate", "The Black Forest", "Birth of an Empire", "Eye of Medusa", "The Tragedy of Man", "Conquest of Paradise", "The Arabian Knight", "Gold and Glory", "The James Gilliam", "The Crouching Beast", "Heart of Jade", "Edge of History", "Across the Desert", "Fury of a Patient Man", "Kingdom of Fire", "Enchantress of Florence", "Journey into Space", "Search for Eden", "Book of the Named", "The Eternal Lover",
// Galaxy 3 (Rolled as 4 Rolls of 64)  
"Ivory and Bone", "The Gordon Freeman", "The Crusher", "The Lost Road", "End of the Third Age", "The Sequencer", "Mists of Dawn", "The Tom Bombadil", "Return of the Shadow", "The Extractor", "The Blender", "Journey to Mordor", "Shadow of the Tower", "Fall of Numenor", "The Gantlet", "Book of Lost Tales", "The Hollow Crown", "The Capacitor", "By the Sword Divided", "Harp in the South", "War of the Ring", "At the End of Time", "In a Land of Plenty", "The Rat Patrol", "Bottled Passion", "The Condenser", "River of Wine", "The Fair Maid", "Sonata of Silence", "Half a Lifetime", "Flesh and Spirit", "Name of the People", "Leaf in the Storm", "Divine Folly", "Flowers in the Sand", "Naval Intelligence Post 15", "House of Glass", "Times Like These", "News from the Empire", "The Armoured Saint", "Conscience of the King", "Bad Day at Blackrock", "The Whimsical Lover", "Dangerous Pursuits", "The Iron Druid", "When the Apricots Bloom", "The Forever King", "Bones of Avalon", "Child of the Northern Spring", "The Coming of the King", "Aiding and Abetting", "Queen of Dragons", "The Buried Giant", "Legend in Autumn", "The Quantum Rose", "Over Sea and Under Stone", "Queen of Camelot", "The Last Arrow", "Council of Giants", "Angel of Oblivion", "The Underhalls", "Upon a White Horse", "The Camomile Lawn", "Eater of the Dead", "Murmur of Empathy", "Voice of Clemency", "Scintilla of Subtlety", "The Processing Vats", "Scintilla of Optimism", "Comedy of Justice", "The Containment Vats", "Splinter of Finesse", "Scintilla of Delicacy", "Voice of Scepticism", "Brighter than a Thousand Suns", "Voice of Cynicism", "The Hidden Pit", "Calm of Evening", "The Cloning Tanks", "Fact of Life", "Vault 13", "Splinter of Clemency", "Shard of Compassion", "Band of Brothers", "The Processing Tanks", "Voice of Delicacy", "Murmur of Clemency", "Myth of the East", "Spirit in the Cage", "Aesthetics of Resistance", "The Passionate Heart", "Balcony in the Forest", "Gift of Rain", "The Incubation Tank", "Skeleton at the Feast", "The Spawning Vat", "The Resurrection Facility", "Fair Stood the Wind", "Splinter of Delicacy", "The Containment Pit", "Children of the King", "The White Pearl", "Face of a Hero", "Garden of Evening", "No Less Than Victory", "The Cloning Vats", "Scintilla of Finesse", "The Processing Tank", "Splinter of Raxxla", "Voice of Cynicism", "Salt to the Sea", "Under the Burning Mountain", "Murmur of Finesse", "Splinter of Clemency", "Troubled Sleep", "Without Seeing the Dawn", "A Vision of Battlements", "On the Winds of War", "Vault 76", "Voice of Humanity", "Lost in a Good Book", "Voice of Raxxla", "Splinter of Authority", "Voice of Delicacy", "Shard of Delicacy", "Vault 101", "Hitting the Big Time", "Splinter of Raxxla", "BioPet Companions Inc", "Exotic Ordinance", "Nightmare Fuel", "The Last Option", "BugFun Proteins Inc", "Descent into Darkness", "The Paper Crane", "How Few Remain", "The Winds of Wrath", "March of the Penguins", "River of Bones", "The Galileo Galilei", "GenCom Sentients Inc", "BioRay Sentients Plc", "SolRay Solvents Ltd", "BioFax Escorts Plc", "BugRex Liquidations Ltd", "The Sean Rush", "The Mentor", "The Kenneth Gilbert", "MemoRex Proteins Ltd", "The Abacus", "Naked Among Wolves", "ChemRay Companions Plc", "OmniRay Companions Inc", "BugFun Proteins Inc", "BioPet Proteins Inc", "BioLab Proteins Inc", "The Paul Perret", "The Mark C. Grech", "Holbein the Younger", "BioLab Creations Inc", "GalMine Headquarters", "The David Barbee", "The Dennis Fuller", "BioLab Liquidations Inc", "The Thomas A. Harris", "The Jonathan Fallon", "ChemRay Liquidations Ltd", "SolTron Escorts Ltd", "BugLab Eliminations Plc", "SETI Headquarters", "DinoRex Companions Ltd", "The Phil Hadaway", "The Thai Theerathada", "Hopfer the Elder", "OmniRex Companions Inc", "SolRay Proteins Plc", "MemoTron Liquidations Inc", "SolLab Eliminations Ltd", "SolPet Creations Plc", "The Bronze Colossus", "Devil in the Grove", "The Terry O'Bright", "BugRex Companions Inc", "GalTec Escorts Ltd", "The Looming Tower", "The Alan Turing", "The Mark DeSimone", "End of the Myth", "BugTron Sentients Inc", "BugRay Companions Plc", "BioPet Sanitation Plc", "OmniCom Escorts Plc", "Fire in the Lake", "The Leishman Encoder", "No Place on Earth", "Miracle on Ice", "The Silver Dollar", "Chatter Box", "Under the Radar", "Short Squeeze", "Bull Run", "The Black Rabbit", "Beneath Suspicion", "Written in Stone", "Stocks and Shares", "The Octopus Emperor", "Walking on Air", "A Wizard Did It", "Easy on the Eye", "Fixed Income", "The Hungry Caterpillar", "Long Term Thinking", "Index Fund", "The Prodigal Prince", "Pillow Talk", "Art of the Machine", "Cruel Destiny", "Fury from the Sea", "Fortress of Wisdom", "Heavy is the Head", "The Gutted Lamb", "War Wizard", "The Randomiser", "Tilting the Balance", "Orphan of the Fens", "Blood from a Stone", "To Serve the Dark", "Bleeding the Leech", "Twists and Turns", "Where the Stone Falls", "Let Them Eat Ashes", "Of Blood and Bonds", "The John Locke", "Lost Glory", "Clues and Riddles", "The Stolen King", "On Borrowed Time", "The Can of Worms", "Adorning the Adorned", "The Hunting Grounds", "Of Blood and Gods", "Where Legends Are Born", "To Serve the Light", "A Little Problem", "Breaking the Order", "Forging a Bond", "Mistress of the Iron Wood", "The Lost Cauldron", "Sherborne Castle", "Gift from the Past", "A Feast to Remember", "The Price of Wisdom", "Hunter of Beasts", "The Autumn Leaf", "Man on the Edge", "Hunt for Honor",
// Galaxy 4 (Rolled as 4 Rolls of 64) 
"Mauser Droids Ltd", "Hemlock Neurotoxins Plc", "Doomsday Armaments Inc", "Chessmaster Railguns Ltd", "Ravenskull Sidearms Plc", "Hornet Mechanoids Inc", "Lancer Blasters Plc", "Firestreak Sonics Ltd", "Lansen Disintegrators Inc", "Vickers Landmines Plc", "Firestreak Torpedoes Ltd", "Hornet Landmines Inc", "Rafael Blasters Plc", "Kalashnikov Sonics Ltd", "Sandia Neurotoxins Inc", "Tiger Ballistics Plc", "Hellfire Disintegrators Ltd", "Maxim Bioweapons Inc", "Nimrod Sonics Plc", "Vickers Ballistics Ltd", "Lockheed Lasers Inc", "Solitare Blasters Plc", "Colt Mechanoids Ltd", "Lancer Disrupters Inc", "Hellfire Armaments Plc", "Claymore Blasters Ltd", "Novator Blasters Inc", "Albatros Mechanoids Plc", "Lockheed Sonics Ltd", "Caudron Droids Inc", "Pancor Droids Plc", "Firebrand Pistols Ltd", "Aardvark Ballistics Plc", "Remington Sidearms Inc", "Claymore Railguns Ltd", "Stinger Mechanoids Plc", "Vickers Pistols Inc", "Hornet Disintegrators Ltd", "Sister of the Axe", "Tigershark Ballistics Ltd", "Solitare Torpedoes Inc", "Kawanishi Blasters Plc", "Glock Sidearms Ltd", "Rockwell Sidearms Inc", "Gatling Railguns Ltd", "Lancer Railguns Inc", "Glock Disrupters Plc", "Whirlwind Ballistics Ltd", "Ravenskull Ballistics Inc", "Tokarev Bioweapons Plc", "Maxim Droids Inc", "Henschel Bioweapons Ltd", "Hawker Disrupters Plc", "Sandia Ballistics Inc", "Lockheed Disintegrators Plc", "Vanguard Sonics Ltd", "Brother of God", "Lobaev Sonics Ltd", "Walther Droids Plc", "Hawker Disrupters Inc", "Fairchild Blasters Ltd", "Hawker Pistols Plc", "Makarov Lasers Inc", "Snark Droids Ltd", "AutoMaster Analysis Ltd", "UniCom Machinery Plc", "HexVault Inhibitors Plc", "MapSynth Machinery Ltd", "JetStim Processors Inc", "The Old Guard", "Noise of Men", "UniSmart Machinery Plc", "StowCore Analysis Plc", "UniCore Granaries Plc", "RemCore Inhibitors Inc", "StowTech Granaries Ltd", "RemSmart Analysis Plc", "ProSynth Blenders Inc", "MapTech Workshops Plc", "UniPulse Inhibitors Plc", "JetPulse Analysis Ltd", "NavTech Blenders Ltd", "HexSmart Accelerators Inc", "MedMaster Granaries Plc", "RemMaster Stimulants Ltd", "RemSmart Medications Plc", "HexFlux Machinery Inc", "JetSynth Accelerators Ltd", "MapVault Analysis Inc", "NavCore Boosters Plc", "ProFlux Accelerators Plc", "JetTech Machinery Plc", "ProPulse Accelerators Ltd", "AutoPulse Machinery Inc", "UniStim Processors Inc", "ProCore Machinery Inc", "MapStim Fertilisers Plc", "NavVault Boosters Ltd", "RemSmart Processors Inc", "RemFlux Stimulants Ltd", "RemCore Machinery Inc", "UniSmart Inhibitors Plc", "ProSmart Processors Plc", "UniFlux Accelerators Ltd", "HexPulse Inhibitors Inc", "ProFlux Fertilisers Ltd", "HexPulse Accelerators Inc", "StowSynth Analysis Ltd", "ProMaster Machinery Inc", "MedFlux Stimulants Ltd", "Army Ant", "RemSynth Medications Plc", "JetSmart Inhibitors Inc", "UniFlux Accelerators Plc", "RemTech Granaries Plc", "RemVault Granaries Inc", "MapSynth Inhibitors Inc", "JetMaster Accelerators Plc", "ProCom Stimulants Inc", "NavTech Accelerators Ltd", "StowVault Medications Plc", "MapTech Stimulants Plc", "ProPulse Fertilisers Inc", "ProMaster Stimulants Inc", "RemStim Blenders Ltd", "MapCore Blenders Ltd", "MedCom Fertilisers Plc", "NavMaster Blenders Inc", "The Incubator", "The Miniaturiser", "The Devout Troll", "Blood of Life", "The Wayward Prince", "Permission to Weep", "The Transmuter", "Odour at the Tithe", "Red in Tooth and Claw", "Madness of the Stones", "The Pig of Prophecy", "The Farewell Meow", "Little Victories", "Prayer for Vengeance", "Warmth of Winter", "Sunken Hope", "Crushed Dreams", "Battle Born", "Noble Heart", "Valhalla Bound", "Deceit Harmony and Pleasure", "Flight of Fancy", "Order of the Ancients", "Important Choices", "A Show of Character", "Gathering Strength", "Foothold in Reality", "Rhapsody In Red", "Once Upon a Time", "Into the Fog", "The Northern Reach", "Courting the Kings", "Mask of Diplomacy", "The Wages of War", "Cost of Betrayal", "Sweetening the Pot", "Dyed in the Wool", "The Ivory Post", "Trouble Brewing", "Strangers Bearing Gifts", "Rot in the Slums", "Majesty in the Dark", "The Missing Queen", "Sister of Sorrow", "Honor and Enemies", "Fire from Heaven", "Madness of Kings", "Hidden Justice", "Fire and Faith", "Restless Dreams", "Gift for the Gods", "Cold Embers", "Blazing a Trail", "Raw Materials", "Of Visions and Visionaries", "Beware the Snakes", "Prescription for Discovery", "Rising from the Ashes", "Paint it Red", "The Firefly", "Image of Faith", "The Cultist King", "Fires Of Revolution", "Wrath of the Amazons", "Redemption of Man", "Ballet of Insight", "Fealty of Honour", "Virtue of Necessity", "The Horsemen Cometh", "Halo of Redemption", "Chronical of Insight", "Shadow of Legend", "Scarab of Redemption", "Hunting the Huntsman", "Ballet of Emancipation", "Halo of Gallantry", "The Last Call", "Protector of Persia", "Scarab of Fealty", "Halo of Redemption", "Chasing the Storm", "Chronical of Stoicism", "The Simple Life", "Chronical of Impartiality", "Scarab of Chivalry", "Against the Dark", "A Flight in Fire", "Chronical of Absolution", "The Last Magi", "Circlet of Absolution", "Ballet of Gallantry", "Scarab of Fealty", "The Ernest Rutherford", "Smoke and Fury", "Legacy of the First Blade", "Scarab of Devotion", "The Isu Beckon", "Halo of Devotion", "A Lover and A Fighter", "Dominance is Bliss", "Wisdom of the Ancients", "Scarab of Devotion", "Chronical of Virtue", "Circlet of Gallantry", "Fire Amid the Water", "Absolution of Error", "The Birds and the Bees", "Fate of Atlantis", "Ballet of Impartiality", "The Hidden Room", "Circlet of Esteem", "Look Behind You", "Behind the Curve", "Path to War", "Circlet of Absolution", "Make It Your Own", "Golden Boy", "The Unexpected Visitor", "Enchantment of Light", "You Work for Me Now", "The Marlon Brando", "Chronical of Stoicism", "Ballet of Devotion", "Answers from Ashes", "Chronical of Virtue", "Meet Your Maker", "Practice What You Preach", "Patching the Leak",
// Galaxy 5 (Rolled as 4 Rolls of 64)  
"Songs from the River", "Follow the Credits", "The Burdens We Carry", "Lost Happiness", "New Kid in Town", "Tax Master", "The Old Library", "The Condenser", "The Menagerie", "The Underhalls", "The Extractor", "A Dream of Ashes", "Odor Most Foul", "The False Oracle", "Rites of Anubis", "When Night Falls", "Demon in the Desert", "Predator and Prey", "Halo of the Huntress", "Shadows of Apollo", "Lure of Glory", "Family Politics", "Night on the Town", "A Cruel Caricature", "Caress of Steel", "An Artful Plan", "Do Not Go Gently", "Imagine My Surprise", "Ever a Splinter", "Thorne in the Side", "A Night to Remember", "Only a Nightmare", "New Orleans by Night", "Eve of Saint John", "Elegant and Deadly", "A New Life", "Trail of Truth", "Secret of Cenote", "An Urgent Favor", "Flicker of Insight", "The Rogue", "The Scavenger", "The Forager", "The Scrounger", "Hole in the Hedge", "The Technician", "The Neuromancer", "The Technocrat", "Figure of Fun", "Welcome to the Machine", "Hive Mind Matrix 75", "The Magician", "The Conjuror", "The Enchanter", "The Blender", "The Ocelot", "The Wildcat", "The Golem", "The Cyclops", "Storm Breaker", "The Belfry", "The Scoundrel", "The Sanctum", "The Item Box", "Logic Bomb", "Chimes of Freedom", "Voice of Clemency", "Sanctum of Delight", "Voice of Optimism", "Splinter of Delicacy", "The Replication Pens", "Scintilla of Subtlety", "The Reorientation Vaults", "Voice of Optimism", "Scintilla of Finesse", "Murmur of Optimism", "Scintilla of Delicacy", "Shard of Optimism", "Voice of Finesse", "The Reprogramming Vats", "The Processing Tanks", "The Enhancement Pens", "The Evaluation Vats", "You Call This Clean", "Voice of Compassion", "Fruit Salad", "Murmur of Compassion", "Splinter of Authority", "The Replication Vats", "Voice of Cynicism" , "Splinter of Hope", "Shard of Authority", "The Testing Pits", "Scintilla of Cynicism", "Anvil of God", "Scintilla of Humanity", "The Spawning Tanks", "Power to the People", "Melancholia Enshrines All Triumph", "The Replication Vaults", "Shard of Compassion", "The Testing Pits", "Oceanic Dissonance", "The Reanimation Vaults", "Hive Mind Amplifier 85", "The Testing Tanks", "Splinter of Optimism", "Beastly To Animals", "Gender Bender", "Voice of Compassion", "Splinter of Scepticism", "Voice of Finesse", "Splinter of Humanity", "Scintilla of Cynicism", "The Evaluation Pens", "The Reanimation Pits", "The Spawning Grounds", "Voice of Delicacy", "Shard of Optimism", "The Enhancement Tanks", "Murmur of Subtlety", "The Assimilation Pens", "Murmur of Finesse", "Scintilla of Authority", "The Evaluation Tanks", "Voice of Subtlety", "The Upgrading Pens", "The Reorientation Tanks", "The Mayor of Tombstone", "The Regulator of Bandera", "The Benedict Cumberbatch", "Time of Fenris", "Night of the Fallen", "Day of the Raven", "Day of Judgement", "Night of the Nerds", "Time of Reckoning", "Day of Repentance", "The Mayor of Isinor", "Way of Odin", "Firefight at Terminus", "House of Archimedes", "Way of Poseidon", "Night of Repentance", "Day of the Dragon", "Image of Poseidon", "Night of the Jackel", "Firefight at Tombstone", "The Regulator of Terminus", "The Sheriff of Riedquat", "Time of the Dragon", "House of Beowulf", "The Regulator of Riedquat", "Way of Pythagoras", "The Mayor of Riedquat", "Time of Reckoning", "The Winona Ryder", "Night of the Dragon", "The Antoni Murkowski", "The Mayor of Arcadia", "Day of the Wolf", "Image of Perseus", "House of Odin", "Day of the Fallen", "Image of Babbage", "Night of the Demon", "Time of Contemplation", "The Regulator of Trantor", "Firefight at Lave", "The Sheriff of Dodge City", "The Misophist", "Night of the Dead", "Way of Atlas", "The Blue Hand", "House of Aristotle", "Firefight at Isinor", "Anticipation Of A New Lover's Arrival", "House of Beowulf", "Time of Contemplation", "Night of Fenris", "Day of Judgement", "Image of Holdstock", "Wake of Poseidon", "Firefight at Isinor", "The Mayor of Lave", "Way of Aristotle", "The Regulator of Ashoria", "Image of Odin", "The Regulator of Bandera", "Night of the Wolf", "Time of the Fallen", "Based on Truth", "Staring at Fate", "Baby Boomer", "The Logician", "The Theorist", "Sorcery of Science", "The Reasoner", "Anvil of Logic", "The Thomas Larimore", "Sanctum of Thought", "Master of Delight", "Sanctum of Logic", "Master of Mathematics", "Anvil of Thought", "Sanctum of Hope", "The Logician", "Spell of Opening", "Master of Lore", "The Philosopher", "Cantrip of Discovery", "Anvil of Wisdom", "Sanctum of Knowledge", "Delight of Discovery", "Master of Destiny", "Rune of Knowledge", "Dark Sorcery", "Anvil of Knowledge", "Sanctum of Discovery", "Delight in Motion", "Master of the Hunt", "Doctor of Philosophy", "School of Thought", "Master of Insight", "Anvil of Fate", "The Real Reason", "The Laughing Cow", "Not Rocket Science", "Delight of Insight", "Master of Worlds", "Anvil of Science", "School of Thought", "Cantrips in the Dark", "Sanctum of Eternity", "Inhuman Error", "Logical Fallacy", "Morbid Reality", "The Backrooms", "The Peter Lawrence", "In the Shallows", "Dungeon Crawler", "Creepy Pasta", "The Implacable Man", "Doctor of Law", "Messing About in Hyperspace", "Gold and Dust", "Thorn in the Crown", "Just Beyond the Firelight", "The Main Character", "Beneath a Cloudless Sky", "School in the Sky", "Frost on the Mirror", "Sunshine on Daisies", "Footsteps in the Shadows", "Call of the Beyond", "Echoes in the Void",
// Galaxy 6 (Rolled as 4 Rolls of 64) 
"Breaking the Bank", "Cast from the Stars", "Made of Sterner Stuff", "Controlling the Narrative", "Down by the River", "The Whistling Man", "The Paul Haddad", "Reference to the Classics", "Sheer Insanity", "Tower of Merlin", "Everything Changes", "Absence of Evidence", "Look Behind the Fridge", "No Backup Plan", "The Fairly Secret Army", "Precursor of Wisdom", "Upon a Winged Horse", "The Broom Closet", "The Low God", "Harbinger of Fortune", "The Dark Herold", "Envoy in the Mist", "Call in the Rain", "Agent of Wisdom", "Never Give Up", "Precursor of Invention", "Never Give In", "Poetry of Madness", "Revelation of the Final Five", "Watcher in the Grass", "The Winged Messenger", "Takshaka Station", "Doomed by Canon", "Echo in the Night", "Knight of the Void", "The Puppet Master", "Something in the Wind", "Beneath the Greenleaf", "Shade in the Shallows", "Lost in the Dark", "Amongst the Lost", "Divorced from Reality", "Searching for Inspiration", "Truth in Eclipse", "Wandering in the Dark", "Moonlit Shadow", "Storm of the Old Worlds", "Cooling Winds", "The Prophet", "Of Times Gone By", "Odin Station", "Cloak of Anonymity", "Disruptive Influence", "Breath on the Water", "Silent in the Void", "Dance with the Moon", "Beneath Cold Stars", "Confusion and Contradiction", "End of the Circle", "Louder than Words", "Crack in the Mirror", "Days Without Number", "The King Pellinore", "All that Exists", "Rockforth Armour Inc", "Cardoso Shipwrights Ltd", "Ocellus Armour Inc", "Fonseca Spaceframes Plc", "Artemis Freighters Ltd", "Rockforth Spaceframes Ltd", "Lacerda Liners Ltd", "Matsouka Ionics Ltd", "Summit Starports Plc", "Zorgon Fighters Ltd", "Matsouka Dreadnaughts Inc", "Jensen Spaceways Ltd", "Castro Fighters Plc", "Olmanova Dropships Plc", "Diamandis Munitions Ltd", "Gandara Spaceways Ltd", "Random Correlation", "Faridah Clippers Ltd", "Kinematic Ablatives Ltd", "Castro Spaceframes Ltd", "Tumulus Armour Inc", "Cardoso Dreadnaughts Plc", "Faridah Liners Ltd", "Tarvos Ablatives Inc", "Brenquith Clippers Ltd", "Diamondback Liners Plc", "Artemis Armour Plc", "Jensen Fighters Plc", "Katsaros Dreadnaughts Inc", "Darrow Hyperdrives Ltd", "Idylls of the King", "Gutamaya Munitions Plc", "Cowell Starports Plc", "Blackwater Liners Plc", "Limpet Freighters Inc", "Takada Munitions Plc", "Xenon Dreadnaughts Ltd", "Kavanagh Armour Plc", "Vodel Skimmers Ltd", "Crusader Spaceframes Plc", "Pritchard Clippers Inc", "Diamondback Dreadnaughts Plc", "Nephus Armour Inc", "Ocellus Plating Ltd", "Kaine Corvettes Plc", "Condor Gunships Plc", "Castro Interdictors Ltd", "Fonseca Starports Ltd", "Faridah Munitions Inc", "Sevchenko Battleships Ltd", "Diamandis Munitions Ltd", "Chameleon Fighters Plc", "Sevchenko Fighters Plc", "Nephus Plating Ltd", "Hive Mind Nexus 95", "The Rockforth Legal Academy", "Redback Carbines Ltd", "Lacerda Munitions Plc", "Olmanova Ionics Inc", "Faridah Skimmers Ltd", "Olmanova Carbines Plc", "Brenquith Spaceways Ltd", "Lure of Wisdom", "Tarvos Corvettes Inc", "GalLab Solvents Ltd", "GenPet Sanitation Inc", "The Magical Consort", "The James Bailey", "The Dana Olsefsky", "MemoTron Eliminations Plc", "BioRay Solvents Ltd", "SolLab Escorts Inc", "OmniFax Creations Plc", "GenFun Escorts Inc", "SolTron Proteins Inc", "ChemFun Liquidations Inc", "MemoPet Sanitation Ltd", "OmniFun Sentients Inc", "The Michael Gilday", "The Headless Monk", "Exotic Matter", "OmniFax Solvents Ltd", "The Colin Moran", "RemLok Headquarters", "The Sherry Klein", "GenLab Proteins Ltd", "The Steve Finnigan", "The Paul Drenning", "OmniCom Proteins Inc", "The Michael Ferdie", "SolCom Sentients Inc", "The Grace Kelly", "The Rita Hayworth", "The Exotic Consort", "Hive Mind Transmitter 65", "BioFun Creations Inc", "BioFax Sentients Inc", "Acornsoft Headquarters", "The Tom Turner", "Frontier Developments", "ChemCom Liquidations Plc", "DinoCom Eliminations Inc", "The Clint Eastwood", "OmniFax Eliminations Plc", "GenPet Solvents Ltd", "MemoPet Creations Inc", "OmniFax Eliminations Ltd", "DinoTron Eliminations Ltd", "The Lauren Bacall", "DinoFun Liquidations Inc", "MemoFun Proteins Plc", "SolRay Eliminations Ltd", "MemoLab Creations Inc", "BioRex Proteins Inc", "The Roger Morris", "BioFun Liquidations Ltd", "GenRay Sentients Plc", "The Ross Wissbaum", "MemoFun Escorts Inc", "The Magical Mentor", "OmniRay Eliminations Plc", "BioPet Companions Ltd", "BugCom Proteins Inc", "The Hugo Jeffreys", "The Paul Tirone", "The Katharine Hepburn", "GenTron Companions Ltd", "The Kirk Douglas", "God of Small Things", "The Disciple", "Pact with the Dragon", "Utopian Outlook", "Majesty of Science", "Crocodile Tears", "Starlight on Ice", "The First Flame", "The Dark Sign", "The First Sin", "Portrait of Reason", "Grain of Truth", "Only Dark Remains", "On the Dawn Wind", "Heresy of Thought", "Deep in Contemplation", "The Silent Smith", "The Book of Alice", "Clemency for the Dammed", "When Fire Fades", "Behind the Risen Moon", "Freedom of Thought", "House of the Bear", "Ray of Moonlight", "All the Stars in the Sky", "On a Pebbled Beach", "Acting Through Others", "Playing with Reality", "The Gray King", "Under the Chariot Wheels", "The Witch of Isleworth", "Turned into Stone", "Rite of Kindling", "Book of the Dead", "Echo of Chaos", "Going by the Book", "Living in the Shadows", "On the Cutting Edge", "Places from Long Ago", "Book of the Dragon", "Shadow of the Slayer", "Open to Interpretation", "Cooking the Books", "In the Name of Science", "Finding the Sunlight", "Stars of Other Days", "The Enquiring Mind", "Father of the Abyss", "Bump in the Road", "Hive Mind Transponder 75", "Fate of all Flesh", "All that is Remembered", "Devotion to Duty", "All About the Money", "Light in the Tunnel", "Portrait of Existance", "Breaking the Curse", "Into the Long Grass", "Seeker of Fire", "Pause to Draw Breath", "The Headless Queen", "Looking Up at the Stars", "Behind the Looking Glass", "The Smelter Deamon",
// Galaxy 7 (Rolled as 4 Rolls of 64) 
"Centre of the Circle", "The Hot Potato", "Lurking in the Shadows", "Man on the Edge", "The Right Opinion", "Maintaining the Balance", "The Dollhouse", "Mirror on the Wall", "Cathedral of the Careless", "Definition of Insanity", "Stars in her Eyes", "Avoiding the Question", "The Happiness Patrol", "Spanner in the Works", "Carved in Stone", "Veneer of Respectability", "Silver Wings of Morning", "Peer Review", "Madness in the Blood", "Yesterday Upon the Stair", "Nothing but Trouble", "Chance Encounter", "Turn of the Century", "Unfair Advantage", "Disturbing Thought", "Behind Gray Clouds", "Light of the West", "The Man Who Was Not", "Cold and Clinical", "All in Good Fun", "Doing the Unthinkable", "Death of the Author", "The Untold Story", "Learning the Hard Way", "Planet Cracker", "Ultimate Truth", "Useless Information", "Inside the Box", "First Law of Robotics", "Beyond the Hidden Valley", "Sunshine and Rainbows", "Apart from the Crowd", "Home for Tea", "Nightfall on the Plaines", "Outside the Norm", "Strange Stuff", "Trusting to Luck", "Passing the Parcel", "Matter of Fact", "Rage of the Machine", "The Test Chamber", "Beyond the Far Realm", "Matter of Business", "Amid the Uncaring Stars", "When We Were Gods", "Drifting on the Wind", "The Mimic", "Bottom of the Deck", "Plot Hook", "The Monster Factory", "Not a Perfect World", "Lurking in the Undergrowth", "Forgotten Sins", "Pretending to be a Wizard", "Remnant of the Past", "Lounge Lizard", "When Knights Were Bold", "Caught in the Act", "In the Company of Crows", "Written in Blood", "Never Go Back", "Power of the Atom", "The Keystone", "Open to Suggestions", "The Man in the White Coat", "No Way Back", "Port Nicodemus", "Read the Fine Print", "Port Balthor", "Listener at the Door", "Poking the Bear", "In Search of the Truth", "Pushing the Limit", "Open to Question", "Carved from Iron", "Cool for Cats", "Back on Track", "Strange Turn of Events", "Eye of the Cyclops", "What the Future Holds", "Fed to the Lions", "Back from the Brink", "Break from Convention", "The Comeback King", "Raising the Bar", "Standard Deviation", "Light in a Dark Age", "The Wrong Answer", "Speaking Out of Turn", "The Rusty Key", "Beyond the Iron Door", "The Broken Age", "Gaming the System", "The Naughty Dog", "The Bone Collector", "Arrow to the Knee", "Easier Said Than Done", "Saving the Day", "Tactical Assessment", "The Quartermaster", "Off the Grid", "Bug in a Jar", "Wealth of Advice", "Bottled Wisdom", "Indicator of Revolution", "What We Do in the Shadows", "Lost in the Jungle", "The Cool Aid Man", "Deal of the Day", "Curiosity Stream", "Toybox of the Gods", "The Blank Page", "Out of the Picture", "Taking a Tumble", "Unholy Trinity", "Out of Earshot", "Once in a Generation", "The Magic Spoon", "Under a Blanket of Earth", "The Blind Watchmaker", "Look Under the Bed", "Catching a Break", "Toys in the Attic", "SETI Scanner 115", "Under the Influence", "Beyond the Physical", "Twilight of the Gods", "Sliver of Hope", "Compensating for Something", "Vanishing from Sight", "Whispers from the Beyond", "Out of Place", "Degree of Certainty", "Stranger at the Table", "Worth the Cost", "Tip of the Iceberg", "Preserving the Past", "Having a Bad Day", "Terms of Service", "Morbid Curiosity", "Louder than Words", "Conversations with the Dead", "On the Surface", "Moment of Rage", "Demonic Shenanigans", "Out of Character", "Under False Pretences", "Not a Bad Idea", "Errors of the Past", "Laughing Out Loud", "Lack of Self Awareness", "Deserving of Praise", "Means to an End", "Moment of Calm", "Centre of the Universe", "Sense of Dignity", "In the Doghouse", "Personality Disorder", "Mental Accuity", "The Inescapable Conclusion", "Upon Closer Analysis", "Ship in a Bottle", "Going in Hot", "Out of the Jaws of Defeat", "Bitten by the Bug", "Buried in the Dust", "Pillar of Hercules", "Flight of the Navigator", "Island in the Storm", "All About the Drama", "Life of Luxury", "Concealed in Shadow", "Everybody Wins a Prize", "Stories We Tell Ourselves", "Child of the Empty Sun", "Sleepwalking into the Truth", "Compelling Argument", "Thorn in the Paw", "Time for Laughter", "Fox in the Henhouse", "The Whelan Compensator", "Pushing at an Open Door", "The Winged Messenger", "Anchor in the Storm", "The Tool Shed", "Serpent in the Garden", "Witness to Creation", "The Jim Greenall", "The John J. Downey", "Serpent in the Sand", "Ring of Bright Water", "Harbinger of Better Times", "Adventures in Physics", "The Tim Cullen", "Running from the Dark", "Herold of Things to Come", "The Charles Raymond", "The Jim Boulden", "Envoy to the Future", "The Eric Frazier", "The Kevin Blank", "World in the Mirror", "Tome of Clear Thought", "The Mitch Suskin", "On Broken Wings", "Frame of Reference", "The Double Pendulum", "The Tallow Candle", "The Jonathan Spencer", "The Eric Hance", "Behind Closed Doors", "The Davy Nethercutt", "Secrets of the Void", "The Scott Dewis", "Hand Across the Stars", "The Michael Rivero", "The Adam Avitabile", "Swing of the Pendulum", "On Wings of Light", "The Michael Capton", "The Melinka Thompson", "One Foot in the Void", "Serpent of the First Age", "Bad Hair Day", "Inside the Goldmine", "The John Karner", "The Mitchell Ferm", "The Jason Zimmerman", "Less than Expected", "The John F. Gross", "The Phil Carbonaro", "Rules of the Game", "Serpent under Stone", "Element of Luck", "Jumping Through Hoops", "Envoy to the Past", "The Harimander Khalsa", "The Albert Einstein", "Fun to Play", "The Steve Fong", "The Rebecca West", "Serpent in the Sky", "The Laurent M. Abecassis", "Chasing the Light", "Change is Good", "Balance Patch",
// Galaxy 8 (Rolled as 4 Rolls of 64) 
"The Evaluation Tanks", "Voice of Scepticism", "Scintilla of Authority", "The Replication Pits", "The Processing Pens", "The Testing Vaults", "The Floating Castle", "Splinter of Empathy", "The Reprogramming Pits", "The Resurrection Vaults", "The Incubation Tanks", "The Resurrection Tanks", "The Reanimation Pits", "The Assimilation Pits", "Splinter of Optimism", "The Reorientation Tanks", "The Incubation Pits", "The Replication Pens", "The Reorientation Vaults", "Murmur of Scepticism", "The Incubation Vats", "The Reprogramming Tanks", "The Resurrection Pits", "The Enhancement Vats", "The Reprogramming Pits", "The Reorientation Vats", "Voice of Raxxla", "The Containment Vaults", "Scintilla of Clemency", "The Resurrection Pits", "Voice of Compassion", "Voice of Authority", "The Reorientation Pens", "The Processing Pens", "Shard of Optimism", "Voice of Authority", "The Resurrection Pens", "Murmur of Authority", "Voice of Compassion", "Echo of Authority", "The Containment Pits", "The Resurrection Vaults", "Shard of Humanity", "The Spawning Vaults", "The Incubation Vats", "The Processing Pits", "Scintilla of Cynicism", "Voice of Optimism", "Scintilla of Empathy", "The Upgrading Pens", "Splinter of Subtlety", "Shard of Optimism", "The Testing Pits", "Voice of the Stars", "Note of Scepticism", "Voice of Compassion", "The Reprogramming Vaults", "Shard of Humanity", "The Assimilation Pits", "The Assimilation Vats", "The Incubation Pens", "Shard of Authority", "Splinter of Empathy", "Scintilla of Cynicism", "Vodel Spaceways Plc", "Takada Fighters Plc", "Peterson Interdictors Inc", "Cardoso Ionics Inc", "Tarsus Cruisers Inc", "Sarif Starports Ltd", "Xenon Liners Ltd", "Crusader Hyperdrives Inc", "Zenith Interdictors Inc", "Keitner Starports Inc", "Trident Liners Plc", "Santeau Plating Inc", "Rockforth Ablatives Plc", "Rockforth Armour Ltd", "Vodel Carbines Plc", "Ishanti Armour Inc", "Palisade Dreadnaughts Ltd", "Summit Skimmers Plc", "Gutamaya Hyperdrives Plc", "Tarsus Battleships Ltd", "Kevlar Hyperdrives Inc", "Nemo Cruisers Plc", "Pritchard Dreadnaughts Ltd", "Galactica Plating Ltd", "Diamondback Liners Plc", "Nephus Clippers Ltd", "Gandara Armour Plc", "Ishanti Interdictors Ltd", "Olmanova Corvettes Ltd", "Ocellus Starports Plc", "Pritchard Corvettes Inc", "Sarif Interdictors Plc", "Cardoso Ionics Ltd", "Jensen Spaceframes Inc", "Faridah Spaceways Ltd", "Nemo Ablatives Ltd", "Tarsus Deflectors Inc", "Vodel Frigates Ltd", "Peterson Corvettes Ltd", "Tarsus Battleships Ltd", "Kavanagh Carbines Inc", "Pritchard Carbines Inc", "Galactica Armour Plc", "Olmanova Freighters Inc", "Nephus Carbines Ltd", "Kruger Spaceways Ltd", "Lacerda Shipwrights Plc", "Nephus Spaceways Ltd", "Sevchenko Spaceways Ltd", "Pritchard Munitions Inc", "Kevlar Spaceframes Inc", "Fonseca Shipwrights Ltd", "Aphid Fighters Inc", "Cardoso Starports Plc", "Xenon Cruisers Ltd", "Cardoso Spaceways Ltd", "Castro Armour Inc", "Xenon Dropships Ltd", "Tarvos Shipwrights Inc", "Tumulus Carbines Inc", "Kevlar Fighters Ltd", "Kruger Clippers Ltd", "Kruger Ablatives Ltd", "Nemo Battleships Inc", "The Magical Abacus", "The James Dean", "The Claudette Colbert", "The James Brindley", "GenRay Companions Ltd", "Hell in a Handcart", "DinoLab Liquidations Inc", "Work Ethic", "The Cary Grant", "DinoCom Companions Inc", "The Abacus", "GenFax Proteins Plc", "DinoLab Sanitation Plc", "The Charlie Chaplin", "The Blue Whale", "OmniRay Creations Plc", "The Richard Burton", "The Daniel Coupal", "DinoPet Headquarters", "GenLab Sentients Ltd", "MemoRay Solvents Plc", "The Thai Son Doan", "The Benoit Girard", "The Henry Fonda", "BugCom Proteins Inc", "DinoRay Companions Ltd", "BugCom Sentients Inc", "The Charles Granger", "BugRay Eliminations Inc", "The Elizabeth Taylor", "The Skeptic", "The Michel Heroux", "ChemTron Proteins Ltd", "The Stefan Bredereck", "The Paul Hill", "BioLab Escorts Inc", "FemBot Escorts Ltd", "The Laurence Olivier", "ChemTron Liquidations Plc", "Cobwebs in the Attic", "The Armen V. Kevorkian", "The Kevin Kutchaver", "The Marlene Dietrich", "Shroud of the Avatar", "ChemRex Escorts Ltd", "BioFax Companions Plc", "The Simon Marinof", "BugRex Creations Inc", "SolFun Eliminations Plc", "Nightmare Fuel", "OmniGal Escorts Inc", "Down to Earth", "DinoTron Escorts Plc", "The Sidney Poitier", "MemoRay Creations Plc", "The Hober Marlowe", "HalTec Computering Ltd", "The Brett McCarthy", "DinoFun Proteins Plc", "DinoRex Proteins Inc", "ChemRay Sentients Ltd", "GenFun Creations Ltd", "MemoRex Solvents Ltd", "Fall of a Feather", "Token of Truth", "Upon a Fell Steed", "Chariot of the Old Ones", "Not Found in Nature", "Outside the Light", "Looking to the Future", "Legends of the Fall", "The Last Word", "Vigilance through Strength", "The Cunning Fox", "The Book of Annabelle", "The Henry Cavill", "Disciple of Science", "The Keymaster", "Cast from the Circle", "Within an Iron Shell", "Bank of Mum and Dad", "Not What You Expected", "Hidden in the Dust", "Not the Same", "The Inner Circle", "Entry Level Strategy", "Accident of Birth", "A Bit Tricky", "Stead of the Nazgul", "The Outer Circle", "Pact with the Past", "Challenge Run", "Out of Luck", "Taken by Surprise", "Raising the Stakes", "The Wooden Shield", "Under the Green Wood", "Doing the Bare Minimum", "Surprise Attack", "After the Party", "Mirror of the Old Ones", "Lady of the Book", "After Hours", "Abandoned Soul", "Turn Based Combat", "Neither Hero Nor Villian", "How the Mighty Fall", "Stealth Wealth", "From the Cauldron", "The Haunted Mansion", "After the Outbreak", "Book of the Hollowed", "Neither Use Nor Ornament", "The Average Joe", "Worried about the Future", "Pinnacle of Creation", "The Top Tier", "The Quarantine Zone", "South of the River", "Force to be Reckoned With", "Hack and Slash", "Litany of Clones", "Element of Truth", "Paint it Black", "The Green Gemstone Man", "Distinction without a Difference", "Left and Right", "Continuity Error",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"The Max Planck"];

//  Name Array for the Relay Stations (Number of Names in Array: 2,048)
//  This uses the Large Pool Method - See Readme for Details.
this.relaypool = [
// Galaxy 1  (Rolled as 4 Rolls of 64)
"Political Gossip Transponder 01", "Popular Culture Decoder 02", "Bad Moon Rising", "Galactic Roundup Transmitter 03", "Political Herold Receiver 04", "String of Sepa", "Celebrity Download Node 06", "Galactic Mail DataBank 07", "Capitalist Romance Vault 08", "Skywalker Ranch", "Imperial Gossip Archive 10", "Political Culture Transponder 11", "Socialist Herold Decoder 12", "Northern Star", "Political Mail Transmitter 13", "Celebrity Mail Receiver 14", "The Doppler Effect", "Cereal Killer", "Subliminal Roundup Node 16", "Ghost in the Shell", "Subliminal Chronical DataBank 17", "Creature from the Pit", "Ghost in the Machine", "Imperial News Library 19", "State News Terminal 20", "Early Warning Post 25", "Galactic Gossip Transponder 22", "Popular Mail Decoder 23", "Socialist Romance Transmitter 24", "Yellow Submarine", "Naval Observation Post 85", "London Calling", "Imperial Roundup Dish 26", "The Total Perspective Vortex", "Political Romance Node 27", "Socialist Romance DataBank 28", "Tabloid Romance Vault 28", "The Daily Worker", "The Imperial Herold", "News Archive 31", "Voice of Commerce", "Out of the Shadows", "Popular Chronical Decoder 33", "Political Romance Transmitter 34", "Imperial News Receiver 34", "Son of the Soil", "Listening Post 10", "Federal Download Dish 35", "Secret of Telos", "Pretty in Pink", "Federal Romance DataBank 37", "Capitalist Roundup Archive 38", "Tabloid Roundup Transponder 39", "Socialist News Decoder 40", "Moon Rider", "Subliminal Download Receiver 42", "Honor Is All", "Hive Mind Amplifier 10", "Socialist Download Library 45", "Political Gossip Archive 46", "Federal Roundup Transponder 47", "Capitalist News Decoder 48", "Federal Romance Transmitter 49", "SETI Scanner 10", "The McCool Dish", "SETI Decoder 15", "The Touadera Dish", "The Jameson Library", "The Ondimba Receiver", "SETI Scanner 15", "The Bergmann Node", "The Yaffle DataBank", "The Rahmon Archive", "The Montbatten DataBank", "The Quatermass Transmitter", "The Lesotho DataBank", "Listening Post 15", "Star Strider", "The Krugman Transmitter", "Quoth the Raven", "Tidings of War", "The Fleming Node", "The Shepard DataBank", "The Leontief DataBank", "The Fanged Crown", "The Spengler Node", "Swamp Devil", "The Langdon Transponder", "The Armstrong DataBank", "The Hopkins Transmitter", "Changing of the Guard", "The Gagarin Archive", "Hive Mind Matrix 04", "The Veblen DataBank", "The Red Woman", "The Leontief Vault", "Bearer of the Cup", "Listening Post 35", "Truth Be Told", "The Howland Transmitter", "Pravda Download Link 10", "The Lovell DataBank", "The Lesotho Dish", "The Pavlovich Archive", "The Kabore Receiver", "The Virtuous Vulture", "The Fleming Transponder", "The Ransom Decoder", "The Reginald Perrin", "The Ravelstein Transmitter", "Waiting For An Alibi ", "Hive Mind Node 08", "The Curie Node", "The Farnsworth Transmitter", "The Fowler Receiver", "The Mannion Vault", "The Akihito Transponder", "Library of Souls", "The Sinclair Archive", "The Mannion Dish", "The Keating Vault", "The Ringo Star", "Night Whisperer", "Rider of the Plains", "The Rahmon Library", "Kumi Anchorage", "Naval Decryption Facility 15", "Figure of Eight", "Star Mother", "Acornsoft Gaming Ltd", "State News Transponder 15", "Ministry of Information", "The Ministry of Peace", "Stonefish Advertising Inc", "Compass Animatronics Ltd", "Kantana Theatricals Inc", "Jewel of the Nile", "Queen of Uncertainty", "Arrested Development", "Battle Cry", "Metroid Prime", "Life Without A Soul", "Baltimore Blues", "Britannic Cinematics Plc", "Powerhouse Animations Ltd", "Vision of Love", "When the Sleeper Wakes", "Nexstar Broadcasting Plc", "Paramount Holovision Ltd", "When Shadows Fall", "When The Wind Blows", "Squark Box", "Daredevil Studios Plc", "Arthropod Holovision Ltd", "Goliath Multimedia Inc", "PlayBeing Holovision Plc", "Kantana Holovision Ltd", "Earth Angel", "Goliath Simulcasting Inc", "Artisan Animations Plc", "Zenith Entertainmen Ltdt", "Overture Telefilms Inc", "Coridel Animatronics Plc", "Solax Advertising Inc", "Artisan Animatronics Ltd", "Proletarian News Feed 14", "Daredevil Theatricals Inc", "Kalem Gaming Plc", "Storm of Angels", "Breakfast at Twilight", "Mandarin Animatronics Inc", "Wolfhound Animation Plc", "Albion Advertising Ltd", "Nexstar Theatricals Inc", "Rosebud Animatronics Plc", "StarFox Advertising Ltd", "Raindance Animatronics Inc", "The News Factory", "Monarch of the Night", "Reuters Telecasts Plc", "Disney Multimedia Ltd", "Gotham Animatronics Inc", "Kalem Gaming Plc", "Artisan Studios Ltd", "Compass Telefilms Inc", "Artisan HyperRadio Plc", "Doomsday Machine", "The Ricardo Montalban", "Metro Productions Inc", "Catnip Holovision Plc", "The Newspeak Times", "Hail to the Chief", "HalCam Tracking Ltd", "Candy Rock", "The Prudent King", "SpyBot Security Inc", "News from Nowhere", "NeoCon Monitoring Ltd", "SenBot Organics Ltd", "EyeScan Detectors Plc", "Gravy Train", "Star Fox News", "SpyTec Organics Plc", "The Two Minutes Hate", "SenTec Security Inc", "UniTel Information Ltd", "Lost in Translation", "The Badass Bookworm", "NeoScan Audio Inc", "UniTel Organics Plc", "Hive Mind Transponder 09", "To a God Unknown", "Suffering in Silence", "BioCop Organics Plc", "Unusual Demands", "NeoCop Detectors Ltd", "Voice of Truth", "BioCon Video Ltd", "BioWare Monitoring Inc", "Radio Caroline", "BugScan Organics Ltd", "UniWare Organics Ltd", "Body and Soul", "NeoCam Organics Inc", "HalFax Audio Plc", "BugNet Information Inc", "SpyTel Information Ltd", "NeoScan Security Ltd", "Tower of the Rose", "NeoCam Video Ltd", "BioCop Detectors Plc", "BugNet Information Ltd", "UniFax Tracking Plc", "MiniCam Detectors Ltd", "HalFax Organics Inc", "EyeWare Surveillance Plc", "HalCam Video Ltd", "The Shane Warne", "The Rab C. Nesbitt", "UniBot Video Ltd", "SpyNet Organics Inc", "The Troublesome Trumble", "UniCop Tracking Inc", "BugWare Organics Plc", "Dead Air", "SpyCam Video Ltd", "Listening Post 25", "EyeWare Video Ltd", "BugBot Information Ltd", "Hive Mind Matrix 05", "EyeTel Intelligence Plc", "Voices from the Sky", "EyeTec Tracking Ltd", "BioWare Video Inc", "EyeWare Organics Plc", "Royal Herold",
// Galaxy 2 (Rolled as 4 Rolls of 64)
"Shadow of the Lion", "Herold of Hermes", "Descendant of Tara", "Descendant of Phanes", "Mediator of Karkotaka", "Not Suitable for Work", "Call of Silence", "Herold of Ganesha", "Prophet of Shiva", "Herold of Vamana", "Mediator of Durga", "The James Herbert", "Minister of Balder", "Herold of Cernunnos", "Master of Sanctity", "Mediator of Balder", "Section 31", "Precursor of Thanatos", "Listening Post 05", "Envoy of Savitri", "Herold of Nemausus", "The Fallen Giant", "The Power of Love", "The Cave of Steel", "Eye of the Storm", "Messenger of Dionysus", "Envoy of Andraste", "Stroke of Genius", "Descendant of Narayana", "The World Beyond", "Messenger of Leno", "Peace at Last", "Herold of Freedom", "Naval Observation Post 25", "News from the North", "The Rusty Key", "SETI Scanner 45", "Word on the Street", "The Michelle Yeoh", "Folkestone Harbour", "Messenger of Pramlocha", "Galaxy in Flames", "Envoy of Apthamitra", "Harbinger of Sugriva", "Envoy of Fortuna", "Prophet of Merula", "War Cry", "Messenger of Ogmois", "Harbinger of Madhava", "Harbinger of Savitri", "Ellis Island", "Mediator of Anhur", "Envoy of Yuggoth", "Hive Mind Node 30", "Dangerous to Know", "Child of War", "Messenger of Caturix", "Voice of the Voiceless", "Early Warning Post 75", "Messenger of Heimdall", "Harbinger of Thor", "Feat of Iron", "Minister of Janus", "Mediator of Clidna", "Paranormal Anchor", "Jensen Hall", "Nemo Hall", "The Justin Mitchell", "Faridah Hall", "The Blackwater Seminary", "The David R. Morton", "Aphelion Hall", "Freedom of the Press", "Ishanti Hall", "The Peterson Seminary", "Song of the Bluebird", "The Hattori Hanzo", "Iron Warrior", "Agent of Fortune", "The Santeau Seminary", "Competitive Magic", "The Clive Sinclair", "The Love Goddess", "The James May", "Keitner Seminary", "The Rick Ramirez", "The Marie Denoga", "Tales after Dark", "Cavens of the Snow Witch", "Hive Mind Antenna 15", "Burning Effigy", "Visconti Hall", "Debt Ceiling", "The Ivan Hayden", "The Jeff Sargent", "Zenith Asylum", "Jenkins Seminary", "The Eric Chauvin", "Herold of Commerce", "The Fonseca Asylum", "The Clare Herbert", "Pritchard Cloisters", "The Miraculous Anchor", "Fish Out of Water", "Hive Mind Transmitter 25", "Naval Observation Post 35", "Artemis Chambers", "The Rockforth Cloisters", "The Adam McInnes", "The Andy Simonson", "The Olmanova Seminary", "The Seth Brower", "The Jason Hollefreund", "The Ben Campanaro", "Faridah Cloisters", "Hive Mind Transponder 40", "The Samantha Tuinstra", "The Pritchard Asylum", "House of Ghosts", "Trident Cloisters", "Hive Mind Amplifier 35", "Darkness in the Blood", "The Bruce Branit", "Crusader Chambers", "Voice in the Night", "The Kinematic Asylum", "The Gabriel Cassata", "The Nickolas Stevens", "The Mariana Acosta", "Born of Flame", "The John Hirota", "The Sean Joseph", "The Bob Minshall", "The Cartesian Incursion", "The Morpheus Optimisation", "Listening Post 75", "Beyond the Seventh Circle", "The Travis Wade", "Combat Theory", "The Joseph Hayden", "Attraction Theory", "The Paul Stemmer", "The Ian Cumming", "The Cartesian Interpretation", "Perpetual Motion", "The Richelieu Fluctuation", "Brownian Motion", "The Next Best Thing", "The Christian Bloch", "The Jason Bond", "The Morpheus Approximation", "Things to Do", "Origin Theory", "The Karen Cardona", "The Andrew Furlong", "Based on a True Story", "Guardian of the People", "Rumours from the Pond", "SETI Scanner 65", "All Together Now", "The Krampus Deviation", "Liquidity Theory", "Nothing Left to Say", "Child of Methuselah", "The Pendragon Deviation", "Harvest of Souls", "The Krampus Interpretation", "The William Blackburn", "The Amanda Blake", "Kiln of the First Flame", "The Ivan DeWolf", "Listening Post 45", "The Kelly Fischer", "The Newspeak Herold", "The Last Wall", "House of the Dead", "The Ian Kirby", "Morning of the Bride", "The Descartian Approximation", "The Grey Knight", "The Joseph Oberle", "The Kaufman Deviation", "Path of Heaven", "The Michael Vendrell", "Out of the Light", "Listening Post 65", "Remains of the Day", "The Jonathan Arthur", "The Rhinehart Optimisation", "The Ian Fleming", "The Heather Arthur", "The John Medlen", "The Officious Bystander", "The Officious Operative", "The Detached Spectator", "The Nameless Observer", "The Furtive Watcher", "The Unseen Operative", "Radio Londres", "Path of the Archon", "Echoes of the Long War", "The Officious Autocrat", "The Nameless Operative", "The Nameless Spectator", "Naval Observation Post 35", "The Omnipresent Spectator", "The Faceless Listener", "The Omnipresent Autocrat", "The Anonymous Operative", "The Anonymous Operative", "Come into my Parlour", "The Unseen Listener", "The Furtive Watcher", "Whispering Pines", "The Illusive Operative", "The Nameless Watcher", "SETI Scanner 85", "Knight of the Sacred Lake", "The Nameless Watcher", "The Furtive Witness", "Up and Comming", "The Furtive Autocrat", "SETI Scanner 95", "Crusade for Armageddon", "The Furtive Observer", "Time of the Ghost", "Big Ears", "Junction Box T-Beta", "The Anonymous Autocrat", "The Furtive Autocrat", "Change of Heart", "Conquest of Armageddon", "The Unseen Witness", "Bearer of the Word", "The Furtive Witness", "The Detached Listener", "Born to Speed", "The Detached Observer", "The Furtive Listener", "Heart of Rage", "The Faceless Spectator", "The Unseen Autocrat", "The Faceless Agent", "The David Annandale", "SETI Scanner 105", "The Detached Observer", "Squid Game", "The Illusive Watcher", "The Faceless Listener", "The Unseen Watcher", "The Furtive Operative", "Naval Observation Post 75", "The Illusive Listener", "The Nameless Witness", "The Omnipresent Watcher", "The Anonymous Agent",
// Galaxy 3 (Rolled as 4 Rolls of 64)  - HERE!
"The Darin Fujimori", "The Adam Rivette", "The Feudalist Post", "The Federal Times", "The Sean Douglas", "Naval Intelligence Post 25", "The Katie Wright", "The Imperial Mail", "The Evening Post", "Life in the Slow Lane", "The Evening Prophet", "The Feudalist Post", "The Mike Rufino", "The Evening Times", "Something to Remember", "The Feudalist Roundup", "The Communist Post", "The Alex Daniels", "The Federal Messenger", "The Lisa Hoyle", "The Imperial Prophet", "The Evening Post", "The Daily Herold", "The Imperial Chronical", "The Frank Torres", "The Bob McGovern", "Naval Intelligence Post 85", "The Shauna Duggins", "The Galactic Mail", "The Jason Patterson", "The Tarah Paige", "The Evening Herold", "The Federal Mail", "The Imperial Mail", "The Gregory Barnett", "The Daily Chronical", "The Craig Davidson", "The Victor Favrin", "The Evening Herold", "The Democratic Post", "The Dennis Gouveia", "Listening Post 95", "The Galactic Prophet", "The Imperial Post", "The Galactic Mail", "The Republican Post", "The Workers Prophet", "The Imperial Mail", "The Brian Keaulana", "The Daily Chronical", "The Daily Planet", "The Workers Post", "The Andy Gill", "The Gene Hartline", "The Michael Hugghins", "Walking on Ice", "Squark of Liberty", "The Eric Matuschek", "The Mike Tristler", "The Galactic Post", "The Federal Times", "The Jordan Gant", "The Thomas McCurdy", "The Galactic Post", "Flag of Liberty", "Desperately Seeking Susan", "Adjusted for Inflation", "Cash in the Bank", "Army of Dust", "The Item Box", "Source of All Power", "Earthbound God", "Gathering of Friends", "Inevitability of the Medium", "Drunk with Truth", "The Burning Flag", "Glitch in the Matrix", "Fountain of Dreams", "Guardian of the Old Order", "Slumber Party", "Blood and Honey", "The Last Shall be First", "Close to Perfection", "Sleep of the Just", "And the Gate Shall Open", "Door in the Air", "Never to be Spoken", "Walking on Starlight", "Man of Many Faces", "When the Crow Calls", "No Sleep Required", "All through the Night", "Rod of the Sixth Wizard", "Born on an Ill Wind", "The Plucky Reporter", "Champion of Truth", "Speaker in the Stars", "Champion of the People", "Echo of a Better World", "Closer than You Think", "In the Arms of the Dragon", "Voice Amongst the Stones", "Speaker in the Sky", "Not Well Known", "Low Profile", "Swings and Roundabouts", "Navy of Themistocles", "Army of Themistocles", "Champion of Protomachus", "Rod of Brasidas", "Flag of Eunomus", "Standard of Andromachus", "Pendant of Lysander", "Champion of Epicleas", "Champion of Aristodemos", "Flag of Echestratus", "Army of Menelaus", "Navy of Sphodrias", "Vanguard of Antiochus", "Flag of Antiochus", "Standard of Antiochus", "Rod of Lysander", "Army of Teleclus", "Medallion of Aracus", "Vanguard of Orestes", "Medallion of Antalcidas", "Words of Wisdom", "Pendant of Antisthenes", "TextCom Animatronics Plc", "HoloGen Holovision Ltd", "VioCom Gaming Ltd", "ZenMod Broadcasting Ltd", "TextMax Cinematics Inc", "SETI Scanner 01", "TextNet Telecasts Plc", "NeoCom Cinematics Inc", "LexVid Telefilms Ltd", "NeoTel Broadcasting Ltd", "NeoMax Cinematics Inc", "VoxNet Studios Ltd", "NeoCom Broadcasting Ltd", "VoxBox Telecasts Inc", "NeoMod Advertising Plc", "RadMod Holovision Inc", "LexVid Entertainment Inc", "NeoCom HyperRadio Ltd", "RadVid Telefilms Ltd", "DexCom Multimedia Plc", "DexCat Animatronics Plc", "QuadVid Broadcasting Inc", "NeoMan Telefilms Inc", "DexCom Theatricals Inc", "QuadMod Theatricals Plc", "RadTel HyperRadio Ltd", "VioVid Theatricals Inc", "ZenBox Cinematics Inc", "One Way Or Another", "ZenGen Productions Plc", "Hastilude Citadel", "DexBox Advertising Ltd", "TextGen Advertising Ltd", "VioMod Gaming Inc", "HoloMod Theatricals Inc", "ZenBox Advertising Plc", "VoxTel Entertainment Ltd", "HoloVid Gaming Ltd", "LexCom Entertainment Ltd", "TextCom Gaming Inc", "Whispers in the Dark", "QuadMax Advertising Ltd", "QuadTel Telefilms Plc", "RadMan Animatronics Plc", "VoxMan Theatricals Plc", "VioNet Animation Plc", "RadMan Animatronics Inc", "QuadVid Advertising Plc", "ZenNet Holovision Ltd", "LexNet Animation Ltd", "ZenTel Broadcasting Inc", "ZenMod Studios Plc", "TextMax Multimedia Ltd", "TextMod Animatronics Ltd", "TextTel Multimedia Inc", "QuadNet Multimedia Ltd", "VioBox Productions Ltd", "HoloTel Holovision Inc", "HoloMod Telecasts Inc", "HoloBox Holovision Inc", "VioCat HyperRadio Plc", "Caravan of Love", "Word of the King", "VioMod Broadcasting Inc", "The CNS Soaps Decoder", "The CNS Rock Antenna", "The CNN Opera Transponder", "The GHN Sports Antenna", "The ITN News Transmitter", "Watcher in the Woods", "Hive Mind Matrix 45", "Fort Tecumseh", "The CNS Sports Antenna", "The CBS Drama Decoder", "The CBS Opera Transponder", "Fort Dohasan", "The Apple Sports Decoder", "Fort Sioux", "Listening Post 01", "The GNN Opera Decoder", "The BBC Comedy Transponder", "Fort Sioux", "The GHN Sports Decoder", "Fort Maidu", "The GHN News Antenna", "Fort Mandan", "The State Soaps Transmitter", "Fort Lakota", "Fort Lakota", "The BBC Comedy Decoder", "The Apple Opera Transponder", "The Acorn News Decoder", "The Apple Drama Transponder", "Fort Mandan", "The CNN Soaps Antenna", "The BBC Drama Antenna", "The Sun Sports Transponder", "The GNN Drama Transmitter", "The Metro Rock Antenna", "The Orca Opera Transmitter", "The Ibex Drama Transmitter", "The Star Soaps Transponder", "The Cosmic Rock Transmitter", "The Acorn Soaps Decoder", "The ITN Drama Transmitter", "The BBC Opera Decoder", "The GNN Drama Antenna", "The CNS Drama Decoder", "Fort Ponca", "Fort Tulalip", "The Apple Comedy Decoder", "The Ibex Drama Transponder", "Fort Cahuilla", "The Metro Opera Transmitter", "Fort Manuelito", "The ABC Soaps Antenna", "The ABC Opera Transponder", "The Sky Cookery Decoder", "The CBS Comedy Transponder", "Fort Quanah", "The Apple Rock Transponder", "The Star Soaps Transmitter", "The CNN Rock Antenna", "The GNN Drama Antenna", "The Apple Rock Transponder", "The CNS Cookery Transponder", "The BBC Drama Decoder", "The State Rock Antenna",
// Galaxy 4 (Rolled as 4 Rolls of 64)
"SpyBot Surveillance Ltd", "EyeCam Surveillance Inc", "SenTec Audio Inc", "HalCam Information Ltd", "SpyCam Video Inc", "UniFax Security Ltd", "MiniCam Surveillance Inc", "SpyScan Intelligence Plc", "HalCon Organics Ltd", "BioCon Surveillance Ltd", "NeoTel Detectors Plc", "UniCon Organics Inc", "BugFax Security Inc", "MiniCon Surveillance Ltd", "BioFax Detectors Inc", "Early Warning Post 55", "HalBot Organics Plc", "BioTel Video Plc", "BugTec Monitoring Ltd", "NeoNet Intelligence Inc", "HalTel Tracking Ltd", "UniNet Monitoring Plc", "NeoFax Information Inc", "BugCop Monitoring Ltd", "HalCop Organics Plc", "MiniTec Detectors Inc", "SpyWare Tracking Plc", "SenCam Audio Plc", "MiniCon Organics Plc", "MiniCam Information Ltd", "Lost for Words", "NeoScan Surveillance Ltd", "SenTec Security Plc", "SenBot Audio Plc", "SpyCon Monitoring Inc", "Hold The Front Page", "The Cultural Revolution", "NeoNet Organics Plc", "SpyTec Audio Plc", "SenWare Audio Plc", "Silent Witness", "Listening Post 45", "MiniWare Tracking Ltd", "SenTec Video Ltd", "BioCop Detectors Ltd", "SenBot Monitoring Inc", "HalCop Security Inc", "SenWare Detectors Plc", "BioWare Monitoring Ltd", "The Night Watchman", "UniWare Monitoring Inc", "UniTel Security Inc", "MiniCon Intelligence Inc", "SpyWare Intelligence Ltd", "HalScan Monitoring Plc", "SenScan Tracking Inc", "SpyFax Detectors Inc", "BugNet Monitoring Plc", "Publications of the Dammed", "EyeCam Detectors Ltd", "SpyScan Video Plc", "SpyBot Organics Inc", "SpyScan Organics Ltd", "UniCam Video Ltd", "Searchlight Cinematics Plc", "The Whistle Blower", "Disney Advertising Ltd", "Edison Animation Plc", "Rank Broadcasting Inc", "Amblin HyperRadio Ltd", "Early Warning Post 35", "Maximillian Telefilms Inc", "Hive Mind Transmitter 60", "Silicon Entertainment Plc", "Arachnid Cinematics Inc", "StarFox Multimedia Ltd", "Warner Simulcasting Plc", "Amblin Broadcasting Inc", "Smell of Success", "Rank Multimedia Inc", "Vogue Advertising Plc", "Paramount Holovision Ltd", "Bloomberg Productions Inc", "Silicon Advertising Plc", "Millennium Advertising Ltd", "The Peter F. Hamilton", "Goliath Productions Ltd", "Nestor Broadcasting Plc", "Daredevil Animatronics Inc", "Kalem Entertainment Ltd", "Skylark Telecasts Inc", "Roscoe Productions Plc", "Goliath HyperRadio Ltd", "Soho Entertainment Inc", "Mammoth Telecasts Plc", "Catnip Theatricals Ltd", "Universal Broadcasting Inc", "Bloomberg Broadcasting Plc", "Edison Simulcasting Ltd", "Reuters Multimedia Inc", "Coridel Telecasts Plc", "Premium Animations Ltd", "Kantana Telecasts Plc", "Arachnid Broadcasting Inc", "Atomic Animatronics Ltd", "Bullfrog Animatronics Plc", "Amblin Gaming Inc", "Rosebud Broadcasting Ltd", "Republic Simulcasting Plc", "PlayBeing Entertainment Inc", "Solax Holovision Ltd", "Metro Studios Plc", "PlayBeing Telecasts Inc", "Takahashi Broadcasting Ltd", "Dancing in the Dark", "Alphabet Multimedia Inc", "Catnip Animatronics Ltd", "Rank Productions Plc", "Decker Cinematics Inc", "Monsoon Gaming Ltd", "Reuters Productions Inc", "Skyfall Cinematics Plc", "Silicon Advertising Ltd", "Mandarin Holovision Inc", "Silicon Telefilm Plc", "Paramount Gaming Ltd", "The Lenard Nimoy", "Britannic Broadcasting Inc", "The Michell Archive", "The Bergmann Receiver", "The Duterte Archive", "The Seldon Decoder", "The Leonov Transmitter", "The Seldon Dish", "The Henshall Decoder", "Pravda Transmission Array 01", "The Ambrose Node", "The Bhandari Decoder", "Never Too Late", "The Thorstein Receiver", "The Grissom Transmitter", "Naval Observation Post 45", "The Howland Decoder", "The Michell Vault", "The Duterte DataBank", "The Hindenburg Receiver", "The Nemur Transmitter", "The Veblen Node", "The Lovelace Transponder", "The Montbatten Archive", "The Madden Archive", "The Fowler Transponder", "The Assoumani Decoder", "The Pavlovich Library", "The Guelleh Node", "The Amstrad Dish", "The Moriarty Decoder", "The Copernicus Library", "The Duterte Node", "The Leontief Library", "The Krempe Vault", "The Spengler Vault", "The Holdstock Archive", "The Ransom Transmitter", "The Higgins Receiver", "The Akihito Transmitter", "The Wyndham Decoder", "The Summerfield DataBank", "The Amstrad Transmitter", "The Seldon Transponder", "The Montbatten Library", "The Montbatten Dish", "Chain of Events", "The Sinclair Dish", "The Copernicus Archive", "The Yaffle Node", "The Challenger Dish", "The Naruhito Receiver", "The Keating Library", "The Gagarin Library", "The Falconer Transmitter", "The Kabore Dish", "The Moriarty Library", "The Fonseca Receiver", "Hive Mind Amplifier 75", "The Aronnax Library", "The Sinclair Node", "The Bushwick DataBank", "The Tereshkova Dish", "The Borman Decoder", "The Langdon Dish", "The Leontief Receiver", "Capitalist News Dish 51", "Celebrity Romance", "The Federal Roundup", "The Socialist Chronical", "The Imperial Library", "The Nicole Bailey", "The Steve Blalock", "The Brian Costa", "The Thom Williams", "The Cristina de la Diosa", "The Tim James", "The Popular Herold", "The Sally Davis", "The Mark Rayner", "Early Warning Post 45", "The Galactic Mail", "The Alina Andrei", "The Capitalist Mail", "The Federal Chronical", "The Federal Herold", "The Nito Larioza", "The Eddie Braun", "The Hubie Kerns", "The Barry Brand", "The Eric Linden", "The Brad Martin", "The Conrad Palmisano", "The Alan Seabock", "The Melissa Barker", "The Mariah Serine", "The Political Chronical", "Darkness at Noon", "The Brian Simpson", "The Wendi Bromley", "The Matt Goldstein", "The Mandy Kowalski", "The Brandon Molale", "The Jeffrey G. Barnett", "The Katie Eischen", "The Brent Fletcher", "The Adam Hart", "The Kim Koscki", "The Mike Mukatis", "The Popular Chronical", "The Mark Vanselow", "The Zack Duhame", "The Chad Guerrero", "The Tadahiro Nakamura", "The Shawn Robinson", "The Jason Marvel", "The Keala Nakanelua", "Hive Mind Antenna 55", "Freedom is Slavery", "The Brian Matsumura", "The Stephen Bacquet", "Year of the Rat", "The Casey Alicino", "The Federal Chronical", "The Mark Kalaugher", "The Robert Campbell", "The Socialist Chronical", "The Tuiaana Scanlan", "The Charles Smallwood", "The Jason Cross",
// Galaxy 5 (Rolled as 4 Rolls of 64) 
"The Evening Mail", "The Michael Chamberlain", "The Keith B. Davis", "The Celebrity Post", "The Galactic Prophet", "The Galactic Messenger", "The Paul A. Edwards", "The Michael Rintoul", "The Ted Tunney", "The Craig Hoffmann", "The Evening Post", "The Philippe Forster", "The Direct Approach", "The Federal Herold", "The David Leite", "The Cole Chetney", "The Marc Ribuca", "The Galactic Times", "The Imperial Post", "The Galactic Chronical", "The Lukas Seno", "The Daily Mail", "The Brandon Boudreaux", "The Josh Drew", "The Federal Herold", "The Imperial Post", "The Workers Herold", "The Communist Post", "The Imperial Mail", "The Republican Post", "The Duane Manwiller", "The Sarah Brandes", "The Daily Prophet", "The Mike Thomas", "The Daily Herold", "The David Ahuna", "The Democratic Post", "The Scientific Post", "The Marcis Cole", "The Rick Tiedeman", "The Communist Post", "The Imperial Times", "The Evening Mail", "The Jeff Zucker", "Hive Mind Node 65", "The Corporate Post", "The Workers Chronical", "The Galactic Prophet", "The Workers Mail", "The Workers Times", "The Brian Vollert", "The Federal Herold", "The Galactic Chronical", "The Daily Times", "The Shawn Christensen", "Listening Post 55", "The Mark Meyers", "The Federal Chronical", "Voice in the Wind", "The Chris Moseley", "The Mark O'Kane", "The Henry Fordham", "The Evening Prophet", "The Mario Perez", "Madison Chambers", "The Paul Santon", "The Hoffman Seminary", "Medeiros Seminary", "The Mortal Engine", "The Sudhof Asylum", "The Paul Santos", "The Dan Simmons", "Rutter Cloisters", "Nadel Cloisters", "The Kurt Simafranca", "The Lomba Asylum", "The Paranormal Paradox", "Relics of the Past ", "The Miraculous Pendulum", "Kandel Seminary", "The James Takahashi", "The Malbordus Seminary", "Loftus Asylum", "The Chris Thornton", "The James Neilson", "Gergen Cloisters", "Lapworth Seminary", "Gergen Hall", "The Cookson Asylum", "The Feldman Seminary", "The Loftus Seminary", "The Andy Shuttleworth", "The Scott Milton", "The Patrick Wallace", "Montagnier Cloisters", "The Bruce Vollert", "The Bobby Davison", "The Weinberg Asylum", "The Bill Draheim", "Karam Cloisters", "The Michael Romano", "The Norman Akau", "Naval Observation Post 65", "Powell Chambers", "The Don Chong", "The Bonaparte Asylum", "The Sean Prichard", "The Colin Hudson", "Lomba Hall", "Mortvania Cloisters", "The Damon Marcellino", "The David Richert", "The Justin Knowles", "The Bonaparte Seminary", "Sargon Hall", "The Posner Asylum", "Rutter Hall", "The David Jones", "Malbordus Cloisters", "The Dreimanis Seminary", "The Rachel Sutton", "The Farrah West", "The Jaime Harlan", "Schroger Hall", "Mirror of the Grave", "Malbordus Chambers", "The Caitlin McKenna", "The Anna Fishburn", "The Adam Hochfeld", "Detachment Theory", "The Rorschach Consensus", "The Anthony J. Scarano", "Trident Cloisters", "The Devon Patterson", "The Dystopian Incursion", "Origin Theory", "SETI Scanner 95", "Chardin Hall", "The Francis Cockrell", "Darrow Hall", "Kagan Hall", "Limpet Hall", "The Tony Velasco", "The Linda Vollert", "The Peter Ritter", "The Descartian Interpretation", "Membrane Theory", "Listening Post 85", "The Avalonia Approximation", "Eternal Motion", "The Marc Wielage", "The Lance Stubblefield", "Diamondback Cloisters", "The Zetter Conjecture", "Cognitive Theory", "The Lapworth Asylum", "Tarsus Asylum", "The Johnny Kirkwood", "The Wayne Hampton", "The Santeau Asylum", "Faridah Chambers", "The Bernardi Deviation", "Membrane Theory", "The Amanda Lencioni", "Blackwater Seminary", "SETI Scanner Omega", "The Lomba Asylum", "The Brandon King", "The Kaufman Conjecture", "The Copenhagen Conjecture", "The Faustian Consensus", "The Chris Braun", "The Jamie Vega", "Sternberg Chambers", "The Rhinehart Deviation", "The David Eisenberg", "Tavris Hall", "The Andrew Rinehart", "Olmanova Hall", "The Zetter Incursion", "The Jonathan Goldberg", "Baltimore Chambers", "The Schrodinger Conjecture", "Naval Intelligence Post 50", "The Madison Asylum", "The Richelieu Conjecture", "The David Kaldor", "The Brian Kelley", "The George Carlston", "Xenon Chambers", "The Karen Anastasio", "The Mantuani Asylum", "The Furtive Witness", "The Omnipresent Spectator", "The Illusive Witness", "The Faceless Observer", "The Detached Spectator", "The Omnipresent Watcher", "The Furtive Autocrat", "The Omnipresent Watcher", "Mother of the Disappeared", "The Illusive Watcher", "The Detached Witness", "The Omnipresent Operative", "The Illusive Listener", "The Furtive Listener", "The Furtive Listener", "The Furtive Listener", "The Officious Bystander", "The Nameless Operative", "The Furtive Operative", "The Arthur Conan Doyle", "The Steve Porter", "The Officious Spectator", "The Faceless Witness", "Long Walk to Freedom", "The Detached Observer", "The Todd Kleparski", "The Faceless Spectator", "The Unseen Observer", "The Nameless Listener", "Land Of The Free", "The Faceless Spectator", "The Detached Witness", "The Omnipresent Operative", "The Nameless Operative", "The Faceless Listener", "The Illusive Listener", "The Detached Operative", "The Faceless Watcher", "The Faceless Observer", "The Nameless Witness", "The Anonymous Watcher", "Greenham Common", "The Anonymous Agent", "The Unseen Spectator", "The Adam Lambert", "The Faceless Agent", "The Unseen Witness", "The Officious Autocrat", "The Unseen Operative", "The Officious Witness", "The Jacques Bergerac", "The Officious Operative", "The Nameless Witness", "The Faceless Listener", "The Omnipresent Spectator", "The Illusive Observer", "The Unseen Operative", "The Illusive Agent", "The Unseen Spectator", "Lady of the Fountain", "The Unseen Watcher", "The Furtive Witness", "The Faceless Witness", "The Detached Operative",
// Galaxy 6 (Rolled as 4 Rolls of 64) 
"The Sean Hallock", "The Lawrence Quindica", "The Tyson Balcomb", "The Michael Haro", "The Miki Yasufuku", "The Norman Ludwin", "The Revolution Will Be Televised", "The Michael Andreas", "The Dave Wells", "The Stephanie Matos", "The George Drakoulias", "The Stephen M. Davis", "The Jennifer Pyken", "The Sean Hennessy", "The Booker White", "The Christopher Thomas", "The Ramin Sakurai", "The Frank Macchia", "The Patti Dalzell", "The Elizabeth S. Barton", "The Brenda Lopez", "The Dawn Gilliam", "The Anthony Mullins", "The Bruce Hauer", "The Richard Groder", "The Jeffrey Gowing", "The Richard Dahl", "The Jesse Duarte", "The Mitch Connell", "The Puna Kekai", "The David Porter", "Feast of Bricriu", "The Steve Cainas", "The Ricardo Galindez", "The Dawn Lambertsen", "The Tony Natoli", "The Norman Kali", "The Christina Garner", "The Brian Evans", "The Andrew Childers", "The Luke Pearsall", "The Richard Raymond", "The Harry Herbeck", "The Shelley Stevens", "The Jessica Cole", "The Jim Galasso", "The Gina Hendrick", "The Justin Tolley", "House of Flying Daggers", "The Zachary Kamen", "The David Muscatine", "The Kristin Jackson", "The Amanda Finn", "SETI Scanner 55", "The Andrew Rinehart", "The Amber Tomasello", "The Russell Blanchard", "The Graham Roland", "The Coriedus Brown", "The Jason Finn", "The Tiffany Cheng", "The Jesse Alexander", "The Kim Clements", "The Lisa Kehaulani", "Opium Barcelona", "The Horned Arthropod", "The Coiled Cobra", "The Coiled Adder", "The Glowing Periapt", "The Horned Arthropod", "The Striking Mamba", "The Glowing Grail", "The Coiled Mamba", "The Royal Periapt", "The Edible Avian", "The Spotted Reptilian", "The Victorious Python", "The Royal Sceptre", "The Harmless Hominoid", "The Hypnotic Asp", "The Victorious Python", "The Julie Bernards", "The Edible Crustacean", "The Brian Vaughan", "The Coiled Viper", "The Allan Rafael", "The Harmless Feline", "The Joey Castillo", "The Flawless Topaz", "The Striking Asp", "The Stealthy Adder", "The Horned Crustacean", "The Hypnotic Viper", "The Coiled Python", "The David Hepburn", "The Armoured Arthropod", "Hive Mind Amplifier 75", "The Victorious Python", "The Victorious Adder", "The Striking Mamba", "The Victorious Cobra", "The Edible Arthropod", "The Coiled Adder", "The Keoki Tavares", "The Coiled Python", "The Edible Amphibian", "The Coiled Mamba", "The Spotted Cobra", "The Victorious Python", "The Scott Markus", "The Harmless Hominoid", "The Spotted Crustacean", "The Victor Lozano", "The Flawless Sceptre", "The Horned Reptilian", "The Striking Asp", "The Stealthy Mamba", "The Royal Topaz", "The Edible Humanoid", "The Tiffany Crowe", "The Flawless Periapt", "The Horned Crustacean", "The Flawless Topaz", "The Harmless Insectoid", "The Mesmerizing Viper", "Hive Mind Antenna 85", "The Craig Rosenberg", "The Julie Carlson", "Circle of Time", "Spirit of Fortune", "Circle of Enterprise", "The Nathaniel Curtis", "Conclave of Fate", "Circus of Fate", "Conclave of Judgment", "Circus of Enterprise", "Carnival of Time", "Goddess of Ambition", "Herold of Arthur", "Spirit of Judgment", "Goddess of Destiny", "Conclave of Judgment", "Carousel of Destiny", "Essence of Time", "Beyond a Steel Sky", "Circle of Virtue", "Carnival of Ambition", "Carousel of Enterprise", "Circus of Ambition", "Conclave of Ambition", "Carousel of Virtue", "Wheel of Virtue", "Circle of Virtue", "Carousel of Judgment", "Pause for Reflection", "Vision of Fortune", "Spirit of Fortune", "Goddess of Time", "Vision of Destiny", "Conclave of Fortune", "Goddess of Fortune", "Circus of Ambition", "Vision of Destiny", "Circus of Virtue", "Carousel of Judgment", "Carousel of Virtue", "Carousel of Fate", "Essence of Virtue", "Wheel of Judgment", "Goddess of Judgment", "Carnival of Time", "Goddess of Enterprise", "Spirit of Ambition", "Essence of Ambition", "Carousel of Time", "Spirit of Time", "Goddess of Fortune", "Carnival of Destiny", "Carnival of Destiny", "Wheel of Fate", "Goddess of Enterprise", "Circle of Fate", "Circus of Judgment", "Essence of Destiny", "Circus of Fortune", "Spirit of Fortune", "Goddess of Judgment", "Circus of Destiny", "Goddess of Fate", "Circus of Time", "Goddess of Judgment", "Circle of Fate", "The Phelps Amplifier", "The Cushman Cryptograph", "The Whitefield Encoder", "The Warrington Router", "The Parsons Encoder", "The Petrus Transducer", "The Crothers Amplifier", "The Holman Server", "The Brindley Uplink", "The Freedman Encoder", "The Barlow Network", "The Christie Dish", "The Whitefield Transducer", "The Parsons Receiver", "The Heaviside Receiver", "The Huskey Uplink", "The Petrus Router", "The Hobson Server", "The Drummond Router", "The Warrington Cryptograph", "The Goldmark Router", "The Parsons Receiver", "The Entwisle Server", "The Walter Fowler", "The Hornblower Archive", "The Kassalen Receiver", "The Lombard Receiver", "The Collier Dish", "The Flaherty Encoder", "The Lundeen Server", "The Gresley Cryptograph", "The Trevithick Scrambler", "The Gresley Network", "The Heaviside Amplifier", "The Hinton Router", "The Hutton Receiver", "The Belmar Transducer", "The Holman Archive", "The Brunel Transducer", "The McNamara Scrambler", "The Moisseiff Archive", "The Lasker Dish", "The Emerson Uplink", "The Heaviside Uplink", "The Bowden Transducer", "The Evans Amplifier", "The Carpenter Router", "The Christie Uplink", "The Carpenter Archive", "The Hasbrook Server", "The Evans Encryptor", "The Kassalen Router", "The Whitefield Uplink", "The Emerson Receiver", "The Emerson Receiver", "The Bowden Cryptograph", "The Brindley Receiver", "The Emerson Dish", "The Gresley Transducer", "The Heaviside Archive", "The Kassalen Router", "The Paddleford Uplink", "The Cushman Router", "The Melton DataBank",
// Galaxy 7 (Rolled as 4 Rolls of 64) 
"The Blacksand Extractor", "The Rahman Capacitor", "The Quadram Underhalls", "The Palacios Interferometer", "The Kader Crusher", "The Bashar Experiment", "The Denhart Expedition", "The Skinner Underhalls", "The Beltran Gantlet", "The Blacksand Corollary", "The Chidubem Crusher", "The Temitope Blender", "The Mahler Underhalls", "The Temitope Interferometer", "The Kalbach Underhalls", "The Ingman Blender", "The Sean Hallock", "The Mandel Capacitor", "The Maldonado Gate", "The Kalbach Extractor", "The Scully Reactor", "The Velasco Catapult", "The Ophoven Crusher", "The Innes Corollary", "The Denhart Interpretation", "The Lorenzo Gate", "The Skinner Menagerie", "The Mahler Reactor", "The Brian Vollert", "The Waterman Sequencer", "The Maldonado Extractor", "What Lies Unseen", "The Khalid Compressor", "The Scully Interpretation", "The Kader Teleporter", "The Mulder Extractor", "The Obiakolam Gantlet", "The Rademaker Interpretation", "The Gibson Catapult", "The Freeman Experiment", "The Denhart Crusher", "The Castellano Interpretation", "The Rademaker Extractor", "The Kafer Compressor", "The Scully Interpretation", "The Riversong Corollary", "The Bautista Condenser", "The Rahman Condenser", "The Kersh Menagerie", "The Bautista Expedition", "The Mahler Blender", "The Adeleke Compressor", "The Palacios Blender", "The Palacios Interpretation", "The Castellano Sequencer", "The Kuehler Compressor", "The Santana Reactor", "The Gallardo Gantlet", "The Adeleke Reactor", "The Ophoven Blender", "The Franklin Corollary", "Fleet Street", "The Maduro Gantlet", "The Kalbach Corollary", "Vanguard of Aristodemos", "Standard of Atreids", "Navy of Cleandridas", "Standard of Phormio", "Navy of Alcamenes", "Navy of Tisamenos", "Champion of Teleutias", "Champion of Cleandridas", "Rod of Aracus", "Vanguard of Tisamenos", "Flag of Teleclus", "Flag of Tolmides", "Pendant of Callicrates", "Standard of Seleucus", "An Unfortunate Turn of Events", "The Foreign Correspondent", "Army of Aristeus", "Pendant of Archelaus", "Naval Observation Post 55", "Medallion of Sphodrias", "Rod of Leontichus", "Champion of Cleandridas", "Medallion of Antiochus", "Hive Mind Amplifier 95", "Beyond Time and Space", "Standard of Cleomenes", "Rod of Phoebidas", "Navy of Echestratus", "Standard of Cleitus", "Medallion of Cinadon", "Army of Leonidas", "Standard of Chabrias", "Standard of Nearchus", "Hive Mind Node 120", "Flag of Heraclides", "Medallion of Themistocles", "When the Sky Was Opened", "Rod of Perseides", "Rod of Teleutias", "Vanguard of Leonidas", "Standard of Orestes", "Medallion of Andromachus", "Vanguard of Orestes", "Flag of Anaxibius", "Champion of Labotas", "Flag of Amphoterus", "Standard of Antisthenes", "Rod of Atreids", "Rod of Cleonaeus", "Standard of Tolmides", "Flag of Lysander", "Champion of Clearchus", "Champion of Tolmides", "Vanguard of Orestes", "Galaxy 7 News Transmitter 03", "Medallion of Leontichus", "Navy of Hierax", "Army of Aristodemos", "Vanguard of Lysander", "Standard of Callicrates", "Hive Mind Matrix 95", "Standard of Truth", "Navy of Helenus", "Vanguard of Patroclus", "NeoMax Advertising Inc", "No Stone Unturned", "RadGen Productions Plc", "TextMax Multimedia Plc", "DexMax Theatricals Ltd", "QuadCom Multimedia Plc", "VioNet Productions Plc", "RadGen Telefilms Inc", "RadMod HyperRadio Plc", "QuadTel Studios Ltd", "LexTel Holovision Ltd", "Technical Difficulties", "ZenMod Entertainment Inc", "QuadNet Telecasts Plc", "QuadMan Productions Plc", "HoloMax Broadcasting Plc", "LexNet Advertising Inc", "ZenBox Holovision Inc", "DexGen Multimedia Ltd", "VioNet Advertising Ltd", "HoloMan Gaming Plc", "HoloMod Theatricals Plc", "Galaxy 7 News Transponder 01", "ZenMod Broadcasting Inc", "LexTel Entertainment Plc", "Solaris Research Station", "VoxMan Studios Inc", "NeoCom Entertainment Ltd", "RadTel Advertising Plc", "ZenCom Telecasts Plc", "VoxMan Broadcasting Plc", "DexGen Productions Ltd", "TextCom Animatronics Plc", "Voice of the Wilderness", "RadCom Studios Ltd", "LexTel Entertainment Plc", "LexBox Broadcasting Inc", "TextTel Studios Plc", "QuadVid Animatronics Inc", "TextVid Studios Inc", "VioBox Theatricals Plc", "LexMan Entertainment Ltd", "HoloCom Gaming Inc", "TextMod Gaming Ltd", "DexCom HyperRadio Ltd", "SETI Scanner 120", "LexMan Animatronics Plc", "NeoCom Productions Plc", "QuadVid Holovision Ltd", "DexNet Theatricals Ltd", "DexNet Theatricals Plc", "QuadNet HyperRadio Ltd", "TextCom Telefilms Inc", "RadTel Telecasts Ltd", "QuadBox Cinematics Plc", "HoloTel Holovision Plc", "Galaxy 7 News Antenna 02", "NeoMax Broadcasting Plc", "Galaxy 7 News Transmitter 04", "DexTel Animatronics Inc", "VioBox Advertising Plc", "LexTel Telecasts Ltd", "QuadMan Advertising Plc", "HoloVid HyperRadio Ltd", "The ITN Antenna", "The Cosmic Decoder", "The State Transmitter", "The Star Antenna", "The CNS Transmitter", "The ABC Decoder", "Fort Lakota", "The ITV Transmitter", "The ITN Transmitter", "Fort Serrano", "Naval Intelligence Post 75", "The ITN Transponder", "The Orca Transponder", "The CNN Decoder", "The BBC Transmitter", "The Orca Antenna", "The Ibex Transmitter", "The Sky Decoder", "Fort Goshute", "The Ibex Antenna", "Fort Geronimo", "Fort Brant", "Galaxy 7 News Dish 05", "The ITV Transmitter", "The Ibex Decoder", "The Ibex Transponder", "The Sun News Decoder", "The Sky Decoder", "The Apple Transmitter", "The ITV Antenna", "The Cosmic Transmitter", "The CNN Transmitter", "SETI Scanner 65", "The GHN Antenna", "Fort Manuelito", "Fort Shawnee", "Glitch in the Matrix", "The BBC Decoder", "The ABC Decoder", "The Metro Antenna", "The Apple Transmitter", "Fort Cochise", "The Ibex Transmitter", "The SETI Transmitter", "The State News Antenna", "Fort Navajo", "The Ibex Antenna", "Fort Chiricahua", "Fort Arikara", "The CBS Transponder", "Fort Pawnee", "Fort Serrano", "Fort Chiricahua", "The CNS Transmitter", "Fort Shawnee", "The Apple Antenna", "Fort Quanah", "Fort Arikara", "The CNN Transponder", "The GHN Decoder", "The Orca Transponder", "The CNS Transponder", "The Orca Transponder", "The Apple Transponder",
// Galaxy 8 (Rolled as 4 Rolls of 64) 
"The Mysterious Stranger", "The Mayor of Trantor", "Night of the Raven", "House of Babbage", "Day of the Wolf", "The Mayor of Ashoria", "Day of Contemplation", "Day of the Dragon", "The Mayor of Dodge City", "The Mayor of Terminus", "The Sheriff of Tionisla", "The Mayor of Tionisla", "The Mayor of Trantor", "Pursuit of Happiness", "The Mayor of Terminus", "Day of the Raven", "House of Archimedes", "The Jeffrey Hunter" , "House of Odysseus", "Image of Cromwell", "Image of Perseus", "Time of the Dragon", "The Mayor of Trantor", "Sons of the Great Bear", "The Regulator of Tombstone", "Night of the Fallen", "The Mayor of Tombstone", "Way of Holdstock", "The Sheriff of Arcadia", "The Sheriff of Trantor", "House of Holdstock", "State News Transponder 55", "Night of the Dead", "Image of Poseidon", "Image of Lovelace", "The Regulator of Tombstone", "Time of the Dragon", "Time of Repentance", "Spider in the Web", "Night of Judgement", "Night of Reckoning", "Naval Observation Post 95", "Day of the Demon", "The Regulator of Tombstone", "Firefight at Tionisla", "The Sheriff of Lave", "The Mayor of Trantor", "The Mayor of Lave", "Listening Post 155", "Way of Perseus", "Way of Babbage", "Image of Pythagoras", "House of Odin", "Day of the Dead", "House of Theseus", "Way of Theseus", "Image of Lovelace", "Night of the Wolf", "House of Odin", "Time of Contemplation", "The Mayor of Ashoria", "Day of the Wolf", "Firefight at Terminus", "Pravda Download Link 45", "The Harmless Reptilian", "The Victorious Asp", "The Stealthy Viper", "The Flawless Sceptre", "The Horned Feline", "The Victorious Python", "The Mesmerizing Mamba", "The Stephen Hawking", "The George Lucas", "The Coiled Asp", "The Chris Barnes", "The Hypnotic Python", "The Spotted Amphibian", "The Horned Arthropod", "The Hypnotic Asp", "The Horned Feline", "The Royal Pendant", "The Hypnotic Mamba", "State News Transponder 75", "Sons of Liberty", "SETI Scanner 110", "The Don Bracken", "The Armoured Feline", "The Mark Rasmussen", "The Kevin Wenger", "The Horned Crustacean", "The Victorious Python", "The John Bernstein", "The Brian Matsumura", "The Coiled Adder", "The Striking Adder", "The Harmless Amphibian", "The Spotted Arthropod", "The Michael Broady", "The Horned Reptilian", "The Freddie Kaluna", "The Armoured Avian", "The Hypnotic Mamba", "The Dustin Gomes", "The Elon Musk", "The Striking Python", "The Lustrous Sceptre", "The Edible Humanoid", "The Coiled Adder", "The Armoured Reptilian", "The Edible Feline", "The Armoured Rodent", "The Victorious Mamba", "The Steve Guerino", "The Victorious Mamba", "The Douglas Adams", "The Hypnotic Adder", "The Armoured Insectoid", "The Mesmerizing Python", "The Victorious Adder", "Tainted Love", "The Striking Mamba", "The Harmless Crustacean", "The Armoured Insectoid", "The Roger Nakamine", "The Armoured Reptilian", "The Michael Tereschuk", "The Edible Humanoid", "The Paul Kenney", "Carousel of Fortune", "Carousel of Time", "The Ascent of Money", "Wheel of Fate", "Wheel of Ambition", "Wheel of Fortune", "Vision of Enterprise", "Wheel of Judgment" , "Goddess of Ambition", "Spirit of Ambition", "Essence of Judgment", "Carousel of Judgment", "Essence of Fortune", "Carousel of Fate", "Hive Mind Amplifier 105", "Wheel of Enterprise", "Carousel of Judgment", "Essence of Fortune", "Carnival of Destiny", "Carousel of Time", "Circle of Enterprise", "Proletarian News Feed 95", "Circle of Fortune", "Circus of Virtue", "Circus of Virtue", "Circus of Enterprise", "Vision of Ambition", "Essence of Destiny", "Vision of Enterprise", "Circus of Fortune", "Conclave of Fortune", "Goddess of Time", "Circus of Fortune", "Circle of Judgment", "Spirit of Fortune", "Circus of Fate", "Vision of Fortune", "Conclave of Virtue", "Vision of Time", "Vision of Fortune", "Essence of Judgment", "Circle of Enterprise", "Conclave of Virtue", "Carnival of Destiny", "Vision of Destiny", "Naval Intelligence Post 80", "Circus of Ambition", "Spirit of Enterprise", "Conclave of Virtue", "Carnival of Enterprise", "Spirit of Destiny", "The Sophia Brown", "The Ludwig Van Beethoven", "Carnival of Enterprise", "Spirit of Ambition", "Conclave of Virtue", "Circus of Judgment", "Carnival of Ambition", "Conclave of Time", "Carnival of Enterprise", "Wheel of Ambition", "Carousel of Time", "Essence of Fate", "Carousel of Virtue", "The Perkins Encryptor", "The Emerson Dish", "The Foley Archive", "The Lundin Router", "The Labram Cryptograph", "The Melton Cryptograph", "The Warrington Encoder", "The Hinton Scrambler", "The Emerson Network", "The Hornblower Router", "The Belmar Amplifier", "The Christie Transducer", "The Huskey Cryptograph", "The Holman Transducer", "The Newhouse Archive", "The Copeman Amplifier", "The Holman Server", "Hive Mind Antenna 125", "The Phelps DataBank", "The Gandhi Cryptograph", "The Copeman Router", "The Hobson Archive", "The Kruesi Encryptor", "The Heaviside DataBank", "The Philbrick Server", "The Parsons Uplink", "Wake for the Living", "Creepy Pasta", "The Heaviside Receiver", "The Evans Receiver", "The Hasbrook Amplifier", "The Heaviside Encoder", "The Lombard Amplifier", "The Hinton Encoder", "The Whittle Router", "The Entwisle Uplink", "The Drummond Archive", "The Nicole Andersen", "Pravda Download Link 25", "The Flaherty Network", "The Kruesi Archive", "The Entwisle Scrambler", "The Brindley Network", "The Hinton Cryptograph", "The Brindley Cryptograph", "The Lundin Router", "The Parsons Amplifier", "The Entwisle Amplifier", "The Hurst Dish", "The Lombard Server", "The Flaherty Dish", "The Brindley Encryptor", "The Huang Router", "The Crothers Amplifier", "The Haslett Scrambler", "The Perkins Encryptor", "The Huang Uplink", "The Warrington Encryptor", "The Whitefield Router", "The Petrus Uplink", "The Emerson Encryptor", "The Flaherty Encryptor", "The Huskey Amplifier", "The Parsons Receiver",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"The Gary Gygax"];

//  Name Array for the Sothis Stations (Number of Names in Array: 2,048 X 5)
// This uses the large counted pool method - See Readme for Details.
this.sothispool1 = [
// Galaxy 1
"Argenti Insecta", "Sophos Alvearium", "Largus Mercatus", "Fortem Alvearium", "Pacificae Domum", "Sapiens Villam", "Animosus Municipium", "Fidelis Oppidum", "Sophos Regina", "Pacificae Nidus", "Munificus Civitas", "Armato Collectivus", "Aurum Oppidum", "Fortem Villam", "Districtus Officina", "Armato Municipium", "Occupatus Collectivus", "Fidelis Oppidum", "Sapiens Custos", "Pacificae Officina", "Sophos Collectivus", "Fortis Municipium", "Amicissimum Insectum", "Sophos Concustodio", "Amicissimum Municipium", "Argenti Insectum", "Prudens Officina", "Pacificae Civitas", "Fidelis Nidus", "Amicissimum Insectum", "Certus Collectivus", "Districtus Officina", "Protegat Municipium", "Pacificae Domum", "Fortis Municipium", "Munificus Custos", "Animosus Vespa", "Fortem Municipium", "Sophos Insecta", "Munificus Castra", "Animosus Insecta", "Certus Officina", "Fortem Villam", "Fortem Vespa", "Munificus Nidus", "Protegat Domum", "Fidelis Villam", "Amicissimum Officina", "Districtus Insectum", "Certus Municipium", "Fortis Insectum", "Certus Cubile", "Validus Municipium", "Animosus Insectum", "Sapiens Officina", "Prudens Alvus", "Sapiens Villam", "Amicissimum Concustodio", "Fortem Regina", "Fortis Nidus", "Armato Alvus", "Districtus Melculum", "Prudens Oppidum", "Argenti Alvus","Occupatus Regina", "Prudens Regina", "Certus Castra", "Amicissimum Municipium", "Argenti Villam", "Uber Concustodio", "Animosus Municipium", "Fidelis Domum", "Sophos Civitas", "Certus Cubile", "Argenti Custos", "Occupatus Nidus", "Munificus Insectum", "Fortis Officina", "Districtus Concustodio", "Aurum Custos", "Prudens Collectivus", "Fortem Alvearium", "Uber Regina", "Aurum Custos", "Uber Villam", "Fidelis Custos", "Fidelis Civitas", "Fidelis Stratopedum", "Occupatus Civitas", "Pacificae Oppidum", "Fortem Vespa", "Amicissimum Concustodio", "Districtus Villam", "Fortis Regina", "Validus Insecta", "Argenti Insecta", "Armato Regina", "Fortem Insectum", "Amicissimum Melculum", "Protegat Melculum", "Sophos Collectivus", "Fortem Villam", "Ferrum Collectivus", "Sapiens Vespa", "Occupatus Oppidum", "Sapiens Officina", "Armato Collectivus", "Districtus Alvus", "Sapiens Custos", "Fortem Officina", "Uber Nidus", "Fortem Custos", "Ferrum Stratopedum", "Prudens Alvus", "Fortem Villam", "Armato Insecta", "Pacificae Stratopedum", "Armato Insecta", "Districtus Castra", "Prudens Nidus", "Sophos Insectum", "Armato Vespa", "Armato Custos", "Animosus Vespa", "Ferrum Nidus", "Argenti Nidus", "Protegat Insecta", "Aurum Stratopedum", "Aurum Municipium", "Occupatus Officina", "Prudens Concustodio", "Ferrum Oppidum", "Aurum Cubile", "Aurum Villam", "Armato Stratopedum", "Fortis Alvearium", "Occupatus Alvearium", "Districtus Collectivus", "Ferrum Nidus", "Prudens Vespa", "Uber Cubile", "Occupatus Melculum", "Argenti Alvus", "Pacificae Villam", "Ferrum Municipium", "Fortem Melculum", "Argenti Regina", "Fortem Vespa", "Uber Cubile", "Munificus Melculum", "Fidelis Concustodio", "Munificus Regina", "Sapiens Nidus", "Munificus Civitas", "Prudens Castra", "Armato Insecta", "Armato Cubile", "Ferrum Castra", "Certus Collectivus", "Prudens Alvus", "Ferrum Municipium", "Protegat Castra", "Armato Domum", "Argenti Civitas", "Munificus Vespa", "Armato Melculum", "Districtus Custos", "Sophos Nidus", "Argenti Stratopedum", "Validus Regina", "Occupatus Insectum", "Munificus Concustodio", "Munificus Civitas", "Fortem Villam", "Fortis Vespa", "Pacificae Collectivus", "Validus Nidus", "Protegat Domum", "Amicissimum Stratopedum", "Ferrum Melculum", "Protegat Municipium", "Sapiens Villam", "Occupatus Villam", "Uber Alvearium", "Aurum Melculum", "Munificus Stratopedum", "Armato Collectivus", "Pacificae Officina", "Argenti Villam", "Argenti Regina", "Sapiens Insecta", "Ferrum Regina","Aurum Insecta", "Districtus Oppidum", "Fidelis Artifex", "Aurum Villam", "Animosus Cubile", "Validus Stratopedum", "Fidelis Concustodio", "Sophos Domum", "Sapiens Domum", "Certus Custos", "Munificus Civitas", "Munificus Oppidum", "Validus Domum", "Occupatus Domum", "Pacificae Alvearium", "Amicissimum Villam", "Fortem Alvus", "Munificus Alvus", "Fortis Domum", "Armato Cubile", "Pacificae Vespa", "Sophos Alvus", "Argenti Regina", "Sophos Insectum", "Sapiens Civitas", "Validus Nidus", "Fidelis Insectum", "Certus Insectum", "Occupatus Concustodio", "Fidelis Collectivus", "Fortem Melculum", "Argenti Custos", "Fidelis Officina", "Fidelis Domum", "Fidelis Insectum", "Pacificae Vespa", "Aurum Municipium", "Ferox Volucris", "Armato Alvus", "Fidelis Vespa", "Fortis Alvearium", "Argenti Domum", "Pacificae Collectivus", "Prudens Nidus", "Fidelis Officina", "Animosus Vespa", "Prudens Vespa", "Prudens Collectivus", "Argenti Custos", "Fortem Collectivus", "Districtus Domum", "Sophos Oppidum", "Fortem Municipium", "Prudens Municipium", "Argenti Collectivus", "Animosus Officina", "Animosus Municipium", "Uber Concustodio", "Fortem Alvus", "Sophos Domum", "Fidelis Castra", "Amicissimum Custos", "Uber Vespa", "Occupatus Officina",
// Galaxy 2
"Venustus Studium", "Salataris Pugnaculum", "Venustus Castrum", "Auxiliarius Castrum", "Utibilis Emporium", "Elegans Studium", "Gratissimum Cunabula", "Venustus Mercatus", "Benignus Mercatus", "Locuples Nundinae", "Largus Forum", "Arcarius Mercatus", "Opulentos Mercatura", "Gloria Cunabula", "Salataris Castrum", "Gloria Permutatio", "Decorus Mercatura", "Dulcis Emporium", "Largus Quintana", "Lepidus Studium", "Lepidus Permutatio", "Elegans Mercatus", "Salataris Mercatura", "Opulentos Collubus", "Venustus Permutatio", "Dulcifer Emporium", "Bellatulus Studium", "Dulcis Burgus", "Dulcifer Forum", "Lepidus Quaestus", "Gloria Mercatus", "Bellatulus Permutatio", "Opulentos Quintana", "Salataris Praesidium", "Auxiliarius Pugnaculum", "Munificus Stabulum", "Auxiliarius Pugnaculum", "Opulentos Emporium", "Dulcis Cunabula", "Decorus Tutela", "Venustus Commercium", "Cracens Permutatio", "Bellatulus Quintana", "Gloria Permutatio", "Locuples Burgus", "Venustus Cunabula", "Dulcis Commercium", "Suavis Castrum", "Decorus Pabulatio", "Locuples Quaestus", "Venustus Mercatura", "Gestuosus Mercatura", "Suavis Cunabula", "Locuples Emporium", "Decorus Burgus", "Munificus Permutatio", "Benignus Emporium", "Decorus Mercatura", "Munificus Permutatio", "Suavis Cunabula", "Gloria Studium", "Bellatulus Studium", "Munificus Mercatus", "Locuples Emporium","Suavis Castrum", "Decorus Castrum", "Opulentos Studium", "Decorus Quaestus", "Gestuosus Collubus", "Dulcifer Nundinae", "Decorus Studium", "Salataris Studium", "Lepidus Nundinae", "Salataris Studium", "Suavis Commercium", "Dulcis Pabulatio", "Dulcifer Commercium", "Bellatulus Quintana", "Opulentos Stabulum", "Dulcis Castrum", "Suavis Tutela", "Munificus Stabulum", "Decorus Stabulum", "Munificus Tutela", "Gratissimum Commercium", "Decorus Emporium", "Munificus Quintana", "Suavis Tutela", "Utibilis Mercatura", "Dulcis Tutela", "Benignus Studium", "Cracens Emporium", "Bellatulus Quaestus", "Utibilis Castrum", "Largus Commercium", "Venustus Permutatio", "Utibilis Quaestus", "Cracens Pabulatio", "Cracens Burgus", "Lepidus Cunabula", "Decorus Mercatus", "Dulcis Permutatio", "Benignus Quaestus", "Decorus Studium", "Opulentos Forum", "Gloria Cunabula", "Gratissimum Emporium", "Gestuosus Pabulatio", "Bellatulus Nundinae", "Munificus Mercatus", "Suavis Studium", "Benignus Stabulum", "Gestuosus Stabulum", "Locuples Praesidium", "Auxiliarius Burgus", "Cracens Emporium", "Gestuosus Collubus", "Dulcis Castrum", "Gestuosus Castrum", "Gloria Permutatio", "Elegans Quaestus", "Gloria Pugnaculum", "Venustus Tutela", "Dulcifer Permutatio", "Benignus Pugnaculum", "Dulcis Stabulum", "Cracens Collubus", "Salataris Studium", "Salataris Forum", "Cracens Quaestus", "Munificus Permutatio", "Largus Nundinae", "Largus Burgus", "Locuples Pabulatio", "Dulcis Cunabula", "Locuples Burgus", "Dulcifer Pugnaculum", "Venustus Praesidium", "Suavis Emporium", "Locuples Praesidium", "Utibilis Mercatus", "Gestuosus Mercatus", "Suavis Commercium", "Bellatulus Quaestus", "Gestuosus Pugnaculum", "Elegans Tutela", "Utibilis Pugnaculum", "Dulcis Quaestus", "Salataris Tutela", "Elegans Pugnaculum", "Salataris Stabulum", "Lepidus Forum", "Bellatulus Tutela", "Munificus Pabulatio", "Dulcifer Quaestus", "Gestuosus Forum", "Dulcifer Cunabula", "Bellatulus Burgus", "Bellatulus Forum", "Salataris Cunabula", "Elegans Pabulatio", "Decorus Studium", "Suavis Mercatura", "Benignus Cunabula", "Venustus Pugnaculum", "Gratissimum Forum", "Dulcis Mercatura", "Elegans Collubus", "Auxiliarius Permutatio", "Auxiliarius Cunabula", "Locuples Commercium", "Bellatulus Emporium", "Dulcifer Forum", "Gratissimum Tutela", "Largus Emporium", "Utibilis Pugnaculum", "Dulcis Collubus", "Decorus Cunabula", "Largus Collubus", "Cracens Mercatus", "Dulcifer Pabulatio", "Gratissimum Studium", "Largus Stabulum", "Benignus Pabulatio", "Cracens Commercium", "Bellatulus Mercatus", "Gloria Commercium", "Lepidus Collubus", "Salataris Permutatio", "Gratissimum Studium", "Lepidus Nundinae", "Locuples Quaestus","Utibilis Nundinae", "Decorus Mercatus", "Lepidus Tutela", "Opulentos Castrum", "Gloria Cunabula", "Dulcifer Emporium", "Largus Nundinae", "Gestuosus Praesidium", "Bellatulus Emporium", "Elegans Mercatus", "Cracens Castrum", "Munificus Cunabula", "Benignus Studium", "Gloria Burgus", "Dulcis Pabulatio", "Dulcifer Emporium", "Locuples Praesidium", "Bellatulus Tutela", "Opulentos Burgus", "Elegans Commercium", "Largus Mercatura", "Decorus Mercatus", "Dulcis Stabulum", "Dulcis Quaestus", "Auxiliarius Collubus", "Largus Cunabula", "Elegans Permutatio", "Locuples Studium", "Suavis Pabulatio", "Dulcis Quaestus", "Cracens Castrum", "Salataris Forum", "Cracens Quaestus", "Salataris Pabulatio", "Venustus Forum", "Dulcifer Permutatio", "Dulcis Nundinae", "Gratissimum Permutatio", "Elegans Burgus", "Benignus Mercatura", "Opulentos Mercatura", "Opulentos Permutatio", "Gestuosus Mercatura", "Gloria Nundinae", "Venustus Cunabula", "Opulentos Mercatura", "Opulentos Mercatura", "Auxiliarius Quintana", "Dulcis Forum", "Utibilis Collubus", "Utibilis Nundinae", "Opulentos Nundinae", "Gratissimum Permutatio", "Dulcifer Nundinae", "Utibilis Quintana", "Cracens Studium", "Munificus Pugnaculum", "Gloria Forum", "Bellatulus Tutela", "Munificus Mercatura", "Munificus Pabulatio", "Benignus Emporium", "Locuples Nundinae", "Largus Mercatus",
// Galaxy 3
"Splendidus Odoror", "Novellus Communis", "Vetus Subolfacio", "Eximius Odoratus", "Sphaera Redoleo", "Magicus Collectivus", "Pythonicus Olefacto", "Senex Cubile", "Splendidus Ascella", "Eximius Subolfacio", "Natatio Pervolo", "Illustris Apes", "Novus Apes", "Vetus Odoror", "Novus Cubile", "Eximius Fragro", "Splendidus Ascella", "Clarus Olefacto", "Magus Communis", "Inlustris Fragro", "Magicus Tectum", "Senex Fragro", "Illustris Collectivus", "Clarus Collectivus", "Curabitur Collectivus", "Clarus Subolfacio", "Tripudium Pervolo", "Senex Communis", "Senex Subolfacio", "Magicus Communis", "Clarus Adoleo", "Senex Pervolo", "Inlustris Subolfacio", "Clarus Redoleo", "Novellus Odoror", "Tripudium Olefacto", "Saltatus Pervolo", "Eximius Pervolo", "Pythonicus Odoror", "Argentum Odoratus", "Sphaera Communis", "Argentum Colonia", "Natatio Olfacio", "Sphaera Olfacio", "Illustris Cunabulum", "Sphaera Odoror", "Clarus Ascella", "Inlustris Olfacio", "Illustris Olefacto", "Argentum Ascella", "Curabitur Colonia", "Splendidus Ascella", "Eximius Cornu", "Illustris Cornu", "Novellus Cornu", "Magus Collectivus", "Pythonicus Fragro", "Novus Olfacio", "Eximius Redoleo", "Saltatus Collectivus", "Novus Cunabulum", "Inlustris Nidore", "Pythonicus Colonia", "Senex Colonia","Inlustris Apes", "Clarus Cunabulum", "Inlustris Olefacto", "Argentum Cornu", "Inlustris Colonia", "Saltatus Apes", "Argentum Olefacto", "Pythonicus Subolfacio", "Argentum Redoleo", "Novellus Redoleo", "Vetus Tectum", "Inlustris Tectum", "Mystica Subolfacio", "Illustris Olefacto", "Mysticus Subolfacio", "Eximius Olfacio", "Saltatus Odoratus", "Saltatus Communis", "Argentum Subolfacio", "Mystica Fragro", "Magus Adoleo", "Curabitur Colonia", "Magus Communis", "Pythonicus Cornu", "Novus Olfacio", "Natatio Colonia", "Illustris Pervolo", "Senex Odoror", "Sphaera Odoror", "Splendidus Odoror", "Illustris Olefacto", "Argentum Odoratus", "Tripudium Subolfacio", "Curabitur Tectum", "Novellus Olfacio", "Argentum Subolfacio", "Novus Ascella", "Splendidus Communis", "Curabitur Subolfacio", "Sphaera Cubile", "Pythonicus Tectum", "Splendidus Nidore", "Magus Odoror", "Natatio Ascella", "Curabitur Tectum", "Novus Collectivus", "Saltatus Odoratus", "Magicus Nidore", "Novus Subolfacio", "Inlustris Nidore", "Magicus Adoleo", "Eximius Colonia", "Argentum Collectivus", "Sphaera Pervolo", "Novellus Communis", "Argentum Subolfacio", "Mysticus Ascella", "Novus Pervolo", "Curabitur Subolfacio", "Eximius Cornu", "Splendidus Subolfacio", "Natatio Colonia", "Mystica Fragro", "Inlustris Fragro", "Pythonicus Colonia", "Novellus Subolfacio", "Curabitur Cunabulum", "Splendidus Olfacio", "Clarus Cubile", "Sphaera Ascella", "Natatio Ascella", "Magus Tectum", "Magicus Odoratus", "Vetus Odoratus", "Novus Fragro", "Eximius Olfacio", "Natatio Communis", "Tripudium Cubile", "Magicus Subolfacio", "Inlustris Nidore", "Tripudium Fragro", "Eximius Odoror", "Mystica Ascella", "Illustris Communis", "Magicus Communis", "Magicus Olfacio", "Clarus Colonia", "Illustris Cubile", "Natatio Communis", "Mysticus Collectivus", "Curabitur Colonia", "Saltatus Colonia", "Magus Nidore", "Novellus Fragro", "Sphaera Cornu", "Natatio Communis", "Vetus Colonia", "Novellus Ascella", "Mysticus Subolfacio", "Illustris Redoleo", "Curabitur Odoror", "Mysticus Adoleo", "Magicus Collectivus", "Clarus Cunabulum", "Inlustris Ascella", "Curabitur Colonia", "Senex Fragro", "Curabitur Ascella", "Sphaera Ascella", "Novellus Ascella", "Natatio Cornu", "Vetus Olefacto", "Mysticus Subolfacio", "Sphaera Colonia", "Tripudium Communis", "Pythonicus Pervolo", "Magicus Pervolo", "Natatio Colonia", "Mysticus Tectum", "Pythonicus Subolfacio", "Senex Nidore", "Senex Odoror", "Mystica Adoleo", "Inlustris Communis", "Tripudium Ascella", "Splendidus Apes", "Magicus Cornu", "Curabitur Cunabulum","Saltatus Odoratus", "Curabitur Subolfacio", "Magus Cornu", "Inlustris Cunabulum", "Eximius Cornu", "Illustris Cornu", "Eximius Fragro", "Mysticus Apes", "Novellus Cubile", "Mysticus Odoror", "Magus Apes", "Splendidus Adoleo", "Novellus Ascella", "Senex Pervolo", "Sphaera Cunabulum", "Illustris Fragro", "Senex Olfacio", "Clarus Nidore", "Magicus Olfacio", "Natatio Cornu", "Clarus Colonia", "Novellus Apes", "Splendidus Redoleo", "Splendidus Pervolo", "Illustris Cubile", "Magicus Tectum", "Clarus Colonia", "Pythonicus Colonia", "Senex Tectum", "Illustris Communis", "Senex Redoleo", "Mystica Olfacio", "Pythonicus Collectivus", "Tripudium Adoleo", "Saltatus Olfacio", "Senex Subolfacio", "Mysticus Tectum", "Eximius Subolfacio", "Argentum Cornu", "Vetus Olfacio", "Argentum Tectum", "Senex Collectivus", "Tripudium Apes", "Illustris Cornu", "Eximius Subolfacio", "Vetus Subolfacio", "Illustris Collectivus", "Senex Communis", "Senex Olfacio", "Sphaera Adoleo", "Sphaera Colonia", "Novellus Cornu", "Saltatus Cubile", "Mystica Fragro", "Novus Cubile", "Illustris Communis", "Senex Ascella", "Magus Subolfacio", "Pythonicus Tectum", "Eximius Nidore", "Novellus Collectivus", "Senex Colonia", "Tripudium Olfacio", "Clarus Subolfacio",
// Galaxy 4
"Infigo Turba", "Coelum Universitas", "Reverendus Multae", "Infigo Corona", "Divum Vulgus", "Venerabilis Multae", "Verendus Circulor", "Divum Nectare", "Potens Pecunia", "Metallum Vulgus", "Divum Vulgus", "Magnus Vavis", "Immane Classis", "Volubilis Numus", "Verendus Vulgus", "Reverendus Circulor", "Immane Multae", "Potens Numus", "Caelum Numus", "Pollens Universitas", "Pollens Corona", "Verendus Universitas", "Volubilis Corona", "Volubilis Circulus", "Venerabilis Pecunia", "Pollens Vavis", "Magnus Pecunia", "Infigo Celebro", "Validus Vulgus", "Divum Corona", "Infigo Circulus", "Reverendus Nectare", "Caelum Celebro", "Immane Circulus", "Magnus Multitudo", "Reverendus Multitudo", "Metallum Corona", "Metallum Circulor", "Magnus Universitas", "Metallum Vulgus", "Praepollens Multitudo", "Divum Saltatio", "Pollens Celebro", "Potens Vulgus", "Pollens Multitudo", "Coelum Turba", "Pollens Circulus", "Infigo Nectare", "Verendus Nectare", "Praepollens Classis", "Pollens Circulus", "Verendus Pecunia", "Reverendus Multae", "Magnus Circulus", "Versura Classis", "Divum Multitudo", "Volubilis Multitudo", "Reverendus Nectare", "Venerabilis Multae", "Venerabilis Vulgus", "Metallum Classis", "Reverendus Saltatio", "Metallum Classis", "Versura Circulor","Validus Celebro", "Coelum Circulor", "Verendus Multitudo", "Caelum Saltatio", "Reverendus Saltatio", "Praepollens Turba", "Pollens Turba", "Venerabilis Classis", "Infigo Vavis", "Caelum Vavis", "Metallum Corona", "Immane Celebro", "Caelum Circulus", "Magnus Multitudo", "Metallum Saltatio", "Venerabilis Multae", "Versura Saltatio", "Coelum Multitudo", "Volubilis Vulgus", "Validus Pecunia", "Pollens Celebro", "Versura Multae", "Caelum Vavis", "Reverendus Forma", "Infigo Universitas", "Infigo Pecunia", "Praepollens Saltatio", "Venerabilis Multitudo", "Reverendus Turba", "Metallum Multitudo", "Magnus Circulor", "Infigo Multitudo", "Coelum Turba", "Pollens Numus", "Divum Circulus", "Verendus Classis", "Magnus Multae", "Infigo Pecunia", "Divum Multitudo", "Divum Multitudo", "Volubilis Circulus", "Coelum Vavis", "Reverendus Vulgus", "Metallum Numus", "Metallum Forma", "Validus Universitas", "Praepollens Circulus", "Versura Turba", "Coelum Pecunia", "Immane Circulus", "Divum Forma", "Reverendus Vulgus", "Verendus Circulus", "Immane Numus", "Venerabilis Classis", "Pollens Pecunia", "Divum Corona", "Verendus Vulgus", "Verendus Circulor", "Coelum Pecunia", "Caelum Nectare", "Potens Circulus", "Pollens Vulgus", "Caelum Circulor", "Immane Vavis", "Venerabilis Classis", "Magnus Multae", "Caelum Numus", "Infigo Nectare", "Praepollens Vulgus", "Potens Vavis", "Venerabilis Universitas", "Potens Circulus", "Coelum Forma", "Potens Classis", "Versura Multae", "Infigo Numus", "Potens Vavis", "Verendus Forma", "Potens Vulgus", "Reverendus Nectare", "Reverendus Celebro", "Volubilis Corona", "Venerabilis Forma", "Venerabilis Celebro", "Verendus Multae", "Infigo Circulor", "Validus Classis", "Praepollens Circulor", "Magnus Vulgus", "Coelum Universitas", "Metallum Vulgus", "Coelum Multitudo", "Reverendus Celebro", "Coelum Forma", "Magnus Saltatio", "Coelum Numus", "Venerabilis Celebro", "Divum Turba", "Infigo Saltatio", "Divum Corona", "Venerabilis Vavis", "Magnus Classis", "Pollens Classis", "Magnus Vavis", "Infigo Turba", "Versura Turba", "Infigo Multitudo", "Reverendus Forma", "Verendus Classis", "Venerabilis Celebro", "Divum Celebro", "Metallum Multae", "Verendus Turba", "Divum Vulgus", "Coelum Multae", "Venerabilis Vavis", "Validus Turba", "Praepollens Numus", "Immane Celebro", "Versura Circulor", "Infigo Saltatio", "Pollens Multae", "Praepollens Saltatio", "Coelum Universitas", "Magnus Vavis", "Divum Universitas", "Divum Saltatio","Caelum Vulgus", "Coelum Saltatio", "Caelum Celebro", "Immane Celebro", "Infigo Forma", "Divum Vulgus", "Potens Nectare", "Metallum Vulgus", "Venerabilis Nectare", "Praepollens Nectare", "Pollens Nectare", "Caelum Celebro", "Validus Celebro", "Metallum Saltatio", "Infigo Celebro", "Validus Multae", "Validus Multitudo", "Infigo Celebro", "Infigo Circulor", "Immane Turba", "Metallum Classis", "Praepollens Multae", "Validus Classis", "Immane Turba", "Pollens Vulgus", "Versura Multae", "Venerabilis Multae", "Potens Numus", "Metallum Circulor", "Caelum Celebro", "Versura Vulgus", "Caelum Classis", "Infigo Pecunia", "Divum Celebro", "Venerabilis Circulus", "Potens Forma", "Coelum Pecunia", "Coelum Multae", "Praepollens Forma", "Caelum Circulus", "Infigo Celebro", "Magnus Circulus", "Reverendus Circulor", "Praepollens Turba", "Metallum Classis", "Divum Celebro", "Validus Pecunia", "Potens Universitas", "Reverendus Multitudo", "Pollens Numus", "Divum Multitudo", "Pollens Multitudo", "Magnus Forma", "Magnus Vavis", "Immane Numus", "Infigo Vavis", "Validus Celebro", "Volubilis Celebro", "Caelum Circulus", "Reverendus Circulus", "Venerabilis Vulgus", "Metallum Forma", "Magnus Classis", "Magnus Universitas",
// Galaxy 5
"Decoris Studium", "Candidus Redemptor", "Formosus Agricola", "Spectatus Colonus", "Speciosus Globus", "Pulchra Globus", "Pulchra Ratis", "Artium Navigium", "Spectatus Ratis", "Candidus Ratis", "Ficta Collegium", "Artificiosus Arator", "Honestus Colonus", "Bellus Redemptor", "Auriolus Agricola", "Artium Lambo", "Candidus Mathematica", "Bellus Sphaera", "Speciosus Sphaera", "Praeclarus Hortulanus", "Speciosus Hortulanus", "Conclamatus Studium", "Artificiosus Ratis", "Spectatus Scientia", "Auriolus Sphaera", "Speciosus Colonus", "Artifex Mathematica", "Bellus Collegium", "Artifex Arator", "Honestus Ratis", "Decoris Sphaera", "Artium Topiarius", "Conclamatus Mathematica", "Floridus Agricola", "Auriolus Lambo", "Conclamatus Agricola", "Speciosus Studium", "Pulchra Colonus", "Candidus Topiarius", "Artium Navigium", "Candidus Agricola", "Artium Studium", "Auriolus Studium", "Speciosus Redemptor", "Candidus Navigium", "Honestus Collegium", "Bellus Mathematica", "Formosus Lambo", "Honestus Sphaera", "Bellus Arator", "Decoris Redemptor", "Praeclarus Agricola", "Auriolus Sphaera", "Ficta Cultor", "Honestus Redemptor", "Candidus Cultor", "Bellus Agricola", "Artium Ratis", "Formosus Lambo", "Artium Scientia", "Praeclarus Hortulanus", "Honestus Globus", "Candidus Agricola", "Formosus Hortulanus","Conclamatus Colonus", "Candidus Hortulanus", "Artifex Collegium", "Artifex Hortulanus", "Decoris Colonus", "Artium Hortulanus", "Formosus Topiarius", "Conclamatus Navigium", "Floridus Scientia", "Spectatus Cultor", "Praeclarus Mathematica", "Speciosus Cultor", "Pulchra Globus", "Candidus Hortulanus", "Honestus Navigium", "Spectatus Globus", "Speciosus Topiarius", "Conclamatus Hortulanus", "Speciosus Scientia", "Bellus Sphaera", "Bellus Redemptor", "Bellus Redemptor", "Artificiosus Hortulanus", "Ficta Hortulanus", "Floridus Hortulanus", "Conclamatus Colonus", "Bellus Topiarius", "Floridus Navigium", "Honestus Cultor", "Speciosus Ratis", "Honestus Collegium", "Artifex Mathematica", "Spectatus Topiarius", "Artium Agricola", "Bellus Hortulanus", "Auriolus Colonus", "Praeclarus Cultor", "Spectatus Agricola", "Conclamatus Hortulanus", "Artifex Cultor", "Artifex Colonus", "Ficta Mathematica", "Candidus Scientia", "Speciosus Agricola", "Artifex Studium", "Formosus Arator", "Decoris Sphaera", "Ficta Agricola", "Artificiosus Globus", "Praeclarus Agricola", "Honestus Cultor", "Candidus Globus", "Artium Globus", "Artifex Hortulanus", "Speciosus Colonus", "Floridus Hortulanus", "Formosus Ratis", "Spectatus Lambo", "Artium Sphaera", "Auriolus Scientia", "Ficta Lambo", "Floridus Hortulanus", "Auriolus Mathematica", "Formosus Redemptor", "Speciosus Cultor", "Speciosus Hortulanus", "Artifex Redemptor", "Decoris Hortulanus", "Speciosus Collegium", "Ficta Globus", "Honestus Studium", "Praeclarus Navigium", "Speciosus Topiarius", "Artium Mathematica", "Praeclarus Hortulanus", "Candidus Sphaera", "Floridus Studium", "Conclamatus Ratis", "Praeclarus Redemptor", "Decoris Topiarius", "Candidus Ratis", "Auriolus Agricola", "Floridus Colonus", "Honestus Lambo", "Spectatus Scientia", "Decoris Mathematica", "Speciosus Navigium", "Candidus Lambo", "Candidus Agricola", "Ficta Navigium", "Honestus Cultor", "Artificiosus Topiarius", "Auriolus Navigium", "Honestus Redemptor", "Formosus Cultor", "Artifex Redemptor", "Artium Topiarius", "Speciosus Ratis", "Conclamatus Lambo", "Conclamatus Navigium", "Artifex Redemptor", "Pulchra Hortulanus", "Speciosus Colonus", "Praeclarus Redemptor", "Floridus Collegium", "Artium Mathematica", "Spectatus Hortulanus", "Decoris Lambo", "Floridus Sphaera", "Pulchra Navigium", "Auriolus Colonus", "Formosus Navigium", "Bellus Ratis", "Artium Cultor", "Decoris Mathematica", "Artificiosus Globus", "Candidus Arator", "Praeclarus Topiarius", "Spectatus Collegium", "Candidus Agricola", "Floridus Arator", "Artium Cultor", "Spectatus Ratis", "Candidus Navigium", "Candidus Agricola", "Artifex Cultor", "Pulchra Lambo", "Auriolus Cultor","Spectatus Cultor", "Floridus Globus", "Praeclarus Topiarius", "Candidus Scientia", "Spectatus Scientia", "Honestus Lambo", "Conclamatus Navigium", "Honestus Globus", "Spectatus Studium", "Candidus Globus", "Ficta Redemptor", "Praeclarus Topiarius", "Spectatus Topiarius", "Artium Agricola", "Pulchra Hortulanus", "Artifex Redemptor", "Floridus Redemptor", "Auriolus Topiarius", "Bellus Colonus", "Spectatus Hortulanus", "Candidus Scientia", "Decoris Lambo", "Pulchra Navigium", "Auriolus Globus", "Artificiosus Cultor", "Conclamatus Sphaera", "Praeclarus Mathematica", "Auriolus Agricola", "Floridus Scientia", "Honestus Ratis", "Floridus Agricola", "Conclamatus Hortulanus", "Artifex Ratis", "Formosus Studium", "Artificiosus Hortulanus", "Candidus Mathematica", "Bellus Hortulanus", "Bellus Sphaera", "Bellus Ratis", "Speciosus Navigium", "Auriolus Sphaera", "Formosus Redemptor", "Praeclarus Cultor", "Pulchra Arator", "Bellus Lambo", "Speciosus Ratis", "Conclamatus Colonus", "Auriolus Redemptor", "Bellus Navigium", "Praeclarus Globus", "Artium Cultor", "Honestus Arator", "Praeclarus Agricola", "Praeclarus Collegium", "Praeclarus Studium", "Floridus Topiarius", "Bellus Topiarius", "Conclamatus Topiarius", "Bellus Hortulanus", "Bellus Sphaera", "Speciosus Ratis", "Bellus Mathematica", "Artifex Ratis", "Artifex Scientia",
// Galaxy 6
"Rubrum Hamus", "Versutus Ictus", "Luculenus Veneno", "Luteus Floreo", "Croceus Ictus", "Rubrum Robus", "Flavens Medico", "Vorsutus Spiculo", "Versutus Veneno", "Callidus Floresco", "Dolosus Uncinus", "Croceus Pervigeo", "Sollers Statione", "Vafer Aculeus", "Vorsutus Conlegium", "Versutus Robus", "Dolosus Floresco", "Ingeniosus Venenum", "Bombus Floresco", "Luculenus Aculeus", "Luculenus Venenum", "Luculenus Hamus", "Flavens Spiculo", "Croceus Pervigeo", "Versutus Robus", "Luculenus Toxicum", "Callidus Pervigeo", "Vafer Venenum", "Vafer Spiculo", "Vafer Ictus", "Vorsutus Morsus", "Vorsutus Toxicum", "Dolosus Ictus", "Ingeniosus Floreo", "Ingeniosus Statione", "Rubrum Morsus", "Trebax Ictus", "Bombus Conlegium", "Vafer Statione", "Astutus Uncinus", "Ingeniosus Floreo", "Flavens Conlegium", "Luteus Morsus", "Dolosus Floresco", "Callidus Aculeus", "Rubrum Venenum", "Luteus Floresco", "Versutus Hamus", "Subtiliter Floresco", "Astutus Floreo", "Luculenus Uncinus", "Vafer Floreo", "Bombus Robus", "Bombus Venenum", "Sollers Ictus", "Sollers Robus", "Croceus Morsus", "Ingeniosus Pervigeo", "Sollers Hamus", "Ingeniosus Spiculo", "Rubrum Ictus", "Versutus Venenum", "Luteus Uncinus", "Luteus Ictus","Astutus Pervigeo", "Bombus Hamus", "Astutus Uncinus", "Rubrum Venenum", "Versutus Conlegium", "Flavens Hamus", "Rubrum Floresco", "Subtiliter Pervigeo", "Vafer Venenum", "Versutus Veneno", "Sollers Veneno", "Luteus Spiculo", "Croceus Ictus", "Subtiliter Morsus", "Vorsutus Venenum", "Bombus Hamus", "Sollers Morsus", "Trebax Hamus", "Vafer Toxicum", "Trebax Toxicum", "Bombus Conlegium", "Vorsutus Aculeus", "Versutus Robus", "Luculenus Aculeus", "Vafer Pervigeo", "Rubrum Ictus", "Vorsutus Robus", "Astutus Toxicum", "Dolosus Morsus", "Vafer Floreo", "Flavens Veneno", "Rubrum Conlegium", "Bombus Uncinus", "Astutus Robus", "Rubrum Floresco", "Ingeniosus Spiculo", "Luculenus Spiculo", "Luteus Hamus", "Trebax Robus", "Astutus Spiculo", "Sollers Medico", "Callidus Conlegium", "Sollers Ictus", "Sollers Venenum", "Sollers Venenum", "Croceus Conlegium", "Ingeniosus Robus", "Vafer Uncinus", "Ingeniosus Conlegium", "Luteus Hamus", "Versutus Aculeus", "Bombus Uncinus", "Bombus Pervigeo", "Luteus Ictus", "Vorsutus Spiculo", "Dolosus Spiculo", "Vafer Veneno", "Luteus Floresco", "Rubrum Hamus", "Trebax Ictus", "Subtiliter Conlegium", "Vafer Veneno", "Vorsutus Uncinus", "Dolosus Floreo", "Dolosus Spiculo", "Versutus Floreo", "Callidus Morsus", "Subtiliter Floreo", "Bombus Robus", "Astutus Toxicum", "Subtiliter Floreo", "Bombus Hamus", "Subtiliter Aculeus", "Subtiliter Aculeus", "Astutus Uncinus", "Versutus Uncinus", "Bombus Toxicum", "Flavens Statione", "Trebax Venenum", "Bombus Ictus", "Flavens Robus", "Ingeniosus Venenum", "Vafer Conlegium", "Vorsutus Robus", "Bombus Floreo", "Versutus Venenum", "Luculenus Ictus", "Bombus Pervigeo", "Sollers Floreo", "Croceus Aculeus", "Trebax Veneno", "Subtiliter Uncinus", "Ingeniosus Pervigeo", "Trebax Aculeus", "Astutus Hamus", "Subtiliter Conlegium", "Vorsutus Floresco", "Bombus Venenum", "Flavens Robus", "Rubrum Aculeus", "Luteus Floreo", "Vorsutus Pervigeo", "Flavens Medico", "Ingeniosus Toxicum", "Trebax Statione", "Vorsutus Floreo", "Vorsutus Hamus", "Subtiliter Toxicum", "Vafer Conlegium", "Trebax Medico", "Dolosus Morsus", "Subtiliter Uncinus", "Rubrum Morsus", "Astutus Hamus", "Dolosus Spiculo", "Luteus Toxicum", "Croceus Conlegium", "Bombus Ictus", "Versutus Toxicum", "Trebax Morsus", "Vafer Uncinus", "Sollers Floreo", "Rubrum Medico", "Rubrum Spiculo", "Vafer Floreo", "Croceus Aculeus", "Trebax Veneno", "Dolosus Toxicum","Vorsutus Aculeus", "Ingeniosus Aculeus", "Vorsutus Floresco", "Luculenus Spiculo", "Subtiliter Aculeus", "Dolosus Venenum", "Dolosus Morsus", "Sollers Floresco", "Rubrum Veneno", "Vorsutus Conlegium", "Bombus Venenum", "Flavens Statione", "Subtiliter Ictus", "Rubrum Floresco", "Subtiliter Veneno", "Flavens Pervigeo", "Ingeniosus Conlegium", "Flavens Toxicum", "Flavens Statione", "Luculenus Ictus", "Luteus Uncinus", "Versutus Statione", "Vorsutus Floreo", "Croceus Ictus", "Rubrum Uncinus", "Astutus Floresco", "Flavens Venenum", "Croceus Spiculo", "Subtiliter Pervigeo", "Flavens Pervigeo", "Sollers Hamus", "Subtiliter Hamus", "Croceus Veneno", "Luculenus Venenum", "Sollers Venenum", "Trebax Ictus", "Bombus Robus", "Astutus Veneno", "Vorsutus Statione", "Sollers Floreo", "Trebax Medico", "Croceus Medico", "Luculenus Toxicum", "Astutus Aculeus", "Flavens Conlegium", "Croceus Uncinus", "Astutus Venenum", "Ingeniosus Spiculo", "Sollers Medico", "Sollers Aculeus", "Versutus Spiculo", "Subtiliter Floresco", "Trebax Pervigeo", "Dolosus Spiculo", "Croceus Hamus", "Rubrum Medico", "Callidus Morsus", "Vafer Hamus", "Vafer Aculeus", "Vorsutus Floresco", "Luculenus Floresco", "Flavens Toxicum", "Sollers Robus", "Versutus Toxicum",
// Galaxy 7
"Amice Bestiola", "Misericordiam Portus", "Benevole Volucris", "Ordino Loco", "Tranquillo Volucris", "Benevole Habitus", "Tempero Portus", "Tempero Celsitudo", "Amice Formo", "Norma Praescribo", "Misericordiam Bestiola", "Quies Opificina", "Tranquillo Bestiola", "Benigne Obficina", "Quies Decretum", "Adparo Bestiola", "Benevole Decretum", "Ordino Habitus", "Benigne Praescribo", "Ordino Opificina", "Misericordiam Tabernam", "Misericordiam Placo", "Tranquillo Copona", "Quies Officina", "Adparo Portus", "Malacia Officina", "Constituo Volucris", "Norma Habitus", "Adparo Celsitudo", "Amice Opificina", "Bene Formo", "Constituo Decretum", "Misericordiam Volucris", "Tranquillo Opificina", "Malacia Habitus", "Quies Placo", "Tempero Praescribo", "Norma Praescribo", "Misericordiam Obficina", "Tranquillo Celsitudo", "Amice Locus", "Tranquillo Praescribo", "Misericordiam Portus", "Benevole Decretum", "Cessabit Officina", "Norma Obficina", "Benigne Opificina", "Bene Formo", "Misericordiam Officina", "Misericordiam Decretum", "Tempero Placo", "Tranquillo Tabernam", "Adparo Opificina", "Misericordiam Obficina", "Constituo Volucris", "Tempero Bestiola", "Constituo Habitus", "Benigne Loco", "Dispono Tabernam", "Ordino Loco", "Adparo Portus", "Norma Bestiola", "Quies Placo", "Adparo Celsitudo","Tempero Officina", "Comiter Formo", "Constituo Portus", "Tranquillo Formo", "Quies Bestiola", "Dispono Praescribo", "Tempero Copona", "Dispono Loco", "Benevole Decretum", "Tranquillo Portus", "Ordino Obficina", "Adparo Habitus", "Benevole Officina", "Tranquillo Officina", "Amice Placo", "Malacia Officina", "Bene Habitus", "Tempero Praescribo", "Benevole Copona", "Quies Portus", "Comiter Officina", "Benevole Tabernam", "Amice Volucris", "Misericordiam Formo", "Adparo Formo", "Amice Formo", "Benevole Tabernam", "Tempero Obficina", "Tempero Locus", "Norma Tabernam", "Tempero Placo", "Comiter Habitus", "Benevole Decretum", "Misericordiam Officina", "Tempero Formo", "Benevole Copona", "Tranquillo Celsitudo", "Misericordiam Loco", "Norma Praescribo", "Tranquillo Copona", "Amice Praescribo", "Bene Officina", "Tempero Praescribo", "Adparo Habitus", "Dispono Copona", "Tempero Praescribo", "Misericordiam Habitus", "Comiter Celsitudo", "Misericordiam Loco", "Norma Celsitudo", "Constituo Formo", "Bene Placo", "Quies Praescribo", "Tranquillo Loco", "Tranquillo Copona", "Ordino Formo", "Tranquillo Celsitudo", "Ordino Formo", "Benevole Praescribo", "Benevole Officina", "Comiter Obficina", "Comiter Decretum", "Benigne Locus", "Adparo Loco", "Constituo Obficina", "Malacia Placo", "Norma Loco", "Tempero Habitus", "Dispono Habitus", "Ordino Formo", "Dispono Habitus", "Benigne Placo", "Adparo Placo", "Benevole Locus", "Quies Formo", "Ordino Obficina", "Tranquillo Praescribo", "Quies Volucris", "Misericordiam Celsitudo", "Dispono Habitus", "Adparo Bestiola", "Misericordiam Praescribo", "Malacia Praescribo", "Amice Bestiola", "Tempero Locus", "Cessabit Habitus", "Amice Obficina", "Adparo Placo", "Norma Habitus", "Quies Copona", "Adparo Loco", "Malacia Formo", "Benevole Placo", "Adparo Placo", "Tranquillo Portus", "Benigne Officina", "Dispono Decretum", "Quies Placo", "Cessabit Copona", "Benigne Habitus", "Malacia Decretum", "Constituo Decretum", "Bene Locus", "Bene Obficina", "Quies Locus", "Dispono Obficina", "Dispono Opificina", "Norma Formo", "Bene Portus", "Tranquillo Formo", "Amice Tabernam", "Misericordiam Placo", "Adparo Obficina", "Amice Opificina", "Cessabit Loco", "Constituo Tabernam", "Benigne Opificina", "Tranquillo Volucris", "Cessabit Volucris", "Benevole Obficina", "Benevole Copona", "Tranquillo Locus", "Benevole Placo", "Comiter Volucris", "Adparo Praescribo", "Bene Tabernam", "Malacia Placo", "Bene Volucris","Tempero Bestiola", "Bene Opificina", "Amice Loco", "Quies Loco", "Comiter Officina", "Bene Opificina", "Quies Formo", "Cessabit Habitus", "Tranquillo Opificina", "Ordino Officina", "Adparo Volucris", "Dispono Volucris", "Cessabit Loco", "Norma Habitus", "Norma Placo", "Benevole Officina", "Cessabit Praescribo", "Benevole Officina", "Ordino Copona", "Misericordiam Tabernam", "Tempero Copona", "Quies Volucris", "Constituo Praescribo", "Cessabit Praescribo", "Comiter Bestiola", "Bene Bestiola", "Norma Officina", "Amice Portus", "Constituo Portus", "Benevole Obficina", "Benigne Tabernam", "Constituo Opificina", "Tranquillo Volucris", "Benevole Praescribo", "Norma Habitus", "Ordino Praescribo", "Tempero Volucris", "Dispono Placo", "Misericordiam Formo", "Bene Tabernam", "Ordino Habitus", "Constituo Portus", "Cessabit Celsitudo", "Amice Locus", "Amice Formo", "Comiter Praescribo", "Norma Volucris", "Cessabit Bestiola", "Benevole Volucris", "Tranquillo Copona", "Amice Volucris", "Tempero Bestiola", "Bene Decretum", "Adparo Opificina", "Quies Officina", "Tranquillo Habitus", "Amice Formo", "Adparo Volucris", "Adparo Volucris", "Dispono Opificina", "Tempero Portus", "Cessabit Placo", "Benevole Decretum", "Benevole Celsitudo",
// Galaxy 8
"Tepidus Congeries", "Calefacio Castellum", "Melodes Iugum", "Dulcis Vicus", "Acceptus Grumus", "Mitis Collis", "Lenis Castellum", "Benignus Castellum", "Iucundum Turris", "Tepidus Conscendo", "Remissus Orbis", "Benignus Vicus", "Iucundus Orbis", "Suavis Iugum", "Melodes Orbis", "Melodes Orbis", "Tepidus Iugum", "Remissus Rubefacio", "Dulcis Emineo", "Acceptus Turris", "Melodes Iugum", "Calidus Adgestum", "Iucundus Vicus", "Caneo Pagus", "Caneo Collis", "Acceptus Orbis", "Calidus Orbis", "Mitis Pagus", "Benignus Vicus", "Calefacio Pagus", "Savis Conscendo", "Savis Grumus", "Calidus Congeries", "Acceptus Castellum", "Lenis Grumus", "Dulcis Vicus", "Tepidus Emineo", "Mitis Turrim", "Acceptus Vicus", "Dulcis Orbis", "Tepidus Adgestum", "Savis Orbis", "Mitis Castellum", "Melodes Castellum", "Savis Vicus", "Iucundum Grumus", "Lenis Orbis", "Melodes Adgestum", "Calidus Orbis", "Dulcis Adgestum", "Acceptus Vicus", "Tepidus Rubefacio", "Caneo Vicus", "Savis Turris", "Acceptus Mundus", "Savis Orbis", "Calidus Conscendo", "Caneo Grumus", "Acceptus Turris", "Dulcis Tumulus", "Benignus Turrim", "Calidum Congeries", "Benignus Emineo", "Calefacio Orbis","Dulcis Emineo", "Calidus Congeries", "Caneo Turrim", "Melodes Pagus", "Benignus Turris", "Melodes Vicus", "Suavis Collis", "Savis Iugum", "Dulcis Orbis", "Remissus Adgestum", "Dulcis Mundus", "Dulcis Tumulus", "Calidum Vicus", "Lenis Orbis", "Caneo Tumulus", "Mitis Vicus", "Calidum Pagus", "Acceptus Vicus", "Calidus Turrim", "Iucundus Turris", "Tepidus Congeries", "Acceptus Turris", "Calefacio Pagus", "Calidus Adgestum", "Lenis Congeries", "Calidus Grumus", "Calefacio Vicus", "Acceptus Iugum", "Caneo Turrim", "Melodes Congeries", "Lenis Collis", "Benignus Adgestum", "Mitis Tumulus", "Melodes Mundus", "Remissus Grumus", "Tepidus Mundus", "Iucundum Turris", "Melodes Castellum", "Iucundus Adgestum", "Calidum Vicus", "Acceptus Adgestum", "Savis Collis", "Calidum Tumulus", "Mitis Iugum", "Melodes Mundus", "Iucundus Collis", "Remissus Tumulus", "Iucundus Iugum", "Melodes Iugum", "Mitis Rubefacio", "Savis Tumulus", "Savis Orbis", "Benignus Emineo", "Calidum Rubefacio", "Remissus Mundus", "Benignus Emineo", "Calidus Mundus", "Melodes Pagus", "Calidum Tumulus", "Benignus Orbis", "Suavis Collis", "Benignus Tumulus", "Calidus Castellum", "Calefacio Tumulus", "Melodes Mundus", "Calefacio Conscendo", "Tepidus Orbis", "Iucundum Turrim", "Savis Mundus", "Calefacio Castellum", "Iucundum Orbis", "Dulcis Grumus", "Iucundum Orbis", "Mitis Emineo", "Melodes Congeries", "Calidus Rubefacio", "Remissus Adgestum", "Iucundum Congeries", "Calefacio Castellum", "Calidus Pagus", "Benignus Collis", "Lenis Conscendo", "Mitis Orbis", "Lenis Vicus", "Caneo Conscendo", "Dulcis Collis", "Calefacio Orbis", "Caneo Rubefacio", "Acceptus Orbis", "Benignus Grumus", "Tepidus Congeries", "Iucundus Rubefacio", "Calidus Mundus", "Dulcis Collis", "Iucundus Conscendo", "Calidum Tumulus", "Tepidus Conscendo", "Tepidus Adgestum", "Tepidus Turrim", "Iucundum Conscendo", "Lenis Congeries", "Acceptus Grumus", "Calefacio Vicus", "Caneo Emineo", "Remissus Turrim", "Acceptus Castellum", "Calidum Castellum", "Suavis Tumulus", "Calefacio Orbis", "Acceptus Emineo", "Acceptus Turrim", "Iucundus Castellum", "Calidum Iugum", "Remissus Tumulus", "Suavis Iugum", "Caneo Grumus", "Calefacio Vicus", "Suavis Mundus", "Calidum Turris", "Iucundus Turris", "Savis Castellum", "Melodes Collis", "Melodes Vicus", "Remissus Iugum", "Remissus Vicus", "Remissus Conscendo", "Melodes Adgestum", "Calidus Turrim","Remissus Castellum", "Calidus Vicus", "Mitis Conscendo", "Calefacio Pagus", "Calefacio Congeries", "Remissus Congeries", "Dulcis Collis", "Savis Grumus", "Savis Grumus", "Iucundus Grumus", "Tepidus Congeries", "Mitis Grumus", "Mitis Mundus", "Acceptus Orbis", "Benignus Vicus", "Dulcis Vicus", "Acceptus Tumulus", "Suavis Turrim", "Tepidus Turris", "Calidum Tumulus", "Mitis Turrim", "Calidum Turris", "Acceptus Turrim", "Iucundus Conscendo", "Mitis Pagus", "Calidum Collis", "Dulcis Iugum", "Calefacio Vicus", "Remissus Conscendo", "Tepidus Turris", "Remissus Rubefacio", "Remissus Mundus", "Calidus Orbis", "Caneo Pagus", "Tepidus Congeries", "Calefacio Conscendo", "Benignus Iugum", "Suavis Grumus", "Remissus Adgestum", "Mitis Iugum", "Savis Conscendo", "Dulcis Orbis", "Iucundum Adgestum", "Benignus Orbis", "Suavis Rubefacio", "Suavis Rubefacio", "Iucundus Rubefacio", "Iucundum Vicus", "Tepidus Congeries", "Benignus Pagus", "Caneo Turrim", "Suavis Pagus", "Tepidus Conscendo", "Caneo Tumulus", "Tepidus Turris", "Savis Vicus", "Melodes Tumulus", "Benignus Rubefacio", "Calidus Congeries", "Calidum Tumulus", "Caneo Rubefacio", "Calidum Grumus", "Melodes Orbis", "Remissus Rubefacio",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Metallum Domum"];

this.sothispool2 = [
// Galaxy 1
"Constituo Celsitudo", "Cessabit Locus", "Benevole Tabernam", "Tempero Bestiola", "Constituo Tabernam", "Benevole Obficina", "Benevole Loco", "Dispono Volucris", "Constituo Decretum", "Misericordiam Loco", "Adparo Portus", "Adparo Celsitudo", "Benigne Bestiola", "Dispono Portus", "Tranquillo Formo", "Dispono Officina", "Ordino Opificina", "Tempero Volucris", "Malacia Tabernam", "Benevole Praescribo", "Norma Formo", "Amice Opificina", "Tranquillo Formo", "Malacia Praescribo", "Norma Tabernam", "Misericordiam Locus", "Constituo Placo", "Benevole Habitus", "Constituo Habitus", "Quies Celsitudo", "Dispono Locus", "Comiter Bestiola", "Quies Copona", "Norma Tabernam", "Malacia Tabernam", "Dispono Officina", "Benevole Praescribo", "Comiter Habitus", "Misericordiam Volucris", "Adparo Placo", "Cessabit Opificina", "Amice Opificina", "Norma Tabernam", "Adparo Copona", "Benigne Decretum", "Benigne Tabernam", "Tempero Habitus", "Cessabit Tabernam", "Misericordiam Locus", "Norma Placo", "Dispono Portus", "Adparo Habitus", "Dispono Decretum", "Norma Copona", "Misericordiam Formo", "Dispono Praescribo", "Constituo Decretum", "Comiter Officina", "Amice Formo", "Adparo Praescribo", "Ordino Portus", "Bene Officina", "Misericordiam Opificina", "Misericordiam Celsitudo","Quies Locus", "Dispono Officina", "Ordino Volucris", "Dispono Praescribo", "Benigne Placo", "Dispono Copona", "Constituo Locus", "Tranquillo Officina", "Comiter Locus", "Cessabit Officina", "Tempero Copona", "Misericordiam Officina", "Constituo Opificina", "Tempero Locus", "Amice Loco", "Norma Officina", "Benigne Placo", "Comiter Portus", "Quies Portus", "Comiter Decretum", "Ordino Bestiola", "Ordino Portus", "Ordino Habitus", "Misericordiam Decretum", "Comiter Officina", "Malacia Obficina", "Adparo Officina", "Norma Praescribo", "Ordino Locus", "Amice Officina", "Constituo Officina", "Benevole Bestiola", "Norma Loco", "Quies Tabernam", "Ordino Celsitudo", "Bene Copona", "Amice Volucris", "Amice Opificina", "Benigne Copona", "Misericordiam Copona", "Ordino Copona", "Cessabit Decretum", "Constituo Locus", "Misericordiam Bestiola", "Malacia Bestiola", "Benevole Decretum", "Dispono Placo", "Bene Locus", "Misericordiam Placo", "Quies Portus", "Tranquillo Portus", "Benigne Officina", "Cessabit Locus", "Constituo Copona", "Benigne Celsitudo", "Quies Portus", "Cessabit Portus", "Dispono Locus", "Benevole Locus", "Benigne Bestiola", "Adparo Copona", "Misericordiam Volucris", "Cessabit Loco", "Quies Portus", "Ordino Habitus", "Quies Bestiola", "Misericordiam Locus", "Dispono Locus", "Benevole Opificina", "Tranquillo Volucris", "Ordino Loco", "Benigne Obficina", "Malacia Decretum", "Benevole Obficina", "Tempero Tabernam", "Misericordiam Copona", "Norma Formo", "Comiter Formo", "Benigne Placo", "Benigne Decretum", "Ordino Formo", "Constituo Placo", "Amice Decretum", "Tranquillo Habitus", "Tempero Celsitudo", "Amice Portus", "Dispono Habitus", "Benevole Officina", "Tempero Portus", "Norma Locus", "Benigne Bestiola", "Ordino Habitus", "Cessabit Habitus", "Tempero Formo", "Cessabit Opificina", "Dispono Volucris", "Adparo Celsitudo", "Benigne Celsitudo", "Misericordiam Decretum", "Bene Tabernam", "Comiter Portus", "Benevole Officina", "Misericordiam Locus", "Benigne Locus", "Adparo Formo", "Amice Praescribo", "Norma Decretum", "Dispono Obficina", "Norma Volucris", "Norma Volucris", "Constituo Copona", "Misericordiam Officina", "Tempero Locus", "Norma Officina", "Tranquillo Bestiola", "Adparo Officina", "Comiter Opificina", "Bene Officina", "Quies Placo", "Ordino Praescribo", "Misericordiam Loco", "Tempero Praescribo", "Ordino Praescribo", "Benevole Portus", "Norma Formo", "Benevole Formo", "Amice Copona", "Benigne Formo","Adparo Decretum", "Quies Loco", "Tranquillo Opificina", "Tranquillo Celsitudo", "Adparo Decretum", "Malacia Praescribo", "Bene Obficina", "Dispono Tabernam", "Cessabit Placo", "Benigne Formo", "Tranquillo Locus", "Quies Praescribo", "Amice Opificina", "Tempero Celsitudo", "Norma Formo", "Quies Obficina", "Ordino Formo", "Tranquillo Decretum", "Ordino Bestiola", "Amice Officina", "Cessabit Praescribo", "Tranquillo Officina", "Bene Volucris", "Constituo Celsitudo", "Bene Opificina", "Quies Locus", "Benigne Volucris", "Constituo Placo", "Dispono Opificina", "Norma Copona", "Quies Tabernam", "Tranquillo Decretum", "Misericordiam Bestiola", "Cessabit Placo", "Dispono Loco", "Malacia Locus", "Tempero Celsitudo", "Comiter Praescribo", "Constituo Placo", "Tempero Praescribo", "Dispono Loco", "Dispono Praescribo", "Misericordiam Copona", "Cessabit Celsitudo", "Amice Placo", "Comiter Celsitudo", "Adparo Obficina", "Amice Opificina", "Malacia Habitus", "Comiter Habitus", "Benevole Placo", "Benevole Decretum", "Bene Portus", "Benigne Placo", "Comiter Portus", "Amice Obficina", "Benigne Placo", "Adparo Officina", "Cessabit Obficina", "Constituo Locus", "Cessabit Habitus", "Bene Copona", "Bene Praescribo", "Norma Portus",
// Galaxy 2
"Suavis Grumus", "Iucundus Mundus", "Benignus Tumulus", "Mitis Castellum", "Suavis Grumus", "Calefacio Collis", "Caneo Adgestum", "Caneo Turrim", "Lenis Rubefacio", "Calidus Vicus", "Caneo Mundus", "Savis Mundus", "Lenis Grumus", "Suavis Tumulus", "Dulcis Grumus", "Suavis Orbis", "Calidum Emineo", "Benignus Iugum", "Suavis Pagus", "Suavis Iugum", "Calidus Mundus", "Mitis Pagus", "Iucundum Adgestum", "Melodes Mundus", "Acceptus Vicus", "Tepidus Iugum", "Iucundus Congeries", "Acceptus Rubefacio", "Acceptus Castellum", "Acceptus Tumulus", "Lenis Adgestum", "Benignus Pagus", "Calidus Tumulus", "Calidus Vicus", "Lenis Grumus", "Calefacio Castellum", "Benignus Congeries", "Calefacio Orbis", "Caneo Orbis", "Caneo Orbis", "Suavis Orbis", "Benignus Rubefacio", "Acceptus Collis", "Melodes Castellum", "Caneo Collis", "Caneo Iugum", "Benignus Adgestum", "Benignus Turrim", "Calidus Adgestum", "Acceptus Turris", "Tepidus Emineo", "Mitis Tumulus", "Caneo Turrim", "Savis Mundus", "Calidus Turris", "Benignus Iugum", "Benignus Iugum", "Iucundus Iugum", "Tepidus Collis", "Mitis Conscendo", "Dulcis Pagus", "Lenis Tumulus", "Dulcis Orbis", "Iucundum Tumulus","Acceptus Pagus", "Remissus Collis", "Remissus Adgestum", "Calefacio Tumulus", "Lenis Castellum", "Remissus Tumulus", "Calefacio Conscendo", "Lenis Tumulus", "Savis Mundus", "Melodes Iugum", "Caneo Iugum", "Savis Vicus", "Suavis Congeries", "Caneo Vicus", "Benignus Grumus", "Calidus Conscendo", "Savis Adgestum", "Savis Congeries", "Remissus Iugum", "Iucundus Turris", "Tepidus Collis", "Melodes Congeries", "Melodes Turrim", "Lenis Mundus", "Iucundum Rubefacio", "Caneo Adgestum", "Suavis Orbis", "Benignus Pagus", "Benignus Vicus", "Remissus Iugum", "Calidum Iugum", "Lenis Turrim", "Dulcis Grumus", "Tepidus Collis", "Tepidus Pagus", "Acceptus Conscendo", "Suavis Congeries", "Benignus Congeries", "Suavis Castellum", "Calidus Orbis", "Suavis Iugum", "Iucundus Rubefacio", "Suavis Grumus", "Calefacio Grumus", "Calidum Iugum", "Mitis Pagus", "Calidum Iugum", "Calidum Pagus", "Caneo Turrim", "Remissus Turris", "Remissus Vicus", "Acceptus Vicus", "Remissus Rubefacio", "Lenis Tumulus", "Mitis Iugum", "Iucundus Conscendo", "Melodes Pagus", "Lenis Vicus", "Calidum Emineo", "Dulcis Congeries", "Iucundum Vicus", "Calefacio Turris", "Remissus Mundus", "Benignus Congeries", "Calidum Rubefacio", "Iucundus Tumulus", "Melodes Vicus", "Remissus Turris", "Dulcis Collis", "Remissus Grumus", "Lenis Vicus", "Calidus Mundus", "Suavis Turrim", "Calidum Adgestum", "Suavis Turris", "Tepidus Grumus", "Melodes Vicus", "Iucundus Tumulus", "Benignus Collis", "Tepidus Castellum", "Calefacio Mundus", "Iucundus Adgestum", "Acceptus Castellum", "Iucundum Congeries", "Lenis Rubefacio", "Calidus Emineo", "Calefacio Mundus", "Mitis Grumus", "Benignus Adgestum", "Melodes Adgestum", "Calidum Orbis", "Calefacio Iugum", "Calidum Vicus", "Mitis Turris", "Calidum Mundus", "Acceptus Rubefacio", "Melodes Collis", "Calefacio Vicus", "Melodes Castellum", "Dulcis Orbis", "Iucundus Tumulus", "Savis Iugum", "Savis Turrim", "Calefacio Iugum", "Lenis Iugum", "Caneo Turris", "Calefacio Pagus", "Caneo Congeries", "Dulcis Conscendo", "Calefacio Castellum", "Suavis Conscendo", "Dulcis Grumus", "Benignus Mundus", "Savis Iugum", "Acceptus Conscendo", "Calidum Adgestum", "Caneo Grumus", "Melodes Mundus", "Suavis Iugum", "Iucundus Emineo", "Tepidus Vicus", "Benignus Mundus", "Calidus Collis", "Melodes Tumulus", "Acceptus Pagus", "Melodes Orbis", "Mitis Mundus", "Suavis Tumulus","Savis Mundus", "Melodes Orbis", "Acceptus Adgestum", "Lenis Collis", "Calidus Tumulus", "Remissus Orbis", "Remissus Orbis", "Benignus Emineo", "Melodes Castellum", "Iucundum Adgestum", "Benignus Iugum", "Acceptus Turris", "Caneo Turrim", "Dulcis Emineo", "Suavis Adgestum", "Savis Adgestum", "Tepidus Conscendo", "Mitis Castellum", "Melodes Congeries", "Dulcis Adgestum", "Suavis Mundus", "Dulcis Tumulus", "Lenis Emineo", "Iucundus Collis", "Suavis Congeries", "Calefacio Tumulus", "Calefacio Emineo", "Melodes Adgestum", "Lenis Tumulus", "Benignus Tumulus", "Mitis Conscendo", "Calidum Conscendo", "Lenis Pagus", "Benignus Conscendo", "Calidum Tumulus", "Caneo Mundus", "Dulcis Orbis", "Iucundus Emineo", "Savis Tumulus", "Calidum Tumulus", "Savis Orbis", "Lenis Castellum", "Iucundus Pagus", "Calidus Conscendo", "Tepidus Turrim", "Savis Turrim", "Mitis Iugum", "Caneo Turris", "Calidum Mundus", "Dulcis Congeries", "Remissus Castellum", "Dulcis Castellum", "Acceptus Collis", "Iucundus Iugum", "Suavis Turris", "Dulcis Tumulus", "Melodes Orbis", "Savis Conscendo", "Acceptus Grumus", "Benignus Conscendo", "Calidus Conscendo", "Remissus Mundus", "Calefacio Mundus", "Calidus Mundus",
// Galaxy 3
"Dolosus Veneno", "Flavens Morsus", "Croceus Hamus", "Vafer Spiculo", "Rubrum Hamus", "Sollers Pervigeo", "Dolosus Robus", "Bombus Pervigeo", "Flavens Venenum", "Trebax Floresco", "Luculenus Hamus", "Luteus Floreo", "Flavens Toxicum", "Croceus Medico", "Croceus Ictus", "Callidus Ictus", "Callidus Pervigeo", "Flavens Ictus", "Astutus Robus", "Bombus Robus", "Rubrum Statione", "Luculenus Floresco", "Trebax Floreo", "Luteus Spiculo", "Callidus Robus", "Astutus Veneno", "Bombus Ictus", "Vafer Aculeus", "Subtiliter Venenum", "Astutus Veneno", "Luculenus Uncinus", "Callidus Floreo", "Ingeniosus Uncinus", "Ingeniosus Statione", "Trebax Medico", "Vorsutus Hamus", "Rubrum Hamus", "Astutus Toxicum", "Vafer Toxicum", "Sollers Morsus", "Dolosus Robus", "Versutus Pervigeo", "Rubrum Statione", "Sollers Pervigeo", "Bombus Uncinus", "Croceus Floresco", "Luteus Morsus", "Luculenus Toxicum", "Subtiliter Robus", "Flavens Statione", "Flavens Statione", "Bombus Morsus", "Luculenus Robus", "Croceus Hamus", "Rubrum Hamus", "Rubrum Morsus", "Subtiliter Conlegium", "Callidus Aculeus", "Flavens Robus", "Luculenus Morsus", "Versutus Floreo", "Rubrum Toxicum", "Subtiliter Robus", "Flavens Ictus","Trebax Floresco", "Vafer Conlegium", "Dolosus Conlegium", "Subtiliter Aculeus", "Vafer Conlegium", "Sollers Veneno", "Astutus Conlegium", "Callidus Aculeus", "Sollers Spiculo", "Ingeniosus Spiculo", "Subtiliter Aculeus", "Vafer Ictus", "Vorsutus Pervigeo", "Luteus Toxicum", "Callidus Toxicum", "Trebax Medico", "Ingeniosus Robus", "Flavens Veneno", "Trebax Pervigeo", "Astutus Medico", "Callidus Ictus", "Trebax Morsus", "Vafer Floreo", "Callidus Robus", "Rubrum Spiculo", "Astutus Floreo", "Versutus Venenum", "Vorsutus Medico", "Astutus Floreo", "Luculenus Medico", "Flavens Ictus", "Luteus Ictus", "Ingeniosus Ictus", "Luteus Pervigeo", "Luteus Conlegium", "Flavens Toxicum", "Luculenus Venenum", "Rubrum Floreo", "Dolosus Conlegium", "Rubrum Medico", "Subtiliter Spiculo", "Astutus Statione", "Astutus Toxicum", "Vorsutus Uncinus", "Vorsutus Ictus", "Croceus Floreo", "Croceus Morsus", "Callidus Ictus", "Astutus Floreo", "Flavens Spiculo", "Ingeniosus Uncinus", "Callidus Robus", "Ingeniosus Ictus", "Flavens Ictus", "Dolosus Ictus", "Bombus Hamus", "Callidus Uncinus", "Sollers Toxicum", "Dolosus Statione", "Ingeniosus Uncinus", "Ingeniosus Pervigeo", "Bombus Medico", "Trebax Veneno", "Vorsutus Veneno", "Bombus Robus", "Flavens Conlegium", "Subtiliter Venenum", "Astutus Pervigeo", "Callidus Veneno", "Flavens Conlegium", "Callidus Venenum", "Bombus Robus", "Rubrum Spiculo", "Vorsutus Pervigeo", "Dolosus Pervigeo", "Dolosus Medico", "Flavens Veneno", "Bombus Floresco", "Trebax Venenum", "Luteus Medico", "Vorsutus Morsus", "Croceus Statione", "Croceus Medico", "Versutus Floresco", "Vorsutus Pervigeo", "Ingeniosus Robus", "Subtiliter Uncinus", "Vorsutus Hamus", "Luteus Hamus", "Bombus Floresco", "Rubrum Ictus", "Versutus Pervigeo", "Sollers Medico", "Rubrum Morsus", "Luculenus Conlegium", "Astutus Floreo", "Astutus Toxicum", "Croceus Toxicum", "Callidus Spiculo", "Bombus Medico", "Callidus Statione", "Vafer Ictus", "Luculenus Veneno", "Croceus Medico", "Bombus Statione", "Croceus Veneno", "Astutus Statione", "Versutus Morsus", "Luteus Robus", "Sollers Aculeus", "Versutus Floreo", "Callidus Ictus", "Ingeniosus Ictus", "Trebax Spiculo", "Luteus Veneno", "Vafer Veneno", "Bombus Veneno", "Versutus Veneno", "Luculenus Floreo", "Astutus Uncinus", "Trebax Morsus", "Dolosus Robus", "Trebax Robus", "Luculenus Morsus", "Flavens Toxicum", "Dolosus Statione", "Flavens Uncinus", "Ingeniosus Conlegium","Vorsutus Floresco", "Vorsutus Spiculo", "Bombus Conlegium", "Vorsutus Veneno", "Trebax Veneno", "Ingeniosus Pervigeo", "Trebax Ictus", "Callidus Spiculo", "Subtiliter Aculeus", "Trebax Conlegium", "Callidus Floresco", "Vorsutus Pervigeo", "Flavens Aculeus", "Subtiliter Pervigeo", "Trebax Conlegium", "Callidus Floresco", "Callidus Veneno", "Astutus Ictus", "Dolosus Pervigeo", "Flavens Floresco", "Subtiliter Ictus", "Vafer Toxicum", "Versutus Robus", "Ingeniosus Robus", "Trebax Pervigeo", "Luculenus Toxicum", "Croceus Floresco", "Versutus Floreo", "Luteus Floreo", "Luteus Hamus", "Flavens Spiculo", "Croceus Ictus", "Astutus Conlegium", "Rubrum Hamus", "Flavens Aculeus", "Versutus Pervigeo", "Ingeniosus Hamus", "Callidus Veneno", "Sollers Spiculo", "Vorsutus Venenum", "Vorsutus Medico", "Croceus Ictus", "Astutus Ictus", "Trebax Ictus", "Callidus Spiculo", "Versutus Aculeus", "Trebax Venenum", "Versutus Spiculo", "Trebax Venenum", "Luculenus Conlegium", "Trebax Ictus", "Vorsutus Floreo", "Flavens Robus", "Callidus Aculeus", "Bombus Morsus", "Vafer Medico", "Rubrum Aculeus", "Rubrum Spiculo", "Rubrum Toxicum", "Croceus Medico", "Ingeniosus Spiculo", "Subtiliter Ictus", "Ingeniosus Uncinus", "Ingeniosus Statione",
// Galaxy 4
"Magus Fragro", "Illustris Adoleo", "Splendidus Fragro", "Illustris Odoror", "Novellus Nidore", "Novellus Redoleo", "Splendidus Cornu", "Inlustris Cubile", "Clarus Subolfacio", "Vetus Adoleo", "Tripudium Cubile", "Vetus Cunabulum", "Vetus Tectum", "Argentum Subolfacio", "Eximius Redoleo", "Mystica Cunabulum", "Splendidus Adoleo", "Novellus Cornu", "Sphaera Subolfacio", "Splendidus Redoleo", "Novellus Communis", "Senex Tectum", "Novellus Subolfacio", "Curabitur Subolfacio", "Saltatus Nidore", "Saltatus Subolfacio", "Argentum Communis", "Natatio Tectum", "Senex Cornu", "Novellus Apes", "Sphaera Colonia", "Argentum Fragro", "Sphaera Cunabulum", "Tripudium Colonia", "Tripudium Nidore", "Magicus Apes", "Tripudium Adoleo", "Inlustris Collectivus", "Senex Apes", "Mysticus Ascella", "Inlustris Apes", "Novus Cunabulum", "Illustris Pervolo", "Pythonicus Cunabulum", "Novellus Fragro", "Splendidus Cornu", "Clarus Communis", "Inlustris Pervolo", "Pythonicus Cornu", "Sphaera Apes", "Eximius Olfacio", "Clarus Cunabulum", "Curabitur Fragro", "Magus Adoleo", "Novellus Cunabulum", "Sphaera Pervolo", "Tripudium Apes", "Magus Odoror", "Curabitur Adoleo", "Senex Cunabulum", "Illustris Pervolo", "Pythonicus Colonia", "Clarus Collectivus", "Mysticus Cubile","Eximius Cunabulum", "Clarus Apes", "Curabitur Subolfacio", "Vetus Subolfacio", "Senex Subolfacio", "Novus Odoratus", "Eximius Olfacio", "Mysticus Odoror", "Clarus Nidore", "Novus Odoror", "Novellus Odoror", "Mysticus Olfacio", "Argentum Ascella", "Curabitur Olefacto", "Magicus Olfacio", "Magus Subolfacio", "Argentum Tectum", "Saltatus Olefacto", "Argentum Apes", "Tripudium Colonia", "Novellus Tectum", "Senex Odoror", "Sphaera Tectum", "Senex Pervolo", "Curabitur Subolfacio", "Pythonicus Communis", "Pythonicus Redoleo", "Tripudium Apes", "Illustris Apes", "Illustris Olfacio", "Sphaera Adoleo", "Magicus Ascella", "Sphaera Cubile", "Magus Subolfacio", "Vetus Olefacto", "Illustris Fragro", "Clarus Subolfacio", "Tripudium Olfacio", "Magicus Tectum", "Eximius Fragro", "Saltatus Olfacio", "Vetus Apes", "Natatio Olefacto", "Splendidus Subolfacio", "Magus Ascella", "Eximius Subolfacio", "Eximius Tectum", "Eximius Pervolo", "Argentum Ascella", "Sphaera Adoleo", "Mysticus Subolfacio", "Tripudium Pervolo", "Pythonicus Cubile", "Mystica Tectum", "Mysticus Collectivus", "Natatio Redoleo", "Eximius Cunabulum", "Eximius Tectum", "Splendidus Odoratus", "Curabitur Redoleo", "Novellus Collectivus", "Argentum Collectivus", "Illustris Cunabulum", "Vetus Ascella", "Saltatus Ascella", "Mysticus Apes", "Pythonicus Communis", "Magicus Subolfacio", "Magus Apes", "Novus Odoror", "Pythonicus Redoleo", "Clarus Cornu", "Magicus Pervolo", "Magicus Odoratus", "Saltatus Odoror", "Splendidus Apes", "Mystica Cornu", "Senex Olfacio", "Tripudium Cornu", "Eximius Collectivus", "Mysticus Adoleo", "Senex Odoratus", "Tripudium Ascella", "Natatio Subolfacio", "Magicus Olfacio", "Clarus Communis", "Mysticus Colonia", "Tripudium Apes", "Sphaera Collectivus", "Sphaera Redoleo", "Novellus Subolfacio", "Saltatus Cornu", "Novellus Subolfacio", "Natatio Redoleo", "Natatio Olefacto", "Novus Subolfacio", "Tripudium Redoleo", "Novellus Cunabulum", "Senex Olefacto", "Senex Cubile", "Pythonicus Colonia", "Natatio Pervolo", "Novellus Cunabulum", "Mysticus Communis", "Inlustris Redoleo", "Illustris Nidore", "Argentum Subolfacio", "Magus Cornu", "Curabitur Nidore", "Mysticus Cunabulum", "Vetus Cunabulum", "Mysticus Odoratus", "Magus Cubile", "Curabitur Colonia", "Mystica Subolfacio", "Splendidus Ascella", "Saltatus Cubile", "Sphaera Adoleo", "Sphaera Collectivus", "Pythonicus Ascella", "Magicus Apes", "Sphaera Tectum", "Sphaera Cornu", "Inlustris Fragro", "Vetus Pervolo", "Sphaera Collectivus", "Mystica Nidore", "Novus Colonia","Novellus Tectum", "Inlustris Cubile", "Mystica Apes", "Argentum Cubile", "Tripudium Cunabulum", "Saltatus Tectum", "Inlustris Olefacto", "Natatio Ascella", "Clarus Subolfacio", "Inlustris Adoleo", "Senex Tectum", "Argentum Subolfacio", "Argentum Apes", "Senex Cornu", "Pythonicus Fragro", "Magicus Communis", "Magicus Collectivus", "Clarus Subolfacio", "Splendidus Olefacto", "Natatio Odoror", "Splendidus Communis", "Novus Subolfacio", "Argentum Tectum", "Magus Nidore", "Mystica Nidore", "Natatio Fragro", "Novellus Cornu", "Magus Cubile", "Inlustris Collectivus", "Saltatus Cornu", "Mystica Subolfacio", "Magus Olefacto", "Natatio Communis", "Clarus Cornu", "Magicus Redoleo", "Mysticus Odoror", "Magus Redoleo", "Curabitur Cubile", "Senex Olefacto", "Eximius Olefacto", "Magicus Cornu", "Pythonicus Pervolo", "Sphaera Cunabulum", "Tripudium Odoror", "Novellus Subolfacio", "Inlustris Adoleo", "Mysticus Apes", "Inlustris Collectivus", "Sphaera Cubile", "Curabitur Fragro", "Curabitur Cunabulum", "Magicus Redoleo", "Eximius Fragro", "Senex Odoror", "Vetus Ascella", "Magus Odoror", "Eximius Colonia", "Argentum Subolfacio", "Argentum Apes", "Novus Odoratus", "Inlustris Odoratus", "Natatio Tectum", "Argentum Subolfacio", "Novus Odoror",
// Galaxy 5
"Reverendus Pecunia", "Versura Universitas", "Pollens Turba", "Divum Vulgus", "Venerabilis Classis", "Reverendus Corona", "Volubilis Multitudo", "Divum Universitas", "Venerabilis Celebro", "Volubilis Numus", "Validus Multae", "Divum Pecunia", "Coelum Numus", "Potens Universitas", "Magnus Universitas", "Caelum Corona", "Venerabilis Multitudo", "Metallum Forma", "Reverendus Multae", "Validus Saltatio", "Venerabilis Forma", "Pollens Celebro", "Immane Multae", "Immane Vavis", "Metallum Vavis", "Volubilis Circulor", "Volubilis Circulus", "Metallum Multae", "Volubilis Forma", "Verendus Circulus", "Coelum Saltatio", "Volubilis Multitudo", "Immane Pecunia", "Immane Multitudo", "Volubilis Circulor", "Venerabilis Circulor", "Infigo Turba", "Praepollens Forma", "Pollens Corona", "Reverendus Pecunia", "Infigo Circulus", "Metallum Nectare", "Caelum Nectare", "Caelum Celebro", "Immane Corona", "Volubilis Saltatio", "Praepollens Classis", "Immane Multae", "Validus Numus", "Volubilis Numus", "Versura Multitudo", "Infigo Vavis", "Verendus Forma", "Metallum Nectare", "Potens Celebro", "Coelum Circulor", "Verendus Forma", "Validus Numus", "Reverendus Multitudo", "Versura Multae", "Magnus Saltatio", "Caelum Nectare", "Infigo Circulor", "Verendus Pecunia","Potens Saltatio", "Infigo Numus", "Infigo Numus", "Venerabilis Corona", "Volubilis Vavis", "Immane Numus", "Immane Multae", "Reverendus Saltatio", "Praepollens Classis", "Magnus Corona", "Versura Numus", "Coelum Corona", "Coelum Numus", "Verendus Circulus", "Reverendus Numus", "Immane Numus", "Magnus Turba", "Coelum Multae", "Reverendus Circulor", "Venerabilis Classis", "Magnus Celebro", "Immane Corona", "Divum Classis", "Metallum Circulor", "Metallum Universitas", "Potens Nectare", "Verendus Universitas", "Coelum Celebro", "Venerabilis Multitudo", "Reverendus Pecunia", "Praepollens Corona", "Infigo Numus", "Metallum Multae", "Praepollens Pecunia", "Coelum Vulgus", "Potens Multae", "Potens Saltatio", "Praepollens Turba", "Immane Multae", "Validus Universitas", "Volubilis Circulus", "Volubilis Corona", "Reverendus Corona", "Divum Saltatio", "Infigo Forma", "Coelum Saltatio", "Verendus Turba", "Pollens Vavis", "Caelum Multitudo", "Verendus Classis", "Coelum Vavis", "Infigo Universitas", "Infigo Numus", "Magnus Vavis", "Volubilis Multitudo", "Divum Circulus", "Divum Multitudo", "Versura Forma", "Potens Turba", "Magnus Vavis", "Metallum Nectare", "Pollens Circulus", "Praepollens Multae", "Versura Turba", "Divum Numus", "Immane Circulus", "Divum Saltatio", "Immane Multae", "Magnus Circulor", "Pollens Multae", "Coelum Vulgus", "Pollens Celebro", "Validus Classis", "Pollens Vavis", "Metallum Numus", "Volubilis Multitudo", "Divum Circulor", "Pollens Forma", "Reverendus Celebro", "Reverendus Nectare", "Verendus Circulor", "Praepollens Turba", "Pollens Turba", "Immane Celebro", "Infigo Nectare", "Infigo Celebro", "Divum Circulor", "Coelum Forma", "Metallum Circulor", "Volubilis Numus", "Coelum Celebro", "Reverendus Universitas", "Versura Vulgus", "Pollens Corona", "Coelum Classis", "Potens Celebro", "Infigo Vavis", "Magnus Numus", "Validus Turba", "Validus Corona", "Validus Forma", "Volubilis Saltatio", "Pollens Celebro", "Volubilis Vavis", "Divum Saltatio", "Metallum Multitudo", "Reverendus Vavis", "Venerabilis Saltatio", "Metallum Vavis", "Reverendus Circulus", "Coelum Saltatio", "Divum Saltatio", "Praepollens Forma", "Volubilis Universitas", "Divum Classis", "Praepollens Vavis", "Volubilis Multitudo", "Divum Circulus", "Praepollens Vulgus", "Venerabilis Saltatio", "Praepollens Nectare", "Venerabilis Circulor", "Praepollens Circulor", "Versura Corona", "Venerabilis Nectare", "Immane Circulus", "Magnus Forma", "Immane Circulor","Caelum Celebro", "Venerabilis Multae", "Pollens Classis", "Divum Numus", "Versura Pecunia", "Metallum Multae", "Divum Multitudo", "Verendus Celebro", "Coelum Turba", "Venerabilis Circulus", "Volubilis Vavis", "Divum Forma", "Metallum Circulus", "Pollens Nectare", "Caelum Universitas", "Metallum Multae", "Pollens Circulus", "Coelum Multitudo", "Coelum Circulus", "Versura Circulor", "Venerabilis Vavis", "Venerabilis Saltatio", "Reverendus Forma", "Immane Turba", "Infigo Circulus", "Pollens Vulgus", "Metallum Vulgus", "Immane Vavis", "Immane Celebro", "Reverendus Multitudo", "Coelum Corona", "Infigo Forma", "Volubilis Forma", "Reverendus Classis", "Praepollens Classis", "Infigo Corona", "Venerabilis Vavis", "Metallum Turba", "Validus Saltatio", "Venerabilis Vavis", "Potens Vavis", "Pollens Circulus", "Reverendus Multitudo", "Potens Multitudo", "Divum Classis", "Reverendus Universitas", "Infigo Forma", "Versura Celebro", "Metallum Universitas", "Immane Turba", "Caelum Nectare", "Caelum Corona", "Volubilis Circulor", "Infigo Classis", "Metallum Multitudo", "Verendus Classis", "Pollens Corona", "Verendus Saltatio", "Reverendus Vulgus", "Pollens Circulor", "Infigo Multae", "Infigo Classis", "Potens Vavis", "Infigo Numus",
// Galaxy 6
"Rubrum Aculeus", "Ingeniosus Aculeus", "Vorsutus Ictus", "Rubrum Spiculo", "Subtiliter Uncinus", "Flavens Pervigeo", "Vorsutus Spiculo", "Luteus Spiculo", "Sollers Robus", "Rubrum Morsus", "Subtiliter Hamus", "Dolosus Medico", "Trebax Hamus", "Rubrum Morsus", "Flavens Spiculo", "Luculenus Medico", "Versutus Conlegium", "Subtiliter Hamus", "Trebax Statione", "Rubrum Toxicum", "Sollers Spiculo", "Dolosus Venenum", "Callidus Hamus", "Flavens Aculeus", "Versutus Floreo", "Callidus Spiculo", "Vorsutus Uncinus", "Luteus Hamus", "Ingeniosus Conlegium", "Flavens Spiculo", "Trebax Uncinus", "Versutus Conlegium", "Versutus Medico", "Croceus Spiculo", "Vafer Ictus", "Rubrum Toxicum", "Subtiliter Veneno", "Flavens Morsus", "Luteus Uncinus", "Dolosus Statione", "Rubrum Hamus", "Callidus Medico", "Croceus Uncinus", "Sollers Floreo", "Vafer Robus", "Luculenus Robus", "Vafer Statione", "Vafer Conlegium", "Subtiliter Conlegium", "Bombus Statione", "Vorsutus Conlegium", "Astutus Venenum", "Callidus Ictus", "Astutus Conlegium", "Trebax Robus", "Flavens Robus", "Vafer Conlegium", "Astutus Uncinus", "Versutus Pervigeo", "Trebax Floresco", "Flavens Floreo", "Vafer Hamus", "Ingeniosus Pervigeo", "Rubrum Statione","Flavens Morsus", "Dolosus Morsus", "Sollers Robus", "Bombus Conlegium", "Croceus Floresco", "Flavens Robus", "Sollers Medico", "Flavens Conlegium", "Croceus Aculeus", "Versutus Pervigeo", "Dolosus Venenum", "Sollers Statione", "Croceus Toxicum", "Croceus Ictus", "Ingeniosus Venenum", "Callidus Medico", "Versutus Hamus", "Vafer Aculeus", "Subtiliter Veneno", "Luculenus Morsus", "Ingeniosus Pervigeo", "Versutus Venenum", "Versutus Toxicum", "Astutus Pervigeo", "Callidus Pervigeo", "Vorsutus Uncinus", "Versutus Conlegium", "Flavens Robus", "Sollers Robus", "Ingeniosus Hamus", "Dolosus Floresco", "Vorsutus Veneno", "Sollers Aculeus", "Ingeniosus Ictus", "Versutus Ictus", "Sollers Venenum", "Sollers Hamus", "Astutus Robus", "Astutus Veneno", "Bombus Ictus", "Astutus Hamus", "Sollers Uncinus", "Flavens Veneno", "Croceus Robus", "Ingeniosus Spiculo", "Sollers Statione", "Sollers Statione", "Croceus Toxicum", "Callidus Venenum", "Bombus Ictus", "Astutus Uncinus", "Luculenus Hamus", "Luculenus Floresco", "Vafer Pervigeo", "Subtiliter Statione", "Flavens Floresco", "Vorsutus Ictus", "Callidus Toxicum", "Callidus Toxicum", "Dolosus Floresco", "Vafer Robus", "Subtiliter Medico", "Sollers Conlegium", "Croceus Conlegium", "Astutus Hamus", "Trebax Spiculo", "Astutus Pervigeo", "Astutus Ictus", "Flavens Venenum", "Flavens Floreo", "Flavens Morsus", "Bombus Venenum", "Ingeniosus Ictus", "Bombus Pervigeo", "Flavens Pervigeo", "Ingeniosus Veneno", "Dolosus Conlegium", "Dolosus Spiculo", "Flavens Spiculo", "Croceus Aculeus", "Luteus Toxicum", "Versutus Veneno", "Luculenus Statione", "Astutus Floreo", "Callidus Floresco", "Vafer Aculeus", "Flavens Spiculo", "Vafer Robus", "Luteus Spiculo", "Luculenus Robus", "Flavens Veneno", "Rubrum Floreo", "Croceus Ictus", "Trebax Floreo", "Vorsutus Medico", "Luteus Floreo", "Bombus Statione", "Luculenus Conlegium", "Trebax Spiculo", "Ingeniosus Floreo", "Astutus Hamus", "Luteus Hamus", "Astutus Venenum", "Vafer Floresco", "Luculenus Floreo", "Dolosus Robus", "Vorsutus Pervigeo", "Flavens Pervigeo", "Vafer Spiculo", "Rubrum Ictus", "Flavens Statione", "Luteus Conlegium", "Versutus Ictus", "Luteus Hamus", "Bombus Aculeus", "Versutus Floreo", "Dolosus Ictus", "Subtiliter Toxicum", "Flavens Pervigeo", "Ingeniosus Veneno", "Dolosus Medico", "Dolosus Medico", "Callidus Medico", "Vorsutus Conlegium", "Rubrum Floreo", "Versutus Conlegium", "Flavens Spiculo", "Bombus Statione","Rubrum Hamus", "Sollers Uncinus", "Versutus Statione", "Rubrum Hamus", "Subtiliter Ictus", "Versutus Spiculo", "Subtiliter Floresco", "Flavens Conlegium", "Callidus Spiculo", "Flavens Floresco", "Bombus Conlegium", "Rubrum Spiculo", "Vafer Floresco", "Bombus Uncinus", "Dolosus Floresco", "Croceus Uncinus", "Vafer Floresco", "Dolosus Aculeus", "Versutus Uncinus", "Trebax Robus", "Versutus Veneno", "Flavens Robus", "Astutus Morsus", "Ingeniosus Uncinus", "Bombus Floreo", "Dolosus Spiculo", "Versutus Aculeus", "Croceus Statione", "Rubrum Spiculo", "Bombus Venenum", "Dolosus Ictus", "Croceus Uncinus", "Croceus Conlegium", "Croceus Spiculo", "Ingeniosus Statione", "Subtiliter Floreo", "Dolosus Morsus", "Callidus Statione", "Croceus Floreo", "Subtiliter Ictus", "Vafer Ictus", "Bombus Aculeus", "Luteus Uncinus", "Croceus Uncinus", "Croceus Hamus", "Luculenus Robus", "Subtiliter Pervigeo", "Sollers Floreo", "Rubrum Statione", "Rubrum Robus", "Sollers Robus", "Bombus Hamus", "Rubrum Ictus", "Croceus Pervigeo", "Luculenus Conlegium", "Astutus Hamus", "Vorsutus Floresco", "Ingeniosus Pervigeo", "Subtiliter Uncinus", "Flavens Statione", "Luculenus Medico", "Vafer Uncinus", "Sollers Toxicum", "Luculenus Floreo",
// Galaxy 7
"Gloria Castrum", "Opulentos Burgus", "Gestuosus Mercatus", "Opulentos Tutela", "Decorus Stabulum", "Suavis Praesidium", "Gratissimum Mercatus", "Locuples Studium", "Cracens Pugnaculum", "Locuples Mercatus", "Gratissimum Collubus", "Cracens Pugnaculum", "Utibilis Emporium", "Munificus Pugnaculum", "Opulentos Mercatura", "Largus Mercatura", "Lepidus Stabulum", "Benignus Tutela", "Gestuosus Cunabula", "Venustus Cunabula", "Suavis Praesidium", "Lepidus Mercatus", "Largus Praesidium", "Auxiliarius Tutela", "Opulentos Forum", "Cracens Studium", "Bellatulus Collubus", "Dulcis Permutatio", "Dulcis Castrum", "Auxiliarius Permutatio", "Gratissimum Commercium", "Benignus Quaestus", "Benignus Tutela", "Venustus Emporium", "Dulcifer Cunabula", "Decorus Praesidium", "Munificus Burgus", "Dulcis Commercium", "Elegans Burgus", "Dulcis Cunabula", "Lepidus Praesidium", "Opulentos Quaestus", "Cracens Permutatio", "Dulcifer Cunabula", "Benignus Tutela", "Decorus Forum", "Elegans Praesidium", "Benignus Pugnaculum", "Largus Cunabula", "Munificus Nundinae", "Decorus Emporium", "Cracens Quintana", "Largus Mercatus", "Elegans Mercatus", "Dulcifer Quaestus", "Decorus Quintana", "Cracens Cunabula", "Salataris Mercatus", "Munificus Studium", "Decorus Nundinae", "Gestuosus Castrum", "Opulentos Quaestus", "Decorus Mercatus", "Salataris Mercatus","Munificus Pabulatio", "Dulcifer Burgus", "Auxiliarius Praesidium", "Utibilis Tutela", "Dulcis Permutatio", "Largus Burgus", "Utibilis Collubus", "Opulentos Cunabula", "Auxiliarius Collubus", "Elegans Studium", "Gloria Studium", "Auxiliarius Stabulum", "Bellatulus Permutatio", "Auxiliarius Emporium", "Largus Mercatura", "Gratissimum Commercium", "Largus Pugnaculum", "Dulcis Collubus", "Dulcifer Tutela", "Salataris Cunabula", "Gratissimum Nundinae", "Dulcifer Forum", "Auxiliarius Mercatura", "Venustus Permutatio", "Largus Collubus", "Dulcis Praesidium", "Elegans Forum", "Largus Studium", "Gratissimum Mercatura", "Auxiliarius Praesidium", "Lepidus Permutatio", "Elegans Cunabula", "Largus Praesidium", "Gratissimum Emporium", "Utibilis Emporium", "Gloria Collubus", "Benignus Pabulatio", "Largus Cunabula", "Auxiliarius Cunabula", "Gestuosus Pabulatio", "Decorus Forum", "Decorus Forum", "Locuples Permutatio", "Venustus Mercatura", "Lepidus Commercium", "Opulentos Nundinae", "Lepidus Cunabula", "Lepidus Forum", "Venustus Burgus", "Bellatulus Permutatio", "Suavis Forum", "Venustus Tutela", "Decorus Cunabula", "Munificus Commercium", "Suavis Pabulatio", "Auxiliarius Castrum", "Utibilis Quintana", "Munificus Pabulatio", "Lepidus Emporium", "Munificus Mercatura", "Gratissimum Cunabula", "Decorus Quintana", "Salataris Pabulatio", "Cracens Stabulum", "Auxiliarius Studium", "Auxiliarius Permutatio", "Venustus Praesidium", "Elegans Emporium", "Bellatulus Tutela", "Benignus Stabulum", "Gestuosus Collubus", "Suavis Commercium", "Dulcis Emporium", "Gestuosus Forum", "Venustus Permutatio", "Munificus Collubus", "Dulcis Burgus", "Venustus Quintana", "Auxiliarius Quaestus", "Suavis Forum", "Decorus Pugnaculum", "Bellatulus Collubus", "Gestuosus Forum", "Munificus Commercium", "Gratissimum Cunabula", "Bellatulus Studium", "Elegans Nundinae", "Gestuosus Quintana", "Gratissimum Burgus", "Benignus Forum", "Munificus Pabulatio", "Gloria Commercium", "Cracens Castrum", "Largus Commercium", "Munificus Nundinae", "Locuples Pabulatio", "Cracens Tutela", "Gloria Nundinae", "Gloria Pugnaculum", "Largus Collubus", "Bellatulus Stabulum", "Bellatulus Emporium", "Auxiliarius Burgus", "Salataris Burgus", "Gestuosus Emporium", "Auxiliarius Cunabula", "Lepidus Stabulum", "Cracens Pugnaculum", "Dulcifer Collubus", "Gratissimum Nundinae", "Locuples Castrum", "Lepidus Praesidium", "Auxiliarius Mercatura", "Dulcifer Forum", "Venustus Commercium", "Dulcifer Forum", "Gloria Stabulum", "Elegans Studium", "Locuples Praesidium", "Bellatulus Quaestus", "Decorus Praesidium", "Venustus Burgus", "Salataris Castrum", "Utibilis Studium", "Auxiliarius Collubus", "Gloria Mercatura", "Cracens Mercatura", "Gestuosus Commercium","Dulcifer Pugnaculum", "Gestuosus Nundinae", "Cracens Cunabula", "Suavis Cunabula", "Gestuosus Permutatio", "Cracens Mercatura", "Largus Pabulatio", "Suavis Burgus", "Benignus Mercatus", "Utibilis Burgus", "Gratissimum Burgus", "Largus Mercatus", "Salataris Pugnaculum", "Cracens Praesidium", "Opulentos Mercatura", "Decorus Cunabula", "Dulcifer Praesidium", "Opulentos Commercium", "Largus Permutatio", "Largus Stabulum", "Locuples Praesidium", "Benignus Studium", "Utibilis Praesidium", "Decorus Mercatura", "Bellatulus Pugnaculum", "Benignus Burgus", "Elegans Cunabula", "Gloria Cunabula", "Bellatulus Stabulum", "Auxiliarius Tutela", "Munificus Praesidium", "Dulcifer Studium", "Dulcis Pugnaculum", "Gratissimum Pugnaculum", "Gloria Quaestus", "Opulentos Cunabula", "Utibilis Mercatura", "Munificus Commercium", "Benignus Tutela", "Auxiliarius Quintana", "Benignus Stabulum", "Largus Cunabula", "Munificus Commercium", "Suavis Burgus", "Bellatulus Castrum", "Decorus Commercium", "Elegans Quintana", "Munificus Praesidium", "Decorus Studium", "Auxiliarius Burgus", "Dulcifer Mercatura", "Dulcis Permutatio", "Salataris Studium", "Gloria Pugnaculum", "Gestuosus Commercium", "Suavis Cunabula", "Lepidus Emporium", "Salataris Mercatus", "Gestuosus Mercatura", "Munificus Pugnaculum", "Opulentos Pabulatio", "Opulentos Stabulum", "Dulcis Praesidium", "Dulcifer Permutatio",
// Galaxy 8
"Praepollens Forma", "Verendus Corona", "Metallum Celebro", "Validus Celebro", "Pollens Forma", "Metallum Numus", "Infigo Corona", "Versura Pecunia", "Verendus Corona", "Venerabilis Saltatio", "Verendus Celebro", "Reverendus Celebro", "Volubilis Forma", "Pollens Numus", "Coelum Corona", "Praepollens Pecunia", "Coelum Corona", "Coelum Multitudo", "Immane Classis", "Caelum Pecunia", "Reverendus Celebro", "Infigo Vavis", "Metallum Circulor", "Caelum Numus", "Venerabilis Celebro", "Potens Circulus", "Reverendus Turba", "Potens Corona", "Venerabilis Numus", "Immane Multitudo", "Coelum Circulus", "Metallum Classis", "Caelum Multitudo", "Praepollens Universitas", "Praepollens Numus", "Potens Universitas", "Magnus Corona", "Praepollens Classis", "Metallum Numus", "Verendus Saltatio", "Praepollens Classis", "Caelum Classis", "Magnus Universitas", "Validus Classis", "Validus Nectare", "Caelum Pecunia", "Volubilis Vavis", "Immane Forma", "Volubilis Turba", "Praepollens Universitas", "Infigo Vavis", "Praepollens Circulor", "Coelum Classis", "Praepollens Vavis", "Validus Saltatio", "Pollens Forma", "Divum Multitudo", "Reverendus Multitudo", "Coelum Corona", "Potens Corona", "Magnus Vavis", "Caelum Universitas", "Validus Turba", "Versura Turba","Metallum Nectare", "Magnus Celebro", "Divum Classis", "Praepollens Universitas", "Immane Saltatio", "Versura Turba", "Caelum Multitudo", "Divum Circulor", "Versura Corona", "Verendus Numus", "Venerabilis Universitas", "Infigo Pecunia", "Caelum Corona", "Coelum Classis", "Caelum Vavis", "Metallum Pecunia", "Venerabilis Forma", "Magnus Multae", "Venerabilis Circulus", "Caelum Celebro", "Caelum Celebro", "Volubilis Vavis", "Pollens Multae", "Caelum Multae", "Coelum Classis", "Caelum Multitudo", "Divum Corona", "Versura Circulor", "Reverendus Pecunia", "Verendus Vulgus", "Caelum Circulor", "Magnus Corona", "Infigo Celebro", "Reverendus Vavis", "Praepollens Universitas", "Caelum Saltatio", "Magnus Nectare", "Verendus Celebro", "Versura Circulor", "Verendus Universitas", "Magnus Numus", "Coelum Numus", "Pollens Multae", "Validus Classis", "Divum Circulus", "Caelum Forma", "Divum Multae", "Praepollens Turba", "Validus Corona", "Immane Universitas", "Infigo Celebro", "Caelum Pecunia", "Potens Universitas", "Reverendus Universitas", "Metallum Multitudo", "Metallum Classis", "Magnus Numus", "Metallum Saltatio", "Validus Numus", "Volubilis Universitas", "Volubilis Classis", "Versura Circulus", "Magnus Circulor", "Immane Circulor", "Reverendus Numus", "Venerabilis Celebro", "Caelum Multae", "Verendus Classis", "Validus Circulor", "Immane Circulus", "Versura Circulus", "Versura Multae", "Volubilis Multae", "Pollens Turba", "Metallum Nectare", "Coelum Classis", "Coelum Corona", "Validus Multitudo", "Divum Nectare", "Praepollens Universitas", "Validus Classis", "Validus Vulgus", "Caelum Multitudo", "Immane Classis", "Immane Celebro", "Venerabilis Turba", "Coelum Celebro", "Infigo Multitudo", "Divum Multitudo", "Verendus Turba", "Pollens Circulus", "Caelum Vavis", "Divum Turba", "Verendus Corona", "Reverendus Numus", "Versura Pecunia", "Volubilis Numus", "Immane Circulor", "Praepollens Circulor", "Metallum Multitudo", "Reverendus Celebro", "Magnus Vavis", "Praepollens Numus", "Pollens Corona", "Immane Nectare", "Venerabilis Multitudo", "Divum Saltatio", "Verendus Vavis", "Infigo Vulgus", "Infigo Pecunia", "Verendus Nectare", "Metallum Multae", "Potens Classis", "Immane Vavis", "Reverendus Pecunia", "Validus Saltatio", "Magnus Pecunia", "Versura Numus", "Caelum Pecunia", "Volubilis Universitas", "Immane Circulus", "Divum Universitas", "Coelum Celebro", "Verendus Multitudo", "Coelum Pecunia", "Validus Turba", "Venerabilis Circulor", "Validus Universitas","Reverendus Numus", "Potens Corona", "Infigo Numus", "Venerabilis Universitas", "Divum Multae", "Caelum Pecunia", "Infigo Circulor", "Magnus Turba", "Pollens Multae", "Versura Corona", "Validus Circulor", "Reverendus Universitas", "Caelum Nectare", "Divum Vavis", "Validus Multae", "Venerabilis Nectare", "Coelum Corona", "Validus Turba", "Infigo Multae", "Pollens Nectare", "Praepollens Circulor", "Volubilis Multitudo", "Versura Saltatio", "Verendus Nectare", "Versura Universitas", "Magnus Forma", "Verendus Universitas", "Divum Forma", "Potens Vulgus", "Metallum Vavis", "Divum Multitudo", "Caelum Nectare", "Pollens Pecunia", "Versura Saltatio", "Immane Numus", "Versura Vulgus", "Immane Corona", "Versura Circulor", "Validus Vavis", "Metallum Nectare", "Versura Vulgus", "Volubilis Saltatio", "Versura Multae", "Venerabilis Forma", "Immane Pecunia", "Pollens Numus", "Praepollens Circulus", "Coelum Celebro", "Volubilis Pecunia", "Verendus Classis", "Divum Numus", "Versura Pecunia", "Metallum Corona", "Magnus Multitudo", "Verendus Forma", "Caelum Turba", "Versura Vavis", "Volubilis Circulor", "Venerabilis Multae", "Caelum Vavis", "Reverendus Vulgus", "Potens Turba", "Magnus Saltatio", "Metallum Circulus",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Alatus Multitudo"];

this.sothispool3 = [
// Galaxy 1
"Trebax Veneno", "Sollers Venenum", "Trebax Robus", "Croceus Uncinus", "Ingeniosus Robus", "Vafer Ictus", "Bombus Veneno", "Vafer Ictus", "Flavens Medico", "Bombus Toxicum", "Versutus Conlegium", "Flavens Venenum", "Rubrum Aculeus", "Vafer Robus", "Vorsutus Uncinus", "Luteus Hamus", "Callidus Uncinus", "Sollers Ictus", "Versutus Veneno", "Bombus Aculeus", "Sollers Morsus", "Rubrum Robus", "Trebax Veneno", "Callidus Floreo", "Vorsutus Floreo", "Croceus Spiculo", "Croceus Veneno", "Croceus Veneno", "Croceus Toxicum", "Luteus Venenum", "Dolosus Pervigeo", "Callidus Toxicum", "Dolosus Floresco", "Vafer Veneno", "Versutus Uncinus", "Luculenus Venenum", "Versutus Pervigeo", "Subtiliter Spiculo", "Ingeniosus Toxicum", "Sollers Floresco", "Luculenus Morsus", "Flavens Pervigeo", "Subtiliter Spiculo", "Vafer Veneno", "Vafer Statione", "Vafer Venenum", "Dolosus Ictus", "Astutus Pervigeo", "Bombus Toxicum", "Sollers Ictus", "Croceus Venenum", "Sollers Floresco", "Bombus Conlegium", "Dolosus Aculeus", "Versutus Pervigeo", "Sollers Venenum", "Callidus Aculeus", "Sollers Floresco", "Astutus Aculeus", "Sollers Conlegium", "Flavens Medico", "Vafer Aculeus", "Vafer Conlegium", "Rubrum Aculeus","Vorsutus Pervigeo", "Rubrum Ictus", "Trebax Floreo", "Astutus Venenum", "Versutus Veneno", "Vorsutus Pervigeo", "Vafer Veneno", "Subtiliter Aculeus", "Dolosus Pervigeo", "Vorsutus Hamus", "Luculenus Venenum", "Flavens Conlegium", "Luteus Floresco", "Versutus Aculeus", "Croceus Toxicum", "Bombus Conlegium", "Rubrum Conlegium", "Vafer Robus", "Vafer Robus", "Luculenus Toxicum", "Trebax Floresco", "Dolosus Aculeus", "Bombus Morsus", "Astutus Robus", "Vorsutus Ictus", "Vorsutus Uncinus", "Callidus Venenum", "Croceus Hamus", "Vafer Medico", "Luteus Veneno", "Trebax Medico", "Trebax Floresco", "Vafer Toxicum", "Bombus Pervigeo", "Vafer Uncinus", "Bombus Conlegium", "Luculenus Uncinus", "Subtiliter Toxicum", "Rubrum Robus", "Rubrum Spiculo", "Luteus Ictus", "Sollers Hamus", "Vafer Floreo", "Astutus Veneno", "Bombus Veneno", "Rubrum Aculeus", "Ingeniosus Aculeus", "Vorsutus Ictus", "Rubrum Spiculo", "Subtiliter Uncinus", "Flavens Pervigeo", "Vorsutus Spiculo", "Luteus Spiculo", "Sollers Robus", "Rubrum Morsus", "Subtiliter Hamus", "Dolosus Medico", "Trebax Hamus", "Rubrum Morsus", "Flavens Spiculo", "Luculenus Medico", "Versutus Conlegium", "Subtiliter Hamus", "Trebax Statione", "Rubrum Toxicum", "Sollers Spiculo", "Dolosus Venenum", "Callidus Hamus", "Flavens Aculeus", "Versutus Floreo", "Callidus Spiculo", "Vorsutus Uncinus", "Luteus Hamus", "Ingeniosus Conlegium", "Flavens Spiculo", "Trebax Uncinus", "Versutus Conlegium", "Versutus Medico", "Croceus Spiculo", "Vafer Ictus", "Rubrum Toxicum", "Subtiliter Veneno", "Flavens Morsus", "Luteus Uncinus", "Dolosus Statione", "Rubrum Hamus", "Callidus Medico", "Croceus Uncinus", "Sollers Floreo", "Vafer Robus", "Luculenus Robus", "Vafer Statione", "Vafer Conlegium", "Subtiliter Conlegium", "Bombus Statione", "Vorsutus Conlegium", "Astutus Venenum", "Callidus Ictus", "Astutus Conlegium", "Trebax Robus", "Flavens Robus", "Vafer Conlegium", "Astutus Uncinus", "Versutus Pervigeo", "Trebax Floresco", "Flavens Floreo", "Vafer Hamus", "Ingeniosus Pervigeo", "Rubrum Statione", "Flavens Morsus", "Dolosus Morsus", "Sollers Robus", "Bombus Conlegium", "Croceus Floresco", "Flavens Robus", "Sollers Medico", "Flavens Conlegium", "Croceus Aculeus", "Versutus Pervigeo", "Dolosus Venenum", "Sollers Statione", "Croceus Toxicum", "Croceus Ictus", "Ingeniosus Venenum", "Callidus Medico", "Versutus Hamus", "Vafer Aculeus", "Subtiliter Veneno","Luculenus Morsus", "Ingeniosus Pervigeo", "Versutus Venenum", "Versutus Toxicum", "Astutus Pervigeo", "Callidus Pervigeo", "Vorsutus Uncinus", "Versutus Conlegium", "Flavens Robus", "Sollers Robus", "Ingeniosus Hamus", "Dolosus Floresco", "Vorsutus Veneno", "Sollers Aculeus", "Ingeniosus Ictus", "Versutus Ictus", "Sollers Venenum", "Sollers Hamus", "Astutus Robus", "Astutus Veneno", "Bombus Ictus", "Astutus Hamus", "Sollers Uncinus", "Flavens Veneno", "Croceus Robus", "Ingeniosus Spiculo", "Sollers Statione", "Sollers Statione", "Croceus Toxicum", "Callidus Venenum", "Bombus Ictus", "Astutus Uncinus", "Luculenus Hamus", "Luculenus Floresco", "Vafer Pervigeo", "Subtiliter Statione", "Flavens Floresco", "Vorsutus Ictus", "Callidus Toxicum", "Callidus Toxicum", "Dolosus Floresco", "Vafer Robus", "Subtiliter Medico", "Sollers Conlegium", "Croceus Conlegium", "Astutus Hamus", "Trebax Spiculo", "Astutus Pervigeo", "Astutus Ictus", "Flavens Venenum", "Flavens Floreo", "Flavens Morsus", "Bombus Venenum", "Ingeniosus Ictus", "Bombus Pervigeo", "Flavens Pervigeo", "Ingeniosus Veneno", "Dolosus Conlegium", "Dolosus Spiculo", "Flavens Spiculo", "Croceus Aculeus", "Luteus Toxicum", "Versutus Veneno", "Luculenus Statione",
// Galaxy 2
"Animosus Domum", "Aurum Regina", "Fidelis Civitas", "Sapiens Regina", "Ferrum Officina", "Pacificae Officina", "Protegat Vespa", "Amicissimum Oppidum", "Argenti Alvus", "Fortis Nidus", "Armato Melculum", "Prudens Melculum", "Districtus Nidus", "Pacificae Villam", "Fortem Civitas", "Occupatus Alvearium", "Aurum Concustodio", "Aurum Castra", "Argenti Castra", "Munificus Oppidum", "Occupatus Stratopedum", "Validus Alvus", "Fidelis Villam", "Uber Cubile", "Sophos Alvearium", "Uber Oppidum", "Ferrum Regina", "Animosus Villam", "Amicissimum Alvus", "Argenti Civitas", "Certus Alvus", "Prudens Melculum", "Uber Municipium", "Validus Vespa", "Prudens Cubile", "Prudens Castra", "Districtus Vespa", "Munificus Castra", "Sophos Villam", "Animosus Alvus", "Protegat Villam", "Prudens Regina", "Munificus Collectivus", "Munificus Alvearium", "Fidelis Castra", "Sophos Vespa", "Certus Castra", "Armato Alvus", "Argenti Insecta", "Sophos Alvus", "Prudens Civitas", "Munificus Vespa", "Animosus Melculum", "Validus Regina", "Sophos Cubile", "Bestiola Caeruleum", "Protegat Alvearium", "Armato Stratopedum", "Ferrum Collectivus", "Fortis Alvus", "Amicissimum Alvus", "Ferrum Officina", "Occupatus Cubile", "Districtus Municipium","Certus Stratopedum", "Amicissimum Oppidum", "Fortem Custos", "Sapiens Oppidum", "Amicissimum Cubile", "Occupatus Concustodio", "Validus Officina", "Argenti Stratopedum", "Uber Custos", "Amicissimum Concustodio", "Prudens Municipium", "Prudens Insectum", "Armato Vespa", "Armato Castra", "Armato Cubile", "Pacificae Domum", "Amicissimum Insecta", "Sapiens Collectivus", "Prudens Domum", "Amicissimum Castra", "Ferrum Reginae", "Occupatus Insectum", "Amicissimum Alvus", "Sapiens Concustodio", "Fidelis Civitas", "Fortem Vespa", "Prudens Custos", "Fortis Oppidum", "Prudens Collectivus", "Fidelis Nidus", "Armato Melculum", "Certus Insectum", "Fortem Melculum", "Sophos Regina", "Protegat Castra", "Validus Officina", "Pacificae Civitas", "Sapiens Alvus", "Fortem Nidus", "Sophos Melculum", "Fidelis Alvus", "Districtus Insecta", "Armato Regina", "Ferrum Cubile", "Validus Alvearium", "Occupatus Alvus", "Sapiens Custos", "Amicissimum Alvearium", "Argenti Officina", "Certus Insectum", "Armato Domum", "Fortem Villam", "Districtus Stratopedum", "Fidelis Oppidum", "Districtus Melculum", "Argenti Municipium", "Ferrum Domum", "Armato Civitas", "Certus Alvus", "Protegat Castra", "Fortis Concustodio", "Certus Municipium", "Sapiens Melculum", "Validus Concustodio", "Validus Vespa", "Protegat Officina", "Animosus Nidus", "Protegat Vespa", "Occupatus Stratopedum", "Districtus Oppidum", "Aurum Alvearium", "Fortem Castra", "Certus Alvearium", "Sapiens Civitas", "Fidelis Municipium", "Fortem Insectum", "Districtus Alvus", "Occupatus Oppidum", "Sophos Melculum", "Sapiens Custos", "Armato Civitas", "Sophos Collectivus", "Uber Alvus", "Fidelis Regina", "Armato Insectum", "Animosus Collectivus", "Aurum Civitas", "Armato Regina", "Fidelis Regina", "Ferrum Concustodio", "Validus Municipium", "Sophos Regina", "Prudens Stratopedum", "Pacificae Nidus", "Argenti Officina", "Prudens Insecta", "Prudens Villam", "Certus Stratopedum", "Validus Stratopedum", "Districtus Villam", "Protegat Municipium", "Aurum Melculum", "Sapiens Insectum", "Fortem Collectivus", "Certus Alvus", "Munificus Regina", "Munificus Stratopedum", "Uber Officina", "Fidelis Melculum", "Argenti Stratopedum", "Sapiens Concustodio", "Amicissimum Alvearium", "Fortem Civitas", "Certus Stratopedum", "Fidelis Vespa", "Aurum Nidus", "Sapiens Vespa", "Fortis Domum", "Certus Regina", "Certus Concustodio", "Pacificae Vespa", "Fidelis Alvearium", "Protegat Villam", "Pacificae Villam", "Armato Villam", "Protegat Collectivus", "Uber Officina", "Occupatus Civitas","Protegat Insectum", "Ferrum Domum", "Protegat Civitas", "Pacificae Stratopedum", "Prudens Villam", "Uber Castra", "Fortem Officina", "Districtus Custos", "Occupatus Municipium", "Uber Melculum", "Aurum Officina", "Sophos Insecta", "Munificus Nidus", "Certus Domum", "Uber Insecta", "Amicissimum Insecta", "Validus Villam", "Munificus Officina", "Districtus Oppidum", "Uber Civitas", "Aurum Regina", "Fidelis Alvearium", "Ferrum Custos", "Sapiens Nidus", "Districtus Civitas", "Validus Cubile", "Amicissimum Collectivus", "Amicissimum Domum", "Animosus Castra", "Sophos Regina", "Sapiens Nidus", "Protegat Melculum", "Uber Oppidum", "Pacificae Insecta", "Argenti Nidus", "Sapiens Cubile", "Animosus Stratopedum", "Pacificae Insecta", "Sophos Nidus", "Certus Oppidum", "Munificus Stratopedum", "Prudens Cubile", "Fidelis Villam", "Occupatus Insecta", "Districtus Alvus", "Sophos Melculum", "Prudens Oppidum", "Occupatus Civitas", "Occupatus Villam", "Aurum Villam", "Aurum Regina", "Ferrum Domum", "Fortis Vespa", "Sapiens Castra", "Districtus Regina", "Aurum Melculum", "Validus Alvus", "Amicissimum Cubile", "Munificus Officina", "Aurum Cubile", "Validus Domum", "Fortis Alvearium", "Sophos Villam", "Argenti Civitas",
// Galaxy 3
"Praepollens Vulgus", "Coelum Turba", "Pollens Nectare", "Caelum Circulus", "Divum Turba", "Coelum Classis", "Magnus Vulgus", "Caelum Celebro", "Divum Saltatio", "Metallum Forma", "Magnus Circulor", "Immane Vavis", "Infigo Universitas", "Volubilis Forma", "Magnus Nectare", "Reverendus Saltatio", "Divum Celebro", "Verendus Forma", "Pollens Numus", "Volubilis Turba", "Magnus Nectare", "Volubilis Circulus", "Magnus Vulgus", "Pollens Circulus", "Magnus Classis", "Immane Multae", "Volubilis Turba", "Versura Pecunia", "Magnus Classis", "Verendus Celebro", "Metallum Vulgus", "Metallum Universitas", "Coelum Circulus", "Venerabilis Forma", "Metallum Multae", "Praepollens Multae", "Coelum Classis", "Magnus Turba", "Validus Classis", "Magnus Circulor", "Divum Numus", "Volubilis Corona", "Magnus Vavis", "Magnus Corona", "Venerabilis Multae", "Versura Vavis", "Potens Vulgus", "Infigo Multae", "Pollens Forma", "Reverendus Corona", "Immane Multitudo", "Pollens Circulus", "Pollens Pecunia", "Pollens Turba", "Coelum Vulgus", "Volubilis Vavis", "Venerabilis Turba", "Venerabilis Forma", "Coelum Classis", "Verendus Pecunia", "Volubilis Multitudo", "Verendus Circulor", "Metallum Circulor", "Metallum Circulor","Magnus Circulor", "Volubilis Circulus", "Pollens Celebro", "Infigo Pecunia", "Metallum Celebro", "Metallum Corona", "Volubilis Vulgus", "Volubilis Universitas", "Venerabilis Vulgus", "Pollens Nectare", "Reverendus Numus", "Versura Turba", "Metallum Universitas", "Praepollens Multae", "Venerabilis Nectare", "Volubilis Corona", "Volubilis Corona", "Immane Corona", "Reverendus Celebro", "Versura Saltatio", "Validus Vavis", "Coelum Turba", "Validus Circulor", "Potens Turba", "Pollens Vavis", "Caelum Celebro", "Caelum Vulgus", "Verendus Turba", "Coelum Pecunia", "Caelum Turba", "Verendus Saltatio", "Coelum Turba", "Praepollens Multae", "Infigo Corona", "Metallum Corona", "Praepollens Forma", "Magnus Multitudo", "Metallum Forma", "Volubilis Classis", "Venerabilis Saltatio", "Praepollens Vulgus", "Praepollens Multitudo", "Caelum Corona", "Immane Nectare", "Reverendus Celebro", "Infigo Multitudo", "Infigo Universitas", "Coelum Multae", "Potens Circulus", "Metallum Vulgus", "Magnus Circulor", "Volubilis Vavis", "Volubilis Forma", "Caelum Corona", "Divum Corona", "Coelum Universitas", "Validus Classis", "Reverendus Celebro", "Reverendus Vavis", "Pollens Saltatio", "Magnus Multitudo", "Volubilis Multitudo", "Magnus Pecunia", "Venerabilis Circulor", "Magnus Corona", "Immane Circulus", "Magnus Classis", "Verendus Classis", "Divum Corona", "Versura Vavis", "Divum Corona", "Divum Vavis", "Metallum Universitas", "Caelum Nectare", "Caelum Forma", "Pollens Forma", "Caelum Circulus", "Coelum Turba", "Versura Corona", "Immane Saltatio", "Infigo Vavis", "Coelum Forma", "Divum Numus", "Validus Multitudo", "Potens Forma", "Verendus Nectare", "Caelum Multae", "Volubilis Multitudo", "Divum Circulus", "Immane Turba", "Infigo Forma", "Caelum Nectare", "Validus Celebro", "Caelum Classis", "Coelum Forma", "Venerabilis Multae", "Magnus Universitas", "Divum Vulgus", "Magnus Nectare", "Reverendus Classis", "Infigo Forma", "Immane Turba", "Volubilis Celebro", "Reverendus Pecunia", "Verendus Multae", "Immane Vulgus", "Pollens Pecunia", "Potens Multitudo", "Coelum Circulus", "Venerabilis Numus", "Verendus Multae", "Versura Classis", "Volubilis Vulgus", "Infigo Vulgus", "Divum Circulor", "Verendus Corona", "Divum Forma", "Versura Nectare", "Divum Multae", "Pollens Circulus", "Infigo Celebro", "Verendus Forma", "Infigo Pecunia", "Validus Circulor", "Immane Turba", "Praepollens Corona", "Praepollens Universitas", "Verendus Corona","Coelum Corona", "Metallum Nectare", "Verendus Vavis", "Metallum Multitudo", "Validus Saltatio", "Verendus Pecunia", "Magnus Saltatio", "Validus Classis", "Volubilis Multae", "Praepollens Corona", "Pollens Saltatio", "Divum Vulgus", "Metallum Classis", "Infigo Multae", "Magnus Corona", "Immane Numus", "Reverendus Forma", "Volubilis Multae", "Venerabilis Celebro", "Infigo Turba", "Pollens Vavis", "Infigo Circulor", "Versura Multae", "Magnus Turba", "Praepollens Multae", "Infigo Circulor", "Pollens Vulgus", "Coelum Celebro", "Venerabilis Turba", "Caelum Circulor", "Caelum Circulor", "Volubilis Numus", "Infigo Pecunia", "Potens Vulgus", "Volubilis Corona", "Pollens Nectare", "Metallum Universitas", "Validus Numus", "Magnus Vulgus", "Praepollens Vulgus", "Reverendus Saltatio", "Versura Pecunia", "Infigo Multitudo", "Validus Vulgus", "Magnus Multae", "Validus Turba", "Coelum Numus", "Immane Celebro", "Magnus Multitudo", "Verendus Turba", "Verendus Numus", "Infigo Vulgus", "Coelum Turba", "Volubilis Turba", "Versura Saltatio", "Divum Saltatio", "Coelum Vavis", "Volubilis Saltatio", "Divum Turba", "Metallum Multae", "Validus Circulor", "Immane Numus", "Praepollens Turba", "Divum Turba",
// Galaxy 4
"Salataris Praesidium", "Locuples Cunabula", "Gratissimum Emporium", "Locuples Mercatus", "Venustus Mercatura", "Salataris Forum", "Venustus Quintana", "Opulentos Nundinae", "Gestuosus Forum", "Benignus Quintana", "Munificus Quaestus", "Locuples Stabulum", "Decorus Emporium", "Gratissimum Collubus", "Suavis Quaestus", "Largus Studium", "Salataris Tutela", "Decorus Pabulatio", "Dulcifer Mercatus", "Gratissimum Nundinae", "Dulcifer Burgus", "Locuples Castrum", "Dulcifer Cunabula", "Gloria Cunabula", "Venustus Pabulatio", "Benignus Stabulum", "Suavis Mercatura", "Venustus Stabulum", "Gratissimum Cunabula", "Gestuosus Mercatura", "Decorus Emporium", "Salataris Emporium", "Lepidus Permutatio", "Benignus Studium", "Lepidus Praesidium", "Gestuosus Emporium", "Dulcifer Pabulatio", "Largus Studium", "Cracens Cunabula", "Benignus Cunabula", "Munificus Studium", "Suavis Pabulatio", "Benignus Nundinae", "Gloria Pabulatio", "Benignus Praesidium", "Suavis Praesidium", "Utibilis Tutela", "Salataris Stabulum", "Gloria Studium", "Benignus Mercatura", "Venustus Quaestus", "Bellatulus Mercatura", "Bellatulus Commercium", "Dulcifer Tutela", "Decorus Burgus", "Gestuosus Mercatus", "Gratissimum Cunabula", "Gestuosus Quintana", "Opulentos Quintana", "Gestuosus Forum", "Lepidus Cunabula", "Suavis Mercatus", "Benignus Permutatio", "Suavis Studium","Decorus Emporium", "Suavis Castrum", "Venustus Castrum", "Cracens Collubus", "Dulcis Cunabula", "Cracens Cunabula", "Salataris Collubus", "Elegans Burgus", "Cracens Mercatura", "Gratissimum Praesidium", "Dulcis Mercatus", "Gestuosus Cunabula", "Dulcis Quintana", "Bellatulus Forum", "Munificus Cunabula", "Locuples Nundinae", "Gestuosus Cunabula", "Venustus Cunabula", "Lepidus Mercatura", "Salataris Pugnaculum", "Utibilis Mercatura", "Salataris Mercatus", "Gloria Pabulatio", "Salataris Mercatura", "Gratissimum Cunabula", "Largus Forum", "Largus Nundinae", "Munificus Castrum", "Auxiliarius Castrum", "Dulcis Permutatio", "Gratissimum Pabulatio", "Opulentos Quaestus", "Cracens Quaestus", "Locuples Mercatus", "Gestuosus Quintana", "Benignus Castrum", "Bellatulus Forum", "Benignus Stabulum", "Gloria Castrum", "Opulentos Burgus", "Gestuosus Mercatus", "Opulentos Tutela", "Decorus Stabulum", "Suavis Praesidium", "Gratissimum Mercatus", "Locuples Studium", "Cracens Pugnaculum", "Locuples Mercatus", "Gratissimum Collubus", "Cracens Pugnaculum", "Utibilis Emporium", "Munificus Pugnaculum", "Opulentos Mercatura", "Largus Mercatura", "Lepidus Stabulum", "Benignus Tutela", "Gestuosus Cunabula", "Venustus Cunabula", "Suavis Praesidium", "Lepidus Mercatus", "Largus Praesidium", "Auxiliarius Tutela", "Opulentos Forum", "Cracens Studium", "Bellatulus Collubus", "Dulcis Permutatio", "Dulcis Castrum", "Auxiliarius Permutatio", "Gratissimum Commercium", "Benignus Quaestus", "Benignus Tutela", "Venustus Emporium", "Dulcifer Cunabula", "Decorus Praesidium", "Munificus Burgus", "Dulcis Commercium", "Elegans Burgus", "Dulcis Cunabula", "Lepidus Praesidium", "Opulentos Quaestus", "Cracens Permutatio", "Dulcifer Cunabula", "Benignus Tutela", "Decorus Forum", "Elegans Praesidium", "Benignus Pugnaculum", "Largus Cunabula", "Munificus Nundinae", "Decorus Emporium", "Cracens Quintana", "Largus Mercatus", "Elegans Mercatus", "Dulcifer Quaestus", "Decorus Quintana", "Cracens Cunabula", "Salataris Mercatus", "Munificus Studium", "Decorus Nundinae", "Gestuosus Castrum", "Opulentos Quaestus", "Decorus Mercatus", "Salataris Mercatus", "Munificus Pabulatio", "Dulcifer Burgus", "Auxiliarius Praesidium", "Utibilis Tutela", "Dulcis Permutatio", "Largus Burgus", "Utibilis Collubus", "Opulentos Cunabula", "Auxiliarius Collubus", "Elegans Studium", "Gloria Studium", "Auxiliarius Stabulum", "Bellatulus Permutatio", "Auxiliarius Emporium", "Largus Mercatura", "Gratissimum Commercium", "Largus Pugnaculum", "Dulcis Collubus", "Dulcifer Tutela", "Salataris Cunabula", "Gratissimum Nundinae", "Dulcifer Forum", "Auxiliarius Mercatura", "Venustus Permutatio", "Largus Collubus", "Dulcis Praesidium","Elegans Forum", "Largus Studium", "Gratissimum Mercatura", "Auxiliarius Praesidium", "Lepidus Permutatio", "Elegans Cunabula", "Largus Praesidium", "Gratissimum Emporium", "Utibilis Emporium", "Gloria Collubus", "Benignus Pabulatio", "Largus Cunabula", "Auxiliarius Cunabula", "Gestuosus Pabulatio", "Decorus Forum", "Decorus Forum", "Locuples Permutatio", "Venustus Mercatura", "Lepidus Commercium", "Opulentos Nundinae", "Lepidus Cunabula", "Lepidus Forum", "Venustus Burgus", "Bellatulus Permutatio", "Suavis Forum", "Venustus Tutela", "Decorus Cunabula", "Munificus Commercium", "Suavis Pabulatio", "Auxiliarius Castrum", "Utibilis Quintana", "Munificus Pabulatio", "Lepidus Emporium", "Munificus Mercatura", "Gratissimum Cunabula", "Decorus Quintana", "Salataris Pabulatio", "Cracens Stabulum", "Auxiliarius Studium", "Auxiliarius Permutatio", "Venustus Praesidium", "Elegans Emporium", "Bellatulus Tutela", "Benignus Stabulum", "Gestuosus Collubus", "Suavis Commercium", "Dulcis Emporium", "Gestuosus Forum", "Venustus Permutatio", "Munificus Collubus", "Dulcis Burgus", "Venustus Quintana", "Auxiliarius Quaestus", "Suavis Forum", "Decorus Pugnaculum", "Bellatulus Collubus", "Gestuosus Forum", "Munificus Commercium", "Gratissimum Cunabula", "Bellatulus Studium", "Elegans Nundinae", "Gestuosus Quintana", "Gratissimum Burgus", "Benignus Forum",
// Galaxy 5
"Magus Ascella", "Novus Olefacto", "Inlustris Odoror", "Eximius Subolfacio", "Natatio Fragro", "Vetus Cubile", "Magicus Olefacto", "Mystica Cunabulum", "Curabitur Redoleo", "Pythonicus Olefacto", "Magicus Nidore", "Mystica Olefacto", "Vetus Olefacto", "Clarus Cornu", "Curabitur Tectum", "Magus Subolfacio", "Senex Adoleo", "Natatio Olfacio", "Vetus Nidore", "Splendidus Olefacto", "Argentum Cunabulum", "Curabitur Colonia", "Sphaera Collectivus", "Inlustris Pervolo", "Senex Fragro", "Curabitur Nidore", "Clarus Cunabulum", "Curabitur Collectivus", "Inlustris Subolfacio", "Natatio Odoror", "Novellus Cornu", "Saltatus Cubile", "Eximius Colonia", "Inlustris Odoratus", "Clarus Tectum", "Argentum Colonia", "Argentum Cunabulum", "Magicus Colonia", "Clarus Olfacio", "Sphaera Tectum", "Curabitur Communis", "Pythonicus Adoleo", "Vetus Ascella", "Argentum Nidore", "Senex Tectum", "Vetus Apes", "Inlustris Tectum", "Magus Odoror", "Argentum Adoleo", "Illustris Cunabulum", "Saltatus Olfacio", "Senex Nidore", "Pythonicus Nidore", "Novus Tectum", "Illustris Collectivus", "Magicus Collectivus", "Mysticus Collectivus", "Senex Olfacio", "Natatio Adoleo", "Argentum Tectum", "Tripudium Subolfacio", "Sphaera Fragro", "Illustris Fragro", "Saltatus Olefacto","Magicus Apes", "Splendidus Subolfacio", "Eximius Adoleo", "Vetus Cubile", "Illustris Subolfacio", "Tripudium Odoror", "Novellus Subolfacio", "Splendidus Subolfacio", "Magus Odoratus", "Novus Tectum", "Senex Fragro", "Inlustris Cubile", "Mysticus Subolfacio", "Tripudium Subolfacio", "Eximius Odoror", "Splendidus Redoleo", "Magicus Adoleo", "Vetus Olefacto", "Novellus Cubile", "Novellus Subolfacio", "Magicus Odoror", "Sphaera Collectivus", "Curabitur Cubile", "Magus Pervolo", "Argentum Fragro", "Curabitur Olfacio", "Splendidus Communis", "Magus Collectivus", "Saltatus Olfacio", "Splendidus Olfacio", "Magicus Odoror", "Curabitur Tectum", "Splendidus Colonia", "Inlustris Subolfacio", "Magus Olfacio", "Splendidus Cubile", "Vetus Fragro", "Novus Communis", "Mystica Ascella", "Magicus Subolfacio", "Illustris Pervolo", "Novus Adoleo", "Novellus Collectivus", "Tripudium Subolfacio", "Argentum Olefacto", "Magicus Adoleo", "Saltatus Communis", "Argentum Apes", "Clarus Collectivus", "Eximius Subolfacio", "Mysticus Subolfacio", "Curabitur Redoleo", "Illustris Tectum", "Natatio Olfacio", "Magicus Apes", "Mysticus Olfacio", "Novellus Cunabulum", "Mystica Colonia", "Novellus Fragro", "Saltatus Cornu", "Splendidus Odoror", "Mysticus Olefacto", "Illustris Colonia", "Tripudium Tectum", "Clarus Tectum", "Tripudium Nidore", "Curabitur Ascella", "Sphaera Cubile", "Illustris Olefacto", "Tripudium Ascella", "Novus Odoror", "Splendidus Olfacio", "Curabitur Fragro", "Novellus Cubile", "Mystica Collectivus", "Pythonicus Olefacto", "Novus Subolfacio", "Eximius Odoratus", "Magus Pervolo", "Senex Subolfacio", "Novellus Tectum", "Tripudium Apes", "Vetus Fragro", "Tripudium Cubile", "Novellus Subolfacio", "Senex Subolfacio", "Novellus Subolfacio", "Novellus Nidore", "Clarus Olfacio", "Illustris Cornu", "Magus Adoleo", "Inlustris Cunabulum", "Mystica Communis", "Magus Redoleo", "Mystica Odoror", "Senex Odoratus", "Magicus Subolfacio", "Vetus Fragro", "Saltatus Nidore", "Novellus Odoratus", "Sphaera Tectum", "Clarus Odoror", "Magus Cunabulum", "Illustris Fragro", "Mystica Subolfacio", "Saltatus Adoleo", "Tripudium Ascella", "Curabitur Apes", "Vetus Fragro", "Magicus Olefacto", "Mystica Olfacio", "Eximius Tectum", "Natatio Odoratus", "Natatio Ascella", "Argentum Odoror", "Novellus Subolfacio", "Mystica Communis", "Vetus Odoror", "Eximius Olfacio", "Clarus Colonia", "Splendidus Pervolo", "Tripudium Pervolo", "Mystica Pervolo", "Sphaera Fragro", "Novellus Odoror", "Vetus Communis", "Sphaera Fragro", "Mystica Colonia","Natatio Cubile", "Argentum Adoleo", "Argentum Cunabulum", "Mystica Odoratus", "Eximius Olefacto", "Inlustris Collectivus", "Argentum Cubile", "Illustris Olfacio", "Vetus Fragro", "Splendidus Communis", "Curabitur Olefacto", "Novellus Cunabulum", "Eximius Redoleo", "Magus Odoratus", "Mystica Redoleo", "Clarus Cornu", "Novellus Cunabulum", "Senex Colonia", "Sphaera Subolfacio", "Magus Adoleo", "Magicus Collectivus", "Argentum Olfacio", "Clarus Ascella", "Novus Subolfacio", "Mystica Apes", "Argentum Subolfacio", "Tripudium Tectum", "Argentum Olefacto", "Inlustris Apes", "Pythonicus Fragro", "Mysticus Cubile", "Eximius Subolfacio", "Illustris Cornu", "Saltatus Ascella", "Tripudium Colonia", "Splendidus Communis", "Illustris Subolfacio", "Senex Colonia", "Senex Subolfacio", "Novellus Collectivus", "Saltatus Fragro", "Mysticus Colonia", "Argentum Odoror", "Tripudium Collectivus", "Argentum Ascella", "Splendidus Odoror", "Sphaera Odoratus", "Sphaera Colonia", "Magicus Tectum", "Novellus Pervolo", "Mysticus Apes", "Saltatus Odoratus", "Mysticus Fragro", "Eximius Subolfacio", "Argentum Collectivus", "Novellus Subolfacio", "Pythonicus Olefacto", "Novus Subolfacio", "Inlustris Collectivus", "Saltatus Odoror", "Saltatus Olfacio", "Argentum Communis", "Vetus Cornu", "Argentum Cunabulum",
// Galaxy 6
"Caneo Vicus", "Benignus Turrim", "Calefacio Pagus", "Calidus Rubefacio", "Mitis Turrim", "Iucundus Emineo", "Calidus Iugum", "Suavis Pagus", "Calefacio Congeries", "Iucundum Conscendo", "Calidum Turrim", "Melodes Grumus", "Acceptus Tumulus", "Caneo Mundus", "Benignus Vicus", "Melodes Grumus", "Mitis Turris", "Calidum Vicus", "Iucundum Emineo", "Melodes Pagus", "Lenis Conscendo", "Calidus Congeries", "Mitis Pagus", "Iucundus Emineo", "Calefacio Grumus", "Iucundus Orbis", "Suavis Turris", "Savis Pagus", "Calidus Pagus", "Remissus Collis", "Suavis Tumulus", "Iucundum Iugum", "Calefacio Pagus", "Benignus Tumulus", "Iucundus Pagus", "Melodes Tumulus", "Savis Grumus", "Savis Castellum", "Suavis Grumus", "Calidus Adgestum", "Suavis Rubefacio", "Acceptus Tumulus", "Lenis Rubefacio", "Dulcis Emineo", "Caneo Grumus", "Dulcis Emineo", "Savis Iugum", "Caneo Collis", "Calefacio Turrim", "Savis Adgestum", "Melodes Turris", "Dulcis Rubefacio", "Tepidus Tumulus", "Iucundus Congeries", "Remissus Tumulus", "Calidus Emineo", "Calefacio Grumus", "Caneo Turris", "Calidus Castellum", "Melodes Rubefacio", "Suavis Grumus", "Remissus Orbis", "Tepidus Orbis", "Acceptus Conscendo","Acceptus Grumus", "Acceptus Grumus", "Acceptus Collis", "Iucundus Adgestum", "Iucundum Vicus", "Remissus Collis", "Iucundum Mundus", "Dulcis Grumus", "Calefacio Tumulus", "Benignus Adgestum", "Calefacio Vicus", "Mitis Conscendo", "Lenis Collis", "Calidus Mundus", "Benignus Castellum", "Savis Vicus", "Mitis Conscendo", "Dulcis Grumus", "Dulcis Pagus", "Dulcis Adgestum", "Iucundum Emineo", "Calidum Vicus", "Caneo Collis", "Calidus Emineo", "Acceptus Adgestum", "Calidus Mundus", "Caneo Turrim", "Iucundum Turris", "Calefacio Vicus", "Calidus Adgestum", "Remissus Turris", "Calidus Mundus", "Calidum Turris", "Calidus Turrim", "Savis Iugum", "Dulcis Turris", "Dulcis Turrim", "Melodes Turris", "Tepidus Vicus", "Melodes Emineo", "Suavis Orbis", "Calidum Adgestum", "Calefacio Grumus", "Tepidus Vicus", "Dulcis Grumus", "Mitis Turris", "Iucundum Vicus", "Tepidus Congeries", "Benignus Adgestum", "Savis Turrim", "Iucundus Mundus", "Calefacio Turris", "Acceptus Collis", "Caneo Turrim", "Melodes Turrim", "Dulcis Rubefacio", "Dulcis Rubefacio", "Benignus Collis", "Suavis Mundus", "Iucundum Turris", "Caneo Castellum", "Calidum Rubefacio", "Tepidus Emineo", "Tepidus Tumulus", "Remissus Adgestum", "Acceptus Congeries", "Dulcis Iugum", "Iucundus Grumus", "Suavis Iugum", "Suavis Mundus", "Dulcis Collis", "Caneo Vicus", "Dulcis Tumulus", "Caneo Turrim", "Benignus Tumulus", "Mitis Collis", "Melodes Rubefacio", "Melodes Conscendo", "Iucundus Emineo", "Calidus Congeries", "Dulcis Orbis", "Calidum Grumus", "Caneo Grumus", "Melodes Turris", "Lenis Turris", "Tepidus Emineo", "Melodes Conscendo", "Mitis Tumulus", "Savis Vicus", "Tepidus Conscendo", "Iucundus Conscendo", "Calidus Rubefacio", "Melodes Castellum", "Mitis Congeries", "Iucundum Iugum", "Suavis Congeries", "Melodes Castellum", "Savis Conscendo", "Benignus Iugum", "Calefacio Turrim", "Mitis Congeries", "Suavis Pagus", "Melodes Collis", "Calidus Conscendo", "Iucundum Adgestum", "Remissus Congeries", "Savis Turris", "Calefacio Orbis", "Remissus Conscendo", "Tepidus Tumulus", "Iucundus Congeries", "Lenis Turrim", "Savis Conscendo", "Suavis Tumulus", "Calefacio Turrim", "Calefacio Iugum", "Acceptus Conscendo", "Dulcis Emineo", "Melodes Collis", "Mitis Grumus", "Savis Castellum", "Iucundus Tumulus", "Iucundum Pagus", "Melodes Congeries", "Remissus Iugum", "Acceptus Tumulus", "Calidus Orbis", "Dulcis Rubefacio","Benignus Rubefacio", "Dulcis Pagus", "Dulcis Turrim", "Mitis Turrim", "Caneo Pagus", "Tepidus Turrim", "Calidum Adgestum", "Remissus Emineo", "Calidum Turrim", "Suavis Rubefacio", "Savis Rubefacio", "Dulcis Turrim", "Calidum Tumulus", "Calefacio Vicus", "Suavis Mundus", "Savis Orbis", "Dulcis Congeries", "Lenis Vicus", "Melodes Pagus", "Savis Castellum", "Iucundum Castellum", "Calidus Rubefacio", "Caneo Turrim", "Acceptus Mundus", "Savis Rubefacio", "Calidus Iugum", "Savis Turrim", "Acceptus Turris", "Calefacio Vicus", "Iucundum Adgestum", "Calidus Pagus", "Acceptus Collis", "Acceptus Emineo", "Lenis Adgestum", "Remissus Iugum", "Calefacio Congeries", "Dulcis Turris", "Mitis Grumus", "Benignus Castellum", "Lenis Vicus", "Calefacio Adgestum", "Calefacio Collis", "Calidum Vicus", "Remissus Vicus", "Tepidus Tumulus", "Calefacio Turrim", "Savis Rubefacio", "Calidus Rubefacio", "Lenis Congeries", "Iucundum Mundus", "Tepidus Grumus", "Calidus Turris", "Lenis Emineo", "Calefacio Emineo", "Calidus Adgestum", "Calidus Congeries", "Calidum Rubefacio", "Calidum Grumus", "Caneo Emineo", "Calidum Congeries", "Calidus Tumulus", "Savis Grumus", "Acceptus Rubefacio", "Lenis Conscendo",
// Galaxy 7
"Novellus Pervolo", "Mysticus Olefacto", "Novellus Cunabulum", "Natatio Communis", "Vetus Subolfacio", "Vetus Cornu", "Tripudium Pervolo", "Saltatus Cornu", "Clarus Odoratus", "Mysticus Cornu", "Illustris Collectivus", "Magus Olfacio", "Curabitur Cubile", "Magus Olefacto", "Natatio Olfacio", "Pythonicus Pervolo", "Curabitur Subolfacio", "Curabitur Subolfacio", "Argentum Communis", "Tripudium Odoror", "Illustris Cubile", "Novus Odoror", "Tripudium Subolfacio", "Mystica Cornu", "Magicus Cunabulum", "Magicus Redoleo", "Inlustris Cubile", "Clarus Tectum", "Pythonicus Olefacto", "Inlustris Cubile", "Splendidus Collectivus", "Splendidus Cubile", "Novus Olefacto", "Pythonicus Colonia", "Tripudium Communis", "Argentum Collectivus", "Clarus Cubile", "Saltatus Olfacio", "Mysticus Ascella", "Illustris Ascella", "Novus Cornu", "Argentum Subolfacio", "Argentum Subolfacio", "Inlustris Pervolo", "Saltatus Subolfacio", "Illustris Nidore", "Clarus Subolfacio", "Eximius Odoror", "Tripudium Olefacto", "Mystica Cubile", "Mystica Olefacto", "Argentum Subolfacio", "Eximius Olefacto", "Clarus Olfacio", "Inlustris Redoleo", "Vetus Fragro", "Eximius Redoleo", "Magicus Communis", "Mysticus Adoleo", "Magus Redoleo", "Novus Pervolo", "Curabitur Fragro", "Splendidus Subolfacio", "Mystica Fragro","Illustris Ascella", "Illustris Tectum", "Natatio Odoratus", "Illustris Subolfacio", "Inlustris Olfacio", "Magicus Odoror", "Mystica Communis", "Vetus Colonia", "Mysticus Communis", "Argentum Collectivus", "Mysticus Communis", "Vetus Pervolo", "Magicus Cunabulum", "Natatio Cunabulum", "Mystica Tectum", "Argentum Apes", "Sphaera Fragro", "Illustris Pervolo", "Argentum Nidore", "Inlustris Redoleo", "Novus Odoratus", "Saltatus Subolfacio", "Magus Cubile", "Splendidus Ascella", "Magicus Cubile", "Curabitur Collectivus", "Mystica Nidore", "Curabitur Subolfacio", "Eximius Nidore", "Novus Subolfacio", "Magus Olefacto", "Tripudium Pervolo", "Mystica Odoratus", "Magicus Redoleo", "Tripudium Odoratus", "Mystica Pervolo", "Illustris Redoleo", "Curabitur Colonia", "Inlustris Tectum", "Novellus Nidore", "Pythonicus Cunabulum", "Inlustris Odoror", "Novus Cubile", "Senex Subolfacio", "Senex Olfacio", "Natatio Olefacto", "Mystica Odoror", "Senex Cunabulum", "Pythonicus Apes", "Vetus Nidore", "Mystica Redoleo", "Natatio Ascella", "Inlustris Fragro", "Sphaera Fragro", "Clarus Apes", "Magus Pervolo", "Eximius Cubile", "Novellus Cubile", "Inlustris Olfacio", "Senex Cornu", "Clarus Subolfacio", "Illustris Tectum", "Magus Fragro", "Illustris Adoleo", "Splendidus Fragro", "Illustris Odoror", "Novellus Nidore", "Novellus Redoleo", "Splendidus Cornu", "Inlustris Cubile", "Clarus Subolfacio", "Vetus Adoleo", "Tripudium Cubile", "Vetus Cunabulum", "Vetus Tectum", "Argentum Subolfacio", "Eximius Redoleo", "Mystica Cunabulum", "Splendidus Adoleo", "Novellus Cornu", "Sphaera Subolfacio", "Splendidus Redoleo", "Novellus Communis", "Senex Tectum", "Novellus Subolfacio", "Curabitur Subolfacio", "Saltatus Nidore", "Saltatus Subolfacio", "Argentum Communis", "Natatio Tectum", "Senex Cornu", "Novellus Apes", "Sphaera Colonia", "Argentum Fragro", "Sphaera Cunabulum", "Tripudium Colonia", "Tripudium Nidore", "Magicus Apes", "Tripudium Adoleo", "Inlustris Collectivus", "Senex Apes", "Mysticus Ascella", "Inlustris Apes", "Novus Cunabulum", "Illustris Pervolo", "Pythonicus Cunabulum", "Novellus Fragro", "Splendidus Cornu", "Clarus Communis", "Inlustris Pervolo", "Pythonicus Cornu", "Sphaera Apes", "Eximius Olfacio", "Clarus Cunabulum", "Curabitur Fragro", "Magus Adoleo", "Novellus Cunabulum", "Sphaera Pervolo", "Tripudium Apes", "Magus Odoror", "Curabitur Adoleo", "Senex Cunabulum", "Illustris Pervolo", "Pythonicus Colonia", "Clarus Collectivus", "Mysticus Cubile", "Eximius Cunabulum", "Clarus Apes","Curabitur Subolfacio", "Vetus Subolfacio", "Senex Subolfacio", "Novus Odoratus", "Eximius Olfacio", "Mysticus Odoror", "Clarus Nidore", "Novus Odoror", "Novellus Odoror", "Mysticus Olfacio", "Argentum Ascella", "Curabitur Olefacto", "Magicus Olfacio", "Magus Subolfacio", "Argentum Tectum", "Saltatus Olefacto", "Argentum Apes", "Tripudium Colonia", "Novellus Tectum", "Senex Odoror", "Sphaera Tectum", "Senex Pervolo", "Curabitur Subolfacio", "Pythonicus Communis", "Pythonicus Redoleo", "Tripudium Apes", "Illustris Apes", "Illustris Olfacio", "Sphaera Adoleo", "Magicus Ascella", "Sphaera Cubile", "Magus Subolfacio", "Vetus Olefacto", "Illustris Fragro", "Clarus Subolfacio", "Tripudium Olfacio", "Magicus Tectum", "Eximius Fragro", "Saltatus Olfacio", "Vetus Apes", "Natatio Olefacto", "Splendidus Subolfacio", "Magus Ascella", "Eximius Subolfacio", "Eximius Tectum", "Eximius Pervolo", "Argentum Ascella", "Sphaera Adoleo", "Mysticus Subolfacio", "Tripudium Pervolo", "Pythonicus Cubile", "Mystica Tectum", "Mysticus Collectivus", "Natatio Redoleo", "Eximius Cunabulum", "Eximius Tectum", "Splendidus Odoratus", "Curabitur Redoleo", "Novellus Collectivus", "Argentum Collectivus", "Illustris Cunabulum", "Vetus Ascella", "Saltatus Ascella", "Mysticus Apes",
// Galaxy 8
"Luculenus Veneno", "Croceus Uncinus", "Vafer Floresco", "Trebax Uncinus", "Luteus Venenum", "Flavens Uncinus", "Subtiliter Morsus", "Vorsutus Toxicum", "Bombus Ictus", "Subtiliter Medico", "Trebax Statione", "Luteus Floresco", "Vafer Ictus", "Flavens Morsus", "Bombus Statione", "Luteus Medico", "Vafer Spiculo", "Rubrum Hamus", "Flavens Spiculo", "Dolosus Veneno", "Subtiliter Conlegium", "Versutus Robus", "Callidus Floreo", "Luteus Morsus", "Luteus Statione", "Subtiliter Medico", "Rubrum Medico", "Flavens Medico", "Sollers Floresco", "Dolosus Medico", "Callidus Statione", "Trebax Uncinus", "Bombus Medico", "Luculenus Floresco", "Subtiliter Toxicum", "Ingeniosus Floresco", "Callidus Medico", "Flavens Ictus", "Luteus Uncinus", "Sollers Pervigeo", "Ingeniosus Spiculo", "Callidus Uncinus", "Subtiliter Conlegium", "Trebax Morsus", "Vafer Statione", "Vorsutus Pervigeo", "Bombus Morsus", "Callidus Hamus", "Luteus Statione", "Luculenus Ictus", "Subtiliter Morsus", "Dolosus Statione", "Bombus Statione", "Sollers Conlegium", "Flavens Morsus", "Vorsutus Medico", "Versutus Spiculo", "Croceus Spiculo", "Sollers Robus", "Ingeniosus Conlegium", "Croceus Veneno", "Subtiliter Conlegium", "Dolosus Aculeus", "Flavens Ictus","Rubrum Toxicum", "Subtiliter Statione", "Callidus Uncinus", "Callidus Pervigeo", "Rubrum Veneno", "Rubrum Toxicum", "Versutus Uncinus", "Sollers Medico", "Sollers Morsus", "Ingeniosus Statione", "Flavens Morsus", "Sollers Venenum", "Vorsutus Conlegium", "Bombus Floresco", "Callidus Venenum", "Flavens Uncinus", "Luteus Toxicum", "Trebax Conlegium", "Flavens Statione", "Bombus Floresco", "Vorsutus Medico", "Vorsutus Spiculo", "Trebax Hamus", "Bombus Pervigeo", "Luteus Uncinus", "Luculenus Spiculo", "Luteus Robus", "Astutus Robus", "Vafer Ictus", "Croceus Hamus", "Ingeniosus Medico", "Bombus Uncinus", "Rubrum Conlegium", "Luculenus Spiculo", "Bombus Conlegium", "Luteus Uncinus", "Luculenus Medico", "Ingeniosus Conlegium", "Vafer Morsus", "Bombus Floresco", "Vorsutus Pervigeo", "Astutus Spiculo", "Luculenus Aculeus", "Trebax Floreo", "Sollers Medico", "Flavens Medico", "Rubrum Venenum", "Trebax Conlegium", "Subtiliter Aculeus", "Rubrum Conlegium", "Ingeniosus Robus", "Bombus Conlegium", "Astutus Morsus", "Vorsutus Veneno", "Bombus Floresco", "Ingeniosus Hamus", "Trebax Ictus", "Croceus Medico", "Subtiliter Morsus", "Bombus Ictus", "Bombus Pervigeo", "Dolosus Uncinus", "Sollers Robus", "Vafer Floresco", "Bombus Venenum", "Sollers Floresco", "Bombus Aculeus", "Sollers Aculeus", "Trebax Aculeus", "Callidus Medico", "Trebax Floresco", "Versutus Toxicum", "Luteus Spiculo", "Sollers Uncinus", "Luteus Aculeus", "Ingeniosus Pervigeo", "Trebax Morsus", "Ingeniosus Statione", "Vafer Uncinus", "Dolosus Venenum", "Luculenus Aculeus", "Versutus Floreo", "Subtiliter Pervigeo", "Luteus Pervigeo", "Sollers Robus", "Vorsutus Medico", "Sollers Aculeus", "Ingeniosus Hamus", "Trebax Morsus", "Subtiliter Medico", "Callidus Toxicum", "Luteus Statione", "Trebax Conlegium", "Croceus Floreo", "Croceus Medico", "Astutus Venenum", "Trebax Veneno", "Trebax Robus", "Dolosus Hamus", "Versutus Morsus", "Rubrum Robus", "Dolosus Venenum", "Flavens Hamus", "Trebax Conlegium", "Sollers Statione", "Versutus Robus", "Rubrum Spiculo", "Astutus Medico", "Dolosus Hamus", "Flavens Venenum", "Callidus Aculeus", "Rubrum Venenum", "Astutus Medico", "Trebax Conlegium", "Bombus Statione", "Versutus Veneno", "Ingeniosus Aculeus", "Rubrum Robus", "Dolosus Toxicum", "Ingeniosus Statione", "Versutus Ictus", "Flavens Medico", "Luculenus Uncinus", "Subtiliter Floresco", "Rubrum Robus", "Versutus Robus", "Subtiliter Aculeus", "Flavens Morsus","Subtiliter Pervigeo", "Luculenus Veneno", "Vafer Ictus", "Subtiliter Pervigeo", "Luculenus Conlegium", "Subtiliter Statione", "Rubrum Ictus", "Ingeniosus Uncinus", "Croceus Robus", "Versutus Aculeus", "Trebax Hamus", "Rubrum Ictus", "Trebax Hamus", "Subtiliter Conlegium", "Rubrum Spiculo", "Vorsutus Robus", "Versutus Medico", "Luculenus Floreo", "Flavens Floresco", "Subtiliter Statione", "Dolosus Medico", "Luculenus Robus", "Luculenus Spiculo", "Luteus Pervigeo", "Luteus Uncinus", "Dolosus Conlegium", "Flavens Uncinus", "Subtiliter Uncinus", "Callidus Morsus", "Luteus Medico", "Ingeniosus Ictus", "Sollers Uncinus", "Versutus Veneno", "Vorsutus Spiculo", "Vafer Floresco", "Trebax Floreo", "Vafer Venenum", "Flavens Aculeus", "Dolosus Medico", "Rubrum Ictus", "Sollers Aculeus", "Luculenus Statione", "Sollers Uncinus", "Dolosus Statione", "Luteus Pervigeo", "Astutus Robus", "Ingeniosus Spiculo", "Vorsutus Venenum", "Croceus Veneno", "Trebax Veneno", "Trebax Spiculo", "Subtiliter Toxicum", "Subtiliter Floreo", "Ingeniosus Conlegium", "Astutus Hamus", "Sollers Robus", "Rubrum Veneno", "Astutus Venenum", "Astutus Pervigeo", "Luteus Ictus", "Callidus Uncinus", "Vorsutus Venenum", "Vafer Aculeus", "Vorsutus Veneno",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Uno Animo"];

this.sothispool4 = [
// Galaxy 1
"Trebax Floreo", "Sollers Venenum", "Subtiliter Conlegium", "Astutus Pervigeo", "Rubrum Floreo", "Trebax Pervigeo", "Croceus Floresco", "Subtiliter Statione", "Luteus Uncinus", "Croceus Medico", "Callidus Conlegium", "Vafer Uncinus", "Astutus Uncinus", "Sollers Ictus", "Trebax Floresco", "Callidus Medico", "Bombus Hamus", "Flavens Hamus", "Astutus Statione", "Croceus Morsus", "Vafer Veneno", "Dolosus Floresco", "Callidus Ictus", "Flavens Veneno", "Flavens Veneno", "Vorsutus Medico", "Subtiliter Statione", "Astutus Medico", "Ingeniosus Medico", "Vorsutus Morsus", "Sollers Floreo", "Astutus Floreo", "Sollers Statione", "Versutus Floresco", "Sollers Statione", "Dolosus Venenum", "Versutus Veneno", "Callidus Robus", "Luteus Aculeus", "Luculenus Uncinus", "Luteus Spiculo", "Callidus Toxicum", "Dolosus Hamus", "Vorsutus Medico", "Ingeniosus Robus", "Dolosus Floresco", "Sollers Statione", "Ingeniosus Pervigeo", "Vorsutus Ictus", "Flavens Ictus", "Vorsutus Statione", "Sollers Ictus", "Trebax Venenum", "Luculenus Aculeus", "Flavens Robus", "Ingeniosus Floresco", "Dolosus Uncinus", "Callidus Conlegium", "Flavens Hamus", "Croceus Toxicum", "Astutus Aculeus", "Vorsutus Venenum", "Vorsutus Veneno", "Luculenus Veneno","Astutus Toxicum", "Vafer Robus", "Callidus Toxicum", "Ingeniosus Veneno", "Luteus Aculeus", "Luculenus Hamus", "Vafer Floresco", "Sollers Venenum", "Luculenus Venenum", "Vafer Medico", "Versutus Floresco", "Rubrum Ictus", "Flavens Pervigeo", "Croceus Conlegium", "Dolosus Floresco", "Bombus Aculeus", "Flavens Conlegium", "Versutus Floresco", "Flavens Floresco", "Luteus Hamus", "Astutus Ictus", "Sollers Toxicum", "Callidus Conlegium", "Dolosus Aculeus", "Vorsutus Veneno", "Versutus Floreo", "Ingeniosus Aculeus", "Dolosus Uncinus", "Luculenus Pervigeo", "Dolosus Floresco", "Vafer Ictus", "Luteus Pervigeo", "Sollers Pervigeo", "Rubrum Floreo", "Luculenus Pervigeo", "Croceus Statione", "Croceus Veneno", "Vorsutus Venenum", "Subtiliter Robus", "Vorsutus Statione", "Vorsutus Uncinus", "Versutus Conlegium", "Vafer Spiculo", "Bombus Ictus", "Vorsutus Pervigeo", "Vorsutus Medico", "Ingeniosus Venenum", "Luteus Venenum", "Luculenus Venenum", "Subtiliter Pervigeo", "Rubrum Morsus", "Rubrum Medico", "Astutus Aculeus", "Vorsutus Robus", "Trebax Venenum", "Ingeniosus Conlegium", "Ingeniosus Conlegium", "Flavens Morsus", "Flavens Pervigeo", "Vafer Venenum", "Subtiliter Pervigeo", "Dolosus Conlegium", "Luteus Floreo", "Luculenus Spiculo", "Vorsutus Pervigeo", "Trebax Robus", "Vorsutus Floresco", "Subtiliter Robus", "Luteus Spiculo", "Dolosus Conlegium", "Callidus Uncinus", "Versutus Medico", "Dolosus Spiculo", "Vafer Spiculo", "Trebax Venenum", "Flavens Floresco", "Rubrum Floresco", "Luculenus Hamus", "Versutus Pervigeo", "Dolosus Pervigeo", "Astutus Conlegium", "Luculenus Uncinus", "Dolosus Toxicum", "Luteus Venenum", "Vorsutus Pervigeo", "Bombus Toxicum", "Astutus Conlegium", "Vorsutus Floresco", "Versutus Ictus", "Versutus Ictus", "Callidus Floreo", "Subtiliter Ictus", "Vafer Spiculo", "Rubrum Venenum", "Sollers Ictus", "Sollers Conlegium", "Bombus Veneno", "Trebax Robus", "Vafer Venenum", "Trebax Pervigeo", "Croceus Robus", "Subtiliter Floresco", "Ingeniosus Aculeus", "Vorsutus Statione", "Subtiliter Robus", "Sollers Robus", "Sollers Floresco", "Astutus Floreo", "Subtiliter Floresco", "Bombus Morsus", "Rubrum Hamus", "Flavens Toxicum", "Luculenus Ictus", "Rubrum Uncinus", "Trebax Ictus", "Sollers Statione", "Astutus Toxicum", "Vorsutus Medico", "Vafer Aculeus", "Dolosus Floresco", "Luteus Floresco", "Dolosus Hamus", "Vafer Morsus", "Luculenus Hamus", "Callidus Floresco", "Croceus Uncinus", "Bombus Medico", "Vafer Uncinus","Flavens Morsus", "Flavens Veneno", "Trebax Spiculo", "Astutus Robus", "Astutus Toxicum", "Vafer Venenum", "Luculenus Robus", "Subtiliter Floreo", "Rubrum Robus", "Flavens Ictus", "Bombus Statione", "Sollers Aculeus", "Rubrum Medico", "Bombus Venenum", "Vorsutus Conlegium", "Astutus Floreo", "Vorsutus Aculeus", "Callidus Uncinus", "Bombus Conlegium", "Versutus Medico", "Callidus Venenum", "Callidus Conlegium", "Ingeniosus Uncinus", "Flavens Medico", "Rubrum Uncinus", "Flavens Uncinus", "Croceus Robus", "Vafer Hamus", "Vorsutus Pervigeo", "Rubrum Robus", "Subtiliter Toxicum", "Croceus Ictus", "Croceus Statione", "Callidus Uncinus", "Bombus Robus", "Rubrum Medico", "Astutus Robus", "Croceus Toxicum", "Flavens Medico", "Luteus Medico", "Subtiliter Floreo", "Sollers Morsus", "Flavens Veneno", "Astutus Medico", "Callidus Floresco", "Trebax Conlegium", "Bombus Spiculo", "Ingeniosus Hamus", "Sollers Hamus", "Versutus Uncinus", "Versutus Venenum", "Flavens Uncinus", "Subtiliter Medico", "Subtiliter Veneno", "Sollers Venenum", "Vorsutus Toxicum", "Vorsutus Ictus", "Bombus Toxicum", "Dolosus Ictus", "Astutus Robus", "Versutus Aculeus", "Trebax Uncinus", "Versutus Floresco", "Callidus Floresco",
// Galaxy 2
"Vorsutus Floresco", "Rubrum Ictus", "Dolosus Ictus", "Vorsutus Conlegium", "Subtiliter Pervigeo", "Luculenus Veneno", "Trebax Conlegium", "Sollers Floreo", "Flavens Floreo", "Sollers Uncinus", "Versutus Toxicum", "Sollers Aculeus", "Callidus Pervigeo", "Dolosus Morsus", "Ingeniosus Statione", "Vafer Veneno", "Bombus Venenum", "Flavens Aculeus", "Ingeniosus Veneno", "Callidus Veneno", "Bombus Conlegium", "Vafer Morsus", "Astutus Toxicum", "Vorsutus Robus", "Astutus Floresco", "Trebax Ictus", "Luculenus Hamus", "Luteus Veneno", "Croceus Spiculo", "Callidus Pervigeo", "Bombus Conlegium", "Vafer Aculeus", "Vafer Spiculo", "Vafer Statione", "Flavens Medico", "Vafer Ictus", "Bombus Ictus", "Sollers Floresco", "Vafer Hamus", "Flavens Floresco", "Dolosus Conlegium", "Flavens Morsus", "Vafer Ictus", "Ingeniosus Uncinus", "Sollers Spiculo", "Rubrum Spiculo", "Astutus Toxicum", "Sollers Uncinus", "Luculenus Conlegium", "Callidus Ictus", "Bombus Ictus", "Rubrum Robus", "Callidus Pervigeo", "Vorsutus Conlegium", "Bombus Toxicum", "Ingeniosus Uncinus", "Callidus Toxicum", "Bombus Medico", "Bombus Aculeus", "Luculenus Hamus", "Callidus Ictus", "Vafer Aculeus", "Astutus Statione", "Astutus Pervigeo","Luteus Uncinus", "Luculenus Statione", "Trebax Morsus", "Luculenus Veneno", "Subtiliter Robus", "Ingeniosus Hamus", "Dolosus Toxicum", "Bombus Spiculo", "Sollers Morsus", "Rubrum Robus", "Trebax Morsus", "Dolosus Spiculo", "Sollers Toxicum", "Vafer Conlegium", "Callidus Venenum", "Bombus Floresco", "Callidus Floresco", "Versutus Pervigeo", "Luculenus Conlegium", "Flavens Uncinus", "Versutus Floreo", "Sollers Toxicum", "Dolosus Toxicum", "Luculenus Veneno", "Bombus Spiculo", "Flavens Floresco", "Vafer Hamus", "Astutus Venenum", "Vorsutus Robus", "Rubrum Robus", "Sollers Toxicum", "Astutus Floreo", "Luteus Ictus", "Luteus Toxicum", "Ingeniosus Floresco", "Vorsutus Toxicum", "Vafer Conlegium", "Sollers Venenum", "Luculenus Statione", "Astutus Floresco", "Luculenus Ictus", "Sollers Floreo", "Vafer Morsus", "Luculenus Spiculo", "Callidus Ictus", "Flavens Veneno", "Rubrum Morsus", "Astutus Spiculo", "Subtiliter Statione", "Croceus Veneno", "Vafer Robus", "Vafer Pervigeo", "Versutus Conlegium", "Luculenus Veneno", "Subtiliter Hamus", "Luculenus Spiculo", "Luteus Venenum", "Luculenus Floreo", "Callidus Conlegium", "Trebax Veneno", "Flavens Conlegium", "Vorsutus Veneno", "Ingeniosus Floreo", "Vafer Veneno", "Callidus Robus", "Ingeniosus Conlegium", "Rubrum Aculeus", "Sollers Veneno", "Luteus Venenum", "Flavens Statione", "Versutus Statione", "Flavens Ictus", "Subtiliter Uncinus", "Subtiliter Statione", "Subtiliter Floresco", "Vafer Ictus", "Flavens Veneno", "Dolosus Medico", "Astutus Veneno", "Sollers Spiculo", "Subtiliter Conlegium", "Rubrum Veneno", "Callidus Veneno", "Bombus Uncinus", "Sollers Aculeus", "Versutus Toxicum", "Subtiliter Pervigeo", "Croceus Floreo", "Rubrum Hamus", "Rubrum Robus", "Luteus Floreo", "Vafer Floreo", "Subtiliter Floreo", "Vorsutus Ictus", "Callidus Conlegium", "Vafer Uncinus", "Dolosus Uncinus", "Bombus Ictus", "Luculenus Venenum", "Croceus Conlegium", "Vafer Venenum", "Versutus Statione", "Trebax Statione", "Luteus Veneno", "Vorsutus Conlegium", "Callidus Floreo", "Luteus Pervigeo", "Versutus Statione", "Vorsutus Statione", "Luculenus Conlegium", "Bombus Conlegium", "Luteus Uncinus", "Astutus Floreo", "Vafer Hamus", "Vorsutus Aculeus", "Versutus Statione", "Subtiliter Floresco", "Versutus Uncinus", "Vafer Conlegium", "Luculenus Conlegium", "Bombus Robus", "Trebax Hamus", "Subtiliter Aculeus", "Luteus Medico", "Dolosus Ictus", "Bombus Medico", "Ingeniosus Toxicum", "Vafer Floreo","Sollers Morsus", "Flavens Morsus", "Luteus Venenum", "Luteus Ictus", "Subtiliter Morsus", "Callidus Venenum", "Rubrum Ictus", "Trebax Floresco", "Ingeniosus Pervigeo", "Rubrum Statione", "Luculenus Floresco", "Bombus Veneno", "Ingeniosus Statione", "Sollers Conlegium", "Luteus Uncinus", "Subtiliter Floresco", "Vorsutus Floresco", "Ingeniosus Morsus", "Vorsutus Robus", "Luculenus Hamus", "Astutus Pervigeo", "Luteus Pervigeo", "Vafer Ictus", "Croceus Toxicum", "Flavens Statione", "Bombus Veneno", "Vafer Conlegium", "Luteus Conlegium", "Astutus Morsus", "Rubrum Spiculo", "Sollers Ictus", "Luculenus Medico", "Sollers Hamus", "Sollers Hamus", "Callidus Floreo", "Vafer Veneno", "Ingeniosus Conlegium", "Sollers Veneno", "Trebax Uncinus", "Astutus Veneno", "Flavens Robus", "Croceus Veneno", "Versutus Venenum", "Subtiliter Spiculo", "Vafer Aculeus", "Ingeniosus Spiculo", "Subtiliter Spiculo", "Bombus Statione", "Sollers Morsus", "Bombus Morsus", "Rubrum Floreo", "Luteus Morsus", "Astutus Ictus", "Versutus Aculeus", "Trebax Robus", "Trebax Pervigeo", "Astutus Ictus", "Dolosus Spiculo", "Croceus Medico", "Luculenus Toxicum", "Vorsutus Venenum", "Luteus Morsus", "Trebax Conlegium", "Versutus Spiculo",
// Galaxy 3
"Croceus Morsus", "Flavens Hamus", "Bombus Pervigeo", "Croceus Statione", "Luteus Morsus", "Astutus Uncinus", "Callidus Toxicum", "Flavens Hamus", "Flavens Toxicum", "Ingeniosus Uncinus", "Trebax Robus", "Luculenus Ictus", "Subtiliter Statione", "Vorsutus Morsus", "Croceus Floresco", "Rubrum Floresco", "Rubrum Toxicum", "Rubrum Veneno", "Luculenus Floresco", "Luteus Statione", "Dolosus Venenum", "Subtiliter Floresco", "Vorsutus Morsus", "Croceus Veneno", "Vafer Medico", "Astutus Medico", "Croceus Morsus", "Bombus Conlegium", "Croceus Robus", "Luteus Conlegium", "Rubrum Floresco", "Sollers Pervigeo", "Bombus Floresco", "Astutus Ictus", "Versutus Floresco", "Luteus Medico", "Ingeniosus Floreo", "Sollers Spiculo", "Astutus Hamus", "Sollers Ictus", "Sollers Toxicum", "Sollers Veneno", "Rubrum Morsus", "Rubrum Medico", "Callidus Aculeus", "Bombus Statione", "Astutus Veneno", "Subtiliter Spiculo", "Trebax Floresco", "Callidus Robus", "Rubrum Aculeus", "Subtiliter Morsus", "Rubrum Spiculo", "Vorsutus Aculeus", "Dolosus Venenum", "Sollers Uncinus", "Subtiliter Pervigeo", "Vorsutus Morsus", "Versutus Ictus", "Vorsutus Morsus", "Croceus Statione", "Bombus Uncinus", "Croceus Veneno", "Luteus Uncinus","Ingeniosus Morsus", "Trebax Morsus", "Trebax Conlegium", "Astutus Floreo", "Sollers Morsus", "Luteus Ictus", "Luteus Morsus", "Dolosus Spiculo", "Luculenus Aculeus", "Versutus Hamus", "Rubrum Venenum", "Trebax Morsus", "Croceus Veneno", "Sollers Pervigeo", "Vafer Hamus", "Croceus Floresco", "Vorsutus Morsus", "Rubrum Veneno", "Trebax Venenum", "Luculenus Aculeus", "Vafer Venenum", "Trebax Veneno", "Dolosus Ictus", "Ingeniosus Floreo", "Astutus Medico", "Luculenus Spiculo", "Callidus Morsus", "Croceus Spiculo", "Sollers Floresco", "Subtiliter Medico", "Callidus Robus", "Astutus Pervigeo", "Bombus Morsus", "Flavens Toxicum", "Callidus Hamus", "Luculenus Statione", "Sollers Statione", "Versutus Veneno", "Croceus Statione", "Rubrum Medico", "Vorsutus Conlegium", "Vafer Conlegium", "Callidus Aculeus", "Trebax Veneno", "Luteus Robus", "Croceus Hamus", "Vafer Uncinus", "Flavens Morsus", "Rubrum Venenum", "Trebax Medico", "Vorsutus Robus", "Ingeniosus Aculeus", "Vafer Aculeus", "Luculenus Conlegium", "Vorsutus Floreo", "Bombus Statione", "Vafer Ictus", "Callidus Ictus", "Sollers Medico", "Dolosus Spiculo", "Dolosus Floresco", "Vafer Medico", "Versutus Medico", "Versutus Morsus", "Sollers Robus", "Luculenus Robus", "Trebax Uncinus", "Dolosus Ictus", "Dolosus Pervigeo", "Vorsutus Spiculo", "Bombus Venenum", "Croceus Floreo", "Bombus Morsus", "Bombus Spiculo", "Croceus Venenum", "Callidus Hamus", "Subtiliter Aculeus", "Flavens Conlegium", "Flavens Robus", "Astutus Floresco", "Flavens Statione", "Dolosus Hamus", "Luteus Veneno", "Bombus Floresco", "Rubrum Floreo", "Croceus Robus", "Versutus Uncinus", "Luculenus Spiculo", "Rubrum Venenum", "Croceus Pervigeo", "Rubrum Pervigeo", "Flavens Venenum", "Bombus Statione", "Sollers Toxicum", "Vafer Robus", "Luculenus Hamus", "Sollers Medico", "Sollers Veneno", "Ingeniosus Aculeus", "Flavens Morsus", "Vafer Conlegium", "Vorsutus Robus", "Vorsutus Spiculo", "Bombus Ictus", "Callidus Venenum", "Trebax Ictus", "Flavens Medico", "Ingeniosus Uncinus", "Trebax Medico", "Trebax Hamus", "Vafer Toxicum", "Bombus Pervigeo", "Vafer Uncinus", "Vafer Spiculo", "Callidus Morsus", "Croceus Pervigeo", "Croceus Veneno", "Bombus Floreo", "Flavens Aculeus", "Bombus Medico", "Versutus Hamus", "Trebax Morsus", "Luteus Spiculo", "Subtiliter Medico", "Sollers Uncinus", "Astutus Ictus", "Dolosus Medico", "Vorsutus Pervigeo","Vafer Floreo", "Luteus Floresco", "Flavens Conlegium", "Bombus Aculeus", "Rubrum Venenum", "Ingeniosus Aculeus", "Ingeniosus Veneno", "Bombus Venenum", "Ingeniosus Spiculo", "Versutus Toxicum", "Subtiliter Statione", "Luteus Spiculo", "Flavens Morsus", "Sollers Floreo", "Luculenus Aculeus", "Vorsutus Robus", "Dolosus Aculeus", "Subtiliter Robus", "Versutus Aculeus", "Trebax Medico", "Trebax Statione", "Dolosus Aculeus", "Luteus Conlegium", "Dolosus Aculeus", "Trebax Uncinus", "Subtiliter Robus", "Vorsutus Floreo", "Flavens Floresco", "Versutus Ictus", "Versutus Conlegium", "Vafer Venenum", "Flavens Spiculo", "Ingeniosus Aculeus", "Rubrum Statione", "Luculenus Veneno", "Flavens Venenum", "Subtiliter Morsus", "Luculenus Aculeus", "Flavens Conlegium", "Flavens Uncinus", "Vorsutus Morsus", "Ingeniosus Hamus", "Dolosus Toxicum", "Luculenus Veneno", "Subtiliter Statione", "Trebax Robus", "Croceus Ictus", "Subtiliter Venenum", "Sollers Uncinus", "Rubrum Hamus", "Flavens Conlegium", "Ingeniosus Veneno", "Rubrum Pervigeo", "Rubrum Toxicum", "Croceus Toxicum", "Rubrum Spiculo", "Bombus Aculeus", "Trebax Toxicum", "Versutus Statione", "Luteus Floreo", "Bombus Statione", "Sollers Morsus", "Luculenus Hamus", "Astutus Pervigeo",
// Galaxy 4
"Certus Castra", "Armato Alvus", "Argenti Insecta", "Sophos Alvus", "Prudens Civitas", "Munificus Vespa", "Animosus Melculum", "Validus Regina", "Sophos Cubile", "Volucer Nuntius", "Protegat Alvearium", "Armato Stratopedum", "Ferrum Collectivus", "Fortis Alvus", "Amicissimum Alvus", "Ferrum Officina", "Occupatus Cubile", "Districtus Municipium", "Certus Stratopedum", "Amicissimum Oppidum", "Fortem Custos", "Sapiens Oppidum", "Amicissimum Cubile", "Occupatus Concustodio", "Validus Officina", "Argenti Stratopedum", "Uber Custos", "Amicissimum Concustodio", "Prudens Municipium", "Prudens Insectum", "Armato Vespa", "Armato Castra", "Armato Cubile", "Pacificae Domum", "Amicissimum Insecta", "Sapiens Collectivus", "Prudens Domum", "Amicissimum Castra", "Odorifer Potestas", "Occupatus Insectum", "Amicissimum Alvus", "Sapiens Concustodio", "Fidelis Civitas", "Fortem Vespa", "Prudens Custos", "Fortis Oppidum", "Prudens Collectivus", "Fidelis Nidus", "Armato Melculum", "Certus Insectum", "Fortem Melculum", "Sophos Regina", "Protegat Castra", "Validus Officina", "Pacificae Civitas", "Sapiens Alvus", "Fortem Nidus", "Sophos Melculum", "Fidelis Alvus", "Districtus Insecta", "Armato Regina", "Ferrum Cubile", "Validus Alvearium", "Occupatus Alvus","Sapiens Custos", "Amicissimum Alvearium", "Argenti Officina", "Certus Insectum", "Armato Domum", "Fortem Villam", "Districtus Stratopedum", "Fidelis Oppidum", "Districtus Melculum", "Argenti Municipium", "Ferrum Domum", "Armato Civitas", "Certus Alvus", "Protegat Castra", "Fortis Concustodio", "Certus Municipium", "Sapiens Melculum", "Validus Concustodio", "Validus Vespa", "Protegat Officina", "Animosus Nidus", "Protegat Vespa", "Occupatus Stratopedum", "Districtus Oppidum", "Aurum Alvearium", "Fortem Castra", "Certus Alvearium", "Sapiens Civitas", "Fidelis Municipium", "Fortem Insectum", "Districtus Alvus", "Occupatus Oppidum", "Sophos Melculum", "Sapiens Custos", "Armato Civitas", "Sophos Collectivus", "Uber Alvus", "Fidelis Regina", "Armato Insectum", "Animosus Collectivus", "Aurum Civitas", "Armato Regina", "Fidelis Regina", "Ferrum Concustodio", "Validus Municipium", "Sophos Regina", "Prudens Stratopedum", "Pacificae Nidus", "Argenti Officina", "Prudens Insecta", "Prudens Villam", "Certus Stratopedum", "Validus Stratopedum", "Districtus Villam", "Protegat Municipium", "Aurum Melculum", "Sapiens Insectum", "Fortem Collectivus", "Certus Alvus", "Munificus Regina", "Munificus Stratopedum", "Uber Officina", "Fidelis Melculum", "Argenti Stratopedum", "Sapiens Concustodio", "Amicissimum Alvearium", "Fortem Civitas", "Certus Stratopedum", "Fidelis Vespa", "Aurum Nidus", "Sapiens Vespa", "Fortis Domum", "Certus Regina", "Certus Concustodio", "Pacificae Vespa", "Fidelis Alvearium", "Protegat Villam", "Pacificae Villam", "Armato Villam", "Protegat Collectivus", "Uber Officina", "Occupatus Civitas", "Protegat Insectum", "Ferrum Domum", "Protegat Civitas", "Pacificae Stratopedum", "Prudens Villam", "Uber Castra", "Fortem Officina", "Districtus Custos", "Occupatus Municipium", "Uber Melculum", "Aurum Officina", "Sophos Insecta", "Munificus Nidus", "Certus Domum", "Uber Insecta", "Amicissimum Insecta", "Validus Villam", "Munificus Officina", "Districtus Oppidum", "Uber Civitas", "Aurum Regina", "Fidelis Alvearium", "Ferrum Custos", "Sapiens Nidus", "Districtus Civitas", "Validus Cubile", "Amicissimum Collectivus", "Amicissimum Domum", "Animosus Castra", "Sophos Regina", "Sapiens Nidus", "Protegat Melculum", "Uber Oppidum", "Pacificae Insecta", "Argenti Nidus", "Sapiens Cubile", "Animosus Stratopedum", "Pacificae Insecta", "Sophos Nidus", "Certus Oppidum", "Munificus Stratopedum", "Prudens Cubile", "Fidelis Villam", "Occupatus Insecta", "Districtus Alvus", "Sophos Melculum","Prudens Oppidum", "Occupatus Civitas", "Occupatus Villam", "Aurum Villam", "Aurum Regina", "Ferrum Domum", "Fortis Vespa", "Sapiens Castra", "Districtus Regina", "Aurum Melculum", "Validus Alvus", "Amicissimum Cubile", "Munificus Officina", "Aurum Cubile", "Validus Domum", "Fortis Alvearium", "Sophos Villam", "Argenti Civitas", "Pacificae Vespa", "Amicissimum Nidus", "Pacificae Oppidum", "Certus Nidus", "Fidelis Civitas", "Fidelis Melculum", "Armato Castra", "Protegat Alvearium", "Armato Stratopedum", "Amicissimum Oppidum", "Certus Castra", "Prudens Nidus", "Fidelis Collectivus", "Amicissimum Insectum", "Fortis Insecta", "Fidelis Insectum", "Fortis Insecta", "Fortis Castra", "Validus Civitas", "Aurum Officina", "Fidelis Nidus", "Munificus Civitas", "Munificus Civitas", "Animosus Regina", "Prudens Nidus", "Munificus Melculum", "Fortis Alvearium", "Districtus Collectivus", "Uber Alvearium", "Amicissimum Custos", "Sapiens Stratopedum", "Animosus Vespa", "Amicissimum Cubile", "Fortis Officina", "Fortem Custos", "Armato Custos", "Prudens Alvearium", "Fortem Cubile", "Occupatus Officina", "Amicissimum Castra", "Aurum Custos", "Armato Collectivus", "Amicissimum Villam", "Uber Insectum", "Protegat Municipium", "Sapiens Officina",
// Galaxy 5
"Locuples Mercatura", "Opulentos Pugnaculum", "Gratissimum Burgus", "Elegans Commercium", "Munificus Quaestus", "Munificus Mercatus", "Gestuosus Commercium", "Gestuosus Burgus", "Gestuosus Studium", "Bellatulus Forum", "Decorus Forum", "Largus Nundinae", "Benignus Tutela", "Locuples Nundinae", "Gestuosus Mercatus", "Munificus Nundinae", "Benignus Stabulum", "Utibilis Collubus", "Benignus Collubus", "Opulentos Studium", "Utibilis Tutela", "Salataris Permutatio", "Benignus Mercatus", "Utibilis Praesidium", "Munificus Emporium", "Utibilis Pabulatio", "Munificus Emporium", "Gestuosus Stabulum", "Utibilis Quintana", "Venustus Pabulatio", "Venustus Pabulatio", "Benignus Quaestus", "Venustus Studium", "Elegans Praesidium", "Bellatulus Mercatura", "Decorus Studium", "Munificus Burgus", "Decorus Forum", "Gestuosus Forum", "Utibilis Castrum", "Lepidus Permutatio", "Benignus Quintana", "Suavis Castrum", "Locuples Pugnaculum", "Locuples Pugnaculum", "Utibilis Mercatura", "Munificus Quintana", "Gratissimum Studium", "Benignus Quaestus", "Suavis Permutatio", "Decorus Tutela", "Decorus Mercatus", "Benignus Praesidium", "Dulcis Mercatura", "Venustus Quaestus", "Cracens Quaestus", "Elegans Castrum", "Locuples Tutela", "Elegans Praesidium", "Opulentos Permutatio", "Benignus Cunabula", "Opulentos Studium", "Suavis Burgus", "Gratissimum Burgus","Lepidus Quaestus", "Bellatulus Cunabula", "Bellatulus Permutatio", "Utibilis Castrum", "Venustus Collubus", "Decorus Cunabula", "Elegans Forum", "Benignus Mercatus", "Gestuosus Emporium", "Gloria Mercatura", "Largus Pabulatio", "Opulentos Pugnaculum", "Locuples Burgus", "Dulcis Praesidium", "Dulcifer Praesidium", "Utibilis Stabulum", "Largus Praesidium", "Gratissimum Castrum", "Salataris Forum", "Dulcis Burgus", "Dulcifer Collubus", "Largus Mercatus", "Gratissimum Quaestus", "Largus Mercatus", "Utibilis Collubus", "Venustus Forum", "Lepidus Stabulum", "Auxiliarius Burgus", "Gloria Quaestus", "Suavis Cunabula", "Gratissimum Praesidium", "Cracens Quaestus", "Decorus Castrum", "Benignus Mercatura", "Lepidus Tutela", "Lepidus Emporium", "Opulentos Pugnaculum", "Salataris Forum", "Dulcifer Pabulatio", "Opulentos Burgus", "Bellatulus Pabulatio", "Benignus Cunabula", "Suavis Mercatura", "Gratissimum Emporium", "Largus Studium", "Opulentos Burgus", "Gratissimum Forum", "Largus Studium", "Dulcifer Burgus", "Dulcifer Praesidium", "Venustus Pabulatio", "Venustus Castrum", "Cracens Nundinae", "Elegans Quintana", "Bellatulus Castrum", "Lepidus Mercatura", "Bellatulus Commercium", "Utibilis Commercium", "Locuples Stabulum", "Dulcifer Burgus", "Utibilis Commercium", "Largus Quintana", "Auxiliarius Collubus", "Decorus Burgus", "Gestuosus Stabulum", "Suavis Castrum", "Largus Cunabula", "Lepidus Permutatio", "Suavis Emporium", "Cracens Cunabula", "Cracens Nundinae", "Locuples Castrum", "Gestuosus Commercium", "Largus Permutatio", "Benignus Praesidium", "Gratissimum Emporium", "Utibilis Praesidium", "Suavis Pugnaculum", "Suavis Praesidium", "Salataris Nundinae", "Suavis Nundinae", "Cracens Pugnaculum", "Largus Castrum", "Gestuosus Permutatio", "Benignus Collubus", "Dulcifer Studium", "Auxiliarius Collubus", "Gratissimum Collubus", "Decorus Quaestus", "Largus Cunabula", "Suavis Burgus", "Utibilis Pugnaculum", "Dulcis Nundinae", "Largus Cunabula", "Suavis Pugnaculum", "Gloria Nundinae", "Decorus Commercium", "Lepidus Nundinae", "Munificus Pabulatio", "Dulcis Tutela", "Decorus Tutela", "Elegans Quaestus", "Decorus Stabulum", "Dulcis Commercium", "Locuples Nundinae", "Largus Cunabula", "Gloria Quaestus", "Cracens Cunabula", "Dulcifer Studium", "Bellatulus Studium", "Dulcifer Forum", "Venustus Studium", "Locuples Castrum", "Utibilis Commercium", "Gratissimum Mercatus", "Munificus Castrum", "Benignus Mercatura", "Utibilis Praesidium", "Suavis Quintana", "Munificus Nundinae", "Decorus Pugnaculum", "Decorus Permutatio", "Locuples Castrum", "Munificus Quintana", "Decorus Cunabula", "Salataris Cunabula", "Dulcis Permutatio", "Dulcis Pabulatio","Elegans Emporium", "Bellatulus Nundinae", "Dulcifer Cunabula", "Locuples Studium", "Cracens Emporium", "Opulentos Pabulatio", "Salataris Commercium", "Venustus Praesidium", "Elegans Quintana", "Auxiliarius Permutatio", "Gratissimum Mercatus", "Venustus Cunabula", "Opulentos Permutatio", "Utibilis Pabulatio", "Opulentos Collubus", "Locuples Commercium", "Venustus Mercatura", "Salataris Cunabula", "Auxiliarius Mercatus", "Bellatulus Permutatio", "Gratissimum Mercatura", "Dulcis Nundinae", "Munificus Mercatus", "Locuples Quaestus", "Munificus Pabulatio", "Bellatulus Forum", "Dulcis Emporium", "Largus Quaestus", "Cracens Tutela", "Munificus Quaestus", "Elegans Studium", "Elegans Nundinae", "Benignus Commercium", "Gestuosus Cunabula", "Bellatulus Commercium", "Salataris Pabulatio", "Opulentos Quintana", "Cracens Quintana", "Gloria Studium", "Bellatulus Praesidium", "Benignus Praesidium", "Gloria Cunabula", "Lepidus Forum", "Munificus Cunabula", "Dulcifer Emporium", "Decorus Collubus", "Cracens Praesidium", "Auxiliarius Permutatio", "Decorus Studium", "Utibilis Forum", "Lepidus Cunabula", "Gratissimum Tutela", "Dulcifer Collubus", "Largus Stabulum", "Cracens Pugnaculum", "Utibilis Emporium", "Suavis Cunabula", "Gratissimum Cunabula", "Locuples Cunabula", "Decorus Quaestus", "Largus Cunabula", "Benignus Mercatus", "Largus Studium", "Opulentos Quintana",
// Galaxy 6
"Ordino Copona", "Malacia Officina", "Ordino Locus", "Benevole Placo", "Amice Placo", "Tempero Obficina", "Malacia Volucris", "Dispono Opificina", "Ordino Habitus", "Misericordiam Placo", "Norma Habitus", "Dispono Loco", "Ordino Bestiola", "Benevole Celsitudo", "Misericordiam Officina", "Constituo Formo", "Adparo Portus", "Benevole Placo", "Adparo Decretum", "Cessabit Portus", "Malacia Opificina", "Bene Obficina", "Comiter Loco", "Comiter Loco", "Bene Volucris", "Tempero Habitus", "Constituo Placo", "Adparo Formo", "Malacia Locus", "Dispono Volucris", "Amice Officina", "Tranquillo Celsitudo", "Misericordiam Loco", "Tranquillo Decretum", "Benigne Placo", "Amice Portus", "Tranquillo Loco", "Benevole Volucris", "Adparo Praescribo", "Amice Volucris", "Cessabit Volucris", "Cessabit Praescribo", "Constituo Locus", "Quies Locus", "Benigne Copona", "Tempero Obficina", "Quies Officina", "Benigne Opificina", "Constituo Habitus", "Bene Loco", "Comiter Volucris", "Dispono Portus", "Norma Loco", "Misericordiam Officina", "Norma Opificina", "Benigne Obficina", "Ordino Habitus", "Adparo Portus", "Benigne Opificina", "Amice Obficina", "Comiter Celsitudo", "Benigne Habitus", "Benigne Tabernam", "Comiter Loco","Constituo Placo", "Quies Formo", "Benevole Opificina", "Bene Opificina", "Tranquillo Loco", "Comiter Celsitudo", "Adparo Habitus", "Cessabit Bestiola", "Benigne Tabernam", "Misericordiam Formo", "Malacia Officina", "Tranquillo Portus", "Cessabit Locus", "Norma Loco", "Comiter Decretum", "Malacia Formo", "Constituo Habitus", "Ordino Opificina", "Bene Bestiola", "Misericordiam Decretum", "Malacia Formo", "Misericordiam Loco", "Cessabit Officina", "Quies Obficina", "Dispono Volucris", "Norma Portus", "Malacia Formo", "Ordino Opificina", "Benevole Locus", "Tranquillo Loco", "Ordino Tabernam", "Comiter Portus", "Cessabit Bestiola", "Constituo Habitus", "Comiter Volucris", "Cessabit Placo", "Cessabit Copona", "Benigne Bestiola", "Norma Decretum", "Amice Copona", "Tempero Loco", "Norma Tabernam", "Amice Habitus", "Constituo Celsitudo", "Benevole Loco", "Benevole Formo", "Adparo Formo", "Constituo Celsitudo", "Constituo Celsitudo", "Comiter Placo", "Dispono Bestiola", "Tranquillo Bestiola", "Cessabit Decretum", "Malacia Habitus", "Comiter Bestiola", "Cessabit Volucris", "Misericordiam Portus", "Quies Formo", "Dispono Habitus", "Malacia Opificina", "Misericordiam Officina", "Bene Habitus", "Quies Portus", "Cessabit Volucris", "Cessabit Volucris", "Bene Officina", "Norma Portus", "Benigne Opificina", "Cessabit Locus", "Misericordiam Opificina", "Amice Praescribo", "Norma Obficina", "Bene Copona", "Tempero Decretum", "Dispono Portus", "Benevole Celsitudo", "Dispono Locus", "Quies Portus", "Norma Opificina", "Ordino Locus", "Benigne Decretum", "Norma Obficina", "Tranquillo Portus", "Quies Volucris", "Malacia Praescribo", "Adparo Locus", "Amice Officina", "Bene Bestiola", "Benevole Habitus", "Dispono Celsitudo", "Amice Officina", "Ordino Loco", "Adparo Celsitudo", "Malacia Decretum", "Amice Portus", "Tempero Praescribo", "Norma Volucris", "Ordino Portus", "Benigne Decretum", "Quies Officina", "Benigne Copona", "Tranquillo Loco", "Comiter Portus", "Norma Portus", "Constituo Tabernam", "Tranquillo Bestiola", "Malacia Obficina", "Quies Portus", "Dispono Bestiola", "Benigne Portus", "Amice Bestiola", "Comiter Officina", "Comiter Formo", "Tranquillo Officina", "Norma Placo", "Tranquillo Opificina", "Bene Bestiola", "Tempero Opificina", "Misericordiam Decretum", "Benevole Officina", "Misericordiam Decretum", "Comiter Obficina", "Benevole Tabernam", "Quies Locus", "Comiter Placo", "Amice Loco", "Misericordiam Opificina", "Cessabit Bestiola","Benigne Volucris", "Constituo Bestiola", "Norma Decretum", "Quies Officina", "Benevole Loco", "Norma Formo", "Amice Opificina", "Tranquillo Officina", "Constituo Copona", "Cessabit Copona", "Bene Praescribo", "Bene Officina", "Bene Officina", "Bene Tabernam", "Benigne Placo", "Malacia Celsitudo", "Constituo Tabernam", "Malacia Habitus", "Misericordiam Officina", "Quies Bestiola", "Dispono Placo", "Quies Celsitudo", "Ordino Praescribo", "Tempero Tabernam", "Norma Habitus", "Dispono Formo", "Comiter Celsitudo", "Ordino Praescribo", "Misericordiam Officina", "Misericordiam Portus", "Misericordiam Placo", "Malacia Decretum", "Adparo Celsitudo", "Benevole Tabernam", "Norma Decretum", "Bene Placo", "Norma Habitus", "Benevole Locus", "Malacia Loco", "Quies Celsitudo", "Norma Placo", "Constituo Loco", "Norma Habitus", "Adparo Loco", "Norma Locus", "Comiter Obficina", "Misericordiam Loco", "Misericordiam Locus", "Amice Loco", "Cessabit Celsitudo", "Amice Decretum", "Tranquillo Copona", "Adparo Placo", "Quies Officina", "Cessabit Celsitudo", "Misericordiam Officina", "Ordino Loco", "Malacia Celsitudo", "Cessabit Volucris", "Dispono Placo", "Comiter Locus", "Benigne Habitus", "Quies Loco", "Bene Tabernam",
// Galaxy 7
"Fortem Domum", "Certus Nidus", "Animosus Collectivus", "Fortem Civitas", "Validus Insectum", "Pacificae Melculum", "Argenti Domum", "Aurum Nidus", "Fortem Insectum", "Amicissimum Officina", "Animosus Nidus", "Sophos Nidus", "Aurum Collectivus", "Validus Melculum", "Prudens Castra", "Amicissimum Castra", "Fidelis Insecta", "Certus Castra", "Argenti Municipium", "Sophos Officina", "Protegat Alvearium", "Sophos Domum", "Sophos Concustodio", "Ferrum Custos", "Certus Custos", "Ferrum Cubile", "Fidelis Alvus", "Certus Oppidum", "Munificus Melculum", "Fidelis Custos", "Ferrum Insectum", "Protegat Officina", "Pacificae Melculum", "Argenti Regina", "Fortis Domum", "Ferrum Concustodio", "Fortis Vespa", "Certus Stratopedum", "Sapiens Cubile", "Protegat Domum", "Sophos Insectum", "Prudens Alvearium", "Prudens Custos", "Fortis Oppidum", "Fidelis Castra", "Fortis Cubile", "Argenti Municipium", "Validus Castra", "Sophos Castra", "Aurum Custos", "Armato Alvearium", "Prudens Melculum", "Sapiens Villam", "Sophos Regina", "Amicissimum Domum", "Pacificae Collectivus", "Amicissimum Insectum", "Occupatus Alvus", "Amicissimum Nidus", "Sophos Oppidum", "Uber Insectum", "Certus Melculum", "Validus Civitas", "Sophos Insecta","Occupatus Regina", "Districtus Alvearium", "Certus Domum", "Protegat Officina", "Uber Municipium", "Uber Insectum", "Uber Stratopedum", "Argenti Custos", "Fortis Vespa", "Fortem Officina", "Pacificae Domum", "Munificus Concustodio", "Certus Insectum", "Districtus Officina", "Uber Stratopedum", "Fidelis Nidus", "Sophos Custos", "Fortem Concustodio", "Certus Alvus", "Occupatus Villam", "Fortis Regina", "Occupatus Oppidum", "Prudens Castra", "Aurum Alvearium", "Occupatus Municipium", "Argenti Nidus", "Ferrum Nidus", "Sophos Concustodio", "Prudens Cubile", "Fortis Civitas", "Ferrum Villam", "Ferrum Civitas", "Fidelis Castra", "Ferrum Concustodio", "Aurum Officina", "Sophos Melculum", "Fortem Insectum", "Animosus Alvus", "Prudens Concustodio", "Animosus Oppidum", "Uber Domum", "Prudens Oppidum", "Aurum Collectivus", "Pacificae Villam", "Armato Concustodio", "Amicissimum Alvus", "Occupatus Cubile", "Fidelis Villam", "Occupatus Melculum", "Fortem Nidus", "Validus Villam", "Pacificae Domum", "Fortem Officina", "Fortis Vespa", "Prudens Custos", "Districtus Insectum", "Munificus Municipium", "Armato Domum", "Argenti Insecta", "Animosus Stratopedum", "Validus Alvus", "Armato Concustodio", "Validus Alvus", "Ferrum Melculum", "Protegat Collectivus", "Argenti Insecta", "Uber Custos", "Pacificae Collectivus", "Fortis Regina", "Ferrum Alvearium", "Aurum Concustodio", "Amicissimum Nidus", "Animosus Cubile", "Occupatus Collectivus", "Argenti Melculum", "Sophos Officina", "Pacificae Custos", "Ferrum Domum", "Uber Custos", "Districtus Vespa", "Protegat Oppidum", "Uber Concustodio", "Certus Concustodio", "Animosus Custos", "Fidelis Nidus", "Sapiens Municipium", "Armato Villam", "Uber Alvus", "Munificus Insecta", "Armato Castra", "Fidelis Alvus", "Argenti Regina", "Fortem Concustodio", "Fortis Villam", "Fortis Cubile", "Sophos Officina", "Munificus Nidus", "Certus Municipium", "Pacificae Oppidum", "Amicissimum Stratopedum", "Districtus Alvus", "Animosus Regina", "Aurum Insectum", "Aurum Oppidum", "Certus Concustodio", "Pacificae Concustodio", "Aurum Castra", "Ferrum Officina", "Ferrum Officina", "Pacificae Concustodio", "Fidelis Alvearium", "Amicissimum Domum", "Validus Municipium", "Protegat Regina", "Munificus Stratopedum", "Munificus Custos", "Argenti Cubile", "Districtus Municipium", "Ferrum Insecta", "Argenti Insecta", "Fortis Custos", "Prudens Alvearium", "Districtus Domum", "Pacificae Stratopedum", "Argenti Villam", "Argenti Alvearium", "Fidelis Cubile", "Munificus Oppidum","Amicissimum Oppidum", "Fortem Civitas", "Districtus Oppidum", "Occupatus Vespa", "Prudens Villam", "Certus Collectivus", "Amicissimum Insectum", "Occupatus Concustodio", "Prudens Officina", "Sapiens Domum", "Protegat Alvearium", "Amicissimum Municipium", "Uber Custos", "Sophos Stratopedum", "Amicissimum Insectum", "Argenti Insecta", "Amicissimum Castra", "Amicissimum Oppidum", "Fidelis Oppidum", "Pacificae Domum", "Prudens Cubile", "Districtus Castra", "Aurum Alvus", "Argenti Vespa", "Amicissimum Melculum", "Uber Regina", "Validus Melculum", "Animosus Collectivus", "Munificus Civitas", "Sapiens Officina", "Argenti Domum", "Uber Nidus", "Animosus Custos", "Prudens Melculum", "Occupatus Alvus", "Fidelis Custos", "Protegat Custos", "Validus Stratopedum", "Ferrum Cubile", "Pacificae Regina", "Validus Civitas", "Uber Concustodio", "Validus Custos", "Aurum Cubile", "Pacificae Cubile", "Fortem Vespa", "Districtus Regina", "Certus Nidus", "Argenti Municipium", "Pacificae Domum", "Fortis Regina", "Pacificae Custos", "Occupatus Cubile", "Districtus Civitas", "Uber Alvus", "Aurum Regina", "Argenti Oppidum", "Argenti Concustodio", "Pacificae Municipium", "Animosus Collectivus", "Animosus Alvearium", "Animosus Officina", "Aurum Collectivus", "Districtus Castra",
// Galaxy 8
"Dolosus Hamus", "Luculenus Robus", "Subtiliter Floresco", "Vafer Venenum", "Sollers Floresco", "Luculenus Aculeus", "Subtiliter Uncinus", "Bombus Pervigeo", "Vafer Veneno", "Callidus Morsus", "Astutus Statione", "Bombus Venenum", "Astutus Ictus", "Vorsutus Statione", "Dolosus Robus", "Croceus Medico", "Flavens Aculeus", "Flavens Aculeus", "Croceus Hamus", "Ingeniosus Floresco", "Callidus Venenum", "Astutus Morsus", "Dolosus Conlegium", "Luculenus Hamus", "Rubrum Veneno", "Trebax Pervigeo", "Vafer Aculeus", "Trebax Ictus", "Luteus Venenum", "Rubrum Statione", "Trebax Aculeus", "Bombus Hamus", "Astutus Spiculo", "Rubrum Hamus", "Vorsutus Hamus", "Vorsutus Spiculo", "Callidus Conlegium", "Versutus Conlegium", "Luteus Floreo", "Ingeniosus Medico", "Versutus Veneno", "Luteus Robus", "Callidus Floresco", "Croceus Aculeus", "Flavens Hamus", "Luculenus Statione", "Sollers Aculeus", "Vafer Veneno", "Sollers Robus", "Luteus Medico", "Subtiliter Floresco", "Astutus Statione", "Luteus Robus", "Rubrum Medico", "Flavens Pervigeo", "Luteus Floresco", "Luteus Toxicum", "Flavens Aculeus", "Callidus Venenum", "Versutus Morsus", "Bombus Robus", "Croceus Robus", "Trebax Aculeus", "Flavens Pervigeo","Astutus Floresco", "Vorsutus Uncinus", "Luteus Toxicum", "Vafer Morsus", "Dolosus Veneno", "Trebax Statione", "Vorsutus Conlegium", "Sollers Aculeus", "Flavens Ictus", "Dolosus Morsus", "Callidus Floresco", "Subtiliter Robus", "Croceus Uncinus", "Vafer Ictus", "Dolosus Morsus", "Vafer Aculeus", "Vorsutus Veneno", "Versutus Medico", "Luculenus Hamus", "Sollers Statione", "Dolosus Morsus", "Subtiliter Robus", "Bombus Conlegium", "Trebax Aculeus", "Subtiliter Toxicum", "Flavens Statione", "Vorsutus Uncinus", "Callidus Floresco", "Flavens Hamus", "Vorsutus Venenum", "Vorsutus Floreo", "Luteus Uncinus", "Sollers Ictus", "Rubrum Floreo", "Ingeniosus Aculeus", "Sollers Toxicum", "Rubrum Floresco", "Callidus Pervigeo", "Bombus Aculeus", "Bombus Morsus", "Astutus Morsus", "Callidus Pervigeo", "Callidus Pervigeo", "Flavens Venenum", "Luculenus Uncinus", "Trebax Uncinus", "Vorsutus Ictus", "Dolosus Floresco", "Flavens Uncinus", "Vorsutus Hamus", "Vafer Statione", "Versutus Morsus", "Luculenus Floresco", "Dolosus Robus", "Vafer Veneno", "Croceus Floresco", "Versutus Statione", "Vorsutus Hamus", "Vorsutus Hamus", "Croceus Veneno", "Sollers Statione", "Luteus Robus", "Vorsutus Conlegium", "Vafer Robus", "Rubrum Spiculo", "Sollers Medico", "Croceus Floreo", "Ingeniosus Ictus", "Luculenus Statione", "Bombus Pervigeo", "Luculenus Conlegium", "Versutus Statione", "Sollers Robus", "Subtiliter Conlegium", "Luteus Ictus", "Sollers Medico", "Trebax Statione", "Versutus Hamus", "Dolosus Spiculo", "Astutus Conlegium", "Rubrum Veneno", "Croceus Uncinus", "Bombus Floresco", "Luculenus Pervigeo", "Rubrum Veneno", "Subtiliter Aculeus", "Astutus Pervigeo", "Dolosus Ictus", "Rubrum Statione", "Ingeniosus Spiculo", "Sollers Hamus", "Subtiliter Statione", "Luteus Ictus", "Versutus Veneno", "Luteus Floreo", "Trebax Aculeus", "Flavens Statione", "Sollers Statione", "Callidus Toxicum", "Trebax Uncinus", "Dolosus Medico", "Versutus Statione", "Luculenus Uncinus", "Luteus Statione", "Rubrum Uncinus", "Flavens Veneno", "Flavens Morsus", "Trebax Veneno", "Sollers Venenum", "Trebax Robus", "Croceus Uncinus", "Ingeniosus Robus", "Vafer Ictus", "Bombus Veneno", "Vafer Ictus", "Flavens Medico", "Bombus Toxicum", "Versutus Conlegium", "Flavens Venenum", "Rubrum Aculeus", "Vafer Robus", "Vorsutus Uncinus", "Luteus Hamus", "Callidus Uncinus", "Sollers Ictus", "Versutus Veneno", "Bombus Aculeus", "Sollers Morsus","Rubrum Robus", "Trebax Veneno", "Callidus Floreo", "Vorsutus Floreo", "Croceus Spiculo", "Croceus Veneno", "Croceus Veneno", "Croceus Toxicum", "Luteus Venenum", "Dolosus Pervigeo", "Callidus Toxicum", "Dolosus Floresco", "Vafer Veneno", "Versutus Uncinus", "Luculenus Venenum", "Versutus Pervigeo", "Subtiliter Spiculo", "Ingeniosus Toxicum", "Sollers Floresco", "Luculenus Morsus", "Flavens Pervigeo", "Subtiliter Spiculo", "Vafer Veneno", "Vafer Statione", "Vafer Venenum", "Dolosus Ictus", "Astutus Pervigeo", "Bombus Toxicum", "Sollers Ictus", "Croceus Venenum", "Sollers Floresco", "Bombus Conlegium", "Dolosus Aculeus", "Versutus Pervigeo", "Sollers Venenum", "Callidus Aculeus", "Sollers Floresco", "Astutus Aculeus", "Sollers Conlegium", "Flavens Medico", "Vafer Aculeus", "Vafer Conlegium", "Rubrum Aculeus", "Vorsutus Pervigeo", "Rubrum Ictus", "Trebax Floreo", "Astutus Venenum", "Versutus Veneno", "Vorsutus Pervigeo", "Vafer Veneno", "Subtiliter Aculeus", "Dolosus Pervigeo", "Vorsutus Hamus", "Luculenus Venenum", "Flavens Conlegium", "Luteus Floresco", "Versutus Aculeus", "Croceus Toxicum", "Bombus Conlegium", "Rubrum Conlegium", "Vafer Robus", "Vafer Robus", "Luculenus Toxicum", "Trebax Floresco",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Amicissimum Nidore"];

this.sothispool5 = [
// Galaxy 1
"Magnus Pecunia", "Validus Forma", "Reverendus Forma", "Versura Vulgus", "Volubilis Vavis", "Magnus Numus", "Verendus Pecunia", "Reverendus Turba", "Magnus Vavis", "Potens Forma", "Venerabilis Pecunia", "Potens Celebro", "Reverendus Vulgus", "Reverendus Classis", "Venerabilis Circulus", "Immane Circulus", "Metallum Turba", "Venerabilis Nectare", "Validus Multae", "Coelum Nectare", "Caelum Turba", "Coelum Multitudo", "Pollens Circulor", "Pollens Forma", "Reverendus Vavis", "Potens Forma", "Metallum Classis", "Coelum Universitas", "Validus Classis", "Versura Turba", "Reverendus Nectare", "Divum Saltatio", "Metallum Forma", "Verendus Classis", "Caelum Circulor", "Versura Nectare", "Praepollens Circulus", "Magnus Circulor", "Metallum Pecunia", "Caelum Corona", "Divum Saltatio", "Caelum Turba", "Coelum Classis", "Caelum Pecunia", "Volubilis Vavis", "Immane Multae", "Volubilis Saltatio", "Potens Circulor", "Reverendus Corona", "Caelum Celebro", "Venerabilis Pecunia", "Pollens Multae", "Volubilis Multae", "Coelum Multitudo", "Validus Nectare", "Coelum Saltatio", "Volubilis Numus", "Praepollens Multitudo", "Caelum Turba", "Pollens Saltatio", "Venerabilis Turba", "Praepollens Vulgus", "Validus Turba", "Pollens Celebro","Volubilis Vulgus", "Versura Pecunia", "Metallum Circulus", "Praepollens Universitas", "Versura Circulus", "Validus Pecunia", "Venerabilis Celebro", "Praepollens Multitudo", "Versura Numus", "Pollens Celebro", "Reverendus Turba", "Divum Numus", "Versura Multitudo", "Volubilis Multae", "Infigo Multitudo", "Volubilis Turba", "Infigo Classis", "Verendus Universitas", "Metallum Multae", "Reverendus Numus", "Versura Celebro", "Caelum Pecunia", "Divum Multae", "Coelum Circulor", "Verendus Saltatio", "Validus Multitudo", "Pollens Multitudo", "Metallum Universitas", "Versura Saltatio", "Verendus Corona", "Divum Pecunia", "Praepollens Numus", "Infigo Circulus", "Caelum Universitas", "Coelum Corona", "Immane Turba", "Potens Universitas", "Caelum Corona", "Magnus Vulgus", "Coelum Forma", "Caelum Multae", "Validus Circulor", "Reverendus Celebro", "Infigo Vavis", "Venerabilis Multae", "Metallum Vulgus", "Pollens Multae", "Praepollens Circulus", "Metallum Saltatio", "Verendus Turba", "Venerabilis Pecunia", "Divum Celebro", "Immane Multitudo", "Versura Vulgus", "Immane Numus", "Metallum Celebro", "Divum Universitas", "Versura Celebro", "Immane Corona", "Volubilis Circulus", "Potens Turba", "Coelum Forma", "Venerabilis Universitas", "Praepollens Circulor", "Pollens Circulor", "Magnus Multitudo", "Reverendus Nectare", "Divum Multitudo", "Verendus Multitudo", "Divum Vulgus", "Praepollens Corona", "Reverendus Vavis", "Metallum Multitudo", "Magnus Multitudo", "Caelum Numus", "Reverendus Circulus", "Divum Universitas", "Reverendus Nectare", "Infigo Forma", "Immane Forma", "Infigo Saltatio", "Verendus Multitudo", "Praepollens Classis", "Reverendus Numus", "Pollens Numus", "Potens Multae", "Validus Multae", "Coelum Corona", "Coelum Nectare", "Infigo Celebro", "Coelum Circulus", "Immane Universitas", "Immane Multitudo", "Metallum Classis", "Praepollens Multitudo", "Pollens Nectare", "Divum Circulus", "Immane Celebro", "Magnus Pecunia", "Coelum Vulgus", "Versura Celebro", "Verendus Corona", "Magnus Classis", "Venerabilis Multae", "Pollens Forma", "Venerabilis Universitas", "Metallum Vulgus", "Validus Celebro", "Reverendus Saltatio", "Reverendus Universitas", "Potens Celebro", "Potens Circulus", "Caelum Multitudo", "Immane Vavis", "Infigo Saltatio", "Metallum Multitudo", "Infigo Vulgus", "Venerabilis Vulgus", "Praepollens Pecunia", "Caelum Nectare", "Potens Corona", "Immane Forma", "Metallum Turba", "Metallum Turba", "Caelum Vavis", "Immane Classis", "Reverendus Corona", "Reverendus Classis","Caelum Circulor", "Volubilis Nectare", "Versura Numus", "Immane Multitudo", "Caelum Nectare", "Pollens Turba", "Potens Turba", "Immane Saltatio", "Coelum Nectare", "Praepollens Vavis", "Volubilis Forma", "Volubilis Multae", "Versura Universitas", "Volubilis Forma", "Magnus Classis", "Volubilis Turba", "Versura Saltatio", "Divum Multitudo", "Divum Corona", "Versura Celebro", "Coelum Circulus", "Infigo Celebro", "Potens Corona", "Potens Universitas", "Validus Pecunia", "Immane Circulor", "Magnus Vavis", "Infigo Corona", "Validus Multae", "Coelum Multae", "Caelum Classis", "Pollens Saltatio", "Immane Saltatio", "Divum Corona", "Pollens Universitas", "Verendus Nectare", "Validus Forma", "Pollens Multae", "Validus Vavis", "Coelum Turba", "Coelum Forma", "Coelum Vavis", "Infigo Multitudo", "Volubilis Saltatio", "Potens Multitudo", "Verendus Pecunia", "Pollens Vavis", "Volubilis Vulgus", "Validus Pecunia", "Divum Pecunia", "Metallum Numus", "Potens Multae", "Venerabilis Forma", "Coelum Multae", "Pollens Circulor", "Caelum Corona", "Coelum Multitudo", "Pollens Forma", "Divum Nectare", "Venerabilis Circulor", "Immane Circulor", "Coelum Pecunia", "Coelum Vavis", "Coelum Forma",
// Galaxy 2
"Magicus Apes", "Mysticus Cubile", "Mysticus Odoror", "Splendidus Odoror", "Tripudium Olfacio", "Magicus Adoleo", "Curabitur Colonia", "Novellus Fragro", "Inlustris Pervolo", "Vetus Apes", "Inlustris Olfacio", "Mystica Redoleo", "Sphaera Fragro", "Novus Colonia", "Splendidus Collectivus", "Argentum Colonia", "Clarus Cunabulum", "Inlustris Subolfacio", "Curabitur Cornu", "Clarus Pervolo", "Clarus Odoror", "Pythonicus Cornu", "Tripudium Odoror", "Vetus Fragro", "Sphaera Colonia", "Illustris Fragro", "Clarus Redoleo", "Tripudium Odoratus", "Tripudium Apes", "Novellus Odoror", "Vetus Cornu", "Argentum Odoror", "Magus Colonia", "Splendidus Communis", "Vetus Colonia", "Clarus Collectivus", "Tripudium Cornu", "Sphaera Cunabulum", "Curabitur Redoleo", "Vetus Pervolo", "Mysticus Cornu", "Illustris Apes", "Magus Adoleo", "Mystica Odoratus", "Saltatus Colonia", "Novus Colonia", "Mystica Olefacto", "Magicus Pervolo", "Pythonicus Subolfacio", "Argentum Adoleo", "Novus Olfacio", "Natatio Subolfacio", "Senex Olfacio", "Novus Pervolo", "Magicus Cubile", "Curabitur Olefacto", "Splendidus Adoleo", "Inlustris Subolfacio", "Novus Cubile", "Clarus Subolfacio", "Clarus Tectum", "Magus Cornu", "Magus Odoror", "Magus Pervolo","Eximius Nidore", "Novus Communis", "Senex Odoratus", "Clarus Nidore", "Novus Odoror", "Mysticus Cornu", "Magicus Tectum", "Novus Colonia", "Senex Cubile", "Novellus Collectivus", "Natatio Cornu", "Clarus Subolfacio", "Saltatus Olfacio", "Clarus Odoratus", "Novellus Ascella", "Magus Cunabulum", "Argentum Tectum", "Natatio Cunabulum", "Vetus Redoleo", "Illustris Odoror", "Curabitur Olefacto", "Eximius Collectivus", "Senex Colonia", "Natatio Ascella", "Vetus Cunabulum", "Novellus Colonia", "Pythonicus Communis", "Magus Redoleo", "Mystica Pervolo", "Curabitur Apes", "Magicus Colonia", "Senex Subolfacio", "Novus Apes", "Splendidus Olefacto", "Argentum Tectum", "Magus Nidore", "Natatio Fragro", "Pythonicus Adoleo", "Novellus Olfacio", "Pythonicus Cunabulum", "Splendidus Subolfacio", "Mystica Nidore", "Magus Collectivus", "Argentum Colonia", "Illustris Odoror", "Saltatus Cubile", "Argentum Subolfacio", "Senex Cunabulum", "Curabitur Cubile", "Curabitur Cornu", "Illustris Olefacto", "Sphaera Ascella", "Illustris Cornu", "Magicus Adoleo", "Pythonicus Olfacio", "Mysticus Apes", "Natatio Odoror", "Argentum Apes", "Senex Collectivus", "Novellus Subolfacio", "Natatio Tectum", "Pythonicus Colonia", "Magicus Olfacio", "Vetus Cunabulum", "Senex Subolfacio", "Magus Collectivus", "Vetus Odoratus", "Inlustris Colonia", "Novellus Redoleo", "Magus Tectum", "Sphaera Odoratus", "Mysticus Collectivus", "Magus Redoleo", "Novellus Redoleo", "Mystica Cubile", "Curabitur Subolfacio", "Vetus Redoleo", "Clarus Adoleo", "Eximius Ascella", "Splendidus Olefacto", "Clarus Communis", "Clarus Fragro", "Argentum Adoleo", "Curabitur Adoleo", "Pythonicus Fragro", "Illustris Subolfacio", "Mysticus Cunabulum", "Senex Tectum", "Natatio Odoratus", "Argentum Colonia", "Tripudium Redoleo", "Tripudium Adoleo", "Inlustris Olefacto", "Novellus Cunabulum", "Splendidus Adoleo", "Senex Cubile", "Novus Apes", "Natatio Collectivus", "Argentum Adoleo", "Novellus Cornu", "Mysticus Ascella", "Senex Cornu", "Saltatus Nidore", "Argentum Redoleo", "Argentum Cubile", "Eximius Cornu", "Novellus Apes", "Illustris Fragro", "Eximius Fragro", "Magus Fragro", "Illustris Odoratus", "Inlustris Olefacto", "Magicus Collectivus", "Illustris Tectum", "Mystica Nidore", "Illustris Collectivus", "Eximius Adoleo", "Clarus Fragro", "Inlustris Odoror", "Natatio Olefacto", "Pythonicus Subolfacio", "Magicus Subolfacio", "Inlustris Cunabulum", "Mysticus Olefacto", "Vetus Communis", "Tripudium Ascella", "Argentum Nidore", "Inlustris Communis","Novus Communis", "Curabitur Fragro", "Tripudium Olefacto", "Pythonicus Olfacio", "Inlustris Collectivus", "Mysticus Redoleo", "Novellus Apes", "Mystica Subolfacio", "Senex Ascella", "Pythonicus Collectivus", "Curabitur Pervolo", "Novus Odoratus", "Novus Nidore", "Sphaera Odoror", "Vetus Redoleo", "Senex Ascella", "Illustris Cunabulum", "Inlustris Olfacio", "Eximius Communis", "Splendidus Ascella", "Senex Pervolo", "Sphaera Adoleo", "Eximius Communis", "Vetus Ascella", "Argentum Olfacio", "Tripudium Adoleo", "Clarus Pervolo", "Novellus Fragro", "Magicus Communis", "Pythonicus Colonia", "Vetus Cunabulum", "Clarus Olfacio", "Magicus Collectivus", "Magicus Fragro", "Mysticus Fragro", "Mysticus Redoleo", "Mystica Nidore", "Saltatus Cornu", "Senex Odoror", "Pythonicus Redoleo", "Mysticus Cunabulum", "Curabitur Colonia", "Novus Pervolo", "Tripudium Olefacto", "Mysticus Pervolo", "Curabitur Nidore", "Saltatus Apes", "Vetus Fragro", "Splendidus Collectivus", "Eximius Cornu", "Novus Ascella", "Eximius Olfacio", "Argentum Ascella", "Novellus Collectivus", "Novellus Cunabulum", "Magus Odoror", "Illustris Apes", "Magus Adoleo", "Novus Olfacio", "Argentum Odoror", "Clarus Ascella", "Novellus Odoratus", "Novus Tectum", "Saltatus Communis",
// Galaxy 3
"Misericordiam Loco", "Constituo Opificina", "Malacia Praescribo", "Tempero Praescribo", "Constituo Formo", "Malacia Praescribo", "Comiter Portus", "Dispono Portus", "Adparo Copona", "Misericordiam Placo", "Tranquillo Bestiola", "Constituo Portus", "Amice Bestiola", "Norma Bestiola", "Ordino Praescribo", "Amice Decretum", "Bene Decretum", "Bene Loco", "Comiter Copona", "Norma Decretum", "Comiter Loco", "Tempero Portus", "Norma Opificina", "Adparo Copona", "Malacia Locus", "Quies Habitus", "Amice Habitus", "Adparo Locus", "Tempero Bestiola", "Misericordiam Officina", "Benigne Obficina", "Constituo Celsitudo", "Norma Formo", "Tempero Officina", "Misericordiam Portus", "Constituo Obficina", "Benigne Habitus", "Dispono Praescribo", "Benigne Obficina", "Adparo Praescribo", "Tempero Bestiola", "Constituo Officina", "Adparo Loco", "Comiter Celsitudo", "Misericordiam Officina", "Dispono Loco", "Benigne Obficina", "Amice Formo", "Comiter Habitus", "Malacia Decretum", "Bene Placo", "Misericordiam Volucris", "Cessabit Officina", "Malacia Obficina", "Cessabit Celsitudo", "Quies Praescribo", "Benigne Copona", "Quies Obficina", "Quies Formo", "Cessabit Portus", "Constituo Formo", "Comiter Formo", "Quies Formo", "Quies Formo","Comiter Celsitudo", "Quies Obficina", "Benevole Tabernam", "Misericordiam Tabernam", "Bene Celsitudo", "Benevole Decretum", "Amice Obficina", "Ordino Formo", "Quies Obficina", "Norma Praescribo", "Quies Tabernam", "Cessabit Tabernam", "Dispono Celsitudo", "Bene Decretum", "Tempero Obficina", "Comiter Formo", "Tempero Obficina", "Tempero Volucris", "Benigne Officina", "Constituo Formo", "Cessabit Tabernam", "Amice Portus", "Benevole Copona", "Constituo Decretum", "Norma Tabernam", "Malacia Opificina", "Cessabit Bestiola", "Malacia Obficina", "Norma Decretum", "Benigne Volucris", "Tempero Opificina", "Benevole Officina", "Constituo Volucris", "Comiter Locus", "Comiter Decretum", "Malacia Locus", "Tranquillo Obficina", "Comiter Officina", "Benevole Decretum", "Quies Praescribo", "Comiter Officina", "Constituo Officina", "Tranquillo Locus", "Misericordiam Officina", "Misericordiam Loco", "Constituo Formo", "Dispono Portus", "Benigne Celsitudo", "Dispono Bestiola", "Comiter Locus", "Amice Portus", "Comiter Copona", "Tempero Officina", "Comiter Portus", "Misericordiam Praescribo", "Bene Celsitudo", "Adparo Volucris", "Cessabit Volucris", "Tempero Obficina", "Malacia Obficina", "Tranquillo Portus", "Constituo Locus", "Misericordiam Bestiola", "Ordino Bestiola", "Benevole Loco", "Tranquillo Tabernam", "Adparo Officina", "Comiter Locus", "Benigne Praescribo", "Ordino Bestiola", "Constituo Volucris", "Adparo Copona", "Ordino Obficina", "Quies Decretum", "Norma Locus", "Amice Formo", "Constituo Obficina", "Tempero Officina", "Constituo Portus", "Benevole Formo", "Norma Celsitudo", "Tranquillo Habitus", "Norma Opificina", "Constituo Tabernam", "Constituo Tabernam", "Dispono Portus", "Bene Habitus", "Constituo Habitus", "Tempero Officina", "Constituo Volucris", "Adparo Obficina", "Ordino Copona", "Cessabit Formo", "Quies Placo", "Constituo Copona", "Tranquillo Obficina", "Amice Tabernam", "Cessabit Portus", "Comiter Locus", "Constituo Praescribo", "Tranquillo Loco", "Quies Tabernam", "Ordino Copona", "Quies Locus", "Tranquillo Decretum", "Tempero Decretum", "Bene Habitus", "Misericordiam Officina", "Adparo Opificina", "Constituo Celsitudo", "Adparo Habitus", "Comiter Bestiola", "Misericordiam Obficina", "Benigne Locus", "Amice Tabernam", "Constituo Formo", "Malacia Locus", "Cessabit Locus", "Benevole Volucris", "Benevole Officina", "Tranquillo Decretum", "Benevole Praescribo", "Misericordiam Decretum", "Dispono Locus", "Dispono Officina", "Ordino Opificina", "Tranquillo Copona", "Benigne Copona","Cessabit Decretum", "Norma Tabernam", "Constituo Habitus", "Quies Officina", "Misericordiam Copona", "Benigne Opificina", "Ordino Opificina", "Ordino Habitus", "Dispono Habitus", "Bene Bestiola", "Benevole Loco", "Tempero Officina", "Tempero Obficina", "Misericordiam Volucris", "Adparo Loco", "Comiter Locus", "Misericordiam Officina", "Misericordiam Placo", "Constituo Volucris", "Benigne Officina", "Benigne Tabernam", "Norma Bestiola", "Tempero Tabernam", "Amice Volucris", "Adparo Volucris", "Quies Bestiola", "Bene Opificina", "Constituo Portus", "Adparo Bestiola", "Quies Obficina", "Cessabit Decretum", "Ordino Formo", "Dispono Decretum", "Benigne Copona", "Comiter Copona", "Benevole Volucris", "Cessabit Tabernam", "Tranquillo Portus", "Comiter Decretum", "Bene Obficina", "Benigne Loco", "Norma Volucris", "Adparo Praescribo", "Quies Portus", "Amice Placo", "Amice Formo", "Quies Loco", "Benevole Habitus", "Malacia Officina", "Benigne Portus", "Cessabit Formo", "Misericordiam Praescribo", "Tranquillo Formo", "Ordino Decretum", "Constituo Formo", "Dispono Locus", "Benigne Opificina", "Adparo Locus", "Tempero Tabernam", "Quies Volucris", "Tempero Formo", "Misericordiam Bestiola", "Norma Copona", "Misericordiam Locus",
// Galaxy 4
"Acceptus Vicus", "Caneo Emineo", "Melodes Iugum", "Mitis Castellum", "Calefacio Iugum", "Calidus Conscendo", "Calefacio Collis", "Tepidus Collis", "Benignus Vicus", "Acceptus Emineo", "Lenis Iugum", "Savis Castellum", "Lenis Iugum", "Lenis Congeries", "Iucundus Grumus", "Remissus Castellum", "Tepidus Collis", "Melodes Pagus", "Caneo Orbis", "Remissus Emineo", "Calidus Collis", "Iucundum Rubefacio", "Tepidus Tumulus", "Iucundum Iugum", "Calidus Emineo", "Iucundus Congeries", "Lenis Rubefacio", "Caneo Grumus", "Remissus Congeries", "Savis Turrim", "Savis Emineo", "Iucundum Turrim", "Suavis Iugum", "Savis Grumus", "Caneo Emineo", "Calefacio Conscendo", "Savis Grumus", "Remissus Grumus", "Suavis Turrim", "Dulcis Grumus", "Dulcis Turris", "Remissus Castellum", "Benignus Pagus", "Iucundus Vicus", "Benignus Tumulus", "Savis Turrim", "Melodes Pagus", "Savis Orbis", "Lenis Grumus", "Savis Pagus", "Dulcis Conscendo", "Acceptus Vicus", "Calidum Congeries", "Tepidus Congeries", "Lenis Iugum", "Iucundum Iugum", "Suavis Pagus", "Remissus Turrim", "Dulcis Tumulus", "Mitis Tumulus", "Caneo Turris", "Suavis Collis", "Calidum Grumus", "Savis Turrim","Iucundus Conscendo", "Mitis Tumulus", "Remissus Congeries", "Calidum Orbis", "Mitis Iugum", "Calefacio Emineo", "Calidus Turrim", "Melodes Castellum", "Remissus Iugum", "Lenis Grumus", "Remissus Pagus", "Caneo Castellum", "Calidus Vicus", "Suavis Mundus", "Calidus Rubefacio", "Remissus Collis", "Remissus Collis", "Benignus Pagus", "Acceptus Mundus", "Remissus Mundus", "Lenis Grumus", "Remissus Congeries", "Calidum Iugum", "Mitis Orbis", "Tepidus Castellum", "Calefacio Adgestum", "Remissus Orbis", "Suavis Iugum", "Melodes Collis", "Tepidus Pagus", "Savis Turrim", "Remissus Conscendo", "Suavis Turris", "Calefacio Collis", "Mitis Orbis", "Calefacio Turrim", "Suavis Emineo", "Lenis Emineo", "Acceptus Mundus", "Dulcis Grumus", "Calidum Rubefacio", "Remissus Vicus", "Calidum Mundus", "Savis Tumulus", "Dulcis Iugum", "Iucundus Turrim", "Melodes Collis", "Remissus Castellum", "Iucundum Turrim", "Tepidus Turrim", "Caneo Congeries", "Caneo Grumus", "Suavis Emineo", "Caneo Conscendo", "Dulcis Emineo", "Benignus Turrim", "Benignus Grumus", "Mitis Rubefacio", "Suavis Orbis", "Iucundus Orbis", "Tepidus Emineo", "Calidus Collis", "Remissus Mundus", "Calefacio Grumus", "Dulcis Orbis", "Iucundus Rubefacio", "Mitis Rubefacio", "Mitis Mundus", "Benignus Mundus", "Acceptus Tumulus", "Caneo Turris", "Lenis Grumus", "Lenis Iugum", "Dulcis Congeries", "Calidum Turris", "Savis Turrim", "Dulcis Grumus", "Dulcis Adgestum", "Remissus Congeries", "Iucundus Grumus", "Iucundus Collis", "Calidus Tumulus", "Lenis Collis", "Melodes Congeries", "Calidum Congeries", "Calefacio Tumulus", "Acceptus Rubefacio", "Remissus Pagus", "Calidum Tumulus", "Calefacio Iugum", "Tepidus Emineo", "Mitis Castellum", "Benignus Emineo", "Iucundus Orbis", "Savis Orbis", "Caneo Congeries", "Tepidus Collis", "Suavis Pagus", "Savis Emineo", "Acceptus Iugum", "Iucundus Turris", "Calidus Congeries", "Calidum Conscendo", "Calefacio Pagus", "Melodes Adgestum", "Melodes Castellum", "Calefacio Turris", "Caneo Mundus", "Iucundum Grumus", "Iucundus Pagus", "Tepidus Castellum", "Dulcis Conscendo", "Suavis Castellum", "Mitis Emineo", "Remissus Castellum", "Benignus Turrim", "Iucundus Rubefacio", "Calidum Turrim", "Lenis Collis", "Calefacio Congeries", "Lenis Castellum", "Dulcis Tumulus", "Calidus Orbis", "Dulcis Turrim", "Tepidus Emineo", "Iucundum Iugum", "Melodes Emineo", "Calidus Turrim","Calidum Mundus", "Remissus Castellum", "Melodes Orbis", "Suavis Tumulus", "Acceptus Mundus", "Mitis Iugum", "Dulcis Orbis", "Tepidus Turrim", "Remissus Turris", "Calidum Pagus", "Dulcis Mundus", "Calidus Turris", "Lenis Iugum", "Dulcis Tumulus", "Melodes Mundus", "Acceptus Turris", "Savis Orbis", "Benignus Congeries", "Mitis Conscendo", "Calefacio Turris", "Mitis Turrim", "Suavis Vicus", "Calefacio Turrim", "Calidum Vicus", "Iucundum Adgestum", "Caneo Pagus", "Calidum Congeries", "Remissus Turris", "Acceptus Castellum", "Mitis Conscendo", "Iucundus Emineo", "Mitis Adgestum", "Iucundus Iugum", "Mitis Orbis", "Dulcis Pagus", "Caneo Turris", "Mitis Adgestum", "Benignus Conscendo", "Mitis Mundus", "Calidus Vicus", "Iucundus Castellum", "Acceptus Emineo", "Savis Rubefacio", "Lenis Collis", "Benignus Castellum", "Calefacio Grumus", "Calidum Emineo", "Mitis Castellum", "Caneo Iugum", "Suavis Congeries", "Calefacio Vicus", "Remissus Tumulus", "Mitis Pagus", "Benignus Orbis", "Calidus Mundus", "Remissus Pagus", "Tepidus Adgestum", "Iucundum Tumulus", "Suavis Conscendo", "Caneo Rubefacio", "Iucundus Turris", "Lenis Rubefacio", "Calefacio Pagus", "Calidus Conscendo",
// Galaxy 5
"Certus Alvus", "Uber Domum", "Uber Nidus", "Occupatus Insecta", "Districtus Villam", "Argenti Collectivus", "Pacificae Domum", "Animosus Stratopedum", "Sapiens Cubile", "Validus Regina", "Pacificae Stratopedum", "Uber Vespa", "Certus Regina", "Argenti Alvearium", "Districtus Castra", "Animosus Regina", "Armato Custos", "Munificus Officina", "Protegat Stratopedum", "Aurum Nidus", "Pacificae Concustodio", "Munificus Alvearium", "Fortis Concustodio", "Certus Villam", "Uber Civitas", "Districtus Castra", "Fidelis Villam", "Uber Regina", "Certus Nidus", "Pacificae Melculum", "Animosus Cubile", "Sophos Castra", "Fortem Vespa", "Certus Domum", "Certus Civitas", "Certus Regina", "Munificus Insectum", "Argenti Cubile", "Uber Municipium", "Amicissimum Custos", "Sapiens Castra", "Armato Oppidum", "Occupatus Domum", "Uber Nidus", "Uber Alvearium", "Sapiens Collectivus", "Fortis Civitas", "Manus Inconivens", "Uber Castra", "Districtus Domum", "Amicissimum Cubile", "Ferrum Nidus", "Validus Nidus", "Animosus Nidus", "Amicissimum Civitas", "Sapiens Regina", "Districtus Vespa", "Fortem Officina", "Fidelis Concustodio", "Aurum Collectivus", "Animosus Custos", "Prudens Civitas", "Pacificae Domum", "Uber Civitas","Protegat Concustodio", "Amicissimum Oppidum", "Certus Oppidum", "Protegat Officina", "Sophos Oppidum", "Fortis Custos", "Occupatus Villam", "Districtus Villam", "Fidelis Vespa", "Protegat Concustodio", "Pacificae Oppidum", "Fortem Municipium", "Fortis Regina", "Amicissimum Insecta", "Argenti Collectivus", "Ferrum Cubile", "Sapiens Collectivus", "Certus Oppidum", "Aurum Insecta", "Sapiens Oppidum", "Ferrum Domum", "Munificus Custos", "Occupatus Concustodio", "Occupatus Insectum", "Fidelis Collectivus", "Fortis Municipium", "Fidelis Cubile", "Aurum Officina", "Fidelis Melculum", "Fortem Insecta", "Sophos Municipium", "Sophos Vespa", "Munificus Cubile", "Fortis Vespa", "Prudens Collectivus", "Operarius Aeternus", "Protegat Civitas", "Armato Oppidum", "Validus Concustodio", "Armato Officina", "Fortem Oppidum", "Districtus Cubile", "Validus Custos", "Validus Municipium", "Certus Insecta", "Munificus Castra", "Protegat Concustodio", "Amicissimum Castra", "Munificus Custos", "Ferrum Vespa", "Occupatus Melculum", "Occupatus Regina", "Uber Concustodio", "Prudens Insectum", "Districtus Officina", "Uber Concustodio", "Argenti Civitas", "Argenti Concustodio", "Amicissimum Officina", "Districtus Alvus", "Munificus Insecta", "Certus Civitas", "Prudens Concustodio", "Fortis Oppidum", "Aurum Nidus", "Protegat Nidus", "Amicissimum Vespa", "Certus Municipium", "Certus Custos", "Uber Cubile", "Fortis Custos", "Protegat Domum", "Prudens Custos", "Pacificae Castra", "Munificus Officina", "Ferrum Concustodio", "Ferrum Officina", "Certus Municipium", "Pacificae Officina", "Prudens Oppidum", "Uber Regina", "Sophos Villam", "Pacificae Regina", "Occupatus Insecta", "Aurum Stratopedum", "Armato Regina", "Amicissimum Cubile", "Validus Villam", "Argenti Custos", "Ferrum Villam", "Protegat Nidus", "Protegat Insectum", "Fortem Collectivus", "Protegat Custos", "Uber Oppidum", "Occupatus Castra", "Ferrum Insecta", "Sophos Alvus", "Aurum Insecta", "Certus Civitas", "Aurum Insecta", "Sophos Cubile", "Occupatus Melculum", "Fortem Melculum", "Ferrum Insectum", "Certus Alvearium", "Animosus Villam", "Protegat Cubile", "Certus Domum", "Uber Regina", "Amicissimum Collectivus", "Fortis Custos", "Armato Concustodio", "Argenti Nidus", "Occupatus Concustodio", "Validus Civitas", "Ferrum Domum", "Validus Custos", "Pacificae Domum", "Amicissimum Municipium", "Armato Officina", "Munificus Cubile", "Ferrum Collectivus", "Occupatus Regina", "Munificus Collectivus", "Ferrum Cubile", "Protegat Regina", "Validus Alvus","Uber Insectum", "Fidelis Domum", "Districtus Melculum", "Uber Castra", "Amicissimum Concustodio", "Sapiens Custos", "Sapiens Oppidum", "Fortem Officina", "Ferrum Castra", "Sapiens Melculum", "Districtus Alvearium", "Sophos Domum", "Ferrum Regina", "Fortem Nidus", "Uber Villam", "Animosus Villam", "Prudens Alvearium", "Armato Cubile", "Pacificae Concustodio", "Fidelis Concustodio", "Uber Oppidum", "Sapiens Vespa", "Prudens Municipium", "Protegat Insectum", "Armato Villam", "Protegat Stratopedum", "Argenti Villam", "Protegat Castra", "Fidelis Domum", "Fidelis Regina", "Argenti Vespa", "Uber Concustodio", "Prudens Municipium", "Sophos Stratopedum", "Munificus Concustodio", "Sophos Melculum", "Sophos Insectum", "Certus Municipium", "Pacificae Regina", "Ferrum Melculum", "Argenti Stratopedum", "Fidelis Vespa", "Animosus Municipium", "Argenti Regina", "Fidelis Insecta", "Sapiens Insectum", "Fidelis Municipium", "Validus Custos", "Fortis Domum", "Fortis Municipium", "Certus Insecta", "Fortem Insectum", "Sapiens Vespa", "Fidelis Alvearium", "Animosus Alvus", "Certus Villam", "Animosus Melculum", "Munificus Alvus", "Munificus Domum", "Occupatus Alvearium", "Munificus Stratopedum", "Uber Civitas", "Sapiens Alvearium", "Aurum Nidus",
// Galaxy 6
"Locuples Mercatura", "Opulentos Burgus", "Lepidus Quaestus", "Cracens Studium", "Bellatulus Quaestus", "Largus Castrum", "Venustus Quintana", "Salataris Mercatus", "Bellatulus Cunabula", "Gratissimum Praesidium", "Elegans Tutela", "Salataris Studium", "Bellatulus Pugnaculum", "Venustus Praesidium", "Elegans Commercium", "Gratissimum Commercium", "Dulcis Nundinae", "Salataris Tutela", "Utibilis Mercatus", "Largus Quaestus", "Venustus Studium", "Gloria Quaestus", "Dulcis Pugnaculum", "Dulcis Cunabula", "Cracens Cunabula", "Opulentos Forum", "Dulcifer Nundinae", "Lepidus Mercatus", "Cracens Tutela", "Largus Mercatus", "Utibilis Cunabula", "Gratissimum Quaestus", "Suavis Nundinae", "Gratissimum Quintana", "Opulentos Mercatura", "Auxiliarius Castrum", "Dulcis Tutela", "Gloria Tutela", "Dulcifer Quaestus", "Bellatulus Collubus", "Venustus Quaestus", "Bellatulus Forum", "Gloria Permutatio", "Largus Stabulum", "Lepidus Cunabula", "Auxiliarius Mercatus", "Elegans Quintana", "Venustus Mercatus", "Lepidus Castrum", "Bellatulus Mercatura", "Locuples Cunabula", "Munificus Collubus", "Salataris Collubus", "Munificus Mercatura", "Salataris Emporium", "Lepidus Quintana", "Gloria Pabulatio", "Suavis Forum", "Bellatulus Collubus", "Gloria Pabulatio", "Gloria Studium", "Cracens Burgus", "Bellatulus Studium", "Largus Pugnaculum","Auxiliarius Stabulum", "Locuples Pugnaculum", "Auxiliarius Emporium", "Gestuosus Quaestus", "Elegans Castrum", "Dulcifer Forum", "Gratissimum Pabulatio", "Suavis Cunabula", "Gestuosus Pabulatio", "Gestuosus Mercatus", "Auxiliarius Pugnaculum", "Gratissimum Commercium", "Suavis Cunabula", "Lepidus Pabulatio", "Gestuosus Burgus", "Locuples Nundinae", "Dulcis Cunabula", "Munificus Tutela", "Decorus Nundinae", "Suavis Forum", "Opulentos Studium", "Munificus Stabulum", "Elegans Burgus", "Locuples Praesidium", "Salataris Quintana", "Benignus Castrum", "Lepidus Burgus", "Venustus Pabulatio", "Locuples Castrum", "Opulentos Mercatura", "Cracens Castrum", "Bellatulus Burgus", "Suavis Tutela", "Gratissimum Emporium", "Lepidus Burgus", "Suavis Forum", "Lepidus Mercatura", "Salataris Burgus", "Gestuosus Pugnaculum", "Munificus Praesidium", "Lepidus Nundinae", "Locuples Burgus", "Cracens Studium", "Gestuosus Commercium", "Salataris Permutatio", "Benignus Emporium", "Salataris Collubus", "Auxiliarius Quintana", "Munificus Quintana", "Suavis Commercium", "Auxiliarius Quintana", "Opulentos Praesidium", "Cracens Pugnaculum", "Venustus Burgus", "Lepidus Studium", "Benignus Pugnaculum", "Gratissimum Tutela", "Auxiliarius Quintana", "Dulcifer Emporium", "Auxiliarius Quintana", "Locuples Permutatio", "Gestuosus Commercium", "Munificus Collubus", "Munificus Cunabula", "Venustus Studium", "Utibilis Quintana", "Largus Nundinae", "Venustus Tutela", "Dulcifer Tutela", "Largus Stabulum", "Venustus Pabulatio", "Dulcis Commercium", "Largus Praesidium", "Gratissimum Cunabula", "Benignus Burgus", "Dulcifer Permutatio", "Suavis Nundinae", "Munificus Commercium", "Venustus Stabulum", "Dulcis Nundinae", "Munificus Collubus", "Lepidus Quintana", "Dulcis Nundinae", "Dulcifer Cunabula", "Elegans Commercium", "Locuples Praesidium", "Dulcis Pugnaculum", "Suavis Castrum", "Decorus Tutela", "Gratissimum Nundinae", "Elegans Commercium", "Lepidus Praesidium", "Gloria Pugnaculum", "Largus Tutela", "Dulcifer Cunabula", "Venustus Burgus", "Cracens Collubus", "Dulcis Castrum", "Bellatulus Cunabula", "Suavis Cunabula", "Gloria Commercium", "Opulentos Studium", "Dulcis Quintana", "Bellatulus Quaestus", "Dulcis Collubus", "Benignus Praesidium", "Munificus Stabulum", "Cracens Pabulatio", "Gestuosus Nundinae", "Bellatulus Collubus", "Largus Forum", "Opulentos Mercatus", "Bellatulus Cunabula", "Venustus Studium", "Elegans Studium", "Auxiliarius Studium", "Bellatulus Quaestus", "Elegans Stabulum", "Locuples Permutatio", "Salataris Cunabula", "Salataris Collubus", "Venustus Tutela", "Gloria Mercatura", "Gloria Permutatio", "Benignus Nundinae", "Decorus Quaestus", "Locuples Burgus", "Bellatulus Mercatus","Opulentos Collubus", "Gratissimum Permutatio", "Locuples Emporium", "Lepidus Burgus", "Bellatulus Studium", "Elegans Mercatura", "Bellatulus Pabulatio", "Bellatulus Mercatus", "Elegans Cunabula", "Benignus Pugnaculum", "Lepidus Quintana", "Gloria Quintana", "Gloria Studium", "Auxiliarius Mercatus", "Dulcis Castrum", "Benignus Tutela", "Locuples Mercatus", "Largus Tutela", "Benignus Burgus", "Lepidus Burgus", "Munificus Mercatura", "Suavis Studium", "Bellatulus Commercium", "Bellatulus Tutela", "Bellatulus Mercatus", "Gloria Quaestus", "Benignus Permutatio", "Benignus Pugnaculum", "Dulcis Quaestus", "Gratissimum Pabulatio", "Utibilis Praesidium", "Decorus Castrum", "Elegans Forum", "Benignus Commercium", "Lepidus Mercatura", "Gloria Pugnaculum", "Auxiliarius Commercium", "Lepidus Castrum", "Decorus Forum", "Dulcifer Nundinae", "Gloria Quaestus", "Decorus Quaestus", "Gestuosus Collubus", "Dulcifer Mercatura", "Venustus Commercium", "Benignus Studium", "Munificus Quaestus", "Suavis Forum", "Benignus Permutatio", "Cracens Quintana", "Dulcifer Pugnaculum", "Decorus Castrum", "Gratissimum Quaestus", "Auxiliarius Quintana", "Cracens Quintana", "Utibilis Pugnaculum", "Suavis Stabulum", "Venustus Tutela", "Decorus Emporium", "Locuples Mercatura", "Venustus Nundinae", "Suavis Commercium", "Gloria Pabulatio", "Opulentos Collubus",
// Galaxy 7
"Metallum Multitudo", "Reverendus Celebro", "Magnus Vavis", "Praepollens Numus", "Pollens Corona", "Immane Nectare", "Venerabilis Multitudo", "Divum Saltatio", "Verendus Vavis", "Infigo Vulgus", "Infigo Pecunia", "Verendus Nectare", "Metallum Multae", "Potens Classis", "Immane Vavis", "Reverendus Pecunia", "Validus Saltatio", "Magnus Pecunia", "Versura Numus", "Caelum Pecunia", "Volubilis Universitas", "Immane Circulus", "Divum Universitas", "Coelum Celebro", "Verendus Multitudo", "Coelum Pecunia", "Validus Turba", "Venerabilis Circulor", "Validus Universitas", "Reverendus Numus", "Potens Corona", "Infigo Numus", "Venerabilis Universitas", "Divum Multae", "Caelum Pecunia", "Infigo Circulor", "Magnus Turba", "Pollens Multae", "Versura Corona", "Validus Circulor", "Reverendus Universitas", "Caelum Nectare", "Divum Vavis", "Validus Multae", "Venerabilis Nectare", "Coelum Corona", "Validus Turba", "Infigo Multae", "Pollens Nectare", "Praepollens Circulor", "Volubilis Multitudo", "Versura Saltatio", "Verendus Nectare", "Versura Universitas", "Magnus Forma", "Verendus Universitas", "Divum Forma", "Potens Vulgus", "Metallum Vavis", "Divum Multitudo", "Caelum Nectare", "Pollens Pecunia", "Versura Saltatio", "Immane Numus","Versura Vulgus", "Immane Corona", "Versura Circulor", "Validus Vavis", "Metallum Nectare", "Versura Vulgus", "Volubilis Saltatio", "Versura Multae", "Venerabilis Forma", "Immane Pecunia", "Pollens Numus", "Praepollens Circulus", "Coelum Celebro", "Volubilis Pecunia", "Verendus Classis", "Divum Numus", "Versura Pecunia", "Metallum Corona", "Magnus Multitudo", "Verendus Forma", "Caelum Turba", "Versura Vavis", "Volubilis Circulor", "Venerabilis Multae", "Caelum Vavis", "Reverendus Vulgus", "Potens Turba", "Magnus Saltatio", "Metallum Circulus", "Immane Nectare", "Coelum Circulus", "Verendus Vavis", "Venerabilis Saltatio", "Reverendus Nectare", "Volubilis Circulus", "Magnus Universitas", "Infigo Celebro", "Potens Numus", "Potens Turba", "Divum Multae", "Versura Circulor", "Potens Classis", "Metallum Multitudo", "Pollens Saltatio", "Metallum Vulgus", "Caelum Saltatio", "Reverendus Multae", "Infigo Multitudo", "Volubilis Vavis", "Potens Classis", "Praepollens Pecunia", "Pollens Multitudo", "Validus Saltatio", "Infigo Multitudo", "Venerabilis Forma", "Potens Circulus", "Metallum Forma", "Praepollens Vulgus", "Magnus Multae", "Volubilis Multitudo", "Immane Circulor", "Praepollens Celebro", "Pollens Corona", "Pollens Numus", "Caelum Numus", "Caelum Forma", "Praepollens Numus", "Divum Circulus", "Metallum Circulus", "Infigo Vavis", "Volubilis Multae", "Magnus Circulor", "Immane Saltatio", "Caelum Circulus", "Divum Classis", "Metallum Numus", "Validus Nectare", "Versura Vulgus", "Divum Classis", "Volubilis Turba", "Caelum Circulor", "Coelum Turba", "Coelum Vavis", "Magnus Corona", "Reverendus Multitudo", "Infigo Multitudo", "Divum Celebro", "Validus Celebro", "Venerabilis Pecunia", "Potens Circulus", "Verendus Forma", "Infigo Vavis", "Venerabilis Forma", "Metallum Turba", "Pollens Multae", "Immane Pecunia", "Volubilis Celebro", "Versura Circulus", "Praepollens Vavis", "Praepollens Vavis", "Metallum Pecunia", "Volubilis Circulus", "Pollens Multitudo", "Infigo Multitudo", "Infigo Pecunia", "Versura Universitas", "Caelum Nectare", "Praepollens Circulus", "Volubilis Pecunia", "Verendus Circulor", "Infigo Celebro", "Versura Circulus", "Praepollens Numus", "Magnus Multae", "Validus Universitas", "Potens Universitas", "Versura Nectare", "Validus Universitas", "Venerabilis Classis", "Divum Universitas", "Caelum Nectare", "Venerabilis Saltatio", "Coelum Saltatio", "Versura Nectare", "Validus Numus", "Reverendus Forma", "Immane Celebro", "Caelum Celebro","Magnus Corona", "Coelum Circulus", "Praepollens Classis", "Magnus Forma", "Divum Corona", "Caelum Numus", "Magnus Pecunia", "Validus Circulor", "Caelum Circulus", "Infigo Saltatio", "Divum Circulor", "Verendus Vulgus", "Reverendus Corona", "Divum Circulor", "Volubilis Corona", "Praepollens Numus", "Immane Numus", "Coelum Numus", "Immane Forma", "Immane Universitas", "Praepollens Celebro", "Volubilis Vulgus", "Infigo Circulor", "Potens Universitas", "Infigo Corona", "Versura Saltatio", "Divum Vavis", "Divum Celebro", "Reverendus Turba", "Reverendus Numus", "Pollens Circulor", "Pollens Pecunia", "Caelum Numus", "Divum Circulor", "Praepollens Saltatio", "Coelum Turba", "Caelum Circulus", "Coelum Numus", "Praepollens Numus", "Potens Numus", "Metallum Multitudo", "Caelum Turba", "Venerabilis Celebro", "Potens Vavis", "Coelum Turba", "Coelum Forma", "Metallum Corona", "Magnus Classis", "Reverendus Classis", "Metallum Circulus", "Praepollens Universitas", "Versura Vulgus", "Divum Forma", "Caelum Classis", "Praepollens Universitas", "Caelum Vulgus", "Metallum Circulus", "Infigo Saltatio", "Reverendus Forma", "Potens Forma", "Potens Corona", "Praepollens Classis", "Metallum Multae", "Magnus Vulgus",
// Galaxy 8
"Districtus Vespa", "Prudens Villam", "Sapiens Insecta", "Sophos Officina", "Animosus Concustodio", "Munificus Vespa", "Districtus Officina", "Fidelis Stratopedum", "Fortis Domum", "Fortis Domum", "Fortem Alvearium", "Validus Collectivus", "Sapiens Insecta", "Protegat Insectum", "Pacificae Alvearium", "Ferrum Domum", "Prudens Civitas", "Fidelis Civitas", "Sapiens Stratopedum", "Fortem Castra", "Fidelis Regina", "Sophos Villam", "Districtus Collectivus", "Fidelis Concustodio", "Animosus Domum", "Sapiens Villam", "Protegat Concustodio", "Argenti Castra", "Uber Stratopedum", "Fortis Insectum", "Fidelis Stratopedum", "Sapiens Domum", "Protegat Stratopedum", "Argenti Cubile", "Fortis Insectum", "Animosus Insecta", "Ferrum Melculum", "Sophos Nidus", "Uber Regina", "Animosus Custos", "Animosus Municipium", "Sapiens Custos", "Munificus Municipium", "Districtus Regina", "Certus Insectum", "Sophos Collectivus", "Protegat Castra", "Fortem Insectum", "Validus Municipium", "Fidelis Insectum", "Sophos Nidus", "Occupatus Alvus", "Aurum Alvearium", "Pacificae Insecta", "Munificus Melculum", "Munificus Regina", "Munificus Castra", "Certus Regina", "Fortem Regina", "Prudens Stratopedum", "Pacificae Alvus", "Sophos Insectum", "Fortis Regina", "Amicissimum Cubile","Prudens Insectum", "Fidelis Stratopedum", "Certus Officina", "Ferrum Cubile", "Aurum Collectivus", "Sophos Municipium", "Prudens Domum", "Armato Domum", "Ferrum Cubile", "Munificus Vespa", "Amicissimum Collectivus", "Validus Domum", "Aurum Domum", "Animosus Melculum", "Argenti Collectivus", "Districtus Alvearium", "Districtus Oppidum", "Munificus Concustodio", "Aurum Cubile", "Uber Municipium", "Fortis Regina", "Aurum Concustodio", "Fortis Collectivus", "Ferrum Insectum", "Ferrum Insecta", "Amicissimum Concustodio", "Munificus Insectum", "Sapiens Cubile", "Fortis Oppidum", "Aurum Concustodio", "Certus Custos", "Prudens Concustodio", "Argenti Nidus", "Certus Civitas", "Validus Cubile", "Protegat Insecta", "Uber Castra", "Occupatus Alvus", "Sapiens Insectum", "Amicissimum Insecta", "Argenti Villam", "Sapiens Nidus", "Uber Municipium", "Occupatus Custos", "Fidelis Stratopedum", "Certus Regina", "Certus Cubile", "Sophos Municipium", "Amicissimum Cubile", "Sapiens Insecta", "Munificus Alvearium", "Certus Officina", "Occupatus Collectivus", "Prudens Nidus", "Districtus Vespa", "Argenti Castra", "Uber Civitas", "Certus Nidus", "Districtus Domum", "Districtus Castra", "Argenti Cubile", "Fortem Alvus", "Fortis Officina", "Armato Oppidum", "Amicissimum Civitas", "Fidelis Villam", "Sapiens Nidus", "Validus Oppidum", "Sophos Nidus", "Fidelis Collectivus", "Animosus Domum", "Validus Domum", "Protegat Collectivus", "Argenti Castra", "Aurum Oppidum", "Sophos Insectum", "Pacificae Alvus", "Districtus Civitas", "Districtus Melculum", "Animosus Regina", "Animosus Insectum", "Armato Alvearium", "Amicissimum Concustodio", "Districtus Castra", "Uber Insectum", "Fortis Collectivus", "Protegat Civitas", "Pacificae Regina", "Districtus Domum", "Pacificae Custos", "Argenti Castra", "Amicissimum Insectum", "Sapiens Officina", "Sophos Domum", "Fortem Civitas", "Pacificae Alvearium", "Fortem Insectum", "Fortem Nidus", "Prudens Regina", "Protegat Cubile", "Prudens Officina", "Ferrum Municipium", "Amicissimum Officina", "Protegat Melculum", "Protegat Insectum", "Pacificae Nidus", "Animosus Domum", "Districtus Melculum", "Munificus Insecta", "Amicissimum Alvus", "Argenti Civitas", "Fidelis Custos", "Protegat Municipium", "Occupatus Insectum", "Amicissimum Insectum", "Prudens Concustodio", "Munificus Stratopedum", "Animosus Municipium", "Prudens Insecta", "Animosus Insecta", "Fortem Stratopedum", "Prudens Civitas", "Occupatus Insecta", "Protegat Officina", "Fortis Castra", "Uber Alvus", "Amicissimum Melculum", "Armato Villam","Certus Oppidum", "Pacificae Insectum", "Occupatus Alvearium", "Sophos Concustodio", "Amicissimum Stratopedum", "Munificus Vespa", "Munificus Oppidum", "Pacificae Custos", "Fortis Vespa", "Aurum Nidus", "Validus Insectum", "Amicissimum Civitas", "Validus Domum", "Sophos Concustodio", "Certus Villam", "Sapiens Insectum", "Armato Nidus", "Districtus Officina", "Uber Oppidum", "Animosus Municipium", "Sophos Oppidum", "Fortem Custos", "Certus Officina", "Certus Civitas", "Certus Concustodio", "Districtus Cubile", "Occupatus Nidus", "Sophos Custos", "Sophos Concustodio", "Sophos Insectum", "Uber Oppidum", "Prudens Stratopedum", "Pacificae Alvearium", "Certus Officina", "Uber Oppidum", "Ferrum Officina", "Occupatus Regina", "Fortis Alvus", "Uber Oppidum", "Districtus Officina", "Armato Regina", "Animosus Melculum", "Certus Nidus", "Aurum Insecta", "Armato Melculum", "Animosus Castra", "Prudens Castra", "Sapiens Cubile", "Amicissimum Vespa", "Sapiens Insectum", "Munificus Cubile", "Amicissimum Vespa", "Sapiens Insectum", "Protegat Castra", "Prudens Cubile", "Aurum Villam", "Certus Alvus", "Argenti Regina", "Armato Civitas", "Occupatus Alvearium", "Armato Municipium", "Validus Cubile", "Prudens Alvus", "Fidelis Collectivus",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Validus Aedificium"];

// Name Arrays for Fuel Stations - 1st Station in a given system to spawn. (Number of Names in Array: 2,048)
// This uses the large counted pool method - See Readme for Details.
this.fuelpool1 = [
// Galaxy 1
"Zeta 064", "Omicron 023", "Theta 099", "Upsilon 092", "Eta 058", "Omicron 017", "Eta 074", "Alpha 092", "Kappa 094", "Iota 066", "Gamma 060", "Delta 041", "Lambada 090", "Upsilon 062", "Gamma 083", "Sigma 035", "Epsilon 057", "Epsilon 048", "Omega 051", "Zeta 083", "Eta 025", "Kappa 053", "Beta 059", "Zeta 030", "Kappa 064", "Theta 029", "Theta 048", "Omicron 015", "Beta 026", "Theta 039", "Gamma 059", "Omicron 045", "Delta 088", "Upsilon 073", "Eta 011", "Beta 074", "Zeta 066", "Omega 087", "Delta 093", "Epsilon 084", "Delta 092", "Epsilon 012", "Lambada 062", "Iota 073", "Epsilon 021", "Epsilon 092", "Iota 067", "Delta 056", "Omicron 027", "Lambada 049", "Upsilon 042", "Kappa 066", "Iota 014", "Kappa 091", "Kappa 026", "Beta 072", "Alpha 078", "Upsilon 039", "Eta 071", "Zeta 077", "Omicron 094", "Lambada 079", "Sigma 069", "Beta 037", "Omega 022", "Alpha 090", "Theta 046", "Eta 029", "Zeta 099", "Omicron 047", "Beta 073", "Gamma 040", "Kappa 042", "Kappa 020", "Zeta 095", "Lambada 080", "Iota 073", "Iota 054", "Beta 052", "Delta 035", "Lambada 066", "Omicron 083", "Omicron 066", "Alpha 013", "Sigma 051", "Iota 022", "Omega 049", "Lambada 014", "Beta 084", "Lambada 082", "Epsilon 031", "Eta 083", "Iota 025", "Sigma 060", "Gamma 046", "Epsilon 045", "Alpha 075", "Beta 096", "Omega 019", "Kappa 077", "Delta 028", "Beta 090", "Alpha 021", "Theta 072", "Epsilon 071", "Omega 068", "Omicron 031", "Kappa 057", "Omega 018", "Eta 024", "Epsilon 040", "Omicron 073", "Zeta 029", "Eta 064", "Omega 099", "Eta 089", "Lambada 017", "Sigma 019", "Eta 034", "Upsilon 051", "Delta 068", "Gamma 045", "Iota 073", "Kappa 077", "Kappa 055", "Theta 057", "Kappa 068", "Zeta 040", "Alpha 061", "Lambada 024", "Eta 013", "Gamma 054", "Omicron 045", "Epsilon 060", "Lambada 050", "Zeta 059", "Kappa 012", "Omicron 056", "Iota 076", "Omicron 086", "Iota 016", "Iota 057", "Sigma 073", "Epsilon 083", "Gamma 023", "Beta 032", "Lambada 092", "Lambada 079", "Alpha 034", "Epsilon 064", "Theta 070", "Zeta 057", "Theta 022", "Iota 037", "Iota 091", "Eta 072", "Zeta 074", "Omega 081", "Eta 011", "Delta 047", "Upsilon 027", "Alpha 035", "Theta 051", "Kappa 072", "Lambada 028", "Epsilon 098", "Beta 071", "Zeta 099", "Omicron 031", "Omega 050", "Theta 098", "Alpha 089", "Eta 057", "Eta 036", "Lambada 048", "Epsilon 069", "Iota 092", "Alpha 026", "Delta 092", "Lambada 025", "Alpha 021", "Gamma 087", "Iota 086", "Beta 081", "Epsilon 073", "Sigma 097", "Alpha 017", "Beta 062", "Omega 086", "Alpha 071", "Omega 095", "Iota 059", "Epsilon 023", "Upsilon 044", "Iota 012", "Lambada 035", "Iota 095", "Theta 074", "Delta 081", "Alpha 089", "Epsilon 047", "Sigma 028", "Sigma 086", "Gamma 074", "Zeta 079", "Delta 068", "Epsilon 033", "Iota 095", "Delta 087", "Alpha 043", "Omega 065", "Eta 056", "Kappa 053", "Alpha 099", "Zeta 016", "Alpha 079", "Beta 029", "Theta 038", "Zeta 055", "Delta 055", "Delta 031", "Theta 069", "Upsilon 025", "Omega 028", "Delta 050", "Delta 030", "Zeta 041", "Gamma 051", "Iota 034", "Delta 046", "Eta 038", "Alpha 029", "Zeta 096", "Omega 014", "Omicron 096", "Kappa 033", "Delta 078", "Eta 015", "Gamma 028", "Omicron 047", "Beta 050", "Lambada 020", "Zeta 012", "Upsilon 049", "Omega 020", "Omega 097", "Lambada 061", "Upsilon 011", "Kappa 093", "Beta 051", "Kappa 046", "Omicron 094", "Sigma 047", "Zeta 050", "Epsilon 083", "Delta 011",    
// Galaxy 2
"Delta 062", "Zeta 030", "Iota 043", "Sigma 066", "Omega 037", "Iota 022", "Omega 081", "Delta 056", "Beta 010", "Theta 069", "Omicron 086", "Sigma 050", "Beta 057", "Zeta 064", "Lambada 083", "Beta 097", "Beta 087", "Eta 010", "Alpha 082", "Gamma 020", "Kappa 054", "Beta 023", "Theta 063", "Alpha 068", "Omicron 023", "Theta 029", "Iota 017", "Delta 053", "Omega 094", "Zeta 054", "Zeta 038", "Eta 066", "Beta 045", "Omega 074", "Beta 059", "Epsilon 053", "Epsilon 087", "Gamma 054", "Kappa 093", "Iota 020", "Kappa 033", "Delta 056", "Gamma 056", "Omega 059", "Eta 059", "Lambada 020", "Epsilon 087", "Beta 017", "Beta 076", "Zeta 034", "Upsilon 036", "Epsilon 083", "Gamma 077", "Iota 093", "Zeta 086", "Delta 049", "Lambada 099", "Upsilon 090", "Gamma 032", "Upsilon 046", "Omicron 042", "Delta 050", "Delta 041", "Iota 076", "Sigma 066", "Delta 082", "Lambada 050", "Alpha 022", "Eta 081", "Delta 047", "Kappa 057", "Eta 024", "Sigma 048", "Iota 072", "Kappa 020", "Zeta 077", "Upsilon 072", "Zeta 022", "Theta 095", "Beta 043", "Beta 072", "Alpha 018", "Omega 057", "Epsilon 048", "Iota 034", "Epsilon 097", "Alpha 066", "Upsilon 096", "Eta 017", "Sigma 024", "Upsilon 068", "Theta 061", "Upsilon 019", "Iota 060", "Iota 035", "Beta 021", "Eta 081", "Iota 095", "Gamma 086", "Beta 060", "Iota 071", "Kappa 085", "Delta 046", "Zeta 044", "Alpha 025", "Zeta 015", "Epsilon 054", "Omega 025", "Epsilon 069", "Eta 022", "Iota 016", "Lambada 034", "Theta 055", "Kappa 041", "Sigma 040", "Lambada 040", "Beta 032", "Upsilon 079", "Lambada 084", "Iota 064", "Delta 012", "Sigma 097", "Alpha 097", "Omega 097", "Eta 076", "Gamma 029", "Delta 095", "Eta 058", "Iota 067", "Eta 015", "Beta 043", "Delta 044", "Lambada 095", "Sigma 047", "Epsilon 012", "Omicron 087", "Iota 010", "Kappa 089", "Omega 057", "Epsilon 015", "Theta 050", "Sigma 073", "Epsilon 043", "Alpha 071", "Upsilon 011", "Kappa 066", "Theta 056", "Omicron 052", "Sigma 010", "Delta 078", "Sigma 063", "Delta 035", "Epsilon 011", "Sigma 074", "Delta 073", "Lambada 021", "Epsilon 063", "Theta 087", "Theta 058", "Beta 096", "Omega 046", "Iota 091", "Epsilon 083", "Gamma 034", "Zeta 091", "Theta 090", "Epsilon 036", "Theta 060", "Delta 068", "Zeta 096", "Iota 036", "Delta 091", "Zeta 012", "Upsilon 048", "Omicron 044", "Eta 070", "Gamma 054", "Iota 025", "Alpha 089", "Omega 099", "Omicron 097", "Gamma 040", "Eta 088", "Eta 082", "Omicron 028", "Zeta 056", "Beta 020", "Iota 053", "Upsilon 083", "Lambada 062", "Iota 073", "Sigma 030", "Upsilon 051", "Sigma 043", "Zeta 075", "Upsilon 086", "Sigma 056", "Omicron 035", "Sigma 047", "Delta 073", "Kappa 072", "Sigma 070", "Iota 046", "Omega 017", "Omega 051", "Delta 087", "Omicron 039", "Delta 065", "Alpha 056", "Eta 072", "Alpha 044", "Gamma 029", "Omega 010", "Lambada 027", "Theta 031", "Omega 032", "Theta 061", "Sigma 074", "Iota 044", "Epsilon 024", "Beta 014", "Epsilon 031", "Zeta 035", "Lambada 082", "Zeta 073", "Gamma 040", "Gamma 026", "Theta 010", "Delta 043", "Sigma 036", "Gamma 066", "Zeta 067", "Iota 025", "Omicron 072", "Epsilon 072", "Sigma 093", "Lambada 051", "Iota 046", "Kappa 098", "Omicron 090", "Omicron 038", "Omega 055", "Gamma 089", "Omega 082", "Gamma 067", "Omega 036", "Zeta 072", "Omega 091", "Eta 013", "Delta 066", "Epsilon 011", "Beta 026", "Lambada 039", "Kappa 033", "Epsilon 099", "Zeta 026",  
// Galaxy 3
"Omicron 040", "Gamma 030", "Alpha 080", "Alpha 025", "Omicron 096", "Upsilon 069", "Eta 016", "Alpha 062", "Lambada 030", "Lambada 096", "Kappa 010", "Sigma 038", "Epsilon 011", "Omicron 094", "Lambada 046", "Gamma 075", "Theta 085", "Kappa 082", "Delta 061", "Eta 028", "Lambada 066", "Eta 048", "Upsilon 051", "Lambada 028", "Alpha 097", "Theta 047", "Zeta 071", "Omega 074", "Omicron 081", "Kappa 075", "Omicron 013", "Omega 078", "Iota 014", "Iota 017", "Theta 022", "Lambada 091", "Omicron 082", "Epsilon 078", "Alpha 086", "Gamma 041", "Eta 081", "Sigma 020", "Omicron 022", "Theta 027", "Upsilon 063", "Omicron 080", "Iota 064", "Delta 055", "Iota 050", "Omega 062", "Zeta 064", "Sigma 030", "Delta 099", "Epsilon 024", "Omega 069", "Zeta 022", "Theta 043", "Zeta 047", "Delta 076", "Eta 067", "Omega 066", "Theta 013", "Kappa 033", "Kappa 063", "Zeta 058", "Iota 072", "Eta 019", "Gamma 048", "Gamma 074", "Zeta 020", "Iota 068", "Delta 093", "Theta 060", "Zeta 092", "Kappa 040", "Eta 095", "Upsilon 060", "Gamma 011", "Theta 044", "Zeta 011", "Upsilon 099", "Upsilon 062", "Gamma 014", "Zeta 049", "Gamma 088", "Omega 098", "Sigma 081", "Eta 088", "Iota 038", "Alpha 054", "Zeta 095", "Kappa 026", "Alpha 021", "Lambada 014", "Sigma 040", "Eta 051", "Omicron 072", "Beta 058", "Sigma 084", "Omega 048", "Alpha 042", "Upsilon 080", "Omega 054", "Theta 042", "Omicron 043", "Theta 093", "Beta 012", "Beta 060", "Delta 073", "Epsilon 057", "Beta 050", "Eta 076", "Upsilon 021", "Omega 015", "Lambada 084", "Iota 026", "Upsilon 016", "Zeta 046", "Gamma 017", "Iota 024", "Omicron 027", "Kappa 051", "Gamma 097", "Gamma 047", "Epsilon 057", "Omega 017", "Upsilon 065", "Alpha 095", "Omicron 016", "Epsilon 098", "Zeta 035", "Eta 030", "Theta 079", "Epsilon 070", "Omega 076", "Omicron 067", "Omicron 092", "Upsilon 069", "Eta 087", "Omicron 053", "Eta 087", "Theta 025", "Kappa 054", "Gamma 092", "Omega 034", "Eta 011", "Upsilon 055", "Kappa 033", "Theta 081", "Kappa 084", "Delta 042", "Kappa 013", "Kappa 022", "Omega 031", "Kappa 092", "Beta 041", "Zeta 048", "Alpha 058", "Gamma 041", "Epsilon 030", "Theta 078", "Kappa 095", "Epsilon 088", "Delta 091", "Eta 056", "Eta 036", "Omicron 082", "Omega 046", "Kappa 050", "Omega 071", "Beta 039", "Alpha 081", "Delta 050", "Delta 021", "Omicron 064", "Omicron 057", "Omicron 051", "Kappa 030", "Lambada 048", "Beta 085", "Eta 083", "Omicron 050", "Theta 026", "Alpha 082", "Delta 033", "Eta 042", "Beta 054", "Lambada 021", "Alpha 020", "Theta 079", "Zeta 029", "Theta 043", "Iota 010", "Theta 089", "Omega 044", "Lambada 090", "Iota 058", "Zeta 040", "Eta 055", "Lambada 062", "Lambada 017", "Sigma 070", "Alpha 058", "Eta 022", "Theta 010", "Epsilon 020", "Beta 072", "Eta 089", "Theta 083", "Omicron 057", "Sigma 010", "Lambada 021", "Beta 021", "Eta 079", "Omega 067", "Kappa 074", "Eta 042", "Gamma 078", "Theta 016", "Iota 018", "Epsilon 033", "Lambada 097", "Iota 021", "Alpha 066", "Kappa 097", "Beta 028", "Sigma 025", "Alpha 065", "Lambada 057", "Gamma 071", "Kappa 071", "Omega 011", "Upsilon 038", "Delta 061", "Iota 094", "Epsilon 069", "Gamma 081", "Alpha 092", "Omicron 013", "Eta 088", "Zeta 050", "Zeta 013", "Beta 081", "Epsilon 015", "Omicron 081", "Theta 034", "Beta 015", "Beta 038", "Sigma 084", "Alpha 094", "Theta 024", "Omicron 080", "Kappa 029", "Sigma 016", "Theta 091", "Omega 015",    
// Galaxy 4
"Gamma 018", "Kappa 040", "Lambada 073", "Sigma 080", "Iota 056", "Omega 082", "Delta 098", "Kappa 084", "Delta 096", "Eta 026", "Eta 024", "Iota 069", "Eta 037", "Sigma 011", "Epsilon 038", "Kappa 030", "Delta 045", "Lambada 056", "Theta 069", "Omega 040", "Lambada 024", "Iota 093", "Alpha 090", "Omicron 023", "Zeta 053", "Kappa 014", "Omicron 010", "Alpha 043", "Omicron 075", "Epsilon 040", "Lambada 085", "Theta 012", "Lambada 034", "Omicron 051", "Zeta 015", "Alpha 083", "Zeta 074", "Gamma 068", "Omega 063", "Theta 021", "Sigma 074", "Theta 099", "Eta 094", "Omicron 023", "Eta 096", "Sigma 013", "Gamma 069", "Beta 060", "Lambada 035", "Zeta 028", "Iota 029", "Omega 064", "Kappa 036", "Upsilon 095", "Iota 079", "Epsilon 060", "Kappa 078", "Kappa 029", "Gamma 065", "Omega 014", "Sigma 078", "Gamma 041", "Iota 075", "Kappa 028", "Gamma 032", "Beta 029", "Sigma 051", "Iota 087", "Upsilon 015", "Iota 027", "Gamma 029", "Upsilon 095", "Omega 084", "Gamma 053", "Omicron 047", "Zeta 023", "Beta 011", "Iota 056", "Lambada 041", "Delta 059", "Sigma 030", "Epsilon 022", "Omega 047", "Lambada 054", "Zeta 067", "Beta 097", "Beta 016", "Epsilon 051", "Epsilon 056", "Alpha 092", "Kappa 041", "Theta 086", "Lambada 026", "Theta 035", "Epsilon 082", "Gamma 078", "Theta 075", "Theta 086", "Kappa 032", "Theta 066", "Gamma 013", "Kappa 083", "Gamma 098", "Gamma 033", "Gamma 048", "Alpha 014", "Omega 063", "Zeta 086", "Zeta 058", "Iota 036", "Gamma 093", "Kappa 096", "Theta 057", "Delta 020", "Alpha 093", "Omicron 072", "Alpha 061", "Iota 085", "Upsilon 059", "Alpha 016", "Delta 017", "Iota 062", "Zeta 071", "Upsilon 021", "Alpha 034", "Omega 045", "Upsilon 018", "Zeta 069", "Zeta 040", "Delta 028", "Gamma 052", "Omicron 032", "Omicron 031", "Omicron 053", "Kappa 017", "Omega 027", "Alpha 049", "Epsilon 016", "Beta 022", "Kappa 096", "Kappa 081", "Gamma 025", "Omega 066", "Theta 090", "Omega 046", "Lambada 022", "Iota 049", "Iota 043", "Eta 015", "Delta 074", "Upsilon 016", "Eta 057", "Theta 017", "Lambada 028", "Beta 098", "Upsilon 073", "Lambada 023", "Theta 059", "Upsilon 084", "Omicron 047", "Zeta 015", "Beta 035", "Sigma 092", "Theta 097", "Alpha 091", "Kappa 030", "Epsilon 045", "Alpha 048", "Delta 063", "Omicron 036", "Omicron 080", "Zeta 050", "Epsilon 036", "Eta 065", "Beta 078", "Epsilon 019", "Lambada 039", "Iota 096", "Delta 042", "Upsilon 067", "Beta 029", "Kappa 074", "Gamma 060", "Beta 062", "Lambada 061", "Upsilon 080", "Gamma 052", "Kappa 085", "Delta 055", "Omicron 084", "Theta 058", "Upsilon 023", "Sigma 014", "Kappa 022", "Gamma 098", "Omega 035", "Theta 052", "Upsilon 054", "Alpha 024", "Zeta 054", "Eta 092", "Sigma 022", "Lambada 025", "Zeta 058", "Theta 084", "Upsilon 063", "Delta 029", "Omega 016", "Alpha 063", "Lambada 045", "Omicron 029", "Epsilon 055", "Zeta 012", "Upsilon 056", "Omicron 031", "Omega 024", "Epsilon 040", "Sigma 045", "Theta 087", "Sigma 065", "Omega 070", "Sigma 034", "Gamma 074", "Omicron 051", "Lambada 076", "Alpha 080", "Zeta 040", "Gamma 091", "Gamma 078", "Kappa 021", "Alpha 017", "Upsilon 014", "Lambada 022", "Epsilon 082", "Omega 041", "Upsilon 012", "Omicron 095", "Omicron 085", "Sigma 067", "Omega 024", "Gamma 046", "Eta 088", "Lambada 037", "Iota 075", "Upsilon 031", "Gamma 060", "Beta 048", "Upsilon 084", "Alpha 040", "Beta 066", "Sigma 094", "Beta 085", "Kappa 031", "Kappa 090", "Eta 042", "Beta 035",    
// Galaxy 5
"Upsilon 063", "Theta 096", "Delta 048", "Lambada 071", "Alpha 055", "Theta 010", "Lambada 065", "Kappa 029", "Alpha 074", "Upsilon 074", "Zeta 052", "Eta 080", "Eta 055", "Lambada 092", "Iota 077", "Iota 061", "Gamma 035", "Omega 018", "Omicron 037", "Beta 051", "Eta 077", "Omega 065", "Eta 043", "Beta 017", "Eta 016", "Beta 071", "Eta 043", "Zeta 078", "Gamma 029", "Lambada 015", "Omega 027", "Sigma 017", "Gamma 031", "Alpha 037", "Sigma 028", "Kappa 073", "Sigma 054", "Sigma 066", "Gamma 056", "Delta 016", "Epsilon 081", "Beta 093", "Omega 096", "Lambada 097", "Sigma 050", "Upsilon 070", "Omicron 035", "Upsilon 052", "Beta 089", "Lambada 074", "Gamma 035", "Omega 034", "Iota 061", "Delta 085", "Delta 075", "Zeta 034", "Zeta 051", "Gamma 088", "Upsilon 047", "Theta 089", "Upsilon 027", "Sigma 024", "Sigma 029", "Beta 018", "Omega 012", "Omicron 015", "Delta 039", "Beta 014", "Eta 020", "Lambada 098", "Lambada 095", "Eta 034", "Kappa 054", "Eta 047", "Beta 066", "Omega 060", "Omicron 090", "Omega 085", "Alpha 077", "Zeta 064", "Lambada 045", "Lambada 044", "Beta 020", "Kappa 095", "Eta 016", "Alpha 083", "Delta 067", "Eta 077", "Beta 066", "Omega 070", "Omega 052", "Sigma 054", "Iota 072", "Kappa 089", "Delta 054", "Zeta 018", "Sigma 060", "Theta 050", "Kappa 022", "Upsilon 010", "Sigma 086", "Lambada 048", "Alpha 033", "Alpha 065", "Eta 011", "Eta 097", "Alpha 032", "Theta 031", "Gamma 076", "Zeta 032", "Sigma 096", "Delta 085", "Omicron 043", "Eta 094", "Alpha 089", "Alpha 063", "Zeta 032", "Lambada 058", "Delta 099", "Zeta 057", "Eta 029", "Sigma 077", "Gamma 043", "Iota 029", "Sigma 040", "Theta 095", "Omega 058", "Zeta 073", "Sigma 022", "Sigma 049", "Zeta 046", "Alpha 026", "Zeta 048", "Zeta 066", "Sigma 061", "Beta 041", "Zeta 092", "Theta 097", "Alpha 085", "Lambada 071", "Omicron 065", "Delta 058", "Omicron 040", "Eta 061", "Lambada 050", "Eta 060", "Upsilon 084", "Omega 026", "Beta 056", "Iota 044", "Theta 071", "Delta 082", "Alpha 011", "Alpha 041", "Upsilon 069", "Zeta 050", "Delta 074", "Sigma 077", "Lambada 032", "Eta 011", "Upsilon 093", "Eta 049", "Epsilon 052", "Delta 032", "Iota 098", "Eta 076", "Zeta 058", "Gamma 086", "Iota 037", "Eta 095", "Beta 054", "Eta 020", "Lambada 093", "Omicron 083", "Iota 052", "Upsilon 034", "Zeta 067", "Theta 040", "Omicron 016", "Delta 089", "Omega 039", "Zeta 081", "Omega 015", "Delta 021", "Alpha 026", "Iota 083", "Sigma 044", "Delta 060", "Alpha 090", "Beta 043", "Alpha 091", "Omicron 014", "Alpha 019", "Zeta 015", "Upsilon 082", "Epsilon 073", "Iota 039", "Alpha 068", "Omega 026", "Omega 063", "Iota 076", "Theta 086", "Lambada 064", "Sigma 041", "Gamma 056", "Omicron 073", "Delta 045", "Gamma 028", "Iota 066", "Kappa 015", "Sigma 074", "Lambada 067", "Upsilon 087", "Sigma 022", "Omicron 029", "Omicron 035", "Omicron 062", "Omicron 080", "Theta 082", "Theta 040", "Epsilon 080", "Gamma 023", "Omicron 041", "Upsilon 043", "Iota 086", "Upsilon 026", "Omega 098", "Sigma 038", "Alpha 081", "Eta 084", "Kappa 047", "Alpha 086", "Eta 033", "Alpha 084", "Epsilon 052", "Beta 010", "Delta 067", "Alpha 052", "Epsilon 022", "Delta 017", "Iota 085", "Sigma 099", "Upsilon 099", "Omega 021", "Zeta 060", "Theta 047", "Epsilon 019", "Upsilon 020", "Omega 089", "Delta 053", "Sigma 023", "Eta 084", "Omicron 020", "Theta 025", "Sigma 090", "Sigma 038",    
// Galaxy 6
"Kappa 017", "Sigma 079", "Theta 068", "Gamma 042", "Iota 046", "Lambada 034", "Iota 049", "Upsilon 094", "Eta 012", "Beta 081", "Omicron 060", "Upsilon 039", "Theta 095", "Beta 029", "Zeta 031", "Lambada 082", "Epsilon 039", "Theta 010", "Theta 049", "Delta 070", "Lambada 017", "Beta 051", "Delta 054", "Upsilon 016", "Omega 026", "Delta 068", "Alpha 019", "Gamma 014", "Eta 046", "Sigma 093", "Upsilon 052", "Upsilon 033", "Beta 067", "Omicron 053", "Sigma 018", "Theta 033", "Epsilon 032", "Eta 020", "Theta 067", "Epsilon 082", "Eta 032", "Sigma 048", "Kappa 055", "Gamma 076", "Gamma 014", "Omicron 030", "Delta 077", "Lambada 093", "Upsilon 026", "Upsilon 064", "Iota 028", "Upsilon 083", "Sigma 025", "Omicron 045", "Theta 081", "Alpha 023", "Delta 092", "Delta 096", "Theta 062", "Alpha 099", "Theta 060", "Delta 017", "Epsilon 042", "Omicron 020", "Theta 051", "Alpha 069", "Eta 055", "Iota 038", "Delta 085", "Upsilon 010", "Eta 070", "Delta 013", "Kappa 071", "Omicron 081", "Omicron 029", "Sigma 034", "Omega 013", "Sigma 049", "Theta 082", "Sigma 017", "Zeta 068", "Sigma 083", "Omicron 067", "Omega 071", "Alpha 026", "Alpha 076", "Upsilon 017", "Upsilon 096", "Epsilon 076", "Sigma 065", "Alpha 093", "Upsilon 064", "Delta 032", "Beta 028", "Eta 068", "Alpha 033", "Lambada 098", "Lambada 073", "Eta 083", "Iota 091", "Upsilon 083", "Gamma 041", "Omicron 087", "Theta 022", "Omega 033", "Eta 085", "Theta 040", "Epsilon 044", "Lambada 046", "Upsilon 066", "Zeta 023", "Theta 084", "Upsilon 023", "Alpha 096", "Lambada 086", "Theta 020", "Theta 010", "Theta 086", "Kappa 056", "Gamma 092", "Iota 058", "Sigma 016", "Zeta 091", "Iota 021", "Delta 018", "Omicron 089", "Omicron 091", "Beta 049", "Alpha 028", "Kappa 027", "Delta 055", "Zeta 075", "Sigma 010", "Iota 082", "Alpha 022", "Alpha 021", "Iota 033", "Delta 028", "Sigma 020", "Upsilon 077", "Lambada 012", "Alpha 063", "Upsilon 047", "Kappa 087", "Alpha 057", "Theta 077", "Eta 035", "Omega 074", "Gamma 026", "Omicron 047", "Theta 092", "Omega 080", "Beta 025", "Lambada 073", "Beta 046", "Epsilon 083", "Omega 032", "Iota 040", "Theta 025", "Theta 081", "Omicron 079", "Alpha 035", "Lambada 046", "Sigma 015", "Delta 033", "Beta 019", "Eta 036", "Omicron 014", "Beta 043", "Eta 026", "Zeta 045", "Upsilon 055", "Iota 086", "Sigma 011", "Gamma 058", "Upsilon 044", "Iota 043", "Omicron 073", "Epsilon 046", "Beta 053", "Lambada 054", "Theta 050", "Sigma 030", "Gamma 064", "Upsilon 074", "Theta 049", "Zeta 083", "Zeta 048", "Epsilon 041", "Lambada 096", "Upsilon 095", "Zeta 069", "Omega 050", "Zeta 088", "Lambada 085", "Zeta 022", "Theta 051", "Theta 024", "Omicron 037", "Omega 018", "Omicron 054", "Iota 084", "Gamma 046", "Eta 022", "Lambada 013", "Epsilon 063", "Delta 098", "Omega 093", "Sigma 026", "Iota 045", "Eta 057", "Iota 016", "Sigma 036", "Eta 016", "Epsilon 028", "Gamma 093", "Beta 018", "Beta 036", "Upsilon 037", "Epsilon 046", "Theta 070", "Epsilon 062", "Iota 035", "Kappa 057", "Omega 033", "Eta 049", "Delta 045", "Sigma 035", "Omega 063", "Kappa 011", "Alpha 095", "Iota 081", "Omega 016", "Omega 022", "Epsilon 046", "Upsilon 049", "Sigma 021", "Omega 097", "Lambada 041", "Alpha 077", "Gamma 044", "Zeta 086", "Theta 030", "Omega 048", "Kappa 041", "Beta 077", "Alpha 085", "Epsilon 081", "Delta 099", "Theta 025", "Kappa 086", "Eta 016", "Omega 079", "Lambada 080", "Epsilon 096", "Iota 032",  
// Galaxy 7
"Upsilon 089", "Omega 027", "Delta 097", "Eta 089", "Eta 072", "Kappa 075", "Omicron 053", "Lambada 053", "Zeta 046", "Omega 037", "Zeta 036", "Theta 053", "Omega 011", "Iota 059", "Upsilon 023", "Delta 089", "Beta 089", "Omicron 061", "Lambada 042", "Zeta 012", "Lambada 053", "Epsilon 099", "Eta 016", "Gamma 033", "Upsilon 047", "Theta 026", "Omicron 033", "Epsilon 010", "Omicron 022", "Theta 016", "Kappa 055", "Alpha 066", "Kappa 044", "Lambada 085", "Delta 051", "Sigma 092", "Delta 097", "Gamma 060", "Epsilon 021", "Beta 040", "Eta 090", "Alpha 013", "Sigma 037", "Omicron 098", "Iota 012", "Lambada 036", "Omicron 028", "Iota 013", "Upsilon 060", "Delta 096", "Zeta 074", "Omega 063", "Omicron 079", "Alpha 083", "Gamma 096", "Alpha 042", "Upsilon 083", "Upsilon 076", "Alpha 024", "Gamma 071", "Kappa 016", "Upsilon 057", "Lambada 023", "Kappa 023", "Sigma 061", "Alpha 087", "Eta 015", "Gamma 082", "Lambada 078", "Gamma 068", "Gamma 053", "Sigma 093", "Epsilon 024", "Delta 040", "Omicron 018", "Eta 044", "Beta 018", "Eta 055", "Iota 075", "Upsilon 066", "Zeta 028", "Eta 016", "Beta 095", "Omega 037", "Omicron 062", "Upsilon 091", "Eta 076", "Delta 035", "Epsilon 073", "Upsilon 053", "Delta 059", "Alpha 052", "Alpha 049", "Omega 068", "Iota 051", "Zeta 078", "Beta 016", "Delta 038", "Epsilon 076", "Upsilon 012", "Delta 046", "Omega 066", "Epsilon 020", "Eta 085", "Theta 063", "Alpha 087", "Epsilon 052", "Gamma 046", "Eta 021", "Iota 066", "Beta 068", "Alpha 056", "Eta 020", "Delta 098", "Eta 050", "Omicron 041", "Alpha 072", "Upsilon 094", "Epsilon 029", "Epsilon 064", "Sigma 095", "Delta 064", "Epsilon 048", "Upsilon 046", "Zeta 058", "Epsilon 020", "Epsilon 096", "Iota 034", "Zeta 053", "Epsilon 034", "Epsilon 055", "Gamma 083", "Kappa 030", "Epsilon 087", "Beta 017", "Alpha 052", "Delta 041", "Omicron 072", "Gamma 071", "Theta 039", "Omega 036", "Epsilon 061", "Lambada 030", "Epsilon 069", "Epsilon 096", "Zeta 095", "Iota 026", "Sigma 097", "Upsilon 039", "Iota 015", "Iota 094", "Alpha 028", "Iota 082", "Omega 081", "Epsilon 029", "Omega 027", "Epsilon 057", "Beta 017", "Beta 069", "Omega 016", "Sigma 041", "Sigma 029", "Sigma 052", "Kappa 022", "Zeta 084", "Delta 051", "Alpha 042", "Alpha 095", "Omicron 093", "Upsilon 068", "Epsilon 019", "Upsilon 088", "Gamma 076", "Iota 024", "Gamma 090", "Delta 099", "Eta 092", "Kappa 041", "Lambada 064", "Eta 074", "Eta 095", "Upsilon 082", "Omicron 094", "Omega 047", "Lambada 085", "Eta 053", "Zeta 029", "Lambada 064", "Kappa 020", "Delta 020", "Omicron 089", "Zeta 064", "Upsilon 070", "Omega 071", "Omicron 077", "Beta 083", "Theta 073", "Theta 020", "Upsilon 083", "Beta 037", "Lambada 089", "Eta 018", "Beta 083", "Omicron 040", "Delta 028", "Gamma 018", "Epsilon 026", "Epsilon 094", "Iota 097", "Alpha 050", "Epsilon 073", "Sigma 025", "Epsilon 013", "Sigma 033", "Epsilon 046", "Theta 010", "Delta 078", "Omicron 058", "Kappa 066", "Omicron 034", "Alpha 030", "Kappa 053", "Gamma 088", "Kappa 069", "Eta 048", "Gamma 090", "Omega 099", "Kappa 067", "Epsilon 036", "Eta 099", "Upsilon 043", "Eta 061", "Omicron 075", "Beta 059", "Upsilon 057", "Omega 070", "Lambada 054", "Eta 022", "Lambada 047", "Beta 070", "Beta 020", "Iota 083", "Omicron 089", "Kappa 026", "Beta 041", "Epsilon 084", "Gamma 090", "Upsilon 019", "Sigma 075", "Theta 094", "Gamma 030", "Alpha 081", "Zeta 036", "Upsilon 089", "Upsilon 085", "Omicron 078",    
// Galaxy 8
"Upsilon 064", "Gamma 051", "Upsilon 027", "Upsilon 066", "Zeta 034", "Lambada 029", "Eta 025", "Iota 091", "Zeta 059", "Eta 051", "Eta 035", "Omega 096", "Epsilon 012", "Beta 041", "Upsilon 096", "Iota 036", "Epsilon 063", "Eta 057", "Eta 046", "Theta 012", "Beta 086", "Upsilon 039", "Gamma 013", "Kappa 065", "Kappa 086", "Eta 074", "Zeta 044", "Omicron 072", "Zeta 012", "Omega 019", "Theta 015", "Epsilon 066", "Zeta 052", "Delta 044", "Omicron 080", "Epsilon 010", "Kappa 043", "Lambada 071", "Sigma 047", "Iota 027", "Omega 055", "Delta 035", "Beta 027", "Omicron 036", "Omicron 042", "Alpha 046", "Omicron 033", "Omega 067", "Theta 085", "Kappa 011", "Gamma 017", "Eta 085", "Omicron 052", "Theta 065", "Alpha 079", "Delta 063", "Delta 011", "Upsilon 025", "Gamma 018", "Zeta 015", "Upsilon 023", "Omicron 010", "Epsilon 053", "Gamma 012", "Delta 065", "Iota 073", "Lambada 051", "Epsilon 085", "Alpha 088", "Gamma 043", "Delta 020", "Omicron 043", "Delta 011", "Lambada 094", "Omicron 070", "Omega 045", "Omega 022", "Upsilon 066", "Theta 038", "Lambada 070", "Alpha 092", "Kappa 030", "Iota 092", "Zeta 058", "Zeta 013", "Upsilon 098", "Delta 054", "Alpha 083", "Eta 085", "Omicron 026", "Theta 046", "Zeta 027", "Lambada 011", "Zeta 032", "Iota 064", "Delta 024", "Beta 038", "Gamma 062", "Eta 091", "Delta 058", "Alpha 086", "Delta 023", "Beta 033", "Gamma 013", "Epsilon 036", "Epsilon 054", "Delta 016", "Lambada 062", "Sigma 045", "Epsilon 069", "Epsilon 020", "Alpha 022", "Delta 014", "Omicron 042", "Omega 055", "Delta 073", "Eta 028", "Omicron 022", "Eta 079", "Epsilon 026", "Alpha 065", "Theta 091", "Zeta 053", "Epsilon 074", "Lambada 084", "Epsilon 017", "Iota 018", "Omicron 062", "Sigma 013", "Zeta 058", "Lambada 055", "Delta 050", "Sigma 061", "Gamma 049", "Eta 054", "Zeta 056", "Epsilon 087", "Upsilon 022", "Omega 030", "Epsilon 010", "Upsilon 050", "Lambada 079", "Upsilon 021", "Omicron 077", "Eta 042", "Beta 013", "Sigma 013", "Iota 023", "Alpha 065", "Sigma 053", "Omicron 086", "Lambada 011", "Upsilon 061", "Epsilon 016", "Omega 013", "Omicron 041", "Alpha 091", "Lambada 040", "Omega 016", "Omega 043", "Upsilon 053", "Upsilon 068", "Beta 082", "Theta 013", "Theta 033", "Beta 035", "Sigma 042", "Theta 037", "Gamma 037", "Gamma 094", "Upsilon 051", "Omega 080", "Omicron 042", "Eta 014", "Delta 011", "Omega 020", "Alpha 074", "Beta 083", "Delta 033", "Eta 042", "Beta 054", "Omega 092", "Gamma 067", "Beta 017", "Alpha 067", "Theta 023", "Sigma 090", "Zeta 055", "Iota 092", "Theta 029", "Kappa 089", "Upsilon 026", "Omega 033", "Lambada 070", "Kappa 032", "Omicron 098", "Alpha 015", "Omega 036", "Eta 014", "Eta 083", "Epsilon 061", "Iota 054", "Lambada 019", "Delta 029", "Sigma 057", "Kappa 011", "Gamma 096", "Gamma 043", "Epsilon 040", "Sigma 061", "Beta 022", "Omicron 020", "Iota 017", "Zeta 087", "Eta 038", "Gamma 094", "Sigma 098", "Beta 053", "Omicron 013", "Zeta 020", "Zeta 051", "Epsilon 063", "Epsilon 057", "Epsilon 054", "Beta 077", "Alpha 026", "Iota 022", "Delta 052", "Beta 016", "Delta 043", "Epsilon 098", "Eta 020", "Upsilon 047", "Sigma 010", "Delta 063", "Beta 092", "Upsilon 074", "Omicron 035", "Sigma 085", "Kappa 084", "Beta 044", "Omega 063", "Theta 097", "Epsilon 085", "Omicron 076", "Theta 053", "Lambada 095", "Beta 050", "Eta 057", "Omega 047", "Omicron 024", "Zeta 065", "Kappa 054", "Gamma 036", "Zeta 051", "Delta 044",    
//The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Epsilon 101"];

// Name Arrays for Fuel Stations - 2nd Station in a given system to spawn. (Number of Names in Array: 2,048)
// This uses the large counted pool method as above.
this.fuelpool2 = [
// Galaxy 1
"Delos 079", "Arcadia 079", "Ionia 025", "Melos 085", "Thera 058", "Arcadia 091", "Laconia 054", "Thessaly 027", "Thera 039", "Corinth 076", "Melos 088", "Thera 083", "Naxos 025", "Megara 081", "Achaea 043", "Corinth 023", "Delos 078", "Melos 051", "Thera 024", "Delos 069", "Megara 050", "Arcadia 013", "Thessaly 038", "Delos 017", "Thera 047", "Thera 088", "Melos 049", "Naxos 074", "Laconia 013", "Laconia 087", "Paros 061", "Thessaly 035", "Megara 056", "Arcadia 077", "Arcadia 062", "Corinth 092", "Megara 056", "Arcadia 084", "Ionia 049", "Ionia 049", "Thera 021", "Achaea 031", "Ithaca 075", "Thera 049", "Corinth 079", "Laconia 095", "Thera 042", "Melos 090", "Laconia 070", "Sicyon 016", "Thessaly 094", "Melos 065", "Achaea 047", "Corinth 056", "Naxos 040", "Ionia 097", "Laconia 062", "Megara 013", "Thera 014", "Sicyon 031", "Megara 069", "Paros 049", "Delos 096", "Corinth 062", "Melos 057", "Sicyon 019", "Achaea 094", "Sicyon 035", "Arcadia 089", "Sicyon 056", "Ionia 015", "Ithaca 086", "Sicyon 044", "Ionia 094", "Thessaly 095", "Delos 080", "Paros 010", "Ionia 052", "Arcadia 073", "Achaea 041", "Laconia 073", "Achaea 041", "Thessaly 060", "Naxos 036", "Tiryns 013", "Ithaca 068", "Delos 016", "Thessaly 028", "Delos 069", "Corinth 035", "Corinth 054", "Paros 051", "Thera 030", "Ionia 041", "Melos 088", "Laconia 094", "Sicyon 044", "Paros 037", "Laconia 059", "Delos 099", "Naxos 039", "Arcadia 033", "Sicyon 015", "Laconia 072", "Laconia 011", "Achaea 039", "Ithaca 073", "Megara 028", "Arcadia 020", "Paros 072", "Delos 084", "Naxos 010", "Ionia 037", "Tiryns 075", "Megara 087", "Achaea 093", "Thera 066", "Megara 075", "Tiryns 034", "Achaea 032", "Laconia 058", "Megara 076", "Melos 065", "Arcadia 028", "Corinth 032", "Ionia 037", "Paros 024", "Tiryns 097", "Ithaca 095", "Thessaly 029", "Naxos 074", "Achaea 081", "Corinth 040", "Arcadia 056", "Megara 092", "Delos 051", "Achaea 076", "Ionia 023", "Tiryns 017", "Paros 032", "Laconia 022", "Megara 085", "Thessaly 063", "Paros 077", "Naxos 095", "Arcadia 067", "Sicyon 010", "Ithaca 056", "Arcadia 015", "Delos 030", "Megara 020", "Thera 072", "Ionia 035", "Naxos 052", "Delos 010", "Laconia 074", "Tiryns 091", "Arcadia 068", "Arcadia 073", "Ithaca 037", "Naxos 083", "Ithaca 092", "Thessaly 093", "Melos 073", "Thessaly 042", "Melos 016", "Corinth 089", "Achaea 072", "Arcadia 035", "Arcadia 011", "Thessaly 023", "Achaea 092", "Achaea 036", "Thessaly 040", "Thera 026", "Thera 081", "Thessaly 065", "Ionia 026", "Ithaca 020", "Achaea 060", "Arcadia 090", "Thera 061", "Paros 091", "Achaea 030", "Thessaly 037", "Sicyon 021", "Naxos 014", "Achaea 093", "Thera 018", "Sicyon 088", "Ionia 091", "Naxos 061", "Tiryns 078", "Naxos 046", "Naxos 018", "Naxos 031", "Sicyon 017", "Laconia 052", "Achaea 070", "Ionia 055", "Tiryns 074", "Megara 050", "Naxos 076", "Arcadia 056", "Delos 036", "Corinth 077", "Laconia 076", "Ithaca 096", "Naxos 037", "Melos 061", "Laconia 069", "Thera 081", "Melos 094", "Thessaly 088", "Arcadia 011", "Paros 038", "Achaea 074", "Paros 038", "Corinth 095", "Melos 057", "Arcadia 077", "Melos 063", "Thessaly 029", "Naxos 027", "Naxos 099", "Melos 089", "Melos 094", "Achaea 078", "Thessaly 081", "Arcadia 076", "Melos 087", "Thera 018", "Tiryns 099", "Thessaly 064", "Delos 015", "Melos 073", "Thera 082", "Achaea 010", "Corinth 061", "Sicyon 083", "Corinth 077", "Melos 094", "Ionia 070", "Ionia 047", "Melos 098", "Delos 085", "Achaea 016", "Paros 037", "Delos 016", "Tiryns 014", "Ionia 087", "Ithaca 028", "Achaea 011", "Naxos 026", "Corinth 050", "Naxos 064",    
// Galaxy 2
"Naxos 039", "Arcadia 061", "Ionia 057", "Thera 022", "Delos 016", "Achaea 095", "Ionia 059", "Achaea 091", "Naxos 055", "Ithaca 068", "Paros 095", "Corinth 036", "Laconia 054", "Ithaca 051", "Tiryns 069", "Achaea 036", "Tiryns 068", "Tiryns 080", "Tiryns 081", "Corinth 024", "Achaea 067", "Ithaca 069", "Thessaly 066", "Paros 046", "Delos 080", "Delos 015", "Arcadia 023", "Megara 065", "Naxos 052", "Ionia 015", "Corinth 030", "Megara 085", "Ithaca 086", "Arcadia 073", "Ithaca 090", "Naxos 046", "Thera 075", "Arcadia 050", "Paros 034", "Laconia 029", "Achaea 015", "Ionia 058", "Tiryns 035", "Melos 015", "Sicyon 069", "Megara 070", "Sicyon 017", "Laconia 018", "Delos 043", "Laconia 087", "Naxos 057", "Ionia 013", "Sicyon 035", "Thera 026", "Ithaca 033", "Thera 085", "Laconia 072", "Ithaca 064", "Ithaca 091", "Arcadia 090", "Sicyon 012", "Megara 093", "Ionia 053", "Thera 013", "Achaea 078", "Corinth 073", "Ithaca 080", "Tiryns 057", "Thera 067", "Achaea 064", "Ithaca 032", "Paros 052", "Paros 027", "Melos 061", "Naxos 055", "Corinth 071", "Melos 091", "Thessaly 064", "Achaea 031", "Thera 059", "Laconia 079", "Thessaly 023", "Ithaca 079", "Naxos 070", "Delos 015", "Achaea 071", "Ithaca 067", "Megara 078", "Corinth 071", "Achaea 019", "Thessaly 015", "Arcadia 024", "Ionia 019", "Tiryns 013", "Delos 076", "Thera 033", "Delos 093", "Tiryns 065", "Thessaly 063", "Sicyon 044", "Ithaca 026", "Arcadia 078", "Melos 053", "Melos 069", "Delos 049", "Melos 018", "Naxos 011", "Arcadia 093", "Corinth 058", "Thessaly 093", "Megara 033", "Ionia 070", "Sicyon 039", "Melos 089", "Arcadia 047", "Laconia 028", "Corinth 052", "Naxos 096", "Laconia 068", "Corinth 034", "Paros 051", "Thera 095", "Ithaca 098", "Ithaca 070", "Megara 092", "Paros 080", "Laconia 080", "Naxos 021", "Paros 018", "Ithaca 026", "Achaea 015", "Paros 058", "Melos 091", "Naxos 020", "Ionia 076", "Naxos 051", "Paros 046", "Paros 091", "Ithaca 072", "Delos 073", "Naxos 096", "Ithaca 046", "Corinth 082", "Arcadia 034", "Tiryns 090", "Laconia 042", "Thessaly 038", "Naxos 046", "Thessaly 088", "Ithaca 010", "Paros 072", "Achaea 091", "Laconia 071", "Arcadia 094", "Tiryns 052", "Sicyon 016", "Thessaly 045", "Sicyon 013", "Arcadia 099", "Achaea 065", "Thera 091", "Thessaly 093", "Corinth 062", "Paros 049", "Naxos 079", "Thessaly 016", "Sicyon 073", "Naxos 087", "Sicyon 029", "Naxos 022", "Megara 078", "Sicyon 080", "Melos 045", "Sicyon 091", "Arcadia 014", "Laconia 098", "Paros 012", "Ithaca 086", "Ithaca 034", "Paros 045", "Paros 037", "Arcadia 044", "Delos 090", "Melos 010", "Corinth 093", "Tiryns 038", "Ithaca 069", "Ionia 067", "Laconia 067", "Megara 066", "Thessaly 026", "Achaea 085", "Melos 087", "Achaea 063", "Arcadia 098", "Laconia 059", "Thera 068", "Thessaly 032", "Paros 023", "Arcadia 029", "Corinth 010", "Tiryns 036", "Thera 042", "Ionia 028", "Laconia 062", "Corinth 053", "Melos 097", "Laconia 034", "Melos 015", "Delos 068", "Ionia 049", "Melos 048", "Naxos 043", "Ionia 032", "Achaea 075", "Naxos 076", "Tiryns 068", "Arcadia 046", "Naxos 083", "Thessaly 059", "Arcadia 091", "Ionia 063", "Ionia 074", "Naxos 065", "Thera 042", "Tiryns 081", "Sicyon 032", "Melos 054", "Melos 042", "Corinth 054", "Ithaca 051", "Delos 019", "Melos 091", "Ithaca 099", "Thessaly 089", "Laconia 058", "Delos 072", "Tiryns 099", "Ithaca 090", "Achaea 026", "Tiryns 028", "Sicyon 033", "Arcadia 053", "Megara 022", "Thera 018", "Megara 027", "Naxos 065", "Sicyon 037", "Corinth 064", "Megara 050", "Arcadia 026", "Paros 018", "Delos 012", "Achaea 014", "Ionia 038", "Thessaly 032",    
// Galaxy 3
"Sicyon 052", "Ionia 074", "Corinth 085", "Delos 010", "Ithaca 036", "Arcadia 059", "Paros 029", "Sicyon 074", "Delos 084", "Arcadia 032", "Melos 093", "Thessaly 012", "Tiryns 023", "Thera 073", "Ionia 026", "Delos 028", "Arcadia 065", "Arcadia 038", "Tiryns 030", "Thera 024", "Naxos 089", "Ionia 018", "Ionia 044", "Paros 054", "Thera 026", "Laconia 075", "Corinth 073", "Ithaca 046", "Ionia 087", "Tiryns 012", "Naxos 079", "Achaea 057", "Megara 062", "Thessaly 069", "Delos 060", "Sicyon 076", "Sicyon 061", "Thera 023", "Laconia 068", "Megara 097", "Ionia 030", "Thera 097", "Megara 070", "Sicyon 076", "Arcadia 058", "Delos 097", "Sicyon 086", "Thessaly 063", "Naxos 089", "Ionia 065", "Naxos 014", "Arcadia 038", "Melos 033", "Laconia 057", "Naxos 049", "Ithaca 099", "Paros 036", "Tiryns 093", "Laconia 099", "Thera 084", "Arcadia 056", "Melos 057", "Thera 089", "Ithaca 051", "Sicyon 071", "Ithaca 085", "Sicyon 073", "Thessaly 010", "Sicyon 056", "Corinth 057", "Thessaly 058", "Achaea 067", "Melos 092", "Laconia 077", "Arcadia 051", "Naxos 040", "Ithaca 061", "Laconia 032", "Tiryns 089", "Thera 023", "Thera 055", "Ithaca 092", "Thera 045", "Melos 070", "Thessaly 043", "Sicyon 013", "Melos 062", "Ithaca 026", "Tiryns 054", "Sicyon 092", "Tiryns 058", "Arcadia 027", "Megara 059", "Ithaca 037", "Naxos 074", "Laconia 020", "Naxos 098", "Melos 043", "Paros 095", "Achaea 050", "Sicyon 078", "Delos 098", "Melos 081", "Ithaca 038", "Arcadia 037", "Megara 086", "Thessaly 040", "Laconia 076", "Tiryns 080", "Corinth 077", "Sicyon 025", "Naxos 077", "Naxos 064", "Tiryns 047", "Ithaca 074", "Sicyon 072", "Thessaly 035", "Naxos 046", "Achaea 037", "Thera 053", "Thessaly 060", "Naxos 034", "Laconia 078", "Laconia 063", "Ionia 079", "Sicyon 084", "Achaea 048", "Thessaly 098", "Paros 053", "Tiryns 033", "Tiryns 086", "Arcadia 093", "Tiryns 097", "Arcadia 054", "Corinth 067", "Thera 076", "Sicyon 092", "Corinth 044", "Thera 043", "Arcadia 069", "Ionia 086", "Ithaca 058", "Tiryns 083", "Naxos 013", "Ionia 085", "Corinth 030", "Ionia 012", "Thessaly 064", "Ionia 058", "Laconia 049", "Arcadia 065", "Melos 080", "Thera 085", "Thessaly 061", "Achaea 056", "Melos 027", "Laconia 065", "Megara 022", "Ithaca 022", "Achaea 046", "Naxos 022", "Corinth 077", "Laconia 015", "Arcadia 018", "Ithaca 033", "Thera 086", "Ithaca 041", "Sicyon 060", "Laconia 064", "Melos 027", "Ithaca 031", "Arcadia 095", "Sicyon 016", "Arcadia 051", "Megara 069", "Megara 063", "Paros 041", "Paros 018", "Thessaly 031", "Achaea 026", "Megara 086", "Laconia 071", "Achaea 073", "Achaea 058", "Arcadia 037", "Thera 081", "Laconia 052", "Delos 064", "Corinth 065", "Tiryns 020", "Sicyon 042", "Ionia 075", "Thera 085", "Ithaca 034", "Thessaly 099", "Sicyon 053", "Megara 054", "Achaea 099", "Melos 010", "Ionia 015", "Megara 053", "Laconia 085", "Arcadia 032", "Thera 099", "Ionia 016", "Ionia 091", "Thessaly 020", "Arcadia 011", "Thera 078", "Thera 029", "Ithaca 058", "Achaea 038", "Arcadia 050", "Ionia 066", "Achaea 054", "Megara 050", "Arcadia 044", "Ionia 010", "Melos 080", "Arcadia 058", "Paros 069", "Ithaca 069", "Delos 032", "Corinth 099", "Corinth 082", "Naxos 062", "Paros 038", "Arcadia 089", "Megara 093", "Delos 055", "Paros 065", "Thera 055", "Delos 027", "Achaea 086", "Thera 052", "Arcadia 095", "Laconia 053", "Laconia 023", "Ithaca 052", "Thessaly 084", "Thera 079", "Achaea 039", "Ithaca 035", "Ithaca 095", "Achaea 022", "Naxos 060", "Tiryns 041", "Paros 039", "Thera 050", "Tiryns 088", "Megara 043", "Ionia 073", "Thera 048", "Arcadia 078", "Ithaca 037", "Ithaca 016",    
// Galaxy 4
"Achaea 021", "Corinth 087", "Achaea 053", "Tiryns 025", "Thera 029", "Naxos 048", "Naxos 092", "Laconia 023", "Ithaca 094", "Laconia 088", "Naxos 079", "Arcadia 046", "Ionia 085", "Megara 054", "Thessaly 048", "Melos 056", "Ithaca 016", "Megara 032", "Delos 087", "Naxos 013", "Arcadia 017", "Thessaly 093", "Corinth 035", "Megara 071", "Megara 010", "Corinth 061", "Naxos 085", "Paros 049", "Ithaca 010", "Ionia 030", "Ithaca 067", "Delos 065", "Thessaly 036", "Corinth 094", "Megara 018", "Paros 028", "Achaea 094", "Thera 098", "Paros 067", "Arcadia 067", "Corinth 025", "Ionia 078", "Paros 046", "Paros 078", "Delos 080", "Naxos 042", "Thessaly 086", "Arcadia 026", "Corinth 042", "Tiryns 010", "Ithaca 064", "Achaea 055", "Tiryns 036", "Melos 098", "Delos 054", "Thessaly 038", "Ithaca 072", "Ionia 091", "Laconia 039", "Tiryns 080", "Melos 092", "Thera 055", "Naxos 016", "Ionia 060", "Laconia 050", "Paros 037", "Tiryns 095", "Sicyon 028", "Corinth 037", "Corinth 048", "Achaea 090", "Thessaly 047", "Melos 045", "Delos 059", "Ithaca 019", "Sicyon 076", "Melos 012", "Corinth 076", "Arcadia 080", "Corinth 062", "Tiryns 075", "Arcadia 071", "Achaea 077", "Ionia 081", "Achaea 088", "Ionia 088", "Tiryns 038", "Melos 096", "Achaea 039", "Delos 052", "Ionia 069", "Paros 048", "Megara 022", "Achaea 076", "Megara 027", "Achaea 064", "Achaea 084", "Melos 042", "Sicyon 039", "Corinth 029", "Paros 044", "Thessaly 069", "Thessaly 020", "Thera 016", "Corinth 033", "Thera 075", "Achaea 062", "Achaea 071", "Thessaly 092", "Ionia 063", "Ionia 095", "Delos 083", "Thessaly 084", "Thessaly 045", "Thera 046", "Megara 097", "Thessaly 040", "Corinth 049", "Achaea 060", "Laconia 090", "Thera 018", "Megara 037", "Corinth 062", "Melos 076", "Corinth 082", "Paros 063", "Thessaly 037", "Ionia 079", "Melos 032", "Arcadia 024", "Ionia 032", "Arcadia 059", "Ithaca 041", "Megara 090", "Paros 039", "Ithaca 015", "Sicyon 031", "Sicyon 084", "Sicyon 036", "Achaea 074", "Ithaca 033", "Thessaly 060", "Ionia 080", "Tiryns 014", "Corinth 059", "Paros 056", "Ionia 051", "Laconia 032", "Thera 085", "Corinth 059", "Naxos 040", "Ithaca 055", "Thera 017", "Thera 021", "Ithaca 054", "Arcadia 033", "Thessaly 073", "Melos 017", "Megara 059", "Naxos 013", "Ithaca 017", "Sicyon 079", "Naxos 063", "Achaea 031", "Thessaly 041", "Laconia 056", "Achaea 085", "Melos 086", "Thera 081", "Laconia 039", "Naxos 083", "Naxos 032", "Laconia 047", "Sicyon 077", "Arcadia 073", "Naxos 073", "Arcadia 014", "Thera 057", "Thessaly 062", "Naxos 024", "Corinth 030", "Naxos 038", "Laconia 024", "Thessaly 042", "Laconia 041", "Achaea 070", "Ithaca 063", "Delos 019", "Megara 011", "Tiryns 078", "Arcadia 027", "Paros 043", "Megara 058", "Paros 027", "Sicyon 033", "Laconia 082", "Naxos 024", "Naxos 023", "Naxos 085", "Corinth 096", "Tiryns 014", "Megara 090", "Delos 084", "Delos 047", "Thera 017", "Thera 064", "Delos 087", "Thessaly 026", "Thessaly 015", "Tiryns 010", "Ionia 021", "Corinth 012", "Arcadia 054", "Paros 018", "Naxos 032", "Thera 072", "Thera 050", "Ithaca 081", "Corinth 094", "Ionia 033", "Ithaca 012", "Megara 074", "Sicyon 033", "Tiryns 051", "Sicyon 079", "Thessaly 092", "Thessaly 092", "Paros 085", "Megara 065", "Megara 080", "Arcadia 021", "Naxos 086", "Sicyon 072", "Achaea 015", "Ionia 058", "Thera 053", "Ithaca 060", "Ithaca 099", "Arcadia 090", "Melos 073", "Ionia 049", "Sicyon 051", "Megara 017", "Melos 032", "Ionia 049", "Ionia 038", "Paros 012", "Corinth 012", "Laconia 068", "Ionia 091", "Naxos 061", "Achaea 063", "Laconia 053", "Corinth 056", "Achaea 092", "Ithaca 025",    
// Galaxy 5
"Achaea 057", "Thera 094", "Paros 024", "Tiryns 066", "Laconia 036", "Corinth 056", "Naxos 093", "Thera 034", "Megara 030", "Paros 089", "Thera 057", "Paros 041", "Corinth 062", "Megara 029", "Achaea 089", "Tiryns 039", "Ithaca 033", "Ithaca 075", "Paros 048", "Naxos 098", "Arcadia 047", "Arcadia 058", "Ionia 045", "Naxos 068", "Melos 083", "Thera 023", "Thera 021", "Melos 044", "Megara 029", "Ithaca 065", "Ithaca 040", "Tiryns 094", "Naxos 019", "Laconia 037", "Corinth 032", "Megara 098", "Corinth 090", "Megara 088", "Arcadia 049", "Ithaca 025", "Achaea 058", "Thera 095", "Delos 078", "Melos 055", "Laconia 071", "Thera 090", "Corinth 022", "Achaea 064", "Laconia 029", "Corinth 044", "Laconia 028", "Ithaca 024", "Tiryns 091", "Naxos 087", "Paros 051", "Paros 036", "Melos 061", "Arcadia 087", "Sicyon 051", "Megara 030", "Naxos 092", "Megara 016", "Corinth 045", "Tiryns 031", "Tiryns 079", "Sicyon 023", "Thessaly 076", "Laconia 074", "Sicyon 062", "Thera 087", "Laconia 022", "Naxos 045", "Thera 030", "Naxos 074", "Thera 081", "Delos 090", "Thera 077", "Laconia 040", "Ithaca 051", "Sicyon 087", "Ionia 070", "Sicyon 055", "Ionia 050", "Arcadia 010", "Arcadia 052", "Corinth 099", "Paros 029", "Paros 091", "Achaea 024", "Arcadia 058", "Naxos 045", "Megara 015", "Thera 014", "Laconia 085", "Ithaca 031", "Thessaly 098", "Paros 040", "Ionia 047", "Thera 048", "Paros 043", "Paros 078", "Ithaca 027", "Sicyon 013", "Achaea 042", "Achaea 086", "Megara 040", "Thera 099", "Ionia 013", "Tiryns 088", "Megara 067", "Ithaca 085", "Achaea 027", "Paros 089", "Ionia 050", "Laconia 015", "Arcadia 092", "Sicyon 017", "Achaea 047", "Naxos 017", "Thera 047", "Melos 011", "Naxos 082", "Paros 026", "Sicyon 023", "Naxos 060", "Achaea 067", "Delos 020", "Ithaca 073", "Sicyon 048", "Paros 084", "Sicyon 097", "Arcadia 018", "Achaea 044", "Paros 048", "Thessaly 092", "Paros 014", "Naxos 053", "Ithaca 011", "Naxos 015", "Thessaly 051", "Naxos 024", "Sicyon 056", "Corinth 085", "Ionia 088", "Corinth 082", "Ionia 048", "Thessaly 093", "Corinth 062", "Paros 049", "Ionia 013", "Ionia 056", "Arcadia 016", "Achaea 079", "Sicyon 039", "Melos 061", "Megara 031", "Naxos 037", "Megara 071", "Melos 094", "Achaea 010", "Delos 076", "Sicyon 021", "Paros 035", "Achaea 063", "Arcadia 098", "Arcadia 080", "Thessaly 021", "Ithaca 079", "Tiryns 068", "Laconia 060", "Thera 025", "Ithaca 036", "Ithaca 014", "Paros 076", "Tiryns 063", "Thera 057", "Arcadia 049", "Delos 098", "Laconia 087", "Ithaca 099", "Ithaca 013", "Naxos 071", "Arcadia 058", "Melos 016", "Delos 035", "Melos 013", "Sicyon 099", "Melos 053", "Sicyon 056", "Megara 088", "Ithaca 049", "Corinth 075", "Melos 024", "Sicyon 017", "Paros 055", "Paros 015", "Thessaly 038", "Delos 078", "Thessaly 036", "Megara 019", "Thera 076", "Ionia 079", "Sicyon 021", "Naxos 025", "Naxos 067", "Megara 083", "Ithaca 092", "Laconia 027", "Megara 079", "Paros 032", "Ithaca 087", "Thera 053", "Arcadia 050", "Thera 025", "Laconia 085", "Ionia 023", "Melos 073", "Corinth 085", "Achaea 054", "Melos 016", "Thera 026", "Achaea 045", "Thessaly 021", "Laconia 062", "Corinth 024", "Thessaly 062", "Naxos 027", "Tiryns 092", "Delos 092", "Corinth 022", "Achaea 099", "Achaea 076", "Thessaly 017", "Ionia 056", "Thera 069", "Ithaca 038", "Laconia 052", "Delos 060", "Thera 095", "Ionia 074", "Delos 069", "Sicyon 089", "Tiryns 053", "Sicyon 043", "Arcadia 023", "Megara 058", "Thera 078", "Ionia 079", "Megara 092", "Ionia 011", "Thera 035", "Ionia 037", "Achaea 098", "Sicyon 030", "Megara 021", "Megara 057",    
// Galaxy 6
"Thera 046", "Megara 054", "Laconia 045", "Arcadia 070", "Delos 061", "Thera 038", "Ionia 013", "Naxos 073", "Achaea 058", "Ionia 046", "Ionia 081", "Melos 085", "Ionia 015", "Tiryns 076", "Naxos 065", "Melos 064", "Thessaly 015", "Corinth 033", "Sicyon 095", "Melos 082", "Melos 036", "Delos 024", "Delos 071", "Corinth 032", "Melos 063", "Arcadia 028", "Melos 066", "Thessaly 047", "Melos 059", "Sicyon 048", "Naxos 022", "Megara 089", "Laconia 060", "Corinth 053", "Ithaca 063", "Ithaca 069", "Thessaly 085", "Melos 089", "Ithaca 064", "Paros 099", "Laconia 052", "Delos 064", "Melos 083", "Laconia 039", "Melos 032", "Delos 026", "Ithaca 015", "Achaea 023", "Megara 078", "Achaea 079", "Naxos 093", "Thera 093", "Paros 090", "Arcadia 092", "Sicyon 043", "Thera 044", "Sicyon 074", "Ithaca 051", "Tiryns 087", "Naxos 068", "Thera 074", "Ionia 057", "Tiryns 096", "Laconia 063", "Ionia 057", "Achaea 067", "Thera 053", "Thessaly 016", "Ionia 030", "Ionia 012", "Corinth 045", "Ithaca 077", "Megara 014", "Thera 052", "Thessaly 052", "Ithaca 073", "Laconia 097", "Corinth 082", "Thessaly 072", "Corinth 030", "Thera 052", "Delos 016", "Achaea 060", "Achaea 042", "Delos 073", "Ithaca 066", "Ithaca 098", "Naxos 016", "Ithaca 016", "Megara 061", "Paros 095", "Ithaca 040", "Ionia 055", "Arcadia 042", "Ithaca 037", "Thessaly 044", "Achaea 074", "Ionia 055", "Tiryns 038", "Ithaca 054", "Thera 071", "Megara 069", "Megara 051", "Tiryns 076", "Delos 083", "Thessaly 059", "Achaea 054", "Megara 092", "Corinth 053", "Achaea 068", "Tiryns 061", "Delos 028", "Achaea 084", "Tiryns 092", "Melos 099", "Paros 082", "Melos 031", "Ithaca 048", "Corinth 055", "Laconia 015", "Thessaly 045", "Tiryns 039", "Paros 082", "Melos 042", "Delos 014", "Arcadia 026", "Delos 014", "Laconia 025", "Delos 027", "Delos 098", "Thera 031", "Thessaly 076", "Melos 037", "Delos 056", "Naxos 023", "Naxos 097", "Corinth 021", "Paros 054", "Laconia 086", "Thessaly 046", "Melos 074", "Tiryns 079", "Delos 052", "Delos 018", "Sicyon 043", "Arcadia 073", "Arcadia 083", "Naxos 050", "Ionia 079", "Megara 095", "Thessaly 070", "Achaea 064", "Laconia 030", "Megara 097", "Naxos 010", "Arcadia 055", "Tiryns 012", "Delos 026", "Paros 088", "Thera 065", "Delos 065", "Corinth 096", "Corinth 060", "Sicyon 020", "Ionia 014", "Tiryns 022", "Melos 089", "Sicyon 060", "Arcadia 057", "Megara 010", "Laconia 063", "Corinth 056", "Achaea 078", "Ionia 061", "Paros 027", "Melos 026", "Laconia 032", "Paros 063", "Tiryns 076", "Corinth 025", "Ionia 048", "Sicyon 062", "Megara 022", "Ithaca 024", "Tiryns 060", "Laconia 047", "Thessaly 071", "Megara 013", "Tiryns 029", "Arcadia 084", "Paros 058", "Naxos 062", "Laconia 094", "Delos 035", "Sicyon 026", "Megara 011", "Achaea 017", "Thessaly 029", "Ithaca 036", "Laconia 083", "Achaea 053", "Ionia 054", "Laconia 022", "Delos 099", "Ionia 031", "Megara 055", "Tiryns 033", "Thessaly 047", "Sicyon 076", "Ithaca 027", "Arcadia 097", "Arcadia 010", "Thessaly 014", "Megara 098", "Delos 097", "Thera 042", "Ionia 054", "Thera 033", "Delos 023", "Achaea 039", "Thessaly 026", "Achaea 060", "Thessaly 072", "Arcadia 039", "Sicyon 099", "Laconia 024", "Thessaly 059", "Ionia 032", "Arcadia 044", "Achaea 084", "Arcadia 065", "Thera 037", "Corinth 084", "Ithaca 037", "Ithaca 044", "Ionia 057", "Arcadia 033", "Arcadia 089", "Ionia 015", "Thera 048", "Sicyon 069", "Melos 030", "Ithaca 051", "Ithaca 075", "Sicyon 044", "Tiryns 091", "Achaea 038", "Laconia 089", "Ithaca 045", "Megara 015", "Laconia 091", "Ionia 082", "Thessaly 094", "Thessaly 063", "Megara 088", "Arcadia 050",    
// Galaxy 7
"Laconia 056", "Paros 060", "Melos 076", "Ithaca 088", "Arcadia 097", "Tiryns 051", "Sicyon 090", "Corinth 025", "Megara 054", "Tiryns 040", "Ithaca 040", "Thera 057", "Laconia 014", "Laconia 049", "Tiryns 025", "Megara 040", "Ithaca 094", "Paros 013", "Ithaca 051", "Thera 074", "Melos 096", "Laconia 052", "Delos 093", "Ionia 055", "Achaea 098", "Arcadia 081", "Paros 069", "Ithaca 042", "Corinth 048", "Achaea 067", "Melos 030", "Naxos 073", "Naxos 095", "Thera 046", "Melos 027", "Laconia 017", "Thera 080", "Arcadia 094", "Tiryns 053", "Melos 039", "Achaea 079", "Arcadia 091", "Ithaca 048", "Thera 037", "Ionia 026", "Corinth 093", "Ionia 077", "Ionia 076", "Megara 039", "Achaea 024", "Thera 076", "Corinth 087", "Megara 093", "Sicyon 080", "Melos 079", "Ionia 053", "Sicyon 096", "Arcadia 026", "Naxos 014", "Thera 096", "Thessaly 042", "Thera 016", "Megara 018", "Melos 098", "Megara 067", "Paros 029", "Megara 073", "Naxos 094", "Melos 084", "Melos 023", "Sicyon 096", "Sicyon 099", "Corinth 083", "Delos 086", "Achaea 026", "Megara 031", "Corinth 095", "Sicyon 030", "Ionia 062", "Ithaca 032", "Achaea 068", "Ithaca 097", "Thessaly 080", "Delos 091", "Paros 016", "Thessaly 062", "Tiryns 015", "Naxos 074", "Megara 030", "Naxos 010", "Naxos 044", "Ithaca 039", "Thessaly 085", "Achaea 042", "Naxos 059", "Naxos 035", "Corinth 017", "Thessaly 017", "Tiryns 095", "Thessaly 017", "Paros 086", "Tiryns 089", "Corinth 043", "Ithaca 064", "Ithaca 069", "Thessaly 085", "Laconia 023", "Thessaly 056", "Thessaly 063", "Achaea 021", "Paros 098", "Achaea 030", "Achaea 068", "Thera 094", "Thessaly 070", "Corinth 010", "Achaea 076", "Paros 080", "Corinth 065", "Megara 095", "Thessaly 098", "Ionia 030", "Paros 021", "Corinth 038", "Megara 090", "Ionia 090", "Ithaca 025", "Tiryns 077", "Naxos 021", "Sicyon 081", "Paros 076", "Naxos 032", "Tiryns 039", "Achaea 043", "Naxos 076", "Ithaca 010", "Paros 031", "Delos 084", "Ithaca 051", "Melos 018", "Corinth 049", "Thera 072", "Thera 072", "Paros 044", "Thessaly 021", "Melos 073", "Tiryns 024", "Paros 026", "Paros 043", "Naxos 031", "Corinth 025", "Delos 053", "Naxos 034", "Corinth 046", "Melos 054", "Corinth 047", "Ithaca 064", "Naxos 093", "Tiryns 044", "Thessaly 037", "Naxos 021", "Ionia 036", "Paros 080", "Melos 043", "Corinth 071", "Ithaca 072", "Delos 012", "Laconia 042", "Sicyon 012", "Arcadia 073", "Achaea 080", "Corinth 017", "Laconia 038", "Ionia 079", "Sicyon 018", "Laconia 097", "Sicyon 095", "Melos 096", "Delos 065", "Sicyon 017", "Thessaly 018", "Melos 022", "Tiryns 061", "Thessaly 076", "Thera 017", "Megara 062", "Tiryns 067", "Melos 023", "Achaea 082", "Megara 077", "Tiryns 044", "Delos 017", "Achaea 055", "Naxos 065", "Arcadia 079", "Thessaly 031", "Paros 012", "Megara 078", "Melos 024", "Melos 096", "Ithaca 019", "Ithaca 062", "Naxos 041", "Achaea 022", "Megara 041", "Paros 061", "Tiryns 045", "Ionia 040", "Sicyon 029", "Corinth 011", "Thera 076", "Melos 044", "Naxos 077", "Delos 038", "Corinth 021", "Achaea 019", "Megara 018", "Corinth 073", "Naxos 028", "Paros 049", "Thessaly 095", "Thessaly 062", "Corinth 027", "Arcadia 070", "Laconia 044", "Thessaly 016", "Megara 052", "Laconia 028", "Thessaly 078", "Paros 073", "Corinth 049", "Sicyon 053", "Tiryns 019", "Thessaly 074", "Naxos 092", "Sicyon 087", "Delos 086", "Achaea 057", "Paros 048", "Sicyon 016", "Naxos 013", "Ithaca 040", "Megara 013", "Melos 061", "Corinth 032", "Ionia 043", "Delos 079", "Laconia 019", "Achaea 040", "Naxos 046", "Arcadia 064", "Achaea 073", "Corinth 061", "Arcadia 012", "Laconia 020", "Thessaly 040",    
// Galaxy 8
"Melos 051", "Megara 054", "Achaea 050", "Tiryns 083", "Tiryns 037", "Arcadia 076", "Achaea 037", "Laconia 057", "Ithaca 071", "Tiryns 097", "Delos 097", "Megara 045", "Corinth 046", "Arcadia 079", "Ionia 055", "Thera 078", "Tiryns 071", "Delos 093", "Paros 031", "Ithaca 039", "Ithaca 017", "Tiryns 099", "Thera 020", "Ithaca 091", "Naxos 085", "Naxos 086", "Sicyon 050", "Ithaca 028", "Thera 020", "Melos 040", "Thessaly 059", "Thera 073", "Megara 022", "Thessaly 024", "Laconia 017", "Thessaly 033", "Naxos 048", "Ithaca 076", "Delos 024", "Laconia 097", "Thera 097", "Naxos 021", "Thessaly 088", "Thessaly 034", "Paros 087", "Corinth 068", "Megara 026", "Sicyon 083", "Paros 059", "Thera 086", "Ithaca 054", "Arcadia 049", "Naxos 096", "Melos 081", "Tiryns 092", "Thera 042", "Sicyon 064", "Tiryns 046", "Ithaca 027", "Achaea 096", "Paros 063", "Achaea 054", "Corinth 082", "Naxos 032", "Achaea 085", "Ionia 094", "Ithaca 027", "Corinth 022", "Paros 037", "Achaea 049", "Paros 046", "Sicyon 075", "Delos 039", "Megara 047", "Melos 087", "Arcadia 067", "Megara 013", "Sicyon 082", "Paros 080", "Ionia 038", "Ithaca 096", "Achaea 016", "Tiryns 082", "Naxos 078", "Arcadia 046", "Thessaly 049", "Megara 070", "Thera 073", "Melos 044", "Thessaly 015", "Sicyon 081", "Ionia 083", "Ithaca 014", "Megara 011", "Thera 047", "Corinth 086", "Arcadia 084", "Naxos 060", "Megara 022", "Naxos 088", "Paros 086", "Thera 047", "Arcadia 081", "Megara 074", "Tiryns 044", "Ithaca 054", "Ionia 034", "Naxos 031", "Corinth 051", "Corinth 017", "Ithaca 095", "Delos 040", "Corinth 013", "Sicyon 060", "Melos 032", "Thera 012", "Sicyon 075", "Ithaca 060", "Naxos 037", "Achaea 097", "Arcadia 060", "Arcadia 083", "Megara 073", "Achaea 037", "Ithaca 034", "Arcadia 091", "Sicyon 062", "Corinth 020", "Delos 089", "Ionia 083", "Melos 011", "Ionia 023", "Megara 068", "Delos 081", "Thessaly 092", "Thessaly 022", "Paros 063", "Laconia 043", "Arcadia 035", "Sicyon 089", "Ionia 070", "Corinth 041", "Melos 090", "Thessaly 076", "Corinth 060", "Naxos 041", "Arcadia 053", "Corinth 029", "Thessaly 093", "Megara 049", "Corinth 015", "Laconia 062", "Delos 039", "Corinth 050", "Ionia 018", "Megara 021", "Melos 093", "Thera 087", "Achaea 074", "Achaea 021", "Laconia 061", "Megara 043", "Laconia 032", "Corinth 029", "Arcadia 051", "Ionia 023", "Thera 091", "Ionia 013", "Corinth 041", "Arcadia 056", "Ionia 020", "Corinth 070", "Tiryns 042", "Thera 042", "Ionia 022", "Arcadia 085", "Thessaly 060", "Tiryns 064", "Ithaca 094", "Paros 076", "Ionia 015", "Tiryns 073", "Corinth 077", "Laconia 046", "Thessaly 072", "Sicyon 050", "Paros 074", "Naxos 046", "Achaea 090", "Arcadia 041", "Thera 072", "Tiryns 084", "Sicyon 069", "Megara 064", "Corinth 098", "Corinth 045", "Laconia 097", "Ionia 052", "Thera 014", "Sicyon 049", "Naxos 015", "Thessaly 014", "Thera 089", "Delos 098", "Paros 040", "Ionia 066", "Delos 079", "Tiryns 054", "Tiryns 042", "Ionia 059", "Corinth 044", "Delos 081", "Ionia 050", "Tiryns 032", "Arcadia 065", "Melos 018", "Tiryns 018", "Delos 086", "Achaea 068", "Ithaca 058", "Achaea 085", "Corinth 031", "Corinth 015", "Tiryns 074", "Sicyon 090", "Tiryns 082", "Laconia 050", "Paros 063", "Achaea 083", "Corinth 082", "Delos 094", "Paros 051", "Sicyon 031", "Sicyon 064", "Sicyon 091", "Arcadia 015", "Achaea 056", "Corinth 048", "Ithaca 087", "Melos 040", "Ithaca 091", "Thessaly 019", "Megara 014", "Naxos 020", "Corinth 072", "Achaea 060", "Thera 085", "Thessaly 042", "Ionia 092", "Naxos 049", "Arcadia 018", "Ithaca 086", "Arcadia 032", "Ithaca 082", "Tiryns 032", "Thessaly 013",    
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Thessaly 201"];

// Name Arrays for Fuel Stations - 3rd Station in a given system to spawn. (Number of Names in Array: 2,048)
// This uses the large counted pool method as above.
this.fuelpool3 = [
// Galaxy 1
"Roma 087", "Palma 024", "Tarraco 029", "Roma 093", "Palma 038", "Modicia 076", "Massa 023", "Modicia 016", "Salernum 035", "Naissus 022", "Naissus 091", "Massa 048", "Siscia 086", "Modicia 054", "Turicum 015", "Massa 069", "Ovilava 041", "Scalabis 030", "Roma 030", "Roma 053", "Sirmium 052", "Massa 094", "Tarraco 056", "Belum 052", "Belum 050", "Aquileia 074", "Ovilava 057", "Turicum 042", "Scalabis 025", "Naissus 011", "Salernum 087", "Turicum 066", "Pistoria 080", "Naissus 089", "Modicia 081", "Pistoria 059", "Pistoria 072", "Belum 016", "Massa 058", "Roma 018", "Turicum 012", "Aquileia 021", "Modicia 040", "Scalabis 095", "Modicia 075", "Sirmium 054", "Sirmium 034", "Massa 053", "Roma 072", "Ariminum 066", "Aquileia 025", "Pistoria 077", "Aquileia 026", "Naissus 070", "Pistoria 075", "Scalabis 067", "Palma 088", "Siscia 063", "Siscia 081", "Pistoria 033", "Salernum 087", "Palma 010", "Belum 033", "Pistoria 012", "Scalabis 097", "Scalabis 010", "Belum 099", "Tarraco 050", "Aquileia 020", "Scalabis 030", "Ovilava 067", "Tarraco 092", "Tarraco 036", "Siscia 069", "Turicum 081", "Massa 023", "Palma 044", "Scalabis 086", "Siscia 021", "Palma 027", "Belum 080", "Modicia 067", "Ovilava 048", "Scalabis 012", "Ariminum 037", "Pistoria 063", "Aquileia 099", "Roma 033", "Pistoria 081", "Modicia 039", "Naissus 039", "Aquileia 051", "Aquileia 017", "Belum 081", "Turicum 057", "Belum 022", "Turicum 054", "Salernum 044", "Pistoria 022", "Ovilava 083", "Pistoria 092", "Ovilava 089", "Belum 044", "Palma 030", "Ariminum 045", "Tarraco 086", "Aquileia 055", "Sirmium 071", "Turicum 012", "Naissus 037", "Roma 080", "Modicia 032", "Ariminum 063", "Ariminum 032", "Ovilava 075", "Siscia 053", "Tarraco 029", "Massa 098", "Naissus 024", "Siscia 080", "Belum 050", "Scalabis 064", "Massa 044", "Palma 033", "Ariminum 075", "Aquileia 097", "Turicum 024", "Scalabis 082", "Modicia 081", "Belum 072", "Sirmium 078", "Sirmium 042", "Palma 052", "Ovilava 092", "Salernum 074", "Massa 057", "Sirmium 014", "Ovilava 011", "Tarraco 064", "Salernum 089", "Tarraco 072", "Scalabis 096", "Siscia 066", "Salernum 078", "Salernum 044", "Sirmium 071", "Salernum 073", "Scalabis 047", "Belum 081", "Scalabis 036", "Palma 049", "Ariminum 078", "Belum 067", "Massa 025", "Siscia 034", "Aquileia 017", "Belum 037", "Sirmium 093", "Pistoria 019", "Pistoria 053", "Modicia 080", "Turicum 069", "Massa 070", "Palma 077", "Salernum 083", "Ariminum 042", "Palma 022", "Salernum 026", "Pistoria 075", "Siscia 083", "Modicia 016", "Roma 064", "Palma 014", "Sirmium 014", "Siscia 050", "Ovilava 038", "Roma 064", "Sirmium 054", "Tarraco 045", "Pistoria 043", "Massa 081", "Modicia 057", "Salernum 041", "Siscia 011", "Turicum 062", "Palma 073", "Ovilava 071", "Ovilava 049", "Sirmium 030", "Palma 076", "Massa 059", "Palma 094", "Pistoria 057", "Turicum 080", "Sirmium 028", "Naissus 037", "Belum 075", "Pistoria 039", "Scalabis 012", "Scalabis 084", "Siscia 036", "Palma 091", "Scalabis 038", "Pistoria 057", "Belum 083", "Modicia 084", "Tarraco 054", "Salernum 029", "Modicia 018", "Siscia 067", "Naissus 046", "Palma 029", "Belum 068", "Aquileia 015", "Tarraco 031", "Massa 085", "Roma 040", "Roma 018", "Modicia 086", "Tarraco 038", "Roma 074", "Salernum 068", "Belum 019", "Belum 018", "Sirmium 075", "Scalabis 034", "Aquileia 045", "Ariminum 055", "Modicia 078", "Tarraco 011", "Palma 053", "Palma 015", "Palma 025", "Massa 073", "Aquileia 071", "Sirmium 072", "Naissus 071", "Ovilava 011", "Palma 030", "Ariminum 036", "Aquileia 083", "Aquileia 097", "Belum 059", "Sirmium 073", "Pistoria 095", "Modicia 053", "Massa 016", "Salernum 041", "Massa 099", "Massa 017", "Roma 015", "Scalabis 094", "Ovilava 024", "Salernum 034", "Aquileia 094", "Ovilava 018",    
// Galaxy 2
"Siscia 063", "Belum 075", "Massa 058", "Salernum 037", "Scalabis 065", "Turicum 054", "Aquileia 034", "Salernum 026", "Sirmium 081", "Scalabis 051", "Sirmium 090", "Tarraco 059", "Massa 020", "Sirmium 090", "Massa 034", "Modicia 033", "Palma 082", "Palma 020", "Pistoria 064", "Scalabis 021", "Siscia 066", "Roma 064", "Siscia 096", "Roma 021", "Roma 043", "Modicia 029", "Ovilava 059", "Pistoria 068", "Salernum 062", "Ariminum 080", "Massa 026", "Roma 086", "Siscia 096", "Tarraco 056", "Tarraco 018", "Aquileia 020", "Scalabis 051", "Modicia 060", "Roma 073", "Palma 080", "Sirmium 029", "Salernum 051", "Massa 079", "Modicia 093", "Modicia 027", "Tarraco 041", "Massa 090", "Ovilava 038", "Naissus 078", "Naissus 048", "Scalabis 011", "Belum 058", "Tarraco 027", "Massa 062", "Sirmium 016", "Ariminum 071", "Scalabis 041", "Roma 012", "Tarraco 060", "Naissus 039", "Sirmium 020", "Salernum 044", "Scalabis 065", "Naissus 047", "Tarraco 038", "Pistoria 039", "Scalabis 072", "Scalabis 011", "Roma 028", "Tarraco 082", "Siscia 050", "Naissus 059", "Aquileia 016", "Belum 030", "Belum 023", "Scalabis 041", "Belum 096", "Tarraco 072", "Ovilava 063", "Siscia 011", "Salernum 077", "Aquileia 090", "Massa 078", "Palma 043", "Ovilava 069", "Sirmium 073", "Modicia 042", "Aquileia 095", "Scalabis 052", "Modicia 031", "Siscia 021", "Roma 065", "Modicia 064", "Roma 077", "Belum 041", "Scalabis 040", "Modicia 072", "Siscia 036", "Scalabis 018", "Roma 047", "Tarraco 082", "Sirmium 072", "Ariminum 047", "Scalabis 020", "Palma 098", "Ovilava 099", "Belum 064", "Palma 095", "Belum 023", "Palma 089", "Tarraco 042", "Turicum 042", "Tarraco 018", "Salernum 037", "Belum 031", "Modicia 015", "Modicia 058", "Salernum 099", "Roma 074", "Aquileia 066", "Belum 029", "Tarraco 068", "Roma 039", "Massa 035", "Turicum 021", "Modicia 084", "Salernum 080", "Roma 087", "Modicia 044", "Tarraco 051", "Ariminum 078", "Aquileia 029", "Siscia 024", "Ovilava 038", "Naissus 032", "Turicum 016", "Ovilava 032", "Massa 093", "Siscia 067", "Massa 057", "Massa 021", "Belum 046", "Ariminum 034", "Siscia 073", "Scalabis 077", "Belum 050", "Ariminum 074", "Belum 070", "Pistoria 034", "Ovilava 017", "Turicum 077", "Ovilava 056", "Palma 073", "Ariminum 078", "Naissus 075", "Sirmium 021", "Modicia 083", "Salernum 071", "Modicia 096", "Aquileia 095", "Pistoria 083", "Roma 030", "Tarraco 047", "Aquileia 070", "Palma 073", "Tarraco 025", "Naissus 086", "Tarraco 023", "Palma 077", "Salernum 022", "Ariminum 011", "Salernum 068", "Turicum 018", "Palma 050", "Palma 057", "Scalabis 042", "Palma 045", "Massa 013", "Massa 083", "Sirmium 093", "Salernum 022", "Ovilava 093", "Massa 041", "Naissus 020", "Palma 059", "Belum 010", "Turicum 045", "Roma 011", "Salernum 047", "Roma 018", "Scalabis 041", "Roma 099", "Tarraco 082", "Ovilava 096", "Massa 026", "Massa 088", "Massa 050", "Ovilava 012", "Palma 055", "Siscia 071", "Scalabis 037", "Salernum 051", "Aquileia 012", "Siscia 064", "Roma 073", "Tarraco 047", "Naissus 050", "Sirmium 069", "Modicia 095", "Roma 057", "Palma 059", "Turicum 019", "Modicia 099", "Sirmium 094", "Massa 047", "Turicum 019", "Siscia 017", "Siscia 011", "Roma 014", "Belum 094", "Tarraco 043", "Scalabis 079", "Massa 094", "Ovilava 074", "Massa 026", "Massa 080", "Roma 078", "Belum 019", "Modicia 017", "Ariminum 089", "Ariminum 041", "Ariminum 031", "Modicia 042", "Ariminum 018", "Roma 087", "Aquileia 079", "Pistoria 071", "Roma 026", "Salernum 077", "Massa 088", "Belum 090", "Salernum 074", "Salernum 092", "Turicum 049", "Modicia 092", "Ovilava 082", "Modicia 045", "Aquileia 085", "Ariminum 012", "Palma 098", "Tarraco 063", "Turicum 013", "Turicum 069", "Ovilava 082", "Tarraco 047", "Roma 091",    
// Galaxy 3
"Turicum 081", "Roma 045", "Pistoria 052", "Aquileia 029", "Naissus 015", "Pistoria 016", "Belum 059", "Massa 075", "Ariminum 036", "Palma 028", "Sirmium 070", "Ariminum 050", "Roma 030", "Ovilava 074", "Pistoria 087", "Ariminum 067", "Massa 060", "Siscia 061", "Aquileia 040", "Sirmium 011", "Modicia 034", "Tarraco 043", "Palma 062", "Massa 085", "Sirmium 011", "Sirmium 039", "Ariminum 071", "Salernum 097", "Scalabis 014", "Siscia 057", "Belum 056", "Belum 038", "Sirmium 075", "Siscia 066", "Siscia 037", "Pistoria 030", "Modicia 014", "Naissus 083", "Tarraco 076", "Belum 062", "Pistoria 090", "Massa 082", "Belum 048", "Ariminum 049", "Roma 044", "Belum 088", "Massa 034", "Roma 079", "Palma 022", "Sirmium 011", "Ovilava 071", "Tarraco 054", "Ariminum 032", "Palma 046", "Tarraco 035", "Scalabis 078", "Modicia 096", "Naissus 042", "Belum 066", "Tarraco 068", "Siscia 094", "Ovilava 097", "Modicia 076", "Roma 048", "Naissus 020", "Siscia 062", "Palma 086", "Ovilava 023", "Scalabis 056", "Modicia 035", "Naissus 017", "Roma 066", "Ariminum 074", "Belum 018", "Turicum 026", "Tarraco 048", "Palma 097", "Massa 069", "Palma 092", "Ovilava 099", "Ariminum 044", "Ariminum 056", "Sirmium 077", "Siscia 091", "Modicia 033", "Modicia 034", "Massa 032", "Sirmium 017", "Roma 011", "Scalabis 042", "Aquileia 081", "Ariminum 034", "Pistoria 025", "Salernum 045", "Tarraco 048", "Ovilava 096", "Massa 024", "Pistoria 032", "Roma 056", "Salernum 053", "Turicum 039", "Palma 048", "Tarraco 048", "Roma 011", "Aquileia 020", "Salernum 068", "Sirmium 059", "Massa 032", "Pistoria 047", "Belum 080", "Palma 063", "Roma 040", "Naissus 080", "Siscia 021", "Tarraco 084", "Salernum 040", "Tarraco 065", "Ariminum 030", "Massa 036", "Sirmium 038", "Pistoria 049", "Salernum 071", "Ariminum 055", "Aquileia 024", "Ovilava 092", "Ariminum 061", "Siscia 030", "Ariminum 091", "Sirmium 096", "Naissus 035", "Scalabis 099", "Scalabis 065", "Modicia 038", "Palma 092", "Palma 089", "Pistoria 014", "Belum 042", "Modicia 042", "Tarraco 099", "Massa 018", "Modicia 046", "Pistoria 027", "Sirmium 029", "Massa 070", "Siscia 077", "Sirmium 039", "Massa 039", "Sirmium 069", "Scalabis 086", "Roma 087", "Roma 046", "Belum 092", "Ovilava 052", "Modicia 032", "Ovilava 092", "Naissus 062", "Roma 051", "Modicia 061", "Ariminum 032", "Tarraco 076", "Belum 052", "Turicum 052", "Turicum 059", "Tarraco 082", "Massa 086", "Roma 068", "Tarraco 018", "Tarraco 074", "Naissus 044", "Sirmium 071", "Tarraco 018", "Salernum 058", "Siscia 043", "Naissus 036", "Pistoria 037", "Tarraco 063", "Turicum 065", "Salernum 022", "Tarraco 082", "Pistoria 082", "Massa 043", "Scalabis 057", "Siscia 031", "Tarraco 055", "Aquileia 039", "Sirmium 088", "Ovilava 035", "Massa 055", "Naissus 025", "Aquileia 012", "Tarraco 097", "Roma 092", "Modicia 039", "Modicia 055", "Belum 021", "Tarraco 016", "Tarraco 097", "Tarraco 069", "Salernum 028", "Ovilava 020", "Siscia 077", "Turicum 046", "Pistoria 040", "Roma 093", "Palma 050", "Sirmium 098", "Belum 061", "Turicum 093", "Ariminum 059", "Ariminum 043", "Belum 073", "Scalabis 011", "Naissus 013", "Pistoria 077", "Massa 022", "Aquileia 032", "Ariminum 057", "Massa 063", "Modicia 044", "Palma 091", "Salernum 034", "Massa 073", "Aquileia 070", "Turicum 072", "Ovilava 017", "Modicia 024", "Roma 023", "Aquileia 045", "Salernum 092", "Modicia 086", "Salernum 028", "Turicum 037", "Aquileia 034", "Modicia 061", "Modicia 035", "Siscia 035", "Siscia 028", "Salernum 039", "Pistoria 023", "Ovilava 060", "Siscia 064", "Massa 096", "Modicia 043", "Naissus 069", "Tarraco 057", "Tarraco 044", "Massa 055", "Tarraco 081", "Belum 068", "Sirmium 021", "Ariminum 045", "Naissus 058", "Sirmium 087", "Salernum 022", "Ovilava 054", "Pistoria 031",    
// Galaxy 4
"Tarraco 038", "Tarraco 076", "Naissus 091", "Ariminum 073", "Naissus 031", "Ariminum 062", "Ovilava 022", "Palma 076", "Pistoria 019", "Tarraco 031", "Tarraco 092", "Salernum 021", "Roma 045", "Scalabis 028", "Salernum 068", "Belum 065", "Salernum 040", "Sirmium 073", "Ariminum 047", "Ovilava 069", "Belum 091", "Pistoria 068", "Massa 062", "Turicum 061", "Palma 041", "Ovilava 020", "Turicum 041", "Sirmium 012", "Sirmium 047", "Roma 070", "Modicia 012", "Modicia 086", "Roma 026", "Aquileia 038", "Scalabis 034", "Naissus 085", "Massa 020", "Siscia 011", "Siscia 054", "Ariminum 092", "Siscia 098", "Roma 024", "Palma 069", "Aquileia 070", "Roma 062", "Sirmium 040", "Naissus 044", "Pistoria 020", "Aquileia 076", "Tarraco 015", "Turicum 029", "Sirmium 092", "Pistoria 058", "Pistoria 063", "Tarraco 074", "Naissus 042", "Belum 030", "Palma 086", "Sirmium 064", "Ovilava 062", "Sirmium 026", "Tarraco 086", "Ariminum 012", "Roma 012", "Pistoria 017", "Siscia 015", "Belum 063", "Turicum 071", "Roma 050", "Aquileia 029", "Massa 073", "Roma 020", "Palma 030", "Ariminum 059", "Scalabis 046", "Sirmium 091", "Massa 076", "Turicum 030", "Salernum 049", "Pistoria 027", "Palma 030", "Palma 078", "Scalabis 060", "Naissus 037", "Pistoria 082", "Palma 092", "Turicum 070", "Belum 078", "Ovilava 027", "Turicum 089", "Scalabis 090", "Roma 010", "Roma 099", "Massa 062", "Sirmium 087", "Sirmium 079", "Scalabis 094", "Sirmium 059", "Aquileia 041", "Salernum 029", "Sirmium 073", "Roma 016", "Sirmium 095", "Siscia 070", "Pistoria 078", "Ariminum 092", "Sirmium 042", "Massa 024", "Siscia 041", "Aquileia 084", "Pistoria 018", "Sirmium 046", "Aquileia 016", "Massa 060", "Belum 024", "Palma 038", "Salernum 044", "Sirmium 094", "Pistoria 047", "Siscia 086", "Salernum 019", "Ovilava 080", "Naissus 039", "Ovilava 042", "Sirmium 078", "Ovilava 051", "Belum 056", "Ovilava 096", "Salernum 087", "Modicia 029", "Naissus 097", "Massa 040", "Ovilava 082", "Ovilava 032", "Aquileia 057", "Pistoria 011", "Belum 049", "Siscia 097", "Naissus 034", "Massa 065", "Belum 075", "Belum 071", "Massa 062", "Roma 031", "Turicum 078", "Turicum 020", "Aquileia 084", "Palma 024", "Siscia 074", "Tarraco 025", "Modicia 039", "Palma 020", "Naissus 058", "Sirmium 087", "Tarraco 093", "Modicia 021", "Scalabis 083", "Modicia 032", "Massa 022", "Ariminum 051", "Massa 047", "Scalabis 037", "Scalabis 036", "Ariminum 078", "Ovilava 099", "Scalabis 058", "Turicum 037", "Pistoria 015", "Modicia 081", "Naissus 024", "Ariminum 020", "Palma 075", "Belum 017", "Roma 044", "Sirmium 053", "Roma 044", "Modicia 063", "Ariminum 040", "Salernum 043", "Belum 030", "Turicum 053", "Belum 027", "Palma 072", "Salernum 099", "Roma 067", "Siscia 074", "Massa 075", "Belum 067", "Belum 090", "Turicum 022", "Belum 016", "Pistoria 098", "Pistoria 015", "Aquileia 030", "Turicum 031", "Modicia 097", "Belum 089", "Sirmium 075", "Sirmium 080", "Ovilava 043", "Modicia 086", "Roma 040", "Sirmium 026", "Sirmium 092", "Scalabis 028", "Scalabis 036", "Sirmium 082", "Pistoria 095", "Salernum 015", "Salernum 098", "Ariminum 081", "Palma 081", "Salernum 061", "Ariminum 078", "Ariminum 061", "Ovilava 036", "Belum 035", "Siscia 069", "Scalabis 021", "Naissus 051", "Modicia 096", "Palma 055", "Tarraco 026", "Ariminum 047", "Modicia 074", "Ariminum 084", "Pistoria 033", "Scalabis 098", "Naissus 026", "Ovilava 093", "Naissus 084", "Aquileia 057", "Roma 018", "Aquileia 043", "Modicia 012", "Scalabis 062", "Tarraco 092", "Turicum 097", "Massa 035", "Massa 011", "Aquileia 075", "Sirmium 036", "Sirmium 070", "Salernum 027", "Scalabis 091", "Palma 048", "Ovilava 090", "Sirmium 038", "Aquileia 074", "Palma 078", "Salernum 092", "Palma 035", "Turicum 015", "Massa 056", "Tarraco 027", "Scalabis 029",    
// Galaxy 5
 "Tarraco 038", "Tarraco 076", "Naissus 091", "Ariminum 073", "Naissus 031", "Ariminum 062", "Ovilava 022", "Palma 076", "Pistoria 019", "Tarraco 031", "Tarraco 092", "Salernum 021", "Roma 045", "Scalabis 028", "Salernum 068", "Belum 065", "Salernum 040", "Sirmium 073", "Ariminum 047", "Ovilava 069", "Belum 091", "Pistoria 068", "Massa 062", "Turicum 061", "Palma 041", "Ovilava 020", "Turicum 041", "Sirmium 012", "Sirmium 047", "Roma 070", "Modicia 012", "Modicia 086", "Roma 026", "Aquileia 038", "Scalabis 034", "Naissus 085", "Massa 020", "Siscia 011", "Siscia 054", "Ariminum 092", "Siscia 098", "Roma 024", "Palma 069", "Aquileia 070", "Roma 062", "Sirmium 040", "Naissus 044", "Pistoria 020", "Aquileia 076", "Tarraco 015", "Turicum 029", "Sirmium 092", "Pistoria 058", "Pistoria 063", "Tarraco 074", "Naissus 042", "Belum 030", "Palma 086", "Sirmium 064", "Ovilava 062", "Sirmium 026", "Tarraco 086", "Ariminum 012", "Roma 012", "Pistoria 017", "Siscia 015", "Belum 063", "Turicum 071", "Roma 050", "Aquileia 029", "Massa 073", "Roma 020", "Palma 030", "Ariminum 059", "Scalabis 046", "Sirmium 091", "Massa 076", "Turicum 030", "Salernum 049", "Pistoria 027", "Palma 030", "Palma 078", "Scalabis 060", "Naissus 037", "Pistoria 082", "Palma 092", "Turicum 070", "Belum 078", "Ovilava 027", "Turicum 089", "Scalabis 090", "Roma 010", "Roma 099", "Massa 062", "Sirmium 087", "Sirmium 079", "Scalabis 094", "Sirmium 059", "Aquileia 041", "Salernum 029", "Sirmium 073", "Roma 016", "Sirmium 095", "Siscia 070", "Pistoria 078", "Ariminum 092", "Sirmium 042", "Massa 024", "Siscia 041", "Aquileia 084", "Pistoria 018", "Sirmium 046", "Aquileia 016", "Massa 060", "Belum 024", "Palma 038", "Salernum 044", "Sirmium 094", "Pistoria 047", "Siscia 086", "Salernum 019", "Ovilava 080", "Naissus 039", "Ovilava 042", "Sirmium 078", "Ovilava 051", "Belum 056", "Ovilava 096", "Salernum 087", "Modicia 029", "Naissus 097", "Massa 040", "Ovilava 082", "Ovilava 032", "Aquileia 057", "Pistoria 011", "Belum 049", "Siscia 097", "Naissus 034", "Massa 065", "Belum 075", "Belum 071", "Massa 062", "Roma 031", "Turicum 078", "Turicum 020", "Aquileia 084", "Palma 024", "Siscia 074", "Tarraco 025", "Modicia 039", "Palma 020", "Naissus 058", "Sirmium 087", "Tarraco 093", "Modicia 021", "Scalabis 083", "Modicia 032", "Massa 022", "Ariminum 051", "Massa 047", "Scalabis 037", "Scalabis 036", "Ariminum 078", "Ovilava 099", "Scalabis 058", "Turicum 037", "Pistoria 015", "Modicia 081", "Naissus 024", "Ariminum 020", "Palma 075", "Belum 017", "Roma 044", "Sirmium 053", "Roma 044", "Modicia 063", "Ariminum 040", "Salernum 043", "Belum 030", "Turicum 053", "Belum 027", "Palma 072", "Salernum 099", "Roma 067", "Siscia 074", "Massa 075", "Belum 067", "Belum 090", "Turicum 022", "Belum 016", "Pistoria 098", "Pistoria 015", "Aquileia 030", "Turicum 031", "Modicia 097", "Belum 089", "Sirmium 075", "Sirmium 080", "Ovilava 043", "Modicia 086", "Roma 040", "Sirmium 026", "Sirmium 092", "Scalabis 028", "Scalabis 036", "Sirmium 082", "Pistoria 095", "Salernum 015", "Salernum 098", "Ariminum 081", "Palma 081", "Salernum 061", "Ariminum 078", "Ariminum 061", "Ovilava 036", "Belum 035", "Siscia 069", "Scalabis 021", "Naissus 051", "Modicia 096", "Palma 055", "Tarraco 026", "Ariminum 047", "Modicia 074", "Ariminum 084", "Pistoria 033", "Scalabis 098", "Naissus 026", "Ovilava 093", "Naissus 084", "Aquileia 057", "Roma 018", "Aquileia 043", "Modicia 012", "Scalabis 062", "Tarraco 092", "Turicum 097", "Massa 035", "Massa 011", "Aquileia 075", "Sirmium 036", "Sirmium 070", "Salernum 027", "Scalabis 091", "Palma 048", "Ovilava 090", "Sirmium 038", "Aquileia 074", "Palma 078", "Salernum 092", "Palma 035", "Turicum 015", "Massa 056", "Tarraco 027", "Scalabis 029",    
// Galaxy 6
"Sirmium 059", "Aquileia 027", "Aquileia 010", "Ovilava 047", "Naissus 018", "Palma 019", "Sirmium 011", "Modicia 015", "Ariminum 066", "Scalabis 056", "Massa 042", "Naissus 092", "Palma 031", "Siscia 074", "Salernum 034", "Turicum 081", "Massa 030", "Ariminum 022", "Pistoria 093", "Massa 035", "Salernum 042", "Massa 011", "Salernum 046", "Tarraco 047", "Pistoria 084", "Siscia 013", "Turicum 089", "Roma 084", "Tarraco 018", "Belum 077", "Palma 093", "Turicum 033", "Belum 092", "Aquileia 010", "Turicum 043", "Massa 043", "Aquileia 043", "Modicia 046", "Naissus 038", "Ovilava 041", "Roma 015", "Ovilava 099", "Aquileia 054", "Massa 055", "Aquileia 081", "Modicia 045", "Siscia 045", "Belum 049", "Scalabis 092", "Tarraco 023", "Siscia 081", "Sirmium 046", "Pistoria 049", "Siscia 077", "Modicia 086", "Roma 044", "Pistoria 057", "Ovilava 095", "Salernum 047", "Palma 043", "Salernum 019", "Roma 013", "Pistoria 040", "Ariminum 053", "Ovilava 099", "Palma 049", "Modicia 060", "Palma 096", "Tarraco 072", "Naissus 075", "Salernum 013", "Salernum 064", "Tarraco 083", "Sirmium 085", "Sirmium 038", "Pistoria 063", "Palma 069", "Scalabis 055", "Salernum 017", "Massa 090", "Salernum 079", "Belum 069", "Belum 030", "Ariminum 074", "Belum 029", "Scalabis 091", "Belum 042", "Pistoria 057", "Siscia 013", "Siscia 078", "Aquileia 062", "Tarraco 082", "Turicum 020", "Naissus 056", "Siscia 011", "Salernum 037", "Massa 024", "Salernum 054", "Pistoria 017", "Ovilava 079", "Scalabis 016", "Modicia 072", "Naissus 052", "Tarraco 066", "Aquileia 029", "Siscia 076", "Roma 041", "Belum 048", "Naissus 077", "Ovilava 019", "Sirmium 081", "Roma 042", "Roma 060", "Turicum 044", "Palma 097", "Roma 011", "Ovilava 075", "Palma 044", "Tarraco 067", "Siscia 099", "Sirmium 031", "Naissus 089", "Turicum 086", "Siscia 049", "Ovilava 028", "Pistoria 097", "Siscia 059", "Aquileia 019", "Massa 047", "Massa 063", "Roma 079", "Scalabis 054", "Massa 062", "Naissus 037", "Belum 022", "Aquileia 038", "Siscia 039", "Turicum 066", "Turicum 046", "Siscia 077", "Sirmium 038", "Modicia 058", "Roma 055", "Siscia 025", "Pistoria 089", "Turicum 014", "Massa 027", "Naissus 077", "Belum 092", "Naissus 067", "Sirmium 068", "Aquileia 024", "Aquileia 065", "Roma 079", "Belum 096", "Massa 029", "Roma 015", "Naissus 058", "Roma 050", "Ovilava 072", "Ariminum 037", "Sirmium 038", "Massa 090", "Naissus 012", "Modicia 015", "Turicum 028", "Belum 099", "Massa 078", "Naissus 022", "Aquileia 015", "Aquileia 098", "Ariminum 096", "Pistoria 086", "Roma 017", "Ariminum 067", "Belum 034", "Belum 026", "Sirmium 090", "Massa 048", "Pistoria 082", "Aquileia 029", "Massa 059", "Pistoria 091", "Tarraco 080", "Naissus 028", "Ariminum 016", "Massa 054", "Sirmium 053", "Ariminum 091", "Massa 011", "Sirmium 026", "Roma 066", "Ovilava 057", "Pistoria 018", "Pistoria 097", "Roma 079", "Ovilava 014", "Palma 021", "Scalabis 072", "Palma 062", "Siscia 051", "Siscia 011", "Belum 045", "Tarraco 056", "Scalabis 058", "Salernum 093", "Naissus 045", "Pistoria 072", "Pistoria 040", "Sirmium 010", "Sirmium 087", "Massa 098", "Scalabis 044", "Pistoria 062", "Belum 051", "Modicia 085", "Belum 053", "Roma 087", "Siscia 021", "Palma 049", "Scalabis 068", "Massa 090", "Tarraco 037", "Sirmium 030", "Massa 062", "Ovilava 050", "Ariminum 047", "Roma 037", "Scalabis 024", "Palma 028", "Ovilava 097", "Scalabis 038", "Naissus 059", "Siscia 015", "Salernum 088", "Ovilava 023", "Siscia 036", "Massa 081", "Scalabis 068", "Scalabis 083", "Aquileia 063", "Sirmium 088", "Pistoria 038", "Salernum 096", "Salernum 017", "Belum 013", "Ovilava 049", "Belum 082", "Salernum 052", "Roma 069", "Massa 010", "Ariminum 024", "Aquileia 091", "Salernum 067", "Tarraco 084", "Pistoria 025",    
// Galaxy 7
"Salernum 053", "Tarraco 082", "Ariminum 063", "Pistoria 047", "Massa 085", "Naissus 090", "Palma 094", "Turicum 032", "Palma 089", "Tarraco 079", "Turicum 084", "Turicum 069", "Scalabis 075", "Siscia 089", "Sirmium 060", "Palma 058", "Sirmium 028", "Modicia 091", "Aquileia 011", "Palma 090", "Ovilava 092", "Belum 015", "Naissus 039", "Belum 068", "Salernum 051", "Roma 097", "Massa 026", "Sirmium 021", "Siscia 042", "Tarraco 090", "Salernum 084", "Siscia 099", "Palma 065", "Belum 060", "Salernum 094", "Roma 067", "Siscia 075", "Belum 015", "Aquileia 034", "Naissus 080", "Massa 012", "Ovilava 062", "Ovilava 033", "Siscia 095", "Aquileia 031", "Roma 098", "Salernum 086", "Belum 087", "Belum 097", "Belum 095", "Tarraco 074", "Salernum 047", "Modicia 099", "Aquileia 082", "Siscia 025", "Ovilava 041", "Tarraco 015", "Ariminum 024", "Aquileia 087", "Ariminum 095", "Scalabis 041", "Roma 074", "Tarraco 033", "Palma 098", "Ariminum 014", "Aquileia 065", "Naissus 021", "Palma 090", "Ariminum 029", "Palma 037", "Roma 070", "Tarraco 099", "Belum 024", "Sirmium 045", "Massa 034", "Siscia 053", "Roma 091", "Belum 021", "Siscia 093", "Naissus 099", "Turicum 086", "Naissus 041", "Aquileia 022", "Palma 087", "Scalabis 081", "Turicum 088", "Pistoria 036", "Tarraco 094", "Tarraco 062", "Massa 040", "Scalabis 085", "Siscia 072", "Tarraco 078", "Belum 086", "Scalabis 020", "Modicia 058", "Turicum 073", "Naissus 039", "Roma 013", "Salernum 035", "Ovilava 089", "Naissus 056", "Siscia 015", "Ariminum 097", "Ariminum 084", "Ovilava 068", "Aquileia 020", "Naissus 061", "Aquileia 083", "Siscia 095", "Naissus 030", "Palma 052", "Sirmium 060", "Sirmium 090", "Massa 062", "Naissus 096", "Salernum 053", "Tarraco 044", "Siscia 027", "Siscia 042", "Scalabis 070", "Belum 057", "Ovilava 042", "Salernum 091", "Naissus 047", "Siscia 089", "Sirmium 029", "Scalabis 071", "Modicia 062", "Tarraco 025", "Aquileia 075", "Palma 032", "Pistoria 075", "Naissus 049", "Salernum 090", "Massa 066", "Turicum 078", "Palma 067", "Ovilava 075", "Massa 015", "Massa 056", "Salernum 096", "Tarraco 089", "Siscia 086", "Naissus 014", "Siscia 094", "Tarraco 079", "Ovilava 028", "Massa 020", "Siscia 073", "Modicia 029", "Massa 073", "Aquileia 021", "Tarraco 024", "Ariminum 074", "Palma 095", "Turicum 087", "Massa 046", "Turicum 035", "Belum 032", "Ovilava 015", "Palma 041", "Siscia 049", "Roma 091", "Turicum 018", "Ovilava 082", "Sirmium 032", "Aquileia 052", "Aquileia 098", "Siscia 090", "Sirmium 028", "Ariminum 079", "Roma 031", "Scalabis 010", "Salernum 059", "Pistoria 063", "Ariminum 080", "Ovilava 096", "Pistoria 095", "Naissus 055", "Ovilava 049", "Tarraco 075", "Ariminum 072", "Palma 091", "Tarraco 088", "Sirmium 083", "Scalabis 050", "Ariminum 041", "Siscia 093", "Roma 023", "Ariminum 010", "Aquileia 078", "Ovilava 090", "Scalabis 023", "Belum 098", "Aquileia 010", "Siscia 059", "Roma 017", "Siscia 062", "Salernum 043", "Modicia 031", "Naissus 049", "Turicum 066", "Sirmium 049", "Turicum 055", "Ariminum 073", "Ovilava 064", "Aquileia 072", "Salernum 077", "Palma 084", "Aquileia 090", "Ovilava 015", "Turicum 088", "Naissus 013", "Turicum 025", "Massa 066", "Siscia 082", "Tarraco 062", "Salernum 061", "Ariminum 025", "Belum 079", "Naissus 069", "Belum 081", "Modicia 075", "Massa 069", "Siscia 094", "Belum 042", "Pistoria 048", "Turicum 052", "Modicia 057", "Ariminum 039", "Aquileia 065", "Palma 074", "Tarraco 034", "Roma 055", "Palma 055", "Tarraco 071", "Scalabis 081", "Modicia 020", "Naissus 072", "Roma 070", "Roma 093", "Pistoria 053", "Massa 089", "Naissus 034", "Pistoria 083", "Sirmium 048", "Ovilava 024", "Turicum 026", "Tarraco 047", "Aquileia 071", "Ovilava 024", "Ovilava 099", "Aquileia 042", "Roma 014", "Naissus 093",    
// Galaxy 8
"Aquileia 051", "Pistoria 045", "Sirmium 047", "Siscia 033", "Massa 045", "Palma 053", "Scalabis 057", "Massa 062", "Aquileia 054", "Siscia 071", "Ariminum 018", "Aquileia 041", "Siscia 091", "Ovilava 024", "Ariminum 036", "Belum 016", "Massa 063", "Ariminum 074", "Massa 061", "Naissus 086", "Tarraco 099", "Modicia 091", "Naissus 091", "Aquileia 037", "Ovilava 030", "Roma 018", "Tarraco 071", "Siscia 016", "Belum 064", "Naissus 073", "Tarraco 092", "Ariminum 070", "Ovilava 022", "Salernum 040", "Scalabis 043", "Modicia 031", "Palma 071", "Modicia 069", "Siscia 060", "Naissus 012", "Siscia 076", "Ariminum 066", "Roma 028", "Pistoria 085", "Massa 038", "Tarraco 062", "Sirmium 038", "Tarraco 077", "Salernum 092", "Sirmium 078", "Modicia 020", "Siscia 047", "Turicum 027", "Aquileia 055", "Ariminum 022", "Tarraco 066", "Massa 048", "Palma 050", "Palma 062", "Ovilava 082", "Scalabis 073", "Turicum 081", "Salernum 024", "Scalabis 035", "Palma 031", "Scalabis 043", "Modicia 065", "Massa 038", "Ovilava 042", "Naissus 045", "Ariminum 058", "Turicum 081", "Tarraco 014", "Ariminum 054", "Ariminum 057", "Belum 013", "Naissus 072", "Tarraco 030", "Belum 070", "Naissus 034", "Tarraco 055", "Modicia 072", "Tarraco 041", "Scalabis 072", "Tarraco 065", "Naissus 062", "Naissus 017", "Palma 076", "Turicum 055", "Belum 025", "Turicum 096", "Roma 035", "Sirmium 044", "Ovilava 089", "Tarraco 071", "Tarraco 056", "Roma 035", "Siscia 097", "Scalabis 014", "Naissus 029", "Scalabis 075", "Scalabis 072", "Ovilava 025", "Roma 015", "Turicum 062", "Belum 043", "Naissus 025", "Sirmium 047", "Salernum 026", "Ariminum 038", "Palma 044", "Salernum 010", "Pistoria 061", "Naissus 035", "Massa 072", "Sirmium 024", "Ariminum 097", "Turicum 094", "Belum 014", "Aquileia 012", "Palma 037", "Massa 097", "Aquileia 016", "Pistoria 074", "Siscia 043", "Scalabis 078", "Tarraco 014", "Naissus 013", "Aquileia 071", "Belum 087", "Massa 058", "Tarraco 070", "Naissus 057", "Turicum 013", "Palma 071", "Naissus 042", "Modicia 044", "Sirmium 021", "Naissus 088", "Belum 061", "Modicia 047", "Sirmium 087", "Palma 079", "Turicum 079", "Aquileia 083", "Siscia 039", "Roma 058", "Naissus 031", "Ariminum 066", "Roma 026", "Naissus 028", "Sirmium 074", "Belum 075", "Palma 076", "Belum 077", "Aquileia 016", "Sirmium 069", "Turicum 064", "Roma 024", "Ariminum 092", "Palma 010", "Ovilava 029", "Aquileia 037", "Aquileia 031", "Siscia 056", "Turicum 052", "Scalabis 011", "Sirmium 089", "Salernum 010", "Scalabis 080", "Salernum 034", "Tarraco 044", "Sirmium 083", "Pistoria 030", "Pistoria 021", "Turicum 089", "Naissus 027", "Scalabis 052", "Modicia 077", "Ariminum 065", "Tarraco 032", "Scalabis 020", "Tarraco 097", "Roma 058", "Naissus 027", "Siscia 064", "Salernum 015", "Tarraco 036", "Salernum 050", "Ariminum 066", "Naissus 077", "Modicia 072", "Roma 022", "Massa 034", "Ovilava 011", "Scalabis 015", "Siscia 064", "Ovilava 022", "Naissus 027", "Sirmium 044", "Modicia 011", "Ariminum 026", "Pistoria 019", "Naissus 068", "Tarraco 011", "Aquileia 086", "Palma 059", "Scalabis 013", "Massa 057", "Aquileia 051", "Siscia 092", "Naissus 060", "Massa 056", "Ovilava 065", "Sirmium 094", "Palma 015", "Belum 013", "Sirmium 097", "Palma 051", "Turicum 084", "Ariminum 088", "Siscia 046", "Aquileia 065", "Salernum 028", "Pistoria 079", "Siscia 051", "Roma 071", "Ovilava 027", "Massa 015", "Aquileia 098", "Modicia 077", "Aquileia 022", "Aquileia 078", "Sirmium 080", "Modicia 085", "Belum 062", "Sirmium 031", "Ariminum 049", "Turicum 022", "Sirmium 062", "Tarraco 037", "Belum 045", "Ariminum 028", "Salernum 045", "Scalabis 026", "Palma 088", "Tarraco 080", "Massa 091", "Modicia 033", "Scalabis 087", "Pistoria 093", "Scalabis 017", "Massa 037", "Aquileia 085", "Scalabis 040", "Scalabis 073", 
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Tarraco 301"];

// Name Arrays for Fuel Stations - 4th Station in a given system to spawn. (Number of Names in Array: 2,048)
// This uses the large counted pool method as above.
this.fuelpool4 = [
// Galaxy 1
"Yamu 086", "Timinhor 013", "Khasnut 092", "Khasnut 040", "Piemro 029", "Tjaru 058", "Khasnut 038", "Iunu 020", "Piemro 044", "Tjaru 066", "Sumenu 035", "Timinhor 033", "Yamu 010", "Yamu 018", "Iunu 050", "Khasnut 083", "Timinhor 063", "Tjaru 090", "Khasnut 022", "Khem 019", "Khito 082", "Khem 022", "Khasnut 041", "Yamu 092", "Khito 078", "Khasnut 038", "Sumenu 010", "Khasnut 088", "Setennu 017", "Iunu 039", "Iunu 047", "Djedet 058", "Iunu 091", "Khito 063", "Djedu 019", "Timinhor 091", "Piemro 064", "Iunu 014", "Yamu 076", "Yamu 025", "Sumenu 092", "Raqote 065", "Tjaru 034", "Khasnut 071", "Tjaru 084", "Taremu 014", "Nekhen 012", "Taremu 053", "Nekhen 029", "Khem 038", "Khem 063", "Piemro 024", "Piemro 082", "Djedet 071", "Raqote 083", "Khito 026", "Iunu 075", "Taremu 089", "Nekhen 074", "Yamu 051", "Tjaru 025", "Khito 043", "Djedet 071", "Khem 074", "Djedu 038", "Piemro 029", "Timinhor 012", "Timinhor 048", "Raqote 054", "Piemro 058", "Khasnut 078", "Khem 077", "Djedu 079", "Raqote 095", "Tjaru 024", "Djedet 040", "Taremu 080", "Djedu 080", "Iunu 052", "Khem 034", "Iunu 090", "Yamu 066", "Thonis 038", "Taremu 033", "Djedet 018", "Khasnut 073", "Piemro 083", "Khem 066", "Taremu 059", "Nekhen 070", "Djedu 028", "Khem 030", "Yamu 018", "Iunu 084", "Raqote 024", "Djedu 080", "Thonis 021", "Sumenu 011", "Piemro 088", "Timinhor 021", "Thonis 068", "Raqote 043", "Khem 063", "Taremu 095", "Raqote 055", "Tjaru 032", "Thonis 019", "Timinhor 010", "Setennu 025", "Setennu 067", "Setennu 023", "Piemro 091", "Thonis 042", "Tjaru 014", "Madu 072", "Sumenu 048", "Sumenu 055", "Khem 011", "Thonis 057", "Yamu 086", "Timinhor 040", "Yamu 012", "Iunu 053", "Taremu 011", "Madu 050", "Djedu 099", "Djedu 092", "Khito 038", "Iunu 012", "Thonis 012", "Djedet 095", "Thonis 083", "Taremu 030", "Khito 038", "Setennu 081", "Khem 012", "Yamu 054", "Iunu 034", "Setennu 023", "Timinhor 066", "Djedu 044", "Taremu 035", "Piemro 058", "Thonis 088", "Khem 079", "Timinhor 094", "Tjaru 070", "Raqote 065", "Yamu 078", "Nekhen 069", "Sumenu 084", "Khasnut 055", "Taremu 071", "Khasnut 054", "Yamu 013", "Raqote 053", "Djedu 015", "Setennu 027", "Raqote 099", "Sumenu 086", "Khasnut 019", "Taremu 063", "Khasnut 066", "Yamu 081", "Djedet 074", "Madu 061", "Djedet 032", "Setennu 074", "Yamu 023", "Thonis 015", "Iunu 027", "Setennu 031", "Khem 052", "Khasnut 012", "Setennu 051", "Taremu 054", "Taremu 074", "Sumenu 033", "Raqote 077", "Khasnut 097", "Madu 076", "Djedu 051", "Tjaru 090", "Yamu 081", "Timinhor 083", "Khito 090", "Thonis 036", "Raqote 082", "Madu 027", "Tjaru 011", "Setennu 095", "Djedu 086", "Djedu 061", "Taremu 076", "Timinhor 029", "Khito 060", "Khito 055", "Khem 044", "Thonis 064", "Yamu 059", "Djedu 055", "Timinhor 076", "Iunu 039", "Djedu 061", "Djedu 059", "Khasnut 067", "Sumenu 061", "Djedet 060", "Khasnut 028", "Piemro 078", "Djedu 061", "Khasnut 030", "Djedu 073", "Djedu 035", "Tjaru 059", "Nekhen 010", "Tjaru 044", "Khasnut 047", "Timinhor 032", "Djedu 067", "Taremu 020", "Thonis 057", "Sumenu 088", "Sumenu 030", "Setennu 057", "Timinhor 090", "Timinhor 021", "Khito 094", "Iunu 076", "Taremu 019", "Sumenu 026", "Taremu 037", "Madu 098", "Raqote 029", "Iunu 083", "Piemro 055", "Tjaru 039", "Nekhen 079", "Piemro 094", "Yamu 049", "Nekhen 035", "Setennu 044", "Iunu 084", "Raqote 082", "Sumenu 067", "Djedet 049", "Tjaru 032", "Djedu 033", "Iunu 092", "Tjaru 067", "Djedu 044", "Yamu 011", "Nekhen 050", "Djedet 039", "Nekhen 096", "Setennu 060",    
// Galaxy 2
"Setennu 027", "Taremu 066", "Piemro 049", "Piemro 058", "Djedu 013", "Tjaru 026", "Khem 075", "Setennu 046", "Taremu 041", "Thonis 047", "Timinhor 058", "Sumenu 017", "Khem 073", "Tjaru 034", "Setennu 079", "Khem 030", "Setennu 016", "Taremu 070", "Tjaru 048", "Sumenu 044", "Setennu 038", "Setennu 099", "Djedet 082", "Sumenu 075", "Yamu 073", "Djedu 030", "Piemro 019", "Sumenu 013", "Khasnut 013", "Djedu 074", "Djedu 069", "Khem 043", "Setennu 085", "Thonis 048", "Khasnut 011", "Madu 086", "Taremu 088", "Djedu 062", "Tjaru 012", "Piemro 097", "Tjaru 015", "Madu 034", "Khasnut 096", "Iunu 079", "Setennu 065", "Khasnut 073", "Timinhor 064", "Timinhor 023", "Thonis 026", "Taremu 089", "Djedet 026", "Taremu 091", "Madu 040", "Setennu 021", "Setennu 054", "Khasnut 057", "Khito 047", "Yamu 042", "Khasnut 044", "Yamu 031", "Raqote 043", "Thonis 090", "Khito 094", "Yamu 020", "Madu 014", "Djedu 079", "Taremu 082", "Djedet 084", "Thonis 069", "Khem 045", "Khem 073", "Khito 071", "Setennu 011", "Djedet 095", "Nekhen 051", "Madu 045", "Djedu 037", "Sumenu 015", "Djedu 057", "Tjaru 037", "Thonis 071", "Tjaru 056", "Khasnut 078", "Iunu 066", "Yamu 056", "Thonis 054", "Setennu 024", "Piemro 034", "Khasnut 067", "Madu 086", "Piemro 072", "Yamu 014", "Tjaru 062", "Tjaru 070", "Tjaru 090", "Thonis 036", "Thonis 043", "Nekhen 019", "Thonis 019", "Khito 073", "Piemro 049", "Khem 062", "Khito 074", "Raqote 023", "Djedu 025", "Djedu 087", "Djedu 083", "Thonis 027", "Raqote 019", "Khasnut 041", "Djedet 084", "Khem 028", "Khem 062", "Nekhen 044", "Khasnut 097", "Tjaru 053", "Sumenu 034", "Khito 053", "Madu 088", "Khem 063", "Khito 048", "Timinhor 081", "Piemro 056", "Raqote 033", "Taremu 045", "Raqote 035", "Iunu 096", "Iunu 026", "Nekhen 088", "Taremu 067", "Sumenu 040", "Djedu 036", "Raqote 084", "Sumenu 046", "Thonis 048", "Djedet 032", "Nekhen 033", "Taremu 070", "Djedet 040", "Sumenu 038", "Madu 057", "Khito 027", "Yamu 041", "Iunu 041", "Khasnut 046", "Tjaru 093", "Taremu 044", "Setennu 093", "Setennu 032", "Nekhen 098", "Djedu 039", "Sumenu 093", "Timinhor 023", "Khasnut 020", "Sumenu 062", "Djedet 029", "Timinhor 080", "Khem 078", "Khito 082", "Yamu 055", "Piemro 088", "Nekhen 080", "Raqote 023", "Yamu 045", "Djedet 029", "Djedet 018", "Timinhor 081", "Khasnut 096", "Yamu 098", "Djedet 079", "Piemro 013", "Nekhen 070", "Taremu 071", "Khito 041", "Iunu 061", "Djedu 044", "Djedet 070", "Sumenu 050", "Timinhor 054", "Sumenu 036", "Djedu 079", "Iunu 097", "Taremu 067", "Djedu 012", "Nekhen 090", "Yamu 080", "Timinhor 071", "Taremu 078", "Madu 068", "Yamu 011", "Taremu 082", "Piemro 071", "Tjaru 083", "Khito 030", "Iunu 047", "Khito 083", "Piemro 038", "Raqote 075", "Sumenu 032", "Setennu 097", "Iunu 091", "Thonis 059", "Thonis 024", "Timinhor 099", "Khem 065", "Piemro 013", "Sumenu 033", "Raqote 071", "Khem 032", "Timinhor 075", "Iunu 070", "Raqote 087", "Tjaru 039", "Madu 064", "Timinhor 057", "Khasnut 049", "Khem 052", "Madu 061", "Khasnut 027", "Madu 083", "Khasnut 063", "Tjaru 097", "Sumenu 070", "Raqote 011", "Djedu 080", "Taremu 064", "Iunu 051", "Sumenu 089", "Djedu 036", "Tjaru 098", "Raqote 070", "Raqote 066", "Madu 074", "Sumenu 073", "Tjaru 034", "Setennu 092", "Khem 073", "Khasnut 061", "Madu 051", "Iunu 068", "Taremu 016", "Piemro 080", "Yamu 080", "Timinhor 068", "Nekhen 088", "Sumenu 064", "Piemro 047", "Khito 025", "Madu 073", "Taremu 063", "Sumenu 062", "Piemro 036", "Setennu 051", "Sumenu 032", "Sumenu 057", "Djedu 040",    
// Galaxy 3
"Khasnut 061", "Khem 075", "Raqote 010", "Nekhen 038", "Raqote 068", "Tjaru 087", "Sumenu 035", "Iunu 056", "Raqote 030", "Piemro 061", "Khasnut 025", "Timinhor 025", "Thonis 071", "Madu 060", "Taremu 017", "Yamu 075", "Thonis 069", "Sumenu 026", "Djedet 086", "Sumenu 047", "Sumenu 067", "Nekhen 030", "Khasnut 031", "Djedu 045", "Iunu 078", "Setennu 019", "Djedu 032", "Sumenu 030", "Taremu 088", "Tjaru 085", "Djedu 080", "Madu 012", "Piemro 080", "Djedu 081", "Djedu 084", "Nekhen 092", "Timinhor 035", "Timinhor 058", "Tjaru 012", "Khem 094", "Tjaru 044", "Djedet 086", "Tjaru 058", "Timinhor 068", "Timinhor 010", "Nekhen 079", "Madu 025", "Khito 075", "Djedet 047", "Yamu 086", "Piemro 060", "Tjaru 080", "Thonis 049", "Thonis 095", "Nekhen 053", "Taremu 062", "Setennu 031", "Madu 099", "Khito 074", "Tjaru 097", "Djedet 076", "Khem 093", "Taremu 050", "Yamu 079", "Sumenu 074", "Yamu 019", "Nekhen 096", "Nekhen 038", "Nekhen 091", "Iunu 019", "Taremu 074", "Khasnut 088", "Khasnut 070", "Sumenu 021", "Yamu 083", "Tjaru 028", "Thonis 068", "Madu 092", "Setennu 076", "Piemro 040", "Djedet 043", "Sumenu 083", "Yamu 044", "Thonis 054", "Djedet 099", "Djedet 054", "Madu 014", "Sumenu 011", "Madu 030", "Setennu 030", "Yamu 024", "Djedu 011", "Khito 093", "Khasnut 093", "Raqote 077", "Iunu 058", "Djedu 023", "Madu 047", "Djedet 011", "Piemro 023", "Thonis 099", "Tjaru 058", "Yamu 033", "Raqote 066", "Thonis 070", "Djedet 039", "Khem 039", "Djedu 050", "Raqote 086", "Iunu 024", "Setennu 028", "Piemro 059", "Djedet 096", "Sumenu 020", "Nekhen 021", "Djedet 096", "Piemro 043", "Djedu 088", "Iunu 034", "Thonis 016", "Piemro 069", "Taremu 060", "Raqote 074", "Timinhor 075", "Djedu 041", "Setennu 049", "Thonis 076", "Nekhen 088", "Thonis 059", "Khito 075", "Sumenu 039", "Setennu 097", "Timinhor 016", "Piemro 056", "Yamu 017", "Timinhor 023", "Nekhen 085", "Piemro 063", "Madu 079", "Timinhor 088", "Timinhor 092", "Thonis 061", "Setennu 046", "Thonis 053", "Nekhen 093", "Raqote 049", "Khasnut 091", "Khito 055", "Iunu 099", "Sumenu 092", "Piemro 046", "Iunu 056", "Taremu 046", "Khasnut 013", "Yamu 053", "Khito 047", "Raqote 038", "Khasnut 063", "Djedet 019", "Djedet 088", "Khito 051", "Raqote 073", "Khito 055", "Thonis 063", "Tjaru 029", "Khem 086", "Madu 059", "Thonis 079", "Piemro 046", "Taremu 028", "Nekhen 079", "Taremu 060", "Setennu 073", "Sumenu 081", "Khasnut 068", "Thonis 097", "Khito 050", "Taremu 067", "Khem 097", "Djedu 098", "Djedu 029", "Setennu 076", "Raqote 082", "Khasnut 010", "Nekhen 039", "Raqote 082", "Madu 056", "Taremu 030", "Djedu 039", "Madu 071", "Raqote 040", "Yamu 069", "Madu 052", "Raqote 035", "Khito 030", "Nekhen 084", "Nekhen 097", "Iunu 056", "Nekhen 085", "Thonis 033", "Khito 039", "Khasnut 079", "Raqote 060", "Taremu 084", "Djedu 058", "Madu 034", "Setennu 038", "Iunu 059", "Djedu 074", "Khito 097", "Khem 098", "Iunu 052", "Yamu 098", "Setennu 030", "Nekhen 061", "Djedet 012", "Taremu 039", "Setennu 080", "Khem 046", "Khito 047", "Tjaru 014", "Taremu 058", "Raqote 068", "Taremu 092", "Sumenu 066", "Yamu 091", "Djedu 077", "Yamu 025", "Khito 065", "Djedu 029", "Yamu 051", "Tjaru 047", "Iunu 019", "Djedu 017", "Djedet 019", "Khem 013", "Sumenu 091", "Yamu 013", "Thonis 051", "Thonis 010", "Djedet 075", "Setennu 022", "Khem 035", "Khasnut 048", "Piemro 085", "Thonis 031", "Madu 075", "Khito 086", "Madu 045", "Khasnut 084", "Timinhor 081", "Khem 024", "Timinhor 024", "Madu 072", "Setennu 023", "Tjaru 091",    
// Galaxy 4
"Khito 015", "Madu 046", "Taremu 043", "Taremu 046", "Khito 067", "Madu 085", "Khito 066", "Khem 045", "Khem 018", "Madu 016", "Khito 044", "Thonis 013", "Iunu 098", "Nekhen 026", "Raqote 050", "Taremu 095", "Iunu 096", "Djedet 090", "Sumenu 066", "Thonis 058", "Timinhor 075", "Djedet 071", "Nekhen 084", "Djedet 070", "Thonis 035", "Khem 033", "Piemro 065", "Taremu 096", "Raqote 014", "Timinhor 014", "Sumenu 097", "Khito 033", "Piemro 056", "Taremu 071", "Yamu 025", "Khem 095", "Sumenu 088", "Tjaru 027", "Djedet 075", "Timinhor 030", "Yamu 031", "Khem 011", "Yamu 066", "Taremu 045", "Djedu 015", "Iunu 012", "Thonis 023", "Nekhen 059", "Sumenu 084", "Nekhen 015", "Yamu 018", "Setennu 069", "Yamu 046", "Taremu 077", "Khem 079", "Khito 011", "Nekhen 072", "Thonis 091", "Sumenu 088", "Khem 012", "Yamu 043", "Sumenu 038", "Sumenu 035", "Khito 046", "Madu 027", "Djedet 021", "Khasnut 065", "Khito 095", "Nekhen 055", "Iunu 083", "Nekhen 029", "Djedet 040", "Yamu 070", "Raqote 046", "Thonis 023", "Iunu 012", "Piemro 087", "Khito 094", "Djedet 017", "Thonis 058", "Raqote 034", "Iunu 045", "Tjaru 019", "Khem 092", "Setennu 022", "Nekhen 071", "Djedu 058", "Djedet 068", "Khito 045", "Sumenu 077", "Thonis 066", "Taremu 066", "Djedet 081", "Raqote 037", "Khasnut 080", "Thonis 012", "Piemro 017", "Thonis 023", "Thonis 031", "Piemro 086", "Djedu 054", "Setennu 033", "Djedu 059", "Khasnut 082", "Nekhen 098", "Yamu 072", "Taremu 057", "Madu 011", "Setennu 037", "Raqote 081", "Nekhen 062", "Khito 099", "Madu 042", "Thonis 061", "Timinhor 023", "Raqote 071", "Thonis 089", "Tjaru 026", "Madu 019", "Madu 076", "Madu 037", "Djedu 071", "Tjaru 062", "Khem 067", "Tjaru 072", "Nekhen 088", "Djedu 051", "Timinhor 013", "Setennu 019", "Djedet 048", "Djedu 032", "Djedet 055", "Madu 081", "Piemro 075", "Timinhor 015", "Sumenu 021", "Khito 078", "Raqote 092", "Taremu 038", "Nekhen 046", "Khito 069", "Djedet 018", "Tjaru 062", "Iunu 082", "Djedet 083", "Djedu 017", "Yamu 047", "Khito 058", "Timinhor 014", "Piemro 036", "Khito 058", "Piemro 015", "Khito 062", "Yamu 029", "Timinhor 044", "Sumenu 095", "Raqote 030", "Taremu 036", "Raqote 098", "Tjaru 026", "Djedet 037", "Taremu 090", "Thonis 057", "Setennu 012", "Khem 031", "Setennu 042", "Setennu 090", "Timinhor 072", "Sumenu 066", "Iunu 077", "Setennu 074", "Khasnut 028", "Djedet 082", "Iunu 030", "Khem 013", "Iunu 094", "Khem 011", "Madu 096", "Thonis 074", "Iunu 074", "Madu 054", "Sumenu 032", "Timinhor 059", "Yamu 010", "Yamu 061", "Tjaru 035", "Tjaru 056", "Khem 034", "Djedet 067", "Raqote 057", "Setennu 071", "Taremu 098", "Khasnut 090", "Timinhor 057", "Nekhen 046", "Timinhor 098", "Sumenu 045", "Taremu 033", "Iunu 056", "Thonis 029", "Khasnut 078", "Khem 086", "Tjaru 013", "Iunu 057", "Djedet 072", "Piemro 064", "Tjaru 031", "Khito 053", "Djedu 080", "Djedet 062", "Thonis 043", "Djedu 015", "Khasnut 084", "Piemro 053", "Khasnut 022", "Djedet 096", "Taremu 091", "Madu 094", "Khem 074", "Djedet 088", "Djedet 087", "Thonis 068", "Raqote 062", "Taremu 091", "Sumenu 069", "Timinhor 061", "Nekhen 010", "Khasnut 097", "Yamu 022", "Khem 015", "Khasnut 074", "Tjaru 064", "Madu 036", "Khito 057", "Piemro 070", "Khito 029", "Tjaru 097", "Madu 053", "Raqote 054", "Yamu 070", "Timinhor 045", "Khem 021", "Piemro 070", "Nekhen 035", "Khasnut 036", "Djedu 048", "Timinhor 012", "Tjaru 093", "Iunu 022", "Khem 056", "Khem 029", "Yamu 032", "Iunu 058", "Iunu 025", "Yamu 052", "Djedu 058",    
// Galaxy 5
"Djedet 015", "Yamu 097", "Khito 039", "Yamu 047", "Iunu 090", "Piemro 018", "Thonis 090", "Madu 020", "Madu 062", "Sumenu 054", "Taremu 035", "Tjaru 022", "Taremu 050", "Madu 077", "Iunu 035", "Iunu 024", "Taremu 055", "Timinhor 041", "Sumenu 048", "Sumenu 087", "Tjaru 046", "Yamu 033", "Iunu 073", "Setennu 079", "Yamu 029", "Tjaru 026", "Djedu 062", "Raqote 016", "Khasnut 070", "Setennu 078", "Djedet 082", "Madu 067", "Iunu 075", "Piemro 066", "Setennu 088", "Tjaru 059", "Sumenu 077", "Thonis 038", "Raqote 013", "Djedu 032", "Khito 069", "Timinhor 057", "Djedet 028", "Yamu 085", "Yamu 019", "Sumenu 028", "Iunu 048", "Djedet 039", "Nekhen 086", "Setennu 054", "Khito 091", "Timinhor 037", "Iunu 067", "Nekhen 095", "Yamu 074", "Khito 072", "Sumenu 045", "Khem 028", "Sumenu 014", "Setennu 011", "Djedu 070", "Raqote 050", "Iunu 025", "Khem 059", "Khem 081", "Piemro 088", "Tjaru 011", "Madu 090", "Madu 033", "Raqote 069", "Khasnut 066", "Djedet 086", "Khasnut 041", "Taremu 028", "Nekhen 079", "Taremu 057", "Timinhor 021", "Taremu 045", "Thonis 023", "Timinhor 046", "Timinhor 088", "Khem 062", "Timinhor 043", "Taremu 018", "Sumenu 034", "Taremu 084", "Iunu 095", "Tjaru 085", "Madu 073", "Khem 049", "Nekhen 081", "Raqote 016", "Khito 054", "Piemro 036", "Yamu 076", "Raqote 012", "Thonis 070", "Yamu 093", "Sumenu 095", "Nekhen 015", "Madu 067", "Piemro 083", "Djedet 083", "Yamu 019", "Djedu 076", "Setennu 031", "Iunu 018", "Djedu 018", "Taremu 036", "Khem 084", "Djedet 023", "Yamu 026", "Taremu 047", "Iunu 044", "Djedet 087", "Djedet 070", "Madu 067", "Djedu 064", "Raqote 020", "Tjaru 057", "Timinhor 077", "Khito 034", "Madu 076", "Nekhen 041", "Raqote 046", "Khito 067", "Khito 057", "Iunu 066", "Yamu 064", "Taremu 031", "Taremu 034", "Madu 054", "Iunu 021", "Djedet 095", "Taremu 013", "Djedet 057", "Yamu 080", "Yamu 035", "Djedu 054", "Timinhor 011", "Madu 018", "Djedu 027", "Khasnut 012", "Khito 075", "Piemro 049", "Taremu 020", "Timinhor 064", "Setennu 025", "Djedu 033", "Djedet 060", "Khasnut 086", "Timinhor 090", "Piemro 088", "Khem 026", "Khito 055", "Yamu 016", "Khito 051", "Djedu 097", "Piemro 046", "Raqote 030", "Khem 018", "Setennu 053", "Iunu 057", "Piemro 090", "Khem 069", "Djedu 056", "Setennu 069", "Sumenu 038", "Djedu 034", "Khem 043", "Setennu 099", "Khem 021", "Khito 027", "Yamu 096", "Nekhen 069", "Timinhor 098", "Khasnut 031", "Khito 071", "Timinhor 029", "Thonis 059", "Setennu 034", "Iunu 038", "Tjaru 041", "Timinhor 078", "Khasnut 066", "Iunu 090", "Djedet 031", "Timinhor 043", "Djedet 095", "Madu 054", "Setennu 032", "Khasnut 063", "Timinhor 066", "Thonis 085", "Thonis 065", "Djedet 054", "Iunu 079", "Khem 027", "Taremu 067", "Khem 044", "Setennu 040", "Khito 099", "Djedet 090", "Yamu 093", "Sumenu 060", "Sumenu 024", "Sumenu 037", "Taremu 082", "Djedet 076", "Tjaru 047", "Nekhen 043", "Khito 045", "Nekhen 056", "Nekhen 066", "Nekhen 055", "Tjaru 090", "Khem 067", "Djedu 050", "Djedu 056", "Raqote 089", "Sumenu 021", "Sumenu 025", "Taremu 057", "Timinhor 078", "Piemro 041", "Djedet 025", "Yamu 075", "Thonis 020", "Iunu 039", "Setennu 036", "Piemro 035", "Thonis 057", "Khasnut 051", "Taremu 012", "Djedet 025", "Khem 034", "Iunu 073", "Setennu 051", "Thonis 063", "Raqote 077", "Setennu 081", "Djedu 083", "Timinhor 014", "Setennu 049", "Taremu 031", "Raqote 076", "Thonis 083", "Taremu 070", "Tjaru 021", "Djedu 069", "Madu 038", "Madu 061", "Taremu 052", "Raqote 082", "Nekhen 076", "Raqote 025",    
// Galaxy 6
"Nekhen 041", "Iunu 044", "Khem 023", "Nekhen 095", "Tjaru 099", "Nekhen 031", "Piemro 042", "Khasnut 097", "Piemro 093", "Sumenu 094", "Madu 053", "Khito 067", "Djedu 074", "Khasnut 044", "Sumenu 026", "Yamu 056", "Setennu 028", "Nekhen 034", "Thonis 089", "Raqote 023", "Nekhen 093", "Djedu 032", "Sumenu 056", "Setennu 026", "Raqote 056", "Raqote 083", "Timinhor 057", "Timinhor 021", "Madu 032", "Thonis 040", "Iunu 040", "Piemro 075", "Thonis 028", "Nekhen 040", "Taremu 041", "Khasnut 051", "Madu 050", "Djedu 075", "Iunu 057", "Piemro 077", "Iunu 094", "Setennu 050", "Raqote 079", "Setennu 029", "Madu 066", "Raqote 013", "Taremu 091", "Djedet 073", "Khem 031", "Khem 012", "Timinhor 035", "Madu 088", "Setennu 086", "Khito 098", "Khasnut 065", "Timinhor 032", "Djedet 014", "Iunu 071", "Yamu 012", "Raqote 036", "Khem 030", "Nekhen 049", "Tjaru 078", "Iunu 069", "Nekhen 090", "Setennu 099", "Yamu 058", "Khito 066", "Madu 063", "Piemro 084", "Djedet 079", "Taremu 040", "Setennu 062", "Thonis 028", "Sumenu 014", "Raqote 018", "Timinhor 027", "Madu 023", "Piemro 024", "Nekhen 092", "Madu 035", "Djedu 067", "Nekhen 060", "Djedet 037", "Tjaru 078", "Timinhor 070", "Raqote 040", "Taremu 018", "Sumenu 011", "Yamu 082", "Tjaru 047", "Khem 032", "Timinhor 087", "Khasnut 079", "Djedu 024", "Raqote 097", "Djedet 097", "Sumenu 015", "Khito 041", "Sumenu 032", "Khem 074", "Thonis 013", "Thonis 014", "Sumenu 063", "Iunu 085", "Djedu 068", "Tjaru 073", "Yamu 088", "Timinhor 032", "Khasnut 013", "Thonis 038", "Khem 097", "Nekhen 076", "Piemro 051", "Sumenu 020", "Setennu 022", "Khem 019", "Taremu 026", "Thonis 019", "Iunu 051", "Raqote 046", "Raqote 050", "Khito 085", "Nekhen 068", "Khito 055", "Tjaru 069", "Khito 075", "Timinhor 037", "Madu 033", "Setennu 068", "Taremu 057", "Nekhen 089", "Tjaru 096", "Khasnut 042", "Djedet 046", "Khem 020", "Djedet 056", "Setennu 017", "Thonis 022", "Timinhor 055", "Yamu 047", "Iunu 032", "Timinhor 094", "Tjaru 038", "Khito 023", "Sumenu 058", "Raqote 049", "Djedet 091", "Raqote 047", "Raqote 055", "Sumenu 032", "Yamu 076", "Taremu 044", "Madu 079", "Khito 023", "Khito 010", "Yamu 036", "Khito 025", "Tjaru 037", "Khasnut 066", "Nekhen 021", "Piemro 025", "Taremu 094", "Djedu 095", "Khito 044", "Taremu 082", "Sumenu 099", "Piemro 080", "Djedet 070", "Tjaru 073", "Djedu 057", "Djedet 060", "Khito 092", "Khito 024", "Khito 023", "Timinhor 073", "Madu 022", "Taremu 018", "Tjaru 024", "Khasnut 090", "Tjaru 032", "Thonis 072", "Taremu 016", "Khem 013", "Piemro 016", "Thonis 087", "Thonis 049", "Khem 011", "Raqote 024", "Timinhor 057", "Khasnut 016", "Khito 015", "Khasnut 035", "Nekhen 095", "Khito 076", "Khem 035", "Djedet 085", "Timinhor 074", "Khito 019", "Madu 036", "Khem 066", "Yamu 042", "Timinhor 039", "Khito 097", "Timinhor 012", "Timinhor 075", "Thonis 083", "Iunu 065", "Tjaru 018", "Djedu 055", "Raqote 059", "Madu 021", "Yamu 045", "Piemro 066", "Raqote 068", "Piemro 066", "Djedet 030", "Djedu 039", "Raqote 091", "Yamu 026", "Djedu 067", "Sumenu 083", "Tjaru 028", "Djedet 038", "Taremu 074", "Djedu 059", "Khito 090", "Sumenu 058", "Khem 031", "Djedet 089", "Taremu 067", "Taremu 059", "Timinhor 018", "Khito 071", "Madu 034", "Raqote 082", "Khito 083", "Thonis 066", "Tjaru 069", "Raqote 093", "Khito 057", "Yamu 047", "Taremu 011", "Iunu 099", "Taremu 049", "Djedu 036", "Khasnut 015", "Timinhor 011", "Iunu 071", "Madu 046", "Djedet 038", "Yamu 050", "Djedu 054", "Madu 019", "Thonis 084", "Nekhen 095",    
// Galaxy 7
"Djedu 058", "Yamu 040", "Thonis 020", "Djedu 015", "Taremu 077", "Sumenu 046", "Timinhor 022", "Sumenu 092", "Raqote 040", "Thonis 043", "Taremu 036", "Yamu 084", "Khito 089", "Tjaru 063", "Khasnut 017", "Timinhor 051", "Timinhor 062", "Iunu 056", "Timinhor 073", "Tjaru 090", "Khem 042", "Iunu 083", "Djedet 034", "Iunu 056", "Khasnut 053", "Khasnut 030", "Yamu 071", "Madu 036", "Djedu 049", "Khasnut 050", "Yamu 019", "Khito 080", "Nekhen 051", "Thonis 082", "Khito 038", "Raqote 045", "Thonis 083", "Tjaru 087", "Piemro 097", "Setennu 087", "Nekhen 057", "Nekhen 038", "Khasnut 014", "Madu 038", "Khito 016", "Setennu 090", "Khem 052", "Sumenu 030", "Djedu 018", "Khem 023", "Iunu 037", "Raqote 067", "Madu 085", "Raqote 055", "Iunu 039", "Madu 013", "Khasnut 066", "Khasnut 077", "Thonis 045", "Piemro 033", "Nekhen 068", "Khito 026", "Piemro 032", "Nekhen 067", "Taremu 096", "Taremu 087", "Sumenu 050", "Djedu 024", "Taremu 064", "Raqote 016", "Thonis 033", "Iunu 085", "Taremu 039", "Khem 048", "Iunu 070", "Raqote 090", "Nekhen 096", "Khasnut 076", "Setennu 031", "Djedet 087", "Khasnut 053", "Raqote 040", "Tjaru 016", "Sumenu 040", "Khasnut 024", "Yamu 088", "Khem 087", "Khito 049", "Madu 053", "Setennu 075", "Setennu 063", "Yamu 042", "Yamu 042", "Madu 084", "Djedu 017", "Djedet 055", "Tjaru 032", "Djedet 040", "Thonis 076", "Piemro 018", "Madu 097", "Djedet 051", "Khito 090", "Thonis 012", "Taremu 065", "Thonis 043", "Nekhen 016", "Piemro 079", "Djedet 018", "Thonis 087", "Raqote 011", "Nekhen 012", "Timinhor 054", "Taremu 053", "Khem 020", "Djedet 017", "Yamu 057", "Djedet 016", "Khito 081", "Khasnut 085", "Setennu 037", "Piemro 061", "Khasnut 056", "Thonis 016", "Yamu 027", "Khasnut 092", "Tjaru 032", "Setennu 059", "Yamu 079", "Tjaru 079", "Djedu 097", "Khem 040", "Setennu 088", "Sumenu 070", "Nekhen 021", "Khem 021", "Madu 058", "Djedet 077", "Thonis 073", "Khem 095", "Raqote 019", "Madu 075", "Djedu 012", "Nekhen 053", "Madu 087", "Khito 074", "Khem 078", "Tjaru 026", "Madu 052", "Madu 058", "Madu 010", "Piemro 013", "Thonis 036", "Timinhor 015", "Taremu 092", "Nekhen 092", "Setennu 023", "Khito 094", "Yamu 067", "Raqote 056", "Thonis 038", "Thonis 099", "Sumenu 089", "Taremu 045", "Nekhen 083", "Setennu 024", "Khasnut 011", "Timinhor 062", "Djedet 097", "Khem 048", "Djedu 031", "Setennu 049", "Iunu 077", "Tjaru 020", "Madu 099", "Djedu 060", "Khem 071", "Djedet 062", "Djedet 055", "Taremu 083", "Iunu 081", "Thonis 030", "Yamu 048", "Khem 025", "Yamu 029", "Yamu 038", "Tjaru 022", "Nekhen 086", "Nekhen 013", "Tjaru 089", "Djedu 032", "Djedet 067", "Madu 028", "Iunu 069", "Djedet 016", "Djedu 070", "Raqote 017", "Iunu 067", "Taremu 077", "Timinhor 085", "Sumenu 056", "Khasnut 058", "Timinhor 069", "Djedu 094", "Raqote 079", "Djedu 036", "Piemro 011", "Taremu 069", "Raqote 052", "Nekhen 074", "Nekhen 067", "Nekhen 087", "Madu 010", "Madu 090", "Khem 067", "Thonis 032", "Raqote 064", "Khasnut 097", "Khasnut 035", "Khito 064", "Djedu 049", "Timinhor 066", "Tjaru 044", "Raqote 027", "Nekhen 059", "Khito 022", "Djedet 073", "Khasnut 081", "Yamu 092", "Khito 064", "Khem 014", "Khem 019", "Djedet 089", "Raqote 056", "Iunu 029", "Khasnut 056", "Piemro 019", "Nekhen 062", "Khito 074", "Nekhen 057", "Khasnut 022", "Setennu 035", "Nekhen 092", "Taremu 050", "Djedet 025", "Taremu 015", "Iunu 030", "Thonis 067", "Sumenu 074", "Khito 062", "Nekhen 021", "Yamu 074", "Tjaru 079", "Setennu 059", "Djedet 083", "Timinhor 083",    
// Galaxy 8
"Madu 098", "Madu 062", "Piemro 086", "Iunu 034", "Khem 070", "Iunu 039", "Nekhen 098", "Nekhen 053", "Setennu 087", "Nekhen 095", "Raqote 068", "Yamu 022", "Sumenu 078", "Piemro 091", "Timinhor 061", "Piemro 051", "Nekhen 083", "Timinhor 068", "Khito 035", "Timinhor 055", "Piemro 097", "Raqote 049", "Taremu 045", "Djedet 031", "Piemro 064", "Taremu 053", "Piemro 080", "Thonis 016", "Yamu 038", "Khem 033", "Taremu 019", "Tjaru 027", "Nekhen 077", "Sumenu 037", "Tjaru 069", "Tjaru 058", "Thonis 020", "Djedu 034", "Khem 064", "Raqote 011", "Setennu 010", "Taremu 017", "Raqote 075", "Sumenu 040", "Nekhen 090", "Djedet 012", "Khem 092", "Djedet 090", "Taremu 057", "Djedu 042", "Nekhen 099", "Setennu 043", "Taremu 027", "Piemro 049", "Piemro 049", "Tjaru 038", "Setennu 042", "Iunu 076", "Raqote 099", "Khem 025", "Raqote 045", "Djedet 069", "Tjaru 041", "Khito 076", "Djedu 034", "Djedu 089", "Setennu 032", "Sumenu 059", "Tjaru 041", "Nekhen 066", "Sumenu 049", "Yamu 096", "Khito 032", "Iunu 019", "Iunu 094", "Yamu 088", "Thonis 078", "Piemro 031", "Khito 047", "Thonis 099", "Khasnut 062", "Khasnut 074", "Madu 054", "Djedu 056", "Iunu 023", "Djedu 026", "Khito 078", "Khasnut 032", "Thonis 059", "Nekhen 059", "Timinhor 062", "Thonis 095", "Thonis 014", "Setennu 027", "Sumenu 040", "Sumenu 024", "Tjaru 094", "Djedu 027", "Iunu 021", "Djedu 037", "Madu 068", "Raqote 077", "Piemro 018", "Tjaru 078", "Piemro 049", "Thonis 060", "Thonis 047", "Djedet 029", "Djedet 072", "Khem 053", "Raqote 073", "Iunu 027", "Djedu 069", "Tjaru 020", "Raqote 011", "Taremu 010", "Khito 091", "Iunu 092", "Khem 074", "Djedu 030", "Timinhor 076", "Tjaru 021", "Yamu 063", "Thonis 028", "Khasnut 091", "Timinhor 069", "Iunu 014", "Timinhor 096", "Setennu 086", "Djedet 072", "Khito 076", "Iunu 019", "Thonis 091", "Piemro 071", "Timinhor 023", "Setennu 027", "Djedet 014", "Thonis 018", "Khito 063", "Madu 099", "Djedu 093", "Yamu 039", "Khito 054", "Setennu 038", "Sumenu 043", "Nekhen 066", "Nekhen 062", "Djedu 049", "Yamu 034", "Yamu 023", "Iunu 029", "Yamu 029", "Yamu 098", "Sumenu 070", "Iunu 090", "Iunu 017", "Madu 040", "Djedet 036", "Khasnut 041", "Djedu 077", "Setennu 057", "Taremu 064", "Thonis 029", "Piemro 089", "Yamu 079", "Nekhen 050", "Khito 038", "Setennu 012", "Tjaru 054", "Timinhor 083", "Khem 056", "Timinhor 091", "Yamu 078", "Nekhen 039", "Thonis 017", "Yamu 043", "Timinhor 048", "Iunu 070", "Setennu 057", "Djedet 083", "Djedu 032", "Sumenu 041", "Madu 093", "Nekhen 055", "Raqote 067", "Taremu 071", "Madu 015", "Taremu 018", "Tjaru 055", "Timinhor 096", "Khito 081", "Khito 018", "Raqote 019", "Tjaru 093", "Khito 064", "Sumenu 090", "Khito 053", "Nekhen 092", "Setennu 059", "Raqote 071", "Khito 058", "Djedet 030", "Sumenu 065", "Thonis 012", "Khasnut 017", "Yamu 088", "Tjaru 079", "Raqote 045", "Madu 047", "Iunu 029", "Khito 020", "Iunu 042", "Setennu 010", "Piemro 035", "Djedet 073", "Madu 042", "Timinhor 032", "Timinhor 031", "Djedu 060", "Yamu 056", "Timinhor 055", "Khem 041", "Djedet 015", "Iunu 091", "Yamu 013", "Raqote 084", "Timinhor 081", "Raqote 042", "Tjaru 065", "Setennu 089", "Thonis 034", "Nekhen 064", "Khito 095", "Iunu 064", "Taremu 030", "Djedu 092", "Yamu 085", "Djedu 053", "Khito 030", "Djedu 025", "Djedet 033", "Djedet 028", "Timinhor 045", "Khasnut 041", "Yamu 025", "Djedet 026", "Djedu 037", "Setennu 071", "Tjaru 053", "Khito 036", "Yamu 048", "Djedet 095", "Djedu 019", "Timinhor 090", "Iunu 016", "Tjaru 087",    
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Khito 401"];

// Name Arrays for Fuel Stations - 5th Station in a given system to spawn. (Number of Names in Array: 2,048)
// This uses the large counted pool method as above.
this.fuelpool5 = [
// Galaxy 1
"Tibira 046", "Adab 054", "Akkad 045", "Akkad 070", "Tibira 061", "Tibira 038", "Hamazi 013", "Kish 073", "Kish 058", "Isin 046", "Umma 081", "Uruk 085", "Uruk 015", "Uruk 076", "Nippur 065", "Mari 064", "Larsa 015", "Lagash 033", "Sippar 095", "Kish 082", "Umma 036", "Hamazi 024", "Adab 071", "Kish 032", "Umma 063", "Umma 028", "Kish 066", "Larsa 047", "Tibira 059", "Girsu 048", "Kish 022", "Lagash 089", "Tibira 060", "Larsa 053", "Tibira 063", "Lagash 069", "Kish 085", "Uruk 089", "Akkad 064", "Lagash 099", "Eridu 052", "Eridu 064", "Lagash 083", "Tibira 039", "Eridu 032", "Umma 026", "Nippur 015", "Akkad 023", "Sippar 078", "Isin 079", "Akkad 093", "Uruk 093", "Akkad 090", "Uruk 092", "Adab 043", "Kish 044", "Kish 074", "Tibira 051", "Akkad 087", "Akkad 068", "Hamazi 074", "Akshak 057", "Eridu 096", "Eridu 063", "Lagash 057", "Sippar 067", "Nippur 053", "Girsu 016", "Larsa 030", "Akkad 012", "Nippur 045", "Girsu 077", "Larsa 014", "Adab 052", "Tibira 052", "Sippar 073", "Larsa 097", "Akkad 082", "Tibira 072", "Larsa 030", "Umma 052", "Akkad 016", "Eridu 060", "Uruk 042", "Larsa 073", "Girsu 066", "Adab 098", "Nippur 016", "Sippar 016", "Akshak 061", "Uruk 095", "Tibira 040", "Tibira 055", "Lagash 042", "Kish 037", "Lagash 044", "Adab 074", "Sippar 055", "Sippar 038", "Akshak 054", "Uruk 071", "Sippar 069", "Eridu 051", "Sippar 076", "Mari 083", "Umma 059", "Uruk 054", "Mari 092", "Eridu 053", "Nippur 068", "Kish 061", "Girsu 028", "Larsa 084", "Uruk 092", "Larsa 099", "Umma 082", "Mari 031", "Sippar 048", "Adab 055", "Akshak 015", "Kish 045", "Mari 039", "Eridu 082", "Isin 042", "Kish 014", "Isin 026", "Isin 014", "Mari 025", "Kish 027", "Girsu 098", "Kish 031", "Larsa 076", "Sippar 037", "Lagash 056", "Nippur 023", "Isin 097", "Akkad 021", "Akshak 054", "Lagash 086", "Akshak 046", "Hamazi 074", "Akshak 079", "Akkad 052", "Hamazi 018", "Isin 043", "Sippar 073", "Umma 083", "Kish 050", "Sippar 079", "Uruk 095", "Uruk 070", "Umma 064", "Eridu 030", "Adab 097", "Eridu 010", "Larsa 055", "Kish 012", "Uruk 026", "Sippar 088", "Uruk 065", "Isin 065", "Akkad 096", "Larsa 060", "Adab 020", "Sippar 014", "Umma 022", "Isin 089", "Akkad 060", "Uruk 057", "Kish 010", "Tibira 063", "Isin 056", "Akshak 078", "Girsu 061", "Mari 027", "Nippur 026", "Tibira 032", "Umma 063", "Adab 076", "Hamazi 025", "Isin 048", "Girsu 062", "Umma 022", "Tibira 024", "Kish 060", "Eridu 047", "Mari 071", "Uruk 013", "Adab 029", "Girsu 084", "Lagash 058", "Uruk 062", "Lagash 094", "Kish 035", "Hamazi 026", "Girsu 011", "Isin 017", "Sippar 029", "Girsu 036", "Hamazi 083", "Umma 053", "Uruk 054", "Girsu 022", "Akkad 099", "Kish 031", "Akshak 055", "Lagash 033", "Mari 047", "Eridu 076", "Sippar 027", "Umma 097", "Mari 010", "Lagash 014", "Adab 098", "Sippar 097", "Akkad 042", "Adab 054", "Larsa 033", "Girsu 023", "Adab 039", "Akshak 026", "Eridu 060", "Nippur 072", "Adab 039", "Isin 099", "Nippur 024", "Larsa 059", "Mari 032", "Mari 044", "Sippar 084", "Hamazi 065", "Kish 037", "Mari 084", "Sippar 037", "Girsu 044", "Tibira 057", "Akshak 033", "Larsa 089", "Akkad 015", "Sippar 048", "Adab 069", "Uruk 030", "Akshak 051", "Umma 075", "Adab 044", "Nippur 091", "Mari 038", "Hamazi 089", "Isin 045", "Girsu 015", "Adab 091", "Tibira 082", "Kish 094", "Larsa 063", "Umma 088", "Lagash 050",    
// Galaxy 2
"Tibira 050", "Lagash 054", "Umma 085", "Kish 048", "Girsu 093", "Akkad 070", "Nippur 093", "Tibira 027", "Kish 032", "Hamazi 049", "Girsu 089", "Mari 074", "Tibira 076", "Sippar 074", "Larsa 051", "Kish 060", "Hamazi 034", "Nippur 091", "Akkad 093", "Sippar 097", "Hamazi 055", "Uruk 084", "Adab 065", "Uruk 022", "Akkad 010", "Isin 083", "Hamazi 091", "Kish 089", "Kish 083", "Eridu 045", "Lagash 057", "Nippur 025", "Uruk 096", "Umma 047", "Umma 068", "Nippur 063", "Larsa 056", "Umma 054", "Akshak 015", "Uruk 049", "Sippar 024", "Tibira 067", "Girsu 015", "Tibira 052", "Adab 056", "Eridu 044", "Eridu 030", "Uruk 092", "Eridu 040", "Girsu 050", "Umma 085", "Larsa 020", "Akshak 074", "Isin 033", "Hamazi 046", "Uruk 052", "Akshak 059", "Girsu 037", "Mari 017", "Uruk 063", "Eridu 045", "Akshak 038", "Eridu 088", "Kish 013", "Nippur 057", "Akkad 032", "Sippar 073", "Umma 019", "Hamazi 017", "Sippar 040", "Eridu 029", "Akshak 042", "Nippur 033", "Uruk 084", "Uruk 024", "Umma 095", "Larsa 089", "Mari 046", "Lagash 062", "Akkad 033", "Lagash 089", "Eridu 071", "Umma 059", "Nippur 033", "Sippar 065", "Tibira 020", "Lagash 078", "Isin 053", "Uruk 083", "Akkad 079", "Sippar 076", "Umma 099", "Adab 091", "Uruk 076", "Girsu 045", "Akkad 074", "Umma 060", "Lagash 058", "Girsu 093", "Eridu 072", "Akkad 028", "Hamazi 094", "Akkad 077", "Hamazi 046", "Larsa 036", "Akshak 050", "Tibira 062", "Larsa 014", "Adab 090", "Akshak 066", "Mari 063", "Kish 057", "Uruk 053", "Kish 093", "Eridu 018", "Adab 078", "Sippar 018", "Umma 033", "Adab 022", "Umma 072", "Kish 051", "Kish 082", "Kish 022", "Lagash 028", "Sippar 080", "Larsa 043", "Lagash 072", "Lagash 095", "Girsu 026", "Hamazi 083", "Adab 089", "Mari 087", "Larsa 049", "Eridu 011", "Larsa 071", "Mari 035", "Hamazi 036", "Adab 067", "Uruk 041", "Umma 064", "Akshak 087", "Umma 014", "Larsa 010", "Girsu 086", "Uruk 048", "Lagash 072", "Larsa 097", "Nippur 021", "Lagash 056", "Akkad 013", "Lagash 011", "Lagash 053", "Sippar 019", "Girsu 047", "Akkad 053", "Kish 032", "Akshak 026", "Mari 082", "Tibira 042", "Tibira 093", "Hamazi 059", "Girsu 041", "Lagash 015", "Akkad 074", "Kish 026", "Nippur 072", "Adab 027", "Lagash 050", "Isin 027", "Akkad 086", "Adab 036", "Akshak 093", "Eridu 070", "Eridu 033", "Girsu 037", "Akkad 030", "Tibira 037", "Nippur 029", "Eridu 013", "Sippar 020", "Nippur 060", "Adab 012", "Tibira 053", "Nippur 034", "Umma 018", "Umma 048", "Larsa 094", "Hamazi 021", "Nippur 061", "Akkad 085", "Tibira 022", "Larsa 036", "Kish 072", "Akkad 079", "Larsa 097", "Akkad 045", "Uruk 043", "Sippar 099", "Sippar 084", "Akkad 027", "Eridu 078", "Tibira 074", "Umma 075", "Umma 069", "Sippar 056", "Eridu 041", "Lagash 087", "Sippar 094", "Akshak 075", "Larsa 038", "Larsa 042", "Nippur 048", "Lagash 081", "Nippur 029", "Adab 012", "Lagash 045", "Adab 058", "Sippar 072", "Tibira 095", "Hamazi 073", "Hamazi 088", "Isin 037", "Girsu 077", "Akshak 081", "Nippur 092", "Kish 025", "Nippur 084", "Umma 075", "Adab 077", "Adab 090", "Kish 037", "Mari 074", "Umma 034", "Larsa 043", "Lagash 095", "Lagash 075", "Larsa 034", "Umma 064", "Umma 074", "Isin 091", "Kish 054", "Adab 090", "Larsa 015", "Mari 010", "Umma 050", "Umma 079", "Akshak 056", "Akkad 015", "Akkad 025", "Akkad 014", "Kish 057", "Nippur 064", "Umma 035", "Akkad 019", "Umma 097", "Kish 055",    
// Galaxy 3
"Mari 080", "Lagash 030", "Larsa 071", "Girsu 043", "Tibira 062", "Isin 017", "Isin 036", "Lagash 047", "Akshak 029", "Mari 014", "Hamazi 054", "Tibira 011", "Mari 055", "Hamazi 084", "Isin 024", "Kish 066", "Umma 019", "Larsa 099", "Lagash 010", "Nippur 095", "Eridu 084", "Akshak 087", "Larsa 022", "Umma 034", "Adab 028", "Tibira 099", "Isin 046", "Akshak 056", "Nippur 037", "Sippar 030", "Uruk 014", "Sippar 023", "Larsa 047", "Uruk 010", "Akkad 020", "Tibira 031", "Umma 061", "Eridu 029", "Sippar 039", "Eridu 016", "Girsu 020", "Isin 012", "Kish 089", "Akshak 013", "Lagash 026", "Tibira 066", "Girsu 090", "Akkad 025", "Mari 033", "Hamazi 092", "Larsa 017", "Nippur 042", "Akkad 091", "Uruk 012", "Mari 071", "Larsa 093", "Larsa 043", "Akkad 021", "Sippar 014", "Lagash 032", "Lagash 040", "Nippur 065", "Isin 027", "Girsu 054", "Larsa 010", "Uruk 023", "Uruk 022", "Lagash 078", "Kish 067", "Umma 036", "Akkad 052", "Akshak 035", "Isin 083", "Hamazi 049", "Akkad 072", "Kish 090", "Mari 022", "Larsa 097", "Umma 063", "Hamazi 017", "Akkad 048", "Kish 077", "Nippur 081", "Akkad 042", "Tibira 081", "Sippar 097", "Akkad 061", "Sippar 012", "Tibira 037", "Girsu 055", "Sippar 097", "Sippar 059", "Umma 076", "Hamazi 032", "Lagash 028", "Girsu 092", "Kish 026", "Eridu 051", "Akkad 052", "Mari 017", "Sippar 046", "Kish 083", "Eridu 077", "Nippur 016", "Uruk 074", "Adab 066", "Kish 026", "Larsa 042", "Kish 073", "Girsu 051", "Tibira 020", "Akkad 035", "Umma 063", "Nippur 013", "Eridu 097", "Isin 039", "Akkad 069", "Uruk 016", "Mari 071", "Akkad 076", "Adab 080", "Eridu 040", "Mari 038", "Eridu 045", "Eridu 064", "Hamazi 043", "Larsa 086", "Adab 095", "Umma 028", "Kish 089", "Uruk 024", "Isin 059", "Isin 038", "Hamazi 078", "Lagash 095", "Larsa 053", "Nippur 086", "Umma 043", "Hamazi 023", "Eridu 037", "Adab 088", "Mari 012", "Larsa 074", "Umma 067", "Adab 062", "Kish 086", "Tibira 088", "Eridu 096", "Umma 037", "Hamazi 023", "Adab 057", "Umma 065", "Lagash 024", "Akshak 086", "Adab 056", "Adab 089", "Lagash 013", "Eridu 050", "Akshak 070", "Nippur 036", "Tibira 089", "Umma 086", "Mari 066", "Kish 018", "Tibira 084", "Adab 018", "Eridu 071", "Mari 030", "Isin 054", "Larsa 063", "Akshak 035", "Girsu 035", "Lagash 066", "Mari 021", "Larsa 019", "Mari 011", "Mari 045", "Girsu 010", "Akkad 034", "Umma 044", "Tibira 047", "Larsa 074", "Isin 049", "Hamazi 072", "Uruk 097", "Akkad 081", "Isin 055", "Mari 058", "Lagash 089", "Akshak 087", "Isin 020", "Hamazi 048", "Tibira 070", "Mari 079", "Adab 019", "Larsa 013", "Girsu 089", "Eridu 092", "Hamazi 018", "Isin 025", "Lagash 070", "Isin 048", "Akshak 012", "Akshak 038", "Larsa 058", "Isin 071", "Akkad 029", "Akkad 039", "Akkad 079", "Akshak 066", "Sippar 066", "Adab 051", "Akshak 051", "Isin 051", "Mari 090", "Lagash 080", "Sippar 043", "Sippar 042", "Adab 015", "Akshak 012", "Akshak 077", "Akkad 037", "Isin 036", "Hamazi 098", "Nippur 065", "Lagash 026", "Hamazi 059", "Girsu 080", "Lagash 066", "Lagash 046", "Akkad 072", "Mari 015", "Girsu 039", "Hamazi 089", "Akkad 078", "Kish 055", "Umma 082", "Mari 093", "Tibira 037", "Larsa 012", "Uruk 019", "Umma 028", "Akkad 044", "Uruk 042", "Tibira 098", "Mari 084", "Hamazi 050", "Larsa 024", "Isin 073", "Isin 010", "Girsu 022", "Adab 071", "Girsu 029", "Lagash 045", "Girsu 080", "Kish 064",    
// Galaxy 4
"Girsu 080", "Hamazi 064", "Isin 038", "Nippur 071", "Sippar 039", "Lagash 014", "Akshak 038", "Nippur 042", "Tibira 035", "Akkad 032", "Kish 051", "Kish 069", "Eridu 074", "Akshak 052", "Lagash 080", "Eridu 052", "Mari 082", "Lagash 028", "Isin 067", "Sippar 010", "Akshak 087", "Uruk 044", "Larsa 033", "Mari 084", "Adab 025", "Nippur 033", "Nippur 016", "Isin 057", "Sippar 094", "Akshak 021", "Uruk 056", "Hamazi 099", "Nippur 085", "Sippar 059", "Kish 076", "Tibira 077", "Hamazi 088", "Tibira 077", "Hamazi 066", "Kish 026", "Hamazi 022", "Nippur 097", "Lagash 090", "Kish 021", "Kish 063", "Akkad 047", "Larsa 079", "Akshak 052", "Umma 063", "Nippur 011", "Adab 064", "Tibira 066", "Lagash 093", "Uruk 030", "Akshak 053", "Lagash 061", "Larsa 013", "Adab 083", "Akshak 053", "Akkad 047", "Girsu 056", "Girsu 071", "Girsu 014", "Isin 054", "Kish 048", "Tibira 061", "Hamazi 012", "Umma 063", "Umma 063", "Girsu 052", "Akshak 014", "Akkad 018", "Isin 056", "Hamazi 025", "Eridu 011", "Akshak 086", "Lagash 093", "Mari 077", "Uruk 043", "Sippar 063", "Adab 046", "Eridu 033", "Isin 062", "Adab 039", "Hamazi 081", "Hamazi 088", "Eridu 056", "Isin 077", "Isin 059", "Umma 094", "Akshak 054", "Eridu 046", "Uruk 083", "Eridu 049", "Girsu 011", "Tibira 094", "Nippur 056", "Tibira 025", "Eridu 051", "Girsu 066", "Akshak 023", "Akkad 044", "Akkad 072", "Hamazi 099", "Akkad 078", "Mari 067", "Girsu 063", "Mari 073", "Sippar 039", "Adab 022", "Sippar 074", "Eridu 050", "Larsa 099", "Uruk 024", "Kish 078", "Uruk 031", "Nippur 017", "Akshak 017", "Mari 080", "Hamazi 065", "Akshak 020", "Akkad 044", "Isin 098", "Umma 072", "Umma 060", "Nippur 093", "Eridu 085", "Mari 024", "Kish 057", "Adab 070", "Sippar 028", "Uruk 074", "Kish 028", "Kish 087", "Kish 010", "Larsa 058", "Adab 080", "Umma 063", "Lagash 055", "Nippur 015", "Adab 062", "Lagash 094", "Sippar 055", "Tibira 010", "Uruk 053", "Larsa 028", "Tibira 072", "Tibira 055", "Hamazi 079", "Sippar 092", "Hamazi 079", "Nippur 035", "Akshak 015", "Girsu 029", "Lagash 055", "Akkad 069", "Hamazi 033", "Sippar 020", "Kish 022", "Akshak 074", "Girsu 037", "Nippur 063", "Larsa 045", "Akshak 054", "Nippur 037", "Sippar 044", "Akkad 058", "Nippur 011", "Larsa 023", "Akkad 045", "Mari 084", "Uruk 015", "Akkad 035", "Akkad 067", "Umma 064", "Lagash 046", "Umma 043", "Uruk 015", "Mari 079", "Akshak 038", "Akshak 088", "Eridu 086", "Tibira 082", "Umma 013", "Hamazi 086", "Sippar 020", "Girsu 023", "Kish 035", "Uruk 078", "Nippur 065", "Girsu 075", "Umma 070", "Girsu 062", "Lagash 011", "Umma 097", "Mari 024", "Akshak 046", "Kish 016", "Hamazi 039", "Uruk 048", "Hamazi 061", "Nippur 051", "Eridu 049", "Isin 066", "Nippur 085", "Uruk 095", "Girsu 094", "Lagash 037", "Lagash 080", "Umma 047", "Mari 027", "Eridu 018", "Sippar 052", "Akkad 010", "Sippar 049", "Mari 088", "Akshak 030", "Larsa 058", "Girsu 087", "Akkad 046", "Uruk 035", "Isin 010", "Isin 016", "Hamazi 082", "Isin 029", "Lagash 082", "Akkad 054", "Kish 051", "Kish 072", "Kish 010", "Isin 078", "Akshak 014", "Uruk 089", "Eridu 033", "Girsu 017", "Akkad 026", "Akkad 088", "Akshak 025", "Larsa 084", "Umma 024", "Adab 098", "Adab 057", "Kish 081", "Nippur 022", "Mari 071", "Mari 044", "Lagash 061", "Mari 034", "Sippar 015", "Hamazi 027", "Sippar 047", "Uruk 081", "Sippar 084", "Akkad 084", "Uruk 014", "Umma 060",    
// Galaxy 5
"Adab 094", "Akkad 083", "Hamazi 053", "Uruk 064", "Girsu 046", "Akkad 028", "Sippar 077", "Adab 017", "Larsa 068", "Umma 094", "Girsu 026", "Adab 043", "Uruk 071", "Adab 068", "Isin 018", "Kish 045", "Umma 040", "Adab 056", "Kish 098", "Nippur 031", "Lagash 043", "Kish 038", "Lagash 019", "Girsu 097", "Girsu 097", "Umma 072", "Akshak 022", "Isin 087", "Girsu 083", "Larsa 079", "Isin 095", "Lagash 064", "Nippur 080", "Hamazi 028", "Umma 044", "Kish 097", "Sippar 057", "Tibira 090", "Adab 043", "Nippur 078", "Akshak 080", "Eridu 018", "Girsu 045", "Eridu 023", "Larsa 025", "Eridu 013", "Adab 035", "Eridu 050", "Kish 013", "Mari 056", "Adab 052", "Hamazi 051", "Larsa 025", "Adab 071", "Tibira 059", "Akkad 084", "Kish 097", "Eridu 043", "Adab 065", "Eridu 042", "Adab 056", "Mari 017", "Hamazi 057", "Akkad 093", "Tibira 070", "Tibira 059", "Girsu 020", "Lagash 098", "Hamazi 056", "Sippar 026", "Kish 083", "Mari 077", "Umma 034", "Sippar 059", "Nippur 053", "Lagash 091", "Kish 061", "Larsa 080", "Girsu 090", "Mari 043", "Akkad 064", "Adab 033", "Akshak 029", "Akshak 098", "Tibira 015", "Girsu 054", "Akshak 059", "Umma 088", "Akshak 096", "Lagash 053", "Uruk 074", "Kish 011", "Akshak 054", "Eridu 051", "Tibira 084", "Hamazi 075", "Hamazi 034", "Girsu 077", "Girsu 087", "Eridu 036", "Tibira 062", "Girsu 029", "Akshak 037", "Isin 061", "Lagash 012", "Lagash 021", "Akshak 019", "Mari 035", "Hamazi 014", "Akkad 075", "Tibira 032", "Kish 096", "Larsa 086", "Lagash 012", "Lagash 081", "Hamazi 011", "Adab 076", "Akkad 051", "Umma 025", "Eridu 043", "Umma 098", "Girsu 095", "Hamazi 044", "Hamazi 076", "Hamazi 034", "Larsa 095", "Mari 068", "Akkad 036", "Umma 089", "Hamazi 016", "Larsa 039", "Hamazi 035", "Uruk 050", "Mari 062", "Umma 044", "Nippur 094", "Tibira 045", "Akshak 011", "Akshak 017", "Kish 014", "Akshak 075", "Hamazi 066", "Isin 058", "Umma 051", "Akshak 094", "Larsa 062", "Tibira 025", "Girsu 072", "Isin 095", "Larsa 069", "Tibira 024", "Hamazi 076", "Kish 034", "Uruk 065", "Lagash 045", "Sippar 040", "Lagash 059", "Uruk 064", "Uruk 054", "Akkad 086", "Akshak 015", "Akkad 081", "Umma 071", "Adab 037", "Hamazi 056", "Umma 090", "Lagash 020", "Isin 013", "Mari 068", "Umma 079", "Isin 066", "Kish 031", "Isin 087", "Sippar 038", "Isin 016", "Larsa 063", "Uruk 030", "Kish 053", "Akkad 081", "Eridu 076", "Nippur 027", "Hamazi 051", "Akkad 042", "Adab 071", "Isin 014", "Kish 080", "Eridu 022", "Sippar 093", "Umma 072", "Girsu 048", "Tibira 047", "Akshak 037", "Eridu 030", "Nippur 049", "Umma 026", "Tibira 091", "Akkad 046", "Isin 085", "Nippur 094", "Hamazi 077", "Lagash 013", "Akkad 028", "Hamazi 077", "Tibira 053", "Eridu 046", "Girsu 073", "Mari 012", "Mari 098", "Lagash 012", "Larsa 010", "Kish 086", "Isin 092", "Tibira 089", "Kish 076", "Akshak 085", "Nippur 041", "Girsu 082", "Kish 031", "Akkad 025", "Kish 091", "Hamazi 094", "Hamazi 019", "Nippur 033", "Larsa 067", "Lagash 070", "Tibira 075", "Eridu 026", "Akshak 026", "Uruk 018", "Adab 072", "Nippur 071", "Sippar 043", "Sippar 066", "Sippar 098", "Isin 013", "Akshak 075", "Uruk 085", "Akkad 056", "Eridu 093", "Tibira 042", "Isin 031", "Umma 014", "Eridu 051", "Nippur 074", "Lagash 081", "Umma 036", "Sippar 039", "Girsu 065", "Akkad 040", "Hamazi 016", "Nippur 031", "Sippar 035", "Tibira 080", "Akkad 080", "Adab 082", "Tibira 042",    
// Galaxy 6
"Isin 059", "Nippur 027", "Nippur 010", "Akshak 047", "Adab 018", "Lagash 019", "Isin 011", "Uruk 015", "Larsa 066", "Hamazi 056", "Girsu 042", "Adab 092", "Lagash 031", "Mari 074", "Kish 034", "Akkad 081", "Girsu 030", "Larsa 022", "Umma 093", "Girsu 035", "Kish 042", "Girsu 011", "Kish 046", "Tibira 047", "Umma 084", "Mari 013", "Akkad 089", "Eridu 084", "Tibira 018", "Sippar 077", "Lagash 093", "Akkad 033", "Sippar 092", "Nippur 010", "Akkad 043", "Girsu 043", "Nippur 043", "Uruk 046", "Adab 038", "Akshak 041", "Eridu 015", "Akshak 099", "Nippur 054", "Girsu 055", "Nippur 081", "Uruk 045", "Mari 045", "Sippar 049", "Hamazi 092", "Tibira 023", "Mari 081", "Isin 046", "Umma 049", "Mari 077", "Uruk 086", "Eridu 044", "Umma 057", "Akshak 095", "Kish 047", "Lagash 043", "Kish 019", "Eridu 013", "Umma 040", "Larsa 053", "Akshak 099", "Lagash 049", "Uruk 060", "Lagash 096", "Tibira 072", "Adab 075", "Kish 013", "Kish 064", "Tibira 083", "Isin 085", "Isin 038", "Umma 063", "Lagash 069", "Hamazi 055", "Kish 017", "Girsu 090", "Kish 079", "Sippar 069", "Sippar 030", "Larsa 074", "Sippar 029", "Hamazi 091", "Sippar 042", "Umma 057", "Mari 013", "Mari 078", "Nippur 062", "Tibira 082", "Akkad 020", "Adab 056", "Mari 011", "Kish 037", "Girsu 024", "Kish 054", "Umma 017", "Akshak 079", "Hamazi 016", "Uruk 072", "Adab 052", "Tibira 066", "Nippur 029", "Mari 076", "Eridu 041", "Sippar 048", "Adab 077", "Akshak 019", "Isin 081", "Eridu 042", "Eridu 060", "Akkad 044", "Lagash 097", "Eridu 011", "Akshak 075", "Lagash 044", "Tibira 067", "Mari 099", "Isin 031", "Adab 089", "Akkad 086", "Mari 049", "Akshak 028", "Umma 097", "Mari 059", "Nippur 019", "Girsu 047", "Girsu 063", "Eridu 079", "Hamazi 054", "Girsu 062", "Adab 037", "Sippar 022", "Nippur 038", "Mari 039", "Akkad 066", "Akkad 046", "Mari 077", "Isin 038", "Uruk 058", "Eridu 055", "Mari 025", "Umma 089", "Akkad 014", "Girsu 027", "Adab 077", "Sippar 092", "Adab 067", "Isin 068", "Nippur 024", "Nippur 065", "Eridu 079", "Sippar 096", "Girsu 029", "Eridu 015", "Adab 058", "Eridu 050", "Akshak 072", "Larsa 037", "Isin 038", "Girsu 090", "Adab 012", "Uruk 015", "Akkad 028", "Sippar 099", "Girsu 078", "Adab 022", "Nippur 015", "Nippur 098", "Larsa 096", "Umma 086", "Eridu 017", "Larsa 067", "Sippar 034", "Sippar 026", "Isin 090", "Girsu 048", "Umma 082", "Nippur 029", "Girsu 059", "Umma 091", "Tibira 080", "Adab 028", "Larsa 016", "Girsu 054", "Isin 053", "Larsa 091", "Girsu 011", "Isin 026", "Eridu 066", "Akshak 057", "Umma 018", "Umma 097", "Eridu 079", "Akshak 014", "Lagash 021", "Hamazi 072", "Lagash 062", "Mari 051", "Mari 011", "Sippar 045", "Tibira 056", "Hamazi 058", "Kish 093", "Adab 045", "Umma 072", "Umma 040", "Isin 010", "Isin 087", "Girsu 098", "Hamazi 044", "Umma 062", "Sippar 051", "Uruk 085", "Sippar 053", "Eridu 087", "Mari 021", "Lagash 049", "Hamazi 068", "Girsu 090", "Tibira 037", "Isin 030", "Girsu 062", "Akshak 050", "Larsa 047", "Eridu 037", "Hamazi 024", "Lagash 028", "Akshak 097", "Hamazi 038", "Adab 059", "Mari 015", "Kish 088", "Akshak 023", "Mari 036", "Girsu 081", "Hamazi 068", "Hamazi 083", "Nippur 063", "Isin 088", "Umma 038", "Kish 096", "Kish 017", "Sippar 013", "Akshak 049", "Sippar 082", "Kish 052", "Eridu 069", "Girsu 010", "Larsa 024", "Nippur 091", "Kish 067", "Tibira 084", "Umma 025",    
// Galaxy 7
"Mari 069", "Lagash 050", "Eridu 059", "Lagash 030", "Uruk 067", "Umma 010", "Akkad 059", "Lagash 013", "Tibira 026", "Larsa 055", "Uruk 039", "Lagash 046", "Sippar 097", "Sippar 077", "Akshak 039", "Girsu 025", "Hamazi 085", "Girsu 076", "Sippar 059", "Eridu 083", "Uruk 035", "Sippar 012", "Kish 093", "Mari 080", "Lagash 024", "Tibira 029", "Uruk 032", "Kish 095", "Uruk 072", "Tibira 025", "Uruk 041", "Sippar 056", "Akkad 014", "Nippur 067", "Lagash 056", "Hamazi 011", "Umma 022", "Sippar 090", "Kish 014", "Umma 019", "Uruk 027", "Lagash 048", "Lagash 053", "Akshak 080", "Umma 023", "Uruk 020", "Mari 092", "Isin 062", "Isin 061", "Girsu 021", "Hamazi 088", "Akshak 068", "Isin 059", "Lagash 081", "Sippar 053", "Eridu 047", "Akkad 080", "Kish 088", "Adab 033", "Kish 062", "Akshak 081", "Lagash 042", "Adab 057", "Girsu 053", "Mari 024", "Akkad 050", "Mari 067", "Girsu 082", "Isin 089", "Uruk 031", "Akshak 094", "Umma 064", "Girsu 044", "Girsu 012", "Nippur 015", "Sippar 053", "Eridu 098", "Kish 020", "Isin 054", "Akkad 021", "Uruk 041", "Nippur 075", "Umma 029", "Mari 058", "Akshak 052", "Lagash 057", "Akkad 064", "Hamazi 053", "Tibira 076", "Uruk 045", "Lagash 044", "Akkad 049", "Hamazi 096", "Uruk 023", "Uruk 030", "Kish 059", "Sippar 075", "Mari 026", "Larsa 057", "Eridu 030", "Tibira 099", "Adab 012", "Tibira 023", "Mari 054", "Isin 054", "Hamazi 047", "Isin 089", "Kish 061", "Mari 057", "Akshak 068", "Eridu 020", "Kish 068", "Lagash 022", "Nippur 030", "Larsa 080", "Umma 022", "Akkad 015", "Girsu 065", "Hamazi 062", "Mari 079", "Uruk 040", "Akshak 066", "Lagash 085", "Uruk 046", "Lagash 046", "Hamazi 095", "Akkad 062", "Akkad 068", "Isin 082", "Mari 046", "Adab 071", "Mari 065", "Lagash 016", "Umma 072", "Hamazi 076", "Tibira 072", "Mari 094", "Larsa 089", "Mari 078", "Lagash 023", "Mari 019", "Eridu 099", "Eridu 011", "Larsa 072", "Isin 069", "Adab 015", "Eridu 044", "Nippur 010", "Umma 093", "Eridu 057", "Mari 088", "Lagash 030", "Akshak 092", "Adab 026", "Lagash 088", "Eridu 044", "Larsa 070", "Eridu 044", "Tibira 080", "Adab 061", "Kish 094", "Lagash 033", "Nippur 065", "Akkad 061", "Adab 024", "Hamazi 047", "Isin 046", "Isin 081", "Mari 055", "Girsu 098", "Uruk 098", "Adab 018", "Eridu 085", "Kish 017", "Hamazi 073", "Girsu 079", "Tibira 024", "Akkad 035", "Larsa 073", "Akshak 012", "Umma 020", "Larsa 083", "Mari 031", "Hamazi 017", "Larsa 019", "Umma 053", "Akkad 080", "Lagash 030", "Tibira 088", "Lagash 071", "Hamazi 048", "Akkad 081", "Mari 079", "Hamazi 016", "Akshak 098", "Isin 065", "Girsu 042", "Akshak 046", "Akkad 016", "Isin 081", "Adab 053", "Girsu 041", "Kish 084", "Kish 069", "Lagash 066", "Lagash 074", "Eridu 036", "Akshak 056", "Nippur 027", "Larsa 018", "Adab 051", "Akkad 077", "Akkad 051", "Sippar 062", "Lagash 078", "Kish 061", "Nippur 053", "Girsu 017", "Sippar 057", "Isin 067", "Girsu 063", "Hamazi 014", "Akshak 075", "Larsa 096", "Mari 056", "Girsu 071", "Girsu 010", "Sippar 038", "Isin 049", "Akkad 017", "Larsa 065", "Mari 049", "Akshak 013", "Mari 064", "Tibira 073", "Kish 092", "Akkad 083", "Akkad 049", "Akkad 085", "Akkad 014", "Tibira 061", "Nippur 033", "Girsu 096", "Larsa 092", "Adab 060", "Larsa 050", "Isin 055", "Umma 030", "Lagash 083", "Akshak 085", "Girsu 089", "Adab 043", "Tibira 088", "Hamazi 097", "Girsu 059", "Mari 066",    
// Galaxy 8
"Sippar 051", "Akkad 016", "Larsa 094", "Akshak 069", "Eridu 073", "Uruk 068", "Akkad 072", "Kish 012", "Kish 066", "Uruk 039", "Adab 093", "Sippar 089", "Girsu 072", "Uruk 053", "Hamazi 052", "Nippur 027", "Tibira 066", "Akshak 016", "Girsu 039", "Akkad 064", "Akshak 033", "Uruk 040", "Isin 047", "Larsa 074", "Akshak 052", "Lagash 033", "Eridu 035", "Umma 033", "Eridu 071", "Mari 015", "Uruk 058", "Sippar 067", "Akkad 068", "Kish 040", "Kish 035", "Mari 030", "Uruk 080", "Eridu 096", "Umma 027", "Lagash 021", "Adab 012", "Uruk 051", "Eridu 097", "Hamazi 040", "Eridu 036", "Mari 054", "Hamazi 053", "Sippar 091", "Hamazi 061", "Girsu 080", "Nippur 037", "Larsa 026", "Tibira 024", "Girsu 011", "Sippar 018", "Sippar 050", "Akshak 037", "Sippar 096", "Nippur 099", "Mari 027", "Nippur 092", "Eridu 012", "Umma 035", "Akkad 017", "Nippur 073", "Eridu 064", "Lagash 018", "Eridu 013", "Mari 025", "Umma 093", "Akshak 036", "Isin 099", "Nippur 080", "Hamazi 033", "Girsu 076", "Kish 057", "Sippar 039", "Eridu 068", "Umma 075", "Mari 072", "Girsu 052", "Adab 020", "Akshak 081", "Eridu 057", "Eridu 055", "Isin 032", "Girsu 011", "Isin 076", "Isin 057", "Lagash 066", "Girsu 066", "Akshak 037", "Hamazi 050", "Hamazi 074", "Akkad 064", "Umma 059", "Sippar 025", "Girsu 044", "Isin 030", "Umma 088", "Uruk 097", "Hamazi 097", "Mari 092", "Larsa 078", "Eridu 066", "Tibira 056", "Mari 016", "Hamazi 031", "Adab 016", "Mari 084", "Uruk 064", "Mari 061", "Akshak 031", "Sippar 071", "Hamazi 073", "Larsa 068", "Akshak 072", "Adab 041", "Adab 040", "Adab 025", "Kish 018", "Adab 040", "Girsu 082", "Kish 017", "Sippar 049", "Mari 034", "Adab 048", "Girsu 037", "Uruk 049", "Nippur 074", "Isin 098", "Akshak 088", "Lagash 082", "Sippar 070", "Akshak 095", "Kish 034", "Mari 046", "Isin 062", "Umma 047", "Hamazi 061", "Sippar 055", "Hamazi 094", "Lagash 069", "Nippur 025", "Akkad 036", "Nippur 093", "Uruk 011", "Hamazi 040", "Lagash 069", "Isin 061", "Tibira 025", "Lagash 067", "Akkad 064", "Hamazi 053", "Kish 010", "Tibira 013", "Girsu 077", "Adab 022", "Tibira 082", "Tibira 014", "Akkad 097", "Nippur 096", "Sippar 072", "Larsa 070", "Mari 041", "Hamazi 043", "Larsa 036", "Girsu 085", "Sippar 085", "Larsa 054", "Tibira 014", "Akkad 057", "Uruk 035", "Akshak 011", "Lagash 086", "Tibira 029", "Eridu 024", "Adab 064", "Eridu 058", "Tibira 075", "Uruk 019", "Uruk 039", "Larsa 098", "Girsu 089", "Akshak 062", "Akkad 060", "Hamazi 037", "Larsa 089", "Girsu 024", "Isin 051", "Kish 037", "Isin 081", "Akkad 010", "Eridu 012", "Larsa 014", "Isin 014", "Akshak 021", "Tibira 064", "Kish 089", "Nippur 031", "Sippar 092", "Isin 080", "Nippur 056", "Kish 087", "Akshak 033", "Nippur 084", "Girsu 019", "Nippur 054", "Eridu 079", "Umma 083", "Umma 043", "Tibira 043", "Sippar 056", "Mari 067", "Isin 091", "Tibira 052", "Lagash 020", "Kish 015", "Sippar 037", "Eridu 032", "Hamazi 031", "Akshak 069", "Isin 015", "Hamazi 094", "Akkad 024", "Tibira 011", "Umma 069", "Mari 056", "Nippur 057", "Uruk 062", "Kish 058", "Akkad 014", "Kish 071", "Adab 046", "Lagash 014", "Isin 093", "Kish 014", "Girsu 026", "Eridu 068", "Eridu 075", "Tibira 067", "Girsu 068", "Akshak 085", "Isin 025", "Hamazi 030", "Nippur 028", "Lagash 059", "Larsa 038", "Girsu 033", "Sippar 029", "Uruk 023", "Tibira 071", "Adab 073", "Akkad 068", "Uruk 034", "Larsa 067",    
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Nippur 501"];

// Name Arrays for Fuel Satellites   1st Station in a given system to spawn. (Number of Names in Array: 2,048)
//This uses the large counted pool method as above.

this.satpool1 = [
// Galaxy 1
"Jokha 954", "Ingharra 141", "Afaki 367", "Senkereh 471", "Lahm 289", "Duleim 580", "Duleim 745", "Shahrain 613", "Shahrain 176", "Duleim 795", "Afaki 831", "Afaki 652", "Warka 764", "Lahm 430", "Jokha 678", "Warka 526", "Bismaya 802", "Bismaya 537", "Warka 648", "Jokha 820", "Duleim 579", "Jokha 733", "Bismaya 253", "Senkereh 991", "Lahm 622", "Senkereh 495", "Lahm 132", "Bismaya 807", "Hariri 324", "Ingharra 748", "Warka 192", "Senkereh 257", "Lahm 386", "Senkereh 101", "Habbah 510", "Jokha 840", "Madain 855", "Lahm 847", "Fara 109", "Bahriyat 647", "Afaki 317", "Bismaya 149", "Hariri 321", "Uheimir 799", "Shahrain 411", "Senkereh 403", "Fara 936", "Hariri 351", "Lahm 554", "Hariri 121", "Bahriyat 520", "Jokha 235", "Senkereh 756", "Duleim 624", "Hariri 840", "Afaki 758", "Ibzeikh 412", "Fara 724", "Bahriyat 908", "Senkereh 133", "Bismaya 451", "Fara 407", "Lahm 198", "Bismaya 695", "Fara 104", "Jokha 618", "Afaki 351", "Afaki 111", "Hariri 814", "Duleim 288", "Bahriyat 981", "Afaki 271", "Bahriyat 330", "Senkereh 568", "Duleim 126", "Duleim 159", "Bismaya 399", "Fara 909", "Ibzeikh 577", "Uheimir 404", "Habbah 926", "Senkereh 149", "Fara 628", "Habbah 201", "Warka 150", "Fara 437", "Warka 553", "Duleim 360", "Lahm 881", "Madain 704", "Afaki 129", "Senkereh 370", "Jokha 387", "Fara 484", "Bismaya 741", "Bahriyat 345", "Warka 164", "Bahriyat 946", "Hariri 170", "Habbah 255", "Ibzeikh 163", "Shahrain 415", "Senkereh 449", "Habbah 906", "Habbah 672", "Jokha 610", "Ingharra 689", "Jokha 854", "Ingharra 926", "Habbah 546", "Habbah 172", "Bismaya 891", "Fara 297", "Uheimir 885", "Jokha 125", "Senkereh 532", "Ibzeikh 176", "Fara 312", "Ingharra 842", "Warka 355", "Shahrain 339", "Madain 576", "Shahrain 738", "Ingharra 789", "Bismaya 810", "Madain 684", "Ingharra 180", "Ingharra 525", "Jokha 100", "Ibzeikh 298", "Uheimir 717", "Ibzeikh 455", "Afaki 153", "Bismaya 544", "Ingharra 942", "Fara 237", "Warka 107", "Uheimir 241", "Afaki 703", "Madain 779", "Senkereh 707", "Fara 303", "Duleim 330", "Ingharra 362", "Ingharra 750", "Ibzeikh 615", "Bismaya 248", "Jokha 246", "Lahm 976", "Lahm 452", "Jokha 298", "Afaki 996", "Lahm 445", "Shahrain 799", "Madain 512", "Ibzeikh 596", "Fara 197", "Fara 871", "Warka 557", "Shahrain 266", "Warka 455", "Madain 906", "Jokha 300", "Ibzeikh 731", "Jokha 215", "Fara 221", "Ibzeikh 141", "Senkereh 730", "Jokha 322", "Lahm 812", "Hariri 423", "Uheimir 457", "Senkereh 887", "Senkereh 562", "Uheimir 969", "Ingharra 507", "Ingharra 403", "Madain 871", "Senkereh 287", "Warka 468", "Hariri 259", "Warka 264", "Bahriyat 232", "Bismaya 829", "Bahriyat 439", "Shahrain 397", "Fara 232", "Hariri 828", "Jokha 994", "Ingharra 446", "Uheimir 357", "Senkereh 136", "Jokha 241", "Lahm 298", "Lahm 558", "Bismaya 231", "Warka 657", "Senkereh 945", "Senkereh 447", "Senkereh 694", "Jokha 764", "Madain 927", "Bismaya 518", "Jokha 396", "Warka 410", "Habbah 738", "Jokha 666", "Lahm 848", "Senkereh 525", "Habbah 736", "Jokha 462", "Ibzeikh 403", "Senkereh 669", "Uheimir 669", "Afaki 212", "Uheimir 714", "Lahm 950", "Hariri 781", "Bahriyat 447", "Warka 100", "Hariri 397", "Uheimir 943", "Jokha 100", "Duleim 786", "Ibzeikh 897", "Uheimir 145", "Afaki 317", "Jokha 851", "Hariri 805", "Ingharra 176", "Lahm 940", "Madain 726", "Uheimir 877", "Madain 869", "Fara 566", "Bismaya 623", "Bismaya 653", "Fara 231", "Ingharra 288", "Fara 962", "Shahrain 446", "Ibzeikh 542", "Bahriyat 199", "Lahm 168", "Habbah 570", "Bismaya 240", "Afaki 674", "Bahriyat 105", "Fara 836", "Senkereh 285", "Habbah 759", "Ingharra 770", "Duleim 217", "Bismaya 712", "Afaki 597", "Jokha 137",    
 // Galaxy 2
"Uheimir 647", "Jokha 111", "Fara 383", "Lahm 705", "Ibzeikh 821", "Ibzeikh 286", "Ibzeikh 916", "Warka 698", "Warka 218", "Fara 807", "Ibzeikh 235", "Jokha 762", "Duleim 168", "Duleim 200", "Duleim 684", "Hariri 983", "Ibzeikh 927", "Senkereh 304", "Ingharra 981", "Shahrain 839", "Habbah 123", "Bahriyat 293", "Ibzeikh 521", "Senkereh 268", "Ingharra 437", "Madain 706", "Warka 104", "Bahriyat 445", "Uheimir 222", "Lahm 996", "Bahriyat 490", "Hariri 650", "Madain 664", "Ingharra 132", "Lahm 857", "Jokha 202", "Shahrain 652", "Duleim 398", "Ingharra 715", "Hariri 354", "Senkereh 720", "Duleim 863", "Madain 598", "Ibzeikh 316", "Hariri 605", "Hariri 788", "Hariri 943", "Uheimir 790", "Warka 236", "Senkereh 997", "Hariri 670", "Senkereh 558", "Ingharra 642", "Warka 518", "Senkereh 818", "Lahm 612", "Lahm 725", "Fara 743", "Ibzeikh 637", "Jokha 144", "Madain 258", "Duleim 347", "Afaki 399", "Hariri 597", "Fara 202", "Senkereh 588", "Warka 412", "Habbah 326", "Duleim 597", "Afaki 795", "Hariri 558", "Madain 582", "Warka 744", "Jokha 824", "Duleim 484", "Duleim 550", "Habbah 470", "Hariri 299", "Lahm 212", "Jokha 684", "Ibzeikh 874", "Bismaya 939", "Habbah 826", "Duleim 421", "Afaki 843", "Habbah 237", "Ibzeikh 141", "Shahrain 703", "Bismaya 870", "Madain 816", "Ibzeikh 923", "Shahrain 693", "Fara 158", "Senkereh 531", "Lahm 133", "Duleim 560", "Lahm 642", "Warka 968", "Hariri 416", "Madain 889", "Fara 213", "Warka 762", "Hariri 850", "Duleim 502", "Duleim 429", "Madain 658", "Duleim 375", "Afaki 126", "Ingharra 450", "Bahriyat 557", "Ibzeikh 200", "Warka 928", "Bismaya 287", "Bahriyat 686", "Fara 161", "Ibzeikh 217", "Ingharra 351", "Jokha 681", "Lahm 433", "Ingharra 436", "Ibzeikh 528", "Duleim 476", "Habbah 750", "Jokha 915", "Fara 183", "Shahrain 987", "Afaki 142", "Ibzeikh 110", "Bahriyat 206", "Fara 720", "Senkereh 785", "Uheimir 775", "Ibzeikh 953", "Jokha 754", "Warka 309", "Duleim 119", "Jokha 280", "Lahm 177", "Jokha 299", "Habbah 598", "Ingharra 995", "Jokha 657", "Uheimir 919", "Madain 388", "Uheimir 895", "Shahrain 426", "Lahm 353", "Shahrain 723", "Hariri 750", "Duleim 648", "Bahriyat 941", "Warka 308", "Hariri 806", "Afaki 251", "Jokha 398", "Afaki 160", "Warka 753", "Afaki 750", "Lahm 363", "Ingharra 459", "Shahrain 874", "Ibzeikh 673", "Uheimir 385", "Afaki 309", "Madain 825", "Bismaya 228", "Madain 724", "Jokha 722", "Ibzeikh 803", "Madain 861", "Bismaya 455", "Senkereh 993", "Bahriyat 328", "Senkereh 578", "Duleim 782", "Bahriyat 779", "Lahm 961", "Afaki 473", "Bismaya 467", "Bahriyat 751", "Duleim 117", "Bismaya 529", "Bahriyat 767", "Uheimir 117", "Duleim 117", "Shahrain 773", "Senkereh 783", "Habbah 774", "Hariri 695", "Fara 929", "Ibzeikh 415", "Ingharra 310", "Duleim 744", "Lahm 412", "Bismaya 152", "Madain 656", "Shahrain 398", "Uheimir 687", "Afaki 867", "Fara 759", "Afaki 789", "Senkereh 607", "Habbah 605", "Senkereh 360", "Ingharra 113", "Senkereh 877", "Bahriyat 861", "Uheimir 751", "Duleim 607", "Duleim 765", "Bismaya 159", "Senkereh 947", "Habbah 847", "Duleim 508", "Lahm 378", "Bismaya 789", "Bismaya 539", "Uheimir 111", "Shahrain 105", "Bahriyat 482", "Warka 914", "Madain 513", "Lahm 983", "Uheimir 105", "Jokha 308", "Ibzeikh 667", "Duleim 580", "Ibzeikh 244", "Bahriyat 280", "Warka 286", "Jokha 526", "Shahrain 551", "Shahrain 885", "Afaki 393", "Jokha 628", "Ibzeikh 793", "Ingharra 904", "Warka 740", "Hariri 884", "Afaki 151", "Hariri 186", "Hariri 645", "Ibzeikh 673", "Bismaya 576", "Warka 945", "Ingharra 974", "Duleim 399", "Jokha 989", "Fara 241", "Bahriyat 652", "Shahrain 990", "Duleim 645", "Madain 400", "Uheimir 183", "Ingharra 728", "Fara 329",    
 // Galaxy 3
"Madain 268", "Afaki 463", "Madain 738", "Duleim 857", "Madain 391", "Bahriyat 469", "Ingharra 929", "Afaki 457", "Hariri 211", "Fara 785", "Duleim 414", "Fara 340", "Duleim 627", "Afaki 693", "Bahriyat 845", "Afaki 489", "Senkereh 818", "Jokha 321", "Bahriyat 650", "Duleim 682", "Bahriyat 982", "Fara 672", "Hariri 835", "Warka 190", "Fara 420", "Bahriyat 545", "Afaki 965", "Madain 342", "Jokha 230", "Afaki 407", "Habbah 288", "Shahrain 507", "Bahriyat 199", "Bahriyat 874", "Bahriyat 391", "Lahm 197", "Duleim 394", "Fara 181", "Bahriyat 708", "Jokha 616", "Uheimir 363", "Afaki 883", "Habbah 581", "Senkereh 724", "Shahrain 873", "Senkereh 695", "Hariri 720", "Ingharra 131", "Hariri 464", "Jokha 874", "Afaki 774", "Lahm 165", "Fara 900", "Jokha 649", "Bismaya 329", "Hariri 292", "Duleim 203", "Shahrain 934", "Uheimir 229", "Afaki 938", "Jokha 590", "Uheimir 549", "Jokha 176", "Uheimir 252", "Lahm 376", "Bahriyat 751", "Shahrain 342", "Lahm 913", "Ibzeikh 740", "Bahriyat 111", "Bahriyat 163", "Uheimir 857", "Shahrain 170", "Duleim 394", "Habbah 859", "Bahriyat 999", "Ibzeikh 945", "Ibzeikh 228", "Hariri 828", "Afaki 958", "Lahm 604", "Warka 776", "Warka 478", "Warka 479", "Ingharra 529", "Senkereh 949", "Warka 931", "Afaki 835", "Hariri 964", "Afaki 755", "Bahriyat 359", "Ibzeikh 724", "Bahriyat 661", "Warka 241", "Ibzeikh 776", "Bahriyat 712", "Bahriyat 774", "Madain 219", "Bismaya 950", "Madain 267", "Fara 732", "Senkereh 847", "Habbah 526", "Madain 208", "Ingharra 491", "Bismaya 765", "Ibzeikh 763", "Duleim 527", "Senkereh 385", "Senkereh 883", "Warka 480", "Bismaya 265", "Bismaya 590", "Madain 764", "Afaki 986", "Fara 307", "Ibzeikh 316", "Bismaya 581", "Hariri 729", "Warka 816", "Fara 357", "Uheimir 339", "Duleim 727", "Madain 634", "Madain 428", "Ingharra 606", "Uheimir 692", "Bahriyat 425", "Afaki 867", "Habbah 974", "Ingharra 484", "Warka 273", "Uheimir 657", "Shahrain 487", "Jokha 538", "Warka 376", "Senkereh 261", "Fara 616", "Senkereh 966", "Afaki 865", "Habbah 445", "Habbah 588", "Madain 222", "Warka 766", "Lahm 952", "Lahm 780", "Senkereh 232", "Shahrain 189", "Bahriyat 748", "Jokha 637", "Senkereh 820", "Jokha 276", "Afaki 810", "Duleim 856", "Fara 640", "Hariri 656", "Shahrain 276", "Ibzeikh 421", "Ibzeikh 342", "Bahriyat 699", "Lahm 642", "Madain 552", "Madain 444", "Jokha 463", "Shahrain 197", "Senkereh 345", "Fara 857", "Warka 871", "Shahrain 616", "Uheimir 227", "Jokha 656", "Ingharra 426", "Habbah 250", "Jokha 405", "Habbah 109", "Habbah 201", "Lahm 229", "Afaki 204", "Warka 320", "Lahm 592", "Jokha 617", "Warka 846", "Hariri 210", "Madain 270", "Duleim 642", "Duleim 970", "Warka 403", "Uheimir 289", "Bismaya 109", "Bahriyat 653", "Duleim 350", "Fara 363", "Lahm 979", "Shahrain 290", "Warka 667", "Ingharra 864", "Warka 148", "Lahm 225", "Fara 726", "Bismaya 924", "Ingharra 449", "Afaki 840", "Shahrain 543", "Bismaya 751", "Fara 327", "Shahrain 795", "Madain 202", "Afaki 563", "Senkereh 891", "Bismaya 496", "Madain 657", "Madain 266", "Ingharra 659", "Afaki 489", "Senkereh 732", "Lahm 677", "Ingharra 839", "Hariri 731", "Warka 681", "Ibzeikh 292", "Bismaya 132", "Madain 420", "Uheimir 935", "Senkereh 479", "Ibzeikh 751", "Afaki 362", "Habbah 431", "Ibzeikh 974", "Bahriyat 588", "Madain 631", "Lahm 386", "Habbah 350", "Jokha 104", "Madain 650", "Lahm 620", "Senkereh 732", "Jokha 314", "Warka 519", "Warka 786", "Bahriyat 714", "Bismaya 727", "Bismaya 288", "Duleim 912", "Uheimir 286", "Habbah 581", "Ibzeikh 661", "Duleim 109", "Afaki 213", "Afaki 980", "Lahm 524", "Habbah 534", "Jokha 407", "Madain 689", "Fara 847", "Ibzeikh 649", "Shahrain 914",    
  // Galaxy 4
"Senkereh 326", "Warka 810", "Senkereh 430", "Madain 582", "Warka 126", "Bismaya 988", "Afaki 336", "Warka 694", "Fara 776", "Habbah 481", "Lahm 549", "Ibzeikh 669", "Senkereh 935", "Bismaya 474", "Madain 495", "Bahriyat 482", "Habbah 432", "Jokha 761", "Habbah 409", "Warka 386", "Hariri 432", "Madain 843", "Senkereh 485", "Warka 414", "Madain 257", "Bahriyat 137", "Shahrain 525", "Jokha 724", "Ibzeikh 311", "Bismaya 805", "Ibzeikh 295", "Uheimir 125", "Jokha 225", "Shahrain 651", "Senkereh 563", "Fara 991", "Warka 254", "Madain 938", "Madain 788", "Uheimir 750", "Habbah 774", "Bismaya 184", "Duleim 869", "Senkereh 433", "Bismaya 174", "Madain 995", "Habbah 356", "Afaki 821", "Senkereh 307", "Senkereh 944", "Afaki 632", "Lahm 996", "Jokha 299", "Jokha 171", "Afaki 425", "Habbah 380", "Senkereh 669", "Uheimir 869", "Uheimir 801", "Afaki 746", "Ibzeikh 215", "Afaki 847", "Habbah 232", "Hariri 762", "Afaki 875", "Jokha 862", "Madain 736", "Lahm 472", "Hariri 940", "Bismaya 861", "Lahm 454", "Jokha 246", "Lahm 967", "Afaki 961", "Madain 274", "Shahrain 655", "Habbah 110", "Bismaya 320", "Ingharra 132", "Hariri 454", "Madain 963", "Habbah 784", "Senkereh 384", "Afaki 609", "Senkereh 777", "Lahm 378", "Bismaya 864", "Duleim 993", "Senkereh 164", "Afaki 686", "Habbah 307", "Ibzeikh 853", "Bismaya 672", "Shahrain 392", "Duleim 720", "Ibzeikh 306", "Duleim 123", "Jokha 645", "Habbah 632", "Jokha 379", "Fara 348", "Bismaya 430", "Warka 456", "Habbah 137", "Lahm 600", "Habbah 332", "Jokha 302", "Madain 744", "Afaki 839", "Afaki 317", "Bahriyat 497", "Lahm 416", "Lahm 421", "Shahrain 719", "Shahrain 672", "Lahm 593", "Bismaya 943", "Bahriyat 387", "Uheimir 664", "Uheimir 603", "Afaki 830", "Ingharra 781", "Madain 594", "Duleim 328", "Hariri 141", "Lahm 272", "Bahriyat 564", "Senkereh 783", "Warka 136", "Fara 717", "Ingharra 876", "Hariri 828", "Hariri 461", "Bahriyat 161", "Warka 149", "Jokha 454", "Afaki 495", "Bahriyat 121", "Fara 969", "Lahm 789", "Afaki 403", "Senkereh 275", "Bahriyat 586", "Habbah 783", "Senkereh 720", "Senkereh 445", "Senkereh 808", "Jokha 489", "Habbah 989", "Warka 892", "Fara 686", "Bismaya 499", "Fara 246", "Duleim 792", "Uheimir 117", "Ibzeikh 740", "Lahm 397", "Ingharra 874", "Duleim 451", "Uheimir 990", "Bahriyat 739", "Ibzeikh 105", "Shahrain 950", "Ibzeikh 291", "Afaki 651", "Afaki 118", "Jokha 338", "Jokha 213", "Hariri 676", "Madain 543", "Uheimir 861", "Uheimir 681", "Afaki 977", "Afaki 431", "Bismaya 182", "Hariri 546", "Jokha 299", "Fara 620", "Madain 356", "Duleim 448", "Lahm 555", "Ibzeikh 319", "Ingharra 193", "Bahriyat 774", "Madain 209", "Bismaya 949", "Bahriyat 337", "Ibzeikh 632", "Habbah 515", "Warka 830", "Warka 470", "Madain 810", "Duleim 974", "Uheimir 417", "Duleim 996", "Uheimir 416", "Senkereh 983", "Fara 307", "Lahm 246", "Fara 188", "Bismaya 795", "Warka 680", "Lahm 938", "Lahm 299", "Jokha 348", "Duleim 188", "Lahm 974", "Bahriyat 690", "Shahrain 983", "Afaki 908", "Warka 553", "Duleim 480", "Ibzeikh 101", "Senkereh 623", "Habbah 452", "Jokha 309", "Fara 562", "Habbah 942", "Duleim 222", "Lahm 443", "Ibzeikh 402", "Duleim 288", "Hariri 882", "Jokha 775", "Senkereh 854", "Madain 456", "Duleim 336", "Fara 816", "Afaki 935", "Jokha 788", "Shahrain 468", "Uheimir 815", "Senkereh 627", "Fara 619", "Uheimir 243", "Bismaya 229", "Bismaya 791", "Habbah 336", "Ingharra 493", "Afaki 884", "Ibzeikh 240", "Hariri 284", "Jokha 895", "Hariri 682", "Bismaya 609", "Hariri 160", "Ingharra 254", "Lahm 620", "Warka 100", "Hariri 430", "Habbah 870", "Jokha 320", "Duleim 537", "Jokha 235", "Senkereh 479", "Ibzeikh 717",    
// Galaxy 5
"Bahriyat 321", "Warka 445", "Jokha 992", "Uheimir 815", "Shahrain 303", "Bahriyat 412", "Hariri 312", "Madain 969", "Bismaya 256", "Afaki 391", "Jokha 244", "Ibzeikh 767", "Shahrain 723", "Bismaya 569", "Bismaya 803", "Bahriyat 733", "Ibzeikh 290", "Warka 289", "Ibzeikh 136", "Habbah 846", "Shahrain 484", "Uheimir 315", "Senkereh 523", "Fara 395", "Warka 646", "Jokha 268", "Madain 950", "Madain 619", "Madain 416", "Madain 746", "Warka 994", "Habbah 354", "Jokha 574", "Uheimir 141", "Jokha 491", "Fara 604", "Habbah 977", "Warka 827", "Afaki 897", "Afaki 646", "Duleim 157", "Shahrain 900", "Ibzeikh 177", "Afaki 267", "Shahrain 970", "Lahm 543", "Uheimir 207", "Afaki 891", "Hariri 101", "Uheimir 145", "Afaki 592", "Warka 738", "Habbah 998", "Hariri 492", "Madain 198", "Shahrain 128", "Ingharra 130", "Ibzeikh 441", "Madain 537", "Lahm 373", "Ibzeikh 181", "Madain 784", "Jokha 616", "Uheimir 508", "Hariri 778", "Madain 199", "Hariri 481", "Bismaya 919", "Warka 172", "Habbah 412", "Ingharra 928", "Ingharra 434", "Bahriyat 413", "Lahm 461", "Ingharra 422", "Warka 411", "Ingharra 905", "Afaki 296", "Jokha 613", "Hariri 822", "Afaki 124", "Uheimir 933", "Senkereh 224", "Madain 803", "Jokha 140", "Ibzeikh 622", "Bahriyat 526", "Warka 882", "Jokha 954", "Warka 124", "Jokha 328", "Duleim 144", "Duleim 326", "Lahm 496", "Jokha 953", "Hariri 404", "Hariri 232", "Habbah 633", "Fara 443", "Bahriyat 407", "Uheimir 111", "Madain 315", "Bahriyat 991", "Shahrain 716", "Warka 270", "Habbah 987", "Fara 259", "Warka 996", "Habbah 589", "Lahm 456", "Hariri 305", "Fara 482", "Habbah 694", "Bismaya 635", "Senkereh 713", "Bahriyat 326", "Madain 254", "Shahrain 931", "Habbah 223", "Lahm 505", "Madain 814", "Madain 558", "Madain 591", "Habbah 599", "Afaki 519", "Bismaya 281", "Bismaya 164", "Afaki 875", "Afaki 686", "Ibzeikh 101", "Shahrain 863", "Bismaya 965", "Lahm 616", "Bismaya 387", "Lahm 906", "Fara 307", "Lahm 829", "Madain 990", "Shahrain 993", "Habbah 612", "Jokha 592", "Ingharra 502", "Uheimir 655", "Madain 210", "Lahm 477", "Shahrain 784", "Lahm 613", "Afaki 896", "Bahriyat 716", "Hariri 319", "Uheimir 866", "Warka 595", "Duleim 220", "Bahriyat 515", "Ibzeikh 982", "Bahriyat 441", "Afaki 701", "Shahrain 194", "Duleim 785", "Jokha 695", "Senkereh 389", "Senkereh 170", "Duleim 229", "Duleim 561", "Madain 408", "Ingharra 757", "Duleim 653", "Habbah 810", "Afaki 392", "Duleim 379", "Afaki 715", "Jokha 106", "Shahrain 242", "Uheimir 500", "Fara 605", "Lahm 415", "Ibzeikh 982", "Ibzeikh 799", "Bismaya 824", "Madain 886", "Jokha 401", "Senkereh 858", "Jokha 709", "Hariri 504", "Bismaya 592", "Shahrain 963", "Jokha 133", "Warka 631", "Uheimir 141", "Ingharra 365", "Senkereh 112", "Ingharra 108", "Habbah 174", "Jokha 905", "Hariri 116", "Madain 544", "Ingharra 578", "Lahm 123", "Duleim 926", "Bahriyat 547", "Fara 521", "Shahrain 431", "Habbah 841", "Ibzeikh 354", "Lahm 212", "Jokha 727", "Senkereh 257", "Hariri 948", "Bismaya 851", "Fara 427", "Duleim 916", "Uheimir 177", "Shahrain 213", "Senkereh 259", "Lahm 720", "Senkereh 371", "Hariri 576", "Duleim 720", "Lahm 175", "Ibzeikh 247", "Madain 828", "Uheimir 156", "Habbah 372", "Ingharra 873", "Hariri 570", "Duleim 268", "Hariri 143", "Ibzeikh 731", "Jokha 985", "Lahm 664", "Habbah 661", "Ibzeikh 235", "Ingharra 705", "Bismaya 888", "Shahrain 645", "Bismaya 995", "Fara 477", "Afaki 570", "Ibzeikh 189", "Madain 625", "Jokha 624", "Ibzeikh 382", "Madain 154", "Ibzeikh 481", "Senkereh 515", "Bahriyat 271", "Duleim 515", "Bismaya 161", "Lahm 355", "Shahrain 413", "Shahrain 744", "Jokha 320", "Shahrain 237", "Fara 379", "Uheimir 384", "Fara 670",    
 // Galaxy 6
"Habbah 959", "Fara 440", "Hariri 650", "Madain 219", "Hariri 320", "Jokha 582", "Duleim 488", "Lahm 119", "Jokha 977", "Bahriyat 925", "Afaki 297", "Afaki 390", "Duleim 328", "Lahm 525", "Afaki 395", "Bahriyat 376", "Hariri 589", "Bahriyat 756", "Hariri 401", "Uheimir 354", "Hariri 717", "Lahm 526", "Warka 872", "Habbah 887", "Bahriyat 680", "Senkereh 358", "Madain 115", "Hariri 134", "Madain 521", "Jokha 764", "Duleim 836", "Habbah 525", "Lahm 427", "Madain 642", "Jokha 683", "Lahm 230", "Bahriyat 800", "Senkereh 635", "Ibzeikh 391", "Afaki 165", "Habbah 716", "Afaki 493", "Hariri 562", "Hariri 116", "Shahrain 430", "Ibzeikh 572", "Habbah 226", "Duleim 436", "Uheimir 297", "Ibzeikh 354", "Warka 242", "Bahriyat 953", "Ibzeikh 743", "Shahrain 254", "Habbah 493", "Bahriyat 389", "Uheimir 895", "Shahrain 605", "Bismaya 776", "Shahrain 375", "Senkereh 413", "Ibzeikh 261", "Ibzeikh 940", "Warka 746", "Jokha 526", "Duleim 763", "Jokha 538", "Ingharra 471", "Duleim 446", "Ibzeikh 819", "Afaki 549", "Habbah 534", "Bismaya 634", "Ingharra 997", "Afaki 741", "Senkereh 659", "Hariri 323", "Hariri 476", "Madain 646", "Uheimir 820", "Bismaya 205", "Bahriyat 606", "Jokha 937", "Uheimir 737", "Ibzeikh 233", "Bismaya 849", "Hariri 705", "Fara 939", "Afaki 796", "Ingharra 566", "Warka 729", "Uheimir 300", "Hariri 930", "Madain 602", "Warka 736", "Warka 899", "Ibzeikh 264", "Madain 886", "Ingharra 952", "Bahriyat 919", "Bahriyat 476", "Madain 245", "Senkereh 502", "Duleim 493", "Jokha 832", "Ingharra 126", "Habbah 516", "Bismaya 816", "Jokha 565", "Habbah 613", "Fara 643", "Shahrain 362", "Warka 739", "Duleim 340", "Ibzeikh 717", "Ingharra 711", "Jokha 756", "Afaki 481", "Fara 829", "Duleim 679", "Madain 156", "Madain 259", "Lahm 832", "Bahriyat 134", "Shahrain 694", "Duleim 774", "Fara 697", "Ingharra 365", "Madain 882", "Warka 758", "Fara 462", "Hariri 662", "Ingharra 398", "Hariri 156", "Duleim 447", "Senkereh 661", "Senkereh 461", "Senkereh 200", "Jokha 240", "Ibzeikh 861", "Senkereh 889", "Warka 206", "Bahriyat 505", "Uheimir 285", "Afaki 647", "Madain 493", "Bismaya 505", "Lahm 578", "Bahriyat 638", "Madain 734", "Lahm 616", "Bismaya 150", "Madain 323", "Habbah 781", "Ibzeikh 112", "Warka 131", "Uheimir 242", "Habbah 306", "Madain 112", "Ibzeikh 825", "Shahrain 296", "Uheimir 174", "Lahm 485", "Ibzeikh 605", "Shahrain 393", "Fara 454", "Afaki 973", "Bahriyat 105", "Afaki 699", "Hariri 948", "Bismaya 917", "Warka 791", "Ibzeikh 575", "Ingharra 350", "Bahriyat 330", "Bismaya 672", "Madain 385", "Habbah 365", "Bahriyat 957", "Lahm 416", "Hariri 609", "Afaki 581", "Madain 346", "Afaki 792", "Ingharra 546", "Fara 985", "Duleim 323", "Senkereh 975", "Bismaya 549", "Lahm 647", "Fara 657", "Uheimir 783", "Jokha 586", "Lahm 888", "Senkereh 894", "Duleim 316", "Uheimir 657", "Senkereh 931", "Bismaya 787", "Ibzeikh 185", "Senkereh 833", "Lahm 576", "Lahm 426", "Fara 599", "Warka 926", "Lahm 232", "Lahm 582", "Senkereh 633", "Bahriyat 460", "Bismaya 341", "Hariri 292", "Shahrain 929", "Bismaya 109", "Ibzeikh 731", "Ingharra 744", "Uheimir 434", "Lahm 806", "Madain 600", "Warka 490", "Habbah 995", "Bahriyat 702", "Hariri 477", "Warka 527", "Ibzeikh 481", "Shahrain 270", "Ingharra 315", "Hariri 299", "Fara 108", "Hariri 638", "Madain 580", "Afaki 284", "Duleim 804", "Lahm 104", "Madain 623", "Habbah 623", "Fara 777", "Warka 408", "Bahriyat 448", "Jokha 171", "Uheimir 493", "Ibzeikh 384", "Hariri 254", "Shahrain 315", "Madain 276", "Lahm 530", "Lahm 988", "Senkereh 659", "Lahm 656", "Lahm 672", "Jokha 646", "Shahrain 603", "Jokha 444", "Lahm 474", "Hariri 127", "Hariri 235", "Ibzeikh 146",    
// Galaxy 7
"Hariri 309", "Uheimir 743", "Afaki 157", "Bismaya 464", "Jokha 574", "Afaki 187", "Shahrain 510", "Lahm 823", "Madain 663", "Jokha 408", "Ibzeikh 679", "Bismaya 748", "Jokha 670", "Warka 896", "Habbah 729", "Uheimir 727", "Uheimir 818", "Lahm 581", "Uheimir 915", "Duleim 380", "Duleim 984", "Ibzeikh 351", "Uheimir 267", "Jokha 930", "Warka 790", "Warka 842", "Hariri 274", "Shahrain 714", "Shahrain 711", "Senkereh 423", "Habbah 445", "Fara 457", "Uheimir 171", "Shahrain 862", "Ibzeikh 201", "Madain 966", "Uheimir 648", "Hariri 392", "Madain 644", "Jokha 176", "Ingharra 568", "Warka 193", "Uheimir 403", "Ingharra 506", "Uheimir 291", "Ibzeikh 450", "Uheimir 631", "Shahrain 780", "Ingharra 319", "Duleim 818", "Habbah 550", "Jokha 449", "Shahrain 567", "Hariri 121", "Lahm 756", "Hariri 448", "Bismaya 941", "Lahm 683", "Uheimir 759", "Ibzeikh 865", "Madain 780", "Ingharra 290", "Duleim 732", "Uheimir 469", "Afaki 478", "Afaki 557", "Afaki 629", "Fara 718", "Afaki 447", "Senkereh 229", "Fara 197", "Fara 525", "Duleim 934", "Fara 887", "Duleim 386", "Lahm 868", "Senkereh 487", "Fara 182", "Bismaya 944", "Afaki 270", "Lahm 122", "Habbah 226", "Shahrain 345", "Bismaya 694", "Uheimir 651", "Duleim 358", "Warka 165", "Afaki 533", "Jokha 608", "Shahrain 501", "Afaki 402", "Uheimir 346", "Habbah 256", "Afaki 802", "Fara 158", "Hariri 474", "Senkereh 463", "Habbah 445", "Senkereh 105", "Uheimir 987", "Ingharra 616", "Lahm 983", "Shahrain 961", "Hariri 814", "Senkereh 265", "Senkereh 465", "Warka 820", "Lahm 851", "Uheimir 329", "Jokha 918", "Uheimir 815", "Madain 988", "Uheimir 559", "Madain 833", "Madain 918", "Lahm 611", "Jokha 927", "Ibzeikh 621", "Senkereh 188", "Jokha 974", "Warka 324", "Lahm 412", "Jokha 154", "Uheimir 222", "Bahriyat 516", "Senkereh 401", "Fara 454", "Habbah 690", "Afaki 633", "Hariri 457", "Duleim 572", "Habbah 580", "Duleim 703", "Hariri 968", "Bismaya 445", "Ibzeikh 762", "Senkereh 509", "Habbah 930", "Bismaya 987", "Bahriyat 216", "Madain 720", "Warka 273", "Uheimir 749", "Jokha 610", "Afaki 625", "Madain 637", "Fara 335", "Ingharra 391", "Shahrain 968", "Lahm 973", "Duleim 401", "Bismaya 963", "Bahriyat 680", "Jokha 263", "Bahriyat 364", "Jokha 615", "Habbah 415", "Bismaya 755", "Habbah 698", "Jokha 389", "Fara 722", "Senkereh 477", "Hariri 306", "Ingharra 462", "Warka 525", "Ibzeikh 742", "Lahm 682", "Senkereh 171", "Bismaya 937", "Habbah 840", "Shahrain 175", "Shahrain 969", "Jokha 143", "Lahm 305", "Afaki 116", "Bahriyat 837", "Ibzeikh 677", "Afaki 398", "Ibzeikh 667", "Duleim 480", "Lahm 897", "Shahrain 136", "Warka 574", "Fara 305", "Ibzeikh 835", "Uheimir 659", "Ibzeikh 742", "Bahriyat 793", "Duleim 771", "Senkereh 935", "Bahriyat 866", "Bismaya 640", "Ingharra 246", "Uheimir 769", "Ingharra 198", "Duleim 162", "Duleim 542", "Lahm 299", "Duleim 747", "Jokha 372", "Afaki 996", "Duleim 513", "Ingharra 635", "Jokha 425", "Bahriyat 754", "Shahrain 623", "Bismaya 907", "Lahm 194", "Jokha 254", "Afaki 938", "Ibzeikh 926", "Lahm 214", "Bahriyat 130", "Habbah 364", "Shahrain 864", "Lahm 133", "Shahrain 940", "Ibzeikh 271", "Uheimir 724", "Bismaya 769", "Lahm 803", "Uheimir 817", "Senkereh 354", "Duleim 342", "Bahriyat 932", "Madain 449", "Fara 179", "Uheimir 518", "Habbah 382", "Duleim 254", "Uheimir 578", "Lahm 801", "Uheimir 444", "Hariri 139", "Habbah 749", "Ibzeikh 597", "Afaki 766", "Duleim 178", "Fara 332", "Hariri 121", "Hariri 225", "Fara 547", "Ibzeikh 858", "Ingharra 566", "Fara 540", "Madain 766", "Afaki 480", "Ingharra 493", "Jokha 739", "Fara 859", "Warka 330", "Senkereh 144", "Ingharra 758", "Lahm 124", "Senkereh 781", "Habbah 452",    
// Galaxy 8
"Bahriyat 626", "Madain 625", "Warka 474", "Senkereh 275", "Bahriyat 300", "Fara 145", "Duleim 150", "Ingharra 139", "Madain 611", "Lahm 814", "Bahriyat 504", "Senkereh 759", "Bahriyat 862", "Habbah 706", "Shahrain 131", "Senkereh 480", "Madain 349", "Bismaya 539", "Senkereh 558", "Ibzeikh 398", "Fara 148", "Bismaya 909", "Ibzeikh 681", "Ibzeikh 200", "Senkereh 300", "Shahrain 611", "Habbah 477", "Warka 776", "Madain 772", "Madain 770", "Ibzeikh 758", "Habbah 693", "Ingharra 398", "Lahm 187", "Duleim 484", "Hariri 421", "Fara 396", "Jokha 460", "Lahm 727", "Madain 709", "Habbah 421", "Ibzeikh 649", "Duleim 116", "Warka 352", "Habbah 928", "Madain 376", "Lahm 711", "Uheimir 683", "Ingharra 952", "Hariri 774", "Senkereh 649", "Uheimir 406", "Fara 827", "Ibzeikh 245", "Ibzeikh 669", "Senkereh 309", "Fara 119", "Warka 986", "Bismaya 493", "Warka 536", "Senkereh 641", "Fara 821", "Lahm 758", "Lahm 172", "Bismaya 903", "Hariri 738", "Senkereh 869", "Warka 105", "Afaki 938", "Warka 934", "Habbah 144", "Shahrain 344", "Uheimir 179", "Shahrain 891", "Fara 852", "Ingharra 235", "Bahriyat 732", "Bismaya 895", "Senkereh 678", "Madain 220", "Jokha 809", "Habbah 568", "Duleim 698", "Habbah 616", "Ingharra 451", "Jokha 214", "Ingharra 980", "Warka 489", "Afaki 676", "Lahm 238", "Bismaya 282", "Madain 343", "Habbah 546", "Habbah 343", "Habbah 196", "Jokha 888", "Ibzeikh 162", "Habbah 665", "Warka 849", "Ibzeikh 230", "Fara 382", "Shahrain 724", "Warka 844", "Bahriyat 159", "Duleim 379", "Jokha 907", "Bahriyat 442", "Madain 843", "Hariri 255", "Lahm 244", "Warka 470", "Senkereh 309", "Fara 745", "Duleim 125", "Ibzeikh 448", "Habbah 608", "Senkereh 929", "Habbah 660", "Shahrain 450", "Duleim 261", "Duleim 260", "Lahm 758", "Lahm 488", "Fara 290", "Habbah 702", "Habbah 821", "Lahm 105", "Afaki 644", "Madain 960", "Ingharra 490", "Duleim 490", "Warka 981", "Jokha 697", "Bismaya 850", "Uheimir 393", "Shahrain 607", "Afaki 225", "Habbah 222", "Madain 412", "Lahm 158", "Bahriyat 847", "Fara 501", "Shahrain 767", "Afaki 977", "Jokha 667", "Lahm 706", "Madain 484", "Ingharra 794", "Lahm 534", "Bismaya 175", "Uheimir 459", "Madain 657", "Bahriyat 744", "Hariri 248", "Hariri 907", "Bahriyat 989", "Fara 897", "Warka 220", "Bismaya 604", "Duleim 777", "Jokha 122", "Duleim 899", "Madain 344", "Warka 144", "Hariri 521", "Bahriyat 570", "Lahm 920", "Habbah 655", "Ibzeikh 252", "Fara 377", "Warka 950", "Warka 334", "Warka 300", "Bismaya 438", "Uheimir 963", "Afaki 474", "Uheimir 417", "Senkereh 829", "Warka 907", "Duleim 286", "Ibzeikh 323", "Duleim 692", "Fara 676", "Hariri 655", "Ibzeikh 546", "Duleim 644", "Ibzeikh 377", "Afaki 628", "Habbah 872", "Bismaya 992", "Ingharra 527", "Shahrain 445", "Bismaya 825", "Bismaya 317", "Warka 656", "Senkereh 314", "Jokha 430", "Afaki 723", "Senkereh 278", "Bismaya 766", "Jokha 896", "Ingharra 703", "Madain 451", "Madain 824", "Ingharra 479", "Shahrain 369", "Bismaya 860", "Jokha 864", "Duleim 793", "Madain 509", "Bismaya 437", "Warka 110", "Fara 118", "Jokha 159", "Hariri 933", "Fara 582", "Madain 557", "Hariri 459", "Duleim 694", "Fara 997", "Fara 838", "Habbah 621", "Warka 818", "Madain 603", "Habbah 745", "Fara 151", "Uheimir 804", "Fara 120", "Hariri 613", "Habbah 138", "Jokha 774", "Jokha 945", "Habbah 350", "Bismaya 246", "Jokha 650", "Uheimir 334", "Hariri 350", "Duleim 693", "Habbah 687", "Ibzeikh 927", "Senkereh 969", "Warka 192", "Habbah 100", "Senkereh 851", "Bahriyat 631", "Shahrain 773", "Fara 859", "Fara 438", "Hariri 876", "Habbah 215", "Bahriyat 594", "Jokha 644", "Shahrain 334", "Lahm 846", "Habbah 438", "Hariri 733",    
 // The Name below is unused but is included for De Bugging purposes (See the Readme File for Details).
"Senkereh 102"];

// Name Arrays for Fuel Satellites   2nd Station in a given system to spawn. (Number of Names in Array: 2,048)
// This uses the large counted pool method as above.
this.satpool2 = [
// Galaxy 1
"Havana 462", "Tucson 453", "Maya 267", "Acoma 265", "Tucson 998", "Domingo 138", "Albany 196", "Hokokam 964", "Albany 444", "Veracruz 535", "Veracruz 152", "Hokokam 444", "Acoma 379", "Domingo 606", "Acoma 283", "Tucson 958", "Acoma 650", "Cholula 381", "Rico 562", "Maya 562", "Pueblo 638", "Albany 746", "Cholula 980", "Domingo 341", "Maya 328", "Cholula 226", "Pueblo 225", "Oraibi 886", "Albany 240", "Cholula 419", "Cholula 859", "Rico 436", "Albany 568", "Cholula 217", "Cartago 944", "Albany 837", "Flores 681", "Hokokam 916", "Flores 993", "Flores 913", "Tucson 781", "Cartago 135", "Flores 675", "Oraibi 538", "Rico 862", "Hokokam 435", "Veracruz 930", "Havana 364", "Tucson 231", "Hokokam 128", "Domingo 749", "Hokokam 373", "Cueva 431", "Rico 949", "Maya 907", "Cartago 532", "Cholula 138", "Havana 309", "Rico 614", "Cartago 797", "Oraibi 144", "Pueblo 289", "Hokokam 469", "Cartago 468", "Cholula 272", "Havana 729", "Havana 582", "Havana 641", "Flores 137", "Tucson 602", "Oraibi 733", "Cueva 377", "Rico 307", "Pueblo 198", "Cholula 111", "Veracruz 956", "Tucson 765", "Tucson 362", "Flores 549", "Hokokam 244", "Hokokam 741", "Maya 419", "Cueva 384", "Tucson 452", "Rico 749", "Flores 517", "Oraibi 799", "Flores 220", "Cartago 338", "Tucson 732", "Flores 534", "Cueva 445", "Flores 931", "Tucson 487", "Tucson 762", "Oraibi 990", "Rico 624", "Maya 309", "Albany 866", "Veracruz 195", "Cholula 455", "Oraibi 754", "Rico 784", "Maya 468", "Domingo 556", "Rico 147", "Flores 897", "Veracruz 291", "Cartago 708", "Cholula 576", "Tucson 376", "Rico 162", "Maya 842", "Pueblo 510", "Albany 564", "Albany 867", "Pueblo 227", "Cueva 668", "Havana 312", "Pueblo 948", "Rico 435", "Domingo 457", "Veracruz 772", "Pueblo 291", "Pueblo 475", "Veracruz 704", "Cueva 592", "Hokokam 400", "Domingo 379", "Veracruz 235", "Cholula 121", "Albany 428", "Cholula 835", "Cholula 966", "Hokokam 216", "Oraibi 605", "Pueblo 733", "Pueblo 268", "Flores 542", "Cholula 990", "Veracruz 570", "Havana 843", "Guatemala 576", "Hokokam 180", "Domingo 921", "Maya 274", "Maya 984", "Pueblo 308", "Rico 788", "Rico 245", "Rico 488", "Cueva 438", "Hokokam 184", "Domingo 983", "Domingo 167", "Maya 711", "Maya 469", "Cartago 487", "Albany 587", "Oraibi 162", "Albany 942", "Veracruz 249", "Rico 515", "Veracruz 885", "Guatemala 859", "Acoma 363", "Tucson 414", "Guatemala 789", "Rico 312", "Havana 399", "Cholula 318", "Havana 104", "Tucson 445", "Veracruz 275", "Albany 187", "Pueblo 972", "Cartago 298", "Hokokam 420", "Acoma 316", "Rico 682", "Hokokam 543", "Albany 129", "Acoma 738", "Pueblo 906", "Flores 670", "Cartago 725", "Pueblo 402", "Flores 201", "Acoma 909", "Veracruz 902", "Maya 441", "Cartago 258", "Guatemala 130", "Albany 719", "Oraibi 187", "Acoma 444", "Cueva 717", "Acoma 472", "Rico 996", "Albany 698", "Hokokam 691", "Maya 410", "Domingo 534", "Tucson 829", "Tucson 491", "Maya 383", "Cartago 487", "Acoma 435", "Pueblo 666", "Cueva 382", "Cholula 947", "Albany 170", "Hokokam 322", "Hokokam 945", "Cueva 157", "Cartago 100", "Cartago 106", "Cholula 852", "Veracruz 301", "Rico 105", "Oraibi 667", "Veracruz 751", "Cholula 776", "Havana 426", "Rico 754", "Cholula 340", "Hokokam 156", "Havana 398", "Domingo 903", "Cueva 765", "Cholula 422", "Hokokam 172", "Rico 480", "Maya 141", "Cartago 733", "Guatemala 891", "Cartago 658", "Hokokam 177", "Tucson 468", "Flores 453", "Tucson 922", "Acoma 704", "Veracruz 353", "Veracruz 858", "Domingo 126", "Hokokam 381", "Domingo 445", "Maya 460", "Havana 459", "Cueva 305", "Cartago 811", "Rico 549", "Tucson 317", "Cueva 412", "Domingo 843", "Maya 814",    
 // Galaxy 2
"Domingo 104", "Hokokam 850", "Havana 332", "Acoma 747", "Havana 288", "Tucson 107", "Veracruz 189", "Maya 522", "Havana 280", "Tucson 576", "Pueblo 201", "Guatemala 305", "Guatemala 395", "Acoma 891", "Domingo 803", "Guatemala 858", "Cartago 960", "Cholula 568", "Hokokam 564", "Pueblo 257", "Veracruz 255", "Cartago 205", "Albany 893", "Pueblo 904", "Rico 328", "Rico 930", "Cholula 142", "Hokokam 536", "Havana 842", "Flores 555", "Oraibi 231", "Domingo 894", "Acoma 534", "Cueva 126", "Veracruz 869", "Guatemala 517", "Domingo 739", "Cholula 956", "Tucson 777", "Maya 125", "Cholula 544", "Domingo 533", "Veracruz 414", "Havana 324", "Flores 304", "Acoma 385", "Tucson 650", "Oraibi 262", "Pueblo 611", "Maya 687", "Cholula 995", "Acoma 870", "Albany 800", "Albany 821", "Tucson 823", "Tucson 291", "Guatemala 594", "Cholula 734", "Tucson 542", "Cartago 256", "Havana 500", "Oraibi 680", "Albany 972", "Hokokam 302", "Acoma 285", "Havana 551", "Veracruz 110", "Veracruz 925", "Rico 688", "Hokokam 909", "Acoma 393", "Domingo 591", "Veracruz 164", "Domingo 500", "Rico 839", "Tucson 760", "Oraibi 422", "Acoma 545", "Havana 294", "Albany 514", "Guatemala 774", "Cueva 541", "Flores 474", "Cartago 528", "Cholula 199", "Flores 828", "Rico 123", "Maya 319", "Cueva 970", "Domingo 962", "Domingo 673", "Veracruz 567", "Rico 436", "Cartago 428", "Cueva 534", "Pueblo 831", "Domingo 981", "Guatemala 233", "Albany 873", "Flores 708", "Albany 686", "Cartago 735", "Flores 891", "Oraibi 746", "Cartago 363", "Albany 858", "Hokokam 608", "Domingo 546", "Rico 993", "Albany 328", "Havana 143", "Cartago 659", "Flores 186", "Cholula 899", "Rico 591", "Flores 651", "Tucson 461", "Veracruz 669", "Guatemala 850", "Cholula 393", "Acoma 975", "Hokokam 327", "Veracruz 140", "Oraibi 973", "Maya 773", "Flores 353", "Oraibi 886", "Albany 628", "Cholula 759", "Flores 100", "Cueva 862", "Havana 878", "Albany 603", "Flores 399", "Flores 887", "Acoma 347", "Oraibi 111", "Veracruz 279", "Veracruz 586", "Maya 680", "Havana 402", "Flores 362", "Acoma 696", "Cholula 828", "Cueva 768", "Tucson 836", "Oraibi 484", "Cholula 466", "Domingo 781", "Cueva 210", "Maya 582", "Tucson 772", "Oraibi 788", "Cartago 849", "Albany 356", "Guatemala 585", "Guatemala 914", "Veracruz 443", "Flores 226", "Cartago 448", "Domingo 707", "Cueva 487", "Guatemala 288", "Veracruz 784", "Flores 816", "Cholula 511", "Cholula 320", "Cueva 561", "Flores 898", "Cholula 441", "Guatemala 638", "Cartago 955", "Guatemala 351", "Acoma 663", "Oraibi 892", "Flores 181", "Hokokam 528", "Pueblo 786", "Guatemala 793", "Acoma 153", "Domingo 409", "Guatemala 597", "Pueblo 559", "Maya 694", "Tucson 827", "Havana 104", "Flores 375", "Flores 165", "Acoma 377", "Hokokam 384", "Acoma 763", "Oraibi 355", "Oraibi 919", "Guatemala 289", "Oraibi 814", "Cueva 740", "Havana 796", "Pueblo 936", "Cartago 605", "Domingo 681", "Maya 435", "Rico 952", "Veracruz 191", "Albany 234", "Hokokam 996", "Tucson 992", "Pueblo 948", "Guatemala 502", "Cueva 957", "Rico 877", "Albany 550", "Cueva 217", "Pueblo 456", "Cartago 401", "Acoma 744", "Flores 915", "Flores 165", "Domingo 983", "Maya 378", "Rico 865", "Maya 222", "Oraibi 989", "Tucson 285", "Havana 943", "Veracruz 503", "Cueva 766", "Tucson 613", "Cueva 274", "Hokokam 710", "Rico 335", "Flores 172", "Cueva 494", "Domingo 834", "Acoma 614", "Guatemala 296", "Veracruz 236", "Domingo 796", "Oraibi 224", "Albany 180", "Havana 701", "Havana 263", "Maya 547", "Cartago 354", "Rico 666", "Guatemala 243", "Guatemala 792", "Veracruz 668", "Domingo 248", "Flores 749", "Hokokam 360", "Pueblo 560", "Flores 443", "Hokokam 164", "Acoma 833", "Maya 789", "Veracruz 729",  
// Galaxy 3
"Tucson 807", "Havana 792", "Hokokam 478", "Oraibi 398", "Guatemala 911", "Domingo 657", "Havana 637", "Hokokam 518", "Havana 184", "Oraibi 750", "Cueva 920", "Cholula 787", "Rico 725", "Rico 184", "Maya 187", "Cartago 977", "Rico 619", "Veracruz 778", "Domingo 255", "Havana 460", "Oraibi 908", "Cartago 975", "Flores 587", "Domingo 723", "Domingo 623", "Guatemala 156", "Domingo 359", "Veracruz 913", "Veracruz 209", "Guatemala 556", "Veracruz 174", "Tucson 466", "Albany 278", "Maya 119", "Cueva 978", "Pueblo 197", "Havana 988", "Rico 648", "Rico 835", "Tucson 642", "Cartago 298", "Cueva 981", "Albany 803", "Tucson 771", "Domingo 380", "Pueblo 502", "Flores 380", "Cueva 896", "Hokokam 191", "Guatemala 323", "Flores 694", "Cueva 386", "Havana 582", "Havana 462", "Tucson 513", "Cueva 906", "Tucson 300", "Oraibi 662", "Albany 218", "Hokokam 816", "Havana 488", "Havana 126", "Havana 385", "Cartago 888", "Domingo 463", "Hokokam 430", "Oraibi 589", "Maya 279", "Guatemala 900", "Tucson 243", "Havana 285", "Cartago 691", "Flores 379", "Flores 555", "Havana 376", "Acoma 559", "Acoma 627", "Oraibi 995", "Tucson 135", "Maya 375", "Guatemala 537", "Pueblo 735", "Havana 316", "Pueblo 326", "Rico 332", "Veracruz 919", "Cartago 793", "Oraibi 782", "Albany 896", "Guatemala 269", "Rico 896", "Cartago 821", "Pueblo 694", "Acoma 193", "Hokokam 417", "Veracruz 929", "Guatemala 905", "Oraibi 126", "Acoma 734", "Cartago 271", "Oraibi 419", "Flores 125", "Pueblo 401", "Veracruz 293", "Veracruz 931", "Cholula 559", "Rico 607", "Acoma 143", "Havana 969", "Guatemala 714", "Veracruz 674", "Oraibi 456", "Oraibi 904", "Cholula 127", "Acoma 860", "Rico 913", "Tucson 783", "Veracruz 230", "Domingo 638", "Acoma 255", "Domingo 161", "Maya 638", "Pueblo 974", "Acoma 121", "Flores 668", "Albany 288", "Albany 814", "Maya 775", "Cueva 144", "Cholula 772", "Cholula 884", "Pueblo 414", "Acoma 336", "Hokokam 884", "Pueblo 556", "Albany 124", "Veracruz 147", "Maya 527", "Acoma 531", "Pueblo 221", "Tucson 949", "Cholula 459", "Cartago 912", "Cholula 648", "Pueblo 661", "Maya 626", "Domingo 763", "Hokokam 974", "Oraibi 676", "Cueva 435", "Rico 849", "Flores 847", "Acoma 840", "Veracruz 828", "Rico 936", "Cartago 515", "Oraibi 198", "Oraibi 998", "Cueva 218", "Hokokam 715", "Cueva 960", "Havana 736", "Domingo 843", "Guatemala 579", "Albany 908", "Veracruz 113", "Acoma 701", "Flores 183", "Domingo 855", "Cholula 432", "Veracruz 725", "Maya 695", "Maya 250", "Havana 858", "Acoma 345", "Havana 848", "Tucson 189", "Cholula 973", "Guatemala 907", "Guatemala 989", "Flores 310", "Guatemala 759", "Pueblo 519", "Hokokam 578", "Oraibi 446", "Acoma 103", "Oraibi 493", "Tucson 600", "Oraibi 515", "Havana 737", "Domingo 696", "Oraibi 804", "Pueblo 465", "Hokokam 769", "Cartago 919", "Oraibi 691", "Guatemala 238", "Veracruz 878", "Domingo 621", "Maya 402", "Havana 271", "Cholula 929", "Maya 209", "Cartago 504", "Maya 819", "Guatemala 641", "Flores 495", "Veracruz 959", "Albany 826", "Havana 948", "Havana 300", "Flores 569", "Maya 790", "Hokokam 706", "Albany 889", "Flores 484", "Pueblo 190", "Albany 130", "Cueva 271", "Pueblo 398", "Albany 869", "Tucson 850", "Acoma 805", "Tucson 397", "Domingo 852", "Acoma 161", "Havana 275", "Cholula 154", "Veracruz 223", "Rico 928", "Guatemala 847", "Guatemala 939", "Domingo 336", "Albany 132", "Maya 814", "Maya 403", "Albany 688", "Albany 414", "Hokokam 134", "Flores 572", "Albany 472", "Cueva 828", "Havana 915", "Cartago 814", "Oraibi 177", "Cueva 410", "Pueblo 133", "Maya 358", "Tucson 118", "Flores 627", "Hokokam 275", "Cueva 162", "Havana 297", "Domingo 343", "Cueva 406", "Oraibi 791",  
// Galaxy 4
"Oraibi 479", "Maya 622", "Havana 217", "Guatemala 776", "Havana 616", "Domingo 761", "Maya 194", "Tucson 532", "Guatemala 301", "Flores 705", "Domingo 111", "Veracruz 629", "Guatemala 715", "Domingo 261", "Domingo 437", "Cholula 325", "Rico 697", "Flores 377", "Veracruz 526", "Hokokam 706", "Pueblo 853", "Pueblo 940", "Oraibi 866", "Acoma 289", "Tucson 933", "Maya 207", "Acoma 251", "Maya 585", "Cholula 515", "Flores 953", "Tucson 479", "Guatemala 881", "Tucson 309", "Havana 739", "Domingo 197", "Havana 644", "Oraibi 983", "Veracruz 307", "Rico 582", "Rico 871", "Pueblo 420", "Rico 688", "Hokokam 572", "Flores 130", "Flores 478", "Cueva 388", "Havana 674", "Hokokam 421", "Cueva 255", "Albany 986", "Cholula 255", "Flores 903", "Acoma 785", "Oraibi 136", "Cueva 914", "Hokokam 650", "Flores 232", "Cartago 590", "Tucson 244", "Tucson 641", "Cholula 529", "Albany 234", "Maya 183", "Veracruz 888", "Rico 795", "Oraibi 988", "Pueblo 832", "Acoma 455", "Hokokam 750", "Rico 782", "Maya 971", "Cueva 516", "Maya 498", "Tucson 271", "Hokokam 404", "Acoma 703", "Tucson 774", "Cueva 416", "Hokokam 860", "Acoma 630", "Guatemala 928", "Veracruz 345", "Maya 639", "Guatemala 532", "Veracruz 311", "Cholula 592", "Havana 916", "Pueblo 552", "Acoma 489", "Veracruz 142", "Oraibi 448", "Acoma 429", "Flores 278", "Cueva 788", "Veracruz 826", "Havana 263", "Cholula 670", "Oraibi 753", "Cueva 671", "Domingo 312", "Pueblo 978", "Acoma 898", "Albany 963", "Acoma 239", "Hokokam 499", "Maya 751", "Rico 149", "Domingo 674", "Rico 462", "Hokokam 360", "Pueblo 714", "Cartago 602", "Cueva 344", "Havana 738", "Acoma 438", "Cartago 287", "Domingo 209", "Cueva 882", "Havana 229", "Maya 487", "Cartago 894", "Maya 365", "Acoma 793", "Hokokam 175", "Cueva 947", "Guatemala 864", "Oraibi 370", "Cueva 433", "Guatemala 405", "Tucson 184", "Albany 878", "Guatemala 990", "Hokokam 300", "Hokokam 472", "Tucson 263", "Tucson 268", "Albany 668", "Albany 744", "Albany 545", "Domingo 635", "Cholula 354", "Cholula 691", "Guatemala 959", "Cartago 444", "Domingo 787", "Hokokam 341", "Maya 366", "Cholula 103", "Cueva 198", "Domingo 740", "Albany 672", "Rico 570", "Havana 138", "Pueblo 529", "Oraibi 117", "Flores 957", "Veracruz 464", "Oraibi 859", "Hokokam 870", "Oraibi 906", "Cartago 493", "Oraibi 714", "Guatemala 308", "Cholula 504", "Domingo 552", "Pueblo 576", "Acoma 415", "Hokokam 368", "Acoma 231", "Domingo 411", "Tucson 825", "Havana 462", "Rico 868", "Hokokam 641", "Cartago 877", "Tucson 854", "Oraibi 636", "Rico 528", "Hokokam 802", "Albany 271", "Domingo 741", "Domingo 946", "Domingo 963", "Maya 719", "Rico 580", "Rico 424", "Guatemala 399", "Albany 773", "Domingo 166", "Guatemala 849", "Flores 493", "Oraibi 292", "Rico 656", "Cartago 625", "Pueblo 313", "Tucson 115", "Maya 421", "Veracruz 329", "Flores 683", "Maya 145", "Veracruz 411", "Veracruz 867", "Rico 236", "Veracruz 588", "Havana 567", "Cartago 224", "Havana 309", "Rico 766", "Hokokam 722", "Hokokam 218", "Havana 384", "Flores 849", "Hokokam 632", "Havana 934", "Domingo 366", "Flores 397", "Havana 417", "Guatemala 245", "Flores 501", "Acoma 427", "Oraibi 905", "Havana 167", "Havana 625", "Cueva 888", "Havana 890", "Pueblo 921", "Veracruz 701", "Flores 294", "Cholula 135", "Guatemala 199", "Acoma 389", "Oraibi 607", "Havana 799", "Albany 796", "Hokokam 344", "Acoma 554", "Maya 672", "Havana 173", "Maya 983", "Cholula 782", "Maya 648", "Tucson 544", "Acoma 514", "Guatemala 637", "Domingo 914", "Albany 443", "Veracruz 784", "Maya 513", "Cueva 567", "Cartago 266", "Cholula 974", "Havana 520", "Havana 378", "Hokokam 435", "Maya 679", "Maya 381", 
// Galaxy 5
"Pueblo 928", "Rico 437", "Domingo 183", "Hokokam 380", "Domingo 445", "Cueva 707", "Tucson 182", "Flores 802", "Cholula 166", "Pueblo 844", "Cueva 276", "Hokokam 426", "Acoma 864", "Cartago 569", "Albany 350", "Rico 492", "Albany 713", "Hokokam 811", "Tucson 179", "Hokokam 692", "Tucson 346", "Cholula 559", "Cartago 137", "Flores 196", "Cueva 959", "Acoma 695", "Maya 367", "Albany 242", "Havana 300", "Havana 130", "Albany 662", "Cartago 513", "Oraibi 457", "Maya 619", "Rico 160", "Cueva 958", "Hokokam 583", "Maya 692", "Maya 178", "Flores 619", "Havana 950", "Pueblo 201", "Maya 839", "Maya 811", "Maya 494", "Tucson 128", "Acoma 320", "Veracruz 999", "Acoma 556", "Albany 681", "Albany 713", "Flores 731", "Oraibi 894", "Rico 427", "Domingo 240", "Pueblo 937", "Veracruz 821", "Guatemala 176", "Maya 415", "Guatemala 972", "Maya 328", "Domingo 237", "Cholula 834", "Oraibi 358", "Rico 467", "Guatemala 865", "Rico 580", "Hokokam 806", "Domingo 284", "Acoma 453", "Hokokam 907", "Cartago 554", "Havana 846", "Havana 956", "Domingo 670", "Acoma 622", "Albany 501", "Oraibi 624", "Acoma 482", "Flores 557", "Tucson 343", "Cartago 401", "Albany 169", "Havana 572", "Domingo 715", "Cartago 994", "Havana 121", "Rico 223", "Pueblo 948", "Guatemala 974", "Maya 668", "Hokokam 565", "Albany 314", "Maya 870", "Maya 408", "Tucson 417", "Domingo 257", "Havana 277", "Cholula 354", "Havana 252", "Hokokam 314", "Tucson 164", "Oraibi 309", "Domingo 489", "Maya 672", "Pueblo 914", "Acoma 605", "Havana 354", "Albany 386", "Havana 488", "Havana 511", "Cartago 266", "Cueva 941", "Cartago 534", "Havana 338", "Pueblo 754", "Cartago 590", "Cueva 179", "Guatemala 918", "Domingo 212", "Oraibi 894", "Rico 427", "Acoma 892", "Cartago 596", "Cholula 648", "Pueblo 830", "Cartago 425", "Albany 932", "Hokokam 142", "Hokokam 416", "Oraibi 885", "Maya 198", "Hokokam 196", "Rico 611", "Flores 630", "Cueva 760", "Tucson 477", "Maya 960", "Havana 736", "Albany 358", "Cueva 729", "Albany 556", "Cueva 150", "Cueva 591", "Albany 480", "Cholula 202", "Maya 289", "Cartago 845", "Pueblo 931", "Cholula 992", "Havana 617", "Hokokam 819", "Cueva 116", "Hokokam 267", "Maya 991", "Flores 931", "Havana 283", "Cartago 351", "Tucson 931", "Cueva 671", "Cartago 687", "Albany 726", "Albany 686", "Havana 308", "Oraibi 435", "Domingo 330", "Flores 850", "Albany 135", "Acoma 113", "Hokokam 719", "Tucson 296", "Flores 581", "Domingo 485", "Maya 658", "Oraibi 319", "Havana 165", "Guatemala 353", "Pueblo 235", "Hokokam 514", "Flores 884", "Maya 634", "Oraibi 974", "Guatemala 143", "Oraibi 368", "Cholula 365", "Pueblo 218", "Albany 386", "Cartago 251", "Flores 223", "Domingo 441", "Domingo 967", "Domingo 952", "Rico 991", "Pueblo 553", "Domingo 529", "Hokokam 928", "Pueblo 632", "Acoma 864", "Veracruz 900", "Maya 421", "Albany 134", "Cueva 238", "Maya 722", "Havana 640", "Havana 558", "Domingo 981", "Domingo 684", "Guatemala 353", "Pueblo 246", "Rico 326", "Guatemala 580", "Cueva 996", "Hokokam 528", "Acoma 275", "Hokokam 671", "Rico 568", "Cueva 146", "Oraibi 327", "Domingo 559", "Cholula 624", "Maya 908", "Tucson 244", "Tucson 756", "Acoma 693", "Domingo 961", "Maya 485", "Cartago 123", "Pueblo 696", "Albany 467", "Cartago 702", "Cartago 666", "Hokokam 503", "Albany 196", "Guatemala 460", "Cueva 314", "Maya 267", "Cholula 894", "Tucson 738", "Acoma 517", "Domingo 883", "Maya 186", "Pueblo 372", "Acoma 324", "Flores 507", "Acoma 655", "Maya 584", "Domingo 924", "Oraibi 324", "Cartago 324", "Pueblo 608", "Oraibi 722", "Pueblo 533", "Veracruz 359", "Cartago 519", "Guatemala 275", "Cartago 776", 
// Galaxy 6
"Albany 381", "Pueblo 567", "Havana 994", "Albany 806", "Cholula 993", "Flores 436", "Oraibi 496", "Cueva 559", "Albany 672", "Hokokam 998", "Flores 774", "Havana 495", "Cholula 102", "Cueva 924", "Havana 355", "Cartago 503", "Acoma 492", "Cartago 649", "Cartago 988", "Domingo 152", "Albany 446", "Cartago 531", "Tucson 884", "Oraibi 142", "Cartago 949", "Pueblo 852", "Acoma 961", "Flores 681", "Pueblo 234", "Pueblo 633", "Tucson 316", "Domingo 132", "Acoma 767", "Tucson 381", "Havana 383", "Havana 198", "Albany 864", "Cholula 458", "Veracruz 777", "Acoma 803", "Flores 868", "Cholula 400", "Domingo 863", "Maya 410", "Oraibi 132", "Guatemala 584", "Cholula 892", "Tucson 469", "Havana 829", "Maya 163", "Veracruz 240", "Rico 824", "Cueva 934", "Pueblo 996", "Cartago 709", "Albany 643", "Domingo 362", "Hokokam 442", "Acoma 821", "Oraibi 134", "Flores 456", "Flores 871", "Tucson 325", "Havana 207", "Havana 102", "Havana 388", "Flores 747", "Acoma 388", "Guatemala 800", "Veracruz 177", "Cartago 249", "Domingo 488", "Oraibi 996", "Guatemala 885", "Oraibi 461", "Cholula 461", "Acoma 638", "Pueblo 455", "Havana 108", "Oraibi 263", "Pueblo 488", "Flores 869", "Domingo 941", "Maya 715", "Maya 894", "Hokokam 712", "Rico 633", "Oraibi 722", "Pueblo 322", "Guatemala 752", "Maya 194", "Tucson 195", "Maya 622", "Pueblo 878", "Albany 619", "Flores 969", "Hokokam 204", "Acoma 445", "Havana 362", "Rico 122", "Cueva 895", "Cueva 866", "Havana 651", "Cholula 464", "Cueva 872", "Hokokam 711", "Cholula 220", "Cueva 547", "Albany 192", "Maya 246", "Pueblo 113", "Hokokam 440", "Pueblo 186", "Rico 497", "Veracruz 285", "Cueva 636", "Hokokam 580", "Hokokam 898", "Flores 970", "Rico 916", "Cholula 654", "Havana 388", "Havana 212", "Pueblo 985", "Domingo 385", "Guatemala 549", "Flores 953", "Oraibi 876", "Rico 794", "Cholula 384", "Maya 191", "Cueva 728", "Cholula 869", "Guatemala 692", "Hokokam 925", "Cueva 483", "Guatemala 243", "Oraibi 344", "Pueblo 465", "Veracruz 725", "Flores 427", "Domingo 854", "Havana 962", "Flores 185", "Pueblo 129", "Maya 924", "Pueblo 738", "Acoma 139", "Acoma 983", "Havana 538", "Pueblo 341", "Oraibi 819", "Hokokam 470", "Tucson 468", "Cartago 590", "Havana 440", "Tucson 447", "Havana 737", "Albany 290", "Maya 979", "Guatemala 335", "Cartago 739", "Oraibi 266", "Cholula 504", "Maya 801", "Acoma 538", "Acoma 736", "Cueva 900", "Cholula 461", "Guatemala 934", "Maya 729", "Cholula 982", "Maya 276", "Maya 379", "Flores 367", "Pueblo 714", "Acoma 984", "Rico 457", "Acoma 244", "Albany 522", "Cholula 657", "Oraibi 811", "Tucson 477", "Maya 380", "Veracruz 267", "Guatemala 985", "Flores 339", "Havana 448", "Oraibi 891", "Havana 376", "Pueblo 768", "Rico 308", "Maya 868", "Acoma 101", "Oraibi 167", "Tucson 457", "Domingo 580", "Pueblo 859", "Domingo 140", "Pueblo 612", "Pueblo 483", "Hokokam 923", "Cartago 806", "Cholula 592", "Veracruz 969", "Cueva 890", "Pueblo 638", "Cartago 782", "Hokokam 797", "Cueva 226", "Tucson 210", "Albany 135", "Flores 857", "Havana 683", "Veracruz 685", "Guatemala 659", "Pueblo 128", "Flores 155", "Flores 369", "Acoma 458", "Cholula 855", "Guatemala 331", "Cartago 889", "Albany 756", "Rico 774", "Havana 428", "Tucson 605", "Cholula 942", "Maya 650", "Oraibi 400", "Pueblo 348", "Guatemala 641", "Tucson 700", "Flores 679", "Veracruz 352", "Pueblo 308", "Flores 865", "Hokokam 535", "Guatemala 758", "Albany 359", "Maya 354", "Domingo 271", "Havana 508", "Flores 490", "Cholula 858", "Havana 603", "Guatemala 899", "Cartago 421", "Pueblo 710", "Acoma 312", "Cartago 247", "Albany 131", "Acoma 838", "Cueva 511", "Acoma 592", "Cholula 793", 
// Galaxy 7
"Cartago 474", "Guatemala 958", "Albany 312", "Maya 321", "Albany 768", "Veracruz 342", "Maya 161", "Cartago 229", "Acoma 297", "Maya 943", "Cartago 971", "Rico 502", "Cueva 373", "Albany 314", "Maya 951", "Guatemala 464", "Maya 960", "Veracruz 343", "Flores 215", "Veracruz 190", "Pueblo 967", "Cueva 548", "Veracruz 295", "Cholula 233", "Rico 814", "Cholula 397", "Albany 804", "Veracruz 377", "Cartago 812", "Havana 988", "Flores 262", "Cartago 158", "Veracruz 179", "Cartago 518", "Veracruz 529", "Maya 405", "Cartago 767", "Albany 218", "Hokokam 524", "Acoma 540", "Guatemala 849", "Oraibi 914", "Cueva 733", "Acoma 671", "Hokokam 898", "Tucson 879", "Guatemala 565", "Guatemala 603", "Rico 771", "Tucson 135", "Guatemala 325", "Flores 975", "Havana 440", "Oraibi 731", "Hokokam 491", "Cholula 165", "Cueva 205", "Oraibi 280", "Cartago 936", "Hokokam 705", "Cartago 378", "Veracruz 317", "Albany 694", "Hokokam 848", "Acoma 629", "Tucson 118", "Domingo 213", "Veracruz 109", "Cueva 534", "Hokokam 386", "Acoma 246", "Cartago 102", "Hokokam 842", "Domingo 829", "Maya 619", "Cueva 823", "Flores 784", "Cueva 712", "Maya 109", "Acoma 853", "Hokokam 972", "Havana 477", "Maya 523", "Albany 728", "Cholula 674", "Havana 733", "Maya 466", "Tucson 953", "Hokokam 900", "Domingo 383", "Guatemala 173", "Albany 834", "Cueva 864", "Veracruz 642", "Tucson 539", "Maya 979", "Rico 833", "Pueblo 970", "Albany 225", "Pueblo 246", "Oraibi 636", "Flores 699", "Oraibi 661", "Domingo 307", "Maya 591", "Guatemala 801", "Guatemala 842", "Havana 433", "Hokokam 304", "Domingo 851", "Havana 318", "Hokokam 863", "Domingo 429", "Hokokam 579", "Havana 782", "Oraibi 559", "Tucson 864", "Rico 118", "Cholula 721", "Pueblo 276", "Cartago 439", "Rico 582", "Hokokam 546", "Domingo 132", "Flores 173", "Havana 151", "Cueva 254", "Hokokam 127", "Guatemala 108", "Havana 931", "Maya 388", "Albany 630", "Hokokam 998", "Rico 579", "Acoma 344", "Rico 966", "Hokokam 241", "Guatemala 483", "Flores 643", "Hokokam 298", "Tucson 637", "Maya 653", "Maya 889", "Cartago 177", "Guatemala 732", "Cholula 976", "Veracruz 971", "Cartago 827", "Acoma 570", "Maya 502", "Pueblo 276", "Albany 880", "Havana 622", "Oraibi 819", "Domingo 470", "Tucson 570", "Flores 363", "Pueblo 794", "Cholula 403", "Acoma 194", "Rico 486", "Maya 131", "Rico 130", "Havana 970", "Domingo 850", "Cartago 908", "Pueblo 176", "Cholula 249", "Rico 822", "Guatemala 177", "Pueblo 517", "Cholula 694", "Oraibi 974", "Rico 812", "Havana 626", "Tucson 798", "Guatemala 883", "Tucson 642", "Albany 256", "Guatemala 675", "Acoma 804", "Albany 179", "Rico 422", "Guatemala 976", "Veracruz 453", "Cartago 362", "Veracruz 233", "Albany 689", "Oraibi 864", "Cholula 750", "Veracruz 615", "Acoma 333", "Pueblo 821", "Veracruz 715", "Veracruz 185", "Guatemala 207", "Tucson 186", "Pueblo 758", "Cartago 594", "Havana 343", "Veracruz 188", "Oraibi 795", "Maya 221", "Cartago 145", "Acoma 498", "Cartago 748", "Hokokam 756", "Havana 795", "Cartago 963", "Domingo 623", "Domingo 861", "Guatemala 580", "Hokokam 772", "Rico 770", "Albany 380", "Cholula 196", "Cholula 998", "Tucson 781", "Veracruz 470", "Havana 409", "Cueva 596", "Hokokam 446", "Domingo 658", "Flores 558", "Albany 623", "Flores 897", "Havana 334", "Pueblo 949", "Cueva 488", "Havana 177", "Albany 578", "Cueva 975", "Rico 916", "Cartago 732", "Cueva 946", "Cholula 826", "Hokokam 683", "Albany 725", "Havana 880", "Rico 150", "Cholula 280", "Maya 327", "Albany 895", "Rico 132", "Havana 873", "Acoma 355", "Domingo 335", "Cartago 997", "Guatemala 412", "Veracruz 591", "Veracruz 161", "Cueva 130", "Cueva 893", "Cartago 837", "Tucson 963", "Veracruz 216",  
// Galaxy 8
"Havana 462", "Tucson 453", "Maya 267", "Acoma 265", "Tucson 998", "Domingo 138", "Albany 196", "Hokokam 964", "Albany 444", "Veracruz 535", "Veracruz 152", "Hokokam 444", "Acoma 379", "Domingo 606", "Acoma 283", "Tucson 958", "Acoma 650", "Cholula 381", "Rico 562", "Maya 562", "Pueblo 638", "Albany 746", "Cholula 980", "Domingo 341", "Maya 328", "Cholula 226", "Pueblo 225", "Oraibi 886", "Albany 240", "Cholula 419", "Cholula 859", "Rico 436", "Albany 568", "Cholula 217", "Cartago 944", "Albany 837", "Flores 681", "Hokokam 916", "Flores 993", "Flores 913", "Tucson 781", "Cartago 135", "Flores 675", "Oraibi 538", "Rico 862", "Hokokam 435", "Veracruz 930", "Havana 364", "Tucson 231", "Hokokam 128", "Domingo 749", "Hokokam 373", "Cueva 431", "Rico 949", "Maya 907", "Cartago 532", "Cholula 138", "Havana 309", "Rico 614", "Cartago 797", "Oraibi 144", "Pueblo 289", "Hokokam 469", "Cartago 468", "Cholula 272", "Havana 729", "Havana 582", "Havana 641", "Flores 137", "Tucson 602", "Oraibi 733", "Cueva 377", "Rico 307", "Pueblo 198", "Cholula 111", "Veracruz 956", "Tucson 765", "Tucson 362", "Flores 549", "Hokokam 244", "Hokokam 741", "Maya 419", "Cueva 384", "Tucson 452", "Rico 749", "Flores 517", "Oraibi 799", "Flores 220", "Cartago 338", "Tucson 732", "Flores 534", "Cueva 445", "Flores 931", "Tucson 487", "Tucson 762", "Oraibi 990", "Rico 624", "Maya 309", "Albany 866", "Veracruz 195", "Cholula 455", "Oraibi 754", "Rico 784", "Maya 468", "Domingo 556", "Rico 147", "Flores 897", "Veracruz 291", "Cartago 708", "Cholula 576", "Tucson 376", "Rico 162", "Maya 842", "Pueblo 510", "Albany 564", "Albany 867", "Pueblo 227", "Cueva 668", "Havana 312", "Pueblo 948", "Rico 435", "Domingo 457", "Veracruz 772", "Pueblo 291", "Pueblo 475", "Veracruz 704", "Cueva 592", "Hokokam 400", "Domingo 379", "Veracruz 235", "Cholula 121", "Albany 428", "Cholula 835", "Cholula 966", "Hokokam 216", "Oraibi 605", "Pueblo 733", "Pueblo 268", "Flores 542", "Cholula 990", "Veracruz 570", "Havana 843", "Guatemala 576", "Hokokam 180", "Domingo 921", "Maya 274", "Maya 984", "Pueblo 308", "Rico 788", "Rico 245", "Rico 488", "Cueva 438", "Hokokam 184", "Domingo 983", "Domingo 167", "Maya 711", "Maya 469", "Cartago 487", "Albany 587", "Oraibi 162", "Albany 942", "Veracruz 249", "Rico 515", "Veracruz 885", "Guatemala 859", "Acoma 363", "Tucson 414", "Guatemala 789", "Rico 312", "Havana 399", "Cholula 318", "Havana 104", "Tucson 445", "Veracruz 275", "Albany 187", "Pueblo 972", "Cartago 298", "Hokokam 420", "Acoma 316", "Rico 682", "Hokokam 543", "Albany 129", "Acoma 738", "Pueblo 906", "Flores 670", "Cartago 725", "Pueblo 402", "Flores 201", "Acoma 909", "Veracruz 902", "Maya 441", "Cartago 258", "Guatemala 130", "Albany 719", "Oraibi 187", "Acoma 444", "Cueva 717", "Acoma 472", "Rico 996", "Albany 698", "Hokokam 691", "Maya 410", "Domingo 534", "Tucson 829", "Tucson 491", "Maya 383", "Cartago 487", "Acoma 435", "Pueblo 666", "Cueva 382", "Cholula 947", "Albany 170", "Hokokam 322", "Hokokam 945", "Cueva 157", "Cartago 100", "Cartago 106", "Cholula 852", "Veracruz 301", "Rico 105", "Oraibi 667", "Veracruz 751", "Cholula 776", "Havana 426", "Rico 754", "Cholula 340", "Hokokam 156", "Havana 398", "Domingo 903", "Cueva 765", "Cholula 422", "Hokokam 172", "Rico 480", "Maya 141", "Cartago 733", "Guatemala 891", "Cartago 658", "Hokokam 177", "Tucson 468", "Flores 453", "Tucson 922", "Acoma 704", "Veracruz 353", "Veracruz 858", "Domingo 126", "Hokokam 381", "Domingo 445", "Maya 460", "Havana 459", "Cueva 305", "Cartago 811", "Rico 549", "Tucson 317", "Cueva 412", "Domingo 843", "Maya 814", 
// The Name below is unused but is included for De Bugging purposes (See the Readme File for Details).
"Domingo 202"];

// Name Arrays for Fuel Satellites   3rd Station in a given system to spawn. (Number of Names in Array: 2,048)
// This uses the large counted pool method as above.
this.satpool3 = [
// Galaxy 1
"Zanzibar 295", "Walata 457", "Tanga 454", "Zanzibar 962", "Malindi 537", "Kongo 236", "Moroni 325", "Malindi 867", "Benin 342", "Swahill 514", "Sofala 317", "Kumasi 335", "Kongo 920", "Swahill 175", "Malindi 695", "Quelimane 264", "Benin 603", "Quelimane 667", "Quelimane 641", "Tanga 889", "Kano 312", "Mali 608", "Kumasi 727", "Moroni 758", "Sofala 936", "Kongo 907", "Sofala 158", "Tanga 404", "Kongo 758", "Timbuktu 762", "Pate 190", "Timbuktu 264", "Timbuktu 284", "Moroni 636", "Pate 444", "Tanga 730", "Sofala 353", "Ouidah 601", "Malindi 582", "Timbuktu 142", "Moroni 418", "Zanzibar 870", "Kumasi 608", "Sofala 372", "Quelimane 279", "Pate 241", "Swahill 155", "Walata 153", "Quelimane 152", "Zanzibar 779", "Sofala 926", "Sofala 428", "Sofala 897", "Kumasi 298", "Tanga 437", "Pate 153", "Moroni 911", "Swahill 700", "Mali 197", "Quelimane 913", "Walata 529", "Kano 548", "Kongo 629", "Walata 396", "Quelimane 145", "Quelimane 730", "Kano 546", "Ouidah 869", "Timbuktu 552", "Tanga 104", "Tanga 130", "Swahill 622", "Kumasi 985", "Mali 942", "Kumasi 380", "Walata 604", "Kano 588", "Moroni 512", "Zanzibar 960", "Kongo 886", "Mali 691", "Kongo 637", "Quelimane 753", "Sofala 680", "Swahill 703", "Malindi 508", "Swahill 232", "Timbuktu 221", "Malindi 949", "Sofala 605", "Pate 922", "Benin 121", "Malindi 344", "Kano 419", "Mali 153", "Kongo 142", "Swahill 688", "Mali 236", "Kano 718", "Walata 527", "Sofala 284", "Sofala 372", "Quelimane 427", "Kumasi 581", "Benin 281", "Kongo 163", "Walata 575", "Mali 310", "Moroni 186", "Tanga 613", "Kano 455", "Swahill 394", "Kano 809", "Malindi 399", "Kongo 139", "Walata 703", "Sofala 187", "Sofala 649", "Mali 497", "Malindi 609", "Benin 585", "Tanga 134", "Zanzibar 631", "Quelimane 933", "Pate 592", "Sofala 782", "Zanzibar 315", "Sofala 636", "Tanga 774", "Walata 414", "Quelimane 991", "Kano 936", "Pate 841", "Swahill 651", "Sofala 368", "Swahill 342", "Swahill 449", "Benin 703", "Tanga 122", "Malindi 423", "Benin 471", "Sofala 768", "Zanzibar 471", "Tanga 766", "Quelimane 777", "Sofala 836", "Quelimane 810", "Swahill 224", "Tanga 128", "Kongo 432", "Malindi 319", "Tanga 830", "Zanzibar 206", "Malindi 592", "Timbuktu 479", "Swahill 326", "Kumasi 178", "Ouidah 923", "Pate 111", "Moroni 150", "Moroni 662", "Quelimane 396", "Malindi 644", "Kano 391", "Zanzibar 459", "Tanga 968", "Quelimane 722", "Swahill 459", "Walata 368", "Swahill 978", "Sofala 534", "Tanga 756", "Zanzibar 748", "Kongo 213", "Tanga 922", "Tanga 753", "Pate 563", "Swahill 783", "Malindi 844", "Swahill 414", "Moroni 345", "Kumasi 767", "Benin 683", "Malindi 437", "Quelimane 127", "Kumasi 454", "Kongo 593", "Quelimane 951", "Moroni 545", "Quelimane 343", "Kumasi 107", "Timbuktu 845", "Kongo 321", "Ouidah 503", "Moroni 557", "Kano 801", "Kongo 392", "Timbuktu 682", "Kano 466", "Kano 622", "Tanga 345", "Tanga 358", "Swahill 263", "Malindi 204", "Moroni 155", "Kano 328", "Pate 227", "Mali 156", "Ouidah 628", "Zanzibar 310", "Swahill 924", "Ouidah 455", "Kumasi 121", "Swahill 864", "Kumasi 559", "Quelimane 275", "Pate 667", "Swahill 747", "Quelimane 791", "Sofala 336", "Timbuktu 493", "Quelimane 226", "Benin 379", "Benin 671", "Walata 146", "Benin 673", "Walata 158", "Zanzibar 686", "Malindi 411", "Kongo 516", "Kongo 852", "Kano 409", "Malindi 521", "Zanzibar 573", "Zanzibar 834", "Benin 504", "Kano 345", "Kano 400", "Tanga 895", "Kumasi 927", "Malindi 387", "Pate 367", "Ouidah 605", "Moroni 516", "Walata 843", "Moroni 849", "Timbuktu 358", "Ouidah 721", "Moroni 211", "Benin 350", "Kano 780", "Kumasi 639", "Mali 544", "Pate 461", "Kumasi 816", "Ouidah 156", 
// Galaxy 2
"Ouidah 507", "Malindi 768", "Moroni 842", "Tanga 615", "Ouidah 174", "Benin 727", "Tanga 484", "Malindi 991", "Malindi 709", "Benin 888", "Moroni 883", "Mali 241", "Walata 877", "Kumasi 588", "Sofala 115", "Malindi 597", "Tanga 542", "Quelimane 159", "Sofala 305", "Mali 934", "Kano 167", "Timbuktu 296", "Mali 445", "Zanzibar 819", "Walata 907", "Sofala 404", "Benin 126", "Timbuktu 470", "Kumasi 543", "Timbuktu 573", "Tanga 155", "Pate 829", "Benin 501", "Quelimane 332", "Malindi 293", "Tanga 864", "Timbuktu 320", "Sofala 410", "Quelimane 918", "Malindi 445", "Benin 587", "Kongo 619", "Pate 411", "Kano 148", "Kano 705", "Kongo 683", "Tanga 223", "Malindi 146", "Swahill 137", "Malindi 933", "Kongo 532", "Moroni 913", "Kano 696", "Ouidah 177", "Kumasi 491", "Kano 537", "Zanzibar 750", "Mali 640", "Walata 348", "Benin 590", "Sofala 554", "Malindi 883", "Pate 715", "Kano 266", "Kumasi 676", "Quelimane 941", "Tanga 306", "Kongo 159", "Pate 384", "Ouidah 764", "Moroni 422", "Quelimane 846", "Quelimane 525", "Tanga 790", "Sofala 166", "Benin 201", "Kongo 985", "Ouidah 557", "Kumasi 166", "Sofala 265", "Kumasi 395", "Kongo 706", "Kumasi 602", "Walata 656", "Zanzibar 481", "Sofala 414", "Quelimane 995", "Sofala 438", "Tanga 471", "Mali 501", "Benin 295", "Walata 901", "Sofala 379", "Moroni 969", "Mali 766", "Tanga 762", "Tanga 142", "Malindi 823", "Sofala 269", "Kumasi 823", "Benin 761", "Kongo 173", "Tanga 331", "Kumasi 970", "Ouidah 985", "Timbuktu 832", "Swahill 905", "Zanzibar 162", "Malindi 176", "Moroni 284", "Quelimane 852", "Moroni 542", "Kongo 241", "Sofala 725", "Pate 735", "Kano 893", "Zanzibar 648", "Timbuktu 865", "Malindi 709", "Benin 453", "Pate 473", "Moroni 218", "Moroni 278", "Moroni 253", "Kano 579", "Zanzibar 984", "Timbuktu 482", "Sofala 224", "Swahill 428", "Ouidah 359", "Ouidah 364", "Walata 171", "Quelimane 281", "Kumasi 827", "Mali 968", "Sofala 480", "Sofala 906", "Walata 861", "Pate 371", "Kano 955", "Zanzibar 128", "Kano 877", "Swahill 226", "Swahill 103", "Tanga 317", "Kumasi 712", "Ouidah 418", "Quelimane 974", "Timbuktu 849", "Malindi 673", "Ouidah 578", "Tanga 963", "Kano 563", "Timbuktu 279", "Zanzibar 958", "Zanzibar 193", "Walata 553", "Ouidah 266", "Sofala 453", "Kano 664", "Sofala 123", "Moroni 195", "Benin 304", "Malindi 905", "Pate 504", "Walata 573", "Kumasi 201", "Benin 427", "Tanga 854", "Zanzibar 615", "Benin 449", "Quelimane 539", "Pate 816", "Zanzibar 617", "Ouidah 742", "Kongo 442", "Mali 851", "Kano 601", "Kongo 480", "Mali 666", "Walata 447", "Moroni 116", "Sofala 616", "Kongo 764", "Swahill 714", "Pate 650", "Sofala 536", "Kongo 798", "Timbuktu 889", "Kongo 245", "Sofala 563", "Moroni 184", "Kongo 904", "Swahill 328", "Swahill 828", "Kumasi 640", "Sofala 644", "Swahill 170", "Moroni 407", "Benin 671", "Zanzibar 531", "Quelimane 836", "Moroni 591", "Kano 617", "Walata 910", "Tanga 112", "Benin 633", "Pate 221", "Swahill 387", "Tanga 386", "Quelimane 867", "Tanga 401", "Ouidah 233", "Mali 683", "Benin 397", "Walata 989", "Moroni 706", "Quelimane 736", "Benin 229", "Ouidah 769", "Timbuktu 323", "Sofala 707", "Kumasi 120", "Walata 735", "Ouidah 342", "Kongo 470", "Timbuktu 627", "Benin 381", "Tanga 961", "Quelimane 894", "Walata 203", "Moroni 441", "Kano 986", "Ouidah 671", "Mali 833", "Kano 642", "Kano 930", "Walata 693", "Quelimane 395", "Walata 927", "Moroni 890", "Sofala 993", "Moroni 521", "Swahill 448", "Kumasi 389", "Kano 208", "Sofala 388", "Walata 189", "Kano 304", "Kongo 215", "Pate 344", "Ouidah 623", "Timbuktu 883", "Kongo 880", "Benin 707", "Quelimane 989",  
// Galaxy 3
"Kongo 391", "Pate 469", "Kumasi 414", "Kumasi 588", "Zanzibar 626", "Timbuktu 876", "Swahill 866", "Tanga 907", "Kumasi 846", "Zanzibar 756", "Swahill 134", "Timbuktu 497", "Quelimane 947", "Tanga 772", "Zanzibar 617", "Ouidah 582", "Walata 621", "Walata 972", "Kongo 288", "Benin 269", "Tanga 703", "Kano 154", "Pate 267", "Mali 600", "Mali 128", "Pate 628", "Quelimane 239", "Walata 373", "Quelimane 659", "Sofala 945", "Kano 202", "Sofala 148", "Zanzibar 190", "Kumasi 578", "Tanga 325", "Ouidah 110", "Tanga 926", "Kongo 399", "Walata 485", "Walata 629", "Pate 200", "Kumasi 691", "Swahill 829", "Kongo 464", "Mali 142", "Tanga 449", "Moroni 890", "Sofala 944", "Swahill 222", "Swahill 664", "Swahill 143", "Zanzibar 131", "Ouidah 293", "Kumasi 202", "Walata 841", "Sofala 750", "Timbuktu 437", "Kongo 740", "Kumasi 513", "Malindi 333", "Ouidah 424", "Walata 302", "Walata 341", "Kano 658", "Sofala 918", "Malindi 165", "Pate 733", "Moroni 139", "Timbuktu 995", "Benin 201", "Kongo 322", "Benin 552", "Pate 103", "Kumasi 892", "Quelimane 570", "Kongo 637", "Quelimane 626", "Timbuktu 874", "Mali 190", "Quelimane 355", "Kano 445", "Kano 393", "Swahill 190", "Kano 659", "Benin 187", "Ouidah 581", "Kano 702", "Tanga 166", "Tanga 864", "Timbuktu 933", "Tanga 662", "Tanga 987", "Ouidah 334", "Zanzibar 432", "Mali 736", "Tanga 974", "Benin 516", "Moroni 154", "Sofala 765", "Pate 212", "Walata 341", "Moroni 422", "Kumasi 905", "Swahill 830", "Moroni 261", "Mali 911", "Malindi 175", "Kongo 227", "Walata 556", "Malindi 310", "Mali 787", "Zanzibar 244", "Kongo 534", "Malindi 177", "Tanga 902", "Quelimane 628", "Mali 264", "Sofala 173", "Kumasi 317", "Mali 151", "Kongo 483", "Mali 403", "Walata 681", "Pate 351", "Timbuktu 335", "Tanga 990", "Swahill 958", "Pate 275", "Pate 950", "Pate 303", "Mali 728", "Pate 931", "Malindi 874", "Kano 451", "Zanzibar 286", "Kongo 284", "Zanzibar 237", "Sofala 991", "Kumasi 158", "Quelimane 336", "Moroni 440", "Ouidah 617", "Mali 780", "Kumasi 466", "Pate 119", "Timbuktu 100", "Moroni 250", "Moroni 953", "Swahill 926", "Tanga 224", "Malindi 930", "Mali 470", "Timbuktu 421", "Zanzibar 269", "Pate 426", "Sofala 631", "Kumasi 697", "Mali 273", "Malindi 483", "Sofala 826", "Sofala 358", "Malindi 419", "Tanga 392", "Swahill 213", "Walata 405", "Sofala 398", "Timbuktu 363", "Zanzibar 329", "Kongo 753", "Sofala 394", "Kongo 303", "Quelimane 480", "Zanzibar 582", "Malindi 671", "Ouidah 353", "Mali 776", "Tanga 370", "Zanzibar 619", "Kumasi 627", "Benin 937", "Benin 813", "Sofala 779", "Kano 991", "Mali 317", "Malindi 149", "Walata 297", "Tanga 348", "Kongo 849", "Quelimane 664", "Swahill 483", "Benin 798", "Mali 453", "Timbuktu 911", "Kongo 523", "Walata 130", "Kongo 923", "Pate 315", "Malindi 776", "Timbuktu 714", "Kumasi 841", "Moroni 132", "Moroni 848", "Ouidah 795", "Benin 203", "Malindi 394", "Timbuktu 848", "Pate 257", "Malindi 117", "Kongo 435", "Quelimane 925", "Ouidah 481", "Moroni 100", "Kumasi 320", "Pate 508", "Tanga 748", "Kongo 551", "Sofala 271", "Pate 909", "Ouidah 817", "Swahill 174", "Timbuktu 549", "Timbuktu 830", "Kumasi 264", "Walata 971", "Ouidah 215", "Swahill 531", "Walata 189", "Sofala 347", "Kano 125", "Timbuktu 438", "Swahill 773", "Quelimane 341", "Mali 747", "Mali 649", "Mali 917", "Quelimane 330", "Swahill 935", "Walata 739", "Tanga 902", "Malindi 630", "Mali 791", "Kano 381", "Kano 870", "Swahill 491", "Quelimane 791", "Sofala 908", "Sofala 886", "Benin 482", "Kumasi 490", "Tanga 241", "Moroni 767", "Swahill 174", "Pate 319", "Moroni 803", "Mali 618", "Kumasi 436", 
// Galaxy 4
"Zanzibar 981", "Tanga 647", "Ouidah 530", "Quelimane 466", "Swahill 429", "Quelimane 787", "Ouidah 533", "Kumasi 884", "Pate 803", "Mali 411", "Timbuktu 674", "Swahill 938", "Timbuktu 819", "Kongo 788", "Swahill 250", "Moroni 465", "Benin 475", "Sofala 874", "Quelimane 603", "Ouidah 505", "Timbuktu 453", "Kongo 608", "Benin 339", "Walata 403", "Moroni 746", "Ouidah 995", "Kumasi 116", "Tanga 363", "Mali 989", "Mali 590", "Sofala 615", "Tanga 273", "Pate 166", "Quelimane 961", "Ouidah 469", "Kano 421", "Quelimane 923", "Ouidah 497", "Ouidah 219", "Swahill 364", "Kumasi 439", "Kongo 936", "Kano 905", "Malindi 849", "Walata 918", "Mali 784", "Moroni 149", "Timbuktu 747", "Malindi 216", "Kano 647", "Kongo 924", "Zanzibar 286", "Kongo 504", "Swahill 544", "Mali 658", "Moroni 476", "Sofala 641", "Kumasi 692", "Kongo 893", "Pate 584", "Swahill 676", "Timbuktu 378", "Kumasi 564", "Walata 707", "Walata 266", "Sofala 667", "Moroni 852", "Zanzibar 177", "Mali 616", "Kongo 848", "Benin 121", "Tanga 635", "Kumasi 532", "Kongo 860", "Kumasi 961", "Swahill 764", "Tanga 527", "Tanga 556", "Walata 202", "Timbuktu 540", "Moroni 837", "Kano 777", "Zanzibar 586", "Kano 940", "Kumasi 666", "Moroni 402", "Tanga 152", "Sofala 244", "Sofala 987", "Mali 913", "Quelimane 850", "Zanzibar 857", "Ouidah 490", "Walata 603", "Kano 696", "Sofala 864", "Zanzibar 839", "Kumasi 695", "Mali 881", "Mali 639", "Timbuktu 484", "Sofala 416", "Kongo 440", "Mali 278", "Tanga 871", "Swahill 856", "Moroni 657", "Kano 860", "Ouidah 787", "Malindi 767", "Walata 549", "Pate 530", "Kongo 860", "Zanzibar 360", "Timbuktu 355", "Kongo 982", "Mali 959", "Kongo 552", "Timbuktu 789", "Benin 809", "Kongo 863", "Ouidah 295", "Swahill 632", "Moroni 983", "Timbuktu 775", "Quelimane 593", "Moroni 559", "Kano 407", "Quelimane 469", "Mali 195", "Malindi 257", "Ouidah 279", "Swahill 310", "Kano 307", "Kongo 757", "Pate 146", "Benin 727", "Tanga 376", "Swahill 572", "Moroni 227", "Kongo 142", "Benin 407", "Quelimane 191", "Kano 672", "Moroni 784", "Kumasi 222", "Walata 618", "Swahill 414", "Pate 993", "Pate 798", "Sofala 926", "Zanzibar 101", "Tanga 288", "Malindi 504", "Benin 567", "Ouidah 102", "Quelimane 115", "Sofala 133", "Kano 590", "Swahill 275", "Quelimane 442", "Zanzibar 481", "Malindi 713", "Tanga 807", "Pate 932", "Kongo 919", "Sofala 677", "Kumasi 841", "Benin 951", "Sofala 893", "Kano 783", "Kano 259", "Mali 258", "Pate 789", "Ouidah 760", "Zanzibar 989", "Pate 399", "Malindi 923", "Benin 604", "Ouidah 779", "Mali 662", "Sofala 510", "Malindi 883", "Zanzibar 942", "Timbuktu 111", "Quelimane 832", "Kongo 655", "Kongo 789", "Quelimane 873", "Kano 534", "Ouidah 697", "Swahill 391", "Pate 757", "Moroni 759", "Kano 741", "Quelimane 701", "Ouidah 265", "Kano 225", "Timbuktu 863", "Kongo 234", "Kongo 791", "Kano 512", "Kumasi 947", "Walata 504", "Benin 107", "Ouidah 743", "Kano 637", "Mali 897", "Quelimane 951", "Pate 506", "Quelimane 807", "Tanga 200", "Malindi 661", "Zanzibar 781", "Pate 517", "Kano 686", "Sofala 482", "Benin 111", "Walata 523", "Walata 290", "Malindi 887", "Sofala 636", "Kongo 427", "Sofala 797", "Pate 544", "Tanga 869", "Kumasi 860", "Walata 329", "Sofala 209", "Moroni 614", "Moroni 425", "Kongo 459", "Kano 973", "Mali 694", "Timbuktu 364", "Moroni 791", "Mali 506", "Walata 461", "Kano 584", "Tanga 718", "Zanzibar 240", "Kongo 316", "Kongo 794", "Timbuktu 200", "Pate 180", "Kongo 244", "Swahill 866", "Kumasi 278", "Ouidah 949", "Pate 688", "Zanzibar 784", "Kano 287", "Kongo 379", "Pate 429", "Kumasi 128", "Zanzibar 263", 
// Galaxy 5
"Walata 919", "Ouidah 880", "Zanzibar 692", "Mali 513", "Timbuktu 478", "Swahill 334", "Pate 477", "Kano 979", "Zanzibar 537", "Ouidah 259", "Kumasi 147", "Kano 725", "Kano 684", "Ouidah 605", "Timbuktu 835", "Tanga 821", "Ouidah 949", "Malindi 562", "Kano 263", "Timbuktu 660", "Kano 256", "Kumasi 335", "Malindi 627", "Zanzibar 668", "Timbuktu 215", "Kongo 380", "Benin 716", "Mali 743", "Benin 321", "Tanga 401", "Ouidah 515", "Swahill 194", "Timbuktu 319", "Walata 749", "Moroni 903", "Benin 274", "Swahill 829", "Swahill 810", "Kano 387", "Timbuktu 227", "Kongo 963", "Quelimane 461", "Mali 463", "Walata 327", "Moroni 299", "Mali 149", "Mali 624", "Ouidah 219", "Swahill 408", "Swahill 767", "Kongo 270", "Kongo 879", "Moroni 887", "Kongo 478", "Moroni 217", "Kano 821", "Timbuktu 926", "Kano 763", "Kano 514", "Moroni 142", "Ouidah 623", "Moroni 343", "Kano 755", "Walata 722", "Timbuktu 397", "Kongo 451", "Pate 207", "Mali 841", "Zanzibar 145", "Sofala 500", "Zanzibar 492", "Swahill 970", "Moroni 386", "Tanga 280", "Quelimane 355", "Sofala 862", "Swahill 928", "Kumasi 990", "Ouidah 975", "Mali 495", "Malindi 999", "Tanga 516", "Walata 475", "Ouidah 143", "Timbuktu 674", "Ouidah 212", "Sofala 532", "Tanga 697", "Mali 200", "Kumasi 129", "Pate 690", "Sofala 444", "Benin 871", "Walata 889", "Sofala 859", "Mali 493", "Kongo 700", "Swahill 154", "Pate 447", "Benin 923", "Tanga 262", "Tanga 186", "Kongo 806", "Swahill 494", "Kano 897", "Walata 615", "Ouidah 743", "Malindi 810", "Malindi 392", "Kano 537", "Zanzibar 973", "Walata 738", "Malindi 682", "Moroni 974", "Zanzibar 936", "Kumasi 770", "Tanga 535", "Kumasi 359", "Mali 882", "Kumasi 113", "Timbuktu 310", "Mali 501", "Walata 535", "Quelimane 250", "Timbuktu 850", "Kumasi 476", "Kongo 477", "Sofala 303", "Benin 773", "Sofala 737", "Kumasi 258", "Ouidah 909", "Timbuktu 370", "Kumasi 189", "Kano 645", "Kongo 548", "Swahill 646", "Ouidah 351", "Mali 675", "Kano 783", "Malindi 615", "Ouidah 590", "Ouidah 512", "Ouidah 363", "Moroni 223", "Kano 396", "Moroni 736", "Sofala 247", "Pate 699", "Malindi 823", "Benin 378", "Pate 313", "Timbuktu 181", "Zanzibar 107", "Pate 550", "Quelimane 773", "Moroni 477", "Benin 568", "Tanga 130", "Walata 218", "Tanga 659", "Mali 385", "Swahill 727", "Tanga 403", "Malindi 706", "Mali 980", "Swahill 458", "Kano 181", "Malindi 632", "Kumasi 952", "Ouidah 629", "Timbuktu 828", "Timbuktu 266", "Pate 948", "Walata 596", "Quelimane 154", "Kongo 250", "Moroni 714", "Walata 852", "Benin 222", "Moroni 403", "Kongo 329", "Benin 567", "Ouidah 961", "Malindi 544", "Kano 121", "Kongo 229", "Quelimane 851", "Moroni 231", "Pate 919", "Timbuktu 736", "Mali 235", "Kano 177", "Zanzibar 115", "Kumasi 505", "Swahill 888", "Kumasi 309", "Walata 539", "Ouidah 799", "Ouidah 587", "Malindi 261", "Sofala 142", "Zanzibar 255", "Walata 443", "Kano 200", "Moroni 250", "Pate 718", "Tanga 402", "Kongo 376", "Kongo 156", "Moroni 762", "Kumasi 489", "Kano 334", "Sofala 163", "Benin 646", "Kumasi 422", "Sofala 839", "Ouidah 763", "Pate 904", "Zanzibar 339", "Walata 800", "Zanzibar 873", "Kumasi 384", "Pate 129", "Ouidah 313", "Ouidah 904", "Walata 360", "Sofala 812", "Kongo 320", "Mali 443", "Zanzibar 964", "Malindi 340", "Sofala 184", "Benin 581", "Quelimane 635", "Sofala 325", "Pate 875", "Kano 385", "Quelimane 201", "Kumasi 179", "Malindi 311", "Ouidah 965", "Moroni 760", "Quelimane 571", "Pate 242", "Walata 355", "Kumasi 373", "Benin 573", "Zanzibar 711", "Walata 131", "Mali 156", "Quelimane 501", "Kumasi 751", "Timbuktu 426", "Kano 574", "Ouidah 978", 
// Galaxy 6
"Timbuktu 212", "Tanga 210", "Walata 909", "Kano 369", "Quelimane 527", "Mali 800", "Sofala 724", "Zanzibar 292", "Kumasi 215", "Malindi 702", "Sofala 374", "Quelimane 778", "Zanzibar 281", "Kano 719", "Swahill 856", "Timbuktu 122", "Kano 927", "Quelimane 263", "Quelimane 814", "Zanzibar 750", "Benin 315", "Pate 173", "Pate 316", "Quelimane 449", "Tanga 154", "Zanzibar 381", "Pate 763", "Swahill 107", "Swahill 543", "Swahill 730", "Kano 642", "Pate 324", "Tanga 147", "Ouidah 621", "Pate 493", "Moroni 595", "Malindi 505", "Walata 505", "Sofala 325", "Swahill 504", "Kumasi 504", "Zanzibar 873", "Sofala 197", "Mali 690", "Moroni 523", "Malindi 261", "Benin 899", "Walata 593", "Tanga 235", "Moroni 762", "Tanga 899", "Pate 239", "Timbuktu 933", "Walata 466", "Zanzibar 122", "Kongo 499", "Moroni 584", "Quelimane 581", "Mali 704", "Moroni 804", "Tanga 473", "Sofala 396", "Tanga 735", "Sofala 259", "Kano 488", "Sofala 420", "Benin 962", "Kano 360", "Tanga 614", "Benin 850", "Timbuktu 199", "Quelimane 964", "Quelimane 709", "Mali 273", "Timbuktu 486", "Pate 176", "Tanga 815", "Mali 345", "Swahill 651", "Zanzibar 125", "Quelimane 404", "Kongo 864", "Kumasi 609", "Timbuktu 596", "Swahill 624", "Swahill 184", "Tanga 964", "Kongo 692", "Timbuktu 349", "Quelimane 740", "Timbuktu 335", "Kongo 622", "Benin 846", "Mali 253", "Malindi 962", "Moroni 299", "Swahill 120", "Ouidah 295", "Kumasi 663", "Zanzibar 888", "Kano 264", "Tanga 110", "Zanzibar 393", "Sofala 490", "Quelimane 493", "Pate 365", "Swahill 827", "Quelimane 445", "Kumasi 201", "Malindi 300", "Kano 677", "Zanzibar 384", "Timbuktu 468", "Kano 277", "Zanzibar 526", "Malindi 913", "Kongo 630", "Malindi 457", "Malindi 430", "Timbuktu 858", "Ouidah 950", "Quelimane 556", "Timbuktu 994", "Kumasi 892", "Kongo 220", "Kumasi 218", "Kongo 518", "Timbuktu 824", "Moroni 741", "Kumasi 907", "Swahill 212", "Timbuktu 454", "Ouidah 497", "Mali 813", "Timbuktu 973", "Benin 907", "Malindi 790", "Kumasi 770", "Kongo 944", "Kumasi 320", "Sofala 516", "Kongo 459", "Moroni 862", "Tanga 900", "Kongo 610", "Timbuktu 702", "Timbuktu 201", "Kongo 812", "Moroni 939", "Kano 595", "Swahill 694", "Moroni 383", "Kano 261", "Kongo 629", "Benin 179", "Walata 361", "Pate 158", "Quelimane 452", "Walata 451", "Ouidah 355", "Benin 939", "Sofala 929", "Kumasi 991", "Mali 933", "Kongo 142", "Kumasi 884", "Zanzibar 351", "Quelimane 991", "Kano 201", "Malindi 554", "Ouidah 420", "Quelimane 996", "Kano 702", "Sofala 505", "Swahill 909", "Benin 896", "Moroni 982", "Quelimane 621", "Tanga 463", "Pate 961", "Mali 258", "Timbuktu 289", "Malindi 599", "Quelimane 454", "Swahill 465", "Quelimane 218", "Benin 876", "Kumasi 873", "Mali 138", "Moroni 610", "Walata 937", "Quelimane 843", "Quelimane 772", "Benin 604", "Ouidah 992", "Zanzibar 668", "Timbuktu 246", "Pate 466", "Tanga 893", "Kano 747", "Malindi 141", "Walata 258", "Kongo 168", "Mali 951", "Malindi 144", "Kumasi 462", "Walata 937", "Ouidah 148", "Walata 505", "Sofala 689", "Mali 635", "Kongo 831", "Moroni 816", "Walata 873", "Quelimane 436", "Walata 861", "Sofala 254", "Tanga 693", "Swahill 174", "Timbuktu 717", "Kongo 312", "Malindi 653", "Quelimane 381", "Mali 977", "Kano 314", "Pate 723", "Benin 511", "Benin 570", "Kano 684", "Sofala 922", "Sofala 565", "Ouidah 333", "Kumasi 840", "Zanzibar 536", "Benin 492", "Moroni 544", "Tanga 179", "Swahill 701", "Tanga 442", "Malindi 527", "Walata 551", "Tanga 188", "Tanga 640", "Malindi 773", "Malindi 944", "Kano 165", "Quelimane 167", "Ouidah 256", "Tanga 444", "Malindi 711", "Quelimane 207", "Mali 825", "Swahill 206", "Kumasi 531", "Kano 133", "Zanzibar 416",  
// Galaxy 7
"Pate 222", "Sofala 501", "Mali 262", "Kumasi 251", "Kano 210", "Walata 331", "Ouidah 540", "Sofala 244", "Swahill 310", "Kano 583", "Kongo 557", "Walata 761", "Pate 855", "Malindi 341", "Zanzibar 767", "Sofala 688", "Swahill 406", "Tanga 485", "Ouidah 802", "Sofala 972", "Kongo 449", "Ouidah 378", "Quelimane 875", "Pate 824", "Quelimane 912", "Kongo 124", "Mali 275", "Kano 729", "Quelimane 953", "Sofala 638", "Kongo 278", "Kongo 391", "Pate 391", "Pate 893", "Pate 440", "Tanga 312", "Swahill 166", "Ouidah 232", "Zanzibar 663", "Sofala 624", "Walata 938", "Swahill 561", "Benin 274", "Moroni 692", "Moroni 110", "Sofala 903", "Mali 573", "Malindi 493", "Tanga 450", "Benin 297", "Benin 529", "Ouidah 344", "Kongo 108", "Kumasi 143", "Zanzibar 988", "Kongo 568", "Zanzibar 682", "Malindi 181", "Walata 441", "Sofala 528", "Swahill 481", "Ouidah 438", "Tanga 798", "Walata 147", "Sofala 172", "Malindi 100", "Kano 422", "Pate 305", "Benin 905", "Malindi 463", "Sofala 373", "Ouidah 685", "Kano 869", "Quelimane 762", "Kumasi 884", "Pate 813", "Pate 913", "Moroni 562", "Tanga 423", "Timbuktu 558", "Kumasi 874", "Kumasi 530", "Ouidah 890", "Quelimane 638", "Malindi 130", "Ouidah 290", "Quelimane 332", "Swahill 237", "Zanzibar 737", "Quelimane 229", "Quelimane 993", "Pate 326", "Zanzibar 982", "Malindi 544", "Kano 259", "Swahill 310", "Timbuktu 625", "Kongo 147", "Walata 416", "Mali 375", "Kano 910", "Sofala 984", "Walata 729", "Moroni 581", "Kano 942", "Tanga 511", "Swahill 277", "Quelimane 791", "Moroni 526", "Tanga 945", "Timbuktu 481", "Sofala 467", "Walata 195", "Ouidah 687", "Kano 245", "Quelimane 171", "Sofala 472", "Tanga 776", "Walata 621", "Moroni 614", "Moroni 116", "Pate 573", "Timbuktu 278", "Kumasi 316", "Kongo 494", "Kano 493", "Benin 534", "Swahill 510", "Moroni 625", "Benin 433", "Benin 471", "Benin 811", "Pate 637", "Moroni 264", "Tanga 298", "Walata 552", "Benin 265", "Ouidah 143", "Moroni 235", "Pate 745", "Ouidah 475", "Benin 216", "Kano 566", "Tanga 433", "Swahill 284", "Kumasi 274", "Tanga 528", "Tanga 644", "Kongo 779", "Quelimane 446", "Timbuktu 310", "Mali 252", "Tanga 803", "Pate 122", "Zanzibar 612", "Mali 852", "Sofala 696", "Malindi 288", "Timbuktu 824", "Pate 866", "Tanga 532", "Swahill 189", "Benin 715", "Walata 362", "Walata 555", "Tanga 248", "Quelimane 605", "Ouidah 752", "Tanga 860", "Kongo 914", "Moroni 858", "Walata 236", "Kongo 285", "Quelimane 511", "Walata 138", "Swahill 869", "Tanga 144", "Kongo 380", "Mali 393", "Quelimane 676", "Sofala 801", "Moroni 457", "Moroni 485", "Mali 552", "Kongo 218", "Kongo 318", "Moroni 937", "Swahill 479", "Kongo 522", "Swahill 862", "Mali 975", "Kano 476", "Kumasi 273", "Kongo 450", "Moroni 793", "Zanzibar 282", "Timbuktu 994", "Tanga 514", "Sofala 230", "Quelimane 841", "Quelimane 353", "Moroni 803", "Kano 676", "Kumasi 952", "Kongo 295", "Moroni 311", "Swahill 433", "Walata 428", "Malindi 835", "Kongo 806", "Mali 131", "Timbuktu 347", "Malindi 187", "Zanzibar 483", "Sofala 198", "Malindi 187", "Sofala 805", "Pate 481", "Kumasi 568", "Walata 100", "Benin 130", "Mali 919", "Quelimane 854", "Kano 800", "Kumasi 103", "Mali 949", "Zanzibar 615", "Walata 806", "Benin 243", "Kongo 652", "Malindi 301", "Sofala 550", "Tanga 738", "Zanzibar 125", "Sofala 988", "Zanzibar 431", "Zanzibar 938", "Zanzibar 953", "Benin 335", "Walata 626", "Malindi 957", "Quelimane 387", "Tanga 558", "Benin 241", "Kongo 460", "Swahill 423", "Benin 952", "Moroni 338", "Walata 534", "Malindi 235", "Malindi 510", "Kano 183", "Kano 662", "Pate 153", "Pate 332", "Sofala 305", 
// Galaxy 8
"Kumasi 595", "Kano 958", "Tanga 145", "Kano 693", "Mali 609", "Benin 225", "Quelimane 636", "Malindi 722", "Mali 781", "Zanzibar 316", "Swahill 204", "Ouidah 840", "Walata 762", "Benin 491", "Pate 859", "Malindi 799", "Tanga 533", "Ouidah 787", "Timbuktu 807", "Quelimane 491", "Sofala 581", "Moroni 519", "Mali 976", "Ouidah 255", "Benin 132", "Kumasi 456", "Kongo 832", "Timbuktu 860", "Kano 502", "Kumasi 968", "Sofala 334", "Kongo 140", "Zanzibar 241", "Pate 929", "Mali 311", "Malindi 513", "Quelimane 351", "Moroni 492", "Walata 471", "Kumasi 288", "Pate 471", "Malindi 353", "Kongo 326", "Kumasi 547", "Benin 501", "Quelimane 163", "Ouidah 927", "Moroni 703", "Mali 550", "Pate 723", "Swahill 184", "Ouidah 189", "Pate 953", "Malindi 159", "Quelimane 266", "Swahill 163", "Quelimane 961", "Quelimane 149", "Kumasi 858", "Quelimane 106", "Swahill 173", "Malindi 492", "Timbuktu 200", "Moroni 408", "Tanga 493", "Kano 432", "Pate 910", "Malindi 857", "Ouidah 257", "Kumasi 995", "Kongo 115", "Malindi 309", "Pate 573", "Malindi 985", "Walata 836", "Mali 771", "Malindi 375", "Ouidah 291", "Swahill 213", "Walata 393", "Kumasi 243", "Benin 211", "Zanzibar 185", "Kongo 493", "Kongo 312", "Timbuktu 502", "Timbuktu 539", "Zanzibar 266", "Timbuktu 787", "Zanzibar 672", "Benin 898", "Mali 727", "Mali 226", "Mali 892", "Timbuktu 246", "Pate 796", "Walata 917", "Ouidah 921", "Kano 369", "Quelimane 663", "Tanga 861", "Kumasi 311", "Mali 146", "Walata 848", "Zanzibar 833", "Benin 281", "Kongo 644", "Benin 762", "Mali 896", "Kano 180", "Tanga 720", "Timbuktu 396", "Kumasi 842", "Pate 771", "Pate 455", "Timbuktu 107", "Malindi 665", "Sofala 612", "Malindi 803", "Walata 651", "Ouidah 121", "Pate 811", "Kano 115", "Benin 651", "Zanzibar 174", "Mali 767", "Benin 219", "Sofala 664", "Benin 465", "Ouidah 668", "Timbuktu 950", "Swahill 860", "Ouidah 915", "Kumasi 822", "Zanzibar 187", "Walata 683", "Kano 868", "Kano 925", "Timbuktu 234", "Mali 728", "Mali 508", "Walata 605", "Sofala 466", "Walata 646", "Zanzibar 630", "Zanzibar 591", "Pate 556", "Walata 857", "Ouidah 441", "Malindi 742", "Swahill 501", "Zanzibar 277", "Ouidah 722", "Walata 263", "Sofala 874", "Quelimane 679", "Pate 108", "Kongo 331", "Moroni 613", "Timbuktu 905", "Zanzibar 662", "Moroni 770", "Zanzibar 105", "Pate 733", "Moroni 562", "Tanga 574", "Sofala 212", "Tanga 455", "Kano 772", "Pate 901", "Kumasi 165", "Malindi 877", "Tanga 485", "Pate 709", "Swahill 602", "Kumasi 680", "Walata 676", "Zanzibar 128", "Malindi 293", "Ouidah 417", "Ouidah 841", "Kano 474", "Pate 624", "Tanga 739", "Swahill 848", "Swahill 655", "Quelimane 415", "Moroni 976", "Sofala 860", "Sofala 141", "Swahill 201", "Kongo 707", "Benin 428", "Moroni 208", "Tanga 160", "Kongo 961", "Sofala 738", "Kongo 985", "Ouidah 450", "Sofala 331", "Tanga 392", "Benin 257", "Sofala 512", "Timbuktu 959", "Kongo 343", "Sofala 564", "Zanzibar 197", "Walata 537", "Kumasi 482", "Zanzibar 386", "Moroni 613", "Walata 898", "Tanga 173", "Ouidah 118", "Quelimane 252", "Walata 110", "Benin 572", "Sofala 497", "Kumasi 896", "Quelimane 766", "Zanzibar 624", "Kongo 438", "Timbuktu 292", "Ouidah 981", "Malindi 927", "Zanzibar 258", "Swahill 729", "Benin 918", "Kumasi 486", "Pate 885", "Kumasi 208", "Sofala 700", "Benin 962", "Ouidah 704", "Kongo 132", "Moroni 206", "Tanga 437", "Pate 975", "Moroni 432", "Sofala 756", "Tanga 523", "Kano 469", "Quelimane 671", "Pate 695", "Malindi 150", "Ouidah 123", "Timbuktu 138", "Ouidah 882", "Kongo 331", "Sofala 374", "Malindi 454", "Malindi 407", "Walata 175", "Ouidah 227", "Moroni 556", "Zanzibar 292", 
// The Name below is unused but is included for De Bugging purposes (See the Readme File for Details).
"Kongo 302"];

// Name Arrays for Fuel Satellites   4th Station in a given system to spawn. (Number of Names in Array: 2,048)
// This uses the large counted pool method as above.
this.satpool4 = [
// Galaxy 1
"Tingitana 915", "Marrakesh 268", "Tingitana 186", "Kismayo 401", "Regius 399", "Zellia 459", "Oujda 891", "Numedia 704", "Murakuc 590", "Oujda 739", "Numedia 433", "Cyrenaica 558", "Ajuran 821", "Barbar 213", "Annaba 154", "Carthage 588", "Kismayo 556", "Oujda 622", "Annaba 316", "Tingitana 322", "Kismayo 183", "Axum 840", "Ajuran 180", "Numedia 242", "Ajuran 480", "Zellia 285", "Avalite 121", "Barbar 376", "Oujda 497", "Kismayo 242", "Oujda 837", "Zellia 310", "Marrakesh 940", "Annaba 497", "Marrakesh 424", "Annaba 657", "Kismayo 145", "Axum 929", "Oujda 847", "Marrakesh 463", "Numedia 224", "Murakuc 452", "Avalite 274", "Oujda 425", "Barbar 374", "Marrakesh 278", "Regius 796", "Carthage 276", "Barbar 938", "Oujda 633", "Numedia 650", "Berbera 726", "Tingitana 768", "Carthage 284", "Annaba 592", "Cyrenaica 289", "Berbera 240", "Carthage 818", "Ajuran 797", "Cyrenaica 848", "Ajuran 366", "Kismayo 878", "Zellia 794", "Tingitana 360", "Kismayo 253", "Carthage 436", "Numedia 154", "Numedia 236", "Zellia 805", "Numedia 526", "Murakuc 249", "Tingitana 699", "Annaba 701", "Marrakesh 925", "Numedia 126", "Oujda 830", "Tingitana 613", "Annaba 998", "Annaba 854", "Tingitana 358", "Ajuran 763", "Carthage 335", "Barbar 524", "Regius 318", "Kismayo 623", "Regius 542", "Ajuran 697", "Carthage 326", "Numedia 122", "Marrakesh 277", "Avalite 879", "Marrakesh 642", "Marrakesh 260", "Annaba 402", "Barbar 695", "Cyrenaica 218", "Tingitana 972", "Ajuran 606", "Zellia 307", "Kismayo 771", "Carthage 573", "Axum 187", "Annaba 681", "Zellia 732", "Annaba 503", "Avalite 566", "Zellia 418", "Annaba 413", "Avalite 409", "Barbar 745", "Barbar 557", "Oujda 458", "Tingitana 264", "Tingitana 940", "Numedia 914", "Berbera 322", "Annaba 289", "Axum 191", "Zellia 429", "Kismayo 457", "Carthage 365", "Oujda 611", "Carthage 733", "Axum 497", "Axum 526", "Tingitana 356", "Ajuran 382", "Avalite 256", "Cyrenaica 746", "Ajuran 246", "Avalite 962", "Berbera 751", "Berbera 259", "Avalite 935", "Murakuc 968", "Zellia 478", "Regius 715", "Zellia 157", "Murakuc 809", "Numedia 618", "Kismayo 853", "Carthage 761", "Tingitana 480", "Tingitana 568", "Tingitana 587", "Berbera 210", "Regius 460", "Ajuran 331", "Axum 707", "Marrakesh 782", "Oujda 791", "Kismayo 233", "Tingitana 409", "Berbera 192", "Axum 325", "Oujda 397", "Numedia 856", "Kismayo 905", "Ajuran 946", "Avalite 593", "Barbar 717", "Carthage 142", "Avalite 489", "Avalite 265", "Kismayo 514", "Zellia 535", "Murakuc 177", "Barbar 273", "Oujda 135", "Kismayo 547", "Murakuc 361", "Tingitana 858", "Ajuran 269", "Berbera 162", "Carthage 595", "Axum 299", "Zellia 806", "Carthage 496", "Numedia 579", "Regius 899", "Cyrenaica 728", "Barbar 375", "Annaba 352", "Annaba 198", "Annaba 736", "Tingitana 758", "Barbar 864", "Ajuran 184", "Avalite 531", "Numedia 488", "Annaba 543", "Murakuc 994", "Regius 220", "Regius 140", "Ajuran 158", "Oujda 513", "Zellia 838", "Marrakesh 415", "Numedia 386", "Annaba 649", "Barbar 902", "Berbera 272", "Axum 453", "Avalite 403", "Ajuran 542", "Berbera 710", "Ajuran 771", "Tingitana 894", "Marrakesh 231", "Avalite 488", "Zellia 812", "Regius 476", "Numedia 269", "Barbar 285", "Berbera 134", "Barbar 632", "Ajuran 612", "Ajuran 896", "Marrakesh 184", "Marrakesh 172", "Avalite 197", "Carthage 929", "Oujda 786", "Annaba 147", "Murakuc 228", "Oujda 255", "Carthage 960", "Marrakesh 856", "Berbera 321", "Numedia 763", "Barbar 139", "Carthage 821", "Tingitana 590", "Marrakesh 566", "Annaba 592", "Carthage 266", "Marrakesh 601", "Tingitana 986", "Numedia 243", "Barbar 210", "Murakuc 671", "Axum 479", "Zellia 979", "Murakuc 646", "Annaba 472", "Annaba 998", "Tingitana 623", "Berbera 894", "Barbar 225", "Berbera 766", "Tingitana 991", "Cyrenaica 513", "Annaba 253", "Kismayo 485", "Regius 782", "Ajuran 953",    
  // Galaxy 2
"Carthage 701", "Oujda 160", "Tingitana 128", "Carthage 144", "Oujda 228", "Annaba 670", "Carthage 422", "Carthage 670", "Ajuran 586", "Kismayo 896", "Zellia 141", "Zellia 548", "Berbera 135", "Zellia 453", "Marrakesh 688", "Cyrenaica 625", "Zellia 920", "Annaba 568", "Regius 939", "Oujda 452", "Numedia 566", "Marrakesh 153", "Kismayo 174", "Avalite 633", "Marrakesh 782", "Cyrenaica 365", "Berbera 938", "Barbar 382", "Zellia 531", "Marrakesh 759", "Barbar 245", "Axum 321", "Oujda 830", "Carthage 645", "Annaba 618", "Annaba 738", "Annaba 453", "Murakuc 580", "Oujda 949", "Oujda 865", "Oujda 479", "Numedia 691", "Tingitana 256", "Regius 751", "Cyrenaica 750", "Carthage 875", "Axum 555", "Kismayo 949", "Axum 606", "Carthage 709", "Cyrenaica 463", "Zellia 985", "Zellia 392", "Cyrenaica 145", "Kismayo 199", "Cyrenaica 734", "Ajuran 864", "Zellia 219", "Barbar 669", "Zellia 842", "Annaba 580", "Regius 148", "Marrakesh 447", "Ajuran 234", "Marrakesh 875", "Numedia 947", "Cyrenaica 481", "Zellia 571", "Murakuc 463", "Carthage 563", "Cyrenaica 336", "Murakuc 739", "Ajuran 664", "Zellia 681", "Zellia 919", "Barbar 223", "Barbar 286", "Kismayo 494", "Oujda 607", "Oujda 781", "Murakuc 324", "Zellia 266", "Tingitana 964", "Tingitana 563", "Cyrenaica 453", "Oujda 205", "Barbar 915", "Oujda 997", "Numedia 554", "Avalite 722", "Zellia 926", "Zellia 305", "Kismayo 214", "Berbera 553", "Kismayo 826", "Marrakesh 537", "Regius 135", "Annaba 814", "Annaba 514", "Numedia 889", "Axum 603", "Oujda 399", "Kismayo 966", "Berbera 255", "Zellia 110", "Tingitana 866", "Numedia 704", "Marrakesh 619", "Kismayo 662", "Marrakesh 412", "Axum 315", "Zellia 125", "Avalite 102", "Axum 780", "Annaba 626", "Barbar 358", "Oujda 953", "Zellia 513", "Ajuran 741", "Tingitana 250", "Murakuc 150", "Annaba 563", "Murakuc 598", "Avalite 651", "Oujda 628", "Cyrenaica 301", "Kismayo 230", "Oujda 526", "Barbar 382", "Avalite 606", "Berbera 156", "Axum 830", "Kismayo 763", "Ajuran 504", "Zellia 827", "Zellia 981", "Numedia 350", "Zellia 795", "Barbar 684", "Avalite 835", "Kismayo 926", "Marrakesh 719", "Murakuc 943", "Numedia 805", "Cyrenaica 535", "Annaba 157", "Zellia 415", "Oujda 556", "Carthage 639", "Axum 464", "Barbar 111", "Annaba 102", "Ajuran 972", "Marrakesh 915", "Regius 756", "Carthage 333", "Berbera 401", "Kismayo 793", "Tingitana 702", "Kismayo 627", "Regius 733", "Berbera 761", "Avalite 663", "Kismayo 446", "Marrakesh 264", "Oujda 590", "Regius 304", "Ajuran 252", "Marrakesh 844", "Marrakesh 528", "Oujda 760", "Cyrenaica 682", "Ajuran 512", "Annaba 822", "Regius 447", "Regius 637", "Annaba 590", "Tingitana 281", "Axum 306", "Annaba 734", "Carthage 348", "Numedia 288", "Annaba 734", "Annaba 789", "Ajuran 818", "Murakuc 338", "Avalite 206", "Berbera 834", "Barbar 383", "Axum 523", "Oujda 838", "Axum 782", "Ajuran 119", "Regius 123", "Oujda 961", "Murakuc 189", "Kismayo 399", "Cyrenaica 913", "Oujda 225", "Marrakesh 547", "Oujda 175", "Zellia 997", "Oujda 934", "Tingitana 787", "Annaba 586", "Axum 422", "Regius 388", "Regius 883", "Axum 993", "Kismayo 156", "Numedia 436", "Kismayo 637", "Carthage 405", "Cyrenaica 153", "Marrakesh 696", "Berbera 804", "Tingitana 788", "Avalite 282", "Zellia 451", "Murakuc 563", "Cyrenaica 781", "Kismayo 248", "Zellia 826", "Tingitana 908", "Numedia 430", "Avalite 275", "Numedia 822", "Oujda 514", "Annaba 647", "Avalite 797", "Barbar 907", "Axum 336", "Tingitana 263", "Zellia 595", "Ajuran 135", "Cyrenaica 365", "Berbera 995", "Zellia 133", "Murakuc 723", "Tingitana 201", "Tingitana 303", "Berbera 550", "Berbera 869", "Oujda 869", "Murakuc 735", "Barbar 761", "Axum 474", "Barbar 625", "Axum 715", "Avalite 394", "Marrakesh 134", "Berbera 743", "Kismayo 686", "Annaba 783", "Kismayo 713", "Tingitana 166",    
 // Galaxy 3
"Kismayo 252", "Numedia 831", "Numedia 410", "Berbera 510", "Regius 681", "Oujda 237", "Avalite 154", "Tingitana 773", "Axum 481", "Marrakesh 106", "Cyrenaica 386", "Numedia 853", "Carthage 886", "Oujda 465", "Murakuc 312", "Oujda 615", "Carthage 793", "Zellia 849", "Carthage 695", "Zellia 804", "Regius 674", "Tingitana 791", "Oujda 622", "Ajuran 700", "Avalite 464", "Zellia 324", "Tingitana 833", "Murakuc 518", "Marrakesh 589", "Barbar 203", "Axum 770", "Carthage 295", "Zellia 974", "Barbar 897", "Tingitana 402", "Tingitana 549", "Kismayo 749", "Regius 997", "Annaba 670", "Tingitana 324", "Numedia 880", "Annaba 156", "Tingitana 792", "Marrakesh 856", "Axum 212", "Barbar 914", "Carthage 349", "Tingitana 466", "Kismayo 777", "Cyrenaica 827", "Avalite 177", "Ajuran 745", "Cyrenaica 209", "Axum 575", "Berbera 138", "Berbera 952", "Barbar 863", "Berbera 349", "Marrakesh 688", "Annaba 560", "Regius 277", "Cyrenaica 681", "Zellia 733", "Oujda 749", "Marrakesh 787", "Murakuc 619", "Axum 419", "Zellia 229", "Numedia 383", "Tingitana 806", "Tingitana 986", "Tingitana 773", "Berbera 853", "Zellia 224", "Berbera 888", "Carthage 851", "Berbera 292", "Axum 503", "Cyrenaica 860", "Tingitana 826", "Kismayo 912", "Zellia 108", "Tingitana 508", "Numedia 324", "Murakuc 271", "Barbar 380", "Kismayo 187", "Regius 293", "Berbera 573", "Avalite 271", "Barbar 922", "Zellia 128", "Berbera 683", "Marrakesh 101", "Barbar 411", "Cyrenaica 930", "Regius 491", "Cyrenaica 362", "Axum 251", "Berbera 911", "Avalite 503", "Kismayo 970", "Oujda 911", "Avalite 932", "Annaba 215", "Oujda 615", "Carthage 772", "Marrakesh 950", "Axum 175", "Zellia 831", "Marrakesh 525", "Murakuc 862", "Berbera 521", "Murakuc 307", "Tingitana 514", "Ajuran 741", "Tingitana 582", "Kismayo 986", "Berbera 803", "Zellia 124", "Tingitana 959", "Axum 629", "Cyrenaica 182", "Carthage 302", "Marrakesh 242", "Annaba 474", "Numedia 621", "Axum 504", "Marrakesh 329", "Numedia 609", "Regius 567", "Axum 393", "Avalite 185", "Regius 747", "Zellia 373", "Barbar 479", "Cyrenaica 219", "Murakuc 973", "Regius 251", "Oujda 190", "Regius 358", "Carthage 325", "Carthage 719", "Regius 321", "Berbera 638", "Barbar 593", "Annaba 688", "Barbar 842", "Marrakesh 810", "Regius 542", "Murakuc 513", "Axum 940", "Ajuran 212", "Marrakesh 726", "Cyrenaica 927", "Axum 919", "Zellia 110", "Berbera 891", "Berbera 553", "Marrakesh 769", "Ajuran 552", "Marrakesh 557", "Murakuc 173", "Barbar 506", "Regius 563", "Oujda 246", "Oujda 401", "Ajuran 707", "Tingitana 561", "Cyrenaica 861", "Avalite 380", "Avalite 766", "Berbera 659", "Murakuc 226", "Tingitana 918", "Ajuran 322", "Avalite 928", "Avalite 823", "Ajuran 822", "Zellia 882", "Cyrenaica 412", "Tingitana 681", "Cyrenaica 649", "Zellia 752", "Regius 630", "Kismayo 397", "Carthage 420", "Ajuran 852", "Ajuran 584", "Avalite 106", "Berbera 715", "Murakuc 649", "Carthage 209", "Cyrenaica 161", "Berbera 346", "Numedia 338", "Zellia 476", "Barbar 861", "Regius 216", "Numedia 125", "Ajuran 192", "Annaba 526", "Axum 574", "Regius 265", "Annaba 585", "Oujda 304", "Cyrenaica 445", "Berbera 890", "Regius 588", "Regius 108", "Ajuran 569", "Axum 397", "Avalite 306", "Avalite 287", "Carthage 885", "Oujda 248", "Axum 900", "Carthage 395", "Regius 670", "Carthage 210", "Marrakesh 615", "Carthage 209", "Carthage 128", "Avalite 704", "Axum 211", "Avalite 158", "Cyrenaica 694", "Numedia 174", "Kismayo 740", "Zellia 404", "Zellia 968", "Cyrenaica 148", "Ajuran 166", "Berbera 994", "Berbera 993", "Marrakesh 967", "Murakuc 734", "Marrakesh 720", "Marrakesh 965", "Carthage 990", "Berbera 138", "Axum 767", "Cyrenaica 114", "Tingitana 182", "Numedia 627", "Ajuran 383", "Carthage 880", "Carthage 980", "Ajuran 685", "Carthage 974", "Kismayo 464", "Murakuc 602", "Avalite 930", "Annaba 798", "Cyrenaica 162", "Barbar 401", 
 // Galaxy 4
"Tingitana 187", "Annaba 217", "Kismayo 862", "Marrakesh 797", "Carthage 218", "Regius 740", "Murakuc 243", "Numedia 195", "Berbera 380", "Tingitana 274", "Barbar 609", "Berbera 819", "Kismayo 603", "Murakuc 788", "Annaba 258", "Annaba 322", "Barbar 924", "Avalite 837", "Carthage 893", "Berbera 288", "Tingitana 964", "Kismayo 255", "Numedia 174", "Zellia 569", "Zellia 793", "Ajuran 291", "Barbar 704", "Zellia 293", "Oujda 256", "Annaba 540", "Regius 837", "Axum 528", "Carthage 626", "Avalite 728", "Berbera 216", "Regius 110", "Numedia 967", "Cyrenaica 246", "Tingitana 220", "Carthage 972", "Marrakesh 275", "Kismayo 662", "Marrakesh 528", "Marrakesh 762", "Cyrenaica 933", "Oujda 593", "Kismayo 548", "Marrakesh 777", "Kismayo 931", "Carthage 529", "Carthage 892", "Marrakesh 724", "Tingitana 978", "Marrakesh 738", "Axum 800", "Regius 368", "Marrakesh 699", "Regius 313", "Zellia 635", "Marrakesh 715", "Regius 381", "Cyrenaica 737", "Murakuc 591", "Ajuran 547", "Cyrenaica 591", "Cyrenaica 155", "Annaba 554", "Cyrenaica 629", "Avalite 217", "Numedia 647", "Axum 551", "Berbera 576", "Barbar 463", "Berbera 256", "Ajuran 287", "Regius 874", "Tingitana 355", "Annaba 895", "Annaba 514", "Cyrenaica 176", "Numedia 835", "Tingitana 417", "Regius 683", "Axum 464", "Murakuc 493", "Axum 930", "Regius 609", "Axum 158", "Numedia 723", "Annaba 600", "Ajuran 562", "Avalite 538", "Cyrenaica 909", "Avalite 512", "Oujda 779", "Kismayo 415", "Numedia 828", "Marrakesh 220", "Annaba 250", "Annaba 444", "Axum 666", "Regius 547", "Berbera 678", "Barbar 759", "Tingitana 904", "Avalite 254", "Tingitana 122", "Carthage 293", "Regius 810", "Kismayo 280", "Axum 208", "Annaba 856", "Cyrenaica 547", "Axum 491", "Zellia 585", "Kismayo 861", "Ajuran 796", "Ajuran 578", "Marrakesh 264", "Oujda 641", "Marrakesh 704", "Oujda 861", "Oujda 725", "Ajuran 449", "Axum 673", "Berbera 911", "Murakuc 226", "Oujda 588", "Barbar 603", "Axum 866", "Cyrenaica 289", "Berbera 810", "Regius 873", "Avalite 846", "Regius 338", "Numedia 616", "Avalite 425", "Zellia 536", "Marrakesh 495", "Murakuc 810", "Annaba 314", "Carthage 830", "Avalite 376", "Cyrenaica 415", "Annaba 360", "Axum 807", "Oujda 927", "Oujda 248", "Tingitana 245", "Axum 803", "Annaba 645", "Avalite 385", "Numedia 887", "Tingitana 881", "Annaba 547", "Murakuc 659", "Barbar 293", "Carthage 632", "Zellia 974", "Tingitana 276", "Ajuran 989", "Zellia 373", "Ajuran 498", "Annaba 289", "Marrakesh 775", "Ajuran 191", "Regius 994", "Carthage 915", "Axum 695", "Avalite 136", "Oujda 353", "Avalite 346", "Avalite 470", "Tingitana 694", "Barbar 405", "Zellia 144", "Axum 334", "Carthage 178", "Regius 667", "Regius 615", "Cyrenaica 107", "Zellia 498", "Cyrenaica 719", "Annaba 693", "Zellia 975", "Murakuc 975", "Ajuran 257", "Murakuc 425", "Carthage 616", "Kismayo 826", "Annaba 162", "Regius 970", "Avalite 740", "Berbera 146", "Cyrenaica 319", "Marrakesh 984", "Annaba 651", "Oujda 625", "Marrakesh 445", "Oujda 291", "Zellia 955", "Murakuc 679", "Axum 772", "Numedia 271", "Barbar 626", "Avalite 391", "Numedia 778", "Zellia 625", "Kismayo 196", "Kismayo 819", "Numedia 377", "Carthage 953", "Barbar 477", "Annaba 996", "Tingitana 947", "Axum 763", "Marrakesh 282", "Cyrenaica 571", "Annaba 458", "Annaba 954", "Numedia 979", "Barbar 689", "Axum 820", "Ajuran 250", "Murakuc 790", "Marrakesh 565", "Murakuc 492", "Zellia 290", "Tingitana 334", "Murakuc 293", "Barbar 242", "Avalite 111", "Numedia 981", "Carthage 954", "Avalite 879", "Carthage 256", "Numedia 211", "Cyrenaica 941", "Zellia 991", "Ajuran 922", "Numedia 308", "Marrakesh 351", "Barbar 675", "Annaba 254", "Tingitana 643", "Berbera 362", "Numedia 182", "Murakuc 458", "Axum 320", "Carthage 679", "Zellia 865", "Numedia 175", "Carthage 164", "Ajuran 396", "Marrakesh 126", "Oujda 267",    
 // Galaxy 5
"Regius 970", "Avalite 986", "Avalite 389", "Barbar 125", "Axum 351", "Avalite 582", "Zellia 159", "Murakuc 652", "Oujda 212", "Tingitana 169", "Oujda 227", "Oujda 399", "Avalite 156", "Tingitana 311", "Axum 513", "Kismayo 736", "Avalite 167", "Barbar 474", "Ajuran 799", "Cyrenaica 224", "Carthage 169", "Annaba 967", "Kismayo 517", "Kismayo 913", "Tingitana 614", "Barbar 187", "Axum 199", "Axum 301", "Oujda 456", "Berbera 181", "Annaba 581", "Marrakesh 874", "Avalite 511", "Carthage 409", "Oujda 905", "Ajuran 538", "Ajuran 677", "Carthage 712", "Kismayo 130", "Zellia 266", "Berbera 792", "Ajuran 557", "Tingitana 104", "Numedia 931", "Zellia 648", "Cyrenaica 979", "Annaba 258", "Annaba 334", "Carthage 438", "Avalite 266", "Berbera 558", "Berbera 729", "Oujda 391", "Kismayo 265", "Murakuc 893", "Murakuc 566", "Kismayo 165", "Murakuc 129", "Tingitana 968", "Numedia 975", "Zellia 644", "Berbera 436", "Regius 915", "Tingitana 554", "Regius 894", "Kismayo 525", "Barbar 525", "Zellia 780", "Carthage 239", "Barbar 785", "Barbar 584", "Barbar 115", "Annaba 820", "Barbar 623", "Regius 367", "Oujda 505", "Murakuc 691", "Regius 242", "Regius 402", "Marrakesh 469", "Oujda 725", "Ajuran 646", "Kismayo 698", "Marrakesh 779", "Carthage 910", "Avalite 738", "Annaba 987", "Avalite 865", "Zellia 702", "Axum 805", "Marrakesh 816", "Avalite 934", "Marrakesh 586", "Oujda 123", "Ajuran 825", "Tingitana 828", "Kismayo 287", "Regius 636", "Carthage 706", "Marrakesh 781", "Kismayo 733", "Carthage 822", "Carthage 469", "Cyrenaica 612", "Barbar 597", "Cyrenaica 356", "Cyrenaica 581", "Zellia 515", "Ajuran 329", "Tingitana 388", "Tingitana 812", "Marrakesh 766", "Annaba 697", "Annaba 597", "Avalite 915", "Cyrenaica 237", "Murakuc 391", "Ajuran 233", "Carthage 870", "Ajuran 106", "Avalite 216", "Annaba 615", "Kismayo 202", "Regius 789", "Annaba 103", "Murakuc 185", "Cyrenaica 931", "Annaba 107", "Berbera 395", "Marrakesh 977", "Regius 433", "Axum 455", "Zellia 549", "Kismayo 561", "Ajuran 125", "Axum 620", "Ajuran 719", "Ajuran 993", "Regius 635", "Kismayo 591", "Carthage 597", "Berbera 832", "Barbar 703", "Berbera 289", "Marrakesh 916", "Avalite 444", "Axum 792", "Ajuran 904", "Zellia 602", "Cyrenaica 625", "Zellia 730", "Tingitana 840", "Carthage 733", "Berbera 704", "Carthage 776", "Marrakesh 780", "Tingitana 981", "Berbera 707", "Annaba 755", "Marrakesh 441", "Numedia 924", "Marrakesh 517", "Numedia 259", "Berbera 864", "Carthage 873", "Barbar 827", "Berbera 166", "Cyrenaica 745", "Zellia 495", "Ajuran 747", "Axum 636", "Tingitana 488", "Numedia 856", "Berbera 534", "Axum 859", "Kismayo 298", "Annaba 620", "Ajuran 919", "Barbar 851", "Annaba 923", "Ajuran 989", "Berbera 292", "Barbar 687", "Berbera 752", "Ajuran 446", "Avalite 188", "Zellia 355", "Marrakesh 793", "Barbar 407", "Berbera 491", "Berbera 670", "Axum 597", "Avalite 739", "Kismayo 795", "Carthage 980", "Marrakesh 690", "Avalite 922", "Regius 959", "Avalite 708", "Axum 760", "Barbar 430", "Kismayo 957", "Kismayo 295", "Tingitana 704", "Avalite 739", "Carthage 190", "Berbera 443", "Oujda 496", "Numedia 628", "Oujda 796", "Cyrenaica 501", "Berbera 573", "Zellia 262", "Regius 442", "Murakuc 100", "Avalite 124", "Avalite 136", "Tingitana 850", "Ajuran 230", "Oujda 631", "Carthage 756", "Marrakesh 180", "Oujda 281", "Barbar 954", "Marrakesh 847", "Ajuran 112", "Marrakesh 312", "Axum 829", "Annaba 652", "Carthage 116", "Ajuran 648", "Avalite 128", "Avalite 742", "Axum 425", "Marrakesh 529", "Oujda 787", "Ajuran 316", "Annaba 373", "Oujda 375", "Kismayo 788", "Berbera 187", "Annaba 684", "Ajuran 673", "Axum 380", "Ajuran 130", "Marrakesh 510", "Axum 184", "Barbar 551", "Tingitana 295", "Berbera 130", "Berbera 312", "Ajuran 747", "Carthage 399", "Axum 423", "Oujda 761", "Barbar 533", 
// Galaxy 6
"Numedia 438", "Avalite 111", "Marrakesh 397", "Murakuc 798", "Berbera 538", "Regius 654", "Numedia 847", "Carthage 745", "Tingitana 215", "Berbera 556", "Berbera 816", "Regius 203", "Berbera 388", "Annaba 501", "Barbar 939", "Annaba 349", "Oujda 564", "Regius 347", "Cyrenaica 478", "Marrakesh 472", "Zellia 915", "Murakuc 120", "Cyrenaica 806", "Ajuran 933", "Annaba 823", "Oujda 995", "Avalite 549", "Axum 519", "Kismayo 691", "Numedia 542", "Murakuc 647", "Tingitana 164", "Numedia 224", "Annaba 827", "Murakuc 123", "Tingitana 835", "Oujda 968", "Marrakesh 200", "Tingitana 652", "Ajuran 518", "Marrakesh 446", "Marrakesh 859", "Regius 707", "Oujda 123", "Murakuc 785", "Carthage 398", "Ajuran 970", "Marrakesh 568", "Cyrenaica 330", "Carthage 205", "Cyrenaica 167", "Kismayo 695", "Carthage 705", "Cyrenaica 337", "Murakuc 561", "Numedia 118", "Zellia 176", "Tingitana 791", "Berbera 277", "Zellia 487", "Numedia 986", "Marrakesh 510", "Avalite 450", "Oujda 215", "Avalite 110", "Annaba 222", "Barbar 689", "Regius 150", "Numedia 939", "Axum 921", "Annaba 429", "Ajuran 740", "Avalite 891", "Barbar 965", "Zellia 250", "Berbera 440", "Carthage 458", "Numedia 279", "Axum 863", "Murakuc 986", "Avalite 562", "Regius 694", "Tingitana 531", "Oujda 297", "Avalite 963", "Avalite 755", "Murakuc 961", "Carthage 941", "Cyrenaica 119", "Cyrenaica 907", "Berbera 620", "Cyrenaica 210", "Numedia 439", "Berbera 220", "Cyrenaica 543", "Axum 966", "Annaba 438", "Tingitana 896", "Ajuran 947", "Regius 869", "Axum 296", "Regius 265", "Oujda 749", "Ajuran 202", "Kismayo 237", "Kismayo 115", "Tingitana 111", "Zellia 506", "Berbera 695", "Avalite 669", "Barbar 850", "Numedia 281", "Axum 560", "Annaba 510", "Carthage 215", "Regius 683", "Marrakesh 396", "Berbera 364", "Cyrenaica 155", "Marrakesh 941", "Barbar 479", "Carthage 738", "Avalite 624", "Avalite 594", "Cyrenaica 990", "Ajuran 241", "Axum 703", "Marrakesh 994", "Berbera 234", "Barbar 883", "Regius 404", "Murakuc 415", "Murakuc 267", "Tingitana 243", "Cyrenaica 112", "Murakuc 283", "Kismayo 384", "Avalite 852", "Annaba 625", "Oujda 152", "Axum 554", "Ajuran 950", "Marrakesh 924", "Annaba 784", "Regius 199", "Zellia 792", "Berbera 912", "Axum 780", "Numedia 961", "Barbar 572", "Numedia 794", "Numedia 114", "Zellia 923", "Kismayo 323", "Barbar 294", "Numedia 269", "Barbar 281", "Axum 173", "Axum 522", "Numedia 356", "Berbera 428", "Numedia 682", "Oujda 950", "Annaba 938", "Numedia 343", "Annaba 585", "Murakuc 769", "Numedia 925", "Annaba 635", "Zellia 829", "Carthage 109", "Tingitana 891", "Zellia 609", "Zellia 567", "Avalite 542", "Zellia 173", "Ajuran 929", "Regius 973", "Oujda 523", "Marrakesh 504", "Cyrenaica 975", "Marrakesh 382", "Tingitana 273", "Annaba 906", "Berbera 161", "Avalite 345", "Avalite 940", "Zellia 748", "Regius 305", "Berbera 781", "Annaba 533", "Oujda 770", "Carthage 663", "Oujda 668", "Annaba 939", "Oujda 908", "Regius 297", "Avalite 658", "Tingitana 876", "Ajuran 528", "Zellia 133", "Ajuran 824", "Kismayo 107", "Barbar 549", "Regius 756", "Numedia 452", "Avalite 922", "Avalite 118", "Oujda 298", "Annaba 193", "Marrakesh 864", "Cyrenaica 567", "Berbera 796", "Ajuran 164", "Berbera 798", "Axum 141", "Annaba 806", "Barbar 450", "Oujda 854", "Avalite 348", "Zellia 733", "Oujda 549", "Murakuc 615", "Barbar 953", "Tingitana 240", "Tingitana 986", "Numedia 378", "Kismayo 317", "Numedia 458", "Kismayo 639", "Kismayo 319", "Tingitana 659", "Oujda 987", "Marrakesh 103", "Carthage 734", "Kismayo 832", "Cyrenaica 715", "Oujda 312", "Zellia 271", "Marrakesh 364", "Annaba 281", "Ajuran 212", "Annaba 300", "Regius 244", "Ajuran 937", "Murakuc 662", "Numedia 841", "Carthage 548", "Avalite 120", "Axum 880", "Ajuran 746", "Zellia 627", "Avalite 730", "Oujda 671", "Kismayo 437", "Kismayo 554", 
// Galaxy 7
"Numedia 912", "Berbera 942", "Cyrenaica 311", "Oujda 424", "Tingitana 450", "Barbar 962", "Ajuran 736", "Ajuran 761", "Numedia 681", "Ajuran 925", "Barbar 827", "Axum 610", "Axum 479", "Berbera 676", "Regius 534", "Avalite 655", "Kismayo 924", "Marrakesh 505", "Marrakesh 262", "Annaba 746", "Axum 648", "Murakuc 700", "Marrakesh 269", "Murakuc 212", "Berbera 829", "Oujda 888", "Regius 667", "Berbera 973", "Oujda 290", "Zellia 832", "Barbar 110", "Carthage 717", "Barbar 570", "Numedia 553", "Kismayo 432", "Zellia 291", "Barbar 820", "Numedia 727", "Axum 402", "Carthage 304", "Numedia 199", "Axum 185", "Cyrenaica 827", "Berbera 496", "Axum 877", "Zellia 345", "Carthage 503", "Tingitana 256", "Barbar 318", "Marrakesh 140", "Annaba 464", "Ajuran 344", "Zellia 698", "Barbar 506", "Ajuran 837", "Barbar 709", "Axum 795", "Axum 191", "Zellia 468", "Tingitana 937", "Zellia 998", "Berbera 153", "Oujda 930", "Annaba 264", "Barbar 571", "Oujda 163", "Marrakesh 741", "Numedia 724", "Ajuran 482", "Kismayo 889", "Regius 221", "Berbera 952", "Berbera 186", "Tingitana 195", "Zellia 567", "Carthage 800", "Murakuc 923", "Carthage 605", "Tingitana 326", "Carthage 505", "Cyrenaica 828", "Regius 487", "Berbera 188", "Tingitana 795", "Oujda 404", "Oujda 355", "Numedia 568", "Oujda 547", "Barbar 893", "Cyrenaica 595", "Cyrenaica 493", "Cyrenaica 767", "Axum 322", "Numedia 582", "Ajuran 132", "Murakuc 355", "Barbar 267", "Zellia 286", "Numedia 514", "Berbera 629", "Kismayo 177", "Cyrenaica 609", "Kismayo 989", "Regius 541", "Regius 480", "Regius 322", "Murakuc 151", "Axum 810", "Ajuran 851", "Regius 408", "Barbar 322", "Ajuran 311", "Oujda 188", "Regius 798", "Numedia 184", "Murakuc 517", "Regius 851", "Cyrenaica 994", "Barbar 953", "Cyrenaica 349", "Berbera 706", "Carthage 331", "Regius 676", "Numedia 297", "Numedia 233", "Regius 185", "Marrakesh 387", "Oujda 710", "Axum 435", "Avalite 275", "Carthage 851", "Axum 516", "Tingitana 114", "Murakuc 299", "Regius 748", "Regius 326", "Barbar 428", "Murakuc 587", "Kismayo 649", "Axum 691", "Kismayo 367", "Ajuran 927", "Tingitana 264", "Carthage 242", "Marrakesh 273", "Numedia 282", "Marrakesh 390", "Berbera 266", "Cyrenaica 871", "Oujda 208", "Berbera 278", "Regius 137", "Cyrenaica 264", "Regius 412", "Numedia 841", "Barbar 671", "Carthage 675", "Berbera 658", "Axum 500", "Barbar 264", "Murakuc 529", "Cyrenaica 270", "Barbar 112", "Marrakesh 468", "Marrakesh 856", "Berbera 270", "Regius 463", "Zellia 681", "Zellia 110", "Barbar 223", "Zellia 482", "Cyrenaica 327", "Avalite 407", "Regius 276", "Numedia 988", "Annaba 470", "Carthage 899", "Regius 412", "Avalite 266", "Avalite 871", "Kismayo 376", "Kismayo 951", "Kismayo 209", "Ajuran 138", "Murakuc 417", "Murakuc 657", "Ajuran 178", "Marrakesh 748", "Tingitana 976", "Murakuc 506", "Annaba 439", "Murakuc 114", "Berbera 962", "Cyrenaica 199", "Marrakesh 379", "Numedia 610", "Avalite 954", "Annaba 280", "Regius 155", "Cyrenaica 445", "Berbera 656", "Berbera 300", "Cyrenaica 297", "Murakuc 892", "Avalite 160", "Zellia 402", "Tingitana 725", "Zellia 636", "Tingitana 875", "Cyrenaica 687", "Zellia 718", "Tingitana 768", "Carthage 783", "Carthage 211", "Zellia 787", "Zellia 826", "Axum 748", "Carthage 335", "Axum 924", "Tingitana 964", "Numedia 211", "Axum 982", "Barbar 801", "Berbera 298", "Berbera 380", "Tingitana 335", "Axum 887", "Annaba 784", "Barbar 365", "Regius 390", "Numedia 344", "Annaba 461", "Avalite 566", "Axum 805", "Oujda 315", "Kismayo 412", "Zellia 632", "Cyrenaica 827", "Zellia 313", "Barbar 952", "Murakuc 600", "Numedia 647", "Regius 348", "Murakuc 878", "Murakuc 785", "Carthage 969", "Tingitana 334", "Murakuc 369", "Carthage 437", "Berbera 671", "Ajuran 419", "Barbar 735", "Annaba 889", "Oujda 819", "Carthage 883", "Tingitana 782", 
// Galaxy 8
"Kismayo 147", "Barbar 607", "Barbar 593", "Oujda 815", "Numedia 992", "Avalite 525", "Kismayo 171", "Cyrenaica 570", "Tingitana 446", "Carthage 584", "Ajuran 152", "Marrakesh 488", "Marrakesh 684", "Tingitana 596", "Regius 791", "Cyrenaica 628", "Numedia 593", "Zellia 872", "Regius 356", "Numedia 445", "Barbar 535", "Carthage 236", "Avalite 329", "Kismayo 698", "Avalite 487", "Regius 918", "Carthage 631", "Barbar 389", "Barbar 454", "Kismayo 456", "Numedia 586", "Marrakesh 572", "Axum 271", "Avalite 156", "Oujda 136", "Numedia 918", "Zellia 215", "Murakuc 725", "Numedia 273", "Carthage 581", "Cyrenaica 351", "Murakuc 793", "Regius 543", "Oujda 649", "Barbar 373", "Tingitana 314", "Murakuc 163", "Carthage 756", "Kismayo 905", "Regius 383", "Zellia 221", "Avalite 547", "Kismayo 127", "Axum 568", "Murakuc 311", "Regius 729", "Annaba 350", "Cyrenaica 984", "Barbar 306", "Kismayo 201", "Axum 240", "Tingitana 135", "Annaba 889", "Avalite 830", "Cyrenaica 461", "Berbera 919", "Avalite 669", "Murakuc 867", "Carthage 436", "Avalite 674", "Annaba 803", "Marrakesh 164", "Cyrenaica 811", "Oujda 542", "Tingitana 491", "Oujda 900", "Barbar 301", "Regius 349", "Barbar 213", "Carthage 391", "Axum 224", "Carthage 221", "Oujda 581", "Ajuran 189", "Numedia 666", "Murakuc 741", "Cyrenaica 733", "Murakuc 475", "Axum 921", "Marrakesh 313", "Avalite 288", "Zellia 858", "Berbera 224", "Numedia 466", "Ajuran 117", "Barbar 453", "Carthage 295", "Barbar 138", "Numedia 746", "Annaba 406", "Ajuran 122", "Avalite 103", "Regius 999", "Cyrenaica 627", "Kismayo 875", "Kismayo 207", "Barbar 996", "Ajuran 874", "Annaba 973", "Numedia 646", "Oujda 843", "Barbar 581", "Regius 412", "Numedia 648", "Marrakesh 211", "Kismayo 786", "Axum 637", "Berbera 699", "Murakuc 795", "Regius 197", "Cyrenaica 743", "Kismayo 173", "Tingitana 898", "Barbar 415", "Cyrenaica 951", "Annaba 836", "Cyrenaica 818", "Regius 355", "Carthage 617", "Zellia 231", "Murakuc 704", "Oujda 858", "Tingitana 794", "Barbar 346", "Ajuran 152", "Marrakesh 787", "Numedia 323", "Oujda 278", "Tingitana 145", "Cyrenaica 376", "Murakuc 993", "Regius 264", "Barbar 281", "Zellia 206", "Berbera 846", "Carthage 561", "Cyrenaica 250", "Carthage 643", "Annaba 906", "Berbera 614", "Regius 340", "Ajuran 681", "Carthage 194", "Kismayo 707", "Barbar 534", "Numedia 110", "Kismayo 308", "Zellia 573", "Barbar 341", "Berbera 417", "Marrakesh 371", "Kismayo 319", "Numedia 820", "Annaba 272", "Carthage 493", "Axum 733", "Avalite 997", "Ajuran 498", "Ajuran 233", "Carthage 254", "Murakuc 843", "Tingitana 833", "Annaba 286", "Barbar 239", "Annaba 439", "Marrakesh 859", "Murakuc 906", "Avalite 114", "Oujda 149", "Marrakesh 365", "Carthage 571", "Regius 527", "Regius 918", "Tingitana 264", "Carthage 838", "Murakuc 673", "Ajuran 477", "Axum 763", "Oujda 573", "Numedia 779", "Cyrenaica 494", "Carthage 851", "Barbar 590", "Murakuc 355", "Axum 119", "Avalite 637", "Numedia 856", "Avalite 120", "Avalite 593", "Barbar 947", "Zellia 672", "Berbera 202", "Tingitana 396", "Regius 436", "Avalite 852", "Cyrenaica 355", "Murakuc 755", "Ajuran 748", "Zellia 237", "Murakuc 626", "Zellia 995", "Murakuc 775", "Axum 711", "Berbera 466", "Carthage 288", "Numedia 252", "Numedia 455", "Barbar 543", "Berbera 810", "Regius 283", "Marrakesh 278", "Berbera 132", "Ajuran 862", "Numedia 250", "Zellia 582", "Berbera 299", "Marrakesh 694", "Berbera 684", "Cyrenaica 572", "Ajuran 179", "Regius 110", "Kismayo 460", "Avalite 543", "Avalite 310", "Cyrenaica 326", "Regius 658", "Carthage 923", "Tingitana 122", "Avalite 645", "Carthage 342", "Ajuran 605", "Berbera 324", "Tingitana 528", "Avalite 603", "Avalite 202", "Avalite 386", "Zellia 659", "Oujda 225", "Carthage 260", "Annaba 252", "Tingitana 532", "Barbar 613", "Cyrenaica 546", "Barbar 797", "Tingitana 807", "Annaba 154", 
// The Name below is unused but is included for De Bugging purposes (See the Readme File for Details).
"Carthage 402"];

// Name Arrays for Fuel Satellites   5th Station in a given system to spawn. (Number of Names in Array: 2,048)
// This uses the large counted pool method as above.
this.satpool5 = [
// Galaxy 1
"Cuttack 586", "Vukhara 621", "Malwa 749", "Vaishali 209", "Vaishali 846", "Vaishali 436", "Cuttack 662", "Sogdia 554", "Sogdia 675", "Kashi 899", "Dhaka 816", "Sayram 679", "Vukhara 965", "Kashi 921", "Sayram 820", "Nadu 605", "Lalitpur 998", "Ujjain 552", "Vukhara 441", "Balkh 939", "Malwa 951", "Nadu 459", "Bactria 808", "Nadu 763", "Sayram 787", "Pallavas 673", "Bactria 668", "Pallavas 906", "Nadu 334", "Dhaka 820", "Pallavas 501", "Sogdia 802", "Ujjain 565", "Vaishali 472", "Dhaka 450", "Kashi 287", "Nadu 250", "Bactria 300", "Patna 613", "Dhaka 657", "Nadu 489", "Nadu 234", "Ujjain 154", "Balkh 192", "Patna 144", "Lalitpur 687", "Bactria 695", "Balkh 864", "Patna 634", "Vaishali 356", "Lalitpur 114", "Malwa 709", "Patna 850", "Malwa 352", "Cuttack 634", "Dhaka 862", "Vaishali 800", "Vaishali 672", "Lalitpur 918", "Vaishali 437", "Vukhara 976", "Nadu 895", "Vaishali 642", "Ujjain 693", "Pallavas 867", "Vukhara 610", "Nadu 335", "Vaishali 751", "Vukhara 489", "Balkh 225", "Gauida 907", "Vaishali 800", "Balkh 483", "Gauida 751", "Cuttack 727", "Malwa 627", "Pallavas 303", "Vukhara 803", "Ujjain 827", "Vaishali 366", "Ujjain 450", "Kashi 882", "Sayram 481", "Bactria 205", "Cuttack 910", "Dhaka 188", "Bactria 951", "Kashi 360", "Vukhara 699", "Cuttack 108", "Balkh 265", "Lalitpur 389", "Sayram 837", "Vukhara 257", "Cuttack 118", "Gauida 668", "Vukhara 289", "Ujjain 349", "Gauida 437", "Cuttack 793", "Sayram 701", "Pallavas 603", "Sogdia 281", "Kashi 411", "Balkh 791", "Vaishali 313", "Bactria 726", "Pallavas 486", "Cuttack 664", "Ujjain 596", "Sogdia 459", "Gauida 194", "Dhaka 321", "Malwa 553", "Sayram 482", "Nadu 820", "Balkh 603", "Nadu 113", "Pallavas 240", "Cuttack 668", "Balkh 175", "Balkh 852", "Kashi 110", "Dhaka 566", "Pallavas 863", "Sogdia 516", "Sogdia 984", "Patna 998", "Ujjain 602", "Gauida 940", "Vaishali 916", "Cuttack 628", "Kashi 412", "Pallavas 499", "Pallavas 439", "Gauida 165", "Ujjain 155", "Malwa 573", "Sogdia 221", "Bactria 904", "Sogdia 676", "Cuttack 433", "Pallavas 718", "Nadu 757", "Vaishali 502", "Ujjain 226", "Patna 807", "Kashi 851", "Gauida 515", "Gauida 672", "Sayram 270", "Kashi 806", "Vukhara 783", "Ujjain 102", "Cuttack 100", "Sogdia 144", "Vaishali 683", "Sogdia 612", "Lalitpur 768", "Nadu 737", "Bactria 543", "Dhaka 892", "Sayram 425", "Gauida 193", "Gauida 691", "Nadu 527", "Sogdia 164", "Pallavas 539", "Pallavas 303", "Sayram 504", "Lalitpur 800", "Gauida 111", "Lalitpur 696", "Malwa 671", "Sogdia 345", "Vukhara 737", "Bactria 333", "Balkh 184", "Bactria 401", "Cuttack 741", "Vaishali 426", "Ujjain 452", "Balkh 675", "Ujjain 187", "Nadu 254", "Ujjain 705", "Lalitpur 129", "Nadu 348", "Cuttack 992", "Cuttack 837", "Vaishali 971", "Bactria 123", "Cuttack 389", "Vukhara 342", "Sayram 400", "Nadu 297", "Pallavas 290", "Vaishali 127", "Sogdia 831", "Sayram 733", "Vukhara 492", "Sayram 449", "Bactria 473", "Balkh 487", "Sayram 947", "Dhaka 292", "Lalitpur 190", "Vaishali 394", "Gauida 197", "Sayram 344", "Vaishali 272", "Dhaka 331", "Gauida 118", "Cuttack 826", "Kashi 882", "Sogdia 645", "Ujjain 166", "Dhaka 333", "Nadu 922", "Gauida 737", "Nadu 265", "Nadu 508", "Balkh 153", "Vaishali 165", "Sogdia 528", "Pallavas 153", "Dhaka 730", "Vukhara 239", "Bactria 547", "Nadu 902", "Kashi 764", "Sayram 668", "Pallavas 551", "Dhaka 992", "Kashi 466", "Lalitpur 846", "Gauida 780", "Dhaka 964", "Patna 250", "Vaishali 285", "Vukhara 262", "Ujjain 841", "Patna 102", "Cuttack 369", "Pallavas 706", "Malwa 164", "Gauida 299", "Lalitpur 865", "Patna 650", "Vaishali 441", "Malwa 235", "Sogdia 158", "Cuttack 889", "Sayram 592", "Nadu 993", "Bactria 254",    
  // Galaxy 2
"Vukhara 746", "Lalitpur 565", "Sayram 175", "Balkh 299", "Vaishali 151", "Patna 752", "Ujjain 819", "Pallavas 784", "Balkh 187", "Lalitpur 104", "Cuttack 922", "Vukhara 993", "Cuttack 444", "Kashi 852", "Patna 521", "Bactria 661", "Nadu 703", "Sayram 173", "Vukhara 968", "Sogdia 653", "Cuttack 446", "Kashi 253", "Malwa 993", "Vukhara 729", "Kashi 478", "Bactria 630", "Sayram 618", "Vaishali 905", "Pallavas 203", "Kashi 998", "Dhaka 274", "Lalitpur 490", "Balkh 808", "Sayram 624", "Malwa 880", "Dhaka 532", "Vukhara 507", "Kashi 625", "Ujjain 586", "Dhaka 343", "Malwa 649", "Patna 378", "Malwa 457", "Sogdia 400", "Patna 952", "Malwa 452", "Lalitpur 360", "Nadu 106", "Vukhara 344", "Sogdia 639", "Bactria 453", "Vukhara 283", "Kashi 548", "Kashi 259", "Malwa 463", "Malwa 804", "Malwa 144", "Dhaka 207", "Cuttack 330", "Bactria 145", "Nadu 101", "Sayram 408", "Nadu 268", "Vukhara 785", "Ujjain 689", "Gauida 688", "Balkh 408", "Dhaka 206", "Vaishali 588", "Vaishali 239", "Patna 185", "Gauida 114", "Patna 296", "Malwa 341", "Patna 421", "Cuttack 157", "Pallavas 142", "Malwa 876", "Nadu 445", "Sogdia 105", "Balkh 336", "Bactria 720", "Sayram 968", "Cuttack 378", "Patna 639", "Dhaka 367", "Malwa 129", "Pallavas 313", "Gauida 346", "Bactria 895", "Ujjain 512", "Kashi 136", "Bactria 977", "Malwa 530", "Cuttack 535", "Sayram 375", "Vukhara 929", "Malwa 147", "Vaishali 868", "Balkh 147", "Cuttack 790", "Bactria 683", "Gauida 805", "Malwa 872", "Balkh 963", "Lalitpur 562", "Nadu 918", "Gauida 843", "Malwa 585", "Patna 668", "Nadu 236", "Bactria 819", "Balkh 801", "Nadu 816", "Dhaka 809", "Gauida 839", "Nadu 181", "Sayram 881", "Patna 748", "Nadu 865", "Sayram 691", "Kashi 310", "Bactria 513", "Balkh 620", "Sogdia 504", "Pallavas 857", "Gauida 279", "Gauida 223", "Ujjain 647", "Pallavas 761", "Vukhara 459", "Cuttack 353", "Nadu 617", "Pallavas 520", "Sogdia 436", "Lalitpur 885", "Patna 537", "Vukhara 805", "Ujjain 159", "Vaishali 581", "Vukhara 443", "Kashi 678", "Vaishali 690", "Dhaka 149", "Dhaka 366", "Patna 278", "Patna 815", "Ujjain 756", "Kashi 665", "Malwa 101", "Bactria 689", "Nadu 135", "Patna 618", "Pallavas 410", "Gauida 219", "Lalitpur 674", "Vaishali 673", "Patna 118", "Malwa 984", "Cuttack 616", "Dhaka 574", "Sayram 487", "Dhaka 167", "Cuttack 212", "Patna 759", "Kashi 303", "Balkh 598", "Bactria 102", "Sayram 687", "Bactria 852", "Vaishali 923", "Balkh 805", "Lalitpur 987", "Bactria 429", "Nadu 862", "Cuttack 664", "Ujjain 332", "Kashi 602", "Lalitpur 348", "Gauida 997", "Cuttack 569", "Vaishali 808", "Vaishali 585", "Bactria 753", "Vukhara 470", "Bactria 868", "Sayram 100", "Ujjain 309", "Pallavas 445", "Vukhara 834", "Pallavas 159", "Bactria 569", "Gauida 498", "Dhaka 762", "Pallavas 722", "Ujjain 335", "Sayram 831", "Vukhara 282", "Vukhara 555", "Nadu 707", "Nadu 354", "Kashi 995", "Vaishali 771", "Bactria 219", "Balkh 205", "Cuttack 478", "Cuttack 405", "Pallavas 682", "Sayram 706", "Nadu 942", "Gauida 188", "Kashi 162", "Lalitpur 130", "Ujjain 378", "Kashi 833", "Nadu 321", "Lalitpur 186", "Nadu 684", "Gauida 975", "Cuttack 743", "Sayram 852", "Nadu 593", "Malwa 534", "Cuttack 719", "Malwa 468", "Balkh 828", "Dhaka 220", "Dhaka 596", "Vukhara 839", "Nadu 554", "Balkh 212", "Patna 784", "Lalitpur 536", "Malwa 894", "Balkh 123", "Sayram 980", "Gauida 161", "Balkh 921", "Sayram 425", "Patna 164", "Lalitpur 448", "Cuttack 630", "Cuttack 918", "Gauida 654", "Vukhara 762", "Patna 381", "Kashi 153", "Malwa 725", "Pallavas 176", "Nadu 932", "Balkh 112", "Bactria 153", "Ujjain 411", "Pallavas 479", "Bactria 144", "Cuttack 642",    
 // Galaxy 3
"Pallavas 658", "Vaishali 593", "Patna 558", "Pallavas 716", "Dhaka 388", "Pallavas 879", "Dhaka 867", "Balkh 804", "Patna 137", "Balkh 345", "Gauida 697", "Nadu 957", "Pallavas 104", "Malwa 970", "Gauida 999", "Lalitpur 428", "Cuttack 178", "Bactria 658", "Sayram 230", "Nadu 385", "Vukhara 263", "Malwa 603", "Patna 263", "Bactria 551", "Ujjain 791", "Pallavas 405", "Sogdia 931", "Kashi 669", "Gauida 766", "Bactria 325", "Nadu 242", "Dhaka 486", "Vaishali 668", "Ujjain 530", "Balkh 838", "Dhaka 714", "Sogdia 500", "Vaishali 816", "Lalitpur 797", "Vukhara 655", "Gauida 523", "Malwa 445", "Pallavas 169", "Kashi 404", "Sayram 683", "Dhaka 210", "Vukhara 809", "Malwa 245", "Vaishali 914", "Dhaka 175", "Nadu 795", "Pallavas 331", "Bactria 151", "Kashi 431", "Gauida 960", "Vukhara 317", "Cuttack 254", "Bactria 873", "Vukhara 183", "Malwa 923", "Pallavas 776", "Cuttack 917", "Pallavas 851", "Pallavas 399", "Dhaka 464", "Pallavas 596", "Cuttack 289", "Malwa 928", "Ujjain 752", "Kashi 954", "Patna 265", "Balkh 348", "Vukhara 902", "Malwa 509", "Bactria 745", "Dhaka 727", "Vaishali 543", "Malwa 511", "Vukhara 321", "Malwa 197", "Sayram 344", "Gauida 189", "Malwa 789", "Bactria 185", "Cuttack 127", "Sayram 701", "Dhaka 477", "Nadu 985", "Lalitpur 935", "Vaishali 907", "Vaishali 262", "Ujjain 256", "Ujjain 829", "Lalitpur 336", "Ujjain 893", "Lalitpur 108", "Nadu 624", "Gauida 997", "Gauida 512", "Gauida 648", "Ujjain 412", "Vukhara 162", "Sayram 569", "Bactria 657", "Balkh 577", "Pallavas 595", "Patna 673", "Dhaka 323", "Gauida 398", "Sayram 870", "Lalitpur 861", "Nadu 579", "Vaishali 392", "Nadu 350", "Gauida 180", "Balkh 758", "Patna 454", "Ujjain 924", "Dhaka 756", "Vukhara 329", "Vukhara 585", "Ujjain 391", "Malwa 395", "Sogdia 582", "Malwa 473", "Sayram 941", "Bactria 917", "Vukhara 167", "Balkh 621", "Nadu 141", "Lalitpur 280", "Gauida 397", "Nadu 261", "Sogdia 250", "Nadu 791", "Bactria 570", "Ujjain 942", "Cuttack 912", "Bactria 903", "Dhaka 614", "Lalitpur 515", "Sayram 835", "Balkh 112", "Balkh 537", "Ujjain 102", "Gauida 176", "Gauida 972", "Sayram 193", "Sogdia 310", "Sayram 154", "Lalitpur 364", "Lalitpur 365", "Vukhara 806", "Sayram 821", "Bactria 391", "Malwa 492", "Cuttack 391", "Lalitpur 747", "Bactria 892", "Sayram 693", "Sogdia 600", "Pallavas 849", "Vukhara 434", "Vaishali 687", "Kashi 889", "Ujjain 771", "Lalitpur 214", "Kashi 402", "Lalitpur 313", "Vukhara 609", "Kashi 770", "Patna 586", "Sogdia 860", "Patna 487", "Balkh 700", "Vukhara 339", "Dhaka 759", "Malwa 905", "Patna 139", "Vukhara 417", "Cuttack 336", "Dhaka 378", "Sayram 180", "Lalitpur 612", "Malwa 363", "Bactria 201", "Bactria 911", "Balkh 344", "Vukhara 294", "Patna 629", "Cuttack 234", "Cuttack 805", "Pallavas 461", "Kashi 466", "Sogdia 916", "Sogdia 617", "Cuttack 253", "Vaishali 753", "Nadu 754", "Kashi 654", "Patna 152", "Vaishali 113", "Sogdia 726", "Vaishali 771", "Bactria 882", "Sogdia 549", "Patna 540", "Nadu 725", "Sogdia 420", "Ujjain 367", "Vaishali 311", "Sogdia 958", "Lalitpur 901", "Sayram 445", "Dhaka 176", "Lalitpur 150", "Kashi 563", "Sayram 862", "Patna 923", "Bactria 262", "Pallavas 542", "Sayram 224", "Nadu 682", "Sogdia 827", "Dhaka 622", "Pallavas 436", "Lalitpur 910", "Vaishali 288", "Ujjain 464", "Bactria 357", "Malwa 579", "Lalitpur 380", "Cuttack 931", "Nadu 880", "Dhaka 298", "Vukhara 897", "Dhaka 850", "Sogdia 738", "Nadu 930", "Bactria 132", "Vaishali 720", "Kashi 794", "Patna 181", "Vukhara 643", "Kashi 526", "Sogdia 484", "Patna 937", "Balkh 413", "Pallavas 745", "Vukhara 429", "Malwa 220", "Bactria 997", "Ujjain 208", "Bactria 772", "Vaishali 227", "Sogdia 524",  
// Galaxy 4
"Bactria 680", "Patna 152", "Ujjain 534", "Vukhara 834", "Vaishali 509", "Sogdia 250", "Nadu 678", "Cuttack 358", "Dhaka 357", "Balkh 771", "Ujjain 482", "Bactria 663", "Cuttack 343", "Malwa 741", "Vaishali 808", "Malwa 503", "Pallavas 534", "Malwa 413", "Nadu 681", "Sayram 635", "Kashi 263", "Lalitpur 908", "Lalitpur 668", "Gauida 716", "Sogdia 962", "Vaishali 739", "Vukhara 780", "Sayram 723", "Bactria 399", "Balkh 245", "Nadu 567", "Sogdia 357", "Kashi 950", "Patna 204", "Nadu 612", "Gauida 734", "Vukhara 885", "Vukhara 233", "Gauida 120", "Kashi 665", "Sayram 501", "Pallavas 860", "Nadu 547", "Nadu 287", "Lalitpur 109", "Nadu 744", "Gauida 279", "Sayram 679", "Vukhara 400", "Sogdia 896", "Lalitpur 761", "Patna 890", "Ujjain 857", "Ujjain 423", "Nadu 553", "Patna 748", "Sogdia 973", "Gauida 451", "Cuttack 852", "Gauida 529", "Vaishali 830", "Dhaka 974", "Sayram 385", "Gauida 822", "Sogdia 449", "Ujjain 409", "Lalitpur 170", "Ujjain 536", "Vukhara 696", "Nadu 403", "Nadu 915", "Pallavas 609", "Kashi 800", "Kashi 296", "Vaishali 211", "Pallavas 671", "Patna 770", "Vaishali 787", "Pallavas 227", "Sogdia 757", "Balkh 965", "Cuttack 774", "Bactria 710", "Lalitpur 396", "Kashi 597", "Bactria 277", "Balkh 123", "Gauida 281", "Ujjain 870", "Vukhara 970", "Sogdia 653", "Nadu 693", "Vaishali 712", "Gauida 405", "Vaishali 589", "Kashi 142", "Sogdia 436", "Nadu 556", "Bactria 477", "Malwa 955", "Lalitpur 678", "Kashi 615", "Ujjain 933", "Vaishali 300", "Ujjain 350", "Ujjain 753", "Pallavas 861", "Sogdia 174", "Sayram 336", "Sayram 710", "Lalitpur 705", "Gauida 640", "Vukhara 257", "Gauida 596", "Sayram 793", "Kashi 170", "Patna 816", "Vaishali 186", "Kashi 905", "Nadu 929", "Nadu 728", "Gauida 171", "Sayram 635", "Sogdia 985", "Dhaka 403", "Cuttack 422", "Kashi 773", "Gauida 107", "Malwa 742", "Dhaka 390", "Vukhara 517", "Dhaka 630", "Vukhara 275", "Bactria 471", "Balkh 940", "Sayram 177", "Vukhara 784", "Sayram 753", "Balkh 229", "Nadu 928", "Balkh 573", "Pallavas 874", "Nadu 241", "Lalitpur 879", "Pallavas 286", "Malwa 755", "Sayram 473", "Vukhara 680", "Kashi 132", "Pallavas 985", "Vukhara 679", "Nadu 183", "Lalitpur 147", "Bactria 343", "Gauida 585", "Malwa 539", "Vukhara 109", "Balkh 390", "Sogdia 418", "Sogdia 256", "Lalitpur 164", "Gauida 225", "Malwa 129", "Pallavas 557", "Dhaka 422", "Pallavas 155", "Gauida 936", "Sogdia 825", "Bactria 176", "Pallavas 794", "Ujjain 518", "Balkh 533", "Pallavas 390", "Lalitpur 174", "Vaishali 594", "Cuttack 109", "Vukhara 111", "Dhaka 412", "Sayram 498", "Lalitpur 235", "Pallavas 107", "Kashi 400", "Lalitpur 650", "Malwa 205", "Pallavas 436", "Gauida 264", "Vukhara 783", "Ujjain 135", "Ujjain 809", "Nadu 733", "Patna 558", "Malwa 920", "Malwa 389", "Vaishali 340", "Ujjain 648", "Patna 924", "Sayram 175", "Sayram 353", "Kashi 956", "Dhaka 789", "Vaishali 869", "Pallavas 393", "Gauida 718", "Sogdia 241", "Dhaka 676", "Sayram 353", "Kashi 321", "Lalitpur 502", "Lalitpur 430", "Balkh 129", "Lalitpur 871", "Vukhara 146", "Vaishali 131", "Vukhara 815", "Gauida 786", "Balkh 160", "Sogdia 584", "Vaishali 117", "Dhaka 158", "Sogdia 236", "Lalitpur 620", "Nadu 753", "Pallavas 920", "Malwa 587", "Pallavas 879", "Bactria 697", "Kashi 293", "Dhaka 778", "Sayram 998", "Cuttack 784", "Sogdia 613", "Gauida 182", "Patna 251", "Balkh 983", "Sayram 718", "Nadu 212", "Ujjain 231", "Sayram 841", "Dhaka 136", "Sayram 141", "Pallavas 783", "Sogdia 115", "Vukhara 606", "Sayram 477", "Sogdia 185", "Vukhara 406", "Vaishali 964", "Malwa 350", "Kashi 774", "Patna 964", "Sayram 937", "Kashi 788", "Lalitpur 638", "Kashi 781", "Gauida 966", "Sogdia 560",    
// Galaxy 5
"Gauida 409", "Malwa 972", "Vukhara 802", "Pallavas 878", "Gauida 700", "Sogdia 185", "Ujjain 785", "Nadu 376", "Dhaka 740", "Pallavas 703", "Sogdia 549", "Vukhara 947", "Balkh 310", "Ujjain 803", "Nadu 479", "Pallavas 978", "Ujjain 321", "Pallavas 494", "Malwa 156", "Dhaka 593", "Balkh 394", "Kashi 498", "Pallavas 511", "Pallavas 125", "Sayram 332", "Nadu 984", "Vukhara 330", "Lalitpur 842", "Cuttack 100", "Vukhara 842", "Sogdia 571", "Balkh 163", "Nadu 309", "Sayram 636", "Lalitpur 540", "Gauida 833", "Nadu 102", "Dhaka 942", "Pallavas 719", "Bactria 528", "Pallavas 363", "Sogdia 761", "Balkh 711", "Vaishali 813", "Dhaka 978", "Sayram 557", "Sayram 816", "Sayram 449", "Patna 610", "Patna 879", "Ujjain 758", "Ujjain 493", "Lalitpur 578", "Malwa 975", "Sayram 365", "Gauida 659", "Gauida 814", "Vukhara 647", "Malwa 895", "Nadu 394", "Gauida 984", "Sogdia 808", "Patna 603", "Bactria 153", "Kashi 104", "Lalitpur 954", "Malwa 874", "Kashi 426", "Sogdia 137", "Cuttack 381", "Sogdia 228", "Malwa 901", "Pallavas 813", "Patna 660", "Sogdia 220", "Malwa 759", "Nadu 100", "Balkh 783", "Sayram 947", "Bactria 334", "Sogdia 806", "Malwa 997", "Sayram 487", "Gauida 505", "Ujjain 962", "Dhaka 313", "Gauida 111", "Lalitpur 694", "Kashi 652", "Bactria 200", "Cuttack 867", "Ujjain 334", "Vukhara 649", "Kashi 781", "Balkh 702", "Gauida 963", "Malwa 491", "Nadu 797", "Bactria 225", "Dhaka 189", "Cuttack 130", "Patna 418", "Pallavas 231", "Dhaka 693", "Malwa 627", "Malwa 118", "Dhaka 817", "Gauida 410", "Vukhara 149", "Vukhara 330", "Pallavas 231", "Pallavas 696", "Patna 517", "Balkh 636", "Sogdia 600", "Vaishali 954", "Cuttack 323", "Balkh 883", "Gauida 683", "Vaishali 614", "Dhaka 596", "Sayram 755", "Balkh 641", "Gauida 881", "Pallavas 485", "Sogdia 466", "Ujjain 164", "Gauida 364", "Sogdia 758", "Cuttack 693", "Pallavas 121", "Balkh 364", "Dhaka 409", "Ujjain 528", "Bactria 874", "Sogdia 238", "Sogdia 235", "Sayram 243", "Bactria 796", "Sogdia 377", "Kashi 696", "Dhaka 302", "Vaishali 504", "Vaishali 164", "Kashi 344", "Kashi 140", "Sogdia 434", "Lalitpur 573", "Bactria 650", "Pallavas 223", "Sogdia 420", "Pallavas 383", "Kashi 503", "Gauida 469", "Balkh 167", "Nadu 533", "Pallavas 906", "Kashi 769", "Nadu 453", "Malwa 204", "Bactria 132", "Patna 821", "Kashi 552", "Patna 198", "Vaishali 700", "Kashi 703", "Ujjain 647", "Cuttack 163", "Vaishali 915", "Bactria 375", "Vukhara 203", "Kashi 386", "Kashi 948", "Vukhara 467", "Kashi 196", "Vaishali 580", "Vaishali 695", "Patna 603", "Sogdia 737", "Nadu 179", "Pallavas 224", "Malwa 652", "Vukhara 495", "Dhaka 464", "Vaishali 103", "Bactria 388", "Bactria 926", "Nadu 392", "Bactria 988", "Lalitpur 692", "Balkh 443", "Lalitpur 906", "Nadu 384", "Cuttack 359", "Lalitpur 836", "Balkh 915", "Pallavas 247", "Sayram 743", "Bactria 435", "Ujjain 232", "Sogdia 894", "Lalitpur 373", "Vukhara 417", "Dhaka 356", "Sayram 159", "Kashi 748", "Sayram 247", "Bactria 777", "Ujjain 360", "Cuttack 601", "Malwa 858", "Cuttack 148", "Kashi 938", "Dhaka 716", "Sogdia 615", "Balkh 238", "Patna 731", "Balkh 513", "Pallavas 963", "Sayram 625", "Pallavas 300", "Nadu 194", "Gauida 589", "Vaishali 488", "Balkh 258", "Patna 236", "Malwa 321", "Pallavas 518", "Vaishali 761", "Bactria 141", "Dhaka 956", "Sogdia 299", "Gauida 569", "Malwa 862", "Balkh 738", "Bactria 155", "Malwa 615", "Lalitpur 838", "Malwa 867", "Patna 746", "Sogdia 792", "Nadu 598", "Ujjain 409", "Lalitpur 803", "Sayram 229", "Dhaka 492", "Sogdia 671", "Vukhara 701", "Ujjain 240", "Gauida 415", "Lalitpur 738", "Ujjain 496", "Sogdia 174", "Cuttack 584", "Kashi 489", "Kashi 321",    
 // Galaxy 6
"Malwa 343", "Malwa 655", "Nadu 913", "Malwa 117", "Sayram 499", "Kashi 672", "Bactria 550", "Pallavas 877", "Patna 323", "Dhaka 966", "Pallavas 186", "Lalitpur 912", "Ujjain 861", "Bactria 953", "Kashi 495", "Gauida 625", "Balkh 646", "Sogdia 810", "Nadu 491", "Pallavas 161", "Kashi 922", "Vukhara 895", "Gauida 739", "Gauida 596", "Kashi 268", "Kashi 785", "Lalitpur 140", "Nadu 441", "Nadu 799", "Malwa 876", "Kashi 746", "Kashi 438", "Bactria 487", "Gauida 219", "Nadu 127", "Sayram 261", "Bactria 998", "Ujjain 183", "Lalitpur 738", "Ujjain 560", "Cuttack 819", "Gauida 305", "Pallavas 231", "Bactria 420", "Bactria 786", "Patna 236", "Vaishali 556", "Nadu 593", "Patna 264", "Sogdia 184", "Pallavas 247", "Balkh 964", "Bactria 190", "Patna 330", "Pallavas 532", "Pallavas 305", "Kashi 299", "Dhaka 535", "Cuttack 392", "Gauida 917", "Nadu 389", "Vukhara 909", "Malwa 281", "Pallavas 284", "Sayram 110", "Lalitpur 256", "Balkh 896", "Sogdia 739", "Nadu 461", "Vukhara 945", "Ujjain 637", "Malwa 531", "Vukhara 885", "Ujjain 851", "Ujjain 718", "Vukhara 538", "Sayram 765", "Bactria 915", "Kashi 793", "Gauida 887", "Ujjain 483", "Patna 803", "Nadu 759", "Malwa 577", "Sayram 823", "Patna 302", "Nadu 266", "Nadu 124", "Cuttack 526", "Sogdia 524", "Patna 285", "Vukhara 571", "Nadu 518", "Gauida 753", "Nadu 404", "Balkh 930", "Vaishali 679", "Pallavas 977", "Gauida 910", "Bactria 615", "Balkh 657", "Ujjain 628", "Gauida 587", "Ujjain 696", "Kashi 776", "Patna 805", "Dhaka 907", "Malwa 421", "Bactria 699", "Vukhara 246", "Vaishali 352", "Nadu 135", "Pallavas 128", "Malwa 401", "Patna 948", "Sogdia 487", "Dhaka 636", "Vukhara 535", "Bactria 454", "Kashi 346", "Kashi 522", "Kashi 746", "Lalitpur 859", "Vukhara 382", "Sayram 546", "Vaishali 860", "Ujjain 142", "Patna 303", "Vukhara 979", "Cuttack 682", "Kashi 670", "Patna 332", "Vaishali 902", "Malwa 146", "Gauida 180", "Bactria 175", "Malwa 578", "Vukhara 153", "Dhaka 230", "Vukhara 402", "Patna 276", "Patna 181", "Vukhara 897", "Cuttack 398", "Dhaka 448", "Bactria 208", "Sayram 860", "Malwa 822", "Kashi 352", "Dhaka 632", "Vukhara 820", "Vukhara 411", "Nadu 594", "Balkh 593", "Ujjain 933", "Ujjain 939", "Lalitpur 537", "Sogdia 164", "Vaishali 416", "Lalitpur 275", "Vukhara 605", "Malwa 109", "Bactria 249", "Dhaka 556", "Sogdia 636", "Sogdia 774", "Sayram 469", "Patna 840", "Lalitpur 417", "Kashi 862", "Vukhara 627", "Balkh 610", "Vaishali 592", "Cuttack 661", "Nadu 845", "Nadu 669", "Lalitpur 364", "Cuttack 301", "Malwa 259", "Nadu 135", "Vaishali 391", "Bactria 586", "Lalitpur 226", "Nadu 979", "Pallavas 984", "Nadu 306", "Vukhara 742", "Vaishali 833", "Patna 397", "Kashi 332", "Bactria 793", "Balkh 525", "Nadu 876", "Bactria 291", "Balkh 371", "Malwa 654", "Gauida 866", "Sogdia 352", "Lalitpur 166", "Nadu 944", "Balkh 539", "Vaishali 728", "Malwa 793", "Sayram 545", "Bactria 681", "Gauida 230", "Sayram 276", "Lalitpur 992", "Balkh 101", "Nadu 612", "Balkh 399", "Ujjain 894", "Kashi 900", "Sayram 392", "Lalitpur 617", "Vukhara 185", "Kashi 940", "Lalitpur 552", "Balkh 812", "Vaishali 852", "Gauida 874", "Vukhara 563", "Ujjain 342", "Cuttack 509", "Vaishali 265", "Vaishali 954", "Dhaka 399", "Kashi 114", "Bactria 423", "Cuttack 857", "Nadu 741", "Sayram 860", "Ujjain 591", "Lalitpur 934", "Malwa 205", "Malwa 960", "Bactria 640", "Pallavas 457", "Patna 554", "Vaishali 664", "Balkh 406", "Dhaka 378", "Sogdia 582", "Patna 766", "Cuttack 472", "Patna 640", "Nadu 925", "Sogdia 862", "Malwa 272", "Kashi 703", "Cuttack 967", "Sayram 749", "Patna 912", "Pallavas 956", "Cuttack 227", "Malwa 782", 
// Galaxy 7
"Ujjain 957", "Nadu 718", "Ujjain 672", "Vukhara 543", "Kashi 779", "Cuttack 572", "Patna 840", "Cuttack 271", "Bactria 412", "Patna 136", "Malwa 245", "Bactria 983", "Dhaka 321", "Gauida 733", "Nadu 668", "Gauida 200", "Bactria 899", "Kashi 250", "Pallavas 440", "Ujjain 817", "Pallavas 633", "Gauida 433", "Nadu 908", "Vukhara 361", "Kashi 932", "Pallavas 566", "Malwa 359", "Sogdia 796", "Lalitpur 829", "Bactria 819", "Balkh 559", "Vaishali 598", "Nadu 568", "Balkh 789", "Cuttack 608", "Balkh 383", "Cuttack 763", "Sogdia 808", "Pallavas 172", "Ujjain 995", "Malwa 646", "Balkh 280", "Dhaka 718", "Vukhara 566", "Vaishali 854", "Gauida 198", "Vukhara 618", "Sayram 795", "Sogdia 350", "Lalitpur 293", "Vukhara 899", "Gauida 273", "Cuttack 546", "Kashi 408", "Lalitpur 461", "Pallavas 106", "Sayram 793", "Sayram 699", "Vukhara 739", "Gauida 480", "Kashi 178", "Dhaka 820", "Patna 647", "Cuttack 319", "Pallavas 286", "Cuttack 252", "Patna 599", "Bactria 866", "Sayram 541", "Pallavas 717", "Patna 245", "Vukhara 405", "Malwa 945", "Pallavas 493", "Pallavas 806", "Malwa 762", "Dhaka 961", "Ujjain 882", "Gauida 607", "Vaishali 124", "Malwa 708", "Ujjain 892", "Balkh 676", "Patna 388", "Sayram 438", "Vaishali 374", "Cuttack 729", "Malwa 238", "Sogdia 317", "Dhaka 293", "Nadu 205", "Nadu 155", "Bactria 412", "Ujjain 342", "Gauida 984", "Vukhara 188", "Lalitpur 925", "Vukhara 108", "Sogdia 978", "Sayram 174", "Ujjain 432", "Kashi 220", "Kashi 881", "Nadu 200", "Gauida 767", "Balkh 469", "Lalitpur 892", "Balkh 837", "Ujjain 747", "Lalitpur 399", "Malwa 255", "Sogdia 311", "Balkh 716", "Balkh 827", "Cuttack 756", "Bactria 154", "Vaishali 698", "Gauida 967", "Balkh 735", "Ujjain 897", "Sayram 251", "Sogdia 237", "Gauida 633", "Sayram 976", "Lalitpur 238", "Vaishali 537", "Patna 468", "Nadu 909", "Lalitpur 859", "Patna 606", "Lalitpur 739", "Pallavas 529", "Balkh 419", "Pallavas 297", "Patna 571", "Kashi 313", "Malwa 150", "Vukhara 383", "Vukhara 368", "Lalitpur 634", "Balkh 288", "Sogdia 617", "Sogdia 190", "Lalitpur 847", "Vukhara 554", "Sogdia 724", "Malwa 480", "Ujjain 984", "Patna 275", "Vukhara 836", "Sayram 271", "Sogdia 566", "Malwa 143", "Pallavas 815", "Patna 297", "Bactria 960", "Pallavas 174", "Dhaka 121", "Gauida 353", "Cuttack 107", "Malwa 732", "Nadu 271", "Malwa 574", "Balkh 190", "Patna 725", "Bactria 101", "Gauida 281", "Balkh 875", "Pallavas 995", "Patna 661", "Kashi 502", "Sogdia 600", "Pallavas 851", "Bactria 848", "Patna 476", "Vaishali 844", "Ujjain 440", "Patna 265", "Gauida 721", "Malwa 595", "Sayram 102", "Cuttack 580", "Sogdia 129", "Kashi 652", "Patna 234", "Pallavas 477", "Bactria 547", "Cuttack 679", "Pallavas 577", "Gauida 345", "Balkh 560", "Sayram 909", "Patna 396", "Pallavas 383", "Vukhara 834", "Sayram 986", "Nadu 538", "Cuttack 676", "Bactria 123", "Gauida 817", "Gauida 944", "Kashi 616", "Bactria 784", "Pallavas 700", "Sayram 351", "Vukhara 844", "Vukhara 907", "Kashi 595", "Malwa 501", "Pallavas 919", "Patna 148", "Cuttack 558", "Bactria 435", "Balkh 759", "Malwa 606", "Balkh 353", "Malwa 187", "Vaishali 678", "Cuttack 306", "Vukhara 533", "Cuttack 300", "Vukhara 734", "Lalitpur 383", "Lalitpur 409", "Gauida 368", "Vukhara 404", "Vaishali 210", "Cuttack 363", "Lalitpur 536", "Malwa 565", "Patna 141", "Gauida 838", "Dhaka 570", "Sayram 763", "Dhaka 660", "Pallavas 409", "Kashi 752", "Dhaka 530", "Sayram 681", "Gauida 678", "Vukhara 988", "Sayram 387", "Pallavas 828", "Malwa 725", "Malwa 650", "Cuttack 175", "Lalitpur 109", "Dhaka 644", "Patna 358", "Ujjain 502", "Patna 244", "Nadu 897", "Vaishali 203", "Pallavas 105", "Sogdia 421", "Pallavas 976",  
// Galaxy 8
"Vaishali 671", "Sayram 200", "Nadu 445", "Nadu 755", "Patna 271", "Patna 113", "Ujjain 302", "Bactria 903", "Dhaka 752", "Sayram 152", "Nadu 716", "Malwa 291", "Nadu 101", "Sogdia 480", "Malwa 512", "Balkh 653", "Balkh 719", "Malwa 625", "Vaishali 516", "Lalitpur 896", "Balkh 872", "Bactria 997", "Ujjain 233", "Lalitpur 831", "Sogdia 646", "Pallavas 148", "Malwa 229", "Pallavas 638", "Gauida 212", "Kashi 406", "Vukhara 465", "Vukhara 853", "Dhaka 731", "Lalitpur 335", "Pallavas 357", "Pallavas 652", "Lalitpur 817", "Sayram 999", "Sayram 116", "Ujjain 246", "Dhaka 165", "Ujjain 816", "Kashi 504", "Sayram 973", "Balkh 897", "Vaishali 817", "Sayram 943", "Bactria 538", "Vaishali 661", "Sogdia 781", "Dhaka 732", "Sayram 138", "Ujjain 928", "Bactria 837", "Kashi 575", "Nadu 434", "Gauida 302", "Patna 413", "Kashi 416", "Dhaka 541", "Dhaka 108", "Patna 162", "Lalitpur 198", "Ujjain 987", "Vaishali 556", "Dhaka 634", "Sayram 851", "Kashi 157", "Cuttack 440", "Balkh 425", "Sayram 169", "Pallavas 221", "Kashi 924", "Vukhara 574", "Bactria 725", "Bactria 941", "Cuttack 846", "Sogdia 786", "Ujjain 369", "Bactria 237", "Kashi 504", "Sogdia 302", "Ujjain 535", "Malwa 691", "Sogdia 724", "Vaishali 531", "Pallavas 399", "Dhaka 580", "Vaishali 753", "Bactria 567", "Bactria 143", "Gauida 357", "Gauida 962", "Vukhara 780", "Patna 971", "Gauida 923", "Vaishali 748", "Kashi 700", "Sogdia 717", "Nadu 335", "Patna 534", "Malwa 729", "Malwa 224", "Patna 428", "Lalitpur 476", "Balkh 234", "Ujjain 922", "Cuttack 141", "Vaishali 247", "Sayram 527", "Pallavas 706", "Nadu 738", "Dhaka 792", "Kashi 534", "Pallavas 359", "Patna 704", "Sogdia 842", "Malwa 686", "Gauida 568", "Bactria 232", "Pallavas 130", "Patna 549", "Balkh 557", "Pallavas 812", "Malwa 121", "Vaishali 662", "Ujjain 460", "Dhaka 533", "Cuttack 883", "Vaishali 940", "Vaishali 457", "Patna 898", "Vaishali 138", "Lalitpur 245", "Vukhara 869", "Kashi 385", "Cuttack 900", "Ujjain 144", "Gauida 385", "Malwa 173", "Nadu 161", "Sayram 732", "Malwa 145", "Vaishali 383", "Sogdia 939", "Gauida 325", "Pallavas 940", "Sogdia 197", "Sogdia 618", "Sayram 560", "Vaishali 426", "Malwa 686", "Kashi 471", "Dhaka 303", "Balkh 837", "Vaishali 991", "Sogdia 404", "Ujjain 746", "Bactria 523", "Bactria 470", "Ujjain 986", "Gauida 942", "Bactria 953", "Ujjain 216", "Vukhara 874", "Patna 445", "Balkh 280", "Dhaka 821", "Nadu 563", "Sayram 526", "Gauida 636", "Sogdia 983", "Gauida 945", "Malwa 321", "Bactria 743", "Cuttack 750", "Bactria 661", "Bactria 613", "Vukhara 931", "Dhaka 855", "Balkh 217", "Vaishali 887", "Vaishali 566", "Kashi 461", "Balkh 212", "Dhaka 462", "Pallavas 805", "Vukhara 987", "Kashi 176", "Pallavas 156", "Vaishali 137", "Lalitpur 188", "Dhaka 503", "Cuttack 154", "Bactria 177", "Malwa 354", "Dhaka 730", "Vukhara 128", "Vaishali 964", "Ujjain 330", "Sogdia 939", "Cuttack 550", "Bactria 828", "Pallavas 911", "Gauida 896", "Kashi 915", "Bactria 216", "Sayram 389", "Bactria 221", "Gauida 465", "Pallavas 104", "Nadu 245", "Sogdia 878", "Sogdia 207", "Balkh 237", "Ujjain 510", "Kashi 165", "Malwa 973", "Lalitpur 655", "Bactria 305", "Gauida 504", "Patna 122", "Lalitpur 839", "Vaishali 672", "Lalitpur 564", "Nadu 223", "Vukhara 741", "Balkh 427", "Lalitpur 257", "Sogdia 178", "Lalitpur 918", "Ujjain 518", "Sogdia 455", "Dhaka 138", "Vukhara 442", "Patna 422", "Sogdia 920", "Pallavas 699", "Pallavas 851", "Patna 491", "Kashi 580", "Vukhara 936", "Vaishali 612", "Nadu 755", "Bactria 728", "Sayram 622", "Malwa 838", "Ujjain 435", "Malwa 666", "Gauida 589", "Balkh 917", "Vaishali 256", "Cuttack 361", "Vaishali 846", "Kashi 396", "Patna 583", 
// The Name below is unused but is included for De Bugging purposes (See the Readme File for Details).
"Malwa 502"];

//  Name Arrays for 10,240 - 1st Station in a given system to spawn. (Number of Names in Array: 2,048)
//  This uses the large counted pool method as above.
this.commiepool1 = [
// Galaxy 1
"The Rock", "Shikov Facility", "Ramon Prison", "Zedong Asylum", "Burning Rock", "Dead Bug Walking", "Salbiev Dungeon", "Medvedev Borstal", "Stepan Complex", "Alboretto Jail", "Lavochkin Guardhouse", "Brighton Rock", "Viktoria Dungeon", "Zhukov Complex", "Viktoria Penitentiary", "Mikhailov Dungeon", "Tatiana Borstal", "Trulli Institution", "Trulli Prison", "Tatiana Gaol", "Medvedev Stockade", "Mikhailov Jail", "Shikov Jail", "Dvorkhin Guardhouse", "Zhukov Gaol", "Zhdanov Gaol", "Serov Asylum", "Nikolayev Borstal", "Shikov Gaol", "Popov Gaol", "Hard Time", "Viktoria Penitentiary", "Shikov Guardhouse", "Stepan Penitentiary", "Carluccio Reformatory", "Lillia Jail", "Manic Miner", "The Engels Facility", "Vladimir Roundhouse", "Zedong Asylum", "Medvedev Asylum", "Nikolayev Reformatory", "Roman Complex", "Hard Cheese", "Vyacheslav Dungeon", "Dvorkhin Guardhouse", "Bridge to Babylon", "Medvedev Complex", "Nikolayev Bridewell", "Tsarev Borstal", "Gorshkov Guardhouse", "Serov Jail", "Roman Prison", "Roman Guardhouse", "Rusakov Roundhouse", "Mikhailov Institution", "Gorshkov Jail", "Roman Stockade", "The Black Hole", "Vladimir Complex", "Trulli Prison", "Alboretto Institution", "Mind Flayer", "Mikhailov Institution", "Stepan Roundhouse", "Motley Crew", "Viktoria Asylum", "Vladimir Prison", "Group Think", "In the Village", "Vyacheslav Penitentiary", "Medvedev Roundhouse", "Rusakov Jail", "Zhdanov Prison", "Rusakov Borstal", "Will of the People", "Trulli Jail", "Lavochkin Borstal", "Popov Borstal", "Zhdanov Gaol", "Medvedev Reformatory", "Tsarev Bridewell", "Alboretto Jail", "Tsarev Gaol", "Gorshkov Dungeon", "Roman Complex", "Carluccio Complex", "Viktoria Bridewell", "Yuri Bridewell", "Svetlana Jail", "Roman Stockade", "Zhukov Asylum", "Cherkesov Jail", "Valentina Asylum", "Back in the USSR", "Serov Stockade", "Stepan Borstal", "Tatiana Jail", "Viktoria Institution", "Vyacheslav Reformatory", "Alcatraz Island", "Tap on the Shoulder", "Shikov Borstal", "Trulli Roundhouse", "Zhdanov Complex", "Zedong Dungeon", "Mikhailov Reformatory", "Room 101", "Dvorkhin Reformatory", "Trulli Gaol", "Tsarev Penitentiary", "Mikhailov Guardhouse", "Alboretto Complex", "Yuri Complex", "Salbiev Stockade", "Svetlana Bridewell", "Kilorvas Stockade", "Trulli Roundhouse", "Alboretto Guardhouse", "Trulli Stockade", "Stepan Roundhouse", "Mikhailov Stockade", "Valentina Bridewell", "Salbiev Reformatory", "Serov Institution", "Gorshkov Prison", "Rat Catcher", "Valentina Roundhouse", "Popov Reformatory", "Trulli Facility", "Medvedev Dungeon", "Cherkesov Gaol", "Minority Report", "True Potential", "Carluccio Complex", "Zhdanov Facility", "Alboretto Penitentiary", "Makharov Penitentiary", "Zhukov Bridewell", "Konev Prison", "Stepan Prison", "Nikolayev Dungeon", "Shikov Borstal", "Shikov Dungeon", "Zhukov Dungeon", "Tsarev Gaol", "Trulli Complex", "Shikov Institution", "Popov Complex", "Roman Dungeon", "Roman Borstal", "Popov Prison", "Dvorkhin Complex", "Dvorkhin Institution", "Roman Stockade", "Lillia Roundhouse", "Vyacheslav Asylum", "Konev Asylum", "Death Valley", "Tatiana Asylum", "Svetlana Prison", "Popov Bridewell", "Trulli Bridewell", "Makharov Prison", "Opium of the People", "Shade of Purgatory", "Zhdanov Prison", "Stepan Gaol", "Vyacheslav Institution", "Zhukov Jail", "Trulli Reformatory", "Ignorance is Bliss", "Lillia Guardhouse", "Vyacheslav Reformatory", "Lillia Dungeon", "Stepan Institution", "Makharov Institution", "Vladimir Penitentiary", "Rusakov Dungeon", "Konev Roundhouse", "Serov Jail", "Mikhailov Prison", "Konev Roundhouse", "Konev Facility", "Zhukov Gaol", "Svetlana Institution", "Lillia Complex", "Serov Roundhouse", "Tatiana Prison", "Tatiana Penitentiary", "The Chair Maker", "Zhukov Complex", "Cherkesov Borstal", "Valentina Penitentiary", "Viktoria Asylum", "Valentina Stockade", "Tower of Despair", "Social Order", "Zedong Reformatory", "Yuri Guardhouse", "Vladimir Institution", "Cherkesov Gaol", "Popov Facility", "Taste of Fear", "Yuri Asylum", "Yuri Roundhouse", "Valentina Guardhouse", "Lavochkin Complex", "Mikhailov Reformatory", "Salbiev Jail", "Cherkesov Jail", "Serov Roundhouse", "Stepan Borstal", "Valentina Jail", "Lavochkin Asylum", "Konev Complex", "Honour of Vladimir", "Tsarev Gaol", "Tsarev Prison", "Tatiana Facility", "Lillia Facility", "Rusakov Complex", "San Quentin", "Stepan Reformatory", "Shikov Facility", "Viktoria Penitentiary", "Medvedev Jail", "Medvedev Penitentiary", "Traitors Rock", "Spandau Prison", "Alboretto Stockade", "Yuri Reformatory", "Roman Stockade", "Makharov Roundhouse", "Viktoria Guardhouse", "Moonlit Madness", "Yuri Complex", "Zhukov Complex", "Konev Institution", "Gorshkov Gaol", "Carluccio Dungeon", "Medvedev Roundhouse", "Lavochkin Prison", "Zedong Prison", "Zedong Borstal", "Nikolayev Guardhouse", "Alboretto Jail", "Vladimir Facility", "Viktoria Jail", "Carluccio Borstal", "Vladimir Roundhouse", "Lillia Dungeon", "Serov Institution", "Stepan Roundhouse", "Viktoria Gaol", "Zedong Asylum",    
// Galaxy 2
"Dynamic Yevsektsiya", "Proletarian Likbez", "Glorious Shabashka", "Unassailable Nomenklatura", "Captivating Stakhanovite", "Uplifting Uchraspred", "Glorious Sovkhozes", "Artistic Pyatiletka", "Joyous Khozraschyot", "Merciful Psikhushka", "Artistic Naukograd", "Proletarian Psikhushka", "Inspirational Khozraschyot", "On the Rocks", "Unconquerable Naukograd", "Glorious Udarnik", "Merciful Naukograd", "Electrifying Gosplan", "Unassailable Nomenklatura", "Captivating Likbez", "Captivating Khozraschyot", "Merciful Sovkhoz", "Inspirational Udarnik", "Dynamic Udarnik", "Execution Hour", "Captivating Sovkhoz", "Captivating Kulak", "Illuminating Prodnalog", "Infallible Yevsektsiya", "Outside Chance", "Artistic Psikhushka", "Joyous Udarnik", "Proletarian Sovietization", "Blood Shall Flow", "Infallible Prodnalog", "Inspirational Psikhushka", "Artistic Dekulakization", "Uplifting Prodnalog", "Joyous Uchraspred", "Uplifting Apparatchik", "Artistic Nomenklatura", "Inspirational Bolshevik", "Oakwood Prison", "Unconquerable Bolshevik", "Artistic Naukograd", "Line of Duty", "Inspirational Shturmovshchina", "Proletarian Pyatiletka", "Elegant Dekulakization", "Elegant Naukograd", "Proletarian Psikhushka", "Elegant Lysenkoism", "Captivating Shturmovshchina", "Shadows of Treachery", "Joyous Lysenkoism", "Infallible Naukograd", "Elegant Sharashka", "Uplifting Psikhushka", "Glorious Yevsektsiya", "Artistic Troika", "Pumping Iron", "Death Knell", "Electrifying Bolshevik", "Electrifying Shturmovshchina", "Uplifting Likbez", "Proletarian Yevsektsiya", "Unassailable Apparatchik", "Artistic Gosplan", "Joyous Sharashka", "Dynamic Naukograd", "Illuminating Likbez", "Joyous Kulak", "Merciful Psikhushka", "Captivating Lysenkoism", "Artistic Sovkhoz", "Elegant Kolkhoze", "Captivating Nomenklatura", "Tale of Heresy", "Dynamic Nomenklatura", "Artistic Shabashka", "Captivating Troika", "Unconquerable Shturmovshchina", "Illuminating Kulak", "Electrifying Kolkhoze", "Unconquerable Udarnik", "Unassailable Sanatoria", "Infallible Yevsektsiya", "Oakwood Prison", "Indomitable Vsevobuch", "Artistic Uchraspred", "Merciful Shabashka", "Illuminating Uskoreniye", "Dynamic Nomenklatura", "Dynamic Sharashka", "Unconquerable Uskoreniye", "Elegant Kulak", "Illuminating Prodrazvyorstka", "Captivating Dekulakization", "Uplifting Yevsektsiya", "Proletarian Likbez", "Unassailable Sovietization", "Uplifting Selsoviet", "Elegant Stakhanovite", "Elegant Sharashka", "Electrifying Sovkhozes", "Unconquerable Naukograd", "Glorious Naukograd", "Dynamic Sovkhozes", "Newgate Prison", "Cinder of Hope", "Unassailable Psikhushka", "Unconquerable Lysenkoism", "Glorious Uchraspred", "Electrifying Pyatiletka", "Inspirational Uskoreniye", "Electrifying Stakhanovite", "Indomitable Gosplan", "Proletarian Udarnik", "Uplifting Sovkhozes", "Joyous Gosplan", "Captivating Dekulakization", "Artistic Bolshevik", "Elegant Prodnalog", "Electrifying Sovkhoz", "Summer Camp", "Post Mortem", "Unassailable Bolshevik", "Electrifying Prodnalog", "Unconquerable Prodrazvyorstka", "Unassailable Udarnik", "Inspirational Pyatiletka", "Artistic Yevsektsiya", "Uplifting Gosplan", "Merciful Sovietization", "Unconquerable Kolkhoze", "Joyous Bolshevik", "Unassailable Uskoreniye", "Medusa Mine", "Dynamic Kulak", "Dynamic Uchraspred", "Paradise Rock", "Merciful Sovkhoz", "Illuminating Sovkhoz", "Indomitable Troika", "Glorious Nomenklatura", "Unconquerable Psikhushka", "Glorious Pyatiletka", "Merciful Psikhushka", "Dynamic Partmaximum", "Joyous Uchraspred", "Artistic Sanatoria", "Indomitable Psikhushka", "Joyous Sovkhozes", "Unassailable Uskoreniye", "Captivating Kulak", "Infallible Selsoviet", "The Tax Man", "Soul Crusher", "Illuminating Vsevobuch", "Proletarian Sanatoria", "Dynamic Psikhushka", "Unconquerable Selsoviet", "Infallible Bolshevik", "Joyous Uskoreniye", "Hard Labour", "Glorious Sovietization", "Illuminating Likbez", "Joyous Sovietization", "Glorious Selsoviet", "Glorious Shturmovshchina", "Glorious Uskoreniye", "Illuminating Nomenklatura", "Dynamic Bolshevik", "Tothill Fields", "Indomitable Dekulakization", "Artistic Khozraschyot", "Illuminating Psikhushka", "Illuminating Troika", "Captivating Kulak", "Illuminating Sanatoria", "Inspirational Prodnalog", "Elegant Sanatoria", "Proletarian Lysenkoism", "Illuminating Sovkhoz", "Joyous Sovietization", "Indomitable Dekulakization", "Dynamic Stakhanovite", "Bone Breaker", "Tree of Woe", "Small Sacrifices", "Illuminating Partmaximum", "Glorious Shturmovshchina", "Unconquerable Gosplan", "Glorious Sanatoria", "Indomitable Sovietization", "Elegant Uskoreniye", "Merciful Dekulakization", "Eldorado Mine", "Artistic Gosplan", "Merciful Kulak", "Illuminating Kulak", "Proletarian Pyatiletka", "Artistic Shturmovshchina", "Unassailable Partmaximum", "Traitors Gate", "Rolling Acres", "Merciful Shturmovshchina", "Glorious Uskoreniye", "Unconquerable Lysenkoism", "Proletarian Sharashka", "Elegant Dekulakization", "Infallible Sovkhoz", "Glorious Uchraspred", "Merciful Uchraspred", "Proletarian Shturmovshchina", "Electrifying Udarnik", "Elegant Yevsektsiya", "Inspirational Prodnalog", "Captivating Apparatchik", "Infallible Shturmovshchina", "Shades of Meaning", "Carnival of Fear", "Glorious Sovietization", "Infallible Stakhanovite", "Unassailable Prodnalog", "Glorious Pyatiletka", "Electrifying Troika", "Elegant Yevsektsiya", "Artistic Dekulakization", "Uplifting Partmaximum", "Electrifying Sovietization", "Proletarian Bolshevik", "Merciful Uchraspred", "Larsson Penitentiary", "Indomitable Uchraspred", "Merciful Naukograd", "Volkov Penitentiary", "Blood of Sanguinius", "Glorious Udarnik", "Glorious Troika", "Merciful Naukograd", "Proletarian Sovietization", "Glorious Shabashka", "Illuminating Vsevobuch", "Electrifying Partmaximum", "Glorious Vsevobuch", "Inspirational Shturmovshchina", "Proletarian Kolkhoze", "Infallible Prodrazvyorstka", "Uplifting Sharashka", "Unconquerable Udarnik", "Illuminating Apparatchik", "Bleeding Rock", "Samara Penitentiary", "Unconquerable Bolshevik", "Captivating Sovkhoz",  
// Galaxy 3
"Valentina Borstal", "Konev Bridewell", "Zhdanov Jail", "Vyacheslav Facility", "Rusakov Gaol", "Shikov Dungeon", "Cherkesov Prison", "Alboretto Stockade", "Lillia Penitentiary", "Lavochkin Facility", "Mikhailov Jail", "Popov Borstal", "Tsarev Institution", "Vyacheslav Guardhouse", "Zhdanov Bridewell", "Shikov Guardhouse", "Alboretto Institution", "Stepan Reformatory", "Medvedev Bridewell", "Tsarev Facility", "Zedong Institution", "Salbiev Gaol", "Yuri Facility", "Lillia Roundhouse", "Serov Roundhouse", "Vladimir Dungeon", "Gorshkov Dungeon", "Makharov Roundhouse", "Gorshkov Stockade", "Vyacheslav Roundhouse", "Svetlana Prison", "Tsarev Facility", "Roman Institution", "Stepan Bridewell", "Roman Complex", "Roman Asylum", "Mikhailov Prison", "Valentina Asylum", "Popov Stockade", "Konev Dungeon", "Alboretto Bridewell", "Lillia Gaol", "Medvedev Asylum", "Gorshkov Asylum", "Yuri Dungeon", "Mikhailov Facility", "Carluccio Stockade", "Konev Jail", "Makharov Facility", "Zhukov Institution", "Rusakov Reformatory", "Vladimir Roundhouse", "Medvedev Reformatory", "Zhukov Bridewell", "Medvedev Prison", "Viktoria Institution", "Konev Borstal", "Nikolayev Dungeon", "Rusakov Jail", "Valentina Guardhouse", "Makharov Bridewell", "Salbiev Dungeon", "Cherkesov Jail", "Stepan Guardhouse", "Nikolayev Gaol", "Lavochkin Reformatory", "Cherkesov Institution", "Carluccio Jail", "Salbiev Gaol", "Salbiev Roundhouse", "Trulli Institution", "Lavochkin Penitentiary", "Zhukov Asylum", "Tsarev Gaol", "Konev Gaol", "Valentina Guardhouse", "Vyacheslav Stockade", "Nikolayev Bridewell", "Cherkesov Stockade", "Trulli Guardhouse", "Stepan Roundhouse", "Medvedev Prison", "Salbiev Borstal", "Lavochkin Gaol", "Valentina Penitentiary", "Vyacheslav Prison", "Nikolayev Guardhouse", "Dvorkhin Asylum", "Mikhailov Guardhouse", "Zhdanov Penitentiary", "Salbiev Bridewell", "Zedong Penitentiary", "Zhdanov Gaol", "Carluccio Roundhouse", "Alboretto Reformatory", "Alboretto Institution", "Cherkesov Complex", "Cherkesov Prison", "Gorshkov Reformatory", "Trulli Prison", "Zhdanov Penitentiary", "Viktoria Stockade", "Gorshkov Stockade", "Medvedev Reformatory", "Trulli Prison", "Tsarev Prison", "Lavochkin Facility", "Mundi Stockade", "Zhdanov Borstal", "Gorshkov Complex", "Tsarev Roundhouse", "Trulli Reformatory", "Konev Guardhouse", "Tatiana Complex", "Gorshkov Guardhouse", "Medvedev Gaol", "Zedong Borstal", "Valentina Prison", "Lillia Prison", "Salbiev Guardhouse", "Tsarev Facility", "Vyacheslav Prison", "Tsarev Gaol", "Mikhailov Stockade", "Dvorkhin Reformatory", "Lavochkin Roundhouse", "Konev Jail", "Gorshkov Stockade", "Alboretto Dungeon", "Zedong Gaol", "Carluccio Complex", "Roman Bridewell", "Alboretto Jail", "Zhukov Penitentiary", "Yuri Bridewell", "Konev Reformatory", "Konev Asylum", "Roman Borstal", "Viktoria Dungeon", "Konev Institution", "Roman Guardhouse", "Trulli Reformatory", "Nikolayev Complex", "Svetlana Stockade", "Alboretto Asylum", "Zhukov Dungeon", "Roman Borstal", "Svetlana Institution", "Zhdanov Gaol", "Gorshkov Stockade", "Popov Bridewell", "Yuri Stockade", "Konev Institution", "Svetlana Gaol", "Cherkesov Facility", "Salbiev Reformatory", "Mikhailov Guardhouse", "Gorshkov Stockade", "Vyacheslav Bridewell", "Vyacheslav Jail", "Konev Bridewell", "Shikov Stockade", "Zhukov Gaol", "Tsarev Guardhouse", "Konev Stockade", "Viktoria Jail", "Tsarev Jail", "Mikhailov Penitentiary", "Nikolayev Dungeon", "Salbiev Prison", "Konev Roundhouse", "Popov Jail", "Serov Facility", "Shikov Complex", "Lillia Asylum", "Cherkesov Penitentiary", "Gorshkov Roundhouse", "Trulli Penitentiary", "Roman Gaol", "Shikov Gaol", "Viktoria Guardhouse", "Medvedev Reformatory", "Makharov Complex", "Cherkesov Stockade", "Zedong Penitentiary", "Lillia Asylum", "Popov Institution", "Tatiana Prison", "Konev Asylum", "Rusakov Institution", "Lillia Prison", "Zedong Reformatory", "Dvorkhin Jail", "Yuri Institution", "Popov Roundhouse", "Dvorkhin Guardhouse", "Lavochkin Institution", "Cherkesov Roundhouse", "Trulli Borstal", "Svetlana Prison", "Nikolayev Prison", "Lavochkin Jail", "Dvorkhin Dungeon", "Rusakov Asylum", "Viktoria Prison", "Gorshkov Prison", "Konev Borstal", "Vyacheslav Guardhouse", "Vyacheslav Dungeon", "Medvedev Penitentiary", "Rusakov Bridewell", "Vladimir Gaol", "Makharov Complex", "Vladimir Institution", "Rusakov Institution", "Popov Institution", "Zhukov Bridewell", "Medvedev Complex", "Viktoria Gaol", "Shikov Dungeon", "Stepan Dungeon", "Nikolayev Roundhouse", "Gorshkov Asylum", "Carluccio Bridewell", "Konev Asylum", "Zedong Jail", "Tatiana Facility", "Stepan Facility", "Popov Prison", "Alboretto Asylum", "Roman Stockade", "Dvorkhin Facility", "Konev Guardhouse", "Nikolayev Guardhouse", "Yuri Jail", "Mikhailov Facility", "Lillia Asylum", "Valentina Bridewell", "Zedong Roundhouse", "Konev Asylum", "Trulli Penitentiary", "Tsarev Complex", "Shikov Dungeon", "Zedong Stockade", "Viktoria Penitentiary", "Viktoria Stockade", "Viktoria Guardhouse", "Vyacheslav Stockade", "Nikolayev Institution", "Konev Facility", "Medvedev Institution", "Cherkesov Stockade", "Lillia Guardhouse", "Lavochkin Reformatory", "Mikhailov Stockade", "Zhukov Gaol",    
// Galaxy 4
"The Kombrig Yeltsin", "The Polkovnik Gromyko", "The Major Brezhnev", "The Matrose Saburov", "The Commissar Kaganovich", "The Michman Kalinin", "The Marshal Gromyko", "The Marshal Shvernik", "The Commissar Gromyko", "The Komandarm Kuznetsov", "The Premier Pavlov", "The Efreitor Osinsky", "The Matrose Mazurov", "The Marshal Lukyanov", "The Michman Osinsky", "The Marshal Vladimirsky", "The Starshina Kosygin", "The Efreitor Malenkov", "The Komdiv Sverdlov", "The Premier Saburov", "The Chairman Mikoyan", "The Polkovnik Bulganin", "The Major Malenkov", "The Starshina Voroshilov", "The Starshina Voznesensky", "The Major Kamenev", "The Komandarm Chernenko", "The General Gromyko", "The Efreitor Voroshilov", "The Premier Khrushchev", "The Komdiv Chernenko", "The Efreitor Saburov", "The Starshina Kosygin", "The Starshina Voroshilov", "The Praporshchik Bazhanov", "The Starshina Zinoviev", "The Commissar Kosygin", "The Chairman Bazhanov", "The Michman Kalinin", "The Endorian Forest", "The Kombrig Kosygin", "The Major Kuznetsov", "The Matrose Khrushchev", "The Premier Mikoyan", "The Polkovnik Bulganin", "The Starshina Kosygin", "The Premier Mikoyan", "The Polkovnik Kaganovich", "The Matrose Yeltsin", "The Efreitor Zinoviev", "The General Shvernik", "The Kombrig Yeltsin", "The Komandarm Andropov", "The Michman Kosygin", "The Marshal Lukyanov", "The Michman Osinsky", "The Praporshchik Podgorny", "The Commissar Khrushchev", "The Chairman Podgorny", "The Efreitor Osinsky", "The Starshina Kuznetsov", "The Michman Kuznetsov", "The Kombrig Chernenko", "The Praporshchik Kosygin", "The Marshal Lukyanov", "The Polkovnik Kosygin", "The Komkor Mikoyan", "The Chairman Voznesensky", "The Komkor Kalinin", "The Komkor Zinoviev", "The Chairman Osinsky", "The Kombrig Saburov", "The Komandarm Kalinin", "The Major Podgorny", "The Starshina Sverdlov", "The Chairman Mazurov", "The Commissar Kuznetsov", "The Starshina Yeltsin", "The Komandarm Kamenev", "The Chairman Shvernik", "The Kombrig Osinsky", "The Major Lukyanov", "The Efreitor Mazurov", "The Komandarm Zinoviev", "The General Bazhanov", "The Matrose Podgorny", "The Polkovnik Bulganin", "The Major Malenkov", "The Praporshchik Kalinin", "The Chairman Polyansky", "The Chairman Gromyko", "The Starshina Saburov", "The Polkovnik Pavlov", "The Matrose Khrushchev", "The Commissar Saburov", "The Premier Khrushchev", "The Komdiv Bazhanov", "The Commissar Podgorny", "The Major Saburov", "The Komdiv Vladimirsky", "The Polkovnik Sverdlov", "The Marshal Mazurov", "The Major Podgorny", "The Efreitor Bulganin", "The Komkor Saburov", "The Starshina Brezhnev", "The Kombrig Kuznetsov", "The Major Kalinin", "The Kombrig Brezhnev", "The Matrose Chernenko", "The Kombrig Khrushchev", "Starshina Commune", "The Komandarm Kamenev", "The Kombrig Pavlov", "The Kombrig Vladimirsky", "The Komdiv Zinoviev", "The Matrose Khrushchev", "The Chairman Pavlov", "The Commissar Lukyanov", "Polkovnik Penitentiary", "The Matrose Kosygin", "The Commissar Yeltsin", "The Efreitor Kuznetsov", "The Efreitor Gromyko", "The Kombrig Mikoyan", "The Efreitor Osinsky", "The Michman Kuznetsov", "The Kombrig Zinoviev", "The Starshina Bulganin", "The Kombrig Kamenev", "The Major Kuznetsov", "The Matrose Saburov", "The Commissar Shvernik", "The Matrose Sverdlov", "The Komkor Vladimirsky", "The Major Malenkov", "The Michman Saburov", "The Komkor Saburov", "The Michman Kosygin", "The Efreitor Kalinin", "The Komkor Kaganovich", "The Polkovnik Kamenev", "The Komandarm Lukyanov", "The Praporshchik Pavlov", "The Kombrig Bazhanov", "The Chairman Chernenko", "The Praporshchik Voznesensky", "The Komdiv Pavlov", "The Komkor Kosygin", "The Chairman Kamenev", "The Major Kuznetsov", "The Matrose Saburov", "The Commissar Shvernik", "The Commissar Vladimirsky", "The Starshina Kalinin", "The Komandarm Zinoviev", "The Cold Room", "The Komandarm Vladimirsky", "The Starshina Podgorny", "The General Andropov", "The General Bulganin", "The Commissar Bulganin", "The Major Kuznetsov", "The Komkor Beria", "The Premier Vladimirsky", "The Matrose Kalinin", "The Polkovnik Kuznetsov", "The Commissar Kosygin", "The Komkor Lukyanov", "The Komkor Kalinin", "The Komkor Bazhanov", "The Komdiv Polyansky", "The Marshal Saburov", "The Chairman Voznesensky", "The General Kalinin", "The Komkor Malenkov", "The Chairman Voroshilov", "The Komandarm Voznesensky", "The Premier Vladimirsky", "The Starshina Polyansky", "The Major Beria", "The Komkor Kuznetsov", "The Commissar Brezhnev", "The Praporshchik Kosygin", "The Michman Polyansky", "The Kombrig Kosygin", "The Michman Brezhnev", "The Premier Podgorny", "The Major Kaganovich", "The Premier Bazhanov", "The Marshal Chernenko", "The Komkor Malenkov", "The Chairman Shvernik", "The Kombrig Kuznetsov", "The Praporshchik Kosygin", "The Marshal Kalinin", "The Efreitor Mazurov", "The Komkor Yeltsin", "The Praporshchik Kalinin", "The Komdiv Kuznetsov", "The Komdiv Voroshilov", "The Matrose Osinsky", "The Chairman Bulganin", "The Efreitor Kosygin", "The Michman Vladimirsky", "The General Beria", "The Michman Gromyko", "The Commissar Kosygin", "The Premier Kuznetsov", "The General Shvernik", "The Komkor Gromyko", "The Kombrig Lukyanov", "The Kombrig Kalinin", "The Komkor Bulganin", "The Kombrig Andropov", "The Komandarm Kuznetsov", "The Major Lukyanov", "The Premier Bulganin", "The Efreitor Voznesensky", "The Praporshchik Bulganin", "The Commissar Chernenko", "The Komkor Yeltsin", "The Major Mazurov", "The Commissar Beria", "The General Lukyanov", "The Chairman Chernenko", "The Polkovnik Bazhanov", "The Marshal Saburov", "The Matrose Kuznetsov", "The Chairman Malenkov", "The Major Andropov", "The Komdiv Kalinin", "The Marshal Saburov", "The Premier Polyansky", "The Matrose Kosygin", "The General Yeltsin", "The Komandarm Yeltsin", "The Starshina Malenkov", "The Commissar Osinsky", "The Premier Kamenev", "The Komdiv Kalinin", "The General Kuznetsov", "The Chairman Malenkov", "The Michman Gromyko", "The Efreitor Bazhanov", "The Chairman Bulganin", "The Matrose Kalinin", "The Komandarm Khrushchev", "The General Beria", "The Michman Bazhanov", "The Matrose Lukyanov", "The Major Kamenev", "The Marshal Lukyanov", "The Praporshchik Pavlov", "The Chairman Pavlov", "Beria Cove",    
// Galaxy 5
"The Road to Misery", "The Caves of Terror", "Labyrinth of Misery", "The Road to Dread", "Hammer of Vengeance", "The Road to Desolation", "The Caverns of Terror", "The Caverns of Despair", "Sickle of Vengeance", "Cove of Agony", "Gateway to Despair", "Cove of Justice", "Labyrinth of Justice", "Asylum of Despair", "The Caverns of Doom", "The Caves of Doom", "Sickle of Vengeance", "The Road to Torment", "Compound of Vengeance", "The Caves of Dread", "Cove of Terror", "Compound of Misery", "Labyrinth of Terror", "The Road to Retribution", "Gateway to Desolation", "Labyrinth of Desolation", "The Road to Doom", "Asylum of Dread", "The Isle of Doom", "Compound of Vengeance", "The Caves of Dread", "Sickle of Dread", "Labyrinth of Misery", "Labyrinth of Torment", "Cove of Terror", "Labyrinth of Terror", "Gateway to Justice", "Cove of Doom", "Asylum of Torment", "Hammer of Agony", "The Caves of Torment", "Asylum of Justice", "Asylum of Misery", "The Road to Doom", "Hammer of Doom", "Sickle of Misery", "Labyrinth of Torment", "Mine of Terror", "Sickle of Retribution", "Sickle of Retribution", "The Road to Despair", "The Caves of Horror", "The Road to Desolation", "Labyrinth of Agony", "Hammer of Agony", "Compound of Dread", "Labyrinth of Torment", "Hammer of Agony", "Hammer of Misery", "Cove of Despair", "Gateway to Desolation", "The Caves of Desolation", "The Road to Retribution", "Asylum of Terror", "Labyrinth of Vengeance", "Sickle of Torment", "The Isle of Justice", "The Isle of Desolation", "Cove of Desolation", "The Caves of Vengeance", "Sickle of Agony", "Hammer of Retribution", "The Road to Retribution", "The Caverns of Misery", "Labyrinth of Vengeance", "Asylum of Vengeance", "Compound of Justice", "Mine of Agony", "Sickle of Agony", "The Caverns of Retribution", "The Caves of Doom", "Sickle of Horror", "Mine of Retribution", "Labyrinth of Doom", "Asylum of Vengeance", "Labyrinth of Agony", "The Caverns of Vengeance", "Asylum of Retribution", "The Caverns of Horror", "The Road to Doom", "Asylum of Justice", "The Road to Justice", "The Caverns of Justice", "Asylum of Agony", "Mine of Doom", "Gateway to Justice", "The Road to Torment", "The Caves of Desolation", "Road to Horror", "The Caverns of Misery", "The Isle of Misery", "Sickle of Despair", "The Caverns of Misery", "Gateway to Terror", "Gateway to Justice", "Asylum of Torment", "Compound of Terror", "The Road to Retribution", "The Caverns of Vengeance", "The Caves of Agony", "Gateway to Agony", "The Isle of Vengeance", "Mine of Doom", "Compound of Despair", "The Isle of Terror", "The Caves of Desolation", "Labyrinth of Desolation", "Compound of Justice", "The Caverns of Justice", "Road to Horror", "Asylum of Terror", "Mine of Despair", "Gateway to Vengeance", "Cove of Vengeance", "Road to Horror", "Mine of Agony", "Labyrinth of Dread", "Labyrinth of Retribution", "Hammer of Terror", "Gateway to Agony", "Compound of Doom", "The Road to Doom", "The Isle of Vengeance", "The Road to Agony", "The Caverns of Agony", "Asylum of Torment", "Compound of Desolation", "Labyrinth of Agony", "Cove of Retribution", "Gateway to Misery", "Hammer of Dread", "Labyrinth of Dread", "The Isle of Doom", "The Caverns of Torment", "The Road to Retribution", "The Caverns of Torment", "Cove of Misery", "Mine of Retribution", "Cove of Agony", "The Caves of Dread", "Gateway to Terror", "Mine of Desolation", "Labyrinth of Justice", "The Caves of Dread", "Cove of Justice", "Cove of Despair", "Mine of Horror", "Mine of Misery", "Sickle of Despair", "Compound of Agony", "Hammer of Dread", "Hammer of Vengeance", "Labyrinth of Doom", "The Road to Doom", "The Caverns of Misery", "Hammer of Desolation", "Sickle of Retribution", "Isle of Horror", "Hammer of Terror", "The Road to Doom", "The Caverns of Misery", "Hammer of Terror", "Hammer of Doom", "Compound of Terror", "The Isle of Agony", "The Road to Doom", "Hammer of Retribution", "The Isle of Agony", "Hammer of Misery", "The Caverns of Misery", "Mine of Torment", "Asylum of Retribution", "Labyrinth of Doom", "The Road to Desolation", "The Isle of Doom", "The Caves of Doom", "The Isle of Terror", "The Road to Misery", "Cove of Despair", "The Isle of Terror", "The Caverns of Despair", "Cove of Retribution", "Labyrinth of Retribution", "Labyrinth of Despair", "Compound of Vengeance", "Hammer of Despair", "The Isle of Dread", "The Isle of Despair", "Gateway to Misery", "The Isle of Torment", "Compound of Torment", "Cove of Desolation", "Hammer of Terror", "Cove of Doom", "Sickle of Justice", "Compound of Dread", "Compound of Justice", "Sickle of Dread", "The Caverns of Agony", "Compound of Dread", "The Caverns of Horror", "Sickle of Desolation", "The Road to Desolation", "The Caves of Torment", "The Road to Misery", "The Isle of Terror", "The Road to Misery", "The Caverns of Agony", "Asylum of Despair", "Compound of Justice", "Cove of Terror", "Asylum of Vengeance", "Compound of Justice", "The Isle of Despair", "The Caverns of Misery", "The Caverns of Vengeance", "The Road to Agony", "Labyrinth of Desolation", "Hammer of Retribution", "The Road to Retribution", "Asylum of Horror", "Sickle of Desolation", "The Road to Terror", "The Road to Dread", "Hammer of Despair", "The Caves of Dread", "Hammer of Despair", "The Road to Torment", "Asylum of Horror", "The Caverns of Agony", "The Isle of Doom", "Asylum of Justice", "Mine of Misery", "Sickle of Dread", "Hammer of Horror", "Gateway to Agony", "Asylum of Retribution", "Isle of Horror", "Cove of Despair", "Sickle of Dread", "Cove of Misery", "Labyrinth of Despair", "The Caves of Vengeance", "The Road to Misery", "Mine of Despair", "The Caves of Desolation", 
// Galaxy 6
"Dynamic Prodrazvyorstka", "Elegant Stakhanovite", "Captivating Sovietization", "Inspirational Apparatchik", "Merciful Bolshevik", "Unassailable Selsoviet", "Uplifting Pyatiletka", "Indomitable Naukograd", "Glorious Udarnik", "Indomitable Partmaximum", "Proletarian Uskoreniye", "Proletarian Shabashka", "Glorious Sovietization", "Infallible Lysenkoism", "Infallible Apparatchik", "Indomitable Uskoreniye", "Unassailable Udarnik", "Elegant Shturmovshchina", "Joyous Shturmovshchina", "Dynamic Uchraspred", "Unassailable Sovkhoz", "Joyous Likbez", "Illuminating Sovkhoz", "Glorious Uchraspred", "Electrifying Sharashka", "Infallible Prodnalog", "Infallible Bolshevik", "Unconquerable Likbez", "Artistic Sanatoria", "Merciful Nomenklatura", "Unconquerable Prodnalog", "Glorious Shturmovshchina", "Unassailable Khozraschyot", "Infallible Likbez", "Merciful Likbez", "Illuminating Likbez", "Merciful Lysenkoism", "Captivating Partmaximum", "Elegant Prodrazvyorstka", "Merciful Vsevobuch", "Illuminating Shabashka", "Proletarian Udarnik", "Uplifting Dekulakization", "Dynamic Prodnalog", "Glorious Yevsektsiya", "Dynamic Yevsektsiya", "Glorious Bolshevik", "Illuminating Sovkhozes", "Glorious Prodrazvyorstka", "Glorious Sharashka", "Joyous Yevsektsiya", "Infallible Sharashka", "Uplifting Prodrazvyorstka", "Unassailable Shabashka", "Dynamic Likbez", "Dynamic Udarnik", "Elegant Partmaximum", "Infallible Vsevobuch", "Glorious Kolkhoze", "The Living End", "Glorious Apparatchik", "Unassailable Udarnik", "Elegant Shturmovshchina", "Glorious Stakhanovite", "Uplifting Selsoviet", "Inspirational Sovietization", "Unconquerable Bolshevik", "Dynamic Vsevobuch", "Dynamic Kolkhoze", "Merciful Khozraschyot", "Glorious Selsoviet", "Illuminating Bolshevik", "Proletarian Sanatoria", "Uplifting Bolshevik", "Captivating Prodrazvyorstka", "Indomitable Sanatoria", "Merciful Pyatiletka", "Uplifting Sovietization", "Artistic Sovkhoz", "Dynamic Troika", "Inspirational Nomenklatura", "Proletarian Psikhushka", "Captivating Naukograd", "Dynamic Udarnik", "Infallible Troika", "Dynamic Nomenklatura", "Captivating Sanatoria", "Merciful Nomenklatura", "Glorious Nomenklatura", "Illuminating Uskoreniye", "Uplifting Sharashka", "Indomitable Troika", "Illuminating Selsoviet", "Dynamic Kulak", "Uplifting Sovkhoz", "Dynamic Udarnik", "Inspirational Uskoreniye", "Glorious Gosplan", "Uplifting Sovietization", "Inspirational Sovkhozes", "Infallible Kulak", "Electrifying Sovkhozes", "Glorious Sovietization", "Illuminating Likbez", "Merciful Sovkhoz", "Inspirational Udarnik", "Uplifting Udarnik", "Unassailable Sovietization", "Artistic Psikhushka", "Proletarian Stakhanovite", "Infallible Naukograd", "Inspirational Gosplan", "Elegant Troika", "Glorious Dekulakization", "Inspirational Sanatoria", "Dynamic Sovietization", "Uplifting Sovkhoz", "Dynamic Troika", "Illuminating Lysenkoism", "Unconquerable Partmaximum", "Merciful Kolkhoze", "Captivating Kolkhoze", "Proletarian Kolkhoze", "Unassailable Bolshevik", "Uplifting Udarnik", "Unassailable Likbez", "Electrifying Kolkhoze", "Illuminating Yevsektsiya", "Merciful Sovkhozes", "Illuminating Yevsektsiya", "Unassailable Uchraspred", "Illuminating Selsoviet", "Artistic Sovkhozes", "Uplifting Partmaximum", "Dynamic Pyatiletka", "Infallible Prodrazvyorstka", "Elegant Uskoreniye", "Unconquerable Selsoviet", "Illuminating Nomenklatura", "Electrifying Yevsektsiya", "Unconquerable Sanatoria", "Unconquerable Stakhanovite", "Electrifying Gosplan", "Illuminating Yevsektsiya", "Indomitable Khozraschyot", "Unconquerable Gosplan", "Proletarian Troika", "Captivating Sanatoria", "Indomitable Prodnalog", "Proletarian Uskoreniye", "Joyous Sovkhozes", "Infallible Sanatoria", "Uplifting Pyatiletka", "Indomitable Stakhanovite", "Electrifying Pyatiletka", "Elegant Dekulakization", "Illuminating Khozraschyot", "Elegant Uskoreniye", "Indomitable Shturmovshchina", "Unassailable Shturmovshchina", "Elegant Uskoreniye", "Unconquerable Kulak", "Elegant Nomenklatura", "Indomitable Pyatiletka", "Glorious Selsoviet", "Illuminating Bolshevik", "Glorious Gosplan", "Uplifting Kulak", "Captivating Khozraschyot", "Unassailable Yevsektsiya", "Glorious Khozraschyot", "Unconquerable Gosplan", "Indomitable Selsoviet", "Unassailable Naukograd", "Unassailable Prodrazvyorstka", "Illuminating Uskoreniye", "Dynamic Nomenklatura", "Artistic Shabashka", "Artistic Nomenklatura", "Illuminating Uchraspred", "Illuminating Uskoreniye", "Captivating Apparatchik", "Infallible Kulak", "Joyous Kulak", "Merciful Sanatoria", "Proletarian Selsoviet", "Uplifting Partmaximum", "Proletarian Likbez", "Unassailable Khozraschyot", "Inspirational Stakhanovite", "Captivating Kulak", "Unconquerable Nomenklatura", "Inspirational Pyatiletka", "Uplifting Prodnalog", "Merciful Uskoreniye", "Unassailable Selsoviet", "Artistic Sovkhozes", "Uplifting Prodnalog", "Indomitable Prodnalog", "Joyous Shabashka", "Merciful Khozraschyot", "Glorious Selsoviet", "Unassailable Troika", "Inspirational Sharashka", "Artistic Vsevobuch", "Elegant Partmaximum", "Captivating Uskoreniye", "Indomitable Prodnalog", "Joyous Apparatchik", "Indomitable Stakhanovite", "Electrifying Gosplan", "Illuminating Yevsektsiya", "Indomitable Khozraschyot", "Indomitable Apparatchik", "Infallible Psikhushka", "Elegant Selsoviet", "Merciful Bolshevik", "Unassailable Sanatoria", "Illuminating Bolshevik", "Proletarian Prodrazvyorstka", "Captivating Uchraspred", "Joyous Sanatoria", "Uplifting Vsevobuch", "Captivating Sanatoria", "Proletarian Uchraspred", "Inspirational Nomenklatura", "Merciful Sovkhozes", "Inspirational Prodrazvyorstka", "Electrifying Sovkhoz", "Indomitable Sovkhozes", "Dynamic Lysenkoism", "Merciful Uskoreniye", "Joyous Sovkhozes", "Inspirational Uskoreniye", "Electrifying Likbez", "Merciful Selsoviet", "Merciful Gosplan", "Artistic Khozraschyot", "Uskoren Rock", "Electrifying Stakhanovite", "Illuminating Likbez", "Merciful Sovkhoz", "Infallible Uchraspred", "Inspirational Kolkhoze", "Elegant Naukograd", "Electrifying Bolshevik", "Electrifying Khozraschyot", "Elegant Kolkhoze", "Dynamic Sanatoria", "Infallible Khozraschyot", "Artistic Psikhushka", "Merciful Nomenklatura", "Unassailable Selsoviet", "Elegant Sanatoria", "Electrifying Likbez", "Proletarian Partmaximum", 
// Galaxy 7
"The Caves of Despair", "Cove of Horror", "The Road to Vengeance", "Cove of Vengeance", "Compound of Retribution", "Gateway to Desolation", "The Road to Agony", "Cove of Misery", "The Caverns of Agony", "Gateway to Justice", "Cove of Vengeance", "Cove of Retribution", "The Caves of Horror", "Mine of Torment", "The Caves of Dread", "Mine of Justice", "Road to Horror", "Asylum of Desolation", "Compound of Agony", "Asylum of Dread", "Cove of Horror", "The Caverns of Agony", "Compound of Agony", "Gateway to Torment", "Compound of Retribution", "The Caves of Terror", "Labyrinth of Despair", "Hammer of Horror", "Compound of Justice", "The Road to Despair", "Cove of Desolation", "Cove of Terror", "Sickle of Doom", "Compound of Vengeance", "Cove of Misery", "Labyrinth of Despair", "The Caves of Torment", "The Caverns of Misery", "Gateway to Agony", "The Caves of Despair", "The Isle of Doom", "The Caves of Agony", "Mine of Retribution", "Compound of Misery", "Labyrinth of Terror", "The Isle of Misery", "The Road to Despair", "Labyrinth of Terror", "Gateway to Dread", "Mine of Despair", "Cove of Retribution", "The Isle of Retribution", "Gateway to Agony", "Sickle of Vengeance", "The Caves of Horror", "Sickle of Despair", "Isle of Horror", "Cove of Justice", "Sickle of Agony", "The Caverns of Doom", "Compound of Despair", "The Caverns of Desolation", "The Road to Terror", "Sickle of Misery", "Labyrinth of Torment", "Labyrinth of Desolation", "The Road to Torment", "The Isle of Terror", "Sickle of Torment", "The Caverns of Terror", "The Caves of Doom", "The Caverns of Despair", "The Caves of Agony", "Asylum of Horror", "The Road to Justice", "The Caves of Vengeance", "The Caverns of Retribution", "The Caves of Torment", "Hammer of Misery", "Mine of Vengeance", "Hammer of Dread", "The Caverns of Despair", "Sickle of Vengeance", "The Road to Torment", "Mine of Justice", "The Caves of Agony", "Gateway to Terror", "Sickle of Terror", "The Road to Despair", "The Isle of Vengeance", "Hammer of Retribution", "Cove of Justice", "Cove of Dread", "Asylum of Vengeance", "Mine of Terror", "Gateway to Retribution", "The Caverns of Dread", "Asylum of Retribution", "Labyrinth of Torment", "Compound of Torment", "Mine of Vengeance", "Gateway to Desolation", "Compound of Retribution", "Sickle of Despair", "Cove of Retribution", "The Isle of Retribution", "The Caves of Retribution", "The Caves of Vengeance", "The Isle of Terror", "Labyrinth of Torment", "The Road to Vengeance", "Gateway to Justice", "Cove of Despair", "The Road to Dread", "The Road to Desolation", "The Road to Despair", "Hammer of Agony", "Sickle of Torment", "Labyrinth of Dread", "The Road to Vengeance", "Cove of Despair", "Cove of Retribution", "The Caverns of Horror", "The Road to Justice", "Isle of Horror", "Cove of Torment", "Asylum of Doom", "The Caves of Torment", "Hammer of Horror", "Cove of Doom", "Labyrinth of Despair", "Sickle of Agony", "Isle of Horror", "Compound of Doom", "Labyrinth of Vengeance", "Cove of Vengeance", "Mine of Retribution", "Cove of Agony", "Sickle of Despair", "Gateway to Terror", "Labyrinth of Horror", "Asylum of Despair", "Sickle of Misery", "The Isle of Justice", "The Isle of Agony", "The Road to Retribution", "The Caverns of Vengeance", "Compound of Retribution", "Cove of Dread", "The Isle of Agony", "The Caves of Retribution", "The Caves of Justice", "Cove of Misery", "Road to Horror", "The Road to Terror", "Gateway to Despair", "Sickle of Agony", "Gateway to Horror", "Labyrinth of Agony", "Asylum of Horror", "Sickle of Torment", "Compound of Doom", "The Caverns of Vengeance", "Hammer of Doom", "Cove of Terror", "The Isle of Terror", "Cove of Vengeance", "Labyrinth of Despair", "Sickle of Agony", "Asylum of Misery", "Gateway to Agony", "The Caverns of Despair", "Mine of Terror", "The Road to Vengeance", "The Caverns of Horror", "Mine of Justice", "Road to Horror", "Isle of Horror", "The Caves of Desolation", "The Caverns of Misery", "The Isle of Justice", "Hammer of Dread", "The Caverns of Dread", "Compound of Justice", "Mine of Desolation", "Compound of Terror", "Compound of Terror", "Labyrinth of Doom", "The Isle of Dread", "Labyrinth of Torment", "The Caves of Despair", "Hammer of Dread", "Cove of Torment", "Hammer of Retribution", "Hammer of Desolation", "The Caverns of Doom", "Cove of Misery", "The Caves of Desolation", "Sickle of Vengeance", "The Road to Retribution", "Hammer of Torment", "Sickle of Terror", "The Caves of Doom", "The Caves of Misery", "The Isle of Retribution", "Cove of Justice", "Sickle of Doom", "Hammer of Vengeance", "The Isle of Justice", "Hammer of Terror", "Sickle of Vengeance", "Sickle of Despair", "The Caverns of Vengeance", "The Isle of Dread", "The Road to Retribution", "The Caves of Despair", "Cove of Horror", "Asylum of Horror", "Mine of Despair", "Gateway to Vengeance", "Cove of Justice", "The Isle of Desolation", "Compound of Despair", "Sickle of Dread", "Labyrinth of Misery", "The Caves of Torment", "Gateway to Vengeance", "Road to Horror", "Compound of Despair", "Cove of Desolation", "Hammer of Terror", "Gateway to Horror", "Isle of Horror", "Road to Horror", "The Caverns of Horror", "The Isle of Desolation", "Labyrinth of Horror", "Asylum of Torment", "Cove of Terror", "Gateway to Misery", "The Caverns of Desolation", "Labyrinth of Terror", "Hammer of Retribution", "Labyrinth of Misery", "Gateway to Desolation", "Hammer of Torment", "Labyrinth of Desolation", "Hammer of Torment", "Sickle of Doom", "Asylum of Justice", "Asylum of Dread", "Mine of Misery", "Labyrinth of Desolation", "Compound of Horror", "Mine of Torment", "Labyrinth of Horror", 
// Galaxy 8
"The Komandarm Kosygin", "The Matrose Beria", "The Kombrig Beria", "The Starshina Mazurov", "The Komandarm Osinsky", "The Matrose Kosygin", "The Chairman Pavlov", "The Chairman Beria", "The Polkovnik Brezhnev", "The Michman Voznesensky", "The Polkovnik Kalinin", "The Commissar Beria", "The Kombrig Kosygin", "The Polkovnik Podgorny", "The Starshina Malenkov", "The Commissar Kuznetsov", "The Premier Voznesensky", "The General Mazurov", "The Commissar Pavlov", "The Starshina Andropov", "The Marshal Kalinin", "The Praporshchik Vladimirsky", "The General Voznesensky", "The Komkor Sverdlov", "The Kombrig Yeltsin", "The Komdiv Voroshilov", "The Efreitor Andropov", "The Starshina Osinsky", "The Praporshchik Podgorny", "The Commissar Khrushchev", "The General Kuznetsov", "The Commissar Polyansky", "The Commissar Kuznetsov", "The Efreitor Osinsky", "Kuznetsov Commune", "The Starshina Kuznetsov", "The Starshina Osinsky", "The Michman Andropov", "Hanging Rock", "The Kombrig Polyansky", "The Marshal Khrushchev", "The Premier Lukyanov", "The Praporshchik Kamenev", "The Major Beria", "The Major Beria", "The Marshal Polyansky", "The Efreitor Mazurov", "The Komkor Andropov", "The Starshina Kalinin", "The Komdiv Vladimirsky", "The Marshal Kalinin", "The Efreitor Polyansky", "The Praporshchik Sverdlov", "The Michman Vladimirsky", "The Komdiv Bulganin", "The Chairman Kosygin", "The Praporshchik Voroshilov", "The Marshal Andropov", "The Premier Brezhnev", "The Polkovnik Bulganin", "The Efreitor Podgorny", "The Kombrig Osinsky", "The Polkovnik Gromyko", "The Major Brezhnev", "The Matrose Saburov", "The Efreitor Beria", "The Chairman Bazhanov", "The Michman Malenkov", "The Efreitor Brezhnev", "The Komdiv Gromyko", "The Chairman Zinoviev", "The Praporshchik Beria", "The Major Malenkov", "The Praporshchik Kalinin", "The Commissar Osinsky", "The General Kaganovich", "The Kombrig Andropov", "The Komandarm Andropov", "The Michman Beria", "The Michman Shvernik", "The Marshal Podgorny", "The Marshal Andropov", "The Matrose Khrushchev", "The Premier Mikoyan", "The Komandarm Voznesensky", "The Efreitor Mazurov", "The Komkor Yeltsin", "The Praporshchik Kalinin", "The Kombrig Mikoyan", "The Starshina Brezhnev", "The General Osinsky", "The Polkovnik Bazhanov", "The Major Mikoyan", "The Marshal Kuznetsov", "The Michman Beria", "The Michman Shvernik", "The Polkovnik Kuznetsov", "The Kombrig Mazurov", "The Kombrig Polyansky", "The Komkor Bulganin", "The Marshal Kosygin", "The Commissar Sverdlov", "The Komkor Vladimirsky", "The Komandarm Lukyanov", "The Major Brezhnev", "The Efreitor Kaganovich", "The Praporshchik Chernenko", "The Major Kosygin", "The Michman Voznesensky", "The Polkovnik Voznesensky", "The Chairman Saburov", "The Komdiv Zinoviev", "The Starshina Vladimirsky", "The Marshal Brezhnev", "The Polkovnik Osinsky", "The Chairman Yeltsin", "The Kombrig Saburov", "The Komandarm Voznesensky", "The Commissar Beria", "The Chairman Bazhanov", "The Praporshchik Voznesensky", "The Komandarm Gromyko", "The Komkor Sverdlov", "The Kombrig Pavlov", "The Kombrig Vladimirsky", "The Komdiv Zinoviev", "The Starshina Bulganin", "The General Kosygin", "The Komdiv Kamenev", "The Efreitor Kosygin", "The Michman Kaganovich", "The Komkor Shvernik", "The Michman Mikoyan", "The Commissar Shvernik", "The Commissar Kaganovich", "The Matrose Kalinin", "The Marshal Kosygin", "The Komkor Kosygin", "The Commissar Bazhanov", "The Major Kalinin", "The Premier Sverdlov", "The Polkovnik Pavlov", "The Michman Kamenev", "The Praporshchik Kalinin", "The Premier Gromyko", "The Praporshchik Beria", "The Major Sverdlov", "The Michman Khrushchev", "The Praporshchik Gromyko", "The Matrose Kosygin", "The Matrose Kuznetsov", "The Praporshchik Kosygin", "The Major Chernenko", "The Major Brezhnev", "The Efreitor Bulganin", "The Kombrig Sverdlov", "The Premier Kaganovich", "The Efreitor Kamenev", "The Premier Chernenko", "The Komkor Kuznetsov", "The Major Lukyanov", "The Premier Malenkov", "The Major Andropov", "The General Kuznetsov", "The Komkor Brezhnev", "The Komdiv Saburov", "Better Off Dead", "The Komdiv Yeltsin", "The Major Mazurov", "The Commissar Beria", "The Komdiv Malenkov", "The Commissar Kalinin", "The Polkovnik Pavlov", "The Efreitor Vladimirsky", "The Major Osinsky", "The Komkor Voznesensky", "The Efreitor Kalinin", "The Major Beria", "The Komkor Osinsky", "The Starshina Kalinin", "The Chairman Kalinin", "The Premier Zinoviev", "The Komandarm Kuznetsov", "The Matrose Voroshilov", "The Chairman Brezhnev", "The Praporshchik Kosygin", "The Efreitor Sverdlov", "The Chairman Gromyko", "The Major Voznesensky", "The Komdiv Pavlov", "The Komdiv Khrushchev", "The Matrose Osinsky", "The Matrose Mazurov", "The Marshal Gromyko", "The Polkovnik Saburov", "The Chairman Polyansky", "The Premier Osinsky", "The Komdiv Kosygin", "The Efreitor Osinsky", "The Matrose Mazurov", "The Marshal Chernenko", "The Kombrig Lukyanov", "The Premier Kuznetsov", "The Komdiv Brezhnev", "The General Malenkov", "The Efreitor Kamenev", "The Matrose Podgorny", "The Marshal Malenkov", "The Komandarm Lukyanov", "The Major Podgorny", "The Matrose Shvernik", "The Efreitor Malenkov", "The General Voznesensky", "The Marshal Khrushchev", "The General Sverdlov", "The Praporshchik Kuznetsov", "The Polkovnik Shvernik", "The Chairman Kalinin", "The General Mazurov", "The Chairman Zinoviev", "The Praporshchik Kosygin", "The Komkor Osinsky", "The Michman Malenkov", "The Matrose Pavlov", "The Major Khrushchev", "The Komkor Khrushchev", "The Commissar Bazhanov", "The Major Voznesensky", "The Komkor Chernenko", "The Premier Pavlov", "The Efreitor Osinsky", "The Starshina Zinoviev", "The Efreitor Bazhanov", "The Kombrig Voroshilov", "The Polkovnik Sverdlov", "The Polkovnik Kamenev", "The Komkor Zinoviev", "The Premier Yeltsin", "The Commissar Lukyanov", "The Polkovnik Mazurov", "The Praporshchik Pavlov", "The General Kuznetsov", "The Major Kalinin", "The Chairman Saburov", "The Chairman Kosygin", "The Praporshchik Voroshilov", "The Major Gromyko", "The Starshina Kuznetsov", "The Praporshchik Brezhnev", "The Efreitor Malenkov", "The Premier Zinoviev", "The Komkor Kuznetsov", "The Komkor Kosygin", "The Premier Kalinin", "The Chairman Chernenko", "The Major Polyansky", 
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Hammer of Pain"];

//  Name Arrays for Astromine Penal Colonies - 2nd Station in a given system to spawn. (Number of Names in Array: 2,048)
//  This uses the large counted pool method as above.
this.commiepool2 = [
// Galaxy 1
"Nonconformist's Reward", "Deserter's Regret", "Refusenik's Reckoning", "Troublemaker's Atonement", "Frozen Hell", "Nonconformist's Reckoning", "Dissenter's Tears", "Refusenik's Recompense", "Malcontent's Tears", "Deserter's End", "Dissident's Contrition", "Fiesta Star", "Deserter's Gulag", "Conspirator's Desserts", "Turncoat's End", "Conspirator's Remorse", "Imperialist's Remorse", "Wrecker's Regret", "Turncoat's Recompense", "Reactionary's Regret", "Traitor's Exile", "Turncoat's Exile", "Dissident's End", "Dissenter's Fate", "Turncoat's Anguish", "Defector's End", "Deserter's Recompense", "Reactionary's End", "Dissenter's Atonement", "Traitor's Exile", "Defector's Atonement", "Agitator's Atonement", "Defector's Regret", "Dissident's Repentance", "Troublemaker's Reckoning", "Nonconformist's End", "Troublemaker's Penitence", "Nonconformist's Fate", "Agitator's Repentance", "Defector's Reward", "Nonconformist's Reckoning", "Traitor's Fate", "Deserter's Regret", "Dissenter's Gulag", "Troublemaker's Remorse", "Dissident's Recompense", "Iconoclast's Remorse", "Conspirator's Atonement", "Deserter's Desserts", "Malcontent's Contrition", "Refusenik's End", "Imperialist's Reward", "Reactionary's Exile", "Imperialist's Contrition", "Refusenik's Remorse", "Refusenik's Recompense", "Dissenter's Atonement", "Refusenik's Repentance", "Dissenter's Reckoning", "Malcontent's End", "Dissenter's Recompense", "Imperialist's Desserts", "Justice of the Peace", "Refusenik's Gulag", "Imperialist's Recompense", "Malcontent's Regret", "Reactionary's Remorse", "Iconoclast's Fate", "Turncoat's Contrition", "Conspirator's Atonement", "Dissident's Anguish", "Nonconformist's Tears", "Dissenter's End", "Turncoat's Gulag", "Defector's Exile", "Iconoclast's Tears", "Agitator's Anguish", "Conspirator's End", "Agitator's Atonement", "Deserter's Penitence", "Deserter's Reckoning", "Troublemaker's Gulag", "Traitor's Remorse", "Refusenik's Regret", "Dissident's Anguish", "Traitor's Fate", "Defector's Reckoning", "Reactionary's Exile", "Conspirator's Gulag", "Malcontent's Contrition", "Traitor's Anguish", "Agitator's Regret", "Reactionary's Remorse", "Wrecker's Tears", "Traitor's Remorse", "Traitor's Regret", "Dissident's Reckoning", "Deserter's Regret", "Traitor's Reward", "Nonconformist's Repentance", "Defector's Atonement", "Traitor's Reckoning", "Refusenik's Reward", "Traitor's Fate", "Deserter's Regret", "Traitor's Reward", "Dissident's Penitence", "Dissenter's Penitence", "Reactionary's Tears", "Defector's Desserts", "Dissenter's Regret", "Dissident's Anguish", "Dissenter's Gulag", "Troublemaker's Tears", "Dissenter's Repentance", "Jailhouse Rock", "Dissident's Exile", "Refusenik's Remorse", "Refusenik's Regret", "Nonconformist's Regret", "Wrecker's Contrition", "Iconoclast's Gulag", "Iconoclast's Penitence", "Agitator's Penitence", "Dissenter's Desserts", "Conspirator's Exile", "Reactionary's Gulag", "Imperialist's Recompense", "Iconoclast's Remorse", "Traitor's Tears", "Troublemaker's Remorse", "Dissident's Atonement", "Imperialist's Reckoning", "Night Vale", "Malcontent's Regret", "Refusenik's Exile", "Deserter's Contrition", "Traitor's Remorse", "Refusenik's Regret", "Dissident's Anguish", "Traitor's Reward", "Dissenter's Remorse", "Dissenter's Reckoning", "Dissenter's Tears", "Reactionary's Atonement", "Troublemaker's Desserts", "Deserter's Gulag", "Deserter's Remorse", "Iconoclast's Atonement", "Dissenter's Reward", "Dissident's Penitence", "Dissident's End", "Refusenik's Desserts", "Reactionary's Desserts", "Malcontent's Anguish", "Dissident's Desserts", "Iconoclast's Desserts", "Nonconformist's End", "Breaking Point", "Refusenik's End", "Dissident's Reckoning", "Imperialist's Penitence", "Imperialist's Reckoning", "Turncoat's End", "Imperialist's Exile", "Dissenter's Contrition", "Turncoat's Exile", "Deserter's Desserts", "Troublemaker's Fate", "Agitator's End", "Malcontent's Tears", "Deepest Red", "Defector's Anguish", "Wrecker's Reward", "Defector's Exile", "Iconoclast's Gulag", "Agitator's Anguish", "Nonconformist's Regret", "Deserter's Fate", "Nonconformist's Anguish", "Reactionary's Anguish", "Deserter's Gulag", "Imperialist's Gulag", "Conspirator's Reward", "Iconoclast's Desserts", "Dissenter's End", "Defector's Remorse", "Refusenik's Tears", "Agitator's Repentance", "Agitator's Exile", "Refusenik's Regret", "Nonconformist's Regret", "Iconoclast's Repentance", "Broken Bay", "Imperialist's Penitence", "Dissident's Anguish", "Nonconformist's Remorse", "Jailhouse Rock", "Dissident's Exile", "Refusenik's Remorse", "Reactionary's Atonement", "Wrecker's Reckoning", "Conspirator's Anguish", "Reactionary's Reckoning", "Defector's Repentance", "Dissenter's Contrition", "Defector's Atonement", "Refusenik's Reckoning", "Troublemaker's Atonement", "Conspirator's Tears", "Conspirator's Fate", "Malcontent's Repentance", "Agitator's Contrition", "Malcontent's Penitence", "Imperialist's Repentance", "Agitator's Desserts", "Iconoclast's Penitence", "Refusenik's End", "Imperialist's Desserts", "Troublemaker's Tears", "Nonconformist's Contrition", "Defector's Atonement", "Reactionary's End", "Nonconformist's Regret", "Defector's Remorse", "Reactionary's Fate", "Dissident's Penitence", "Dissenter's Exile", "Wrecker's End", "Wrecker's Desserts", "Dissident's Reward", "Iconoclast's Reward", "Turncoat's Remorse", "Troublemaker's End", "Troublemaker's Reward", "Wrecker's Recompense", "Deserter's Penitence", "Deserter's Desserts", "Agitator's Tears", "Dissident's Atonement", "Deserter's Reward", "Malcontent's Repentance", "Reactionary's Recompense", "Reactionary's Remorse", "Agitator's Contrition", "Reactionary's Recompense", "Malcontent's Gulag", "Dissenter's Repentance", "Dissident's Gulag", "Dissenter's End", "Defector's Repentance", "Traitor's Remorse", "Reactionary's Atonement", "Defector's Recompense", "Dissenter's Reward", "Dissident's Penitence", 
// Galaxy 2
"Grim Mausoleum", "Ominous Workhouse", "Ominous Hovel", "Ghastly Chasm", "Diabolical Cove", "Ghastly Hovel", "Fiendish Harbour", "Frightful Quarry", "Vladmir Central", "Grisly Harbour", "Sombre Mausoleum", "Ghastly Crypt", "Grisly Chasm", "Gruesome Workhouse", "Ominous Chasm", "Sinister Cavern", "Frightful Workhouse", "Ghastly Hovel", "Sombre Quarry", "Ghastly Fortress", "Frightful Wharf", "Demonic Cove", "Demonic Abyss", "Frightful Wharf", "Sinister Antre", "Sombre Grotto", "Ominous Abyss", "Sinister Grotto", "Fiendish Antre", "Black Eagle", "Ghastly Antre", "Malevolent Hovel", "Sinister Workhouse", "Grim Mausoleum", "Haunted Cove", "Frightful Cove", "Sombre Cavern", "Frightful Crypt", "Grim Grotto", "Horrific Grotto", "Haunted Hollow", "Ghastly Grotto", "Colditz Quarry", "Malevolent Cove", "Desolate Cavern", "Gruesome Hovel", "Ominous Hollow", "Desolate Bay", "Gruesome Wharf", "Ominous Quarry", "Frightful Quarry", "Ghastly Fortress", "Fiendish Hollow", "Frightful Crypt", "Ghastly Workhouse", "Sinister Workhouse", "Grim Grotto", "Horrendous Mausoleum", "Frightful Abyss", "Ominous Grotto", "Red Moon", "Fiendish Harbour", "Sombre Wharf", "Demonic Hovel", "Gruesome Antre", "Grisly Antre", "Ghastly Cove", "Horrendous Abyss", "Gruesome Abyss", "Gruesome Crypt", "Frightful Workhouse", "Demonic Bay", "Grisly Grotto", "Ghastly Bay", "Horrendous Cove", "Gruesome Cavern", "Desolate Hovel", "Malevolent Bay", "Sombre Mausoleum", "Grim Grotto", "Horrific Cavern", "Grim Cavern", "Sombre Chasm", "Malevolent Quarry", "Grim Crypt", "Malevolent Bay", "Ominous Harbour", "Horrific Abyss", "Malevolent Antre", "Haunted Grotto", "Sombre Chasm", "Malevolent Antre", "Haunted Mausoleum", "Fiendish Cavern", "Fiendish Antre", "Malevolent Chasm", "Grisly Crypt", "Sombre Antre", "Krasnodar Wharf", "Grisly Quarry", "Demonic Chasm", "Ominous Mausoleum", "Frightful Abyss", "Desolate Crypt", "Ominous Workhouse", "Desolate Antre", "Fiendish Wharf", "Horrific Hollow", "Camp Blackthorn", "Firebrand Cove", "Grim Crypt", "Haunted Quarry", "Horrendous Chasm", "Diabolical Hollow", "Ominous Crypt", "Horrendous Crypt", "Fiendish Grotto", "Haunted Hollow", "Grim Hollow", "Malevolent Cavern", "Fiendish Hollow", "Sinister Grotto", "Fiendish Antre", "Haunted Harbour", "Grisly Quarry", "Gruesome Harbour", "Ominous Quarry", "Horrendous Chasm", "Sinister Grotto", "Horrific Harbour", "Sinister Antre", "Horrific Crypt", "Sinister Bay", "Sombre Bay", "Fiendish Bay", "Horrendous Fortress", "Ominous Wharf", "Malevolent Cove", "Fiendish Harbour", "Sinister Antre", "Horrific Workhouse", "Horrendous Crypt", "Frightful Chasm", "Desolate Mausoleum", "Frightful Abyss", "Fiendish Abyss", "Grim Cove", "Sombre Quarry", "Grisly Cavern", "Desolate Hovel", "Ghastly Chasm", "Gruesome Workhouse", "Desolate Hollow", "Haunted Chasm", "Desolate Bay", "Grisly Harbour", "Frightful Cavern", "Fiendish Cove", "Desolate Antre", "Frightful Antre", "Horrendous Hovel", "Grim Wharf", "Diabolical Abyss", "Sinister Quarry", "Ominous Antre", "Frightful Antre", "Horrific Workhouse", "Horrific Mausoleum", "Gruesome Antre", "Sinister Hollow", "Ghastly Harbour", "Sinister Fortress", "Grisly Abyss", "Ghastly Grotto", "Grim Harbour", "Malevolent Cove", "Ominous Hollow", "Fiendish Hovel", "Sombre Fortress", "Sinister Mausoleum", "Horrendous Bay", "Ghastly Quarry", "Gruesome Wharf", "Ominous Quarry", "Horrific Abyss", "Ghastly Harbour", "Diabolical Bay", "Grisly Grotto", "Karla Quarry", "Haunted Mausoleum", "Ominous Hovel", "Ghastly Chasm", "Ghastly Cavern", "Horrendous Mausoleum", "Demonic Wharf", "Malevolent Hollow", "Demonic Antre", "Frightful Fortress", "Diabolical Hollow", "Horrific Fortress", "Ominous Wharf", "Desolate Grotto", "Sinister Bay", "Sinister Antre", "Horrific Crypt", "Sinister Bay", "Frightful Harbour", "Grisly Cavern", "Grim Antre", "Horrendous Chasm", "Sinister Grotto", "Fiendish Antre", "Black Dolphin", "Demonic Chasm", "Ominous Mausoleum", "Sombre Hollow", "Ghastly Harbour", "Sinister Fortress", "Gruesome Chasm", "Sinister Harbour", "Malevolent Hollow", "Diabolical Cove", "Demonic Abyss", "Frightful Wharf", "Demonic Cove", "Demonic Abyss", "Frightful Wharf", "Frightful Quarry", "Grim Abyss", "Horrendous Antre", "Diabolical Mausoleum", "Sinister Crypt", "Desolate Hollow", "Haunted Chasm", "Ominous Wharf", "Grim Workhouse", "Gruesome Fortress", "Traitor by Deed", "Grisly Hovel", "Haunted Cavern", "Diabolical Cove", "Ghastly Cove", "Desolate Cavern", "Grisly Workhouse", "Horrendous Bay", "Haunted Crypt", "Ominous Workhouse", "Desolate Antre", "Frightful Cove", "Horrific Crypt", "Demonic Wharf", "Gruesome Mausoleum", "Sinister Workhouse", "White Swan", "Ghastly Bay", "Horrendous Antre",  
// Galaxy 3
"Krasnoyarsk Facility", "Saratov Facility", "Saratov Stockade", "Samara Stockade", "Saratov Prison", "Krasnoyarsk Facility", "Krasnodar Penitentiary", "Kazan Penitentiary", "Volgograd Institution", "Barnaul Institution", "Novosibirsk Complex", "Tyumen Penitentiary", "Chelyabinsk Facility", "Samara Jail", "Kazan Institution", "Kazan Dungeon", "Samara Jail", "Moscow Jail", "Barnaul Facility", "Voronezh Institution", "Tyumen Jail", "Izhevsk Stockade", "Krasnodar Stockade", "Tolyatti Prison", "Kazan Prison", "Voronezh Complex", "Krasnodar Complex", "Tolyatti Facility", "Samara Penitentiary", "Omsk Institution", "Voronezh Dungeon", "Chelyabinsk Complex", "Saratov Dungeon", "Krasnodar Complex", "Tyumen Penitentiary", "Tolyatti Complex", "Kazan Dungeon", "Saratov Stockade", "Izhevsk Penitentiary", "Krasnoyarsk Stockade", "Omsk Complex", "Samara Institution", "Izhevsk Penitentiary", "Novosibirsk Jail", "Tyumen Facility", "Kazan Stockade", "Tyumen Institution", "Omsk Penitentiary", "Novosibirsk Facility", "Kazan Facility", "Krasnodar Complex", "Chelyabinsk Penitentiary", "Krasnoyarsk Stockade", "Tolyatti Facility", "Kazan Stockade", "Izhevsk Prison", "Barnaul Stockade", "Saratov Prison", "Yekaterinburg Stockade", "Chelyabinsk Institution", "Tyumen Complex", "Moscow Prison", "Tyumen Institution", "Samara Institution", "Omsk Prison", "Omsk Complex", "Samara Stockade", "Novosibirsk Institution", "Krasnoyarsk Complex", "Barnaul Jail", "Krasnoyarsk Dungeon", "Yekaterinburg Jail", "Krasnodar Penitentiary", "Volgograd Institution", "Omsk Dungeon", "Novosibirsk Prison", "Yekaterinburg Dungeon", "Moscow Facility", "Chelyabinsk Complex", "Kazan Facility", "Novosibirsk Facility", "Chelyabinsk Complex", "Moscow Institution", "Krasnodar Stockade", "Tyumen Institution", "Saratov Dungeon", "Chelyabinsk Penitentiary", "Chelyabinsk Facility", "Volgograd Facility", "Tolyatti Complex", "Kazan Facility", "Krasnoyarsk Penitentiary", "Kazan Complex", "Moscow Prison", "Yekaterinburg Dungeon", "Moscow Facility", "Yekaterinburg Penitentiary", "Kazan Jail", "Omsk Stockade", "Tyumen Facility", "Kazan Institution", "Krasnodar Jail", "Yekaterinburg Prison", "Omsk Jail", "Izhevsk Jail", "Tolyatti Jail", "Yekaterinburg Dungeon", "Kazan Stockade", "Krasnoyarsk Facility", "Barnaul Complex", "Krasnoyarsk Penitentiary", "Chelyabinsk Prison", "Tyumen Facility", "Kazan Stockade", "Tyumen Institution", "Samara Institution", "Omsk Prison", "Omsk Complex", "Omsk Prison", "Samara Facility", "Izhevsk Facility", "Barnaul Dungeon", "Izhevsk Prison", "Samara Facility", "Omsk Facility", "Voronezh Institution", "Chelyabinsk Penitentiary", "Samara Complex", "Kazan Dungeon", "Chelyabinsk Prison", "Tyumen Facility", "Kazan Institution", "Volgograd Penitentiary", "Tolyatti Penitentiary", "Krasnoyarsk Prison", "Volgograd Penitentiary", "Omsk Jail", "Kazan Institution", "Yekaterinburg Jail", "Tyumen Dungeon", "Chelyabinsk Penitentiary", "Samara Complex", "Chelyabinsk Dungeon", "Krasnoyarsk Institution", "Chelyabinsk Jail", "Voronezh Jail", "Krasnoyarsk Dungeon", "Saratov Facility", "Voronezh Jail", "Yekaterinburg Penitentiary", "Voronezh Complex", "Voronezh Facility", "Chelyabinsk Dungeon", "Omsk Facility", "Volgograd Prison", "Izhevsk Penitentiary", "Krasnodar Dungeon", "Saratov Stockade", "Samara Stockade", "Krasnoyarsk Jail", "Tolyatti Penitentiary", "Volgograd Jail", "Novosibirsk Stockade", "Barnaul Institution", "Krasnodar Stockade", "Tyumen Institution", "Saratov Dungeon", "Kazan Stockade", "Tyumen Stockade", "Krasnoyarsk Jail", "Voronezh Institution", "Omsk Dungeon", "Moscow Institution", "Krasnodar Institution", "Krasnoyarsk Complex", "Samara Institution", "Izhevsk Prison", "Tolyatti Dungeon", "Barnaul Complex", "Tolyatti Institution", "Tyumen Complex", "Voronezh Institution", "Saratov Prison", "Omsk Jail", "Kazan Complex", "Novosibirsk Prison", "Kazan Complex", "Volgograd Penitentiary", "Novosibirsk Stockade", "Moscow Stockade", "Moscow Prison", "Yekaterinburg Facility", "Barnaul Prison", "Krasnoyarsk Institution", "Yekaterinburg Stockade", "Saratov Dungeon", "Tolyatti Jail", "Yekaterinburg Dungeon", "Yekaterinburg Institution", "Novosibirsk Jail", "Krasnodar Penitentiary", "Voronezh Complex", "Barnaul Jail", "Chelyabinsk Stockade", "Tolyatti Prison", "Tolyatti Dungeon", "Izhevsk Dungeon", "Krasnodar Jail", "Tyumen Facility", "Volgograd Dungeon", "Krasnodar Institution", "Novosibirsk Prison", "Saratov Dungeon", "Tolyatti Jail", "Novosibirsk Facility", "Tyumen Dungeon", "Krasnoyarsk Institution", "Volgograd Dungeon", "Voronezh Jail", "Yekaterinburg Penitentiary", "Krasnodar Prison", "Chelyabinsk Institution", "Samara Prison", "Omsk Complex", "Omsk Prison", "Omsk Complex", "Chelyabinsk Complex", "Saratov Facility", "Volgograd Facility", "Krasnoyarsk Prison", "Krasnoyarsk Stockade", "Tyumen Jail", "Izhevsk Institution", "Voronezh Dungeon", "Tolyatti Institution", "Samara Stockade", "Voronezh Complex", "Saratov Prison", "Voronezh Dungeon", "Barnaul Penitentiary", "Kazan Institution", "Krasnodar Jail", "Omsk Institution", "Barnaul Jail", "Omsk Jail", "Tolyatti Penitentiary", "Omsk Stockade", "Samara Dungeon", "Izhevsk Facility", "Novosibirsk Prison", "Saratov Complex", "Tolyatti Facility", "Chelyabinsk Prison", "Moscow Complex", "Novosibirsk Dungeon", "Omsk Stockade",  
// Galaxy 4
"Yakov's Cove", "Ivan's Quarry", "Yakov's Harbour", "Mikhail's Fortress", "Yuri's Hollow", "Kliment's Fortress", "Kliment's Fortress", "Kliment's Cavern", "The Great Dawn", "Viktor's Cavern", "Mikhail's Grotto", "Toktar's Hollow", "Dmitry's Hollow", "Nikita's Hovel", "Ivan's Quarry", "Valentin's Fortress", "Mikhail's Harbour", "Kliment's Cove", "Yuri's Grotto", "Yuri's Fortress", "Oleg's Quarry", "Mikhail's Hovel", "Anatoly's Fortress", "Vasili's Harbour", "Anatoly's Grotto", "Yakov's Quarry", "Viktor's Cavern", "Anatoly's Hollow", "Valentin's Cavern", "Viktor's Grotto", "Viktor's Fortress", "Oleg's Quarry", "Anatoly's Fortress", "Ivan's Hovel", "Dmitry's Grotto", "Nikolai's Cavern", "Andrei's Harbour", "Kliment's Hollow", "Yakov's Cove", "Kliment's Harbour", "Kliment's Hovel", "Kliment's Harbour", "Vasili's Quarry", "Oleg's Hollow", "Oleg's Cove", "Kliment's Grotto", "Dmitry's Cavern", "Anatoly's Hovel", "Aleksandr's Cove", "Vasili's Cove", "Mikhail's Fortress", "Dmitry's Cove", "Nikita's Quarry", "Oleg's Hovel", "Viktor's Cove", "Nikolai's Hovel", "Vasili's Fortress", "Anatoly's Hollow", "Ivan's Grotto", "Valentin's Grotto", "Oleg's Harbour", "Nikolai's Hollow", "Mikhail's Harbour", "Mikhail's Fortress", "Andrei's Cavern", "Aleksandr's Fortress", "Yuri's Hovel", "Nikita's Cavern", "Kliment's Grotto", "Yakov's Cavern", "Yakov's Cove", "Yakov's Grotto", "Vasili's Hovel", "Yakov's Harbour", "Aleksandr's Grotto", "Viktor's Harbour", "Valentin's Quarry", "Vasili's Cavern", "Andrei's Quarry", "Anatoly's Cavern", "Aleksandr's Hollow", "Yuri's Hovel", "Valentin's Hollow", "Nikolai's Cove", "Yuri's Grotto", "Oleg's Grotto", "Toktar's Hovel", "Aleksandr's Quarry", "Toktar's Cavern", "Toktar's Hovel", "Oleg's Hollow", "Andrei's Quarry", "Ivan's Harbour", "Nikita's Grotto", "Anatoly's Fortress", "Valentin's Cavern", "Nikita's Fortress", "Mikhail's Harbour", "Kliment's Hovel", "Vasili's Hollow", "Nikita's Hollow", "Dmitry's Hovel", "Viktor's Hovel", "Aleksandr's Grotto", "Vasili's Hollow", "Ivan's Hollow", "Oleg's Cavern", "Yuri's Fortress", "Yuri's Cove", "Ivan's Cavern", "Nikolai's Cavern", "Toktar's Hollow", "Yakov's Hollow", "Mikhail's Cavern", "Nikita's Fortress", "Nikolai's Cavern", "Anatoly's Hollow", "Anatoly's Harbour", "Aleksandr's Hovel", "Cove of Redemption", "Yuri's Harbour", "Ivan's Harbour", "Valentin's Cavern", "Ivan's Hollow", "Andrei's Cavern", "Viktor's Harbour", "Toktar's Grotto", "Ivan's Hollow", "Oleg's Fortress", "Yakov's Fortress", "Anatoly's Grotto", "Mikhail's Harbour", "Yakov's Hollow", "Ivan's Hovel", "Kliment's Harbour", "Vasili's Quarry", "Nikita's Cavern", "Kliment's Cavern", "Yakov's Cavern", "Oleg's Cavern", "Vasili's Harbour", "Toktar's Grotto", "Dmitry's Quarry", "Oleg's Hovel", "Nikita's Cavern", "Nikita's Hollow", "Viktor's Quarry", "Nikita's Cavern", "Viktor's Hovel", "Yakov's Harbour", "Yuri's Grotto", "Andrei's Hovel", "Dmitry's Harbour", "Anatoly's Harbour", "Aleksandr's Grotto", "Yuri's Fortress", "Dmitry's Cavern", "Dmitry's Cove", "Toktar's Cavern", "Andrei's Cavern", "Nikolai's Harbour", "Oleg's Fortress", "Nikolai's Quarry", "Vasili's Cove", "Mikhail's Hollow", "Vasili's Harbour", "Mikhail's Cove", "Ivan's Quarry", "Mikhail's Fortress", "Yuri's Fortress", "Andrei's Quarry", "Andrei's Fortress", "Dmitry's Fortress", "Yuri's Fortress", "Toktar's Hollow", "Andrei's Cove", "Aleksandr's Quarry", "Anatoly's Cavern", "Yuri's Fortress", "Mikhail's Grotto", "Anatoly's Fortress", "Yuri's Hollow", "Aleksandr's Hovel", "Dmitry's Harbour", "Aleksandr's Grotto", "Yuri's Fortress", "Yuri's Cove", "Vasili's Cove", "Nikita's Fortress", "Mikhail's Quarry", "Yakov's Harbour", "Mikhail's Cavern", "Valentin's Harbour", "Toktar's Quarry", "Kliment's Fortress", "Viktor's Hovel", "Andrei's Hovel", "Mikhail's Hollow", "Andrei's Fortress", "Anatoly's Harbour", "Aleksandr's Hovel", "Valentin's Fortress", "Anatoly's Grotto", "Valentin's Hollow", "Viktor's Quarry", "Oleg's Fortress", "Valentin's Grotto", "Kliment's Cavern", "Aleksandr's Hovel", "Nikita's Cavern", "Nikita's Fortress", "Ivan's Hollow", "Anatoly's Grotto", "Mikhail's Harbour", "Ivan's Grotto", "Oleg's Harbour", "Kliment's Fortress", "Nikita's Hollow", "Andrei's Fortress", "Ivan's Cove", "Aleksandr's Cavern", "Nikita's Cove", "Oleg's Hovel", "Valentin's Hollow", "Andrei's Fortress", "Yakov's Fortress", "Aleksandr's Hollow", "Viktor's Cavern", "Anatoly's Hollow", "Dmitry's Hollow", "Mikhail's Cavern", "Yakov's Cove", "Ivan's Harbour", "Kliment's Cove", "Cove of Redemption", "Mikhail's Cove", "Mikhail's Cove", "Viktor's Fortress", "Andrei's Quarry", "Ivan's Harbour", "Aleksandr's Hollow", "Viktor's Grotto", "Valentin's Hovel", "Dmitry's Cavern", "Toktar's Hovel", "Andrei's Hollow", "Viktor's Cavern", "Yakov's Fortress", "Kliment's Cove", "Dmitry's Harbour", "Andrei's Cove", "Yuri's Quarry", "Viktor's Cove", "Mikhail's Hollow", "Viktor's Quarry", "Yuri's Harbour",    
// Galaxy 5
"Penza Borstal", "Astrakhan Reformatory", "Irkutsk Reformatory", "Irkutsk Asylum", "Jimenez Gaol", "Kirov Guardhouse", "Novokuznetsk Borstal", "Khabarovsk Reformatory", "Vladivostok Bridewell", "Irkutsk Guardhouse", "Makhachkala Borstal", "Yaroslavl Guardhouse", "Khabarovsk Reformatory", "Balashikha Asylum", "Jimenez Bridewell", "Astrakhan Reformatory", "Penza Gaol", "Kemerovo Roundhouse", "Lipetsk Asylum", "Astrakhan Bridewell", "Makhachkala Guardhouse", "Astrakhan Reformatory", "Kirov Asylum", "Yaroslavl Borstal", "Lipetsk Roundhouse", "Balashikha Asylum", "Kirov Bridewell", "Irkutsk Borstal", "Lipetsk Guardhouse", "Makhachkala Gaol", "Makhachkala Guardhouse", "Irkutsk Bridewell", "Khabarovsk Roundhouse", "Lipetsk Asylum", "Irkutsk Reformatory", "Astrakhan Asylum", "Astrakhan Asylum", "Jimenez Borstal", "Irkutsk Bridewell", "Yaroslavl Gaol", "Orenburg Guardhouse", "Yaroslavl Borstal", "Yaroslavl Asylum", "Yaroslavl Bridewell", "Vladivostok Bridewell", "Lipetsk Asylum", "Ulyanovsk Borstal", "Orenburg Gaol", "Balor Rock", "Kemerovo Gaol", "Vladivostok Roundhouse", "Kemerovo Guardhouse", "Orenburg Asylum", "Kirov Gaol", "Kemerovo Asylum", "Kirov Reformatory", "Kemerovo Gaol", "Kirov Bridewell", "Vladivostok Bridewell", "Vladivostok Borstal", "Lipetsk Reformatory", "Irkutsk Reformatory", "Ulyanovsk Gaol", "Irkutsk Asylum", "Penza Roundhouse", "Khabarovsk Bridewell", "Yaroslavl Bridewell", "Orenburg Guardhouse", "Irkutsk Bridewell", "Khabarovsk Bridewell", "Vladivostok Bridewell", "Novokuznetsk Roundhouse", "Lipetsk Bridewell", "Astrakhan Bridewell", "Yaroslavl Bridewell", "Ryazan Bridewell", "Jimenez Asylum", "Yaroslavl Guardhouse", "Khabarovsk Reformatory", "Balashikha Roundhouse", "Lipetsk Gaol", "Irkutsk Asylum", "Kirov Roundhouse", "Novokuznetsk Borstal", "Orenburg Borstal", "Astrakhan Roundhouse", "Kemerovo Gaol", "Lipetsk Bridewell", "Ryazan Gaol", "Ryazan Roundhouse", "Ulyanovsk Guardhouse", "Vladivostok Roundhouse", "Khabarovsk Roundhouse", "Kirov Borstal", "Kirov Guardhouse", "Kirov Bridewell", "Lipetsk Roundhouse", "Novokuznetsk Asylum", "Culicoid Rock", "Orenburg Guardhouse", "Ulyanovsk Bridewell", "Kirov Bridewell", "Ulyanovsk Gaol", "Makhachkala Reformatory", "Yaroslavl Bridewell", "Yaroslavl Gaol", "Makhachkala Guardhouse", "Balashikha Bridewell", "Kemerovo Guardhouse", "Balashikha Bridewell", "Ulyanovsk Bridewell", "Makhachkala Borstal", "Vladivostok Bridewell", "Kirov Reformatory", "Ryazan Borstal", "Novokuznetsk Reformatory", "Jimenez Reformatory", "Balashikha Borstal", "Malcanthet Rock", "Irkutsk Roundhouse", "Orenburg Bridewell", "Irkutsk Gaol", "Jimenez Gaol", "Orenburg Roundhouse", "Penza Reformatory", "Lipetsk Borstal", "Novokuznetsk Asylum", "Makhachkala Gaol", "Ulyanovsk Bridewell", "Lipetsk Roundhouse", "Orenburg Asylum", "Ryazan Asylum", "Kirov Guardhouse", "Orenburg Asylum", "Kemerovo Asylum", "Nabassu Rock", "Yaroslavl Reformatory", "Kemerovo Borstal", "Ryazan Gaol", "Kirov Roundhouse", "Jimenez Guardhouse", "Penza Roundhouse", "Ulyanovsk Reformatory", "Jimenez Reformatory", "Astrakhan Borstal", "Kemerovo Guardhouse", "Lipetsk Bridewell", "Ulyanovsk Roundhouse", "Vladivostok Guardhouse", "Ulyanovsk Reformatory", "Balashikha Asylum", "Novokuznetsk Asylum", "Yaroslavl Asylum", "Ulyanovsk Gaol", "Kirov Gaol", "Ulyanovsk Asylum", "Vladivostok Borstal", "Irkutsk Borstal", "Vladivostok Roundhouse", "Novokuznetsk Reformatory", "Irkutsk Gaol", "Balashikha Reformatory", "Novokuznetsk Borstal", "Vladivostok Roundhouse", "Yaroslavl Reformatory", "Vladivostok Roundhouse", "Kirov Guardhouse", "Orenburg Guardhouse", "Jimenez Roundhouse", "Jimenez Bridewell", "Jimenez Borstal", "Novokuznetsk Gaol", "Lipetsk Guardhouse", "Orenburg Roundhouse", "Vladivostok Reformatory", "Makhachkala Borstal", "Yaroslavl Gaol", "Yaroslavl Guardhouse", "Khabarovsk Borstal", "Kirov Asylum", "Balashikha Roundhouse", "Penza Gaol", "Jimenez Roundhouse", "Vladivostok Roundhouse", "Kemerovo Borstal", "Kemerovo Guardhouse", "Ulyanovsk Bridewell", "Penza Asylum", "Perez Gaol", "Yaroslavl Asylum", "Irkutsk Asylum", "Perez Guardhouse", "Astrakhan Reformatory", "Kirov Reformatory", "Vladivostok Roundhouse", "Khabarovsk Reformatory", "Kirov Borstal", "Kirov Roundhouse", "Khabarovsk Roundhouse", "Makhachkala Bridewell", "Ulyanovsk Reformatory", "Ulyanovsk Bridewell", "Lilitu Rock", "Balashikha Reformatory", "Perez Bridewell", "Ulyanovsk Guardhouse", "Astrakhan Reformatory", "Kirov Guardhouse", "Makhachkala Gaol", "Kemerovo Borstal", "Orenburg Reformatory", "Novokuznetsk Roundhouse", "Astrakhan Roundhouse", "Vladivostok Reformatory", "Jimenez Asylum", "Astrakhan Asylum", "Novokuznetsk Reformatory", "Makhachkala Gaol", "Lipetsk Asylum", "Khabarovsk Roundhouse", "Balashikha Asylum", "Astrakhan Asylum", "Ulyanovsk Roundhouse", "Kemerovo Reformatory", "Astrakhan Bridewell", "Kemerovo Bridewell", "Penza Reformatory", "Kirov Roundhouse", "Zariel Rock", "Khabarovsk Roundhouse", "Lipetsk Gaol", "Balashikha Roundhouse", "Irkutsk Asylum", "Kirov Asylum", "Balashikha Roundhouse", "Lipetsk Gaol", "Fierna Rock", "Vladivostok Reformatory", "Penza Reformatory", "Balashikha Roundhouse", "Balashikha Guardhouse", "Penza Asylum", "Yaroslavl Asylum", "Ulyanovsk Bridewell", "Lipetsk Guardhouse", "Zheaton Gaol", "Balashikha Guardhouse", "Orenburg Reformatory", "Khabarovsk Guardhouse", "Ryazan Reformatory", "Kemerovo Asylum", "Khabarovsk Bridewell", "Orenburg Asylum", "Irkutsk Reformatory", "Ulyanovsk Roundhouse", "Yaroslavl Reformatory", 
// Galaxy 6
"Refusenik's Gulag", "Turncoat's Anguish", "Iconoclast's Desserts", "Nonconformist's End", "Iconoclast's Contrition", "Defector's Fate", "Imperialist's Tears", "Dissident's Gulag", "Dissenter's Anguish", "Troublemaker's Atonement", "Imperialist's Contrition", "Dissenter's Exile", "Wrecker's Anguish", "Reactionary's Contrition", "Dissenter's Reckoning", "Reactionary's Desserts", "Reactionary's Reckoning", "Wrecker's Penitence", "Malcontent's Atonement", "Defector's Regret", "Dissident's Repentance", "Defector's Penitence", "Agitator's Penitence", "Dissident's Repentance", "Iconoclast's Recompense", "Conspirator's Remorse", "Imperialist's Tears", "Turncoat's Contrition", "Dissident's Regret", "Agitator's Recompense", "Turncoat's Recompense", "Dissenter's Fate", "Wrecker's Gulag", "Agitator's Anguish", "Traitor's Atonement", "Traitor's Contrition", "Imperialist's Repentance", "Troublemaker's Anguish", "Refusenik's Exile", "Turncoat's Penitence", "Wrecker's Repentance", "Dissident's Recompense", "Wrecker's Contrition", "Defector's Fate", "Turncoat's Remorse", "Troublemaker's End", "Refusenik's Exile", "Imperialist's Repentance", "Troublemaker's Anguish", "Nonconformist's Regret", "Wrecker's Exile", "Troublemaker's Contrition", "Wrecker's Remorse", "Dissenter's Contrition", "Deserter's Repentance", "Agitator's Reckoning", "Imperialist's Reward", "Reactionary's Exile", "Imperialist's Repentance", "Reactionary's Gulag", "Turncoat's Anguish", "Defector's Anguish", "Troublemaker's Fate", "Wrecker's Recompense", "Dissident's Repentance", "Troublemaker's Anguish", "Reactionary's Repentance", "Agitator's Contrition", "Reactionary's Regret", "Dissenter's Penitence", "Malcontent's Gulag", "Nonconformist's Contrition", "Iconoclast's Regret", "Deserter's Atonement", "Troublemaker's Exile", "Malcontent's Atonement", "Wrecker's Reckoning", "Dissenter's Recompense", "Dissident's Anguish", "Traitor's Reward", "Nonconformist's Repentance", "Dissident's Tears", "Imperialist's Gulag", "Dissident's Fate", "Refusenik's Atonement", "Troublemaker's Desserts", "Deserter's Tears", "Turncoat's Repentance", "Reactionary's Gulag", "Conspirator's Exile", "Refusenik's Remorse", "Refusenik's Recompense", "Malcontent's Tears", "Deserter's End", "Dissenter's Fate", "Turncoat's Reckoning", "Troublemaker's Fate", "Troublemaker's Regret", "Iconoclast's Anguish", "Malcontent's Remorse", "Wrecker's Tears", "Dissenter's Contrition", "Iconoclast's Recompense", "Nonconformist's Gulag", "Troublemaker's Remorse", "Imperialist's Regret", "Reactionary's End", "Dissenter's Recompense", "Dissident's Anguish", "Nonconformist's Remorse", "Dissident's Gulag", "Dissenter's Anguish", "Agitator's Recompense", "Defector's Recompense", "Dissenter's Fate", "Defector's Reckoning", "Malcontent's Remorse", "Defector's Desserts", "Refusenik's Penitence", "Turncoat's Penitence", "Defector's Tears", "Troublemaker's Regret", "Defector's End", "Iconoclast's Anguish", "Agitator's Gulag", "Conspirator's Penitence", "Traitor's Contrition", "Conspirator's Fate", "Wrecker's Fate", "Wrecker's Recompense", "Imperialist's Contrition", "Reactionary's Fate", "Nonconformist's Repentance", "Turncoat's Exile", "Turncoat's Reward", "Refusenik's Atonement", "Malcontent's Gulag", "Dissident's Atonement", "Imperialist's Reckoning", "Imperialist's Penitence", "Dissident's End", "Reactionary's Anguish", "Turncoat's Tears", "Defector's Penitence", "Malcontent's Recompense", "Wrecker's Reckoning", "Conspirator's Reckoning", "Conspirator's Contrition", "Iconoclast's Regret", "Turncoat's Regret", "Conspirator's Remorse", "Deserter's Contrition", "Traitor's Repentance", "Jailhouse Rock", "Dissident's Penitence", "Conspirator's Regret", "Wrecker's Exile", "Troublemaker's Contrition", "Wrecker's Remorse", "Conspirator's Penitence", "Refusenik's Remorse", "Malcontent's Penitence", "Conspirator's Gulag", "Refusenik's Recompense", "Malcontent's Gulag", "Dissident's Recompense", "Iconoclast's Repentance", "Imperialist's End", "Dissenter's Fate", "Defector's Desserts", "Traitor's Atonement", "Agitator's Reward", "Wrecker's Atonement", "Nonconformist's Gulag", "Agitator's Repentance", "Iconoclast's Gulag", "Agitator's Anguish", "Dissident's Reckoning", "Conspirator's Contrition", "Troublemaker's Reckoning", "Dissident's Desserts", "Defector's Reckoning", "Troublemaker's Fate", "Malcontent's Reckoning", "Turncoat's Remorse", "Malcontent's Reward", "Agitator's End", "Refusenik's Exile", "Deserter's Contrition", "Dissenter's Contrition", "Deserter's Exile", "Dissident's End", "Refusenik's Reckoning", "Malcontent's Anguish", "Conspirator's Anguish", "Reactionary's Reckoning", "Troublemaker's Atonement", "Imperialist's Exile", "Conspirator's Recompense", "Turncoat's Gulag", "Turncoat's Repentance", "Dissenter's Contrition", "Turncoat's Penitence", "Wrecker's Repentance", "Imperialist's Regret", "Reactionary's End", "Dissenter's Recompense", "Imperialist's Desserts", "Wrecker's Fate", "Iconoclast's Penitence", "Troublemaker's Exile", "Malcontent's Atonement", "Wrecker's Reckoning", "Nonconformist's End", "Troublemaker's Penitence", "Refusenik's End", "Turncoat's Gulag", "Deserter's Repentance", "Reactionary's Fate", "Dissenter's Remorse", "Dissenter's Anguish", "Agitator's Recompense", "Iconoclast's End", "Turncoat's Regret", "Conspirator's Repentance", "Defector's Penitence", "Iconoclast's Tears", "Malcontent's Desserts", "Troublemaker's Regret", "Wrecker's Desserts", "Dissident's Reward", "Troublemaker's Tears", "Nonconformist's Contrition", "Turncoat's Penitence", "Defector's Tears", "Malcontent's Reckoning", "Turncoat's Remorse", "Malcontent's Reward", "Malcontent's Reckoning", "Iconoclast's Exile", "Iconoclast's Gulag", "Troublemaker's End", "Reactionary's Contrition", "Traitor's Anguish", "Wrecker's Exile", "Agitator's Penitence", "Conspirator's Tears", "Conspirator's Reward", "Wrecker's Fate", "Iconoclast's Exile", "Wrecker's Remorse", "Nonconformist's Exile", "Malcontent's Fate", "Traitor's Tears", "Malcontent's Contrition", "Reactionary's Recompense",  
// Galaxy 7
"Grim Abyss", "Horrendous Antre", "Diabolical Crypt", "Horrendous Bay", "Grisly Harbour", "Horrific Hovel", "Horrific Crypt", "Diabolical Quarry", "Fiendish Crypt", "Sinister Bay", "Sinister Quarry", "Desolate Harbour", "Malevolent Hovel", "Frightful Antre", "Ominous Antre", "Sinister Cove", "Demonic Abyss", "Sombre Bay", "Fiendish Abyss", "Grim Cove", "Horrific Abyss", "Ghastly Harbour", "Demonic Chasm", "Ominous Grotto", "Diabolical Antre", "Frightful Cavern", "Fiendish Cove", "Horrendous Workhouse", "Horrendous Crypt", "Sombre Fortress", "Sombre Workhouse", "Sinister Abyss", "Sombre Bay", "Fiendish Abyss", "Desolate Mausoleum", "Horrific Grotto", "Haunted Fortress", "Ghastly Mausoleum", "Grisly Chasm", "Diabolical Hovel", "Malevolent Workhouse", "Sinister Crypt", "Haunted Cavern", "Gruesome Hovel", "Haunted Cavern", "Gruesome Cove", "Ghastly Hovel", "Fiendish Harbour", "Demonic Hovel", "Malevolent Workhouse", "Frightful Hovel", "Sinister Chasm", "Desolate Crypt", "Horrific Grotto", "Malevolent Grotto", "Ominous Workhouse", "Ominous Hovel", "Malevolent Bay", "Ominous Harbour", "Haunted Mausoleum", "Horrific Grotto", "Grim Fortress", "Gruesome Hovel", "Grim Crypt", "Grisly Chasm", "Gruesome Workhouse", "Ominous Chasm", "Fiendish Hovel", "Sombre Fortress", "Sinister Mausoleum", "Horrific Harbour", "Horrific Abyss", "Malevolent Antre", "Grim Workhouse", "Gruesome Cavern", "Grim Antre", "Horrendous Chasm", "Sinister Cavern", "Sinister Grotto", "Sombre Cove", "Ominous Cove", "Demonic Workhouse", "Ghastly Hovel", "Horrific Wharf", "Fiendish Bay", "Desolate Mausoleum", "Horrendous Crypt", "Horrific Mausoleum", "Diabolical Quarry", "Fiendish Crypt", "Diabolical Harbour", "Ominous Antre", "Sinister Hovel", "Gruesome Antre", "Diabolical Bay", "Diabolical Workhouse", "Horrendous Abyss", "Demonic Fortress", "Haunted Cove", "Demonic Crypt", "Ominous Abyss", "Frightful Mausoleum", "Desolate Chasm", "Ominous Harbour", "Horrific Chasm", "Diabolical Hollow", "Horrendous Cavern", "Ghastly Mausoleum", "Ghastly Bay", "Horrendous Antre", "Grisly Cavern", "Haunted Hovel", "Demonic Crypt", "Desolate Fortress", "Grim Fortress", "Diabolical Cove", "Grisly Antre", "Ghastly Cove", "Ominous Hollow", "Horrendous Harbour", "Sombre Wharf", "Sombre Wharf", "Sinister Antre", "Horrific Workhouse", "Horrendous Workhouse", "Horrific Mausoleum", "Gruesome Antre", "Demonic Chasm", "Horrendous Cavern", "Desolate Abyss", "Demonic Hollow", "Ominous Grotto", "Grisly Workhouse", "Fiendish Quarry", "Diabolical Workhouse", "Desolate Fortress", "Ghastly Mausoleum", "Gruesome Fortress", "Ominous Mausoleum", "Sinister Bay", "Demonic Antre", "Frightful Fortress", "Demonic Cavern", "Ghastly Wharf", "Horrific Hovel", "Haunted Quarry", "Ominous Fortress", "Grim Fortress", "Diabolical Antre", "Frightful Fortress", "Sinister Mausoleum", "Horrific Harbour", "Frightful Quarry", "Desolate Quarry", "Horrific Abyss", "Grisly Wharf", "Ominous Quarry", "Horrific Chasm", "Demonic Fortress", "Ghastly Bay", "Ominous Harbour", "Haunted Crypt", "Haunted Antre", "Sombre Harbour", "Grisly Cavern", "Haunted Antre", "Horrendous Chasm", "Demonic Fortress", "Malevolent Quarry", "Grisly Quarry", "Gruesome Wharf", "Desolate Wharf", "Gruesome Wharf", "Grim Chasm", "Grim Fortress", "Diabolical Cove", "Demonic Bay", "Demonic Cove", "Demonic Abyss", "Sinister Quarry", "Desolate Quarry", "Fiendish Bay", "Desolate Mausoleum", "Fiendish Fortress", "Horrific Antre", "Diabolical Crypt", "Horrific Harbour", "Frightful Quarry", "Grim Bay", "Fiendish Workhouse", "Frightful Chasm", "Desolate Mausoleum", "Horrific Mausoleum", "Grisly Hovel", "Horrendous Bay", "Malevolent Cove", "Horrific Bay", "Desolate Mausoleum", "Sombre Hollow", "Ghastly Wharf", "Sombre Grotto", "Horrendous Wharf", "Grim Workhouse", "Gruesome Cavern", "Wolfe Quarry", "Grim Crypt", "Malevolent Bay", "Horrendous Antre", "Demonic Crypt", "Desolate Hollow", "Horrendous Quarry", "Fiendish Bay", "Desolate Crypt", "Desolate Cove", "Demonic Workhouse", "Ghastly Hovel", "Fiendish Quarry", "Grisly Cavern", "Horrendous Grotto", "Diabolical Quarry", "Horrendous Cove", "Grisly Hollow", "Frightful Bay", "Sinister Quarry", "Brown Owl", "Ghastly Quarry", "Diabolical Bay", "Grisly Grotto", "Grim Quarry", "Haunted Mausoleum", "Desolate Cove", "Diabolical Mausoleum", "Frightful Hovel", "Demonic Bay", "Grisly Grotto", "Ghastly Bay", "Haunted Bay", "Frightful Grotto", "Fiendish Antre", "Ghastly Fortress", "Sombre Chasm", "Malevolent Antre", "Malevolent Hovel", "Horrific Wharf", "Ominous Cavern", "Ghastly Mausoleum", "Grim Quarry", "Haunted Grotto", "Fiendish Cavern", "Ominous Abyss", "Sinister Cavern", "Frightful Crypt", "Haunted Fortress", "Ghastly Crypt", "Sinister Crypt", "Haunted Cavern", 
// Galaxy 8
"Manya's Smile", "Manya's Chasm", "Katerina's Drift", "Manya's Crypt", "Ekaterina's Smile", "Elena's Drift", "Katina's Smile", "Tatiana's Bluff", "Tanya's Gambit", "Galina's Bay", "Lizabeta's Wharf", "Katina's Drift", "Katerina's Bay", "Katerina's Crypt", "Tanya's Smile", "Marisha's Bay", "Lizabeta's Gambit", "Marisha's Smile", "Tatiana's Chasm", "Nikolina's Bay", "Marisha's Drift", "Nikolina's Bluff", "Sophia's Chasm", "Tanya's Drift", "Galina's Crypt", "Tanya's Chasm", "Sophia's Crypt", "Galina's Crypt", "Sophia's Drift", "Miriam's Smile", "Zasha's Wharf", "Miriam's Chasm", "Sophia's Drift", "Tanya's Chasm", "Manya's Gambit", "Tanya's Drift", "Sophia's Chasm", "Nina's Chasm", "Nikolina's Drift", "Nina's Gambit", "Katerina's Wharf", "Marisha's Bay", "Natasha's Bluff", "Katerina's Crypt", "Tanya's Chasm", "Elena's Bluff", "Elena's Bay", "Katina's Bluff", "Tatiana's Smile", "Katina's Bluff", "Natasha's Crypt", "Katerina's Bluff", "Galina's Smile", "Sophia's Wharf", "Nikolina's Gambit", "Manya's Crypt", "Sophia's Smile", "Katerina's Bluff", "Natasha's Crypt", "Katina's Bay", "Zasha's Gambit", "Elena's Bluff", "Katerina's Bay", "Galina's Bluff", "Nina's Crypt", "Zasha's Drift", "Tatiana's Wharf", "Galina's Chasm", "Lizabeta's Drift", "Natasha's Gambit", "Tanya's Smile", "Marisha's Bay", "Natasha's Bluff", "Lizabeta's Bluff", "Manya's Smile", "Manya's Chasm", "Zasha's Crypt", "Zasha's Drift", "Ekaterina's Chasm", "Tatiana's Bluff", "Manya's Crypt", "Elena's Chasm", "Tatiana's Bluff", "Ekaterina's Bluff", "Lizabeta's Gambit", "Natasha's Bluff", "Katerina's Gambit", "Galina's Crypt", "Katerina's Wharf", "Manya's Smile", "Marisha's Bay", "Galina's Smile", "Ekaterina's Bay", "Marisha's Bay", "Galina's Chasm", "Elena's Chasm", "Sophia's Bay", "Miriam's Wharf", "Manya's Bluff", "Tatiana's Crypt", "Ekaterina's Chasm", "Manya's Bluff", "Tatiana's Crypt", "Nikolina's Bluff", "Ekaterina's Chasm", "Lizabeta's Smile", "Galina's Chasm", "Elena's Smile", "Nina's Smile", "Katerina's Bay", "Katina's Bluff", "Marisha's Wharf", "Sophia's Bluff", "Tatiana's Crypt", "Katerina's Chasm", "Tatiana's Wharf", "Lizabeta's Gambit", "Sophia's Crypt", "Lizabeta's Bluff", "Tanya's Wharf", "Manya's Drift", "Miriam's Smile", "Galina's Chasm", "Tatiana's Wharf", "Ekaterina's Bluff", "Katerina's Bay", "Elena's Drift", "Manya's Crypt", "Katerina's Chasm", "Marisha's Drift", "Katerina's Chasm", "Ekaterina's Bay", "Tatiana's Chasm", "Galina's Wharf", "Sophia's Chasm", "Tatiana's Bluff", "Tanya's Gambit", "Nina's Gambit", "Tanya's Chasm", "Sophia's Crypt", "Elena's Chasm", "Ekaterina's Smile", "Nina's Chasm", "Zasha's Bay", "Katerina's Bay", "Manya's Chasm", "Nina's Chasm", "Manya's Gambit", "Tanya's Drift", "Lizabeta's Bluff", "Tanya's Wharf", "Ekaterina's Bluff", "Sophia's Drift", "Miriam's Smile", "Natasha's Drift", "Marisha's Wharf", "Tatiana's Drift", "Nina's Wharf", "Nina's Smile", "Katina's Chasm", "Manya's Bluff", "Manya's Crypt", "Sophia's Chasm", "Zasha's Crypt", "Tatiana's Wharf", "Nikolina's Gambit", "Natasha's Bluff", "Ekaterina's Chasm", "Nina's Chasm", "Zasha's Bay", "Katina's Gambit", "Zasha's Bay", "Ekaterina's Wharf", "Miriam's Bluff", "Galina's Bluff", "Zasha's Drift", "Sophia's Chasm", "Natasha's Chasm", "Zasha's Wharf", "Marisha's Crypt", "Tatiana's Bay", "Miriam's Bluff", "Lizabeta's Wharf", "Lizabeta's Bluff", "Marisha's Bluff", "Nina's Wharf", "Zasha's Chasm", "Miriam's Wharf", "Tanya's Gambit", "Galina's Wharf", "Tanya's Bay", "Zasha's Wharf", "Nina's Bay", "Zasha's Chasm", "Tatiana's Chasm", "Nikolina's Bay", "Natasha's Smile", "Nikolina's Crypt", "Lizabeta's Smile", "Tatiana's Bluff", "Sophia's Bluff", "Elena's Wharf", "Marisha's Wharf", "Ekaterina's Bluff", "Ekaterina's Bluff", "Ekaterina's Drift", "Zasha's Smile", "Marisha's Bay", "Nikolina's Crypt", "Tatiana's Crypt", "Galina's Drift", "Katerina's Bluff", "Lizabeta's Chasm", "Elena's Chasm", "Zasha's Gambit", "Katina's Bay", "Natasha's Smile", "Katerina's Smile", "Tanya's Crypt", "Marisha's Wharf", "Elena's Bay", "Tatiana's Chasm", "Miriam's Crypt", "Marisha's Wharf", "Galina's Smile", "Marisha's Drift", "Ekaterina's Smile", "Ekaterina's Gambit", "Elena's Chasm", "Tanya's Crypt", "Tanya's Drift", "Galina's Crypt", "Katerina's Bluff", "Katina's Smile", "Natasha's Chasm", "Manya's Gambit", "Marisha's Bluff", "Tanya's Gambit", "Natasha's Chasm", "Zasha's Bay", "Elena's Bay", "Tatiana's Chasm", "Elena's Bluff", "Galina's Smile", "Marisha's Crypt", "Marisha's Bluff", "Miriam's Smile", "Nikolina's Crypt", "Elena's Bluff", "Elena's Bay", "Lizabeta's Bay", "Manya's Drift", "Lizabeta's Wharf", "Elena's Crypt", "Marisha's Chasm", "Galina's Wharf",    
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Sickle of Sorrow"];

//  Name Arrays for Astromine Penal Colonies - 3rd Station in a given system to spawn. (Number of Names in Array: 2,048)
//  This uses the large counted pool method as above.
this.commiepool3 = [
// Galaxy 1
"Daemon's Song", "Reaper's Bargain", "Red October", "Portmeirion Village", "Red November", "Reaper's Reflection", "Devil's Rock", "Devil's Island", "Portmeirion Village", "Devil's Delve", "Devil's Pact", "Reaper's Banner", "Bleak Bay", "Reaper's Reflection", "Reaper's Image", "Red Diamond", "Reaper's Banner", "Reaper's Bargain", "Reaper's Bargain", "Reaper's Dance", "Devil's Delve", "Foe Hammer", "Devil's Parlour", "Black November", "Daemon's Lair", "Reaper's Reflection", "Red Army", "Reaper's Banner", "Devil's Parlour", "Red November", "Devil's Island", "Devil's Delve", "Red Flame", "May Day", "Reaper's Call", "Reaper's Image", "Devil's Visage", "Devil's Delve", "Red Flame", "Reaper's Summons", "The Red Flag", "Reaper's Icon", "Daemon's Gate", "Devil's Visage", "Daemon's Rancour", "Reaper's Banner", "Devil's Pact", "Reaper's Bargain", "Reaper's Bargain", "Reaper's Bargain", "Red November", "Reaper's Reflection", "Devil's Rock", "The Red Flag", "Devil's Run", "Devil's Rock", "Devil's Rock", "Devil's Rock", "Daemon's Song", "Devil's Pact", "Devil's Parlour", "Reaper's Rock", "Red Pact", "The People'sRed Pact Flame", "Reaper's Dance", "Reaper's Banner", "Red Devil", "Devil's Pact", "Reaper's Bargain", "Daemon's Stone", "Devil's Rock", "Daemon's Song", "Devil's Pact", "Devil's Parlour", "Black September", "Red Devil", "Red Devil", "Red Flame", "Daemon's Crag", "Devil's Rock", "Red Army", "Reaper's Banner", "Reaper's Bargain", "Reaper's Bargain", "Reaper's Dance", "Devil's Delve", "Red Flame", "Black September", "Daemon's Lair", "Daemon's Gate", "Red Diamond", "Devil's Pit", "Daemon's Crag", "Daemon's Song", "Devil's Parlour", "Devil's Pit", "Reaper's Summons", "Red Army", "Daemon's Rancour", "Devil's Pit", "Reaper's Dance", "Devil's Delve", "Devil's Pact", "Daemon's Rancour", "Reaper's Banner", "Red Devil", "Devil's Pact", "Daemon's Rancour", "Reaper's Banner", "Devil's Pact", "Devil's Parlour", "Red Pact", "Reaper's Reflection", "The Red Flag", "Reaper's Icon", "Reaper's Reflection", "Reaper's Call", "Daemon's Burrow", "Devil's Pact", "Reaper's Bargain", "Reaper's Dance", "Reaper's Icon", "Daemon's Crag", "Daemon's Burrow", "Daemon's Lair", "Reaper's Reflection", "Red Army", "Red October", "Red Army", "Daemon's Rancour", "Devil's Pit", "Daemon's Crag", "Devil's Rock", "Devil's Island", "Reaper's Icon", "Reaper's Summons", "Reaper's Icon", "Reaper's Summons", "Portmeirion Village", "Red Rock", "Daemon's Burrow", "Devil's Parlour", "The Black Spot", "Reaper's Reflection", "Reaper's Image", "Devil's Pact", "Daemon's Rancour", "Reaper's Banner", "Devil's Parlour", "Bleak Rock", "Red Devil", "Reaper's Dance", "Red October", "Red Diamond", "Reaper's Banner", "Red Devil", "Reaper's Dance", "Reaper's Banner", "Reaper's Bargain", "Daemon's Stone", "Daemon's Rancour", "Reaper's Banner", "Devil's Parlour", "Daemon's Gate", "Devil's Island", "Devil's Run", "Devil's Rock", "Red Army", "Portmeirion Village", "Red October", "Daemon's Song", "Reaper's Bargain", "Daemon's Rancour", "Devil's Delve", "Daemon's Lair", "Reaper's Call", "Daemon's Burrow", "Daemon's Lair", "Reaper's Call", "Reaper's Image", "Reaper's Summons", "Daemon's Song", "Devil's Pact", "Devil's Pit", "Devil's Pact", "Devil's Parlour", "Black Rock", "Red Flame", "Daemon's Crag", "Reaper's Image", "Red Diamond", "Reaper's Bargain", "Daemon's Stone", "Red Army", "Reaper's Banner", "Devil's Pit", "Reaper's Summons", "Portmeirion Village", "Devil's Delve", "Red Flame", "Red November", "Reaper's Reflection", "Reaper's Call", "Red Diamond", "Reaper's Bargain", "Reaper's Dance", "Reaper's Icon", "Daemon's Lair", "Reaper's Reflection", "The Red Flag", "Devil's Run", "Daemon's Burrow", "Red Devil", "Red Flame", "Reaper's Dance", "Red November", "Reaper's Reflection", "Devil's Rock", "Daemon's Song", "Devil's Pact", "Reaper's Bargain", "Daemon's Stone", "Red Army", "Portmeirion Village", "Devil's Delve", "Devil's Pact", "Reaper's Bargain", "Reaper's Bargain", "Red November", "Red Army", "Daemon's Stone", "Devil's Run", "Reaper's Reflection", "The Red Flag", "Devil's Run", "Daemon's Lair", "Daemon's Lair", "Devil's Island", "Devil's Run", "Daemon's Burrow", "Devil's Parlour", "Bleak Bay", "Red Flame", "Daemon's Crag", "Devil's Rock", "Red Army", "Reaper's Banner", "Devil's Pit", "Daemon's Crag", "Devil's Run", "Reaper's Image", "Devil's Visage", "The Red Flag", "The Red Flag", "The Red Flag", "Reaper's Icon",    
// Galaxy 2
"Volgograd Prison", "Saratov Complex", "Omsk Dungeon", "Yekaterinburg Jail", "Tyumen Dungeon", "Samara Jail", "Saratov Stockade", "Barnaul Facility", "Novosibirsk Stockade", "Volgograd Penitentiary", "Novosibirsk Institution", "Tolyatti Facility", "Barnaul Complex", "Moscow Dungeon", "Omsk Stockade", "Krasnodar Stockade", "Chelyabinsk Stockade", "Voronezh Dungeon", "Omsk Prison", "Samara Dungeon", "Barnaul Complex", "Krasnoyarsk Penitentiary", "Chelyabinsk Stockade", "Samara Prison", "Kazan Penitentiary", "Chelyabinsk Facility", "Tyumen Prison", "Yekaterinburg Prison", "Voronezh Dungeon", "Samara Institution", "Tyumen Complex", "Yekaterinburg Jail", "Chelyabinsk Dungeon", "Izhevsk Facility", "Barnaul Dungeon", "Saratov Jail", "Tolyatti Complex", "Novosibirsk Prison", "Tolyatti Penitentiary", "Moscow Penitentiary", "Kazan Complex", "Krasnoyarsk Complex", "Tolyatti Institution", "Voronezh Dungeon", "Moscow Facility", "Volgograd Prison", "Chelyabinsk Institution", "Kazan Facility", "Novosibirsk Dungeon", "Krasnoyarsk Penitentiary", "Kazan Institution", "Moscow Stockade", "Izhevsk Institution", "Volgograd Complex", "Yekaterinburg Institution", "Krasnodar Facility", "Voronezh Penitentiary", "Tyumen Prison", "Kazan Penitentiary", "Tyumen Facility", "Yekaterinburg Complex", "Krasnoyarsk Complex", "Barnaul Jail", "Krasnoyarsk Dungeon", "Omsk Stockade", "Novosibirsk Institution", "Krasnoyarsk Institution", "Chelyabinsk Jail", "Krasnoyarsk Prison", "Yekaterinburg Dungeon", "Tyumen Penitentiary", "Chelyabinsk Facility", "Kazan Institution", "Novosibirsk Prison", "Chelyabinsk Stockade", "Moscow Dungeon", "Moscow Jail", "Barnaul Facility", "Voronezh Complex", "Volgograd Dungeon", "Volgograd Dungeon", "Omsk Stockade", "Samara Facility", "Tyumen Prison", "Moscow Dungeon", "Samara Complex", "Novosibirsk Penitentiary", "Samara Penitentiary", "Krasnoyarsk Prison", "Izhevsk Complex", "Izhevsk Penitentiary", "Krasnodar Facility", "Krasnoyarsk Prison", "Omsk Complex", "Chelyabinsk Complex", "Volgograd Penitentiary", "Barnaul Dungeon", "Kazan Jail", "Samara Complex", "Chelyabinsk Complex", "Voronezh Stockade", "Voronezh Prison", "Kazan Institution", "Novosibirsk Penitentiary", "Omsk Jail", "Tyumen Prison", "Kazan Penitentiary", "Tolyatti Dungeon", "Voronezh Institution", "Krasnodar Institution", "Moscow Stockade", "Omsk Complex", "Izhevsk Penitentiary", "Moscow Penitentiary", "Chelyabinsk Stockade", "Barnaul Facility", "Voronezh Institution", "Tolyatti Facility", "Omsk Facility", "Novosibirsk Prison", "Samara Penitentiary", "Volgograd Jail", "Voronezh Institution", "Yekaterinburg Institution", "Krasnoyarsk Stockade", "Samara Facility", "Tolyatti Jail", "Voronezh Penitentiary", "Tolyatti Prison", "Chelyabinsk Facility", "Yekaterinburg Complex", "Barnaul Institution", "Krasnodar Institution", "Omsk Dungeon", "Kazan Facility", "Kazan Stockade", "Krasnoyarsk Jail", "Tyumen Prison", "Novosibirsk Institution", "Tolyatti Facility", "Tyumen Prison", "Krasnodar Prison", "Izhevsk Jail", "Tolyatti Penitentiary", "Barnaul Stockade", "Tolyatti Facility", "Saratov Stockade", "Krasnoyarsk Jail", "Omsk Jail", "Yekaterinburg Dungeon", "Krasnodar Institution", "Voronezh Stockade", "Moscow Prison", "Volgograd Penitentiary", "Izhevsk Facility", "Barnaul Dungeon", "Saratov Facility", "Kazan Institution", "Volgograd Penitentiary", "Moscow Complex", "Krasnoyarsk Jail", "Chelyabinsk Prison", "Saratov Penitentiary", "Krasnodar Prison", "Barnaul Facility", "Kazan Jail", "Voronezh Penitentiary", "Chelyabinsk Stockade", "Voronezh Dungeon", "Voronezh Jail", "Yekaterinburg Penitentiary", "Saratov Jail", "Izhevsk Stockade", "Volgograd Complex", "Yekaterinburg Institution", "Krasnoyarsk Institution", "Novosibirsk Complex", "Kazan Prison", "Krasnodar Prison", "Omsk Jail", "Chelyabinsk Stockade", "Voronezh Complex", "Krasnodar Institution", "Novosibirsk Penitentiary", "Moscow Complex", "Yekaterinburg Institution", "Moscow Prison", "Moscow Prison", "Moscow Prison", "Novosibirsk Jail", "Volgograd Institution", "Tyumen Penitentiary", "Tolyatti Dungeon", "Barnaul Complex", "Moscow Jail", "Barnaul Dungeon", "Izhevsk Prison", "Omsk Complex", "Tyumen Institution", "Samara Stockade", "Voronezh Dungeon", "Omsk Stockade", "Kazan Penitentiary", "Kazan Penitentiary", "Yekaterinburg Prison", "Tyumen Stockade", "Volgograd Institution", "Voronezh Stockade", "Barnaul Institution", "Chelyabinsk Jail", "Moscow Penitentiary", "Saratov Complex", "Izhevsk Facility", "Krasnoyarsk Complex", "Voronezh Jail", "Moscow Complex", "Voronezh Facility", "Saratov Jail", "Voronezh Jail", "Moscow Complex", "Volgograd Complex", "Kazan Prison", "Moscow Complex", "Novosibirsk Complex", "Saratov Stockade", "Tyumen Institution", "Tyumen Complex", "Volgograd Penitentiary", "Voronezh Complex", "Moscow Facility", "Saratov Facility", "Barnaul Penitentiary", "Chelyabinsk Stockade", "Tolyatti Stockade", "Voronezh Dungeon", "Izhevsk Stockade", "Tyumen Penitentiary", "Chelyabinsk Facility", "Yekaterinburg Dungeon", "Krasnodar Institution", "Voronezh Prison", "Chelyabinsk Stockade", "Omsk Penitentiary", "Voronezh Penitentiary", "Kazan Complex", "Moscow Stockade", "Moscow Penitentiary", "Samara Prison", "Yekaterinburg Stockade", "Tolyatti Stockade", "Krasnodar Stockade", "Volgograd Jail", "Krasnodar Penitentiary", "Yekaterinburg Stockade", "Kazan Dungeon", "Omsk Dungeon", 
// Galaxy 3
"Dmitry's Grotto", "Valentin's Hollow", "Viktor's Quarry", "Nikita's Grotto", "Oleg's Quarry", "Dmitry's Hovel", "Viktor's Cove", "Ivan's Cavern", "Vasili's Hovel", "Oleg's Hovel", "Ivan's Cavern", "Vasili's Hovel", "Oleg's Grotto", "Toktar's Hovel", "Oleg's Harbour", "Kliment's Fortress", "Nikolai's Fortress", "Nikolai's Cavern", "Andrei's Quarry", "Yakov's Grotto", "Valentin's Harbour", "Ivan's Hovel", "Nikolai's Harbour", "Toktar's Grotto", "Ivan's Hollow", "Aleksandr's Fortress", "Toktar's Harbour", "Nikolai's Hollow", "Ivan's Hollow", "Anatoly's Grotto", "Yakov's Quarry", "Nikolai's Hollow", "Mikhail's Cove", "Nikolai's Hollow", "Toktar's Grotto", "Ivan's Fortress", "Ivan's Fortress", "Yakov's Cove", "Ivan's Quarry", "Yakov's Harbour", "Oleg's Hovel", "Yakov's Harbour", "Andrei's Cove", "Nikolai's Hovel", "Oleg's Hovel", "Viktor's Cove", "Valentin's Hollow", "Kliment's Cove", "Mikhail's Fortress", "Andrei's Fortress", "Nikita's Hovel", "Yakov's Grotto", "Nikolai's Cavern", "Toktar's Hollow", "Oleg's Cove", "Yuri's Harbour", "Dmitry's Hovel", "Andrei's Harbour", "Ivan's Harbour", "Nikita's Cavern", "Vasili's Hovel", "Andrei's Grotto", "Yuri's Fortress", "Oleg's Quarry", "Ivan's Harbour", "Ivan's Grotto", "Aleksandr's Quarry", "Oleg's Fortress", "Valentin's Grotto", "Andrei's Harbour", "Mikhail's Quarry", "Anatoly's Quarry", "Ivan's Harbour", "Nikolai's Cove", "Yakov's Harbour", "Andrei's Cove", "Aleksandr's Quarry", "Andrei's Fortress", "Kliment's Cove", "Mikhail's Fortress", "Valentin's Harbour", "Ivan's Grotto", "Dmitry's Cavern", "Valentin's Hollow", "Nikolai's Cove", "Andrei's Grotto", "Toktar's Cove", "Anatoly's Cavern", "Vasili's Hollow", "Nikita's Harbour", "Vasili's Quarry", "Vasili's Cove", "Dmitry's Quarry", "Yuri's Grotto", "Nikolai's Harbour", "Oleg's Fortress", "Nikolai's Quarry", "Yakov's Harbour", "Anatoly's Quarry", "Yakov's Hovel", "Toktar's Fortress", "Viktor's Harbour", "Anatoly's Cavern", "Yuri's Fortress", "Mikhail's Cavern", "Vasili's Hovel", "Toktar's Cove", "Dmitry's Grotto", "Nikolai's Grotto", "Valentin's Hovel", "Nikita's Cove", "Nikolai's Harbour", "Yuri's Hollow", "Viktor's Grotto", "Kliment's Harbour", "Viktor's Quarry", "Kliment's Hovel", "Oleg's Hovel", "Ivan's Fortress", "Ivan's Hollow", "Aleksandr's Hollow", "Viktor's Grotto", "Nikolai's Harbour", "Yuri's Hollow", "Aleksandr's Hovel", "Andrei's Hovel", "Ivan's Cavern", "Oleg's Quarry", "Oleg's Fortress", "Dmitry's Hollow", "Valentin's Cavern", "Nikita's Fortress", "Mikhail's Harbour", "Mikhail's Cavern", "Nikita's Hollow", "Andrei's Cavern", "Vasili's Harbour", "Anatoly's Cavern", "Toktar's Hovel", "Yuri's Quarry", "Vasili's Quarry", "Viktor's Cove", "Yakov's Quarry", "Kliment's Hollow", "Andrei's Cavern", "Viktor's Harbour", "Yakov's Cove", "Valentin's Hovel", "Oleg's Harbour", "Nikolai's Hollow", "Oleg's Fortress", "Nikolai's Quarry", "Ivan's Grotto", "Anatoly's Fortress", "Kliment's Cove", "Aleksandr's Grotto", "Nikolai's Harbour", "Vasili's Quarry", "Ivan's Cavern", "Viktor's Grotto", "Yuri's Cavern", "Valentin's Grotto", "Oleg's Harbour", "Viktor's Cavern", "Andrei's Harbour", "Mikhail's Quarry", "Dmitry's Hollow", "Valentin's Cavern", "Nikolai's Fortress", "Ivan's Fortress", "Nikita's Harbour", "Kliment's Cove", "Toktar's Quarry", "Valentin's Hovel", "Oleg's Hollow", "Oleg's Quarry", "Dmitry's Hovel", "Yakov's Cavern", "Anatoly's Hovel", "Vasili's Cove", "Valentin's Hollow", "Oleg's Cavern", "Viktor's Hollow", "Valentin's Quarry", "Dmitry's Hollow", "Vasili's Quarry", "Ivan's Grotto", "Toktar's Fortress", "Aleksandr's Fortress", "Toktar's Hollow", "Ivan's Hovel", "Yakov's Cavern", "Ivan's Fortress", "Toktar's Hovel", "Aleksandr's Quarry", "Viktor's Cove", "Dmitry's Quarry", "Viktor's Cavern", "Yakov's Fortress", "Vasili's Harbour", "Mikhail's Quarry", "Yuri's Grotto", "Vasili's Harbour", "Yuri's Harbour", "Ivan's Harbour", "Viktor's Quarry", "Yuri's Harbour", "Anatoly's Cavern", "Oleg's Grotto", "Mikhail's Harbour", "Dmitry's Fortress", "Aleksandr's Fortress", "Andrei's Harbour", "Kliment's Hollow", "Oleg's Fortress", "Kliment's Quarry", "Valentin's Hollow", "Aleksandr's Fortress", "Yuri's Cove", "Viktor's Cove", "Ivan's Grotto", "Valentin's Hovel", "Ivan's Quarry", "Valentin's Fortress", "Aleksandr's Hollow", "Yuri's Hovel", "Nikita's Cavern", "Yuri's Cove", "Nikolai's Hovel", "Oleg's Hovel", "Dmitry's Quarry", "Aleksandr's Grotto", "Yuri's Cavern", "Nikolai's Quarry", "Nikita's Grotto", "Mikhail's Grotto", "Oleg's Harbour", "Mikhail's Quarry", "Viktor's Cavern", "Anatoly's Hollow", "Anatoly's Harbour", "Aleksandr's Hovel", "Cove of Redemption", "Anatoly's Cavern", "Yakov's Quarry", "Nikita's Quarry", "Valentin's Fortress", "Andrei's Cavern", "Kliment's Quarry", "Kliment's Cove", "Valentin's Hollow", "Nikolai's Cove", "Dmitry's Harbour", "Toktar's Quarry", "Vasili's Cavern", "Ivan's Hovel", 
// Galaxy 4
"Grisly Harbour", "Frightful Cavern", "Fiendish Cove", "Grim Bay", "Horrific Hovel", "Ominous Hovel", "Haunted Harbour", "Grisly Harbour", "Fiendish Crypt", "Sinister Bay", "Demonic Cove", "Gruesome Harbour", "Horrendous Hovel", "Haunted Quarry", "Desolate Cavern", "Diabolical Quarry", "Frightful Cavern", "Sinister Grotto", "Fiendish Antre", "Grisly Cavern", "Grim Antre", "Horrific Abyss", "Ghastly Harbour", "Sombre Grotto", "Horrific Quarry", "Sinister Cove", "Frightful Fortress", "Sinister Mausoleum", "Horrific Harbour", "Fiendish Bay", "Desolate Mausoleum", "Horrendous Crypt", "Fiendish Cavern", "Ominous Bay", "Diabolical Abyss", "Gruesome Workhouse", "Horrendous Bay", "Grisly Wharf", "Horrendous Cove", "Grim Wharf", "Demonic Chasm", "Ominous Mausoleum", "Frightful Chasm", "Grim Cove", "Horrendous Abyss", "Ghastly Harbour", "Frightful Cavern", "Sombre Cove", "Fiendish Grotto", "Haunted Fortress", "Gruesome Hovel", "Haunted Cavern", "Demonic Harbour", "Grim Abyss", "Ominous Harbour", "Ominous Cavern", "Gruesome Cove", "Ghastly Cove", "Grim Crypt", "Ghastly Abyss", "Desolate Wharf", "Gruesome Wharf", "Haunted Bay", "Demonic Fortress", "Grim Antre", "Haunted Grotto", "Frightful Abyss", "Fiendish Chasm", "Grisly Bay", "Desolate Wharf", "Ghastly Quarry", "Diabolical Bay", "Grisly Mausoleum", "Gruesome Fortress", "Haunted Cove", "Fiendish Wharf", "Fiendish Abyss", "Haunted Workhouse", "Grim Harbour", "Ghastly Antre", "Grisly Quarry", "Frightful Fortress", "Demonic Cavern", "Ghastly Bay", "Horrific Hovel", "Horrific Mausoleum", "Gruesome Cove", "Grim Crypt", "Malevolent Wharf", "Demonic Chasm", "Fiendish Chasm", "Diabolical Chasm", "Sinister Harbour", "Grim Abyss", "Horrendous Quarry", "Sinister Antre", "Fiendish Mausoleum", "Grisly Hovel", "Desolate Hollow", "Ominous Wharf", "Grim Hovel", "Sombre Antre", "Haunted Harbour", "Grim Workhouse", "Gruesome Cavern", "Malevolent Harbour", "Diabolical Abyss", "Demonic Cove", "Gruesome Harbour", "Horrific Workhouse", "Horrific Crypt", "Frightful Abyss", "Horrific Fortress", "Ominous Wharf", "Grim Hovel", "Sinister Hovel", "Demonic Bay", "Sinister Antre", "Fiendish Mausoleum", "Grim Grotto", "Horrific Grotto", "Grisly Hovel", "Horrific Wharf", "Fiendish Bay", "Ominous Cavern", "Grim Cavern", "Frightful Bay", "Frightful Wharf", "Diabolical Workhouse", "Haunted Cavern", "Frightful Abyss", "Horrific Hollow", "Demonic Cavern", "Diabolical Fortress", "Desolate Workhouse", "Grim Harbour", "Grisly Quarry", "Sinister Hollow", "Grim Antre", "Haunted Grotto", "Sombre Hollow", "Diabolical Hollow", "Horrendous Grotto", "Grisly Hovel", "Ominous Chasm", "Sombre Crypt", "Ghastly Workhouse", "Frightful Hovel", "Demonic Wharf", "Ghastly Cavern", "Horrendous Mausoleum", "Sinister Abyss", "Sombre Wharf", "Sombre Bay", "Sombre Wharf", "Frightful Harbour", "Ghastly Fortress", "Frightful Abyss", "Horrendous Fortress", "Desolate Abyss", "Fiendish Workhouse", "Demonic Bay", "Grisly Mausoleum", "Gruesome Hollow", "Fiendish Chasm", "Diabolical Hollow", "Ominous Crypt", "Fiendish Cavern", "Horrific Harbour", "Horrific Chasm", "Diabolical Chasm", "Frightful Harbour", "Ghastly Fortress", "Frightful Wharf", "Demonic Cove", "Diabolical Harbour", "Horrendous Antre", "Sinister Cove", "Fiendish Mausoleum", "Gruesome Cove", "Ghastly Cove", "Horrendous Abyss", "Diabolical Chasm", "Fiendish Chasm", "Ghastly Harbour", "Diabolical Bay", "Gruesome Workhouse", "Horrific Wharf", "Horrific Abyss", "Malevolent Antre", "Ominous Fortress", "Grim Fortress", "Sinister Harbour", "Malevolent Hollow", "Gruesome Workhouse", "Horrendous Bay", "Ghastly Antre", "Ghastly Cove", "Desolate Cavern", "Gruesome Hovel", "Grim Mausoleum", "Ominous Workhouse", "Haunted Quarry", "Grim Workhouse", "Grisly Chasm", "Grisly Crypt", "Frightful Hovel", "Sombre Fortress", "Frightful Crypt", "Grim Cavern", "Sinister Wharf", "Demonic Hovel", "Gruesome Harbour", "Ominous Quarry", "Horrific Abyss", "Ghastly Harbour", "Sinister Hollow", "Desolate Workhouse", "Grim Wharf", "Demonic Chasm", "Ominous Grotto", "Diabolical Quarry", "Horrendous Hovel", "Desolate Cove", "Sinister Hovel", "Grisly Antre", "Grisly Quarry", "Diabolical Bay", "Grisly Grotto", "Grim Quarry", "Malevolent Hovel", "Frightful Hovel", "Sinister Abyss", "Fiendish Chasm", "Grisly Bay", "Grim Abyss", "Ominous Harbour", "Horrific Chasm", "Diabolical Chasm", "Fiendish Chasm", "Ghastly Harbour", "Sinister Fortress", "Gruesome Chasm", "Sinister Harbour", "Grim Bay", "Sombre Crypt", "Malevolent Mausoleum", "Ghastly Bay", "Desolate Bay", "Diabolical Chasm", "Sombre Abyss", "Desolate Mausoleum", "Frightful Chasm", "Grim Antre", "Ominous Fortress", "Haunted Chasm", 
// Galaxy 5
"Tanya's Smile", "Zasha's Wharf", "Nina's Bay", "Marisha's Crypt", "Elena's Gambit", "Lizabeta's Drift", "Marisha's Bluff", "Tanya's Crypt", "Manya's Wharf", "Elena's Bay", "Tatiana's Smile", "Elena's Drift", "Manya's Crypt", "Sophia's Smile", "Lizabeta's Bay", "Nina's Smile", "Nikolina's Crypt", "Ekaterina's Crypt", "Lizabeta's Bluff", "Ekaterina's Chasm", "Tatiana's Wharf", "Galina's Chasm", "Katerina's Chasm", "Marisha's Drift", "Lizabeta's Wharf", "Nina's Smile", "Ekaterina's Bay", "Ekaterina's Chasm", "Marisha's Drift", "Galina's Drift", "Nikolina's Chasm", "Galina's Chasm", "Sophia's Smile", "Lizabeta's Bay", "Tatiana's Bluff", "Miriam's Smile", "Natasha's Bluff", "Galina's Crypt", "Manya's Gambit", "Tanya's Drift", "Lizabeta's Bluff", "Miriam's Bluff", "Zasha's Smile", "Miriam's Bay", "Sophia's Wharf", "Nikolina's Gambit", "Zasha's Bay", "Sophia's Wharf", "Marisha's Wharf", "Katina's Chasm", "Sophia's Bay", "Manya's Smile", "Elena's Drift", "Tanya's Gambit", "Zasha's Crypt", "Miriam's Drift", "Katerina's Gambit", "Lizabeta's Crypt", "Elena's Wharf", "Natasha's Crypt", "Galina's Bay", "Elena's Drift", "Katerina's Wharf", "Marisha's Wharf", "Katina's Chasm", "Tatiana's Bluff", "Miriam's Smile", "Natasha's Drift", "Manya's Smile", "Ekaterina's Crypt", "Nina's Wharf", "Lizabeta's Wharf", "Katerina's Crypt", "Miriam's Bay", "Katerina's Smile", "Zasha's Crypt", "Tanya's Wharf", "Galina's Smile", "Miriam's Gambit", "Ekaterina's Crypt", "Natasha's Wharf", "Nikolina's Wharf", "Katerina's Gambit", "Katina's Gambit", "Katina's Crypt", "Manya's Gambit", "Zasha's Crypt", "Natasha's Chasm", "Miriam's Bay", "Tatiana's Drift", "Lizabeta's Wharf", "Katina's Bluff", "Lizabeta's Chasm", "Nikolina's Crypt", "Katina's Bay", "Nikolina's Bay", "Zasha's Gambit", "Lizabeta's Smile", "Manya's Drift", "Katina's Drift", "Lizabeta's Chasm", "Miriam's Wharf", "Nina's Bay", "Sophia's Bay", "Tatiana's Smile", "Katerina's Drift", "Katerina's Bay", "Katina's Wharf", "Elena's Drift", "Manya's Crypt", "Katerina's Gambit", "Nina's Bluff", "Manya's Smile", "Katerina's Drift", "Ekaterina's Drift", "Sophia's Bluff", "Lizabeta's Gambit", "Miriam's Smile", "Natasha's Bluff", "Ekaterina's Chasm", "Miriam's Gambit", "Nikolina's Chasm", "Nina's Bluff", "Katina's Bluff", "Nina's Gambit", "Manya's Gambit", "Nina's Chasm", "Natasha's Wharf", "Nikolina's Bluff", "Katerina's Crypt", "Lizabeta's Bluff", "Katerina's Crypt", "Miriam's Bay", "Katina's Chasm", "Ekaterina's Bay", "Miriam's Wharf", "Tatiana's Bluff", "Manya's Drift", "Nina's Wharf", "Natasha's Smile", "Ekaterina's Wharf", "Nikolina's Gambit", "Tanya's Smile", "Tatiana's Chasm", "Katerina's Bluff", "Lizabeta's Chasm", "Galina's Gambit", "Tanya's Chasm", "Katina's Wharf", "Manya's Chasm", "Nikolina's Bay", "Miriam's Gambit", "Nikolina's Smile", "Galina's Chasm", "Sophia's Bay", "Miriam's Wharf", "Marisha's Gambit", "Zasha's Drift", "Manya's Bay", "Manya's Smile", "Sophia's Crypt", "Lizabeta's Drift", "Tanya's Bluff", "Marisha's Gambit", "Marisha's Bluff", "Miriam's Chasm", "Katerina's Drift", "Katina's Smile", "Marisha's Crypt", "Tatiana's Wharf", "Nina's Drift", "Tatiana's Bay", "Manya's Chasm", "Miriam's Crypt", "Tanya's Wharf", "Tanya's Crypt", "Tatiana's Wharf", "Katina's Chasm", "Nikolina's Drift", "Lizabeta's Chasm", "Lizabeta's Crypt", "Elena's Bluff", "Lizabeta's Gambit", "Manya's Gambit", "Natasha's Chasm", "Nina's Bluff", "Elena's Gambit", "Nikolina's Drift", "Galina's Bay", "Lizabeta's Wharf", "Katerina's Crypt", "Miriam's Bay", "Sophia's Wharf", "Nikolina's Gambit", "Marisha's Smile", "Marisha's Smile", "Tanya's Bay", "Katerina's Bay", "Katina's Wharf", "Elena's Drift", "Elena's Wharf", "Tanya's Wharf", "Katina's Chasm", "Manya's Wharf", "Elena's Bay", "Sophia's Gambit", "Tatiana's Wharf", "Lizabeta's Gambit", "Sophia's Crypt", "Lizabeta's Drift", "Tanya's Wharf", "Ekaterina's Wharf", "Natasha's Crypt", "Elena's Wharf", "Marisha's Wharf", "Galina's Chasm", "Ekaterina's Bay", "Ekaterina's Gambit", "Galina's Gambit", "Lizabeta's Drift", "Marisha's Wharf", "Tatiana's Drift", "Nikolina's Bluff", "Elena's Crypt", "Miriam's Smile", "Nina's Drift", "Miriam's Drift", "Marisha's Wharf", "Manya's Bluff", "Ekaterina's Drift", "Zasha's Smile", "Katina's Gambit", "Natasha's Wharf", "Zasha's Gambit", "Elena's Bluff", "Zasha's Drift", "Tanya's Bluff", "Natasha's Bay", "Marisha's Crypt", "Katerina's Gambit", "Galina's Gambit", "Nikolina's Drift", "Miriam's Drift", "Elena's Gambit", "Nina's Bluff", "Katerina's Gambit", "Katina's Crypt", "Zasha's Smile", "Miriam's Bluff", "Elena's Gambit", "Galina's Crypt", "Manya's Crypt", "Katerina's Chasm", "Zasha's Crypt", "Tatiana's Wharf", "Elena's Bay",  
// Galaxy 6
"Avelina's Parlour", "Avelina's Rancour", "Avdotya's Reflection", "Raisa's Stone", "Karolina's Lair", "Karina's Run", "Valentina's Reflection", "Viktoriya's Rancour", "Xenia's Icon", "Raisa's Crag", "Zora's Visage", "Avdotya's Gate", "Vlada's Visage", "Kira's Image", "Danica's Stone", "Danica's Pact", "Karina's Gate", "Viktoriya's Reflection", "Vlada's Dance", "Karina's Dance", "Danica's Pact", "Valentina's Icon", "Vasilisa's Maze", "Karolina's Stone", "Jekaterina's Run", "Vasilisa's Parlour", "Danica's Rock", "Jekaterina's Run", "Karina's Reflection", "Karina's Image", "Jekaterina's Image", "Vasilisa's Burrow", "Ruslana's Maze", "Jekaterina's Rancour", "Ruslana's Gate", "Jekaterina's Run", "Vlada's Delve", "Raisa's Call", "Jekaterina's Lair", "Avelina's Pact", "Jekaterina's Banner", "Vasilisa's Dance", "Avdotya's Call", "Jekaterina's Crag", "Avdotya's Rancour", "Xenia's Dance", "Valeria's Rock", "Viktoriya's Visage", "Danica's Island", "Valeria's Gate", "Avdotya's Gate", "Valeria's Rancour", "Karina's Delve", "Valeria's Stone", "Raisa's Call", "Kira's Run", "Avelina's Stone", "Danica's Delve", "Vasilisa's Pact", "Vasilisa's Image", "Karolina's Stone", "Ruslana's Reflection", "Danica's Summons", "Zora's Image", "Vasilisa's Call", "Vlada's Gate", "Vasilisa's Visage", "Avdotya's Rock", "Danica's Reflection", "Avelina's Pit", "Xenia's Maze", "Xenia's Island", "Vlada's Rock", "Xenia's Summons", "Kira's Icon", "Jekaterina's Burrow", "Avelina's Image", "Kira's Reflection", "Karina's Burrow", "Ruslana's Reflection", "Karolina's Call", "Avdotya's Visage", "Viktoriya's Gate", "Karolina's Image", "Karina's Summons", "Jekaterina's Call", "Vlada's Icon", "Vasilisa's Image", "Vasilisa's Icon", "Avdotya's Dance", "Vlada's Burrow", "Xenia's Gate", "Ruslana's Pact", "Vasilisa's Stone", "Karina's Banner", "Karina's Run", "Kira's Bargain", "Viktoriya's Gate", "Xenia's Banner", "Kira's Pit", "Vasilisa's Icon", "Ruslana's Pact", "Jekaterina's Stone", "Vasilisa's Run", "Kira's Banner", "Danica's Pact", "Jekaterina's Summons", "Zora's Song", "Valeria's Island", "Avelina's Visage", "Jekaterina's Rancour", "Danica's Song", "Raisa's Burrow", "Valentina's Dance", "Karina's Delve", "Ruslana's Call", "Viktoriya's Song", "Jekaterina's Summons", "Karina's Image", "Zora's Rancour", "Viktoriya's Image", "Valentina's Pit", "Xenia's Maze", "Karolina's Burrow", "Raisa's Banner", "Kira's Pit", "Danica's Run", "Karolina's Rancour", "Valeria's Crag", "Kira's Burrow", "Vlada's Rancour", "Kira's Pit", "Zora's Run", "Kira's Song", "Raisa's Maze", "Vasilisa's Dance", "Avelina's Icon", "Valeria's Pit", "Karolina's Lair", "Zora's Summons", "Vlada's Rancour", "Vasilisa's Banner", "Vlada's Parlour", "Avdotya's Summons", "Avelina's Reflection", "Jekaterina's Banner", "Kira's Island", "Xenia's Pact", "Valentina's Call", "Karina's Icon", "Karolina's Island", "Avelina's Parlour", "Ruslana's Image", "Vasilisa's Pact", "Zora's Run", "Valentina's Parlour", "Valentina's Dance", "Jekaterina's Crag", "Zora's Call", "Valentina's Bargain", "Xenia's Banner", "Danica's Song", "Kira's Lair", "Jekaterina's Dance", "Avdotya's Stone", "Zora's Run", "Valeria's Island", "Raisa's Delve", "Viktoriya's Call", "Jekaterina's Song", "Xenia's Maze", "Xenia's Rancour", "Vasilisa's Banner", "Viktoriya's Lair", "Valentina's Song", "Avelina's Bargain", "Kira's Burrow", "Vasilisa's Call", "Xenia's Banner", "Raisa's Maze", "Zora's Pact", "Zora's Call", "Avelina's Song", "Avdotya's Banner", "Viktoriya's Pact", "Raisa's Crag", "Vasilisa's Run", "Raisa's Reflection", "Xenia's Song", "Karolina's Crag", "Vasilisa's Gate", "Jekaterina's Banner", "Xenia's Visage", "Avdotya's Song", "Zora's Gate", "Vlada's Call", "Karina's Crag", "Vlada's Maze", "Kira's Crag", "Viktoriya's Song", "Zora's Parlour", "Raisa's Rock", "Karina's Burrow", "Karolina's Crag", "Karina's Lair", "Jekaterina's Burrow", "Xenia's Lair", "Karolina's Icon", "Viktoriya's Pact", "Avelina's Dance", "Vlada's Visage", "Ruslana's Pact", "Xenia's Delve", "Jekaterina's Pact", "Avelina's Pact", "Danica's Parlour", "Karolina's Island", "Raisa's Stone", "Valeria's Call", "Ruslana's Crag", "Danica's Rancour", "Avdotya's Song", "Jekaterina's Image", "Jekaterina's Image", "Valentina's Bargain", "Viktoriya's Pact", "Avdotya's Pit", "Vlada's Burrow", "Karolina's Summons", "Valentina's Burrow", "Vlada's Banner", "Avdotya's Dance", "Xenia's Summons", "Vlada's Image", "Ruslana's Gate", "Raisa's Pit", "Ruslana's Image", "Zora's Delve", "Avdotya's Bargain", "Zora's Song", "Valeria's Rock", "Karina's Dance", "Kira's Lair", "Kira's Maze", "Danica's Image", "Avelina's Rock", "Xenia's Banner", "Vlada's Crag", "Karolina's Pact", "Kira's Rancour", "Valentina's Dance", "Vlada's Bargain", "Xenia's Pact", "Raisa's Lair", "Zora's Pit", "Zora's Parlour",    
 // Galaxy 7
"Yaroslavl Gaol", "Makhachkala Reformatory", "Belial Rock", "Ryazan Borstal", "Vladivostok Borstal", "Makhachkala Gaol", "Irkutsk Reformatory", "Vladivostok Roundhouse", "Lipetsk Borstal", "Khabarovsk Reformatory", "Ulyanovsk Borstal", "Balashikha Bridewell", "Astrakhan Roundhouse", "Irkutsk Gaol", "Lipetsk Reformatory", "Makhachkala Bridewell", "Ryazan Bridewell", "Irkutsk Guardhouse", "Khabarovsk Reformatory", "Lipetsk Asylum", "Makhachkala Gaol", "Kemerovo Gaol", "Makhachkala Reformatory", "Balashikha Reformatory", "Novokuznetsk Borstal", "Makhachkala Guardhouse", "Ryazan Borstal", "Khabarovsk Asylum", "Makhachkala Bridewell", "Pinkman Gaol", "Novokuznetsk Reformatory", "Lipetsk Gaol", "Kirov Reformatory", "Ulyanovsk Gaol", "Khabarovsk Roundhouse", "Irkutsk Borstal", "Kemerovo Borstal", "Ryazan Bridewell", "Ulyanovsk Borstal", "Orenburg Borstal", "Vladivostok Reformatory", "Orenburg Bridewell", "Penza Guardhouse", "Yaroslavl Guardhouse", "Kirov Roundhouse", "Kirov Gaol", "Balashikha Guardhouse", "Lipetsk Guardhouse", "Vladivostok Reformatory", "Balashikha Gaol", "Novokuznetsk Asylum", "Makhachkala Reformatory", "Kemerovo Roundhouse", "Kemerovo Bridewell", "Irkutsk Borstal", "Lipetsk Asylum", "Khabarovsk Bridewell", "Ulyanovsk Asylum", "Vladivostok Bridewell", "Kirov Gaol", "Novokuznetsk Reformatory", "Pinkman Bridewell", "Irkutsk Roundhouse", "McGeavy Bridewell", "Astrakhan Bridewell", "Novokuznetsk Borstal", "McGeavy Borstal", "Yaroslavl Reformatory", "Khabarovsk Reformatory", "Kirov Bridewell", "Astrakhan Gaol", "Perez Borstal", "Vladivostok Bridewell", "Sharrock Gaol", "Makhachkala Guardhouse", "Balashikha Gaol", "Orenburg Borstal", "Yaroslavl Guardhouse", "Khabarovsk Borstal", "Lipetsk Asylum", "Khabarovsk Gaol", "Vladivostok Roundhouse", "Balashikha Bridewell", "Sharrock Roundhouse", "Balashikha Reformatory", "Irkutsk Asylum", "Ryazan Borstal", "Sharrock Guardhouse", "Makhachkala Guardhouse", "Kirov Reformatory", "Ryazan Roundhouse", "Novokuznetsk Bridewell", "Astrakhan Guardhouse", "Vladivostok Bridewell", "Yaroslavl Gaol", "Makhachkala Gaol", "Vladivostok Bridewell", "Novokuznetsk Reformatory", "Ryazan Gaol", "Khabarovsk Roundhouse", "Makhachkala Gaol", "Yaroslavl Reformatory", "Vladivostok Bridewell", "Penza Guardhouse", "Balashikha Guardhouse", "Ulyanovsk Borstal", "Khabarovsk Asylum", "Makhachkala Bridewell", "Ulyanovsk Roundhouse", "Ulyanovsk Roundhouse", "Tarkin Roundhouse", "Kirov Borstal", "Vladivostok Reformatory", "Yaroslavl Roundhouse", "Khabarovsk Gaol", "Lipetsk Bridewell", "Khabarovsk Roundhouse", "Irkutsk Borstal", "Kemerovo Roundhouse", "Ryazan Roundhouse", "Ulyanovsk Gaol", "Makhachkala Gaol", "Tarkin Bridewell", "Astrakhan Guardhouse", "Orenburg Roundhouse", "Kemerovo Gaol", "Yaroslavl Bridewell", "Ulyanovsk Reformatory", "Balashikha Gaol", "Penza Roundhouse", "Yaroslavl Borstal", "Penza Asylum", "Makhachkala Borstal", "Novokuznetsk Asylum", "Ulyanovsk Guardhouse", "Kemerovo Reformatory", "Kirov Roundhouse", "Yaroslavl Asylum", "Novokuznetsk Borstal", "Penza Reformatory", "Penza Roundhouse", "Ryazan Bridewell", "Ryazan Borstal", "Balashikha Reformatory", "Khabarovsk Gaol", "Yaroslavl Asylum", "Kemerovo Reformatory", "Tarkin Gaol", "Makhachkala Asylum", "Lipetsk Gaol", "Yaroslavl Asylum", "Astrakhan Reformatory", "Lipetsk Borstal", "Orenburg Gaol", "Yaroslavl Asylum", "Khabarovsk Roundhouse", "Balashikha Bridewell", "Penza Reformatory", "Tarkin Reformatory", "Kirov Borstal", "Kemerovo Gaol", "Lipetsk Guardhouse", "Penza Gaol", "Kemerovo Bridewell", "Ryazan Borstal", "Irkutsk Asylum", "Ulyanovsk Roundhouse", "Yaroslavl Guardhouse", "Wexler Roundhouse", "Astrakhan Guardhouse", "Kemerovo Borstal", "Irkutsk Borstal", "Khabarovsk Roundhouse", "Penza Gaol", "Yaroslavl Borstal", "Balashikha Reformatory", "Redfield Gaol", "Balashikha Gaol", "Makhachkala Gaol", "Vladivostok Bridewell", "Ryazan Reformatory", "Yaroslavl Guardhouse", "Balashikha Gaol", "Orenburg Roundhouse", "Vladivostok Guardhouse", "Astrakhan Borstal", "Astrakhan Roundhouse", "Makhachkala Gaol", "Kirov Guardhouse", "Novokuznetsk Gaol", "Vladivostok Guardhouse", "Yaroslavl Borstal", "Makhachkala Bridewell", "Yaroslavl Reformatory", "Yaroslavl Asylum", "Vladivostok Guardhouse", "Kirov Borstal", "Penza Roundhouse", "Novokuznetsk Guardhouse", "Orenburg Asylum", "Penza Asylum", "Ulyanovsk Roundhouse", "McCloud's Gaol", "Penza Guardhouse", "Khabarovsk Guardhouse", "Haussmann Gaol", "Astrakhan Borstal", "Haussmann Reformatory", "Makhachkala Guardhouse", "Astrakhan Gaol", "Novokuznetsk Gaol", "Yaroslavl Reformatory", "Balashikha Reformatory", "Astrakhan Gaol", "Penza Asylum", "Lipetsk Reformatory", "Astrakhan Guardhouse", "Lipetsk Bridewell", "Balashikha Guardhouse", "Lipetsk Asylum", "Orenburg Bridewell", "Orenburg Asylum", "Balashikha Borstal", "Yaroslavl Gaol", "Ryazan Reformatory", "Yaroslavl Roundhouse", "Ulyanovsk Bridewell", "Yaroslavl Asylum", "Ryazan Guardhouse", "Vladivostok Guardhouse", "Khabarovsk Reformatory", "Kirov Guardhouse", "Penza Bridewell", "Ryazan Reformatory", "Lipetsk Bridewell", "Kemerovo Roundhouse", "Penza Asylum", "Lipetsk Roundhouse", "Ryazan Guardhouse", "Orenburg Guardhouse", "Penza Gaol", "Irkutsk Gaol", "Ulyanovsk Gaol", "Yaroslavl Asylum", "Haussmann Roundhouse", "Novokuznetsk Roundhouse", "Kirov Bridewell", "Haussmann Guardhouse", "Irkutsk Roundhouse", "Yaroslavl Asylum", "Makhachkala Asylum", "Irkutsk Guardhouse", "Orenburg Borstal", "Ulyanovsk Borstal", "Kemerovo Asylum", "Kemerovo Reformatory",  
// Galaxy 8
"Wrecker's Penitence", "Malcontent's Atonement", "Iconoclast's End", "Iconoclast's Reckoning", "Traitor's Recompense", "Conspirator's Regret", "Wrecker's Exile", "Troublemaker's Contrition", "Troublemaker's Exile", "Iconoclast's Tears", "Reactionary's Fate", "Dissident's Penitence", "Conspirator's Recompense", "Deserter's Fate", "Dissenter's End", "Wrecker's Penitence", "Refusenik's Anguish", "Defector's Repentance", "Nonconformist's Penitence", "Refusenik's Repentance", "Dissenter's Desserts", "Dissenter's Tears", "Agitator's Repentance", "Defector's Fate", "Defector's Contrition", "Imperialist's Anguish", "Conspirator's Repentance", "Wrecker's Regret", "Iconoclast's Anguish", "Reactionary's Repentance", "Malcontent's Atonement", "Defector's Recompense", "Nonconformist's Gulag", "Troublemaker's Remorse", "Turncoat's Desserts", "Refusenik's Penitence", "Defector's Recompense", "Dissenter's Reward", "Imperialist's Atonement", "Defector's Gulag", "Turncoat's Repentance", "Reactionary's Fate", "Nonconformist's Contrition", "Iconoclast's Recompense", "Imperialist's Contrition", "Refusenik's Tears", "Iconoclast's Fate", "Iconoclast's Exile", "Troublemaker's Exile", "Malcontent's Penitence", "Dissident's Remorse", "Defector's Atonement", "Reactionary's Regret", "Traitor's Exile", "Iconoclast's Regret", "Deserter's Atonement", "Wrecker's Contrition", "Wrecker's Remorse", "Dissident's Recompense", "Wrecker's Contrition", "Iconoclast's Gulag", "Troublemaker's End", "Malcontent's Tears", "Imperialist's Regret", "Agitator's Recompense", "Defector's Recompense", "Dissenter's Reward", "Imperialist's Recompense", "Iconoclast's Remorse", "Refusenik's Tears", "Wrecker's Gulag", "Troublemaker's End", "Reactionary's Remorse", "Troublemaker's Repentance", "Turncoat's Reckoning", "Wrecker's Desserts", "Nonconformist's End", "Iconoclast's Contrition", "Turncoat's Reward", "Conspirator's Reckoning", "Nonconformist's Remorse", "Jailhouse Rock", "Imperialist's Recompense", "Agitator's Penitence", "Dissenter's Desserts", "Nonconformist's Repentance", "Turncoat's Exile", "Turncoat's Reward", "Conspirator's Desserts", "Deserter's Recompense", "Reactionary's Anguish", "Defector's Repentance", "Nonconformist's Penitence", "Traitor's Exile", "Defector's Atonement", "Agitator's Atonement", "Deserter's Penitence", "Defector's Tears", "Agitator's Reckoning", "Conspirator's Anguish", "Traitor's Fate", "Imperialist's Recompense", "Iconoclast's Remorse", "Dissenter's Repentance", "Conspirator's Fate", "Troublemaker's Tears", "Conspirator's Penitence", "Dissenter's Exile", "Wrecker's End", "Wrecker's Desserts", "Dissident's Reward", "Agitator's Remorse", "Defector's Fate", "Dissident's Fate", "Reactionary's Penitence", "Defector's Recompense", "Dissenter's Fate", "Deserter's End", "Imperialist's Penitence", "Dissident's End", "Dissenter's Gulag", "Iconoclast's Reward", "Dissident's Reward", "Iconoclast's Desserts", "Conspirator's Reckoning", "Dissenter's Tears", "Refusenik's Recompense", "Malcontent's Tears", "Dissident's Atonement", "Dissident's Anguish", "Conspirator's Repentance", "Deserter's Contrition", "Conspirator's Recompense", "Defector's Tears", "Wrecker's Regret", "Iconoclast's Reckoning", "Reactionary's Repentance", "Agitator's Exile", "Dissenter's Desserts", "Dissenter's Remorse", "Traitor's Regret", "Dissident's Reckoning", "Imperialist's Atonement", "Iconoclast's Repentance", "Deserter's Reckoning", "Troublemaker's Fate", "Malcontent's Desserts", "Wrecker's Atonement", "Nonconformist's Gulag", "Troublemaker's Tears", "Nonconformist's Contrition", "Iconoclast's Recompense", "Conspirator's Tears", "Nonconformist's Reckoning", "Refusenik's Desserts", "Refusenik's Fate", "Imperialist's Recompense", "Iconoclast's Remorse", "Traitor's Remorse", "Refusenik's Regret", "Nonconformist's Regret", "Iconoclast's Repentance", "Imperialist's End", "Traitor's Desserts", "Reactionary's Reckoning", "Iconoclast's Exile", "Agitator's Penitence", "Conspirator's Tears", "Traitor's End", "Iconoclast's Contrition", "Iconoclast's Tears", "Malcontent's Desserts", "Defector's Contrition", "Turncoat's Desserts", "Reactionary's Contrition", "Nonconformist's Fate", "Wrecker's Fate", "Defector's Contrition", "Conspirator's Atonement", "Nonconformist's Recompense", "Imperialist's Reckoning", "Imperialist's Atonement", "Turncoat's Reward", "Conspirator's Reckoning", "Dissenter's Tears", "Traitor's Regret", "Imperialist's Desserts", "Defector's Anguish", "Troublemaker's Fate", "Agitator's Anguish", "Dissident's Desserts", "Wrecker's Reward", "Imperialist's Gulag", "Nonconformist's Reckoning", "Nonconformist's Remorse", "Conspirator's Fate", "Agitator's Repentance", "Wrecker's Remorse", "Conspirator's Penitence", "Dissenter's Exile", "Wrecker's Anguish", "Refusenik's Penitence", "Iconoclast's End", "Turncoat's Regret", "Dissident's Contrition", "Reactionary's Gulag", "Conspirator's Penitence", "Traitor's Repentance", "Conspirator's Fate", "Malcontent's Contrition", "Malcontent's Atonement", "Wrecker's Reckoning", "Traitor's Atonement", "Refusenik's Contrition", "Jailhouse Rock", "Conspirator's Repentance", "Turncoat's Exile", "Deserter's Reckoning", "Iconoclast's Desserts", "Dissenter's Regret", "Dissident's Reckoning", "Deserter's Recompense", "Reactionary's End", "Imperialist's Reward", "Agitator's Remorse", "Defector's Reward", "Dissenter's Regret", "Defector's Tears", "Troublemaker's End", "Refusenik's Exile", "Deserter's Contrition", "Refusenik's Remorse", "Reactionary's Atonement", "Agitator's Reward", "Troublemaker's Regret", "Wrecker's Desserts", "Conspirator's Reckoning", "Conspirator's Contrition", "Wrecker's End", "Wrecker's Desserts", "Imperialist's Reward", "Agitator's Tears", "Conspirator's Penitence", "Conspirator's Recompense", "Defector's Remorse", "Malcontent's Desserts", "Troublemaker's Recompense", "Defector's Regret", "Imperialist's Exile", "Nonconformist's Penitence", "Refusenik's Remorse", "Troublemaker's Remorse", "Imperialist's End", "Dissenter's Fate", "Deserter's End", "Nonconformist's Gulag",  
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Popular Justice"];

//  Name Arrays for Astromine Penal Colonies - 4th Station in a given system to spawn. (Number of Names in Array: 2,048)
//  This uses the large counted pool method as above.
this.commiepool4 = [
// Galaxy 1
"The Road to Agony", "Mine of Desolation", "Hammer of Doom", "The Caves of Horror", "The Caverns of Dread", "Asylum of Retribution", "Hammer of Despair", "The Road to Misery", "Hammer of Vengeance", "The Caves of Doom", "The Road to Terror", "Labyrinth of Vengeance", "Hammer of Dread", "Cove of Desolation", "Compound of Torment", "Compound of Justice", "The Isle of Dread", "Gateway to Misery", "Sickle of Agony", "Cove of Desolation", "The Road to Torment", "Labyrinth of Doom", "Labyrinth of Vengeance", "The Isle of Doom", "Mine of Horror", "Cove of Justice", "The Caverns of Desolation", "Labyrinth of Horror", "The Caves of Justice", "Asylum of Vengeance", "Labyrinth of Agony", "Sickle of Despair", "Gateway to Despair", "The Caverns of Agony", "Hammer of Justice", "Labyrinth of Agony", "Sickle of Horror", "Hammer of Justice", "The Isle of Dread", "The Road to Justice", "The Caverns of Vengeance", "Mine of Agony", "The Caverns of Despair", "Gateway to Vengeance", "Hammer of Justice", "Gateway to Misery", "Mine of Dread", "Mine of Despair", "Gateway to Misery", "Gateway to Despair", "The Caverns of Torment", "The Caverns of Terror", "Gateway to Desolation", "The Caves of Agony", "Sickle of Misery", "Gateway to Retribution", "The Caverns of Torment", "The Caverns of Doom", "The Road to Dread", "Sickle of Horror", "The Road to Terror", "Cove of Terror", "The Caverns of Horror", "Compound of Horror", "Cove of Agony", "Mine of Retribution", "Hammer of Vengeance", "Hammer of Desolation", "Gateway to Torment", "Sickle of Torment", "Sickle of Retribution", "The Caves of Agony", "Sickle of Torment", "Mine of Vengeance", "Asylum of Terror", "Cove of Agony", "Labyrinth of Horror", "The Road to Misery", "The Road to Agony", "Labyrinth of Agony", "Gateway to Desolation", "Compound of Terror", "Hammer of Retribution", "The Caves of Desolation", "Gateway to Torment", "Compound of Justice", "Sickle of Retribution", "The Caves of Agony", "Hammer of Misery", "Cove of Desolation", "Asylum of Desolation", "The Road to Terror", "Gateway to Agony", "Labyrinth of Agony", "Gateway to Agony", "The Road to Desolation", "Labyrinth of Desolation", "Cove of Justice", "The Caves of Terror", "Asylum of Agony", "The Isle of Justice", "Hammer of Dread", "Isle of Horror", "Compound of Retribution", "Gateway to Desolation", "Mine of Doom", "Labyrinth of Horror", "Hammer of Desolation", "Asylum of Justice", "Labyrinth of Doom", "Mine of Desolation", "The Caves of Horror", "Cove of Agony", "Cove of Desolation", "The Caves of Horror", "Compound of Torment", "Hammer of Misery", "Asylum of Misery", "The Caves of Despair", "Asylum of Despair", "Mine of Doom", "Compound of Misery", "The Caverns of Desolation", "Mine of Desolation", "Hammer of Terror", "Compound of Horror", "Labyrinth of Dread", "Hammer of Agony", "Cove of Terror", "Compound of Agony", "Cove of Despair", "Hammer of Justice", "Labyrinth of Vengeance", "The Caverns of Terror", "Labyrinth of Terror", "Sickle of Doom", "Mine of Horror", "The Road to Desolation", "The Caverns of Agony", "The Caverns of Dread", "Compound of Justice", "Sickle of Justice", "The Isle of Desolation", "The Road to Terror", "The Isle of Misery", "The Caverns of Justice", "The Caverns of Agony", "Asylum of Misery", "Labyrinth of Misery", "The Caves of Dread", "Hammer of Vengeance", "Compound of Doom", "The Caves of Horror", "Asylum of Agony", "The Road to Retribution", "Gateway to Despair", "Asylum of Vengeance", "Sickle of Terror", "Sickle of Vengeance", "Mine of Doom", "Hammer of Vengeance", "The Road to Torment", "The Road to Dread", "The Isle of Misery", "Gateway to Justice", "Hammer of Torment", "Mine of Terror", "The Isle of Dread", "Mine of Vengeance", "Compound of Justice", "Isle of Horror", "The Caverns of Doom", "Gateway to Desolation", "The Isle of Agony", "Hammer of Dread", "Hammer of Terror", "Mine of Misery", "Labyrinth of Despair", "The Caves of Misery", "The Isle of Desolation", "The Isle of Terror", "Cove of Dread", "Asylum of Despair", "Compound of Dread", "The Road to Misery", "The Caves of Dread", "The Road to Torment", "Labyrinth of Desolation", "Labyrinth of Desolation", "Compound of Justice", "The Road to Misery", "The Caves of Horror", "The Road to Despair", "The Caverns of Desolation", "Labyrinth of Justice", "Mine of Desolation", "Labyrinth of Justice", "Cove of Agony", "Gateway to Horror", "The Caves of Doom", "Sickle of Horror", "The Caves of Torment", "Hammer of Despair", "Asylum of Torment", "Compound of Torment", "Gateway to Desolation", "Hammer of Terror", "The Caves of Torment", "Asylum of Justice", "Asylum of Vengeance", "Gateway to Agony", "Gateway to Desolation", "The Isle of Despair", "Hammer of Torment", "The Caverns of Retribution", "Gateway to Doom", "The Caverns of Terror", "Cove of Vengeance", "The Caves of Despair", "Labyrinth of Retribution", "Gateway to Horror", "The Caves of Justice", "Labyrinth of Doom", "Asylum of Doom", "The Isle of Dread", "Road to Horror", "Hammer of Agony", "Mine of Horror", "The Isle of Agony", "Compound of Despair", "Labyrinth of Doom", "Gateway to Dread", "Mine of Despair", "Gateway to Vengeance", "Mine of Vengeance", "Asylum of Doom", "Mine of Terror", "Mine of Torment", "The Caves of Dread", "The Road to Agony", "Labyrinth of Desolation", "Hammer of Retribution", "Cove of Dread", "Hammer of Dread", "Sickle of Horror", "Labyrinth of Desolation", "Sickle of Vengeance", "The Road to Torment", "The Isle of Retribution", "Hammer of Dread", "Hammer of Horror", "Labyrinth of Misery", "Gateway to Vengeance", "The Caves of Despair", "The Caves of Agony", "Sickle of Vengeance", 
// Galaxy 2
 "Sophia's Wharf", "Lizabeta's Gambit", "Sophia's Drift", "Marisha's Gambit", "Natasha's Gambit", "Katerina's Drift", "Marisha's Chasm", "Tatiana's Gambit", "Sophia's Smile", "Elena's Crypt", "Natasha's Wharf", "Tanya's Gambit", "Lizabeta's Smile", "Katina's Chasm", "Sophia's Bay", "Zasha's Wharf", "Sophia's Bluff", "Tatiana's Drift", "Zasha's Bay", "Ekaterina's Bluff", "Elena's Wharf", "Tanya's Bay", "Zasha's Wharf", "Nina's Smile", "Galina's Gambit", "Lizabeta's Crypt", "Lizabeta's Smile", "Elena's Chasm", "Elena's Chasm", "Tanya's Drift", "Natasha's Wharf", "Katina's Drift", "Katerina's Wharf", "Tatiana's Smile", "Tatiana's Chasm", "Katina's Bluff", "Lizabeta's Gambit", "Sophia's Drift", "Ekaterina's Drift", "Tanya's Gambit", "Zasha's Crypt", "Miriam's Crypt", "Miriam's Crypt", "Lizabeta's Chasm", "Natasha's Bluff", "Tatiana's Bay", "Tanya's Bay", "Galina's Chasm", "Katina's Crypt", "Sophia's Drift", "Marisha's Chasm", "Katina's Wharf", "Sophia's Gambit", "Ekaterina's Bay", "Tanya's Wharf", "Tatiana's Crypt", "Katerina's Chasm", "Tatiana's Bluff", "Tatiana's Crypt", "Tatiana's Wharf", "Lizabeta's Gambit", "Sophia's Crypt", "Katina's Crypt", "Marisha's Chasm", "Katina's Wharf", "Sophia's Chasm", "Lizabeta's Smile", "Tanya's Crypt", "Zasha's Drift", "Katina's Drift", "Lizabeta's Chasm", "Miriam's Wharf", "Miriam's Gambit", "Elena's Bluff", "Miriam's Drift", "Elena's Gambit", "Elena's Chasm", "Tatiana's Wharf", "Elena's Wharf", "Zasha's Bluff", "Katina's Drift", "Katerina's Bluff", "Miriam's Drift", "Sophia's Smile", "Galina's Wharf", "Katerina's Gambit", "Katerina's Smile", "Miriam's Chasm", "Tatiana's Gambit", "Natasha's Chasm", "Marisha's Bay", "Nikolina's Gambit", "Nina's Wharf", "Natasha's Bay", "Elena's Smile", "Natasha's Chasm", "Tanya's Smile", "Zasha's Bluff", "Elena's Crypt", "Zasha's Bay", "Sophia's Wharf", "Natasha's Drift", "Ekaterina's Smile", "Nina's Smile", "Katina's Chasm", "Galina's Crypt", "Katerina's Bluff", "Katerina's Bay", "Lizabeta's Wharf", "Elena's Crypt", "Manya's Crypt", "Lizabeta's Drift", "Lizabeta's Chasm", "Nina's Bluff", "Galina's Crypt", "Tatiana's Crypt", "Galina's Crypt", "Katerina's Wharf", "Zasha's Drift", "Elena's Gambit", "Katina's Gambit", "Galina's Gambit", "Miriam's Smile", "Tanya's Smile", "Tatiana's Chasm", "Katina's Wharf", "Ekaterina's Chasm", "Nikolina's Bay", "Miriam's Chasm", "Manya's Chasm", "Nina's Gambit", "Marisha's Chasm", "Ekaterina's Crypt", "Nikolina's Bluff", "Tatiana's Bay", "Marisha's Bay", "Katina's Chasm", "Lizabeta's Drift", "Galina's Bay", "Nikolina's Wharf", "Elena's Crypt", "Miriam's Bay", "Galina's Chasm", "Katerina's Smile", "Natasha's Smile", "Katina's Gambit", "Natasha's Wharf", "Zasha's Chasm", "Manya's Gambit", "Manya's Wharf", "Lizabeta's Gambit", "Marisha's Chasm", "Katina's Bay", "Katina's Bluff", "Marisha's Bluff", "Miriam's Chasm", "Tanya's Chasm", "Sophia's Crypt", "Galina's Crypt", "Tatiana's Gambit", "Ekaterina's Bay", "Katerina's Crypt", "Lizabeta's Drift", "Nikolina's Chasm", "Katerina's Smile", "Zasha's Gambit", "Ekaterina's Crypt", "Nikolina's Bluff", "Tanya's Wharf", "Katina's Chasm", "Elena's Chasm", "Ekaterina's Bay", "Zasha's Wharf", "Manya's Drift", "Marisha's Gambit", "Miriam's Crypt", "Tatiana's Bay", "Zasha's Bluff", "Galina's Drift", "Ekaterina's Drift", "Zasha's Bay", "Tatiana's Drift", "Miriam's Chasm", "Manya's Gambit", "Tatiana's Wharf", "Nina's Crypt", "Nikolina's Smile", "Manya's Bluff", "Tatiana's Crypt", "Elena's Chasm", "Zasha's Gambit", "Katerina's Bluff", "Miriam's Drift", "Sophia's Smile", "Elena's Bluff", "Miriam's Drift", "Ekaterina's Smile", "Sophia's Gambit", "Sophia's Smile", "Nikolina's Bay", "Marisha's Drift", "Nikolina's Bluff", "Miriam's Drift", "Ekaterina's Chasm", "Zasha's Gambit", "Katerina's Bluff", "Nina's Drift", "Sophia's Smile", "Nina's Smile", "Elena's Smile", "Miriam's Gambit", "Elena's Bluff", "Miriam's Bluff", "Miriam's Chasm", "Manya's Gambit", "Tatiana's Bay", "Tanya's Bay", "Nikolina's Gambit", "Marisha's Smile", "Natasha's Drift", "Tanya's Bluff", "Natasha's Bay", "Zasha's Chasm", "Marisha's Bay", "Galina's Gambit", "Nikolina's Crypt", "Ekaterina's Drift", "Marisha's Chasm", "Nikolina's Smile", "Tatiana's Bluff", "Marisha's Gambit", "Lizabeta's Bay", "Marisha's Crypt", "Sophia's Chasm", "Marisha's Drift", "Natasha's Wharf", "Miriam's Chasm", "Katerina's Drift", "Katerina's Wharf", "Tatiana's Smile", "Tanya's Smile", "Tatiana's Chasm", "Lizabeta's Smile", "Katina's Gambit", "Lizabeta's Drift", "Miriam's Drift", "Tanya's Bluff", "Nikolina's Wharf", "Nina's Smile", "Katina's Chasm", "Elena's Smile", "Natasha's Chasm", "Nina's Bluff", "Nikolina's Bluff", "Manya's Smile", "Sophia's Crypt", 
// Galaxy 3
"The Red Flag", "Reaper's Image", "Red Flame", "Bleak Bay", "Red Devil", "Red Flame", "Reaper's Dance", "Red November", "Devil's Rock", "Devil's Rock", "Red Army", "Daemon's Rancour", "Reaper's Banner", "Red Devil", "Devil's Pact", "Reaper's Dance", "Devil's Pit", "Daemon's Crag", "Reaper's Image", "Red Flame", "Red November", "Red Army", "Daemon's Stone", "The Red Flag", "Red October", "Portmeirion Village", "Daemon's Crag", "Reaper's Icon", "Daemon's Gate", "Red Diamond", "Devil's Rock", "Daemon's Lair", "Daemon's Gate", "Devil's Island", "Devil's Run", "Daemon's Lair", "Daemon's Gate", "Red Diamond", "Devil's Pit", "Daemon's Gate", "Devil's Visage", "Red October", "Daemon's Song", "Daemon's Crag", "Reaper's Image", "Devil's Visage", "Daemon's Rancour", "Devil's Delve", "Daemon's Lair", "Reaper's Summons", "Reaper's Icon", "Reaper's Reflection", "Devil's Run", "Reaper's Image", "Devil's Visage", "Devil's Delve", "Daemon's Burrow", "Devil's Pact", "Reaper's Bargain", "Reaper's Bargain", "Red October", "Portmeirion Village", "Daemon's Crag", "Daemon's Burrow", "Devil's Parlour", "Daemon's Crag", "Daemon's Burrow", "Red Devil", "Devil's Pact", "Reaper's Bargain", "Red October", "Daemon's Burrow", "Red Devil", "Devil's Pact", "Daemon's Stone", "The Red Flag", "Reaper's Image", "Devil's Visage", "Daemon's Rancour", "Devil's Pit", "Devil's Visage", "Red October", "Red Diamond", "Devil's Pit", "Reaper's Summons", "Portmeirion Village", "Devil's Delve", "Devil's Pact", "Reaper's Bargain", "Red November", "Devil's Island", "Devil's Run", "Reaper's Reflection", "Red Army", "The Red Flag", "Reaper's Image", "Reaper's Summons", "Portmeirion Village", "Red November", "Devil's Island", "Devil's Run", "Devil's Rock", "Red Army", "Red October", "Portmeirion Village", "Devil's Pit", "Daemon's Crag", "Daemon's Burrow", "Daemon's Lair", "Daemon's Gate", "Devil's Visage", "The Red Flag", "Devil's Rock", "Red Army", "Daemon's Rancour", "Devil's Delve", "Red Flame", "Daemon's Crag", "Reaper's Image", "Devil's Visage", "Red November", "Reaper's Call", "Daemon's Burrow", "Daemon's Lair", "Devil's Visage", "Devil's Run", "Daemon's Lair", "Devil's Island", "Reaper's Icon", "Daemon's Crag", "Daemon's Burrow", "Red Devil", "Reaper's Dance", "Devil's Run", "Reaper's Call", "Reaper's Call", "Red Flame", "Daemon's Crag", "Reaper's Call", "Reaper's Call", "Daemon's Lair", "Reaper's Summons", "Daemon's Song", "Reaper's Dance", "Devil's Delve", "Devil's Visage", "Red October", "Portmeirion Village", "Red November", "Reaper's Call", "Red Flame", "Daemon's Stone", "Red October", "Daemon's Song", "Devil's Parlour", "Black October", "Red Flame", "Daemon's Gate", "Red Army", "Daemon's Stone", "Devil's Run", "Daemon's Burrow", "Daemon's Lair", "Devil's Island", "Devil's Run", "Devil's Island", "Portmeirion Village", "Devil's Pit", "Daemon's Gate", "Red Flame", "Daemon's Crag", "Reaper's Image", "Devil's Visage", "Red October", "Reaper's Image", "Reaper's Reflection", "Red Army", "The Red Flag", "Red October", "Portmeirion Village", "Daemon's Crag", "Daemon's Song", "Devil's Pact", "Reaper's Dance", "Reaper's Icon", "Daemon's Gate", "Daemon's Burrow", "Red Devil", "Red Flame", "Red November", "Reaper's Reflection", "The Red Flag", "Red October", "Portmeirion Village", "Red November", "Reaper's Reflection", "The Red Flag", "Reaper's Icon", "Red Devil", "Devil's Pact", "Devil's Parlour", "Daemon's Crag", "Devil's Rock", "Daemon's Song", "Reaper's Summons", "Daemon's Rancour", "Portmeirion Village", "Devil's Pit", "Devil's Visage", "Devil's Run", "Devil's Island", "Devil's Delve", "Red Flame", "Red November", "Devil's Island", "Portmeirion Village", "Devil's Pit", "Devil's Pact", "Daemon's Stone", "Devil's Rock", "Red Army", "Reaper's Banner", "Red September", "Daemon's Lair", "Daemon's Gate", "Red Diamond", "Devil's Parlour", "Red Pact", "Daemon's Burrow", "Devil's Pact", "Reaper's Bargain", "Reaper's Dance", "Red November", "Reaper's Call", "Red Flame", "Red November", "Devil's Island", "Devil's Run", "Reaper's Call", "Red Flame", "Daemon's Stone", "Portmeirion Village", "Devil's Delve", "Red Flame", "Red November", "Reaper's Reflection", "Reaper's Call", "Daemon's Burrow", "Daemon's Lair", "Devil's Visage", "Devil's Delve", "Daemon's Burrow", "Daemon's Gate", "Devil's Visage", "Red October", "Daemon's Song",    
// Galaxy 4
"Tyumen Stockade", "Barnaul Facility", "Novosibirsk Prison", "Saratov Complex", "Barnaul Institution", "Novosibirsk Complex", "Krasnodar Institution", "Volgograd Prison", "Kazan Dungeon", "Saratov Stockade", "Barnaul Jail", "Barnaul Complex", "Tolyatti Institution", "Barnaul Jail", "Barnaul Dungeon", "Tolyatti Institution", "Izhevsk Prison", "Omsk Complex", "Saratov Facility", "Volgograd Dungeon", "Voronezh Jail", "Izhevsk Facility", "Izhevsk Jail", "Kazan Institution", "Krasnodar Jail", "Chelyabinsk Facility", "Samara Penitentiary", "Izhevsk Institution", "Yekaterinburg Stockade", "Yekaterinburg Facility", "Barnaul Penitentiary", "Tyumen Stockade", "Volgograd Complex", "Yekaterinburg Institution", "Voronezh Stockade", "Voronezh Prison", "Chelyabinsk Institution", "Kazan Dungeon", "Chelyabinsk Prison", "Saratov Jail", "Izhevsk Institution", "Krasnoyarsk Jail", "Krasnoyarsk Dungeon", "Tyumen Complex", "Yekaterinburg Jail", "Kazan Jail", "Omsk Stockade", "Krasnodar Institution", "Izhevsk Dungeon", "Krasnodar Jail", "Krasnodar Prison", "Moscow Complex", "Volgograd Dungeon", "Moscow Facility", "Volgograd Stockade", "Moscow Stockade", "Samara Facility", "Omsk Facility", "Krasnoyarsk Complex", "Novosibirsk Complex", "Kazan Prison", "Krasnodar Stockade", "Kazan Complex", "Novosibirsk Penitentiary", "Krasnoyarsk Dungeon", "Samara Institution", "Izhevsk Prison", "Tyumen Facility", "Tyumen Prison", "Krasnodar Prison", "Tolyatti Stockade", "Yekaterinburg Stockade", "Yekaterinburg Facility", "Novosibirsk Dungeon", "Krasnoyarsk Penitentiary", "Chelyabinsk Stockade", "Volgograd Institution", "Izhevsk Dungeon", "Volgograd Stockade", "Yekaterinburg Facility", "Krasnoyarsk Prison", "Moscow Penitentiary", "Saratov Institution", "Kazan Dungeon", "Tyumen Prison", "Kazan Penitentiary", "Saratov Jail", "Izhevsk Stockade", "Saratov Prison", "Novosibirsk Institution", "Barnaul Institution", "Voronezh Facility", "Tolyatti Institution", "Chelyabinsk Complex", "Kazan Dungeon", "Chelyabinsk Prison", "Krasnodar Stockade", "Yekaterinburg Dungeon", "Saratov Institution", "Krasnodar Jail", "Tolyatti Complex", "Novosibirsk Prison", "Tolyatti Penitentiary", "Tolyatti Dungeon", "Novosibirsk Penitentiary", "Barnaul Facility", "Voronezh Stockade", "Moscow Stockade", "Krasnoyarsk Stockade", "Krasnoyarsk Institution", "Volgograd Complex", "Saratov Stockade", "Samara Prison", "Tyumen Facility", "Chelyabinsk Prison", "Novosibirsk Institution", "Omsk Dungeon", "Tyumen Dungeon", "Tyumen Prison", "Tyumen Jail", "Volgograd Facility", "Chelyabinsk Dungeon", "Samara Jail", "Chelyabinsk Stockade", "Volgograd Institution", "Barnaul Institution", "Yekaterinburg Institution", "Barnaul Stockade", "Tyumen Jail", "Voronezh Penitentiary", "Barnaul Dungeon", "Chelyabinsk Dungeon", "Barnaul Institution", "Krasnodar Stockade", "Tyumen Institution", "Tolyatti Stockade", "Novosibirsk Institution", "Izhevsk Dungeon", "Novosibirsk Prison", "Saratov Complex", "Moscow Prison", "Volgograd Jail", "Chelyabinsk Facility", "Novosibirsk Facility", "Krasnoyarsk Penitentiary", "Kazan Institution", "Novosibirsk Penitentiary", "Krasnoyarsk Facility", "Novosibirsk Prison", "Yekaterinburg Facility", "Moscow Facility", "Kazan Jail", "Krasnoyarsk Prison", "Izhevsk Institution", "Novosibirsk Dungeon", "Krasnodar Complex", "Krasnoyarsk Complex", "Voronezh Dungeon", "Omsk Stockade", "Yekaterinburg Stockade", "Tolyatti Stockade", "Volgograd Institution", "Omsk Complex", "Chelyabinsk Complex", "Saratov Dungeon", "Saratov Institution", "Yekaterinburg Jail", "Chelyabinsk Dungeon", "Izhevsk Facility", "Izhevsk Facility", "Volgograd Stockade", "Novosibirsk Penitentiary", "Izhevsk Jail", "Kazan Institution", "Volgograd Prison", "Saratov Complex", "Samara Facility", "Izhevsk Facility", "Moscow Institution", "Kazan Penitentiary", "Saratov Penitentiary", "Tyumen Facility", "Krasnodar Complex", "Tolyatti Facility", "Krasnoyarsk Complex", "Omsk Prison", "Chelyabinsk Facility", "Tolyatti Penitentiary", "Krasnoyarsk Prison", "Voronezh Penitentiary", "Chelyabinsk Stockade", "Omsk Penitentiary", "Voronezh Penitentiary", "Chelyabinsk Institution", "Chelyabinsk Institution", "Tyumen Complex", "Barnaul Complex", "Izhevsk Prison", "Omsk Complex", "Barnaul Penitentiary", "Yekaterinburg Dungeon", "Novosibirsk Facility", "Kazan Facility", "Krasnoyarsk Prison", "Moscow Prison", "Volgograd Jail", "Novosibirsk Stockade", "Moscow Prison", "Chelyabinsk Stockade", "Barnaul Facility", "Krasnoyarsk Dungeon", "Omsk Prison", "Krasnoyarsk Stockade", "Tyumen Penitentiary", "Izhevsk Institution", "Volgograd Complex", "Novosibirsk Complex", "Kazan Stockade", "Kazan Dungeon", "Omsk Dungeon", "Saratov Facility", "Krasnoyarsk Prison", "Krasnoyarsk Prison", "Yekaterinburg Dungeon", "Volgograd Facility", "Izhevsk Stockade", "Krasnodar Stockade", "Saratov Dungeon", "Kazan Stockade", "Barnaul Facility", "Volgograd Stockade", "Novosibirsk Penitentiary", "Izhevsk Jail", "Chelyabinsk Prison", "Chelyabinsk Facility", "Saratov Stockade", "Tyumen Institution", "Tyumen Complex", "Voronezh Stockade", "Novosibirsk Penitentiary", "Barnaul Dungeon", "Tyumen Complex", "Voronezh Institution", "Tyumen Jail", "Moscow Penitentiary", "Krasnoyarsk Dungeon", "Kazan Facility", "Moscow Jail", "Izhevsk Jail", "Chelyabinsk Prison", "Yekaterinburg Stockade", "Krasnodar Jail", "Samara Complex", "Saratov Facility", "Saratov Institution", "Novosibirsk Penitentiary", 
// Galaxy 5
"Grisly Harbour", "Frightful Cavern", "Fiendish Cove", "Grim Bay", "Horrific Hovel", "Ominous Hovel", "Haunted Harbour", "Grisly Harbour", "Fiendish Crypt", "Sinister Bay", "Demonic Cove", "Gruesome Harbour", "Horrendous Hovel", "Haunted Quarry", "Desolate Cavern", "Diabolical Quarry", "Frightful Cavern", "Sinister Grotto", "Fiendish Antre", "Grisly Cavern", "Grim Antre", "Horrific Abyss", "Ghastly Harbour", "Sombre Grotto", "Horrific Quarry", "Sinister Cove", "Frightful Fortress", "Sinister Mausoleum", "Horrific Harbour", "Fiendish Bay", "Desolate Mausoleum", "Horrendous Crypt", "Fiendish Cavern", "Ominous Bay", "Diabolical Abyss", "Gruesome Workhouse", "Horrendous Bay", "Grisly Wharf", "Horrendous Cove", "Grim Wharf", "Demonic Chasm", "Ominous Mausoleum", "Frightful Chasm", "Grim Cove", "Horrendous Abyss", "Ghastly Harbour", "Frightful Cavern", "Sombre Cove", "Fiendish Grotto", "Haunted Fortress", "Gruesome Hovel", "Haunted Cavern", "Demonic Harbour", "Grim Abyss", "Ominous Harbour", "Ominous Cavern", "Gruesome Cove", "Ghastly Cove", "Grim Crypt", "Ghastly Abyss", "Desolate Wharf", "Gruesome Wharf", "Haunted Bay", "Demonic Fortress", "Grim Antre", "Haunted Grotto", "Frightful Abyss", "Fiendish Chasm", "Grisly Bay", "Desolate Wharf", "Ghastly Quarry", "Diabolical Bay", "Grisly Mausoleum", "Gruesome Fortress", "Haunted Cove", "Fiendish Wharf", "Fiendish Abyss", "Haunted Workhouse", "Grim Harbour", "Ghastly Antre", "Grisly Quarry", "Frightful Fortress", "Demonic Cavern", "Ghastly Bay", "Horrific Hovel", "Horrific Mausoleum", "Gruesome Cove", "Grim Crypt", "Malevolent Wharf", "Demonic Chasm", "Fiendish Chasm", "Diabolical Chasm", "Sinister Harbour", "Grim Abyss", "Horrendous Quarry", "Sinister Antre", "Fiendish Mausoleum", "Grisly Hovel", "Desolate Hollow", "Ominous Wharf", "Grim Hovel", "Sombre Antre", "Haunted Harbour", "Grim Workhouse", "Gruesome Cavern", "Malevolent Harbour", "Diabolical Abyss", "Demonic Cove", "Gruesome Harbour", "Horrific Workhouse", "Horrific Crypt", "Frightful Abyss", "Horrific Fortress", "Ominous Wharf", "Grim Hovel", "Sinister Hovel", "Demonic Bay", "Sinister Antre", "Fiendish Mausoleum", "Grim Grotto", "Horrific Grotto", "Grisly Hovel", "Horrific Wharf", "Fiendish Bay", "Ominous Cavern", "Grim Cavern", "Frightful Bay", "Frightful Wharf", "Diabolical Workhouse", "Haunted Cavern", "Frightful Abyss", "Horrific Hollow", "Demonic Cavern", "Diabolical Fortress", "Desolate Workhouse", "Grim Harbour", "Grisly Quarry", "Sinister Hollow", "Grim Antre", "Haunted Grotto", "Sombre Hollow", "Diabolical Hollow", "Horrendous Grotto", "Grisly Hovel", "Ominous Chasm", "Sombre Crypt", "Ghastly Workhouse", "Frightful Hovel", "Demonic Wharf", "Ghastly Cavern", "Horrendous Mausoleum", "Sinister Abyss", "Sombre Wharf", "Sombre Bay", "Sombre Wharf", "Frightful Harbour", "Ghastly Fortress", "Frightful Abyss", "Horrendous Fortress", "Desolate Abyss", "Fiendish Workhouse", "Demonic Bay", "Grisly Mausoleum", "Gruesome Hollow", "Fiendish Chasm", "Diabolical Hollow", "Ominous Crypt", "Fiendish Cavern", "Horrific Harbour", "Horrific Chasm", "Diabolical Chasm", "Frightful Harbour", "Ghastly Fortress", "Frightful Wharf", "Demonic Cove", "Diabolical Harbour", "Horrendous Antre", "Sinister Cove", "Fiendish Mausoleum", "Gruesome Cove", "Ghastly Cove", "Horrendous Abyss", "Diabolical Chasm", "Fiendish Chasm", "Ghastly Harbour", "Diabolical Bay", "Gruesome Workhouse", "Horrific Wharf", "Horrific Abyss", "Malevolent Antre", "Ominous Fortress", "Grim Fortress", "Sinister Harbour", "Malevolent Hollow", "Gruesome Workhouse", "Horrendous Bay", "Ghastly Antre", "Ghastly Cove", "Desolate Cavern", "Gruesome Hovel", "Grim Mausoleum", "Ominous Workhouse", "Haunted Quarry", "Grim Workhouse", "Grisly Chasm", "Grisly Crypt", "Frightful Hovel", "Sombre Fortress", "Frightful Crypt", "Grim Cavern", "Sinister Wharf", "Demonic Hovel", "Gruesome Harbour", "Ominous Quarry", "Horrific Abyss", "Ghastly Harbour", "Sinister Hollow", "Desolate Workhouse", "Grim Wharf", "Demonic Chasm", "Ominous Grotto", "Diabolical Quarry", "Horrendous Hovel", "Desolate Cove", "Sinister Hovel", "Grisly Antre", "Grisly Quarry", "Diabolical Bay", "Grisly Grotto", "Grim Quarry", "Malevolent Hovel", "Frightful Hovel", "Sinister Abyss", "Fiendish Chasm", "Grisly Bay", "Grim Abyss", "Ominous Harbour", "Horrific Chasm", "Diabolical Chasm", "Fiendish Chasm", "Ghastly Harbour", "Sinister Fortress", "Gruesome Chasm", "Sinister Harbour", "Grim Bay", "Sombre Crypt", "Malevolent Mausoleum", "Ghastly Bay", "Desolate Bay", "Diabolical Chasm", "Sombre Abyss", "Desolate Mausoleum", "Frightful Chasm", "Grim Antre", "Ominous Fortress", "Haunted Chasm", 
// Galaxy 6
"Anatoly's Fortress", "Kliment's Quarry", "Ivan's Cavern", "Nikolai's Cavern", "Viktor's Grotto", "Nikita's Cove", "Toktar's Quarry", "Mikhail's Cove", "Aleksandr's Grotto", "Viktor's Harbour", "Yuri's Hollow", "Viktor's Cavern", "Toktar's Hollow", "Ivan's Grotto", "Yakov's Cavern", "Ivan's Fortress", "Mikhail's Quarry", "Vasili's Fortress", "Aleksandr's Cove", "Aleksandr's Quarry", "Viktor's Cove", "Anatoly's Quarry", "Nikita's Quarry", "Yakov's Hollow", "Nikita's Grotto", "Andrei's Harbour", "Kliment's Fortress", "Mikhail's Harbour", "Nikita's Grotto", "Valentin's Hovel", "Dmitry's Grotto", "Yuri's Quarry", "Oleg's Hollow", "Oleg's Quarry", "Dmitry's Grotto", "Viktor's Hovel", "Toktar's Quarry", "Ivan's Quarry", "Ivan's Cavern", "Nikolai's Fortress", "Nikolai's Fortress", "Vasili's Grotto", "Kliment's Quarry", "Mikhail's Fortress", "Yuri's Hollow", "Yuri's Hovel", "Oleg's Grotto", "Oleg's Grotto", "Yuri's Fortress", "Yuri's Cove", "Yuri's Quarry", "Toktar's Cavern", "Anatoly's Hovel", "Vasili's Cove", "Valentin's Hollow", "Viktor's Quarry", "Viktor's Quarry", "Viktor's Quarry", "Nikolai's Grotto", "Toktar's Fortress", "Kliment's Quarry", "Dmitry's Harbour", "Andrei's Hovel", "Ivan's Fortress", "Anatoly's Grotto", "Mikhail's Hollow", "Andrei's Fortress", "Dmitry's Fortress", "Vasili's Harbour", "Valentin's Cove", "Nikita's Cove", "Toktar's Quarry", "Kliment's Hollow", "Andrei's Cavern", "Nikolai's Quarry", "Viktor's Cove", "Dmitry's Harbour", "Toktar's Quarry", "Mikhail's Quarry", "Aleksandr's Cavern", "Valentin's Grotto", "Anatoly's Fortress", "Viktor's Harbour", "Toktar's Cavern", "Oleg's Cavern", "Vasili's Harbour", "Mikhail's Quarry", "Andrei's Hovel", "Nikita's Cavern", "Yuri's Cove", "Viktor's Quarry", "Kliment's Hovel", "Nikita's Cove", "Kliment's Hollow", "Ivan's Hollow", "Yakov's Cove", "Toktar's Cavern", "Toktar's Hovel", "Nikolai's Grotto", "Ivan's Quarry", "Dmitry's Harbour", "Yuri's Hovel", "Yakov's Quarry", "Nikolai's Harbour", "Aleksandr's Harbour", "Yakov's Grotto", "Kliment's Cavern", "Yuri's Cove", "Ivan's Cavern", "Nikita's Hollow", "Yuri's Harbour", "Valentin's Cove", "Nikolai's Hollow", "Valentin's Quarry", "Anatoly's Quarry", "Viktor's Cavern", "Yakov's Fortress", "Yuri's Fortress", "Anatoly's Harbour", "Aleksandr's Hovel", "Valentin's Hollow", "Kliment's Cove", "Yakov's Harbour", "Oleg's Cove", "Vasili's Cove", "Kliment's Hovel", "Vasili's Hollow", "Viktor's Cavern", "Yakov's Fortress", "Yuri's Fortress", "Valentin's Grotto", "Aleksandr's Cove", "Ivan's Cavern", "Andrei's Harbour", "Aleksandr's Hovel", "Valentin's Hollow", "Yuri's Hollow", "Viktor's Grotto", "Vasili's Harbour", "Toktar's Cavern", "Anatoly's Hovel", "Vasili's Hovel", "Dmitry's Quarry", "Kliment's Hollow", "Oleg's Fortress", "Toktar's Hollow", "Oleg's Quarry", "Dmitry's Hovel", "Viktor's Hovel", "Viktor's Fortress", "Aleksandr's Hovel", "Ivan's Cavern", "Yuri's Quarry", "Dmitry's Hovel", "Andrei's Hollow", "Andrei's Cove", "Kliment's Grotto", "Ivan's Cove", "Viktor's Fortress", "Yuri's Hovel", "Andrei's Hovel", "Nikita's Fortress", "Toktar's Grotto", "Mikhail's Hollow", "Nikita's Grotto", "Anatoly's Fortress", "Valentin's Grotto", "Viktor's Grotto", "Nikolai's Harbour", "Yuri's Harbour", "Anatoly's Cavern", "Oleg's Grotto", "Mikhail's Hollow", "Viktor's Quarry", "Ivan's Cavern", "Vasili's Grotto", "Nikolai's Harbour", "Oleg's Cavern", "Oleg's Grotto", "Andrei's Cavern", "Nikolai's Quarry", "Dmitry's Harbour", "Oleg's Hovel", "Nikolai's Hovel", "Kliment's Quarry", "Nikolai's Cove", "Mikhail's Hollow", "Viktor's Harbour", "Andrei's Hollow", "Oleg's Cove", "Toktar's Fortress", "Valentin's Grotto", "Vasili's Cove", "Valentin's Hollow", "Oleg's Fortress", "Anatoly's Hollow", "Nikita's Grotto", "Toktar's Hollow", "Oleg's Cove", "Yuri's Harbour", "Valentin's Quarry", "Toktar's Quarry", "Ivan's Harbour", "Kliment's Hovel", "Kliment's Quarry", "Ivan's Grotto", "Mikhail's Grotto", "Yuri's Quarry", "Andrei's Hollow", "Anatoly's Harbour", "Nikolai's Fortress", "Nikolai's Fortress", "Kliment's Fortress", "Valentin's Harbour", "Mikhail's Cavern", "Vasili's Grotto", "Nikita's Hovel", "Mikhail's Cove", "Kliment's Hollow", "Anatoly's Grotto", "Kliment's Cavern", "Oleg's Harbour", "Vasili's Cavern", "Mikhail's Grotto", "Yuri's Quarry", "Dmitry's Grotto", "Yuri's Quarry", "Oleg's Hollow", "Toktar's Hollow", "Yakov's Hollow", "Mikhail's Cavern", "Nikolai's Grotto", "Mikhail's Hovel", "Toktar's Hollow", "Valentin's Grotto", "Anatoly's Fortress", "Nikolai's Cove", "Andrei's Hovel", "Kliment's Hovel", "Kliment's Harbour", "Vasili's Quarry", "Viktor's Cove", "Toktar's Cove", "Mikhail's Cove", "Nikolai's Harbour", "Aleksandr's Hollow", "Vasili's Grotto", "Kliment's Harbour", "Yuri's Hollow", "Andrei's Quarry", "Dmitry's Hovel", "Andrei's Hollow", "Anatoly's Harbour", "Viktor's Grotto", "Kliment's Quarry", "Viktor's Cove", 
// Galaxy 7
"Reaper's Bargain", "Red November", "Reaper's Reflection", "Devil's Rock", "Devil's Island", "Reaper's Image", "Reaper's Summons", "Reaper's Icon", "Red October", "Daemon's Lair", "Reaper's Reflection", "Reaper's Image", "Red Flame", "Reaper's Dance", "Red November", "Reaper's Call", "Reaper's Call", "Daemon's Burrow", "Devil's Parlour", "Daemon's Gate", "Red Army", "Daemon's Rancour", "Devil's Pit", "Reaper's Summons", "Portmeirion Village", "Red October", "Daemon's Song", "Daemon's Crag", "Devil's Run", "Daemon's Burrow", "Black Bay", "Red Devil", "Devil's Pact", "Devil's Parlour", "Devil's Parlour", "Red Devil", "Red Flame", "Reaper's Summons", "Portmeirion Village", "Devil's Delve", "Red Flame", "Daemon's Crag", "Daemon's Song", "Daemon's Stone", "Devil's Rock", "Red Army", "Red October", "Red Diamond", "Devil's Delve", "Devil's Visage", "Red November", "Red Diamond", "Red November", "Red Army", "Red October", "Daemon's Song", "Reaper's Dance", "Devil's Delve", "Devil's Visage", "Daemon's Rancour", "Daemon's Rancour", "Portmeirion Village", "Daemon's Crag", "Reaper's Image", "Devil's Visage", "Devil's Run", "Devil's Island", "Daemon's Song", "Reaper's Dance", "Devil's Run", "Reaper's Call", "Reaper's Image", "Reaper's Reflection", "Reaper's Image", "Red Flame", "Daemon's Gate", "Devil's Visage", "The Red Flag", "Reaper's Icon", "Daemon's Gate", "Red Diamond", "Reaper's Bargain", "Daemon's Rancour", "Reaper's Banner", "Devil's Parlour", "Daemon's Crag", "Devil's Run", "Daemon's Lair", "Daemon's Gate", "Red Diamond", "Reaper's Bay", "Reaper's Reflection", "Devil's Rock", "Devil's Rock", "Devil's Rock", "Red Diamond", "Devil's Pit", "Reaper's Summons", "Portmeirion Village", "Daemon's Crag", "Reaper's Image", "Red Diamond", "Devil's Parlour", "Red Rock", "Reaper's Call", "Daemon's Burrow", "Black November", "Daemon's Lair", "Reaper's Reflection", "Devil's Rock", "Red Army", "Daemon's Rancour", "Devil's Delve", "Devil's Visage", "Red October", "Reaper's Image", "Devil's Visage", "The Red Flag", "Devil's Run", "Devil's Rock", "Red Army", "The Red Flag", "The Red Flag", "Devil's Run", "Devil's Rock", "Devil's Island", "Devil's Delve", "Red Flame", "Red September", "Daemon's Lair", "Reaper's Reflection", "Red Army", "Portmeirion Village", "Daemon's Stone", "Portmeirion Village", "Devil's Pit", "Daemon's Gate", "Red Diamond", "Reaper's Bargain", "Reaper's Dance", "Devil's Run", "Reaper's Call", "Red Diamond", "Devil's Pit", "Devil's Pact", "Reaper's Bargain", "Daemon's Stone", "The Red Flag", "Devil's Run", "Reaper's Call", "Reaper's Image", "Devil's Visage", "Red November", "Reaper's Reflection", "Devil's Rock", "Portmeirion Village", "Devil's Pit", "Reaper's Dance", "Red November", "Devil's Visage", "Red October", "Red Army", "Reaper's Banner", "Devil's Pit", "Reaper's Summons", "Red Army", "Reaper's Banner", "Devil's Pact", "Reaper's Dance", "Reaper's Banner", "Devil's Parlour", "Devil's Parlour", "Daemon's Crag", "Reaper's Call", "Reaper's Call", "Daemon's Song", "Reaper's Dance", "Devil's Delve", "Red Flame", "May Day", "Daemon's Burrow", "Devil's Parlour", "The Last Dance", "Daemon's Lair", "Reaper's Reflection", "Reaper's Call", "Reaper's Call", "Red Diamond", "Devil's Pit", "Reaper's Summons", "The Red Flag", "Reaper's Icon", "Daemon's Gate", "Red Diamond", "Reaper's Banner", "Devil's Pit", "Reaper's Summons", "The Red Flag", "Reaper's Image", "Devil's Visage", "Devil's Run", "Reaper's Reflection", "Devil's Run", "Reaper's Image", "Devil's Visage", "Daemon's Rancour", "Portmeirion Village", "Devil's Pit", "Daemon's Gate", "Red Diamond", "Devil's Delve", "Daemon's Burrow", "Red Devil", "Red Devil", "Devil's Pact", "Reaper's Banner", "Red Devil", "Devil's Visage", "Daemon's Rancour", "Reaper's Banner", "Reaper's Bargain", "Red November", "Devil's Island", "Reaper's Icon", "Reaper's Summons", "Portmeirion Village", "Devil's Pit", "Reaper's Summons", "Reaper's Banner", "May Day", "Reaper's Call", "Daemon's Song", "Reaper's Summons", "Portmeirion Village", "Red November", "Red Army", "Daemon's Stone", "Daemon's Rancour", "Reaper's Banner", "Reaper's Bargain", "Red November", "Red Army", "The Red Flag", "Devil's Run", "Devil's Rock", "Portmeirion Village", "Devil's Delve", "Red Flame", "Bleak Bay", "Daemon's Gate", "Red Diamond", "Devil's Parlour", "Red November", "Devil's Island", "Devil's Delve", "Devil's Pact",    
// Galaxy 8
"Valeria's Gate", "Avdotya's Run", "Danica's Parlour", "Xenia's Burrow", "Avdotya's Lair", "Zora's Burrow", "Raisa's Burrow", "Avelina's Visage", "Valeria's Rancour", "Raisa's Rancour", "Xenia's Rock", "Valeria's Rancour", "Danica's Song", "Viktoriya's Bargain", "Raisa's Call", "Danica's Parlour", "Karina's Banner", "Vlada's Banner", "Ruslana's Dance", "Kira's Summons", "Avdotya's Image", "Danica's Burrow", "Raisa's Summons", "Xenia's Song", "Raisa's Maze", "Zora's Song", "Avdotya's Pit", "Raisa's Reflection", "Zora's Stone", "Karolina's Visage", "Zora's Image", "Kira's Rock", "Jekaterina's Lair", "Avelina's Maze", "Karolina's Call", "Avelina's Rock", "Zora's Lair", "Viktoriya's Maze", "Vlada's Burrow", "Danica's Banner", "Kira's Pit", "Valeria's Rock", "Vasilisa's Song", "Ruslana's Lair", "Karina's Reflection", "Karolina's Pact", "Vlada's Song", "Ruslana's Visage", "Kira's Dance", "Vasilisa's Parlour", "Raisa's Call", "Viktoriya's Image", "Valentina's Parlour", "Zora's Call", "Ruslana's Delve", "Avelina's Crag", "Kira's Song", "Ruslana's Stone", "Avelina's Dance", "Karina's Gate", "Viktoriya's Reflection", "Viktoriya's Image", "Zora's Rancour", "Avelina's Burrow", "Karina's Call", "Karina's Rock", "Karolina's Pact", "Danica's Crag", "Valeria's Dance", "Xenia's Pit", "Viktoriya's Banner", "Zora's Banner", "Raisa's Crag", "Zora's Dance", "Avdotya's Summons", "Avelina's Rancour", "Xenia's Dance", "Valeria's Rock", "Vlada's Gate", "Vasilisa's Bargain", "Vlada's Stone", "Raisa's Dance", "Avdotya's Banner", "Valeria's Rock", "Jekaterina's Banner", "Danica's Crag", "Viktoriya's Delve", "Jekaterina's Delve", "Jekaterina's Lair", "Vasilisa's Crag", "Ruslana's Maze", "Raisa's Banner", "Raisa's Dance", "Viktoriya's Icon", "Karina's Bargain", "Xenia's Pact", "Vasilisa's Summons", "Vasilisa's Rock", "Vasilisa's Visage", "Viktoriya's Island", "Ruslana's Island", "Zora's Rock", "Viktoriya's Stone", "Viktoriya's Image", "Karina's Maze", "Avdotya's Song", "Valentina's Maze", "Valentina's Pit", "Jekaterina's Pact", "Valentina's Visage", "Viktoriya's Burrow", "Karina's Song", "Vasilisa's Stone", "Jekaterina's Run", "Karina's Summons", "Jekaterina's Call", "Viktoriya's Rock", "Avdotya's Dance", "Karina's Icon", "Karina's Pit", "Avelina's Rock", "Vlada's Rock", "Avdotya's Rancour", "Karolina's Maze", "Vasilisa's Rock", "Valentina's Stone", "Avelina's Stone", "Valentina's Island", "Raisa's Gate", "Kira's Image", "Jekaterina's Pact", "Valeria's Stone", "Avelina's Visage", "Karolina's Parlour", "Ruslana's Rock", "Karolina's Reflection", "Vlada's Visage", "Valentina's Maze", "Avdotya's Summons", "Viktoriya's Visage", "Raisa's Pact", "Valeria's Song", "Raisa's Crag", "Ruslana's Call", "Jekaterina's Delve", "Avelina's Banner", "Zora's Reflection", "Valeria's Run", "Avelina's Pact", "Xenia's Pit", "Zora's Island", "Raisa's Burrow", "Kira's Visage", "Avdotya's Maze", "Xenia's Run", "Ruslana's Maze", "Valentina's Lair", "Avelina's Island", "Jekaterina's Banner", "Kira's Rancour", "Ruslana's Pact", "Kira's Delve", "Viktoriya's Island", "Vlada's Visage", "Jekaterina's Delve", "Xenia's Delve", "Karina's Gate", "Zora's Burrow", "Zora's Song", "Vlada's Delve", "Avdotya's Burrow", "Jekaterina's Bargain", "Karina's Stone", "Raisa's Pact", "Zora's Maze", "Karina's Summons", "Valentina's Icon", "Xenia's Maze", "Karina's Run", "Vasilisa's Song", "Xenia's Bargain", "Karolina's Banner", "Valentina's Icon", "Zora's Pit", "Karina's Reflection", "Avelina's Reflection", "Jekaterina's Pit", "Avdotya's Dance", "Karina's Gate", "Xenia's Parlour", "Avdotya's Island", "Jekaterina's Maze", "Valentina's Rancour", "Valeria's Banner", "Ruslana's Icon", "Karolina's Lair", "Avelina's Song", "Zora's Crag", "Vasilisa's Visage", "Karina's Visage", "Danica's Bargain", "Vasilisa's Island", "Vlada's Maze", "Danica's Call", "Raisa's Banner", "Jekaterina's Image", "Vasilisa's Image", "Zora's Island", "Kira's Crag", "Vasilisa's Gate", "Kira's Maze", "Karolina's Banner", "Jekaterina's Visage", "Ruslana's Summons", "Viktoriya's Rancour", "Danica's Bargain", "Zora's Icon", "Jekaterina's Island", "Viktoriya's Lair", "Vasilisa's Reflection", "Zora's Call", "Danica's Stone", "Danica's Maze", "Jekaterina's Rock", "Ruslana's Maze", "Danica's Song", "Avdotya's Rancour", "Danica's Icon", "Xenia's Rancour", "Zora's Run", "Valentina's Maze", "Danica's Rancour", "Karolina's Maze", "Viktoriya's Run", "Valentina's Run", "Valeria's Island", "Avelina's Summons", "Ruslana's Song", "Viktoriya's Song", "Vlada's Song", "Zora's Maze", "Vasilisa's Song", "Jekaterina's Dance", "Viktoriya's Visage", "Vasilisa's Pit", "Raisa's Maze", "Zora's Parlour", "Avelina's Bargain", "Avdotya's Island", "Jekaterina's Burrow", "Zora's Parlour", "Avdotya's Burrow", "Karina's Crag", "Danica's Lair", "Valeria's Parlour", "Raisa's Lair", 
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Valeria Cove"];

//  Name Arrays for Astromine Penal Colonies - 5th Station in a given system to spawn. (Number of Names in Array: 2,048)
//  This uses the large counted pool method as above.
this.commiepool5 = [
// Galaxy 1
"Proletarian Partmaximum", "Illuminating Dekulakization", "Glorious Psikhushka", "Joyous Sovkhozes", "Unconquerable Udarnik", "Infallible Dekulakization", "Unconquerable Shabashka", "Artistic Sharashka", "Merciful Sovietization", "Unconquerable Pyatiletka", "Unassailable Pyatiletka", "Illuminating Sovietization", "Joyous Shturmovshchina", "Merciful Sanatoria", "Dynamic Yevsektsiya", "Merciful Nomenklatura", "Merciful Troika", "Glorious Uskoreniye", "Illuminating Shabashka", "Electrifying Uchraspred", "Infallible Udarnik", "Artistic Stakhanovite", "Electrifying Nomenklatura", "Dynamic Sharashka", "Unconquerable Udarnik", "Infallible Gosplan", "Elegant Uchraspred", "Dynamic Nomenklatura", "Elegant Prodnalog", "Artistic Sovkhozes", "Dynamic Prodrazvyorstka", "Infallible Shturmovshchina", "Electrifying Gosplan", "Infallible Psikhushka", "Elegant Prodnalog", "Uplifting Pyatiletka", "Unconquerable Nomenklatura", "Inspirational Pyatiletka", "Uplifting Prodrazvyorstka", "Illuminating Gosplan", "Indomitable Uskoreniye", "Infallible Vsevobuch", "Indomitable Khozraschyot", "Indomitable Apparatchik", "Elegant Apparatchik", "Unassailable Dekulakization", "Merciful Prodnalog", "Electrifying Psikhushka", "Unconquerable Sanatoria", "Indomitable Sovkhoz", "Elegant Uskoreniye", "Glorious Dekulakization", "Captivating Sovkhozes", "Captivating Uskoreniye", "Unassailable Likbez", "Joyous Sovkhoz", "Indomitable Kolkhoze", "Proletarian Troika", "Captivating Prodrazvyorstka", "Glorious Yevsektsiya", "Uplifting Uskoreniye", "Artistic Apparatchik", "Captivating Troika", "Unconquerable Khozraschyot", "Elegant Uskoreniye", "Merciful Shabashka", "Infallible Yevsektsiya", "Illuminating Uchraspred", "Illuminating Selsoviet", "Captivating Shabashka", "Elegant Naukograd", "Proletarian Prodnalog", "Illuminating Kolkhoze", "Infallible Sovkhoz", "Merciful Lysenkoism", "Captivating Psikhushka", "Electrifying Likbez", "Merciful Prodrazvyorstka", "Electrifying Psikhushka", "Unconquerable Sanatoria", "Infallible Vsevobuch", "Merciful Dekulakization", "Elegant Shabashka", "Unassailable Kolkhoze", "Glorious Prodrazvyorstka", "Merciful Sharashka", "Joyous Vsevobuch", "Glorious Nomenklatura", "Illuminating Shabashka", "Electrifying Lysenkoism", "Illuminating Likbez", "Proletarian Khozraschyot", "Artistic Shturmovshchina", "Illuminating Prodrazvyorstka", "Elegant Selsoviet", "Glorious Yevsektsiya", "Artistic Udarnik", "Indomitable Sharashka", "Indomitable Selsoviet", "Illuminating Uskoreniye", "Artistic Lysenkoism", "Dynamic Udarnik", "Inspirational Bolshevik", "Unconquerable Sovkhoz", "Proletarian Shturmovshchina", "Proletarian Vsevobuch", "Joyous Lysenkoism", "Illuminating Stakhanovite", "Indomitable Uskoreniye", "Inspirational Pyatiletka", "Uplifting Sanatoria", "Unconquerable Selsoviet", "Inspirational Prodnalog", "Artistic Kolkhoze", "Proletarian Sovkhozes", "Indomitable Likbez", "Uplifting Uskoreniye", "Inspirational Sovietization", "Glorious Uchraspred", "Electrifying Sharashka", "Elegant Sovkhozes", "Inspirational Likbez", "Illuminating Sanatoria", "Elegant Prodrazvyorstka", "Electrifying Likbez", "Merciful Sanatoria", "Merciful Kolkhoze", "Artistic Khozraschyot", "Illuminating Prodnalog", "Illuminating Uskoreniye", "Proletarian Prodnalog", "Inspirational Kulak", "Indomitable Uskoreniye", "Illuminating Shabashka", "Merciful Vsevobuch", "Illuminating Sovkhozes", "Indomitable Uskoreniye", "Unassailable Troika", "Captivating Kulak", "Unconquerable Vsevobuch", "Artistic Uchraspred", "Glorious Kolkhoze", "Electrifying Naukograd", "Inspirational Nomenklatura", "Proletarian Sanatoria", "Uplifting Bolshevik", "Artistic Selsoviet", "Illuminating Pyatiletka", "Captivating Bolshevik", "Inspirational Partmaximum", "Infallible Nomenklatura", "Proletarian Sanatoria", "Dynamic Prodnalog", "Glorious Yevsektsiya", "Dynamic Vsevobuch", "Dynamic Pyatiletka", "Illuminating Psikhushka", "Infallible Bolshevik", "Glorious Sharashka", "Proletarian Udarnik", "Captivating Psikhushka", "Proletarian Stakhanovite", "Illuminating Lysenkoism", "Unassailable Sanatoria", "Illuminating Nomenklatura", "Proletarian Prodrazvyorstka", "Dynamic Psikhushka", "Illuminating Gosplan", "Unassailable Sharashka", "Illuminating Khozraschyot", "Dynamic Selsoviet", "Captivating Troika", "Joyous Selsoviet", "Joyous Gosplan", "Elegant Dekulakization", "Illuminating Pyatiletka", "Captivating Vsevobuch", "Inspirational Vsevobuch", "Unconquerable Likbez", "Electrifying Kolkhoze", "Illuminating Yevsektsiya", "Glorious Kolkhoze", "Uplifting Kulak", "Artistic Sovietization", "Elegant Kolkhoze", "Captivating Nomenklatura", "Unassailable Sovkhoz", "Dynamic Shabashka", "Dynamic Sanatoria", "Inspirational Kulak", "Indomitable Troika", "Indomitable Vsevobuch", "Captivating Sovkhoz", "Infallible Uskoreniye", "Electrifying Lysenkoism", "Indomitable Kolkhoze", "Electrifying Uchraspred", "Illuminating Sovkhoz", "Merciful Likbez", "Infallible Uchraspred", "Inspirational Gosplan", "Infallible Sovkhoz", "Glorious Stakhanovite", "Artistic Prodrazvyorstka", "Unconquerable Selsoviet", "Elegant Uskoreniye", "Glorious Prodnalog", "Dynamic Vsevobuch", "Electrifying Sovietization", "Electrifying Udarnik", "Elegant Yevsektsiya", "Infallible Nomenklatura", "Joyous Selsoviet", "Joyous Gosplan", "Artistic Pyatiletka", "Unconquerable Udarnik", "Unassailable Prodrazvyorstka", "Illuminating Nomenklatura", "Electrifying Yevsektsiya", "Merciful Udarnik", "Joyous Stakhanovite", "Illuminating Likbez", "Joyous Sovkhoz", "Illuminating Sovkhoz", "Merciful Lysenkoism", "Uplifting Uskoreniye", "Inspirational Sovkhoz", "Unassailable Psikhushka", "Unassailable Uchraspred", "Indomitable Nomenklatura", "Elegant Shturmovshchina", "Joyous Khozraschyot", "Electrifying Naukograd", "Infallible Udarnik", "Artistic Lysenkoism", "Electrifying Uskoreniye", "Dynamic Kolkhoze", "Glorious Likbez", "Captivating Yevsektsiya", "Artistic Dekulakization", "Dynamic Prodnalog", "Unconquerable Sanatoria", "Infallible Partmaximum", "Illuminating Uchraspred", "Inspirational Gosplan", "Captivating Vsevobuch", "Infallible Uskoreniye", "Merciful Apparatchik", "Unassailable Nomenklatura", "Artistic Lysenkoism", "Electrifying Nomenklatura", "Uplifting Dekulakization", "Electrifying Uskoreniye", "Electrifying Sanatoria", "Inspirational Sovietization", "Unconquerable Uskoreniye",    
// Galaxy 2
"The Starshina Yeltsin", "The Major Khrushchev", "The Komdiv Saburov", "The Marshal Beria", "The Chairman Khrushchev", "The Komandarm Polyansky", "The Michman Osinsky", "The Michman Yeltsin", "The Marshal Bulganin", "The Polkovnik Kamenev", "The Marshal Kalinin", "The Efreitor Mazurov", "The Marshal Bazhanov", "The Major Podgorny", "The Michman Voznesensky", "The Praporshchik Kalinin", "The Chairman Mazurov", "The Commissar Kuznetsov", "The Starshina Yeltsin", "The Marshal Sverdlov", "The Komkor Chernenko", "The Matrose Mikoyan", "The Komdiv Bazhanov", "The Kombrig Polyansky", "The Komkor Malenkov", "The General Brezhnev", "The Commissar Lukyanov", "The Praporshchik Kamenev", "The Major Malenkov", "The Michman Saburov", "The Komkor Khrushchev", "The Commissar Bazhanov", "The Komkor Kuznetsov", "The Major Mazurov", "The Commissar Kamenev", "The Komdiv Sverdlov", "The Premier Vladimirsky", "The Efreitor Beria", "The Efreitor Podgorny", "The Komkor Polyansky", "The Michman Chernenko", "The Matrose Kalinin", "The Praporshchik Malenkov", "The Michman Shvernik", "The Komandarm Mikoyan", "The Chairman Kosygin", "The Komandarm Saburov", "The Efreitor Andropov", "The Michman Podgorny", "The Premier Mikoyan", "The Marshal Kamenev", "The Komdiv Osinsky", "The Praporshchik Kalinin", "The Chairman Vladimirsky", "The Premier Shvernik", "The Premier Khrushchev", "The Komandarm Voznesensky", "The Matrose Voznesensky", "The Matrose Brezhnev", "The Komandarm Voznesensky", "The Starshina Lukyanov", "The Kombrig Voroshilov", "The Michman Brezhnev", "The Premier Brezhnev", "The Praporshchik Voroshilov", "The Komandarm Podgorny", "The Komandarm Kuznetsov", "The Praporshchik Kalinin", "The Komkor Yeltsin", "The Polkovnik Bazhanov", "The Praporshchik Kuznetsov", "The General Zinoviev", "The Starshina Kaganovich", "The Marshal Podgorny", "The Praporshchik Mazurov", "The Premier Kalinin", "The Starshina Kalinin", "The Komandarm Bazhanov", "The Komkor Malenkov", "The Komdiv Yeltsin", "The Polkovnik Zinoviev", "The Marshal Shvernik", "The Efreitor Pavlov", "The Polkovnik Vladimirsky", "The Commissar Zinoviev", "The General Saburov", "The Marshal Voznesensky", "The Premier Kaganovich", "The Premier Saburov", "The Chairman Brezhnev", "The Praporshchik Mikoyan", "The Starshina Beria", "The Commissar Andropov", "The Matrose Lukyanov", "The Polkovnik Lukyanov", "The Michman Kuznetsov", "The Marshal Bulganin", "The Major Malenkov", "The Praporshchik Kalinin", "The Premier Bazhanov", "The Polkovnik Bazhanov", "The Polkovnik Voroshilov", "The Kombrig Kalinin", "The Premier Shvernik", "The Kombrig Yeltsin", "The Polkovnik Gromyko", "The Major Kosygin", "The Major Gromyko", "The Praporshchik Pavlov", "The Chairman Pavlov", "The Efreitor Chernenko", "The Matrose Lukyanov", "The Marshal Gromyko", "The Marshal Vladimirsky", "The Praporshchik Shvernik", "The Komkor Saburov", "The Michman Mikoyan", "The Matrose Kaganovich", "The Starshina Polyansky", "The Komandarm Zinoviev", "The Kombrig Mazurov", "The Kombrig Kalinin", "The Komkor Sverdlov", "The General Kosygin", "The Starshina Pavlov", "The Kombrig Chernenko", "The Praporshchik Beria", "The Praporshchik Kalinin", "The Matrose Yeltsin", "The Starshina Andropov", "The Komandarm Kamenev", "The Commissar Malenkov", "The Polkovnik Brezhnev", "The Major Gromyko", "The Praporshchik Pavlov", "The Commissar Khrushchev", "The Komdiv Zinoviev", "The Premier Kuznetsov", "The Michman Brezhnev", "The Premier Brezhnev", "The Michman Podgorny", "The Matrose Saburov", "The Matrose Kalinin", "The Marshal Kosygin", "The Komdiv Saburov", "The Major Kaganovich", "The Premier Lukyanov", "The Efreitor Voroshilov", "The Commissar Khrushchev", "The Premier Voroshilov", "The Kombrig Kuznetsov", "The Marshal Osinsky", "The General Gromyko", "The Efreitor Saburov", "The Starshina Kosygin", "The Starshina Shvernik", "The Polkovnik Yeltsin", "The Matrose Shvernik", "The Matrose Kalinin", "The Polkovnik Kuznetsov", "The Efreitor Bulganin", "The Komdiv Bulganin", "The General Mikoyan", "The Major Saburov", "The General Kosygin", "The Komkor Vladimirsky", "The Polkovnik Beria", "The Marshal Kalinin", "The Commissar Beria", "The General Polyansky", "The Komdiv Sverdlov", "The General Podgorny", "The Matrose Chernenko", "The Premier Kamenev", "The Komandarm Kaganovich", "The Praporshchik Vladimirsky", "The General Kosygin", "The Komkor Kaganovich", "The Komandarm Mazurov", "The Major Brezhnev", "The Efreitor Vladimirsky", "The Marshal Brezhnev", "The Marshal Yeltsin", "The Premier Pavlov", "The Commissar Lukyanov", "The Praporshchik Kamenev", "The Polkovnik Voznesensky", "The Komdiv Kuznetsov", "The Kombrig Shvernik", "The Komandarm Kalinin", "The Efreitor Polyansky", "The Major Kamenev", "The Komkor Zinoviev", "The Chairman Zinoviev", "The Polkovnik Mazurov", "The Efreitor Lukyanov", "The Marshal Mazurov", "The Praporshchik Pavlov", "The Premier Mikoyan", "The Polkovnik Bulganin", "The Starshina Kosygin", "The Matrose Vladimirsky", "The Starshina Polyansky", "The Komandarm Gromyko", "The Komkor Beria", "The Commissar Sverdlov", "The Komkor Kaganovich", "The Marshal Kosygin", "The Premier Vladimirsky", "The Efreitor Beria", "The Efreitor Podgorny", "The Komdiv Bazhanov", "The General Bazhanov", "The Michman Kalinin", "The Chairman Lukyanov", "The Commissar Pavlov", "The Major Khrushchev", "The Komandarm Brezhnev", "The Komandarm Kuznetsov", "The Praporshchik Mazurov", "The Commissar Kamenev", "The Chairman Bazhanov", "The Michman Kalinin", "The General Beria", "The Michman Gromyko", "The Efreitor Mazurov", "The Komkor Yeltsin", "The Major Lukyanov", "The Commissar Kamenev", "The Komdiv Malenkov", "The Premier Kaganovich", "The Matrose Malenkov", "The Komdiv Kalinin", "The General Pavlov", "The Premier Kosygin", "The Kombrig Kosygin", "The Praporshchik Yeltsin", "The General Chernenko", "The Praporshchik Beria", "The Polkovnik Kamenev", "The Komkor Chernenko", "The General Gromyko", "The Matrose Voroshilov", "The Premier Kosygin", "The Major Kaganovich", "The Premier Gromyko", "The Major Kosygin", "The Komkor Kuznetsov", "The Efreitor Shvernik", "The Major Chernenko", "The Praporshchik Podgorny", "The Starshina Kamenev", "The Matrose Yeltsin", "The Starshina Andropov", "The Komandarm Sverdlov", "The Kombrig Pavlov", 
// Galaxy 3
"Compound of Doom", "The Caves of Dread", "The Isle of Dread", "The Isle of Doom", "Asylum of Dread", "Cove of Horror", "Compound of Misery", "Compound of Vengeance", "The Road to Torment", "Asylum of Desolation", "The Isle of Despair", "The Isle of Justice", "Gateway to Despair", "Gateway to Desolation", "The Road to Justice", "Mine of Desolation", "The Caverns of Justice", "Asylum of Despair", "Mine of Horror", "Hammer of Horror", "Compound of Terror", "Cove of Retribution", "Compound of Vengeance", "Asylum of Vengeance", "The Road to Dread", "Labyrinth of Vengeance", "Compound of Horror", "The Isle of Misery", "Hammer of Agony", "Hammer of Vengeance", "Gateway to Terror", "Asylum of Agony", "The Caverns of Despair", "The Road to Terror", "The Isle of Misery", "Mine of Torment", "Cove of Misery", "Compound of Justice", "The Caves of Despair", "The Caves of Despair", "The Caves of Despair", "Compound of Dread", "The Caves of Justice", "Compound of Desolation", "Hammer of Despair", "Gateway to Justice", "Asylum of Dread", "Cove of Despair", "Mine of Justice", "Mine of Dread", "Mine of Vengeance", "The Road to Justice", "Compound of Terror", "Compound of Doom", "Labyrinth of Terror", "Isle of Horror", "The Isle of Torment", "The Caverns of Terror", "The Isle of Desolation", "Mine of Torment", "Compound of Doom", "Compound of Terror", "Mine of Dread", "The Road to Despair", "Labyrinth of Horror", "Cove of Misery", "Compound of Justice", "Hammer of Justice", "Asylum of Retribution", "Asylum of Misery", "The Isle of Agony", "Labyrinth of Justice", "Hammer of Desolation", "The Caves of Agony", "Cove of Doom", "Asylum of Torment", "The Caverns of Misery", "Isle of Horror", "Compound of Retribution", "The Isle of Torment", "Road to Horror", "Sickle of Misery", "The Isle of Justice", "The Isle of Desolation", "Cove of Misery", "Hammer of Dread", "The Caverns of Vengeance", "Asylum of Terror", "The Isle of Retribution", "Sickle of Vengeance", "The Road to Torment", "Asylum of Vengeance", "Gateway to Misery", "The Caves of Retribution", "Sickle of Agony", "Labyrinth of Horror", "Cove of Horror", "Mine of Dread", "Hammer of Despair", "The Caverns of Horror", "The Road to Dread", "Hammer of Terror", "Hammer of Retribution", "The Caves of Misery", "Mine of Despair", "Asylum of Terror", "Labyrinth of Justice", "The Isle of Dread", "Gateway to Despair", "Gateway to Justice", "Labyrinth of Dread", "Mine of Vengeance", "Compound of Retribution", "Labyrinth of Retribution", "Hammer of Desolation", "Sickle of Doom", "Asylum of Justice", "The Isle of Doom", "Hammer of Horror", "Gateway to Despair", "Asylum of Despair", "Gateway to Torment", "Sickle of Misery", "Compound of Despair", "Gateway to Doom", "Compound of Horror", "Asylum of Terror", "Asylum of Desolation", "Hammer of Terror", "The Caverns of Torment", "Asylum of Torment", "Cove of Justice", "Sickle of Agony", "Mine of Agony", "The Road to Agony", "Gateway to Desolation", "Compound of Despair", "Gateway to Dread", "Cove of Torment", "The Caverns of Vengeance", "Sickle of Despair", "The Caves of Horror", "Mine of Misery", "Cove of Retribution", "Labyrinth of Doom", "Hammer of Torment", "Sickle of Justice", "Asylum of Justice", "Mine of Horror", "Compound of Torment", "Sickle of Retribution", "Labyrinth of Doom", "Compound of Dread", "Cove of Desolation", "Compound of Doom", "The Caves of Justice", "Compound of Vengeance", "Hammer of Agony", "The Road to Dread", "Cove of Agony", "Labyrinth of Justice", "Compound of Misery", "Sickle of Misery", "The Caverns of Vengeance", "The Isle of Despair", "The Caves of Dread", "The Road to Misery", "The Caves of Retribution", "Gateway to Dread", "The Isle of Dread", "Hammer of Terror", "Cove of Justice", "The Isle of Desolation", "The Road to Torment", "Mine of Justice", "The Isle of Terror", "The Caverns of Vengeance", "Cove of Terror", "Sickle of Dread", "Compound of Doom", "Gateway to Horror", "Hammer of Torment", "The Caves of Torment", "The Caverns of Misery", "Cove of Torment", "Asylum of Doom", "Mine of Torment", "Mine of Vengeance", "The Road to Terror", "Sickle of Misery", "Hammer of Doom", "Sickle of Despair", "Gateway to Horror", "Gateway to Doom", "The Caves of Vengeance", "Mine of Dread", "The Caves of Torment", "Hammer of Misery", "The Road to Agony", "Compound of Vengeance", "Compound of Vengeance", "Labyrinth of Dread", "Isle of Horror", "The Caves of Justice", "Sickle of Misery", "The Isle of Vengeance", "Compound of Torment", "The Isle of Terror", "Gateway to Doom", "Gateway to Misery", "Sickle of Terror", "Asylum of Misery", "Asylum of Retribution", "The Caverns of Retribution", "Compound of Misery", "The Caverns of Horror", "The Caves of Agony", "Gateway to Torment", "Compound of Justice", "Mine of Desolation", "The Caves of Retribution", "The Caves of Misery", "Gateway to Despair", "Labyrinth of Doom", "Compound of Retribution", "Sickle of Desolation", "Hammer of Desolation", "Asylum of Desolation", "Gateway to Justice", "The Road to Agony", "Cove of Retribution", "Labyrinth of Dread", "Asylum of Torment", "Gateway to Justice", "Mine of Terror", "Compound of Misery", "Gateway to Justice", "Labyrinth of Terror", "The Caves of Misery", "Asylum of Despair", "Labyrinth of Desolation", "Cove of Doom", "Labyrinth of Misery", "Sickle of Doom", "The Isle of Justice", "Compound of Justice", "Hammer of Despair", "Gateway to Terror", "The Road to Torment", "Hammer of Vengeance", "The Caves of Doom", "The Road to Doom", "The Road to Terror", "The Caves of Justice", "Cove of Desolation", "The Isle of Justice",    
// Galaxy 4
"Nonconformist's Atonement", "Nonconformist's Recompense", "Imperialist's Reckoning", "Deserter's Recompense", "Refusenik's Reckoning", "Troublemaker's Atonement", "Nonconformist's Fate", "Iconoclast's Reward", "Turncoat's Remorse", "Agitator's Reckoning", "Dissident's Desserts", "Defector's Anguish", "Iconoclast's Anguish", "Wrecker's Desserts", "Dissident's Reward", "Malcontent's Contrition", "Traitor's Anguish", "Agitator's Recompense", "Turncoat's Recompense", "Traitor's Desserts", "Reactionary's Reckoning", "Iconoclast's Exile", "Wrecker's Remorse", "Conspirator's Penitence", "Refusenik's Repentance", "Traitor's End", "Deserter's Gulag", "Imperialist's Gulag", "Dissenter's End", "Iconoclast's Repentance", "Imperialist's Anguish", "Dissident's Exile", "Refusenik's Tears", "Wrecker's Tears", "Reactionary's Fate", "Nonconformist's Contrition", "Iconoclast's Regret", "Dissident's Contrition", "Malcontent's Reward", "Malcontent's Reckoning", "Defector's Repentance", "Nonconformist's Exile", "Wrecker's End", "Agitator's Gulag", "Nonconformist's Contrition", "Turncoat's Penitence", "Troublemaker's Exile", "Malcontent's Atonement", "Wrecker's Reckoning", "Dissenter's Recompense", "Imperialist's Desserts", "Wrecker's Reward", "Defector's Contrition", "Imperialist's Anguish", "Deserter's Atonement", "Defector's Tears", "Reactionary's Fate", "Dissenter's Remorse", "Refusenik's Recompense", "Traitor's Exile", "Iconoclast's End", "Wrecker's Desserts", "Imperialist's Fate", "Traitor's Recompense", "Nonconformist's Recompense", "Deserter's Reward", "Dissenter's Regret", "Dissident's Anguish", "Conspirator's Repentance", "Turncoat's Exile", "Imperialist's Anguish", "Conspirator's Repentance", "Iconoclast's Regret", "Deserter's Atonement", "Agitator's Penitence", "Dissenter's Desserts", "Dissenter's Gulag", "Iconoclast's Reward", "Dissident's Reward", "Troublemaker's Tears", "Nonconformist's Exile", "Agitator's Reward", "Wrecker's Atonement", "Nonconformist's Gulag", "Troublemaker's Remorse", "Deserter's Anguish", "Defector's End", "Deserter's Penitence", "Imperialist's Anguish", "Nonconformist's Remorse", "Imperialist's Tears", "Defector's Penitence", "Troublemaker's Exile", "Refusenik's Regret", "Conspirator's End", "Agitator's Recompense", "Turncoat's Recompense", "Traitor's Desserts", "Traitor's Fate", "Imperialist's Recompense", "Agitator's Recompense", "Troublemaker's Reward", "Iconoclast's Exile", "Wrecker's Repentance", "Deserter's Reckoning", "Iconoclast's Desserts", "Traitor's Atonement", "Refusenik's Contrition", "Imperialist's Repentance", "Agitator's Reckoning", "Turncoat's Remorse", "Refusenik's Gulag", "Deserter's End", "Dissident's Contrition", "Malcontent's Fate", "Dissenter's Remorse", "Dissenter's Reckoning", "Refusenik's Reward", "Dissenter's Remorse", "Refusenik's Regret", "Nonconformist's Regret", "Defector's Remorse", "Malcontent's Reward", "Agitator's End", "Refusenik's Contrition", "Conspirator's Gulag", "Traitor's Regret", "Deserter's Fate", "Traitor's Regret", "Imperialist's Desserts", "Wrecker's Fate", "Troublemaker's Recompense", "Imperialist's Contrition", "Refusenik's Tears", "Agitator's Repentance", "Iconoclast's Gulag", "Wrecker's Recompense", "Deserter's Penitence", "Deserter's Desserts", "Troublemaker's Fate", "Troublemaker's Regret", "Troublemaker's Reward", "Defector's Contrition", "Conspirator's Recompense", "Turncoat's Gulag", "Deserter's Remorse", "Iconoclast's Atonement", "Refusenik's Anguish", "Iconoclast's Contrition", "Defector's Reward", "Conspirator's Reckoning", "Nonconformist's Remorse", "Conspirator's Reward", "Iconoclast's Desserts", "Dissenter's Regret", "Turncoat's Gulag", "Defector's Exile", "Defector's Gulag", "Troublemaker's End", "Refusenik's Exile", "Deserter's Contrition", "Dissenter's Exile", "Agitator's Reward", "Agitator's End", "Dissenter's Recompense", "Conspirator's End", "Refusenik's Desserts", "Traitor's Gulag", "Iconoclast's Fate", "Iconoclast's Exile", "Wrecker's Repentance", "Deserter's Reckoning", "Defector's Anguish", "Agitator's Tears", "Dissident's Atonement", "Dissident's End", "Refusenik's Desserts", "Refusenik's Reward", "Refusenik's Fate", "Dissident's Penitence", "Dissenter's Exile", "Iconoclast's Regret", "Imperialist's Exile", "Traitor's Repentance", "Dissenter's Reckoning", "Refusenik's Desserts", "Agitator's Regret", "Malcontent's Remorse", "Iconoclast's Fate", "Iconoclast's Exile", "Troublemaker's Contrition", "Troublemaker's Contrition", "Troublemaker's Repentance", "Deserter's Reckoning", "Wrecker's Reward", "Deserter's Tears", "Wrecker's Regret", "Defector's Regret", "Imperialist's Penitence", "Imperialist's Reckoning", "Turncoat's End", "Turncoat's Regret", "Dissident's Contrition", "Malcontent's Fate", "Traitor's Tears", "Wrecker's Gulag", "Agitator's Anguish", "Dissenter's Recompense", "Dissenter's Penitence", "Malcontent's Gulag", "Conspirator's Exile", "Reactionary's Tears", "Turncoat's Reckoning", "Troublemaker's Gulag", "Refusenik's Fate", "Imperialist's Recompense", "Iconoclast's Repentance", "Deserter's Anguish", "Imperialist's Atonement", "Defector's Tears", "Malcontent's Desserts", "Troublemaker's Recompense", "Turncoat's Atonement", "Agitator's Atonement", "Defector's Recompense", "Traitor's Desserts", "Dissenter's Tears", "Reactionary's Penitence", "Iconoclast's End", "Troublemaker's Fate", "Malcontent's Reckoning", "Deserter's Gulag", "Dissident's Fate", "Refusenik's Atonement", "Agitator's Fate", "Reactionary's Reward", "Reactionary's Desserts", "Reactionary's Reckoning", "Troublemaker's Recompense", "Imperialist's Exile", "Conspirator's Regret", "Agitator's Atonement", "Turncoat's Atonement", "Troublemaker's Contrition", "Agitator's Exile", "Five Year Plan", "Refusenik's Reward", "Dissenter's Remorse", "Conspirator's Reward", "Troublemaker's Tears", "Dissident's Recompense", "Defector's Tears", "Agitator's Anguish", "Dissenter's Recompense", "Nonconformist's Recompense", "Deserter's Reward",    
 // Galaxy 5
"Captivating Pyatiletka", "Electrifying Apparatchik", "Electrifying Uskoreniye", "Artistic Uskoreniye", "Inspirational Vsevobuch", "Glorious Gosplan", "Artistic Shturmovshchina", "Infallible Selsoviet", "Proletarian Uchraspred", "Inspirational Udarnik", "Electrifying Vsevobuch", "Electrifying Khozraschyot", "Uplifting Likbez", "Artistic Likbez", "Dynamic Naukograd", "Indomitable Kolkhoze", "Joyous Vsevobuch", "Unassailable Selsoviet", "Elegant Selsoviet", "Joyous Udarnik", "Proletarian Kulak", "Joyous Partmaximum", "Illuminating Sovkhozes", "Joyous Nomenklatura", "Proletarian Sovkhoz", "Unassailable Shturmovshchina", "Inspirational Uchraspred", "Dynamic Udarnik", "Elegant Psikhushka", "Dynamic Shturmovshchina", "Inspirational Selsoviet", "Joyous Uskoreniye", "Glorious Nomenklatura", "Indomitable Partmaximum", "Artistic Troika", "Unconquerable Sovietization", "Captivating Partmaximum", "Artistic Dekulakization", "Dynamic Sanatoria", "Illuminating Kolkhoze", "Unassailable Gosplan", "Indomitable Apparatchik", "Artistic Pyatiletka", "Unconquerable Udarnik", "Unassailable Prodrazvyorstka", "Infallible Partmaximum", "Infallible Bolshevik", "Indomitable Kulak", "Elegant Uskoreniye", "Unassailable Sovkhoz", "Electrifying Dekulakization", "Glorious Sovkhoz", "Inspirational Udarnik", "Electrifying Vsevobuch", "Joyous Naukograd", "Dynamic Dekulakization", "Proletarian Dekulakization", "Indomitable Lysenkoism", "Uplifting Selsoviet", "Inspirational Likbez", "Unassailable Psikhushka", "Indomitable Kulak", "Inspirational Naukograd", "Elegant Shturmovshchina", "Merciful Kulak", "Illuminating Sovietization", "Dynamic Selsoviet", "Uplifting Yevsektsiya", "Dynamic Sharashka", "Unassailable Bolshevik", "Electrifying Yevsektsiya", "Glorious Vsevobuch", "Captivating Lysenkoism", "Dynamic Uchraspred", "Unassailable Likbez", "Joyous Sovietization", "Glorious Selsoviet", "Glorious Sovietization", "Infallible Lysenkoism", "Infallible Apparatchik", "Merciful Yevsektsiya", "Inspirational Pyatiletka", "Artistic Vsevobuch", "Artistic Apparatchik", "Inspirational Kulak", "Glorious Lysenkoism", "Uplifting Shabashka", "Artistic Nomenklatura", "Inspirational Vsevobuch", "Unconquerable Sovietization", "Inspirational Uchraspred", "Elegant Shturmovshchina", "Glorious Uchraspred", "Electrifying Sharashka", "Infallible Prodnalog", "Infallible Partmaximum", "Unconquerable Likbez", "Uplifting Uskoreniye", "Elegant Stakhanovite", "Elegant Pyatiletka", "Uplifting Psikhushka", "Joyous Troika", "Herrera Penitentiary", "Indomitable Naukograd", "Merciful Stakhanovite", "Artistic Sanatoria", "Unassailable Apparatchik", "Electrifying Naukograd", "Illuminating Stakhanovite", "Glorious Uchraspred", "Merciful Uchraspred", "Artistic Prodrazvyorstka", "Indomitable Prodrazvyorstka", "Glorious Sharashka", "Joyous Yevsektsiya", "Elegant Sovkhoz", "Infallible Apparatchik", "Indomitable Prodrazvyorstka", "Indomitable Kulak", "Inspirational Udarnik", "Dynamic Nomenklatura", "Artistic Selsoviet", "Infallible Khozraschyot", "Artistic Partmaximum", "Artistic Sovkhozes", "Electrifying Selsoviet", "Uplifting Yevsektsiya", "Dynamic Shturmovshchina", "Captivating Sharashka", "Glorious Stakhanovite", "Artistic Prodnalog", "Proletarian Lysenkoism", "Unconquerable Khozraschyot", "Infallible Stakhanovite", "Unconquerable Vsevobuch", "Electrifying Prodnalog", "Illuminating Gosplan", "Indomitable Uskoreniye", "Illuminating Vsevobuch", "Glorious Gosplan", "Uplifting Sovietization", "Uplifting Stakhanovite", "Joyous Prodrazvyorstka", "Artistic Nomenklatura", "Infallible Udarnik", "Electrifying Partmaximum", "Indomitable Yevsektsiya", "Uplifting Udarnik", "Illuminating Stakhanovite", "Indomitable Troika", "Indomitable Nomenklatura", "Illuminating Apparatchik", "Dynamic Sovkhoz", "Joyous Psikhushka", "Captivating Stakhanovite", "Electrifying Nomenklatura", "Dynamic Kolkhoze", "Unconquerable Udarnik", "Illuminating Apparatchik", "Joyous Nomenklatura", "Indomitable Partmaximum", "Artistic Naukograd", "Proletarian Prodnalog", "Captivating Uchraspred", "Dynamic Uskoreniye", "Uplifting Gosplan", "Indomitable Stakhanovite", "Joyous Likbez", "Infallible Stakhanovite", "Illuminating Sanatoria", "Elegant Sanatoria", "Proletarian Stakhanovite", "Illuminating Lysenkoism", "Unconquerable Yevsektsiya", "Merciful Dekulakization", "Illuminating Partmaximum", "Indomitable Shturmovshchina", "Illuminating Kulak", "Joyous Shturmovshchina", "Merciful Prodnalog", "Uplifting Nomenklatura", "Infallible Uskoreniye", "Proletarian Prodrazvyorstka", "Elegant Lysenkoism", "Uplifting Naukograd", "Indomitable Kolkhoze", "Proletarian Udarnik", "Uplifting Apparatchik", "Captivating Troika", "Unconquerable Kulak", "Captivating Vsevobuch", "Illuminating Uchraspred", "Illuminating Prodrazvyorstka", "Inspirational Prodnalog", "Artistic Sovkhozes", "Captivating Troika", "Unconquerable Sovietization", "Artistic Prodnalog", "Proletarian Lysenkoism", "Infallible Naukograd", "Elegant Shturmovshchina", "Proletarian Gosplan", "Elegant Dekulakization", "Elegant Troika", "Joyous Sanatoria", "Electrifying Prodrazvyorstka", "Captivating Troika", "Merciful Shabashka", "Illuminating Bolshevik", "Glorious Pyatiletka", "Merciful Prodnalog", "Artistic Udarnik", "Unconquerable Khozraschyot", "Elegant Troika", "Electrifying Vsevobuch", "Merciful Udarnik", "Proletarian Sovietization", "Merciful Sanatoria", "Dynamic Yevsektsiya", "Merciful Troika", "Joyous Likbez", "Unconquerable Pyatiletka", "Indomitable Shabashka", "Elegant Shabashka", "Infallible Khozraschyot", "Artistic Prodnalog", "Electrifying Sovietization", "Electrifying Troika", "Captivating Prodrazvyorstka", "Merciful Vsevobuch", "Inspirational Sharashka", "Captivating Nomenklatura", "Unassailable Stakhanovite", "Glorious Uchraspred", "Proletarian Shturmovshchina", "Dynamic Stakhanovite", "Unconquerable Shturmovshchina", "Inspirational Uchraspred", "Elegant Sharashka", "Electrifying Sovkhozes", "Glorious Kulak", "Unconquerable Sharashka", "Illuminating Khozraschyot", "Captivating Nomenklatura", "Unconquerable Kulak", "Elegant Udarnik", "Proletarian Prodrazvyorstka", "Captivating Naukograd", "Electrifying Nomenklatura", "Proletarian Likbez", "Indomitable Dekulakization", "Artistic Pyatiletka", "Merciful Sovietization", "Unassailable Shturmovshchina", "Elegant Udarnik", "Proletarian Yevsektsiya", 
// Galaxy 6
"Viktoria Asylum", "Yuri Institution", "Svetlana Borstal", "Rusakov Complex", "Shikov Complex", "Cherkesov Borstal", "Zedong Complex", "Dvorkhin Roundhouse", "Vladimir Guardhouse", "Yuri Jail", "Alboretto Complex", "Lavochkin Jail", "Medvedev Reformatory", "San Quentin", "Yuri Roundhouse", "Popov Prison", "Cherkesov Jail", "Svetlana Jail", "Dvorkhin Borstal", "Svetlana Borstal", "Gorshkov Borstal", "Makharov Reformatory", "Lavochkin Facility", "Trulli Facility", "Serov Prison", "Yuri Roundhouse", "Konev Guardhouse", "Stepan Facility", "Konev Stockade", "Zhukov Complex", "Mikhailov Gaol", "Mikhailov Dungeon", "Konev Complex", "Zhdanov Prison", "Serov Guardhouse", "Gorshkov Gaol", "Tsarev Guardhouse", "Konev Dungeon", "Trulli Dungeon", "Roman Complex", "Nikolayev Jail", "Lavochkin Reformatory", "Gorshkov Dungeon", "Vladimir Facility", "Salbiev Guardhouse", "Svetlana Prison", "Vyacheslav Penitentiary", "Lavochkin Dungeon", "Mikhailov Gaol", "Medvedev Stockade", "Viktoria Borstal", "Shikov Facility", "Roman Gaol", "Valentina Gaol", "Makharov Asylum", "Rusakov Borstal", "Stepan Gaol", "Valentina Gaol", "Gorshkov Jail", "Dvorkhin Facility", "Serov Bridewell", "Roman Reformatory", "Zhdanov Institution", "Gorshkov Guardhouse", "Popov Bridewell", "Roman Guardhouse", "Yuri Stockade", "Cherkesov Institution", "Roman Complex", "Trulli Guardhouse", "Konev Roundhouse", "Tsarev Complex", "Lavochkin Gaol", "Vyacheslav Facility", "Zedong Reformatory", "Konev Gaol", "Lillia Complex", "Alboretto Bridewell", "Nikolayev Institution", "Yuri Penitentiary", "Tsarev Jail", "Stepan Asylum", "Valentina Reformatory", "Zhukov Bridewell", "Viktoria Dungeon", "Makharov Gaol", "Roman Institution", "Yuri Jail", "Alboretto Gaol", "Konev Stockade", "Zedong Gaol", "Vladimir Dungeon", "Tatiana Bridewell", "Svetlana Bridewell", "Makharov Jail", "Tsarev Complex", "Lillia Reformatory", "Vyacheslav Asylum", "Carluccio Asylum", "Viktoria Stockade", "Stepan Institution", "Popov Facility", "Lavochkin Bridewell", "Zedong Institution", "Tatiana Asylum", "Roman Guardhouse", "Medvedev Bridewell", "Popov Borstal", "Popov Bridewell", "Salbiev Prison", "Carluccio Complex", "Alboretto Jail", "Lillia Bridewell", "Shikov Roundhouse", "Salbiev Borstal", "Lavochkin Facility", "Svetlana Roundhouse", "Cherkesov Complex", "Rusakov Gaol", "Carluccio Penitentiary", "Alboretto Penitentiary", "Zedong Institution", "Alboretto Stockade", "Lillia Gaol", "Medvedev Institution", "Lavochkin Facility", "Lillia Borstal", "Alboretto Gaol", "Alboretto Complex", "Lillia Asylum", "Zhukov Dungeon", "Vyacheslav Guardhouse", "Tatiana Prison", "Serov Facility", "Valentina Complex", "Zhukov Jail", "Valentina Borstal", "Tsarev Institution", "Medvedev Guardhouse", "Tatiana Guardhouse", "Gorshkov Jail", "Gorshkov Complex", "Zedong Roundhouse", "Zedong Complex", "Dvorkhin Gaol", "Vladimir Dungeon", "Roman Facility", "Serov Complex", "Alboretto Asylum", "Popov Jail", "Svetlana Prison", "Tatiana Jail", "Roman Borstal", "Zhukov Gaol", "Shikov Borstal", "Zhukov Prison", "Mikhailov Reformatory", "Shikov Prison", "Gorshkov Facility", "Viktoria Institution", "Rusakov Institution", "Cherkesov Stockade", "Svetlana Borstal", "Lavochkin Prison", "Rusakov Penitentiary", "Valentina Roundhouse", "Rusakov Institution", "Nikolayev Roundhouse", "Popov Guardhouse", "Vyacheslav Jail", "Rusakov Asylum", "Shikov Complex", "Carluccio Borstal", "Makharov Facility", "Tsarev Stockade", "Valentina Gaol", "Mikhailov Facility", "Stepan Roundhouse", "Cherkesov Borstal", "Serov Guardhouse", "Yuri Complex", "Lillia Institution", "Vyacheslav Gaol", "Konev Facility", "Vyacheslav Borstal", "Carluccio Stockade", "Viktoria Gaol", "Vyacheslav Complex", "Dvorkhin Reformatory", "Carluccio Roundhouse", "Popov Jail", "Tatiana Dungeon", "Dvorkhin Stockade", "Vyacheslav Institution", "Zedong Gaol", "Popov Asylum", "Viktoria Reformatory", "Nikolayev Stockade", "Lillia Borstal", "Konev Penitentiary", "Salbiev Reformatory", "Medvedev Facility", "Zhdanov Prison", "Roman Borstal", "Zhdanov Reformatory", "Shikov Reformatory", "Zedong Stockade", "Carluccio Gaol", "Vladimir Penitentiary", "Vladimir Gaol", "Cherkesov Bridewell", "Serov Penitentiary", "Roman Facility", "Stepan Jail", "Vladimir Guardhouse", "San Quentin", "Konev Asylum", "Valentina Gaol", "Tsarev Stockade", "Rusakov Roundhouse", "Stepan Asylum", "Zedong Reformatory", "Rusakov Jail", "Nikolayev Institution", "Medvedev Reformatory", "Trulli Prison", "Mikhailov Reformatory", "Zhdanov Jail", "Zhdanov Institution", "Makharov Gaol", "Svetlana Institution", "Lillia Jail", "Salbiev Roundhouse", "Salbiev Penitentiary", "Carluccio Reformatory", "Konev Dungeon", "Medvedev Stockade", "Gorshkov Guardhouse", "Roman Dungeon", "Alboretto Facility", "Popov Jail", "Valentina Roundhouse", "Popov Dungeon", "Lillia Asylum", "Svetlana Penitentiary", "Medvedev Asylum", "Popov Gaol", "Mikhailov Stockade", "Konev Dungeon", "Carluccio Stockade", "Popov Borstal", "Zedong Jail", "Roman Prison", "Zhukov Facility", "Dvorkhin Stockade", "Zhukov Guardhouse",    
// Galaxy 7
"The Komkor Mazurov", "The Komandarm Vladimirsky", "The Praporshchik Kaganovich", "The General Kosygin", "The Marshal Voroshilov", "The General Kamenev", "The Polkovnik Brezhnev", "The Praporshchik Mazurov", "The Commissar Malenkov", "The Komandarm Saburov", "The Starshina Pavlov", "The Komkor Voznesensky", "The Efreitor Kalinin", "The Michman Kaganovich", "The Komdiv Bulganin", "The Komdiv Kuznetsov", "The Praporshchik Kalinin", "The General Khrushchev", "The Komandarm Polyansky", "The Starshina Bazhanov", "The Premier Sverdlov", "The Polkovnik Kuznetsov", "The Efreitor Bulganin", "The Komdiv Malenkov", "The Chairman Voroshilov", "The Komkor Lukyanov", "The Komandarm Kaganovich", "The Michman Khrushchev", "The Michman Kosygin", "The Praporshchik Kalinin", "The Commissar Chernenko", "The Komdiv Podgorny", "The Chairman Kamenev", "The Komkor Kaganovich", "The Major Kalinin", "The Commissar Osinsky", "The Chairman Malenkov", "The Starshina Polyansky", "The Major Kosygin", "The Komkor Osinsky", "The Starshina Bulganin", "The General Kosygin", "The Komdiv Sverdlov", "The Premier Vladimirsky", "The Efreitor Voznesensky", "The Michman Vladimirsky", "The Komandarm Mikoyan", "The Chairman Kamenev", "The Komandarm Saburov", "The Efreitor Kuznetsov", "The Komkor Polyansky", "The Praporshchik Andropov", "The Komdiv Polyansky", "The Komandarm Vladimirsky", "The Praporshchik Kaganovich", "The Kombrig Sverdlov", "The Efreitor Voznesensky", "The Starshina Voroshilov", "The Efreitor Malenkov", "The Chairman Lukyanov", "The Premier Kuznetsov", "The Kombrig Khrushchev", "The Starshina Kuznetsov", "The Marshal Kalinin", "The Polkovnik Kamenev", "The Komkor Zinoviev", "The Commissar Brezhnev", "The Polkovnik Vladimirsky", "The Commissar Osinsky", "The Kombrig Khrushchev", "The Polkovnik Bulganin", "The Michman Voroshilov", "The Praporshchik Lukyanov", "The Premier Bulganin", "The Efreitor Beria", "The Premier Zinoviev", "The Marshal Chernenko", "The Komkor Voznesensky", "The Praporshchik Osinsky", "The Komandarm Kamenev", "The General Mikoyan", "The Efreitor Andropov", "The Michman Yeltsin", "The Komandarm Kamenev", "The General Mikoyan", "The Praporshchik Voroshilov", "The Marshal Pavlov", "The Praporshchik Polyansky", "The Komdiv Yeltsin", "The Marshal Kuznetsov", "The Commissar Podgorny", "The Polkovnik Kalinin", "The Michman Voroshilov", "The Michman Polyansky", "The Komkor Andropov", "The Starshina Kalinin", "The General Kosygin", "The Komdiv Malenkov", "The Chairman Khrushchev", "The Komdiv Bazhanov", "The Premier Andropov", "The Chairman Sverdlov", "The Polkovnik Brezhnev", "The Polkovnik Zinoviev", "The Marshal Vladimirsky", "The Starshina Brezhnev", "The Komdiv Bazhanov", "The Commissar Kuznetsov", "The Praporshchik Kosygin", "The Efreitor Bulganin", "The Komkor Vladimirsky", "The Major Sverdlov", "The Praporshchik Vladimirsky", "The Premier Gromyko", "The Major Voznesensky", "The Komdiv Pavlov", "The Komkor Brezhnev", "The General Kalinin", "The Commissar Kaganovich", "The Starshina Polyansky", "The Komandarm Zinoviev", "The General Zinoviev", "The Praporshchik Kosygin", "Polkovnik Prison", "The Commissar Malenkov", "The Marshal Brezhnev", "The Major Gromyko", "The Michman Osinsky", "The Major Mikoyan", "The Marshal Andropov", "The Matrose Khrushchev", "The General Andropov", "The Komkor Kuznetsov", "The Major Gromyko", "The Major Podgorny", "The Efreitor Kalinin", "The Komdiv Sverdlov", "The General Mikoyan", "The Praporshchik Voroshilov", "The Praporshchik Bazhanov", "The Efreitor Bazhanov", "The Chairman Kalinin", "The Commissar Bulganin", "The Major Yeltsin", "The Chairman Yeltsin", "The Kombrig Saburov", "The Marshal Voznesensky", "The General Khrushchev", "The Komandarm Kosygin", "The Matrose Kosygin", "The Commissar Pavlov", "The Michman Podgorny", "The Chairman Yeltsin", "The General Kalinin", "The Efreitor Beria", "The Chairman Gromyko", "The Michman Kalinin", "The Chairman Mazurov", "The Matrose Mikoyan", "The Komkor Lukyanov", "The Komandarm Kaganovich", "The Michman Khrushchev", "The Michman Polyansky", "The Komandarm Zinoviev", "The Chairman Yeltsin", "The Komdiv Kosygin", "The Commissar Mazurov", "The Praporshchik Beria", "The Michman Saburov", "The Major Osinsky", "The Komdiv Kosygin", "The Major Pavlov", "The Efreitor Kalinin", "The Komkor Saburov", "The Major Vladimirsky", "The Premier Bazhanov", "The Polkovnik Mazurov", "The Praporshchik Andropov", "The Komdiv Mazurov", "The Komdiv Kosygin", "The Polkovnik Kosygin", "The Marshal Yeltsin", "The Premier Brezhnev", "The Praporshchik Mikoyan", "The Praporshchik Gromyko", "The Starshina Kuznetsov", "The Praporshchik Brezhnev", "The Starshina Beria", "The Matrose Pavlov", "The Polkovnik Bulganin", "The Praporshchik Vladimirsky", "The Komdiv Kalinin", "The Komkor Chernenko", "The Premier Andropov", "The Premier Beria", "The Komandarm Shvernik", "The Commissar Chernenko", "The Kombrig Shvernik", "The Komandarm Kalinin", "The Praporshchik Yeltsin", "The Komdiv Mazurov", "The Komdiv Beria", "The Matrose Beria", "The Premier Zinoviev", "The Polkovnik Lukyanov", "The Michman Yeltsin", "The Polkovnik Vladimirsky", "The Matrose Osinsky", "The Commissar Kalinin", "The Starshina Shvernik", "The Major Kuznetsov", "The Komkor Kosygin", "The Efreitor Kalinin", "The Polkovnik Polyansky", "The Commissar Kamenev", "The Komdiv Sverdlov", "The Premier Shvernik", "The Chairman Brezhnev", "The Michman Brezhnev", "The Matrose Vladimirsky", "The Starshina Kosygin", "The Starshina Khrushchev", "The Efreitor Malenkov", "The Premier Bazhanov", "The Major Kalinin", "The Premier Sverdlov", "The Komandarm Saburov", "The Efreitor Kuznetsov", "The Major Voroshilov", "The Komkor Khrushchev", "The Efreitor Andropov", "The Polkovnik Shvernik", "The Commissar Chernenko", "The Komandarm Andropov", "The Starshina Bulganin", "The General Kalinin", "The General Lukyanov", "The Matrose Podgorny", "The Marshal Sverdlov", "The Komdiv Yeltsin", "The Major Lukyanov", "The Efreitor Polyansky", "The Major Kosygin", "The Kombrig Brezhnev", "The General Kalinin", "The Efreitor Voznesensky", "The Starshina Voroshilov", "The Starshina Voznesensky", "The Praporshchik Sverdlov", "The Starshina Khrushchev", "The Praporshchik Gromyko", "The Commissar Kamenev", "The Kombrig Voznesensky", "The Major Kuznetsov", "The Chairman Kuznetsov", "The Commissar Kalinin", 
// Galaxy 8
"Roman Borstal", "Gorshkov Facility", "Rusakov Institution", "Svetlana Bridewell", "Yuri Stockade", "Stepan Stockade", "Yuri Borstal", "Zedong Institution", "Rusakov Gaol", "Cherkesov Complex", "Stepan Gaol", "Lavochkin Reformatory", "Vladimir Facility", "Serov Bridewell", "Valentina Gaol", "Konev Prison", "Alboretto Jail", "Tatiana Guardhouse", "Medvedev Borstal", "Zhukov Bridewell", "Rusakov Prison", "Viktoria Roundhouse", "Shikov Asylum", "Roman Roundhouse", "Carluccio Bridewell", "Carluccio Penitentiary", "Vladimir Jail", "Valentina Prison", "Lavochkin Dungeon", "Tsarev Jail", "Konev Reformatory", "Lillia Jail", "Zhukov Jail", "Viktoria Guardhouse", "Mikhailov Guardhouse", "Stepan Stockade", "Alboretto Bridewell", "Shikov Borstal", "Popov Penitentiary", "Roman Asylum", "Svetlana Institution", "Zhdanov Penitentiary", "Cherkesov Guardhouse", "Salbiev Guardhouse", "Tsarev Dungeon", "Svetlana Penitentiary", "Roman Jail", "Rusakov Jail", "Medvedev Institution", "Yuri Borstal", "Lavochkin Facility", "Serov Stockade", "Zhdanov Penitentiary", "Zhukov Penitentiary", "Gorshkov Dungeon", "Vladimir Gaol", "Stepan Roundhouse", "Tsarev Stockade", "Vyacheslav Roundhouse", "Serov Asylum", "Lillia Bridewell", "Vyacheslav Borstal", "Konev Dungeon", "Vladimir Jail", "Svetlana Gaol", "Serov Gaol", "Lillia Jail", "Vyacheslav Penitentiary", "Carluccio Complex", "Valentina Jail", "Carluccio Reformatory", "Zhdanov Penitentiary", "Trulli Borstal", "Dvorkhin Bridewell", "Yuri Asylum", "Konev Prison", "Konev Jail", "Zhdanov Penitentiary", "Vladimir Facility", "Lavochkin Gaol", "Serov Complex", "Popov Penitentiary", "Zhukov Jail", "Mikhailov Penitentiary", "Popov Penitentiary", "Makharov Institution", "Alboretto Asylum", "Serov Guardhouse", "Tatiana Institution", "Svetlana Prison", "Popov Bridewell", "Nikolayev Borstal", "Rusakov Institution", "Carluccio Borstal", "Nikolayev Jail", "Vyacheslav Jail", "Trulli Gaol", "Alboretto Reformatory", "Trulli Bridewell", "Roman Facility", "Gorshkov Borstal", "Tsarev Bridewell", "Konev Prison", "Zedong Borstal", "Alboretto Complex", "Carluccio Dungeon", "Zhdanov Complex", "Valentina Penitentiary", "Makharov Dungeon", "Serov Penitentiary", "Makharov Facility", "Viktoria Stockade", "Mikhailov Institution", "Svetlana Stockade", "Zedong Guardhouse", "Zhukov Dungeon", "Vladimir Jail", "Popov Asylum", "Alboretto Facility", "Salbiev Bridewell", "Mikhailov Dungeon", "Dvorkhin Stockade", "Lavochkin Dungeon", "Alboretto Jail", "Vyacheslav Reformatory", "San Quentin", "Dvorkhin Jail", "Vladimir Jail", "Vladimir Penitentiary", "Trulli Dungeon", "Trulli Prison", "Svetlana Roundhouse", "Lavochkin Penitentiary", "Stepan Bridewell", "Gorshkov Guardhouse", "Rusakov Reformatory", "Valentina Institution", "Mikhailov Prison", "Yuri Reformatory", "Lavochkin Institution", "Zhdanov Guardhouse", "Vladimir Gaol", "Dvorkhin Borstal", "Lillia Borstal", "Shikov Stockade", "Zhdanov Reformatory", "Yuri Institution", "Lillia Prison", "Vyacheslav Gaol", "Alboretto Gaol", "Konev Jail", "Svetlana Dungeon", "Trulli Reformatory", "Carluccio Asylum", "Serov Asylum", "Rethor Stockade", "Lavochkin Complex", "Salbiev Borstal", "Shikov Prison", "Lillia Guardhouse", "Gorshkov Jail", "Lavochkin Guardhouse", "Alboretto Prison", "Yuri Complex", "Rusakov Dungeon", "Medvedev Institution", "Yuri Complex", "Shikov Facility", "Valentina Roundhouse", "Serov Penitentiary", "Tatiana Roundhouse", "Lillia Jail", "Serov Institution", "Vyacheslav Facility", "Popov Reformatory", "Carluccio Prison", "Nikolayev Asylum", "Valentina Gaol", "Viktoria Roundhouse", "Vyacheslav Penitentiary", "Konev Asylum", "Shikov Complex", "Gorshkov Reformatory", "Lillia Asylum", "Alboretto Borstal", "Konev Gaol", "Konev Roundhouse", "Carluccio Complex", "Gorshkov Gaol", "Dvorkhin Stockade", "Popov Reformatory", "Svetlana Reformatory", "Tatiana Stockade", "Yuri Guardhouse", "Valentina Guardhouse", "Shikov Dungeon", "Svetlana Jail", "Carluccio Bridewell", "Tatiana Reformatory", "Roman Reformatory", "Zhukov Institution", "Shikov Complex", "Konev Prison", "Vyacheslav Bridewell", "Roman Reformatory", "Medvedev Stockade", "Roman Penitentiary", "Valentina Penitentiary", "Shikov Complex", "Zhdanov Asylum", "Yuri Asylum", "Carluccio Bridewell", "Zedong Asylum", "Dvorkhin Reformatory", "Rahor Stockade", "Yuri Reformatory", "Lillia Asylum", "Roman Gaol", "Nikolayev Reformatory", "Zhukov Gaol", "Tsarev Complex", "Zedong Bridewell", "Yuri Bridewell", "Salbiev Prison", "Viktoria Institution", "Dvorkhin Complex", "Tatiana Gaol", "Mikhailov Bridewell", "Vyacheslav Penitentiary", "Roman Penitentiary", "Makharov Asylum", "Vladimir Dungeon", "Tsarev Dungeon", "Tsarev Reformatory", "Viktoria Prison", "Dvorkhin Bridewell", "Viktoria Roundhouse", "Serov Complex", "Valentina Bridewell", "Popov Stockade", "Lillia Roundhouse", "Trulli Complex", "Valentina Borstal", "Valentina Guardhouse", "Carluccio Complex", "Yuri Complex", "Stepan Jail", "Yuri Bridewell", "Valentina Bridewell", "Lavochkin Jail", "Konev Stockade", "Viktoria Jail", "Medvedev Jail", "Konev Gaol", "Stepan Reformatory", "Carluccio Dungeon",    
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Rusakov Bridewell"];

//  Name Stations added by Extra Stations for Extra Planets - 1st Station in a given system to spawn. (Number of Names in Array: 2,048)
//  This uses the large counted pool method as above.
this.extrapool1 = [
// Galaxy 1  (Rolled as 32 rolls of 8 names per roll). 
"Dark Skies", "Port Cavendish",  "Fistful of Credits" , "War of Words",  "The Red Room",  "Taste of Venom",  "Joke Warfare",  "Shadow of Raxxla" , "Sinclair Citadel",  "Acrux Citadel",  "Acidic Retort",  "Moonshine Valley",  "Callistro Citadel",  "Arctic Fox",  "Outlaw Country", "Phobos Citadel",  "Ruby Star", "Neso in Eclipse", "End Times",  "The Neptune Factor",  "Solar Storm Shelter 05",  "Sympathy for the Devil",  "Irregular Apocalypse",  "Spalder and Starblaze Inc",  "Sea Devil"  ,"Glass Rainbow",  "Party Animal",  "The Johnny Mnemonic",  "The George Romero",  "Treasure Island",  "Proletarian Rainbow",  "Celestial Rainbow",  "Phantom Rainbow", "Age of Endurance", "The Broken Blade",  "Condemned to Live", "Beast of Burden",  "To Have and Have Not",  "Critical Mass",  "Miracle of Creation",  "Watchman of Gemini" , "Curse of Peladon",  "War Hawk",  "Eternal Sunshine",  "Sunless Epoch",  "Casting the Runes",  "The Words End",  "Whistling Pines",  "Pride and Prejudice", "Uncanny Maiden", "The Alex Ryder",  "Unearthly Maiden", "Last of the Mohicans",  "War Machine",  "Into the Fire",  "Rock Hopper",  "Charming Maiden"  ,"City of Wasps",  "Atlantis City",  "City of Sohrab",  "City of Steel",  "Culture Vulture",  "City of Tomorrow",  "Brimstone Keep",  "King of the Underworld", "Bad For Business", "Star Child",  "East of Eden", "Fury from the Deep",  "Madonna of Industry",  "The Karmic Gambit",  "Eater of Light",   "Footprints on the Moon"  ,"Cartwright Observatory",  "Blender Disposal Facility 45",  "Rational Expectations",  "Sugar and Spice",  "Chimera Departing",  "An Eye for an Eye",  "Condor Bay",  "Mad Max", "Ballistic Kiss",  "Broken Steel",  "Sin City",  "Sweet Revenge",  "Edge of Darkness",  "Chronicle of Ulysses",  "Mosquito Bay",  "Chronicle of Almos",  "Some Like It Hot", "Island of the Lizard King",  "Going Postal",  "The Green Hornet",  "The Mountain King",  "Grace of Chernenko",  "Beyond the Aquila Rift",  "Hearts in Atlantis", "Caeres in Transition",  "Orcus in Transition",  "Cricket on the Hearth",  "First Born",  "Man of Steel",  "Dying of the Light",  "Lempo in Transition",  "Day of the Comet",  "Blackbird Descending",  "Cauldron Born",  "Chuan Terminus",  "Fawlty Towers",  "Tiger Rose",  "Voyage of the Damned",  "Message from God",  "Lord of Deimos", "The Masked Squirrel",  "Desperate Measures",   "Batting Order",  "Germane Riposte", "False Profit",  "Vehuiah City",   "Embrace of Fate",   "Honeymoon on Elektra",  "Draconian Measures",  "Kingfisher City",  "The Kong Beast",  "Gates of Heaven",  "Lariosauro City",  "Wrath of Vulcan", "The Scarlet Pimpernel", "Elder God", "Dancing Queen", "Conservation of Momentum", "Star Glider", "Sweet Caroline", "Anaximander Roost", "Fickle God", "Achemar Roost", "Omaha City",  "Shock Treatment", "Sense Amid Madness", "Flesh and Stone", "Left Hand of God", "Voices of a Distant Star", "Delusions of Competence", "Nakai City", "The Barefoot Contessa", "Bismarck Warehouse", "Mixed Feelings", "The Floral Warehouse", "The Terry Gilliam", "Mark of the Rani", "Fortunes of War", "Money Talks", "The Woman in Black",  "Armstrong Depot",  "Sea Devil",  "Anubis Fortress",  "Maverick Queen",  "Rocket Man",  "Red Sonia",  "Sword of Damocles",  "The Dead End",  "The Stan Lee",  "The Onyx Perch", "Meteor Man",  "The Way Back",  "Barbarella City",  "The Thomas L. Fisher",  "Honeycomb Citadel",  "Shadow on the Sand",  "Mirror of Opposition", "Mirror of Galadriel", "Mirror of Pandia", "Mirror of Mars", "Relative Time", "Bride of Chaotica", "Age of Desire", "Mirror of Tomorrow", "Mutabilis City",  "God of Fidelity", "Winter Solider", "Dark Horizon", "Barataria Bay", "Tohoku City", "Coming Of Age", "The Astral Dreadnaught",  "Rider of Rohan", "Judgment Day",  "Rogue Trader",  "Rider of Caerlon",  "Grace And Favour",  "Rider of Barrels",  "Rider of Nirav",  "Rider of Setebos",  "Divine Requiem",  "A Good Day To Die",  "Drums on Fire Mountain",  "Unearthly Requiem",  "Den of Shadows",  "Scorpion Swamp",  "Ace of Spades", "Jack Frost",  "Sundance City",  "Act of God",  "Mars at Apogee",  "Scorpio at Apogee",  "Shadow on the Water",  "Neptune at Apogee",  "Gunsmoke Ranch",  "The Oscar Wilde",  "Mohanty Array",  "The Menagerie",  "Thermador Citadel",  "Chief of the Giants",  "Tarvos Spaceport",  "Out of the Deep",  "Undesirable Alien",  "Romulus Citadel",  "A Wind Named Amnesia", "Stainless Steel Cat", "Spinning Jenney", "Orodruin City", "Unearthly Epiphany", "Cannery Row", "Fire Ant", "The Lemuel Gulliver", "Dead Reckoning",  "Shadow of the Moon",  "Top Cat",  "Life of Riley",  "Uncertain Reckoning",  "Soul Survivor",  "Little Rascal",  "On Golden Sands",  "Protector of Corposes", "Labour of Love", "Kuznetov City", "Lap of the Gods", "Rebel of Babylon", "Frostborn City", "Unearthly Stranger", "Quantitative Analysis", "Storm Dragon",  "Living Doll",  "Nomadic Raven",  "Nomadic Goddess",  "Fever Island",  "Ye Olde Gift Shoppe",  "Fool of Fate",  "Ghost of a Chance",  "Honeypot Anchorage",  "The Crooked Man",  "Fairfax Shipyard",  "God Told Me To",  "Kosciuszko Shipyard",  "The Ministry of Truth",  "Before the Flood", 
// Galaxy 2 (Rolled as 2 rolls of 64 names and 1 roll of 128 names). 
"Lady of Flame", "Lord of Ice", "Lair of the Cockatrice", "The Kenneth Kekoa", "The Devin Sardinha", "Lair of the Hydra", "Siren of Atlantis", "Geometric Wizardry", "Sleeping Dragon", "One Good Deed", "Lair of the Merchant", "Sonata of Wizardry", "Sonata of Geometry", "Lair of the Basilisk", "The Herman Ching", "The Philosophical Goblin", "Wit Amidst Folly", "Charon in Ascension", "Mercury in Ascension", "Lord of Redemption", "Phantasmal Unicorn", "Lair of the Sorcerer", "Meredith Anchorage", "On the Brink", "Tomoka Anchorage", "Tamburro Anchorage", "Cluster of Spiders", "The Philosophical Griffin", "The Utopian Prophecy", "Lady of Mystery", "Between the Acts", "Fast Learner", "Robin Hood Bay", "Out of Sight", "Cargo Cult", "Iron Gargoyle", "Bradman City", "Lair of the Minotaur", "The Angelic Flame", "The Peter Cushing", "Angel of Fire", "Goblin in the Mist", "Shepheard of Liberty", "The Ascended Quark", "Light in the Fog", "Five Minutes to Midnight", "Spire of Camelot", "Shadows on the Rock", "Small Wonder", "Eagle in the Mist", "The Palazzo Resort", "Nakanelua Anchorage", "Shepheard of Dreams", "Death Line", "Lord of Iron", "Decianus Citadel", "The Zodiacal Epiphany", "Brotherhood of Spartacus", "The Iron Nest", "Change of Plans", "Demon in Ascension", "The Philosophical Demon", "Queen of Rats", "The Metaphysical Poet", "Caladrius Bay", "Countdown to Doomsday", "Balrog Departing", "Schirra Citadel", "The Waite Orbiter", "The Blazing Emerald", "Cockatrice Departing", "Soul Drinker", "Too Late Now", "Basilisk Departing", "The Naked Idol", "The White Tower", "Throne of Meredith", "The Stafford Collective", "Someries Castle", "Twice Upon a Time", "Nerve of Sasaki", "Exile of the Eons", "Shadow of a Doubt", "The Cooper Orbiter", "Duarte Anchorage", "Andromeda in Transition", "The Mikhail Anomaly", "Amalthea in Transition", "Soul Surfer", "Bureaucra Colony", "Bellatrix Shipyard", "Delgado Dockyard", "Rich and Famous", "Tukuafu Anchorage", "Shadows in the Sun", "The Yong Orbiter", "Ring of Roses", "The Anika Kohon", "Valette City", "Smokey Water", "Stealing the Show", "Jewel of Diosa", "Relic of Cthulhu", "Dawn Treader", "Coronet of Kaliko", "Palmiera Dockyard", "The Bride", "Cinchare in Transition", "Daughter of the Mind", "Flame of Perdition", "The Charles Raymond", "Spiral into Madness", "Moore Anchorage", "Ceremony of Innocence", "Trump Towers", "Sins of Rome", "The Obsidian Jewel", "Baudinette Anchorage", "Enchanted April", "Year of the Bear", "The Stafford Orbiter", "Tandal Anchorage", "Fun and Games", "The Olympian Throne", "The Moonlit Emerald", "Valor of Ekaterina", "The Abdikani Orbiter", "Westworld Theme Park", "Messenger of Newcastle", "Sonnet of Kaupiko", "Leatham Anchorage", "The Tania Kahale", "Fountain of Tachibana", "Weed Whacker", "Behind the Waterfall", "Edge of the Cloud", "Tears of the Burnt", "The Copper Sun", "The Grant Fleming", "Muster of Rohan", "Saved by the Bell", "Blazing Wildfire", "The Capetian Knight", "Incantation of Kapral", "Rumors of Evening", "Lessons and Revelations", "Test of Faith", "Crimes of Passion", "Manatad Anchorage", "The Samantha Thomas", "Engine of War", "Lifestyle Choice", "Infernal Requiem", "The Sunlit Flame", "Amondson Dockyard", "Colourful Metaphors", "Echo in the Bone", "Beneath a Red Sun", "Palace of the Moon", "In The Neighborhood", "Glory of Ususor", "The William Matthews", "Future Echoes", "Silence of the Goats", "The Ruby Coronet", "Vasilescu Anchorage", "Messenger of Southampton", "Into the Maelstrom", "The Luciferian Goblet", "Camenson Anchorage", "The Robert Campbell", "Chalice of Compostela", "Run the Wild Fields", "Defiance of Canterbury", "Glory of Atlanta", "The Darren Dacosin", "The Freddie Flintoff", "Mind Bender", "Truth of Other Days", "Talisman of Kamaka", "Ribuca Dockyard", "The Emerald Grail", "The Priscilla Stafford", "The John le Carre", "The Sunlit Veil", "Favoured by the Gods", "Veil of Dorsch", "The Long Tomorrow", "Delicate Truth", "Voyage of the Unicorn", "The Copper Gauntlet", "Just Cause", "Moeraki Anchorage", "The Edible Goat", "The Henry Fordham", "Gacusana Anchorage", "Resolution of London", "Charm of Gundlach", "Rebel Without A Cause", "Ranger of Russia", "Dark Vengeance", "The Forgotten Veil", "Drawing of the Three", "Resolution of Hawaii", "Call for the Dead", "Glory of Tamburro", "Defiance of Nakamoto", "Triumph of Silence", "Gruber Anchorage", "Book of the Lion", "Commercial Break", "Incantation of Ursua", "The Bernard Brown", "Child of the Storm", "Glory of Philadelphia", "Black Museum", "Slip of the Tongue", "Lady of Avalon", "Wrath of the Poets", "Beckinsale Citadel", "Defiance of Philadelphia", "The Jack Frost", "The Kublai Khan", "The Celestial Fountain", "Cambra Anchorage", "House of the Many Ways", "The Draconic Talisman", "Background Music", "The Oliver Konia", "Upsetting the Balance", "The James E. Williams", "Pawn Sacrifice", "Geanina Anchorage", "The Ruby Crown", "The Stephen Bacquet", "Pendant of Calma", "Hell On Wheels", "The Obsidian Crown", "Nicopolis Fortress", "Kaluna Anchorage", "Defiance of Conway", "Hell or High Water", "The Paul Santos", "Chalice of Duvauchelle", "The Charles Kramer", "Better than Expected", "Pushing Ice", "The Obsidian Fountain", "Echos in the Sand", "Like It or Not", "Pendant of Toratani", "Portent of War", 
// Galaxy 3 (Rolled as 1 Roll of 256 Names). 
"The Bewitching Gorgon", "Traces in the Dust", "The Kublai Khan", "Gatekeeper of Zorn", "Monsters from the Id", "White Heat", "Father of Darkness", "Inside the Wall", "Puff of Smoke", "The Under Hive", "Shaken but Not Stirred", "Imperial Glory", "Braced for Impact", "The Orson Welles", "Clouded Sky", "Kissed by the Sun", "Barrel of Laughs", "Upon a Pale Horse", "The James Doohan", "Break in the Circle", "Hold the Dark", "World Engine", "Conspiracy of Men", "Ruler of the Waves", "The Green Goddess", "Just Like Heaven", "Restless Soul", "Blood of Asaheim", "Shores of Infinity", "Magic Carpet", "The Twin Paradoxes", "Sun Trap", "Song of Names", "Boiling Point", "Suspicious Circumstances", "Legion of the Damned", "All Through the House", "Potentially Dangerous", "Snake in the Grass", "The Blue Pill", "Karmic Justice", "Taking the Hint", "Song of the Sparrow", "Outward Bound", "Life at the Top", "Tomb of the Necron", "Sun on the Water", "The Red Rat", "Blood Raven", "Rain upon the Moon", "Smooth Operator", "Stranger on the Shore", "Thicker than Water", "Creative Differences", "Dazed and Confused", "Tapestry of Life", "Seasons in the Sun", "Outside Perspective", "Old World Blues", "Dust of Ages", "One Fine Morning", "Russian Doll", "Over the Top", "Origin Story","Cause for Alarm", "Under the Bridge", "Hall of Mirrors", "Edge of the Map", "Summer Flower", "The Ennio Morricone", "Serpent in the Garden", "Gypsy Moth", "Red Sunrise", "Sign of the Thief", "Raisin in the Sun", "Cosmic Twilight", "Thief of Hearts", "Horns of the Goat", "Access all Areas", "Time and Again", "Batteries Not Included", "Guilt Trip", "Songs of the Damned", "Desert Nights", "Old Lace", "Easy Mode", "Black Sun", "Friends with Money", "Blossoms in the Dust", "Miracle from Heaven", "King of Jazz", "Various Artists", "Clothed in Light", "Return to Glory", "Fall of Macharius", "Secret Ballot", "Anything is Possible", "Pocketful of Crystals", "Current Affairs", "Musing on the Void", "Days of Old", "Attention to Detail", "The Onyx Dog", "Remains to Be Seen", "Social Justice", "Logic Gate", "Straight To Hell", "Hard Candy", "Praise of the Sun", "Velvet Morning", "Paris in the Springtime", "Hammer of Lenin", "Distant Memory", "Ready to Rumble", "Just Before Sunrise", "Divine Starlight", "Smoke without Fire", "Renascence of Twilight", "Time Of The Season", "In the Long Grass", "Spring Festival", "Ants in the Pants", "Court of the Crimson King", "Lucky Number", "Eyes in the Night", "Key to the City", "Mote of Light", "Walking on Sunshine", "Army of the Dead", "Bones of the World", "Crystal Palace", "After the End", "Cosmic Starlight", "Banshee of Artelaan", "Eye of Zariorte", "Fear Street", "Eye of Areran", "Out of Mind", "The Serene Daydream", "Outrider of Geintiso", "Griffin of Teteus", "Raptor of Anedin", "The H. G. Wells", "Harpy of Arlale", "Nostalgia for Edtetiin", "Gatekeeper of Tethra", "The Ivory Citadel", "Gatekeeper of Ertebira", "Pride of Tiatisbi", "Twilight of Laorlaza", "Eye of Orcece", "Dancer of Legean", "Messenger of Reisorza", "Outrider of Aneded", "Cosmic Starlight", "Swordsman of Atmala", "Coracle of Releleat", "Acolyte of Pryderi", "Acolyte of Phanes", "The Divine Ferryman", "Glaive of Peleus", "Pride of Esmara", "The Poetic Basilisk", "Harpy of Arustea", "Glaive of Usrelain", "Echo of Laxesori", "Outrider of Sobek", "Raptor of Aatdire", "Demonic Twilight", "Messenger of Shoggoth", "The Nomadic Gorgon", "Carousel of Geatiar", "The Lurking Horror", "Carnival of Oredaris", "Rider of Leesusen", "Outrider of Zarila", "The Golden Mansion", "Hegemony of Balder", "Carnival of Dragons", "Hegemony of Hyacinth", "Basilisk of Mausdile", "Arenxeon Keep", "Saber of Belaus", "Pride of Resobi", "Euphoria of Barbitium", "Maiden of Esinen", "Echo of Riedanen", "Nostalgia for Inbein", "Saber of Inceisa", "Shield of Enonlebe", "Outrider of Leucon", "Firmament of Raeserre","Carousel of Oresrati", "Gauntlet of Enarines", "Frederick the Great", "Ontear Citadel", "Twilight of Aletius", "Raptor of Reenaten", "Ferryman of Laedon", "War Wasp", "Granit Saber", "Press Gang", "Coleoptera Colony", "Chariot of Laedat", "The Dawdling Raptor", "Arcane Coracle", "Coracle of Arance", "Outrider of Volaticus", "Eye of Islebeen", "Harpy of Letioned", "The Uther Pendragon", "Minotaur of Eresen", "Hegemony of Starkad", "Nostalgia for Athena", "Rider of Theseus", "Watchdog of Soceorbi", "Venom of Omukade", "Cosmic Twilight", "Citadel of Anteed", "Watchtower of Atbele", "Apostle of Gilgamesh", "Pride of Ceesari", "Siren of Vezaorla", "Rider of Laceus", "Gatekeeper of Atisen", "Dibiedin Keep", "Weetwood Hall", "Glaive of Alcyoneus", "Nostalgia for Tioned", "Twilight of Didilaer", "Glory of Hengist", "Vortex of Belabia", "Watchdog of Maletees", "Ark of Leucon", "Blade of Sodiri", "Glory of Onatce", "Acolyte of Abderus", "Apostle of Industry", "Glory of Diesdi", "Ruby of Qumaus", "Phoenix of Tequenes", "Outrider of Veenen", "Nesoi Citadel", "Swordsman of Beorsora", "Hegemony of Thor", "Apostle of Zaeded", "Reusleed Keep", "Nostalgia for Starkad", "Vortex of Geisor", "Rider of Labirior", "Courier of Thoth", "Pride of Zabeor", "Starlight of Riladi", "Triumph of Fame", "Maiden of Laxerive", "Rider of Vemaed",
// Galaxy 4 (Rolled as 1 Roll of 256 Names). 
"Ring of Anenen", "Might of Susna", "Rapture of Serfdom", "Grace of Ededer", "Rhapsody of Artesore", "Hierarchy of Needs", "Rainbow over Bedierat", "Loom of Raedre", "Might of Lebedixe", "Inappropriate Language", "Call of Eszausve", "Rainbow over Onertius", "Troubled Laughter", "Wind on the Moon", "Vision of Onteised", "Queen of the Dammed", "Vortex of Regulus", "Winter Starburst", "Queen of Arries", "The Red Violin", "Refreshingly Unconcerned", "Fire Made Flesh", "Modern Times", "Blue Meanie", "Call of Attremo", "Thunder over Sobeer", "Queen of Ededleen", "Spirit of Erdiares", "Vision of Vishwakarma", "Star of Damocles", "Dancer of Edoned", "Call of Tiarice", "Might of Betierte", "Call of Takshaka", "Star Lord", "Needle in a Haystack", "Blessing of Veanso", "Grace of Prajapati", "Rosa Blanca", "Open Season", "Duke of Arries", "Raw Talent", "Contingency Plan", "Ashes and Diamonds", "A Touch of Spice", "The Love Triangle", "Winter Equinox", "The Last Hunt", "In the Open Air", "Age of Kumunda", "Echo of Miranda", "Ride into Morning", "Dutchy of Gelaed", "True Colors", "Urvashi in Ascension", "Thunderbolt of Bireso", "Vow of Faith", "Karma of Loricatorum", "Vision of Onanorra", "Thunderbolt of Ontilain", "Firestorm of Loki", "The Blind Goddess", "Woodward City", "Might of Anquerbi", "Tender is the Night", "The Red Path", "Firestorm of Aker", "Dutchy of Rexexe", "Winter Mist", "Inhuman Resources", "Queen of Esredice", "Stranger in the Night", "Path of the Dark Eldar", "Blessing of Dirateri", "Chorale of Okazaki", "Crimson Tears", "The Assassin Beatle", "Call of Menaka", "Rapture of Diatin", "Kersting Metropolis", "Epiphany of Kesari", "Priest of Mars", "Ace in the Hole", "Queen of Dirateri", "Only in Death", "Summer Mist", "King of Erxearis", "The Arexack Heretic", "Blood on the Mountain", "Seed of Doubt", "Innocence Proves Nothing", "Exception to the Rule", "The Starlit City", "Grace of Enbean", "Dancers of Alcyoneus", "The Greasy Pole", "Retail Trader", "Queen of Ausaso", "Lord of Tiuson", "Judgement of Narmada", "Call of Erusat", "Heart of the Serpent", "Mists of Geondi", "Fountain of Isanesle", "Rhapsody of Vetebe", "Duke of Ceerti", "The Shaman King", "Starburst over Vetebe", "Euphoria of Shashthi", "Survivor Bias", "No Laws But Our Own", "Madonna of Callistro", "Gothic Queen", "Equinox of Antiis", "Not the End of the World", "Star Surfer", "Grace of Lecean", "Duke of Esisrela", "Echo of Ardour", "Dancer of Lecean", "Saga of Ganesha", "The Dylan Smith", "Time After Time", "Cloak and Dagger", "Thriae Anchorage", "Master of Shadow", "Watchtower of Rasoso", "Rhapsody of Ataneris", "Light of Other Days", "Judgement of Shiva", "Breaking the Spell", "Duke of Issoinen", "King of Reenus", "Sky Rider", "Shadow over Mars", "Might of Ataneris", "The Ministry of Plenty", "Vision of Enonedar", "Lakshmi Palace", "War is Peace", "Neutral Ground", "Blessing of Shashthi", "Fall of Olympia", "Off the Menu", "Duke of Maedrebe", "Over the Rainbow", "Rhapsody of Vedagarbha", "Rhapsody of Gayatri", "Queen of Enbirare", "Blessing of Bhumi", "Thunderbolt of Inlaoran", "King of Veleeder", "Ring of Esrixear", "Lord of the Cats", "Summer Storm", "Mists of Anisinza", "Equinox of Reonen", "Duke of Zagearbe", "Spirit of Istiteat", "Rapture of Thirumal", "Rites Of Spring", "Dancers of Edrilain", "Vision of Xeer", "Dutchy of Mazare", "Queen of Anorxe", "Dancers of Belenus", "Call of Soinsoan", "Lord of Aronar", "Vortex of Acrab", "Vision of Anjana", "Age of Pundarika", "Madonna of Komephoros", "Castle in the Sky", "Dancers of Canola", "Madonna of Reatte", "King of Orverace", "Summer Lightning", "Firestorm of Odinl", "The Olympian King", "Smoke in the Eyes", "Duke of Tiatenqu", "Thurnderbolt of Esreates", "Summertime Blues", "Hit and Run", "Rainbow over Arceores", "Spirit of Esditi", "Dutchy of Atlaar", "Rhapsody of Prajapati", "Let Them Eat Lead", "Dancers of Cerianon", "Comfortably Numb", "Believe The Hype","Queen of Celaqula", "Fever Dream", "Lord of Diqudi", "Soul Kitchen", "Rapture of Jagannatha", "Equinox of Esrire", "Might of Shesha", "Ride to Freedom", "Rhapsody of Narayana", "Spirit of Opportunity", "Euphoria of Svaha", "Epiphany of Tara", "Grace of Oresatra", "Duke of Labeinla", "Ring of Lavele", "Queen of Zagearbe", "Vortex of Nentres", "Judgement of Madhava", "The Final Cut", "Euphoria of Narayana", "The Bewitching King", "Blessing of Saraswati", "Duke of Erxearis", "Thurderbolt of Ceraso", "Winter King", "Summer Queen", "Vortex of Lysithea", "Might of Kaliya", "The Bewitching Dancer", "Vision of Conlabefio", "Judgement of Vishnu", "Rhapsody of Orreedon", "Call of Isbior", "Might of Mararere", "Duke of Ededleen", "Hate Week", "Chorale of Penarth", "Spirit of Dentalia", "Rhapsody of Manasa", "Vision of Astika", "Rainbow over Esceso", "Dancers of Riaronus", "Saga of Pundarika", "Chorale of Washington", "Grace of Aededle", "Vision of Atlaeser", "Judgement of Dakshina", "Chorale of Multan", "Madonna of Puppis", "Karma of Madhava", "Madonna of Sobiatri", "Rainbow over Vebian", "Summer Mist", "Saga of Nala", "Walk This Way", "Purple Emperor", "Burning Season", "Duke of Enlaonus", "Madonna of Ondira", "Belly of the Beast", "Karma of Vishnu", "Queen of Georinar", "Dutchy of Aronar", "Echo of Atuszais",
// Galaxy 5 (Rolled as 1 Roll of 256 Names). 
"The Phantom Nova", "Wreaking Crew", "Beast in the Cave", "Ebb and Flow", "The Royal Dragon", "Twilight of Giausar", "Prince of Veleeder", "Lady of Arendi", "The Cosmic Wolverine", "Storm of Tetied", "Lord of Telear", "Mirror of Tetied", "Midnight Tiger", "Fortress of Telear", "Risen Dragon", "Shield of Laesusso", "Leper Colony 25", "The Galloping Desteria", "Fallen Dragon", "The Charging Goat", "The Silver Steed", "The Royal Wizard", "The Feisty Wolverine", "Watchdog of Zarienla", "Deliverance of Leonus", "Guardian of Lerela", "Dawn of Aqutebi", "Albedo of Enceladus", "Song of Edith", "The Silver Lining", "Prince of Canopus", "Eye of Pollux", "Equinox of  Veisin", "Hound of Mainon", "Wild as the Wind", "Melody of Rileisis", "The Prowling Poet", "The Royal Porcupine", "Albedo of Plautos", "Pity the Fool", "Bloodline of Tetier", "Defiance of Orteve", "Prince of Komephoros", "Warlord of Utopia", "The John Wick", "Prince of Latibe", "Whirlpool of Ormala", "Pride of Estebiin", "Buzz Saw", "The Awoken Jaguar", "Lady of Tiessous", "Lord of Edsous", "The Feisty Firefly", "Restoration of Chaos", "Manasa Citadel", "Sanctuary Woods", "Son of Triton", "Mirror of Ormadi", "The Peculiar Poet", "Edge of Eternity", "The Whispering Dingo", "Shield of Mamaus", "Dream Weaver", "Ice Storm","Goddess of Elara", "Copernicus Depot", "Ariel in Eclipse", "Steed of Enorar", "Stone Goddess", "Triumph of Draco", "Midnight Oil", "Watchdog of Aniseres", "Guardian of Ledius", "Dawn of Direbea", "Fate of Atlantis", "Equinox of Riesonso", "The Bertilak La Verde", "Hound of Oranesri", "Utopia of Ervedira", "Nebula of Centaurus", "Melody of Oranesri", "Riders in the Sky", "The Phantom Sunrise", "Bloodline of Zainer", "Rise of Mebsuta", "Prince of Letean", "Deliverance of Vexeince", "Way of Lainisri", "Lady of Onteer", "The Howling Wolverine", "The Angelic Moonbeam", "Brass Dragon", "Darken Wood", "Cavendish Depot", "The Galloping Goat", "Lord of Anorxe", "The Barking Vixen", "Mirror of Ataren", "Shield of Onertius", "Utopia of Rirelaxe", "Watchdog of Leusar", "Razor of Bebidiso", "Edge of Rebellion", "Chamber of Commerce", "Heat of the Morning", "Return to Sender", "Sonata of Ainlete", "Guardian of Orxete", "Dawn of Maesvear", "The Punch Line", "Plautos in Conjunction", "Eclipse of Onbeso", "Rainbow over Mars", "Quest for Glory", "The Immortal Storm", "The Cosmic Stallion", "Eye of Hadar", "Equinox of Tianorin", "Hound of Lesolari", "The Risen Wolverine", "Prince of Pasiphae", "The Royal Unicorn", "Ascension of Teerma", "Melody of Bireor", "The Prowling Lynx", "Bloodline of Verige", "Prince of Antima", "The Immortal Steed", "Lormar Refinery", "Utopia of Dierlabe", "Angel of Promise", "Rise of Regulus", "The Charnel House", "Lady of Edince", "Storm of Erisonin", "The JRR Tolkien", "The Mandela Effect", "Theemin in Conjunction", "Red Dragon", "Lord of Ceenrive", "Man in the Mirror", "Mirror of Sotean", "Venus Waxing", "Utopia of Edbeined", "Shield of Orriaso", "Watchdog of Lainusar", "Rise of Sullust", "Dawn of Onente", "Iron Cobra ", "Prince Valiant", "Eclipse of Leedre", "The Risen Poet", "Lady of Epimetheus", "Mercury Waxing", "The Immortal Goddess", "Utopia of Raxeuson", "Hound of  Arente", "Conjunction of Himalia", "Beneath the Setting Sun", "Fool on the Hill", "Lady of Teerbi", "The Nomadic Jaguar", "Lord of Macece", "Silent Hill", "Pocketful of Dreams", "Whirlpool of Zausri", "Mirror of Ceoreded", "Legacy of Mateus", "Pointy End First", "Humble Beginnings", "The Silver Jaguar", "The Angelic Butterfly", "The Royal Poet", "Watchdog of Anares", "Dawn of Getere", "Hamilton Outpost", "The Stone Desteria", "Melody of Edlate", "Lioness of Intisoar", "One for Sorrow", "Dancer in the Mist", "Triumph of Marinam", "The Scarlet King", "Bloodline of Orerbia", "The Eldritch Storm", "Prince of Radiesar", "The Maverick Poet", "Neptune Waxing", "A Narrow Escape", "The Arisen Dodo", "Nothing is True", "The Silver Unicorn","Mirror of Artibius", "Shield of Larivear", "Vortex of Artibius", "The Arcadian Poet", "Conjunction of Europa", "Watchdog of Qurioren", "Arcadia Rising", "Vortex of Matilati", "The Arcadian Lion", "Wasted Youth", "Wall of Silence", "Earnshaw Outpost", "Ashes to Ashes", "Master of the Lists", "Deliverance of Anenus", "The Conjured Dragon", "The Whispering Goat", "Copper Dragon", "Bellatrix in Transition", "Hound of Adien", "Ballard of Leamais", "The Risen Wolverine", "Lights in the Sky", "Viking Queen", "The Maverick Stallion", "Bloodline of Geverare", "The Prowling Leopard", "Fight the Power", "Fallen Dragon", "Through the Grapevine", "Goddess of Hadar", "Realities of War", "The Stone Panther", "Between The Wars", "Lost to Time", "Peer Pressure", "The Risen Cougar", "Lady of Leera", "Ballard of Quesla", "Practice makes Perfect", "Mirror of Anerat", "Thje Silver Sunburst", "Pot Luck", "Amongst the Missing", "The Maverick Wizard", "Explosion of Tears", "High Jinx", "Art and Culture", "The Risen Jaguar", "Rise of Ophiuchus", "The Ascended Poet", "Conjunction of Formosa", "Fall of Callistro", "The Silver Panther", "Prince of Qurioren", "Friendly Persuasion", "Lord of Matilati", "The Silver Chrysalis", "Dawn of Orinmaen", "The Risen Stallion", "Back To Life", "Hound of Mateus", "The Stone Steed", "Mists of Avalon ",
// Galaxy 6 (Rolled as 1 Roll of 256 Names). 
"Thunderbolt of Anleis", "Oasis of Tionis", "Albedo of Ceuses", "Thunderbolt of Esmain", "When the Dominos Fall", "Albedo of Axeus", "Codex of Andiso", "Thunderbolt of Teisarza", "The Mountain Aviary", "Evocation of Anbedi", "Kadath Citadel", "Heart and Soul", "Enclave of Onarsoat", "Whirlpool of Zaisra", "The Nine Sisters", "Harvest of Bisoaton", "Waterfall of Tiusriri", "Well of Laesinma", "Mantle of Enuserin", "Flame of Edrebi", "Obelisk of Getius", "Vestige of Ladila", "The Mountain Goat", "Parapet of Geison", "Vigil of Esenma", "The Fossilized Cat", "Codex of Bebeleus", "Oasis of Vereen", "Mantle of Tetiri", "Incantation of Onrace", "The Crimson Rainbow", "Vortex of Masoen", "Crown of Ontiteen", "Fort Nineue", "Evocation of Biradi", "Glatisant Anchorage", "Enclave of Maleve", "Better Late Than Never", "Chariot of Anlala", "Vanguard of Matira", "Whirlpool of Veonquat", "Albedo of Matira", "Vestige of Teesbi", "Codex of Cesousla", "Waterfall of Enonis", "Next of Kin", "Evocation of Celearen", "Artifact of Ceused", "The Unearthly Veil", "Dream Catcher", "Corona of Biceenon", "The Ghostly Photon", "Medal of Honor", "Enclave of Tiuson", "Hold the Line", "Well of Erorle", "Enclave of Ataton", "Deep Rising", "Flame of Beveinve", "Artifact of Ortema", "Obelisk of Onditi", "Haven of Ceinan", "Oasis of Rateisre", "Mirror Image","Vortex of Uslain", "Artifact of Edceon", "Crown of Cebiledi", "War Rat", "Codex of Sobean", "Chariot of Ceedra", "Vanguard of Solaerin", "Well of Somate", "Albedo of Tebeor", "Vestige of Arbean", "Codex of Veoror", "Enclave of Artear", "Mantle of Edbeis", "Flame of Anatma", "Obelisk of Anisat", "Vortex of Orlaed", "Oasis of Leatrien", "Waterfall of Enedso", "Corona of Bilera", "Veil of Isbianon", "Crown of Leteisan", "Fire of God", "Harvest of Bilecedi", "The Crimson Tower", "Tower of Lausmaes", "Shadow of the Comet", "Chariot of Larionra", "Vanguard of Bereed", "Vestige of Geesla", "Codex of Geerbi", "Enclave of Atenrile", "Flame of Leerte", "Well of Anbiat", "Obelisk of Maeser", "Oasis of Istela", "City of Amphibalus", "Discovery of Witchcraft", "Vortex of Leonrala", "Artifact of Esbeena", "Harvest of Veedri", "Chariot of Gesoed", "Obelisk of Geonbi", "Vanguard of Orbeat", "Thunderbolt of Bianmadi", "Albedo of Ceatrece", "Evocation of Latile", "Vestige of Sotidi", "The Golden Starburst", "Codex of Enonedar", "The Eldritch Flame", "Enclave of Gesolaon", "Oasis of Anerma", "Veil of Enlaonus", "Flame of Isrema", "Obelisk of Esisor", "Artifact of Edbedi", "Crown of Teceteis", "Vortex of Beoninon", "Corona of Isanla", "Damnation Alley", "Paddington Station", "The Sable Tower", "Chariot of Mausra", "The Golden City", "Vanguard of Zamaes", "Thunderbolt of Ceausis", "Vestige of Atbitela", "Battle Cat", "Albedo of Edmaor", "Flame of Leedtier", "Obelisk of Erbierso", "Oasis of Lequteor", "Artifact of Onesed", "Crown of Tiacein", "Enclave of Leenra", "Corona of Soteoris", "Vortex of Geteanan", "Division of the Spoils", "Blackness Between Them", "Vanguard of Veretite", "Iron Resolve", "Wrath of the Imperator", "Codex of Geritior", "Veil of Erlein", "Wall of Thorns", "Enclave of Anonrior", "Flame of Tireonce", "Obelisk of Zamaso", "Codex of Maleve", "Union City", "The Unearthly Flame", "Arc of Telala", "Oasis of Enreso", "Crown of Onramaon", "Chariot of Edisor", "Vanguard of Onatve", "Vestige of Aenlege", "Harvest of Edisor", "Codex of Laxema", "Hidden Gem", "Artifact of Dienon", "Evocation of Cebitiza", "Enclave of Ledila", "On the Waterfront", "The Eldritch Crown", "The Cosmic Whirlpool", "Well of Raceedat", "Veil of Abilama", "Waterfall of Reeded", "Mistress of Mystery", "Flame of Gebiisso", "Obelisk of Anerined", "Oasis of Teisen", "Vigil of Rileri", "Vestige of Teance", "Artifact of Onisaned", "Crown of Enlaus", "Vanguard of Rianxe", "Chariot of Anquen", "Thunderbolt of Reininus", "Albedo of Leveor", "The Pierre Bonnard", "Vestige of Ermala", "Codex of Ataris", "Enclave of Relaon", "Haven of Tiorra", "Oasis of Arceonre", "Well of Raisso","Albedo of Mamaed", "The Welsh Wizard", "Veil of Beteona", "Flame of Maorra", "Obelisk of Isma", "League of Gentlemen", "Thunderbolt of Ensoza", "Oasis of Rainla", "Vortex of Arama", "Corona of Leenor", "Make or Break", "Vanguard of Oronceri", "Vestige of Zausmaor", "Oasis of Biante", "The Omega Man", "Crown of Isreesve", "Radio Silence", "Chariot of Enlaed", "Vanguard of Dicebe", "Albedo of Cebima", "Codex of Veusar", "Vestige of Anrebeis", "Thunderbolt of Leanon", "Infinite and Divine", "Brotherhood of the Storm", "The Robert Heinlein", "Body Horror", "Obelisk of Tirausra", "Evocation of Beedriar", "The Celestial Ark", "Shadow Run", "Summoned by an Old Whistle", "All Roads Lead to Lave", "The Shifty Scribe", "Keeper of the Rift", "Veil of Isarima", "Flame of Temage", "Obelisk of Zaonen", "Vortex of Esenena", "Relic of Velaat", "The Mountain Lair", "Arc of Geaten", "Enclave of Insote", "Oasis of Vecedius", "Corporate Raider", "Artifact of Querbe", "Crown of Inceor", "Chariot of Timabi", "The Crimson Vortex", "Vestige of Aninator", "Love in a Cold Climate", "The Golden Pulsar", "Vanguard of Tileen", "Thunderbolt of Soenisti", "Elm Street", "The Iridescent Photon", "Albedo of Usisis", "Codex of Leisera", "Flame of Teteso", "Obelisk of Leontied", "Harvest of Eresan", "Oasis of Cearmate", "Artifact of Enanar", "Crown of Tibedied",
// Galaxy 7 (Rolled as 4 Rolls of 64 Names).
"Questionable Angel", "Sword of the Spirits", "Crucible of Tiraor", "Garnet of Rabedira", "Opal of Lave", "The Astral Relic", "Armoury of Cebetela", "Rider of Ceedra", "The Fiery Crucible", "Damsel of Atriso", "Horseman of Retila", "Garnet of Inleus", "The Fiery Opal", "Remnant of Onrira", "Prince of Legees", "Shepheard of Arexe", "Crucible of Atrabiin", "Madonna of Oreseren", "Watchdog of Isence", "Riddle of the Sands", "Swordsman of Reesdice", "Midnight Sunshine", "Let Them Eat War", "Thunder Cat", "Chicken Run", "Remnant of Terea", "Messenger of Reorte", "Warrior of Geinona", "Twilight of Anarlaqu", "Relic of Oresri", "Crucible of Esesla", "Pearl of Riedquat", "Vestige of Gerege", "Fountain of Malama", "Ring of Charon", "Dark Legacy", "The Fiery Opal", "Remnant of Aesbion", "Crucible of Leesti", "Jewel of Zainlabi", "Relic of Uscela", "Artifact of Tioranin", "The Shrouded Pearl", "Not Quite Human", "Mirror of Learorce", "Flame of Esusti", "Pearl of Edinso", "Carousel of Aronar", "Crucible of Orteve", "Shroud of Soinuste", "The Iridescent Pearl", "Relic of Ensoreus", "Remnant of Riveis", "Garnet of Ermaso", "Artifact of Velete", "Opal of Atrienxe", "Opal of Beusrior", "Armoury of Ontiat", "Love Island", "The Fiery Pearl", "Remnant of Leoned", "Rider of Teraed", "Damsel of Vetitice", "Prince of Esredice", "The Silent Watchdog", "The Leslie Nielsen", "Messenger of Veisti", "Rider of Zaerla", "Damsel of Laenin", "Horseman of Erbiti", "Shadow Play", "Prince of Reinen", "Shepheard of  Ininbi", "Madonna of Celabile", "Watchdog of Ribiso", "Unnatural History", "Madonna of Qudira", "Planet of the Rats", "Twilight of Isdibi", "Fountain of Gequre", "Damsel of Aerater", "Shepheard of Tionisla", "Old Flame", "Another Time and Place", "Echoes of the Past", "Guild Wars", "Chamberlain Heights", "The Veiled Madonna", "Swordsman of Encereso", "Watchdog of Anerbe", "Twilight of Gelaed", "Baphomet City", "Shepheard of Onusorle", "Swordsman of Zaonce", "Rider of Zadies", "Warrior of Esanbe", "Damsel of Anlere", "Jewel of Teveri", "Prince of Sotiera", "Warrior of Ededleen", "Rider of Lerelace", "Web of Suspicion", "Mirror of Esbeus", "Prince of Anbeen", "The Lightning Thief", "The Silent Horseman", "Flame of Biorle", "The Silent Messenger", "Prince of Anisor", "Swordsman of Riraes", "Total War", "Sucker Punch", "Garnet of Xeer", "Rider of Isatre", "The Silver Spoon", "Horseman of Isinor", "Madonna of Bemaera", "Opal of Inines", "Horseman of Edzaon", "Camp Nevermore", "The Melodic Messenger", "The Silent Rider", "Pearl of Lutra", "Rider of Leritean", "Horseman of Veale", "Madonna of Anlama", "Rider of Ribilebi", "Shepheard of Relaes", "Rise of Lucifer", "Fall of Asphodel", "Rise of Cthulhu", "Highway to Tartarus", "Rise of Mephistopheles", "The Dogmatic Hound", "Fall of Krampus", "Fall of Satan", "Road to Nevada", "Road to Tartarus", "Mark of the Beast", "Mercy of Strangers", "Gates of Nevada", "Stepchild of Plato", "Portal to Elysium", "Fall of the Dice", "Fall of Lucifer", "Call of Mephistopheles", "Gateway to Tartarus", "Portal to Heaven", "Might of Cthulhu", "Pearl of Tartarus", "Rise of Asmodeus", "Rise of Mephistopheles", "Call of Lucifer", "Fall of Thanatos", "Dreams for Sale", "Might of Beelzebub", "Gates of Erebus", "Out On A Limb", "Road to Acheron", "Gates of Pandemonium", "Highway to Acheron", "Might of Lucifer", "The Real Macaw", "The John Carpenter", "Rise of Krampus", "Babylon Four", "Gateway to Asphodel", "Portal to Acheron", "Portal to Hell", "Highway to Heaven", "Road to Hell", "Rise of Krampus", "Call of Satan", "Rise of Thanatos", "The Edward Marshall Hall", "Lure of Satan", "Might of Krampus", "The Shadow Broker", "Gateway to Erebus", "Highway to Erebus", "Road to Elysium", "Rise of Mephistopheles", "Snow Queen", "Might of Thanatos", "Might of Thanatos", "Gateway to Pandemonium", "Gates of Acheron", "Call of Dantalion", "Money Ball", "Fall of Thanatos", "Corridor of Mirrors", "Gateway to Erebus", "Waterfall of Enonla", "Armoury of Tibecea", "Damsel of Sotera", "The Sweeney Todd", "Garnet of Esteonbi", "Carousel of Oresle", "Albatross Descending", "Prince of Larais", "The Jovian Codex", "Crucible of Anxebiza", "Opal of Eninre", "Twilight of Sorace", "Jewel of Riantiat", "The Eternal Fountain", "End of the Spear", "The Gorgeous Gorgon", "The Divine Codex", "Friday the Thirteenth", "Mirror of Zarece", "The Cosmic Jewel", "Stella Waltz", "Flame of Maesin", "Remnant of Tibionis", "Garnet of Orrere", "The Eternal Carousel", "Relic of Gerete", "The Marcan Rayger", "Crucible of Xeoner", "Codex of Ritila", "Opal of Edorte", "The Golden Tear", "The Karmic Flame", "Pearl of Beesor", "Mirror of Oresqu", "Armoury of Maises", "The Eternal Flame", "Sea Hawk", "The Cosmic Fountain", "Codex of Mars", "Damsel of Bierle", "Skywalker Ranch", "Timeless Spring", "Prince of Riredi", "Flame of Edreor", "The Eternal Fountain", "Shepheard of Zasoceat", "The Celestial Carnival", "The Spectral Mirror", "Carousel of Rilace", "Fort Casey", "Madonna of Beenri", "Flame of Laeden", "Watchdog of Mariar", "Messenger of Biramabi", "Warrior of Tiquat", "Jewel of Qubeen", "Flame of Rebia", "Codex of Ordima", "Twilight of Aruszati", "Twilight of Raleen", "Horns of a Dilemma", "Jewel of Teesdi", "Prince of Quorte", "The Celestial Flame",
// Galaxy 8 (Rolled as 4 Rolls of 64 Names). 
"Obelisk of Mancini", "Rise of Genevra", "City of Monaldo", "The Chiara Observatory", "Echo of Soladies", "Fall of Onlema", "Loreto Outpost", "Edrei Rising", "The Stramineus Array", "City of Melania", "Armory of Orerve", "Fall of the Alamo", "Rise of Antillarum", "Halfrida City", "Rise of Donati", "Obelisk of Melania", "City of Nermana", "Waverly Place", "The Tanwen Array", "Echo of Gabriella", "Monolith of Ladibe", "Antillarum Landing", "Fall of Lombardi", "Echo of Catalina", "Rise of Cosima", "City of Andinus", "Armory of Louella", "Melting Point", "Fall of Chimane", "True Romance", "Being Human", "Central Park", "Born to Be Wild", "Executive Decision", "City of Mamorae", "Valeria Depot", "The Iron Giant", "Eclipse of Lerela", "Proof of Life", "Shrew Dicing Facility 85", "Blood Work", "The Last Samurai", "Lady in the Water", "Flags of Our Fathers", "Adamaris City", "The Lobster Pot", "Music and Lyrics", "Lucciano City", "Tehmina Outpost", "Milano Depot", "Rise of Rienla", "City of Lucciano", "Hound of Hell", "Phaeotis Depot", "Diamante City", "Rise of Couesi", "Echo of Ridiusla", "Monolith of Berien", "Armory of Nelsoni", "Brevicauda Outpost", "The Chacoen Observatory", "Antillarum Outpost", "The Nichelle Nichols", "Echo of Chimane", "Mars in Conjunction", "Ariel in Conjunction", "Jupitor at Apogee", "Counter Point", "Gemini Rising", "Pluto in Conjunction", "Saturn in Eclipse", "City of Wax", "Mars Rising", "Centaurus at Apogee", "Betelgeuse in Eclipse", "Rise of Bellatrix", "Neptune in Eclipse", "Solaris in Transition", "Eclipse of Mercury", "Callistro in Ascension", "Echo of Phobos", "Acrux Rising", "Charon in Conjunction", "Aspero in Transition", "Rise of Formalhaut", "Ophiuchus in Ascension", "The Gumball Rally", "Rise of the Sea Dragon ", "Mind Boggler", "Jupitor in Ascension", "Fall of Pluto", "Bellatrix in Ascension", "Rise of Sirius", "Eclipse of Deimos", "Pasiphae in Conjunction", "Neptune in Conjunction", "Echo of Deimos", "Lave in Ascension", "Fountain of Mirth", "Pluto in Conjunction", "Rise of Umbriel", "Fall of Neptune", "Echo of Earth", "Eclipse of Arcadia", "Ascension of Terebeilum", "Janus in Eclipse", "Cepheus in Conjunction", "Kerberos at Apogee", "Echo of Deneboia", "Fall of Rigel", "Rise of Nembus", "Fall of Horna", "Ananke in Transition", "Fall of Arcadia", "Echo of Iocate", "Eclipse of Fornax", "Tomb Raider", "Elara Rising", "Turn of the Tide", "Fall of Venus", "Jupiter Rising", "Aquila at Apogee", "Rise of Mars", "The George Orwell", "Rise of Sirius", "Arcadia in Conjunction", "Monolith of Ramaza", "Hades in Eclipse", "Martian Summer", "Monolith of Mars", "Demonic Wildfire", "Vortex of Onenti", "Unchained Cockatrice", "The Umbrella Protocol", "Obelisk of Labilaen", "Daemon Departing", "Rise of Zateteis", "Martian Sunrise", "Fall of Cerisoma", "Potnia Citadel", "The Medusa Directive", "The Fenris Accord", "Monolith of Rieda", "The Oncoming Storm", "The Rafe Zetter", "Eclipse of Soinuste", "Bang the Drum", "The Capricorn Accord", "The Orpheus Accord", "The Medusa Convention", "Echo of Bedierat", "The Odin Protocol", "Martian Spring", "Ocean Breeze", "The Immanuel Kant", "Vortex of Cearso", "The Unchained Banshee", "Jovian Sunrise", "The Quantum Storm", "The Jean-Paul Sartre", "Fall of Anisti", "The Unchained Succubus", "Monolith of Zaxerice", "Equinox of Somaed", "Manticore Departing", "Diabolical Wildfire", "The Robinson Crusoe", "Gargole Departing", "The Omega Convention", "Leviathan Departing", "The Mary Shelley", "Martian Summer", "Beneath the North Star", "Monolith of Beused", "City of Isceer", "The Incubus Convention", "Martian Equinox", "Succubus Departing", "Martian Spring", "Martian Dawn", "Rise of Lereus", "Basilisk Rising", "The Don Quixote", "The Unchained Werewolf", "Tongue Twister", "Martian Equinox", "Jovian Spring", "Martian Sunset", "War and Peace", "Vortex of Acheron", "The Fenris Directive", "The Odysseus Directive", "Orchestra of Luken", "Glory of Arcelia", "Ferryman of Zambran", "Nostalgia for Aeneas", "Neuromancer of Futen", "Glory of Marici", "Firmament of Gandira", "Garrison of Vielma", "Neuromancer of Goron", "Orchestra of Kiaskari", "Seclusion of Aeramen", "Garrison of Zarco", "Hegemony of Celio", "Twilight of Jonah", "Tranquillity of Ingles", "Solstice of Alaois", "Regiment of Futen", "Neuromancer of Jonah", "Cider with Rosie", "Garrison of Lucian", "Twilight of Topete", "Twilight of Zambran", "Nostalgia for Fuentes", "Hegemony of Marici", "Neuromancer of Barbod", "Liberator of Laran", "Neuromancer of Salome", "Solstice of Abhivira", "Firmament of Lucian", "Nostalgia for Floki", "The Edward Morbius", "Greed is Good", "Twilight of Vasco", "Liberator of Tatsuta", "Firmament of Radames", "Garrison of Sashura", "Neuromancer of Manar", "Glory of Raiden", "Twilight of Zambran", "Liberator of Marcella", "Neuromancer of Martyn", "Twilight of Fuentes", "The Deadly Goat", "Regiment of Kovalan", "Chariots of Fire", "Regiment of Ingvar", "Dancer of Naois", "Glory of Santin", "Glory of Gandira", "Orchestra of Zevallos", "Garrison of Tatsuta", "Tranquillity of Leonor", "A Fistful of Dynamite", "Regiment of Ingvar", "Seclusion of Naishadh", "Glory of Arcelia", "Solstice of Sashura", "Tranquillity of Amparan", "Glory of Ortegon", "Glory of Vasco", "Regiment of Guiomar", "Liberator of Ervar", "Nostalgia for Brasmatia", "Hollow Crown",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Broomfield Dockyard"];

this.extrapool2 = [
// Galaxy 1 (Rolled as 32 rolls of 8 names per roll).
"The Sun Tzu", "Lord of Neptune",  "Lord of Uranus", "Day of Forever",  "Cold War",  "Lord of Enceladus",  "Lord of Geminoram",  "Lord of Hyperion" , "Shadow Ranch",  "Bloody Mary",  "The Perpetual Vortex",  "Chain of Chance",  "The Emerald Vortex",  "Winter Queen",  "Desert Fury",  "Grim Hollow",  "Indiana Orbiter", "Iowa Orbiter",  "Dawn of Man", "Atlanta Orbiter",  "The Ray Bradbury",  "Colorado Orbiter",  "Elden Ring",  "GASEC Headquarters"  ,"Whistling in the Dark",  "Denver Terminus",  "Stars End",  "Naked Lunch",  "Born of the Sea",  "Idaho Terminus",  "Gold Digger",  "Louisiana Terminus",  "Dilated Starlight", "Dream No More",  "Undying Starlight", "Blood Demon",  "Face in the Sand",  "Benefit of the Doubt",  "Blood Moon",  "Grey Pilgrim"  ,"Apple of Temptation",  "Heart of Stone",  "Firing Solution",  "Apple of Youth",  "Apple of Perdition",  "Apple of Youth",  "Dawn Star",  "Apple of Rostam",  "Measure of a Man", "Matlock Anchorage",  "Critical Condition", "Portland Anchorage",  "The Dragon Queen",  "Best Laid Plans",  "Domino Effect",  "Hengist Anchorage"  , "Hydra Ascending", "Plague of Locusts",  "Sleep No More", "Cape Fear",  "Dragonfly Ascending",  "Serpent Ascending",  "Midnight Rambler",  "Leviathan Ascending", "Nothing Personal",  "Gods and Monsters",  "Dark Frontier",  "Dawn of the Gods",  "Albatross Descending",  "Hawk Descending",  " Osprey Descending",  "All the Fun of the Fair",  "Food of the Gods", "Portrait of Isabella",  "Edinburgh Castle", "An Ideal World",  "Touch of the Devil",  "Living Flame",  "Bark Scorpion",  "Wings of a Dove",  "Fury of the Gods",  "King of the Mountain",  "Trade Wind",  "Luck of the Devil",  "Death Wish",  "Blood Alley",  "Draconic Fury",  "Common Ground",  "Camp David",  "Cold Mountain",  "Camp Jameson",  "Thief in the Mirror",  "Mantis Flower",  "Camp Arjuna",  "Camp Tamworth",  "Camp Blackwood",  "Greenwich Dockyard",  "Aristotle Dockyard",  "Ripon Dockyard",  "Brighton Dockyard",  "The October Revolution",  "Churchill Dockyard",  "Oxford Circus",  "Battula Dockyard",  "Distant Echo",  "Bewitching Echo",  "Cherry Blossom",  "Undying Echo",  "Open All Hours",  "King of Cats",  "Image of the Fendahl",  "Latitude Zero",  "Bellman Keep", "Aretaeus of Cappadocia", "Cohn Keep", "Silly Point", "Iron Keep", "Persistence of Vision", "Honorius Keep", "Keep on the Borderlands", "Codex of Macea", "Twilight of Laceteed", "Codex of Arines", "Heat of the Moment", "Eternal Rest", "The Arcane Codex", "Vesuvius Tamed", "Codex of Solaed", "Dilated Starlight", "The Edible Tourist", "Feet of Clay", "Orchestra of Andromeda", "Orchestra of Eternity", "Orchestra of Shennony", "Port Royal", "Orchestra of Destiny", "Fortress of Solitude",  "Day of the Triffids",  "The Bewitching Nest",  "Trumpton City",  "Breath of the Wild",  "Curiosity Shop",  "The Homely Nest",  "Codex of Soreisbe",  "Mists of Time", "Speaking in Tongues", "Lust for Life", "Le Chat Noir", "Armour of Atlas", "Armour of Prometheus", "Davy Jones Locker", "Dawn of Time",  "Behind the Wall",  "Snow Pearl",  "Wind in the Willows",  "Michigan Bay",  "Tides of Heaven",  "Missouri Bay",  "Swap Shop",  "Road of the Patriarch",  "The Armoured Bear", "Port Blacksand", "Gandalf's Gamble", "Republic of Dave", "One Small Step", "The Professor Yaffle", "Bagpuss Triumphant", "The Winged Queen",  "Grey Star", "Mask of Odin", "The Fortified Hive", "The Armoured Hive", "Orchestra of Riedin", "Catcher in the Rye", "Orchestra of Ceinerxe", "Quarantine Facility 25", "Echo of Yesterday", "Echo of Industry", "Echo of Might", "Echo of Fury", "Echo of Twilight", "Libertatia City", "Echo of Hades", "Echo of Silence", "Orchestra of Lasoan", "Raised by Wolves", "Land of the Lost", "Montbatten City", "Codex of Laraisso", "Jameson Outpost", "Cunningham Depot", "Codex of Lainor", "Westminster Central",  "Singapore Central",  "Topkapi City",  "Arnos Vale",  "Zenon Central",  "Smoke and Mirrors",  "Neptune Citadel",  "Crack in the World",  "Crooked River",  "Call of the Klondike",  "Master of Arms",  "Teeth of the Hydra",  "Banshee Mesa",  "Watcher on the Wall",  "Starlit Mesa",  "Azure Star",  "Madonna of Might",  "Madonna of Tears",  "Galaxy Quest",  "Moby Dick",  "Madonna of Eternity",  "Bad to the Bone",  "Pressure Point",  "No Fixed Abode",  "Fort Despina",  "Vabth Orbital",  "Beats Working",  "Transit of Venus",  "Symphony of Fire",  "Daphnis Orbital",  "Ask the Dust",  "Playing for Keeps",  "Flower of Somerset", "Flower of Essex", "Flower of Devon", "Snow Leopard", "Rose of Moscow", "Flower of Lancashire", "Empty Heart", "Flower of Yorkshire",  "La Cote Basque",  "Terem Palace",  "Dawn Chorus",  "Chorus of Meliorem",  "Trouble in Paradise",  "Chorus of Rhea",  "Crazy Like A Fox",  "Chorus of Xeesle",  "Arkham Asylum",  "The Sunless Citadel",  "Wheel of Time",  "The Glass Citadel",  "The Starlit Citadel",  "Citadel of Chaos",  "Primal Order",  "The Emerald Citadel",  "Crown of Thorns",  "Praying Mantis",  "Forged in Darkness",  "The Glass Crown",  "The Bronze Crown",  "The Titanium Crown",  "Circus of Industry",  "Catherine of Aragon", 
// Galaxy 2 (Rolled as 2 rolls of 64 names and 1 roll of 128 names).
"Dancer on the Water", "Lucifer Anchorage", "Arctica Terminus", "The Crimson Veil", "Camp Regulus", "Ascension of Perdix", "Casablanca Citadel", "Rawat Anchorage", "Melbourne House", "Tiger in the Bush", "Thunder of Ramphus", "Censis Shipyard", "Metropolis of Chlidonias", "Atira Dockyard", "Caspia Chateau", "Wheel of Ebonyl", "The Skylarking Stoat", "The Capering Toad", "The Melodious Swan", "Bilbo's Burrow", "Watchtower of Nilotica", "Monolith of Albifrons", "Obelisk of Chelidon", "Great Expectations", "The Macau Array", "Raptor Descending", "Shadow of Arachne", "Tempest of Fuscata", "The Leaping Frog", "Port Mumbai", "Book of Disquiet", "Seeing Red", "Whispher of Dissent", "Camp Larus", "The Roosting Owl", "Bermuda Terminus", "The Cavorting Cricketer", "Marinus Anchorage", "Camp Kieopatra", "Hour of the Gun", "Blackstone Fortress", "Caldwalader Terminus", "Magic of Glaucoides", "Kintpuash Terminus", "The Prancing Pony", "Journey to Promethea", "Port Horologii", "Sonianus Unchained", "Sedna Terminus", "The Melodious Raptor", "Viva Las Vegas", "The Nostalgic Harpy", "The Frolicking Fox", "The Dauntless Raven", "The Golden Wheel", "The Siegfried Sassoon", "Flame of the West", "Port Cachinan", "Greenock Shipyard", "Where There is Smoke", "Thunderbol of Cainhoet", "Obelisk of Someries", "Thunder of Nantwich", "The Magical Metropolis", "Flame of Halton", "World of Desire", "Clocktower of Cteatus", "Evocation of Wukong", "Council of Thoth", "Cantrip of Saruman", "Simulacrum of Merlin", "Council of Nepit", "Ballot Box", "The Clouded Mountain", "Staff of Gandalf'", "Port Bishopton", "Incantation of Merlin", "Glyph of Voldemort'", "The Lonely Mountain", "No Reason to Complain", "Cotherstone Terminus", "Orphan of the Helix", "Disaster Area", "Magic of Lambton", "Hound of Hel", "Camp Michigan", "Ascension of Kitaura", "Port Kapla", "Cool Hand Luke", "The Sunless Well", "Hound of Woden", "The Forsaken Mountain", "The Red Circle", "Love on the Run", "Ascension of Alcon", "Ascension of Beowulf", "Denizen of the Dark", "Familiar of Merlin", "Fate for Breakfast", "The Preternatural Perch", "The Empty House", "Saorach Unchained", "Well of Laidon", "Saber Wolf", "The Misty Mountain", "Evocation of Merlin", "With Great Power", "Camp Kennard", "The Fourth Wise Man", "Bane of Durin", "Port Fender", "Flame of Isatre", "The Irvin Kershner", "Out of the Ice", "Wand of Saruman", "Honey in the Rock", "Wheel of Haluim", "Flame of Ventura", "Quantum Foam", "The Cerulean Well", "Hound of Tamarana", "Regiment of Boudica", "Malice in Wonderland", "Clouded Logic", "Quantum of Magic", "Evocation of Elbrus", "Magic of Adatepe", "World of Adventure", "The Eldritch Anomaly", "Saturn Unchained", "Port Bowman", "Tarumae Citadel", "Komephoros in Transition", "Camp Moulton", "Polaris Redeemed", "Morbius in Conjunction", "Cold Day in Hell", "Sharma Bay", "Charon in Ascension", "Looking to the Future", "Voice from the Grave", "Aimbetov Central", "Requiem of Battle", "Fable of Rosamel", "Secrets of Eden", "By Invitation Only", "Fisher of Men", "Chorus of Ravens", "Port Beaufort", "Mars in Ascension", "The Dark Leviathan", "One Nation Under Copyright", "Exotic Matter", "Celebes Anchorage", "Camp Levantine", "Everything Everywhere All at Once", "Wind of All Hallows", "Above and Bellow", "Margaret of Denmark ", "Taking out the Trash", "Remnant of Mossaka", "Camp Gueltas", "Give and Take", "Salamat Central", "The Astral Chorus", "Orinoco Unchained", "The Divine Enclave", "Dark Imperium", "Flame of Phoebe", "Titan Departing", "Mirror of Tarim", "Relic of Flagellants", "The Arcadian Mirror", "Ophelia Redeemed", "Ford Warehouse", "Camp Pechora", "Out of the Blue", "Youth and Beauty", "Dawn of Humanity", "The McNair Orbiter", "Ancient Parable", "Port Tocantins", "Tarim Central", "Magic of Dharma", "The Hurley Orbiter", "Prisoner of Circumstance", "Caprica Unchained", "Bubblegum Crisis", "The Secret Pilgrim", "Wind in the Wire", "Alive on the Inside", "Age of Kings","Devils Tower", "The Stolen Flame", "Delos Central", "Camp Torchwood", "Cepheus in Ascension", "Magic of Liandri", "The Sinclair Orbiter", "Borman Terminus", "Miranda Ascending", "Artifact of Teldar", "Castle of Riddles", "Harvest of Nervosa", "The Descending Angel", "Lepus Redeemed", "The Charming Guardian", "Road to Avonlea", "Ananke Redeemed", "Warden of the Blade", "Through the Square Window", "Europa Unchained", "Charon in Transition", "Blue Shift", "McCloud Central", "South of Heaven", "Into the Abyss", "Lineage of Grace", "All Eyes on Us", "Camp Pasiphae", "Triton Redeemed", "Ice Station Zebra", "Kosovo Citadel", "Engle Bay", "Magic of Lacuna", "Letters from the Inside", "Himalia Descending", "Gray Area", "Ophiuchus Ascending", "God of the Hive", "Port Osborn", "Cochrane Citadel", "Chorale of Lave", "Pollux Redeemed", "Mirror of Mobius", "Orion Ascending", "Red Dust", "Ravenwood Anchorage", "William of Ockham ", "Titania in Conjunction", "Moreau Anchorage", "Koestler Central", "Gargarin Anchorage", "Camp Cochrane", "Centaurus Ascending", "Upon the Burning Deck", "Broken Hill", "Khambaila at Apogee", "The Whole Truth", "California Dreaming", "Flame of Mephesto", "The Richard Feynman", "Callister Unchained", "Janus at Apogee", "City of Maman", "Chorus of Goliath",
// Galaxy 3 (Rolled as 1 Roll of 256 Names).
"Jewel of Euphemie", "Colombe Central", "Beaulieu Anchorage", "Kaminski Shipyard", "Determination of Tredegar", "Prophecy of Marceline", "Camp Davout", "Danica Terminus", "Rubic of Valentina", "Acts of the Apostles", "Harmony of Delacroix", "Camp Moreau", "Diplomacy of Legrand", "Bakshi Central", "Dark Ballet", "Lullaby of Saika", "Honeymoon on Triton", "Valentina Dockyard", "Valor of Amarante", "Jansen Terminus", "Vail of Night", "Fools Gold", "Democratic Requiem", "Toinette Anchorage", "Crown of Jehovah", "Cessair Terminus", "Crown of Lamina", "Requiem for Ambrosia", "The Crimson Mesa", "Morana Central", "Sonata of Lailah", "The Shattered Jewel", "Camp Mason", "Festival of Quella", "Codex of Empusa", "The Kapoor Orbital", "Augury of Semele", "Dawn of Utopia", "Vistas of Eternity", "Trident of Tamisra", "Camp Cavendish", "Valor of Miriam", "Corvina Dockyard", "Kakarauri Warehouse", "Prophecy of Cessair", "Jewel of Laverna", "Sublime Sunset", "Ophiuchus Bay", "Camp Lincoln", "The Kerberos Observatory", "Hound Dog", "The Veiled Redoubt", "Farewell to Rina", "The Outer Limits", "Melantha Shipyard", "Camp Tarleton", "Port Facheux", "Camp Bellman", "Festival of Samara", "Crown of Hadria", "Mercy of Nikolina", "Jewel of Adrienne", "The Temporal Garden", "Requiem for Lailah"  ,"Teller Central", "Lost Hearts", "Jansen Shipyard", "The Lead Zeppelin", "Camp Kerrell", "Port Kosovska", "Tisiphone in Eclipse", "Port Hawking", "Tamisra Anchorage", "Port Carter", "Galtero Central", "Camp Cromwell", "Moreau Warehouse", "Valor of Roshaun", "Port Werner", "Adelram Dockyard", "Ahluwalia Anchorage", "Aquila in Eclipse", "Jewel of Glendin", "Atonement of Damballa", "Adrastea in Eclipse", "Valdis Warehouse", "Trident of Alastor", "Crown of Nirnasha", "Teivel Terminus", "Port Ghislain", "Facheux Central", "Moretti Dockyard", "The Crimson Crown", "Requiem for Mithra", "Morbius Terminus", "Facheux Warehouse", "Farewell to Tredegar", "Beaulieu Dockyard", "Harmony of Orabelle", "Dalal City", "Persistence of Celestin", "Camp Thibault", "Eloquence of Orianne", "Oratory of Euphemie", "Port Alphosine", "Inside Out", "Trident of Langlois", "The Infernal Nest", "Redemption of Plaisance", "Atonement of Delphine", "Diplomacy of Baudin", "Salome Dockyard", "Persistence of Katina", "Khatri Terminus", "Sonata of Pepita", "Camp Kendal", "Codex of Karolina", "Sublime Sunset", "Port Lammerside", "The Sable Mesa", "Pennington Dockyard", "Netherhall Terminus", "Postulate of Katerina", "Camp Wharton", "Port Penrith", "Terra in Eclipse", "Stirling Castle", "Inocenta in Eclipse", "All the Way to the Bank", "One Hour to Zero", "Walking on the Moon", "Time and Space", "Second of His Name", "The Real McCoy", "Khatri Terminus", "Age of Ultron", "Figment of the Imagination", "Scarlet Hollow", "A Kestrel for a Knave", "Same Old Story", "Out of the Box", "All in Good Time", "Open to Persuasion", "The Hanged King", "Heart of the Monster", "Not One Less", "Corporate Camouflage", "The Faultless Blade", "Not Safe for Work", "The Crimson Sunset", "Night Queen", "Tapestry of History", "Mistletoe and Wine", "Hole in One", "Head of the Hydra", "The Whole Nine Yards", "Hard Act to Follow", "The Sublime Sunset", "Light of the Silvery Moon", "The Skeletal Warrior", "Fire on the Wind", "Thunder at the Border", "The Walled City", "Early Bird", "Tea for Two", "The Long March", "Rhapsody in Steel", "Known Devil", "Wrath of the Rat", "Path to Glory", "Topic of Interest", "The Chinese Room", "Dreaming Demon", "The Dark Is Rising", "Beyond the Flesh", "Close of the Loop", "Port Babbage", "Coven of Light", "Truth and Reconciliation", "Bump in the Night", "Likeness of a Mind", "Treading Water", "Life on the Edge", "Everything is Permitted", "Hard Core", "Interrupted Melody", "Under a Yellow Sun", "Jumping through Hoops", "Point and Click", "On the Prowl", "Living the Lie", "Passion Flower","The Rabbit Hole", "Out of Bounds", "Mantle of Midnight", "Firefly Rising", "War of the Worlds", "Rule of Thumb", "Late for Dinner", "Light Hugger", "Like Old Times", "The Twelfth Monkey", "Toys in the Attic", "The Rain Must Fall", "Port Rotterdam", "Renewed on Carousel", "Nowhere to Run", "The Gods Themselves", "Spring Heeled Jack", "Death by Chocolate", "Phase Five", "Lost in Song", "Period of Grace", "Sweets from a Stranger", "Devoid of Logic", "Walking After Midnight", "Trying too Hard", "Lost in Thought", "Paid In Full", "Cosmic Circus", "On the Stoke of Midnight", "Bad Day at Black Rock", "A Twist of Faith", "Faces of Death", "Nowhere Man", "Cheating Death", "Silver or Lead", "Dawn of War", "Sable Dawn", "Adventures in Whim", "World Anvil", "End of the Beginning", "No time to Ponder", "Holy Ground", "Fire and Blood", "Wrong Side of the Tracks", "One from the Heart", "Whatever It Takes", "Behind Closed Doors", "Feast of the Drowned", "Chain of Suspicion", "Something of Value", "Still Standing", "Follow the Sun", "Deacon of Wounds", "White Elephant", "Starlight Express", "Out of Control", "The Broken Man", "School of Hard Knocks", "Natural Beauty", "Survival of the Fittest", "Postcard from the Edge", "Monster Hunter", "The Rose by Another Name", "Knight of the Sun",
// Galaxy 4 (Rolled as 1 Roll of 256 Names).
"Poetry of Nemesis", "Bloodline of Quinn", "Shield of Hecate", "Fortuna Outpost", "Sonata of Chronos", "Siren in Ascension", "Keep of Hemera", "Griffin in Ascension", "Grace of Phanes", "McMillan Depot", "Tower of Gaia", "Unchained Goddess", "Riddle of Pontus", "Sentinel of Tartarus", "Scarab of Thanatos", "Tower of Samaria", "Parvati Terminus", "Ogre Departing", "Harran Depot", "Gargole Departing", "Smile of Cronus", "Nobility of Atlas", "Hebron Outpost", "Helios Terminus", "Oasis of Pallas", "Quilon Outpost", "Hawk in Ascension", "Leviathan Departing", "Cunning of Mimas", "Watchdog of Odin", "Gate of Balder", "Sonata of Edom", "Vidar Outpost", "Riddle of Hastar", "New Babylon", "Allahabad Depot", "The Sunless Mansion", "Sonata of Timbuktu", "Osiris Anchorage", "Sentinel of Khepri", "Succubus Departing", "Scarab of Caturix", "The Soaring Falcon", "Firebird in Ascension", "Shield of Hathor", "Tethra Outpost", "Unicorn Departing", "Fang of Canola", "Neilson Depot", "Art of Darkness", "Tower of Niamh", "Sentinel of Cermait", "Goddess Departing", "Armory of Belenus", "Claw of Nemausus", "Chronicle of Sakurai", "Shield of Andraste", "Bones of the River", "Sothern Belle", "Clidna Anchorage", "Subtlety of Acadermus", "Aeneas Depot", "Tower of Cadmus", "Daemon Departing","Armory of Castor", "Absence of Malice", "Riddle of Pollux", "Camp Kitsuki", "Grace of Diomedes", "Sentinel of Heracles", "Haven of Leucon", "Shield of Messene", "Scarab of Silvanus", "Riddle of Oedipus", "Subtlety of Alexandra", "The Diving Siren", "The Adroit Goddess", "Orestes Depot", "Dream of Sushi", "Palamedes Outpost", "Watchdog of Pandion", "Pleuron Keep", "Sentinel of Theseus", "Tridant City", "Poetry of Ramoth", "The Graceful Siren", "Zarex Outpost", "Subtlety of Honorius", "Watchtower of Tarchon", "The Sonorous Owl", "The Dexterous Gargole", "Pump Up The Volume", "Rostam Depot", "Sinclaire Outpost", "Caerulus Depot", "The Diplomatic Goddess", "Sonata of Jabbok", "Harran Terminus", "Oasis of Lordan", "MacArthur Depot", "Alexandria Outpost", "Eisenhower Depot", "Hagi in Perpetuity", "Age of Reason", "Bradley Terminus", "Fletcher Outpost", "McNorton Anchorage", "McCellan Depot", "Shield of Lucia", "Lincoln Keep", "Hamilton Terminus", "Red Scorpion", "Camp Pontiac", "Teloses Anchorage", "Leviathan Bay", "Chronicle of Cordoba", "Leprechaun Departing", "Lady of Regret", "April Skies", "Sonata of Sakurai", "Emmet Outpost", "Meroe in Perpetuity", "Obelisk of Kalpi", "Firebird Bay", "Marmont Outpost", "Leviathan in Ascension", "Venom and Eternity", "Cuicuico Citadel", "Vidisha Outpost", "First of the Fallen", "Clocktower of Saladin", "Armory of Ludden", "Dark Disciple", "The Man Behind the Man", "Resilient in the Face of Criticism", "Room 101", "Day of the Jackal", "Lovell Terminus", "Araneolus City", "Stafford Depot", "The Whispering Falcon", "Age of Enlightenment", "Worden Anchorage", "Genie of the Lamp", "Grissom Keep", "Blackstone Terminus", "Firebird Depot", "Haven of Odin", "McCahon Outpost", "Uncommon Sense", "Throne of Light", "Benin Landing", "Lord of the Night", "McAnnally Depot", "Grace under Fire", "McBreen Outpost", "Lonesome Pines", "Camp Hadfield", "McEnery Terminus", "You Would If You Really Loved Me", "Phobos in Ascension", "Sonata of Adrastea", "Titan Departing", "Subtlety of Titania", "Grace of Ophelia", "Griffin in Ascension", "Sentinel of Orion", "Flavors of Mayhem", "Poetry of Canopus", "Riddle of Castor", "Sonata of Reason", "Scarab of Celaneno", "Lilies of the Field", "Haven of Deneboia", "Lord of the First", "Under Watchful Eyes", "Grace of Aquila", "Haven of Centaurus", "The Whispering Siren", "Cash on Demand", "Bloodline of Nembus", "Obelisk of Kabah", "Hammer of Daemons", "Buying the Dip", "Way of the Cocoon", "Over the Misty Mountains", "Mill on the Floss", "Port of Shadows", "Cunning of Zaniah", "Rakshasa Depot", "Sonata of Novacula", "Fountain of Mirth","Riddle of Delphinus", "Haven of Canopus", "Nobility of Belenos", "Shield of Acubenes", "Carnival of Gadara", "Windmill of the Mind", "Oasis of Kerberos", "False God", "Gate of Bones", "Armour of Contempt", "Chronicle of Charon", "Oasis of Nereid", "Ark of Ophelia", "Deadly Sins", "Camp Jenkins", "Watchdog of Adrastea", "The Watchful Cyclops", "Eater of Worlds", "The Last of Us", "More Questions than Answers", "The Crimson Fist", "Middle Ground", "The Watchful Sphinx", "Ramoth Outpost", "In the Years to Come", "Obelisk of Medina", "Abuse of Power", "Haven of Himalia", "Blurring the Line", "Grace of Isonoe", "Unicorn Departing", "Airstrip One", "Firebird Depot", "Tower of Janus", "Child of Dreams", "Strange and Troubling", "McDowell Outpost", "Trouble with Lichen", "Scarab of Ariel", "Jameson Depot", "Kerberos in Ascension", "Oasis of Avamar", "Blood Reaver", "Inappropriate Subject Matter", "The Resplendent Firebird", "Wrath of Iron", "Claw of Acubenes", "Scarab of Capella", "Riddle of Castor", "Poetry of Belenos", "The Stephen King", "Locust Plague", "Oceania Citadel", "Plight of the Warlock", "Dolphin Outpost", "How Soon is Now", "Prelude to Rebellion", "Leviathan Depot", "Walking in Memphis", "Scarab of Formosa", "Samaria Citadel", "Cowell Anchorage", "Subtlety of Cepheus", "Arguing with Clouds",
// Galaxy 5 (Rolled as 1 Roll of 256 Names).
"The Astral Sorcerer", "Morton Shipyard", "The Azure Scarab", "Madonna of Haedus", "Well of Chivalry", "Aquila Shipyard", "Grimoire of Libertas", "The Veiled Coronet", "Sapphire of Centaurus", "The Clouded Opal", "Primeval Order", "Head of Steam", "Petain Warehouse", "Rule of Rose", "The Obsidian Watchman", "Coronet of Lepus", "The Astral Ruby", "Fountain of Grace", "The Zodiacal Jester", "Grant Dockyard", "The Astral Shaman", "Well of Heaven", "Nembus Central", "Mother of Invention", "Jester of Plautos", "Moment of Silence", "Scourge of the Heretic", "Echo of Desire", "Quantum Tide", "Madonna of Solaris", "Shadow Man", "Emerald of Delphinus", "Madonna of Chivalry", "Garnet of Deimos", "Watchman of Personata", "Spoilt for Choice", "Woodward Terminus", "Fountain of Opportunity", "Kosovska Warehouse", "Touch of Zen", "Diamond in the Night", "The Enchanted Sapphire", "Armory of Corvina", "Spirit of Eternity", "Rostam Dockyard", "Jester of Lave", "The Bewitching Shaman", "Diamond of Kerberos", "Well of Many Worlds", "Rock Around the Clock", "McMillan Terminus", "Forest of Doom", "Where Is Thy Sting", "Amethyst in the Dust", "Champion of Tarleton", "Look Back in Anger", "Shaman of Hadria", "The Eternal Crusader", "Lord of the Flies", "Patton Central", "Opal in the Night", "Kerrell Dockyard", "The Obsidian Champion", "Temporal Tide","Prince of Paupers", "Fountain of Industry", "Electric Avenue", "Spirit of Saruman", "Circlet of Hope", "The Clouded Coronet", "Emerald of Eternity", "The Astral Grimoire", "Hammer of Corruption", "Spirit of Invention", "A Star is Born", "Lombardo Redoubt", "Jester of Adelram", "Teloses Dockyard", "Amulet of Voldemort", "Amethyst of Valdis", "The Zodiacal Champion", "Amulet of Alastor", "The Enchanted Forest", "Jester of Teivel", "Tome of Fire", "The Alabaster Throne", "Sapphire in the Dust", "The Shattered Pearl", "Dancing the Gavotte", "Beaulieu Shipyard", "Tornado Alley", "Secrets and Lies", "Spirit of Destiny", "Jester of Alcon", "Orabelle Warehouse", "Madonna of Celestin", "The Obsidian Throne", "Garnet of Thibault", "Fable of Faubus", "Sun Stealer", "Echo of Laidon", "Playing with Fire", "Coronet of Merlin", "Kennard Dockyard", "Ruby of Delphine", "Citadel of Chivalry", "Tricks and Traps", "Beyond Known Space", "Cephalus Dockyard", "The Rolling Sea", "Spirit of Puerto", "Kershner Warehouse", "The Adamantium Throne", "Carmox Dockyard", "The Mirrored Shield", "Ancient Order", "Gang of Four", "God Save The Queen", "Mother of Industry", "Osceola Shipyard", "Champion of Tamarana", "Road to Perdition", "Spirit of Saladin", "Lucifer Anchorage", "Echo of Tartarus", "The Arcane Diamond", "Waterloo Sunset", "Shadow Caster", "Nehru Dockyard", "The Duranium Shield", "The Gothic Grimoire", "The Armoured Apiary", "Gleason Terminus", "Arctic Sun", "Echo of Karina", "MacArthur Central", "Angel Dust", "Radford Anchorage", "The Flawless Pearl", "The Alabaster Shield", "The Arcane Sorcerer", "Fountain of Invention", "The Sublime Daydream", "Haller Dockyard", "Inherit the Wind", "Woodward Shipyard", "The Hidden Asp", "An Occasional Dream", "Grimoire of Thanatos", "Spirit of Melbourne", "Citadel of Enterprise", "Levantine Dockyard", "Lordan Shipyard", "Amulet of Hope", "Garnet in the Night", "The Mirrored Coronet", "Adrastea Dockyard", "Ruby of Salcombe", "Madonna of Lemitsu", "Dark Seed", "Primeval Sun", "Spirit of Chivalry", "McCellan Armory", "Ludden Dockyard", "Echo of Destiny", "The Adamantium Sentinel", "Jester of Camelot", "Madonna of Beused", "Well of Opportunity", "Pallas Shipyard", "The Mirrored Circlet", "Echo of Industry", "Spirit of Desire", "Spirit of Enterprise", "Coronet of Elysium", "Seraphin of Hope", "The Clouded Sapphire", "Morpeth Central", "Madonna of Novacula", "Echo of Tocantis", "Garnet of Lave", "Sapphire of Zaniah", "Coronet of Dharma", "Rawat Shipyard", "Lord of Enterprise", "Port Gorda", "The Baroque Pearl", "Seraphin of Canopus", "Citadel of Opportunity", "Emerald of Gadara", "Nereid Terminus", "Beyond Ancient Horizons","The Primeval Sorcerer", "Diamond of Ophelia", "Lonsdale Shipyard", "Saladin Terminus", "The Kosciuszko Orbiter", "The Black Cauldron", "The Slender Man", "Jester of Adrastea", "The Gothic Sapphire", "Panama Citadel", "Nervosa Shipyard", "Opal of Lepus", "Champion of Avonlea", "Beyond the Horizon", "Haller Anchorage", "The Olympian Pearl", "The Kosovska Armory", "Ruby of Alexandra", "Saldanha Shipyard", "Petain Central", "The Pedantic Sorcerer", "Madonna of Charon", "The Ancient Shaman", "The Martian Sorcerer", "Yamasee Shipyard", "Diamond of Takahiro", "Echo of Enterprise", "From The Ashes", "Sentinel of Kerberos", "The Astral Armory", "Diamond of Achernar", "Osborn Central", "Avamar Shipyard", "Woolwich Dockyard", "Spirit of Cassiopeia", "Mother of Chivalry", "The Astral Ruby", "Coronet of Acubenes", "Proud Mary", "Capella Anchorage", "Jester of Inocenta", "Corbet Dockyard", "Throne of Titania", "Rowton Central", "The Grant Orbiter", "Custodian of Taranis", "Spring of Grace", "Emerald of Montana", "Well of Industry", "Sentinel of Zaurak", "Mother of Destiny", "Peterson Central", "Spring of Opportunity", "Sorcerer of Cepheus", "Jameson Central", "Gilmour Shipyard", "Ruby of Sashura", "Knox Warehouse", "Hamilton Terminus", "Seraphin of Brasmatia", "Kosciuszko Central", "Citadel of Zeus", "Jester of Janus", "Coronet of Goliath",
// Galaxy 6 (Rolled as 1 Roll of 256 Names). 
"Defiance of Avamar", "Shield of Faith", "The Veiled Wizard", "The Ascended Wolf", "Jewel of Quilon", "The Risen Fox", "Nagging Doubt", "Poker Face", "Monolith of Oberon", "Jewel of the Empress", "The Demonic Sun", "Daggerfall Six", "The Riedquat Connectionl", "Shield of Alexandria", "Prince of Midnight", "The Risen Wolf", "The Artful Leviathan", "The Rose in Anger", "Rogue Star", "City of Light", "McCartney Dockyard", "Cyclone of Deimos", "Melody of Maesin", "The Fiery Fox", "Beside a Pale Reflection", "Diplomacy of Avanti", "The Risen Raven", "Hound of Midnight", "The Slippery Raven", "The Translucent Lady", "Prince of Mystery", "Port Tarkin", "The Veiled Eclipse", "Forgotten Melody", "The Demonic Claw", "The Awoken Phoenix", "Reflection of Fire", "The Pale Prince", "Camp Kelly", "The Scarlet Lady", "Midnight Sun", "The Evil Poet", "Pawn of Order", "The Terran Shade", "Morton Depot", "The Slippery Leviathan", "Unpleasant Scenario", "Dawn of Vellore", "The Bruce Lee", "The Whispering Wizard", "The Mousetrap", "Cult of the Warmason", "The Risen Leprechaun", "Beginning of the End", "The Awoken Raven", "The Resplendent Griffin", "Summer Shade", "Sanctus Depot", "The Whispering Hound", "Guardian of Medina", "McDonald Depot", "Pale of the Shade", "Prince of Matsue", "The Awoken Leviathan","The Haussmann Observatory", "Edoardo Outpost", "Steel Tread", "Hound of Geinona", "The Thompson Observatory", "The O'Neil Observatory", "The Katsuhiro Otomo", "Eclipse of the Raptor", "The Beast Arises", "The Hanlon Orbital", "Watchdog of Mars", "The Moonlit Mermaid", "Shield of Kalpi", "The Musing Mermaid", "Risen Fox", "Eclipse of Aerater", "Guardian of Kanazawa", "Forgive and Forget", "Moore Dockyard", "The Campbell Orbital", "Prince of Vellore", "Cranston Manor", "Camp Wright", "Weston Depot", "The Ascended Unicorn", "Camp Wharton", "Valkyrie Rising", "Anomaly of Shadows", "Port Feehan", "The Terran Fang", "Lady of Harran", "Caliburn Harbour", "Palamedes Outpost", "Defiance of Erxearis", "Prince of Qurexein", "The Ascended Osprey", "The Crimson Lady", "Mirror of Jerusalem", "Camp Annandale", "The Risen Raptor", "Summer Lightening", "The Pallid Jewel", "Port McCloud", "Camp Dhillon", "Blood in the Water", "The Slippery Stoat", "Lord of Samaria", "Defiance of Acrab", "Port Mitchell", "Ciaphas Depot", "Hound of the Imperium", "Midnight Sun", "God of Blight", "Guardian of Taxila", "Melody of Diqudi", "The Bone Snatcher", "Watchdog of Benin", "Dawn of Sayil", "Camp McLane", "Haggerty Outpost", "Bowman Outpost", "Cokeley Dockyard", "The Terran Lady", "The Veiled Prince", "The Ascended Wolf", "Pallid Lightening", "Star Wizard", "The Whispering Wind", "The Starlit Raptor", "The Scarlet Shade", "Camp Haley", "MacNiven Depot", "The Midnight Comet", "The Awoken Cockatrice", "Lady of Migdol", "The Capone Observatory", "The Mysterious Wizard", "The Musing Cockatrice", "The Slippery Prince", "McNeill Depot", "Lure of Still Waters", "The Duval Observatory", "The Veiled Sun", "The Awoken Phoenix", "Mirror of Labna", "Sleeping Dragon", "The Crimson Reflection", "Diplomacy of Formosa", "The Shadowy Porcupine", "The Whispering Quasar", "The Resplendent Wolf", "Scoresby Anchorage", "Anderson Depot", "Cronus Anchorage", "The Artful Leviathan", "McTurk Anchorage", "Rosella Anchorage", "The Demonic Shade", "Moore Anchorage", "The Veiled Hound", "Scanlon Anchorage", "Port Zheaton", "Shield of Benin", "The Graceful Fox", "Cyclone of Usteer", "Guardian of Bitchu", "The Ascended Poet", "Walch Anchorage", "The Pallid Prince", "Reflection of Midnight", "Thorpe Anchorage", "The Musing Cockatrice", "Shield of Memphis", "O'Neil Depot", "Camp Baker", "The Gracious Fox", "Lady of Kalpi", "The Scarlet Reflection", "Guardian of Carthage", "The Medusa Effect", "The Crimson Shade", "The Foster Orbital", "The Mysterious Goat", "Guardian of Kalpi", "The Risen Fox", "The Nicol Williamson", "Midnight Echo", "The Lovecraft Observatory","The Musing Leprechaun", "Camp Zahn", "Tarrant Outpost", "The Bell Observatory", "The Veiled Jewel", "Dawn of Medina", "Barker Outpost", "Garrahan Anchorage", "Shadow Fox", "Lady of Sayil", "Too Close for Comfort", "Caliban Outpost", "Modern Perspective", "The Faithful Hound", "The Demonic Lady", "The Blake Orbital", "Wolfsbane Outpost", "The Peterson Observatory", "Dawn of Naveh", "The Clancey Orbital", "Translucent Lightening", "The Watchful Eye", "The Beast Within", "Port Lopez", "The Campbell Observatory", "Dexter Anchorage", "Diplomacy of Chirand", "Defiance of Okab", "The Artful Leprechaun", "Crimson Lightening", "The Artful Griffin", "Herald of the Siege", "The Moonlit Cockatrice", "Dawn of Uxmal", "Equinox of Orverace", "The Pallid Quasar", "Camp Anderson", "Diplomacy of Taluk", "The Resplendent Leprechaun", "Watchdog of Uchiko", "Rebirth of Mothra", "Bloodline of Erinain", "The Demonic Wizard", "The Artful Griffin", "The Crimson Anomaly", "The Palatine Phoenix", "Lure of the Temptress", "The Artful Stoat", "Bloodline of Ededleen", "The Carter Orbital", "Shadow Sword", "Demonic Reflection", "The Dawdling Comet", "The Crimson Comet", "The Wesker Observatory", "The Ascended Raptor", "Honsou Depot", "Legacy of Caliban", "The Musing Raven", "The Risen Cockatrice", "The Shadowy Griffin", "Eclipse of Macharius", "Defiance of Biarandi", "Camp Demetrius",
// Galaxy 7 (Rolled as 4 Rolls of 64 Names). 
"Gatekeeper of Pectoralis", "Chorus of Zonarius", "Vistas of Spurius", "Lullaby of Rascens", "Gatekeeper of Grammacus", "Euphoria of Coprotheres", "Firmament of Sphenurus", "Vistas of Barnardius", "Chorus of Aragon", "Seclusion of Cyanea", "Firmament of Plebeius", "Vistas of lorikeet", "Ark of Catalina", "Placidity of Beaudouini", "Hegemony of Emberiza", "Flame in the Heather", "Ark of Circaetus", "Ark of Peale", "Need to Know Basis", "Gatekeeper of Spurius", "Wicked Prayer", "Hegemony of Barnardius", "Ark of Aegypius", "Euphoria of Ciandra", "Placidity of Splendens", "Chorus of Spilonotus", "Gatekeeper of Spilornis", "Seclusion of Malherbe", "Ark of Pallasi", "Supremacy of Personata", "Thunderbird Five", "Euphoria of Baluensis", "Gatekeeper of Baluensis", "Hegemony of Necrosyrtes", "Dutchy of Icterid", "Hegemony of Pasculus", "Vistas of Astur", "Firmament of Barnardius", "Vistas of Personata", "Stepford Wife", "Ark of Occipitalis", "Placidity of Orabella", "Hegemony of Capricia", "Placidity of Spectabilis", "Firmament of Torgos", "Gatekeeper of Indicus", "Hegemony of Candreva", "Chorus of Neophron", "Supremacy of Pusilla", "Supremacy of Mancini", "Dutchy of Hartert", "Euphoria of Pelagicus", "Firmament of Coprotheres", "Chorus of Pusilla", "Basket Case", "Vistas of Monaldo", "Chorus of Barnardius", "Vistas of Spurius", "Supremacy of Hyemalis", "Gatekeeper of Erythro", "Chorus of Pectoralis", "Placidity of Junco", "Vistas of Zono", "Seclusion of Neophron", "Westbrook Central", "Ciaphas Dockyard", "Point of Origin", "Annandale Warehouse", "Supremacy of Diamante", "Komodo Anchorage", "Sabbat Citadel", "The Way Back", "Chorus of Monaldo", "Rapunzel Departing", "McNiven Shipyard", "Vistas of Lombardi", "Bowden Central", "Harrison Terminus", "Price of Passage", "Alauda Point", "The Carrie Fisher", "The Deadly Friend", "Wheel of Justice", "Rafen Anchorage", "Lullaby of Leucorodia", "Firmament of Nahara", "The Arvensis Orbiter", "Seclusion of Galerida", "Dutchy of Deniae", "Supremacy of Valeria", "Aquila Citadel", "Gatekeeper of Loreto", "Calandrella Bay", "Chorus of Ornella", "Nermana Citadel", "Castellan Warehouse", "Citadel of Louella", "Piece of Cake", "Calandra Shipyard", "Phaethon Central", "Auritus Dockyard", "Sundai Bay", "Parvus Point", "Goliath Terminus", "Galerida Warehouse", "Adamaris Central", "Feanor Warehouse", "Neophron Dockyard", "Parvus Central", "McMorgan Central", "Dangerous Ground", "Coronatus Central", "Alaudi Warehouse", "Vistas of Adamaris", "Lullaby of Tehmina", "Drink and the Devil", "Beccari Dockyard", "Columbarius Central", "Eurasia Shipyard", "Linula Point", "Parvus Warehouse", "Euphoria of Chiara", "Arvensis Dockyard", "Firmament of Hirundo", "Red Faction", "Diomedea Citadel", "Supremacy of Audelia", "The Lenoth Orbiter", "Salamander Departing", "Unfinished Business", "Rise of the Cobra", "Supremacy of Cephalus", "Dutchy of Hamatus", "Placidity of Dentatus", "The Whispering Moray", "The Twisted Firestarter", "The Whispering Cobra", "Seclusion of Diodon", "Firmament of Sphenurus", "The Demon Barber", "Euphoria of Vocifer", "Anaconda Departing", "Rise of the Mamba", "Lullaby of Feroides", "Vistas of Humilis", "Chorus of Neophron", "Gatekeeper of Gallicus", "Breath of the Mamba", "Gatekeeper of Antipodes", "Fall of the Ophidian", "Survivor Type", "Chorus of Raiatea", "Vistas of Malherbe", "Bluebird Citadel", "Lullaby of Auriceps", "Euphoria of Cornutus", "Firmament of Kadavu", "The John Buchan", "Born to Peck", "Seclusion of Vanua", "Ophidian Departing", "Armistice Station", "Placidity of Tabuensis", "The Whispering Salamander", "Dutchy of Personata", "Supremacy of Venustus", "Gatekeeper of Adscitus", "Rise of the Viper", "Coils of the Anaconda", "Bite of the Mussurana", "Chorus of Mindanao", "Vistas of Melodia", "Lullaby of Pasculus", "Deep Impact", "Euphoria of Albicollis", "Firmament of Trichia", "Seclusion of Grammacus", "Placidity of Jardin", "Rubber Soul", "Dutchy of Calandra", "The Whispering Python", "Supremacy of Aureola", "Viper Descending", "Fangs of the Mamba", "Tin Cup", "Messenger at the Gate", "Year of the Comet", "Gatekeeper of Pusilla", "Chorus of Fucata", "The Tom Baker", "Vistas of Ortolan", "Hannibal Rising", "The Jade Trident", "Lullaby of Leucoce", "The Golden Javelin", "The Emerald Scarab", "The Amber Claw", "Throne of Caudatus", "Euphoria of Coronatus", "The Silver Diadem", "Javelin of Daurica", "The Golden Throne", "Blaster Master", "Firmament of Rhalos", "The Silver Javelin", "Unfinished Symphony", "Diadem of Riparia", "Sapphire of Alpestris", "Jewel of Alauda", "Seclusion of Galerida", "The Crimson Throne", "Placidity of Calandrella", "Dutchy of Melano", "The Golden Claw", "Flotsam and Jetsam", "Glaive of Calandra", "Supremacy of Panurus", "Gatekeeper of Pandion", "Dubois City", "Coronet of Aquila", "Tears of Neophron", "The Crimson Diadem", "Chorus of Platalea", "Trident of Auritus", "Beyond the Mask", "The Golden Glaive", "Emerald of Sulidae", "Coronet of Phaethon", "Shadow Boxer", "These Things Happen", "Glaive of Monorhis", "Gentle Rain", "The Johannes Kepler", "Vistas of Diomedea", "Javelin of Mindanao", "The Silver Scarab", "Circlet of Conditor", "Silent Running", "The Crimson Coronet", "Lullaby of Sabanus", "The Silver Claw", "Circlet of Lenoth", "Diadem of Rosalia", "Claw of Komodo", "Javelin of Goliath", "The Crimson Trident", "Sapphire of Deniae", "Diadem of Dimidiatus", "Three Men in a Boat", "Sapphire of Victus", "Claw of Chacoen", "Tears of Andinus", "Gatekeeper of Aquila", "Circlet of Phaeotis", "Glaive of Nimbosus", "Dutchy of Pectoralis",
// Galaxy 8 (Rolled as 4 Rolls of 64 Names). 
"Steed of Vielma", "Jewel of Cassander", "Shield of Partho", "Circle of Kovalan", "Crown of Fuentes", "Citadel of Marcella", "Chorale of Lothar", "Forbidden Ground", "The Phantasmal Jewel", "Shield of Alois", "Osborn Dockyard", "Oasis of Dorian", "Phantasm of Pharrell", "Haven of Kalva", "Shield of Naois", "Steed of Conlan", "Jewel of Cassander", "Circle of Laertes", "Ripples on the Pond", "Crown of Stars", "Steed of Fortune", "The Magic Circle", "Sonata of Kovalan", "Northwest Passage ", "Corentin Anchorage", "Eye of Aeneas", "Shield of Raiden", "Jewel of Leonor", "Crown of Catalina", "Port Lucian", "Citadel of Gandira", "Chorale of Kiaskari", "Ripple of Expectation", "Oasis of Durbail", "Shield of Sohrab", "Reign of Terror", "Turn of the Tide", "Haven of Arcelia", "Eye of Santin", "Circle of Protection", "Sonata of Carda", "Lindstrom City", "The Iridescent Crown", "Shield of Vasco", "Circle of Enlightenment", "Time and Tide", "Eye of Salome", "Steed of Verda", "Circle of Temptation", "Jewel of Amparan", "Upon a Fiery Steed", "Citadel of Vasilieva", "Chorale of Tatsuta", "Phantasm of Koshin", "Oasis of Bosatsu", "In a Nutshell", "The Brain Eater", "The John Farrell", "Triple Point", "Eye of Sashura", "Circle of Creation", "Haven of Nulatus", "Rise of the Tide", "Sonata of Indicus", "Port Torum", "Port Alexandrae", "Port Macrourus", "More than Honey", "Camp Wilsonia", "Camp Leuco", "Acensis Citadel", "Eye of Passeri", "Citadel of Neophema", "Camp Radiatus", "Jewel of Iduna", "Camp Violacea", "Port Rican", "Shield of Melanotis", "Naretha Warehouse", "Crown of Radiatus", "Wilsonia Anchorage", "Citadel of Hope", "Big Shot", "The Edible Poet", "Camp Perodroma", "Soloensis Dockyard", "Ruticila Central", "Naretha Anchorage", "Port Martinique", "Lanceo Shipyard", "Port Castanilius", "Dendroica Anchorage", "Murus Dockyard", "Ruticila Citadel", "Oasis of Accipiter", "Acensis Keep", "Haven of Violacea", "Lathamus Central", "Camp Oratrix", "Wilsonia Central", "Port Dinax", "Camp Iduna", "Sonata of Cephalus", "Tachiro Central", "Dendroica Warehouse", "Tatus Keep", "Camp Accipiter", "Eye of Vorus", "Cephalus Keep", "Aedon Anchorage", "Camp Soloensis", "Mercenarius Dockyard", "The Rene Descartes", "Melanol Warehouse", "Plainly Difficult", "Perodroma Shipyard", "Vorus Central", "Camp Acensis", "Camp Radiatus", "The Lost Worlds Run", "Crown of Cinereous", "Radiatus Warehouse", "Leuco Anchorage", "Port Cephalus", "Steed of Phoeniceus", "Puerto Keep", "Typus Shipyard", "Lathamus Warehouse", "Chorale of Melanotis", "The Spiritual Haven", "Crown of Fuertes", "The Unblinking Eye", "Rosetta of Silence", "Chorale of Perodroma", "The Zodiacal Eye", "Tomb of Kintu", "Jewel of Puerto", "Citadel of Violacea", "Crown of Vinaceous", "Oasis of Vinacea", "Sonata of Lucia", "Ventralis Citadel", "Honeypot Lane", "Port Tucumana", "Oasis of Neophema", "The Evil Eye", "Sonata of Varius", "Crown of Lathamus", "Celestial Rosetta", "Haven of Leuco", "Steed of Pusilla", "Jewel of Dendroica", "Port Castanea", "Pancamo Dockyard", "Shield of Parula", "Oasis of Trichas", "Crown of Lanceo", "Eye of Seiurus", "Chorale of Acensis", "Oasis of Phoeniceus", "Citadel of Molothrus", "Haven of Vorus", "Ever Decreasing Circles", "Jewel of Palida", "Eye of Aedon", "Sonata of Nisoria", "The Proletarian Palace", "Eye of Ibericus", "Chorale of Tochilus", "Crown of Fuscatus", "Chorale of Nitidus", "Oasis of Apricaria", "Jewel of Asiaticus", "The Mark Twain", "Port Caspian", "Haven of Charadrius", "Camp Alexandia", "Chorale of Vociferus", "Eye of Palmatus", "Amboselie Citadel", "Sonata of Oedicnemus", "Shield of Avosetta", "Sonata of Tarda", "Citadel of Canaden", "Flowers of War", "Port Talaudium", "Steed of Obiensis", "Sonata of Lutillus", "Eye of Tambuai", "Crown of Manusela", "Sonata of Arcium", "Jewel of Aerosus", "The Sarcastic Tachyon", "Dark Photon", "The Whimsical Graviton", "The Strange Graviton", "The Charming Quark", "The Dawdling Neutron", "The Enigmatic Neutrino", "The Eccentric Neutron", "The Exotic Graviton", "The Dawdling Photon", "The Dawdling Positron", "The Enigmatic Photon", "The Eccentric Lepton", "The Sarcastic Tachyon", "The Lee Van Cleef", "The Dawdling Tachyon", "The Nonchalant Proton", "The Sarcastic Neutron", "The Eccentric Graviton", "The Sarcastic Positron", "The Nonchalant Positron", "The Nonchalant Graviton", "The Nonchalant Tachyon", "The Strange Neutrino", "The Strange Lepton", "The Eccentric Tachyon", "No Strings Attached", "Space Dog", "The Dawdling Neutrino", "The Strange Proton", "The Enigmatic Tachyon", "The Sarcastic Neutrino", "The Exotic Electron", "The Charismatic Photon", "The Charismatic Neutrino", "The Dawdling Lepton", "The Exotic Quark", "The Enigmatic Positron", "The Whimsical Graviton", "The Enigmatic Quark", "The Erwin Schrodinger", "The Sarcastic Graviton", "The Strange Proton", "The Nonchalant Quark", "The Whimsical Proton", "The Exotic Neutrino", "The Nonchalant Neutrino", "The Strange Neutrino", "The Sarcastic Lepton", "The Nonchalant Electron", "The Eccentric Graviton", "The Exotic Neutron", "The Whimsical Graviton", "The Sarcastic Positron", "The Dawdling Lepton", "The Sarcastic Neutrino", "The Nonchalant Positron", "The Eccentric Graviton", "The Enigmatic Neutron", "Queen of Sheba", "The Enigmatic Electron", "The Eccentric Graviton", "The Dawdling Photon", "The Exotic Proton",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Valentino City"];

this.extrapool3 = [
// Galaxy 1 (Rolled as 4 Rolls of 64 Names). 
"Flag of Convenience", "Torpedo Run", "Night of the Quarter Moon", "Fable of Liberty", "Count Your Blessings", "Started with a Kiss", "House of the Seven Hawks", "Never So Few", "Deadly Ground", "Deep Purple", "Naked in the World", "Wasteland Wanderer", "Thief of Baghdad", "The Blender Exchange", "Bridge to the Sun", "Gaping Maw", "All Fall Down", "Period of Adjustment", "The Amphibian Queen", "Kill or Cure", "Rise of Tiamat", "The Main Attraction", "Beneath the Mask", "A Kiss Before Dying", "Project Avalon", "How the West Was Won", "In the Cool of the Day", "Dime with a Halo", "Corridors of Blood", "The Young and The Brave", "Any Number Can Win", "Titan of Twilight", "The Eli Wallach", "Midnight Express", "White Lotus", "Twilight of Honor", "Family Portrait", "The Harder They Fall", "Peace in Our Time", "Repentant Sinner", "The Wheeler Dealer", "Continental Drift", "The Black Knight", "The Day and the Hour", "The Golden Arrow", "Deep Purple", "Semblance of Order", "Advance to the Rear", "Freudian Slip", "Looking for Love", "Healing Touch", "Before It Melts", "Vice and Virtue", "Sphere of Freedom", "The Love Rat", "The Antonio Casas", "Gallows Day", "Wings of Vengeance", "Joy in the Morning", "Greed in the Sun", "Death Comes Easy", "Once a Thief", "Face in the Storm", "Fair Game", "Pillars of the Earth", "After the Fall", "Star Fox", "Patch of Blue", "Fires of Pompeii", "Star Cat", "Fire Cat", "Cloud Raven", "The Money Trap", "Snow Adder", "The Shaka Zulu", "The Happiness Patrol", "Iron Shark", "Daughter of Cthulhu", "Made in Paris", "Madonna of Goats", "Collateral Damage", "Ghost Cat", "Rain God", "Spirit Fox", "Jade Falcon", "Layers of Fear", "Nova Jaguar", "Jade Cobra", "Iron Fox", "Spirit Bear", "Ghost Wolf", "Eye of the Panther", "Atlas Moth", "Cloud Shark", "Jade Wolf", "Fire Wolf", "Mistress of Darkness", "Cloud Cat", "Jade Scorpion", "Spirit Cobra", "Double Trouble", "Steel Bear", "Twilight of the Grey Gods", "Iron Scorpion", "Spirit Adder", "Ghost Cobra", "Fire Shark", "Snow Shark", "Iron Bear", "Bird in the Bush", "Ghost Wolf", "Fist of the North Star", "Diamond Adder", "Nova Scorpion", "Cloud Shark", "Corridor of Uncertainty", "Star Jaguar", "Ghost Cobra", "Leap of Faith", "Iron Fox", "Arctic Fox", "Spirit Fox", "Iron Bear", "Shadow of Tombstone", "Don't Fear The Reaper", "Ghost Cobra", "Star Jaguar", "Wireframe Cobra", "Bright Flame", "Pleasure Dome", "The Mystic Monolith", "Bite of the Apple", "More than a Miracle", "Eye of the Devil", "Palace of Industry", "Steal the World", "The Monolith", "A Place for Lovers", "The Rosanne Bailey", "Prime Factor", "The Immortal Prism", "Project Eden", "The Warlock", "Five Man Army", "Eve of Destruction", "Bat Out Of Hell", "Midnight Sun", "The Sorcerer", "Brotherly Love", "House of Dark Shadows", "Area 51", "Straw Dog", "The Immortal", "The Oldest Dreamer", "Shadow Over Innsmouth", "No Blade of Grass", "Ghost Dancer", "The Magician", "The Way It Is", "Comedy of Manners", "Mad Dogs and Englishmen", "All in a Row", "Night of Dark Shadows", "Strange Days", "Wrath of God", "Face of Another", "Hearts of the West", "Kasparov City", "Master and Commander", "Blood Sport", "International Velvet", "The Human Factor", "The Shaman", "Art of the Possible", "Hero at Large", "Trail of the Pink Panther", "Romantic Comedy", "Nostalgia for Arcadia", "Oxford Blues", "Dark Devourer", "Where the River Runs Black", "Porto Farina", "The Art of Logic", "Dead of Winter", "The Nexus", "A Fish Called Wanda", "See No Evil", "The Ancient Sorcerer", "The Wicked Stepmother", "Mind Games", "Mortal Passions", "The Fires Within", "Columbia Towers", "The Hypothetical Avian", "Palace of Versailles", "The Kensington Oval", "The Cultured Wolf", "The Womp Rat", "The Lone Hound", "The Lethal Rodent", "The Deadly Poet", "The Green Knight", "Echo of Night", "Isle of Avalon", "Melody Maker", "The Unseen Weasel", "Love and War", "Life Stinks", "Crooked Hearts", "The Arboreal Cat", "Hollow Man", "Sea of Troubles", "The Edible Goat", "Paradise Gardens", "High Profile", "The Courteous Imp", "Eastern Star", "Company Business", "The Hypothetical Goat", "Countdown to Doom", "The Spotted Feline", "The Arboreal Tomcat", "The Affable Imp", "The Flying Saucer", "Cutting Edge", "Throwing Shade", "The Lethal Feline", "The Sly Weasel", "The Urbane Demon", "The Affable Imp", "Rolling Stone", "Oncoming Swarm", "Dancing in the Street", "Prince of Tides", "Sweetheart Deal", "Vanilla Sky", "Untamed Heart", "The Clean Slate", "Feathered Serpent", "The Affable Imp", "Thank You And Goodnight", "Blown Away", "The Spotted Lobster", "The Horned Rodent", "The Perching Raptor", "Runs in the Family", "Edge of Nowhere", "The Moll Flanders", "Coiled Serpent", "Camberwick Green", "The Affable Demon", "Disturbing Behavior", "Flexible Demeanour ", "The Deadly Feline", "Wakeful Dormouse", "The Iron Crown",
// Galaxy 2 (Rolled as 4 Rolls of 64 Names)
"Kiss the Sky", "Dream Street", "Through the Back Door", "The Iron Trail", "The Raymond Blanc", "The World Is Not Enough", "The Nigella Lawson", "Orphans of the Storm", "Serpent Moon", "No Small Thing", "Autumn in New York", "The Fair Lady", "Storm Country", "Drama of Fate", "Salvation Hunter", "Wild Justice", "Lady of the Sea", "The Beloved Rogue", "The Magic Flame", "Devil Dancer", "The Awakening", "One Romantic Night", "Eyes of the World", "See How They Run", "Devil to Pay", "Port Sharma", "Hammer of Lolth", "Reaching for the Moon", "One Heavenly Night", "Hold the Front Page", "The Unholy Garden", "Legally Blonde", "The Roj Blake", "Swimming Upstream", "The Silver Lining", "Walking Tall", "Port Gooch", "Bigger Than the Sky", "Into the Blue", "Black Moon Rising", "Beyond the Outer Dark", "Material Girl", "Blessing of Lolth", "Storm Breaker", "The Rocky Balboa", "Blood and Chocolate", "White Zombie", "Breaking and Entering", "The Hunting Party", "Perfect Understanding", "Feast of Love", "Through the Keyhole", "Blood Money", "The Inner Light", "Our Daily Bread", "Cartimandua Harbour", "The Dark Angel", "Music Within", "Hot Tub Time Machine", "Trust Is Earned", "Hope Springs", "Modern Times", "One Rainy Afternoon", "Come and Get It", "Tribute to Delicatus", "Lament of Palmatus", "Emissary of Bonaerense", "Apparition of Lutillus", "Host of Natalen", "Helm of Andium", "Sacrifice of Borealis", "Apparition of Nisoria", "Sage of Dollmani", "Servant of Panglima", "Squire of Reithrodon", "Tribute to Tundrae", "Helm of Ochracei", "Sacrifice of Leucogas", "Lament of Obiensis", "The Power Within", "Spear of Tambuai", "Between the Stars", "Servant of Paveli", "Tribute to Panglima", "Centurion of Obiensis", "Phalanx of Praepes", "Lament of Delicatus", "Hoard of Myoides", "Apparition of Auritus", "Hoard of Oscopus", "Apparition of Inflatus", "Lament of Leucogas", "Cash Call", "Squire of Panglima", "Disciple of Americana", "Host of Papua", "Sage of Riama", "Spear of Delicatus", "Port Santeau ", "Tribute to Fulgens", "The Narrowing Circle", "Emissary of Laucha", "Host of Arcium", "Apparition of Amboselie", "Servant of Canaden", "Squire of Bonaerense", "Shadow on the Moon", "Hoard of Phyrio", "Lies and Lullabies", "Beneath a Marble Sky", "Gauntlet of Mordax", "Sage of Riama", "Servant of Tambuai", "Dance of the Seven Veils", "Tribute to Domorum", "Silversmith City", "Host of Moreni", "Apparition of Tocantinsi", "From the Darkness", "Disciple of Aerosus", "Tribute to Charadrius", "Phalanx of Otididae", "Miracle in the Wilderness", "Sage of Gruidae", "Apparition of Centralis", "Tribute to Domorum", "Lament of Burtoni", "Postcard from Teraed", "Anthem of Prudence", "Anthem of Erudition", "Serenade of Perspicacity", "There and Back Again", "Anthem of Perspicacity", "Fountain of Introspection", "Well of Acumen", "Fountain of Prudence", "Dante City", "Anthem of Introspection", "Fountain of Perspicacity", "Anthem of Comprehension", "March of the Workers", "Crecy City", "Well of Salience", "The Final Arbiter", "Thicker Than Blood", "Keep Your Friends Close", "Lucky in Love", "Fountain of Prudence", "Canticle of Introspection", "Fountain of Acumen", "Last Days of Ector", "Canticle of Perspicacity", "Well of Clarity", "Hall of Intellect", "Serenade of Lucidity", "Between Dusk and Dawn", "Fountain of Meditation", "Lost in Obscurity", "Anthem of Sentience", "Canticle of Determination", "Anthem of Tenacity", "Well of Clarity", "Hall of Comprehension", "Canticle of Introspection", "Well of Sentience", "Serenade of Meditation", "Canticle of Understanding", "Endeavour of Will", "Well of Tenacity", "Fountain of Understanding", "Fountain of Clarity", "Poitiers City", "Anthem of Tenacity", "Garden of Allah", "Serenade of Intellect", "Anthem of Understanding", "Silence of the North", "Canticle of Sentience", "Out of the Shadow", "Fountain of Tenacity", "Hall of Determination", "Serenade of Erudition", "Serenade of Perspicacity", "Anthem of Meditation", "Well of Tenacity", "Anthem of Erudition", "Canticle of Perspicacity", "Fountain of Clarity", "Our Kind of Traitor", "Serenade of Sentience", "Light Bearer", "The Charles Dickens", "Storm in a Teacup", "The Last Chance Saloon", "The Sardonic Quark", "The Peculiar Neutron", "Narratives of Empire", "The Sardonic Neutrino", "The Peculiar Neutrino", "The Bashful Proton", "The Captivating Lepton", "The Captivating Neutrino", "Prince of Storms", "The Mellow Quark", "The Captivating Lepton", "The Sardonic Proton", "The Delightful Lepton", "The Bashful Tachyon", "The Courteous Photon", "Shadow Breaker", "The Elegant Photon", "The Delightful Proton", "The Courteous Lepton", "The Mischievous Positron", "The Mellow Neutrino", "Dangerous Minds", "Publicity Stunt", "Out of the Furnace", "The Sardonic Proton", "The Mellow Neutrino", "The Courteous Lepton", "The Peculiar Tachyon", "The Elegant Proton", "The Courteous Neutron", "The Courteous Photon", "Watch the Skies", "The Capricious Neutron", "Alternative Ending", "The Capricious Positron", "Song of the Trees", "The Delightful Neutron", "The Courteous Graviton", "The Mischievous Photon", "The Bashful Lepton", "The Mischievous Proton", "The Bashful Neutron", "The Capricious Positron", "The Bashful Quark", "The Golden Cup", "The Courteous Neutrino", "The Sardonic Quark", "The Peculiar Positron", "The Mischievous Lepton", "The Peculiar Electron", "The Mischievous Proton", "The Sardonic Neutron", "The Mischievous Positron", "The Captivating Positron", "The Courteous Graviton", "Ray of Hope", "The Capricious Neutron", "Web of Intrigue", "The Delightful Lepton", "The Elegant Photon", "The Mischievous Tachyon", "The Mellow Positron",
// Galaxy 3 (Rolled as 4 Rolls of 64 Names) 
"At First Sight", "Dark Journey", "Prisoner of Zenda", "Vistas of Piety", "Apostle of Greta", "Supremacy of Piety", "Ascension of Eternity", "Nothing is Sacred", "Lullaby of Faith", "Conquest of Tunis", "Gatekeeper of Infinity", "West Point", "Lullaby of Purity", "Supremacy of Solemnity", "Chorus of Sanctity", "Apostle of Carla", "Made for Each Other", "Ark of Piety", "Supremacy of Eternity", "Lullaby of Sanctity", "Vistas of Faith", "One Step Beyond", "Winter Carnival", "Shepheard of Faith", "Ark of Eternity", "Slightly Honorable", "Tears for Hannah", "Supremacy of Eternity", "Ark of Mercy", "The Long Voyage Home", "Placidity of Piety", "Uncertain Feeling", "Apostle of Michelle", "The Elvis Presley", "Vistas of Mercy", "Shepheard of Sanctity", "Apostle of Bruno", "Shepheard of Fidelity", "Boston Harbour", "Euphoria of Mercy", "Placidity of Faith", "Apostle of Morgen", "Shepheard of Eternity", "Chorus of Fidelity", "Euphoria of Infinity", "In Which We Serve", "Apostle of Bruno", "Vistas of Sanctity", "Apostle of Johanna", "Supremacy of Faith", "Blueberry Hill", "Placidity of Piety", "Vistas of Sanctity", "Euphoria of Mercy", "Supremacy of Eternity", "Placidity of Sanctity", "Calvados Bay", "Chorus of Sanctity", "The Walter Koenig", "Ark of Fidelity", "Under False Colors", "Chorus of Faith", "Placidity of Eternity", "Apostle of Gustav", "Song of the Open Road", "Broken Dreams", "Summer Storm", "Dark Waters", "Delightfully Dangerous", "Blood on the Sun", "Way to the Stars", "Scandal in Paris", "Angel on My Shoulder", "Dishonored Lady", "Heaven Only Knows", "Here Comes Trouble", "Silent Conflict", "The Rosetta Nexus", "The Dead Don't Dream", "Time of Your Life", "False Paradise", "Siren of Atlantis", "The Crooked Way", "Too Late for Tears", "Under the Sun of Rome", "Once a Thief", "Sound of Fury", "Three Steps North", "War Paint", "The Captain Scarlett", "Stranger on the Prowl", "Conquest of Everest", "Beat the Devil", "Stranger on Horseback", "The Deadly Dragonfly", "Top of the World", "The Good Die Young", "Star of India", "Run for the Sun", "Beast of Hollow Mountain", "Crooked Sky", "Moon Moth", "Sweet Smell of Success", "Pride and Passion", "Legend of the Lost", "The Louis Armstrong", "Above it All", "Ant Lion", "Bury the Living", "Face in the Night", "Mark of the Phoenix", "Shake Hands with the Devil", "Cast a Long Shadow", "Odds Against Tomorrow", "Take a Giant Step", "On The Beach", "The Music Box", "When the Clock Strikes", "Something Wild", "Pocketful of Miracles", "Follow That Dream", "Toys in the Attic", "Lilies of the Field", "Stolen Hours", "The Miracle Worker", "Return from the Ashes", "The Amy Winehouse", "Salt and Pepper", "Pieces of Dreams", "The Blue Cat", "Bridge in the Jungle", "Cold Turkey", "Last Tango", "Tabularius City", "Where the Lilies Bloom", "Mixed Company", "Way of the World", "Burnt Offering", "Bound for Glory", "The Black Stallion", "Scenes of Winter", "Circle of Friends", "The Birdcage", "The David Attenborough", "Tomorrow Never Dies", "Just the Ticket", "No Time to Waste", "The Charles Darwin", "Destiny Rides Again", "East Side of Heaven", "Honeymoon Deferred", "Little Bit of Heaven", "Slightly Tempted", "Flame of New Orleans", "Melody Lane", "Eyes of the Underworld", "Behind the Eight Ball", "Shadow of a Doubt", "Frontier Law", "Larceny with Music", "Always a Bridesmaid", "Never a Dull Moment", "Little Giant", "Part of the Forest", "Outside the Wall", "Curtain Call", "Prelude to Fame", "You Never Can Tell", "The Pied Piper", "Scarlet Angel", "It Grows on Trees", "It Came from Outer Space", "Desperate Moment", "Both Sides of the Law", "Drums Across the River", "Man Without a Star", "Kiss of Fire", "Hold Back Tomorrow", "Running Wild", "All That Heaven Allows", "Star in the Dust", "Behind the High Wall", "Pillars of the Sky", "Everything But the Truth", "Written on the Wind", "Man of a Thousand Faces", "Run of the Arrow", "Appointment with a Shadow", "Tarnished Angel", "Twilight of the Gods", "Voice in the Mirror", "No Name on the Bullet", "Born to Be Loved", "Hell Bent for Leather", "Portrait in Black", "Ageless Guardian", "Midnight Lace", "Forbidden Fruit", "Floating Butterfly", "The Grass Is Greener", "Wings of Chance", "Timeless Watchdog", "Cone of Silence", "Terran Sunset", "Eternal Gatekeeper", "The Last Sunset", "Between Time and Eternity", "Jovian Dawn", "Nearly a Nasty Accident", "Gathering of Eagles", "For Love or Money", "The Thrill of It All", "Terran Dawn", "Dark Purpose", "The Dream Maker", "Golden Dawn", "Martian Dawn", "Wild and Wonderful", "Blue Dolphin", "Love and Kisses", "Moment to Moment", "Out of Sight", "Deadlier Than the Male", "Angel in My Pocket", "Change of Habit", "Far Side of the Sun", "Dreams of Glass", "Act of the Heart", "Red Sky at Morning", "Time in the Sun", "Might be Giants", "Turkish Delight", "Fort Castile", "Queen of Scots", "Slipper and the Rose", "Almost Summer", "The Electric Horseman", "Somewhere in Time", "Fort Columbus", "All Night Long", "Endless Love", "Silence of the North", "Tender Mercies", "Rumble Fish", "Hard to Hold", "Comfort and Joy", "Martian Sunset", "Into the Night", "Playing for Keeps", "Do the Right Thing", "Opportunity Knocks", "Cool as Ice", "Out on a Limb", "The Real McCoy", "Mercury Rising", "Out of Sight",
// Galaxy 4 (Rolled as 4 Rolls of 64 Names) 
"Lord of Grace", "Daughter of Fortitude", "Mother of Hope", "Daughter of Faith", "Monarch of Tranquillity", "Father of Fate", "Madonna of Fortitude", "Child of Serenity", "Daughter of Solitude", "Love of the Game", "Lady of Fortitude", "Madonna of Rebellion", "Mother of Wisdom", "Valley of Fortune", "Child of Hope", "Valley of Tranquillity", "Vision of Aphrodite", "Daughter of Hope", "Lady of Grace", "The David S. Garnett", "Sentinel of Fortune", "Madonna of Solitude", "Sentinel of Fortitude", "Madonna of Destiny", "Mother of Serenity", "Father of Solitude", "The William Gibson", "Sentinel of Destiny", "Madonna of Fate", "Child of Solitude", "Monarch of Fortune", "Madonna of Wisdom", "Lord of Grace", "Sentinel of Serenity", "The Tanaka Giichi", "Madonna of Hope", "Sentinel of Serenity", "Valley of Fortune", "Monarch of Serenity", "Mother of Wisdom", "Father of Fortune", "Valley of Fate", "Mother of Fortitude", "Madonna of Serenity", "Monarch of Grace", "Child of Wisdom", "Daughter of Tranquillity", "Child of Fate", "Mother of Fortune", "A World Apart", "Mother of Wisdom", "Monarch of Fortune", "Monarch of Wisdom", "Child of Fortune", "Daughter of Fortitude", "Child of Fortune", "Lady of Fortitude", "Madness of the Heart", "Daughter of Serenity", "Valley of Fate", "Mother of Fortitude", "Valley of Fate", "Lady of Wisdom", "Lord of Destiny", "Friendship of Militaris", "Mystery in Whispers", "The Pulchella Coalition", "Conclave of Orientalis", "The Maurus Emporium", "Basilica of Agapornis", "Friendship of Dunnock", "Favour of Fischer", "Spawn of Shelob", "Ride with the Devil", "Bring It On", "Head Over Heels", "Brotherhood of the Wolf", "White Noise", "Water into Wine", "Two for the Money", "Dead Silence", "Role Model", "State of Play", "Lone Survivor", "Path to Power", "Fist of the North Star", "Flower of Flesh", "Happily Ever After", "Under the Clouds", "Farewell to Nostradamus", "Whisper of the Heart", "Shoot the Messenger", "Romance of Darkness", "Star of the Giants", "Beautiful Dreamer", "The Empty Man", "Blood and Iron", "Throne of Atlantis", "Playing with Fire", "Dirty Laundry", "Road to Perdition", "Legend of the Ten Rings", "Hell to Pay", "Bordello of Blood", "Days of Future Past", "Queen for a Day", "Take It or Leave It", "Step into the Past", "Banner of the Stars", "Journey to the Unknown", "The Captain Nemo", "Rose of Versailles", "Drawing the Line", "Crest of the Stars", "Hint of Winter", "Whistle Down the Wind", "Fiddler on the Roof", "The Winter Warlock", "When Doves Cry", "Live and Let Die", "Albedo of Mars", "Watcher in the Night", "Tall Dark Stranger", "Emporium of the Mind", "An Unexpected Journey", "Long Way Down", "Born in Flames", "Testament of Youth", "Rogue Five", "Bitter Harvest", "Midnight Sky", "Last Night in Soho", "Dream House", "Total Recall", "Crimson Peak", "The Listener", "Death Bell", "Ice Princess", "Escape Clause", "Twist in Time", "The Prince Caspian", "The John Smith", "The Princess and the Frog", "Tales from Earthsea", "Secret of the Wings", "Oz the Great and Powerful", "Into the Woods", "Wrinkle in Time", "Mistakes Were Made", "Wings of Life", "Messenger of Darkness", "Call It Courage", "Secret of the Pond", "Flight of the Grey Wolf", "Lots of Luck", "The Shaggy Dog", "Nick of Time", "The Barefoot Executive", "Out of Nowhere", "Under Wraps", "The Oliver Twist", "Miracle at Midnight", "Saintly Switch", "Storm of the Century", "Ready to Run", "Facts of Life", "Ring of Endless Light", "Right on Track", "Pixel Perfect", "Read It and Weep", "Bad Hair Day", "Upside Down", "Seeing Is Believing", "Lord of Midnight", "The Third Man", "Under the Boadwalk", "Matriarch of Aprosmictus", "History in the Making", "Equinox of Serinus", "State of Siege", "Lost in the Labyrinth", "The Mad Sun", "Looking on the Bright Side", "Whom the Gods Love", "Equinox of Crassus", "Lonely Road", "The Show Must Go On", "The Anarchist Cookbook", "Equinox of Reichenow", "Summer Days", "The Gaunt Stranger", "Almost the Truth", "Trouble Brewing", "Return to Yesterday", "Spare a Credit", "Circle in Time", "Turned Out Nice Again", "Rain on the Waves", "Train of Events", "Run for Your Money", "The Lavender Hill Mob", "Lease of Life", "Out of the Clouds", "The Feminine Touch", "Passing Shadows", "Soft Lights and Sweet Music", "Song of Freedom", "On the High Seas", "Live Wire", "Fiery Tide", "Melody and Romance", "Maytime in Mayfair", "Children of Chance", "Cure for Love", "Under Deep Snow", "Naked Heart", "The Sound Barrier", "Folly to Be Wise", "Devil on Horseback", "Conflict of Wings", "Next to No Time", "Chain of Events", "Left Right and Centre", "The Bridal Path", "Life Is a Circus", "Nearly a Nasty Accident", "He Who Rides a Tiger", "Twisted Nerve", "Touch of Love", "Through Iridescent Eyes", "The Man Who Fell to Earth", "Settled Out of Court", "Triumph of the Rat", "The Rolling Road", "One of the Few", "What Money Can Buy", "The Crooked Billet", "Bed and Breakfast", "Faith in Humanity", "Princess Charming", "Portrait from Life", "When Knights Were Bold", "Babes in the Woods", "Death Stalker", "Absolute Power", "Goodnight Vienna", "Talk of the Devil", "The Shooting Gallery", "Odd Man Out", "The Cardboard Cavalier", "Madness of the Heart", "The Rocking Horse", "One Good Turn", "To Paris with Love", "Common Touch", "City of Mothra",
// Galaxy 5 (Rolled as 4 Rolls of 64 Names) 
"Round the Corner", "Question of Trust", "Loyal Heart", "No Room at the Inn", "Keeper of Secrets", "Garden of Resurrection", "The Acid Test", "Madonna of the Cells", "Pearl of the South Seas", "The Improper Duchess", "Debt of Honour", "Sunset in Vienna", "Spot of Bother", "Bones of the River", "Man at the Gate", "First of the Few", "Blithe Spirit", "The Seventh Veil", "Brief Encounter", "Here Comes the Sun", "Hue and Cry", "The October Man", "The White Unicorn", "End of the River", "Easy Money", "Borrowed Time", "Song for Tomorrow", "Once Upon a Dream", "Night Without Stars", "Top of the Class", "Turn the Key Softly", "Trouble in Store", "Fast and Loose", "Value for Money", "One Way Out", "Touch and Go", "Jumping for Joy", "Behind the Headlines", "Tiger in the Smoke", "Circle of Honour", "High Tide at Noon", "The Heart Within", "Across the Bridge", "Meeting of Strangers", "The Wind Cannot Read", "Nor the Moon by Night", "Passionate Summer", "Bachelor of Hearts", "Witness in the Dark", "Conspiracy of Hearts", "And None Shall Weep", "Faces in the Dark", "Flame in the Streets", "Hair of the Dog", "Strictly for the Birds", "Nobody Runs Forever", "Hunt for the Sun", "When Eight Bells Toll", "Semblance of Justice", "Quest for Love", "The Golden Wood", "Bless This House", "Nothing but the Night", "Riddle of the Sands", "The Human Factor", "Bad Timing", "Eve of Destruction", "Not Quite Paradise", "With a Spiritual Eye", "Stealing Heaven", "The Madame Pompadour", "Lord of Gifts", "Road to Fortune", "One Precious Day", "Case for the Crown", "Way of Youth", "Price of Wisdom", "Key to Harmony", "School for Scandal", "Flame in the Heather", "A House Divided", "Expert Opinion", "Early Bird", "The Last Alliance", "Eye of the East", "Full Speed Ahead", "Cavalier of the Streets", "Behind Your Back", "Double Exposure", "Under a Cloud", "The Arcane Eye", "Stolen Life", "Links of Justice", "Three Crooked Men", "Highway to Battle", "The Celestial Oasis", "Funeral in Berlin", "The Italian Job", "The Salt Factory", "Running Scared", "The Celestial Eye", "A Place in the Sun", "Face to Face", "Spinner of Dreams", "After Many Days", "Starting Point", "Children of Gibeon", "God in the Garden", "Long Before Time", "Shadow of a Man", "Fires of Innocence", "Weaver of Fortune", "In the Blood", "Net of Destiny", "The Last Hour", "Such is the Law", "Song at Eventide", "The Broken Rosary", "Beautiful Nonsense", "King of Hearts", "Song of the Forge", "Old Mother Riley", "Almost a Gentleman", "Nothing to Declare", "Pack Up Your Troubles", "Facing the Music", "Conversation Piece", "Under New Management", "The Bone Tomahawk", "Beauty of Babylon", "Tenderness of Venera", "Amnesty of Babylon", "Not in Vain", "Treaty of Diso", "Accord of Cathage", "Once a Sinner", "Direct Action", "The Scarlet Thread", "Amnesty of Beauty", "The Broken Horseshoe", "Cloak Without Dagger", "Treaty of Zaonce", "Mark of the Phoenix", "Amnesty of Riedquat", "Fame and Fortune", "Purity of Beauty", "Grace of Elena", "Tenderness of Fortune", "Wake for a Stranger", "The Crowning Touch", "Curator of Tannhauser", "Grace of Lucinda", "Lover of Fun", "Amnesty of Troy", "Treaty of Erebus", "Riddle of Eden", "Cover Girl", "Walk a Crooked Path", "Purity of Love", "One Glorious Night", "Tainted Money", "Accord of Eurasia", "Lover of Trade", "Charter of Mercury", "After Business Hours", "The Unwritten Law", "Price of Success", "Curator of Phobos", "Charter of Eden", "Fighting the Flames", "Custodian of Lave", "Sealed Lips", "Irony of Fate", "Treaty of Troy", "Lure of the Wild", "Stolen Pleasures", "Riddle of Saturn", "Pleasure Before Business", "Opening Night", "Custodian of Dreams", "Purity of Hope", "The Scarlet Lady", "Grace of Marianna", "Riddle of Aqualina", "Charter of Troy", "Home for Christmas", "Power of the Press", "Nothing to Wear", "Riddler of Reorte", "Behind Closed Doors", "Fall of Eve", "Call of the West", "End of the Trail", "Child of Manhattan", "Behind the Evidence", "Champagne for Breakfast", "Lost Horizons", "The Iron Helix", "Master of Bones", "The Awful Truth", "Making the Headlines", "You Can't Take It With You", "Outside These Walls", "Only Angels Have Wings", "Blind Alley", "Passport to Alcatraz", "Thunder Over Paris", "North from the Lone Star", "Lake Victoria", "Neither Blood nor Sand", "Sweetheart of the Fleet", "Talk of the Town", "One Dangerous Night", "Swing Out the Blues", "Cowboy in the Clouds", "Beautiful But Broke", "Shadows in the Night", "Mark of the Whistler", "Song to Remember", "A Thousand and One Nights", "Just Before Dawn", "Saddle on a Star", "Galloping Thunder", "Tumbling Down", "Dangerous Business", "So Dark the Night", "Lone Star by Moonlight", "The Sea Hound", "Rose of Santa Rosa", "Sign of the Ram", "Playing for Keeps", "West of Sonora", "The Black Arrow", "Walk a Crooked Mile", "The Untamed Breed", "Smoky Mountain Melody", "Dark Past", "The Make Believe Ballroom", "Lust for Gold", "South of Death Valley", "Holiday in Havana", "Tyrant of the Sea", "Faust and the Devil", "Beyond the Purple Hills", "In a Lonely Place", "Across the Badlands", "Between Midnight and Dawn", "Born Yesterday", "Never Trust a Gambler", "The Glass Wall", "Serpent of the Nile", "From Here to Eternity", "End of the Affair", "Decision at Sundown", "Candy Rock", "Song Without End",
// Galaxy 6 (Rolled as 4 Rolls of 64 Names) 
"Across the Universe", "The Angry Bird", "Age of Innocence", "Almost Famous", "Among the Missing", "Around the Corner", "As the Sea Rages", "Kennedy City", "The Awful Truth", "Before Winter Comes", "Portrait of Helena", "Call of the West", "Close Call", "End of the Ocean", "Double Impact", "The Upside Down", "End of the Trail", "Golden Hour", "Footsteps in the Fog", "Forgive and Forget", "Fragment of Fear", "Gentleman from Nowhere", "Graduation Day", "The Harder They Fall", "Hit and Run", "Line of Fire", "Soft Touch", "One Way Ticket", "Open Season", "Prince of Diamonds", "Quick on the Trigger", "Rain or Shine", "Sunset Strip", "Rough Draft", "Shadow of the Hawk", "Winter Dreams", "Thief of Damascus", "Temperance of Fate", "Union City", "Let There Be Carnage", "Violets Are Blue", "Legend of the Deep", "Different Times", "Savage Beauty", "Icon of Trade", "Country Queen", "Justice Served", "Portrait of Karin", "Kung Fu Hustle", "Heartbreak High", "Lonely Heart", "Second Chance", "Cabinet of Curiosities", "Grange Hill", "Eternally Confused", "Eager for Love", "Master of the Universe", "Everything in Between", "Off the Hook", "Testament of Hope", "Light of the Night", "The Invisible City", "Almost Happy", "Mother of Mine", "The Marked Heart", "Days of Darkness", "The Longest Day", "Fall of the Moon", "Girl in the Mirror", "Out of Hand", "As the Crow Flies", "Down to Earth", "Love Is Blind", "One Simple Question", "Pedal to Metal", "Before the Beginning", "On the Record", "Thunder God", "Notre Dame", "Once Upon a Crime", "Social Currency", "Proof of Concept", "Portrait of a Thief", "Chosen One", "Warmth of Other Suns", "Critical Response", "Den of Geek", "A Touch of Cloth", "Electric Dreams", "Intellectual Property", "Reflection of the Past", "House of Tomorrow", "Tales from the North", "Under the Ash Tree", "Candle for the Devil", "Drawing of the Dark", "The Rock Doctor", "Pride of London", "Hang the DJ", "Burden of Proof", "Arm of the Giant", "Avatar of Commerce", "Reflecting on Sorrow", "Prime of Life", "The Runaway Star", "Improper Motion", "Pride in the Flesh", "Commercially Minded", "Wandering with Purpose", "Empathy for the Meek", "The Judy Garland", "Something to Hide", "Shadow of a Man", "Empathy for Economics", "Pride of the Wise", "Wistful for Honesty", "Ambassador of Trade", "Yearning for the Old Days", "Heart of the Giant", "Star Runner", "The Honest Man", "The Fractal Cow", "Random Access", "Oasis of Trade", "Portent of Hope", "Central Intelligence", "The Everyman", "Hush Money", "Conservation of Energy", "Portent of Shadows", "Cover Version", "Dust on the Stones", "Reasons for Madness", "Wind on the Dunes", "Jealous Rage", "All the Wrong Reasons", "Mascot of Commerce", "Of Unsound Mind", "Convergence of Culture", "Future of Commerce", "Tableau of Riches", "Mascot of Enterprise", "Close to Reality", "Portent of Faith", "Legal Shenanigans", "Fake News", "Word of Thanks", "Dignity of Work", "System Crash", "Lady of the Manor", "Death of the Machine", "Between the Lines", "Passing without Trace", "Rider on the Wave", "The Sword Holder", "Passing in the Night", "Water on the Dunes", "The Lighthouse", "Redemption of Time", "Singer in the Dark", "Salt and Pepper", "Sands of Arabia", "Bigger on the Inside", "Show of Force", "Centre of the Maze", "Way of Life", "Strange But True", "Blue Space", "Patch of Midnight", "Day of the Dragon", "Historical Accuracy", "Darker than the Night", "School of Hard Knocks", "Last of the Time Lords", "Change in the Wind", "Answers in the Dust", "Out of Left Field", "Master of Dolls", "The Finger of God", "Blueprint for Happiness", "Art of Magic", "Cradle of Riches", "The Blank Slate", "Open to Interpretation", "Devil to Pay", "Last Tango in Lave", "One Way Trip", "The Split Atom", "Stone Cold Sober", "Book of Nine Swords", "War Blade", "Hidden in Shadow", "The Jack Vance", "Stroke of Luck", "Beneath the Ice", "Heart of the Dragon", "Passage of Time", "Clouds over Mars", "The Fine Line", "Viable Option", "Darker and Edgier", "Strapped for Cash", "Dreams Beyond Memory", "Heroic Effort", "The Last Wish", "Something in the Water", "The Broom Closet", "The Emma Appleton", "Light in the East", "End of the Story", "Genius at Work", "The Crooked Road", "High Stakes", "Rise of the Bear", "Art of Murder", "Forgotten for a Reason", "Looked too Late", "Changing Times", "Queen for a Day", "Writing on the Wall", "Sign of the Mage", "Sunshine after Rain", "The Dead Pool", "Loosing the Plot", "Master of the Mists", "Citation Needed", "The Green Light", "On Another Level", "Crazy Talk", "Background Noise", "Come on Over", "The Checkered Flag", "Unwriiten Rule", "End of the Universe", "The Meaning of Life", "Power of Persuasion", "Safety First", "March of the Giants", "Leisure Suit Larry", "The King Charles III", "Viewed through a Mirror", "The Girl Next Door", "The Trickster", "Playing the Percentages", "Festival of Light", "The Queen Elizabeth II", "In Good Shape", "Over the Top", "Idle Gossip", "Left at the Altar", "Alone in the Woods", "Out of the Labyrinth", "Walk in the Park", "The Second Chance", "Guilty as Charged", "Just being Honest",
// Galaxy 7 (Rolled as 4 Rolls of 64 Names)
"Do as Thou Wilst", "On Dark Tides", "Time in the Sun", "No Free Lunch", "Vanished in the Night", "Companion of Thorin", "Consort of Hades", "Small Talk", "Mute of Malice", "Visitation of God", "Summer of Love", "Window on the World", "Fire Eater", "Salvation of Faith", "Dawn of Man", "Taking it Easy", "On the Prowl", "First Impressions", "The David Braben", "Sometimes They Come Back", "Talladega Nights", "Sins of the Past", "Lingering Darkness", "Rain on the Sidewalk", "Dance of Dragons", "The Indiana Jones", "Knight in Rusty Armour", "Lost in Space", "After the Party", "Sign of the Warrior", "Exits Stage Right", "Under the Mountain", "The Clocktower", "Beyond the Outer Worlds", "Adventures in Time", "The Loot Box", "Pride of the Empire", "Staying in Character", "Buried in the Sand", "The Positronic Man", "Edge of the Water", "The Critical Drinker", "Sign of the Healer", "Strength of Character", "Up the Garden Path", "Honest to a Fault", "Deliverance of the Worthy", "Money for Old Rope", "Letting in the Jungle", "Messenger of the Gods", "The Milky Bar Kid", "In Dark Corners", "Beyond all Boundaries", "Last Honest Man", "Rave Master", "Choir of Angels", "Ring around the Roses", "Warlord in Disguise", "Storm in a Teacup", "Mario World", "Liberty Island", "The Flying Broom", "Alive and Kicking", "Walk the Dragon's Wing", "The Succubus Rift", "The Halo Expanse", "Meet in the Middle", "The Medusa Cascade", "The Butterfly Expanse", "The Monoceros Maelstrom", "The Cockatrice Singularity", "The Succubus Quasar", "The Helix Singularity", "Triumph of the Meek", "The Banshee Nimbus", "The Eagle Cascade", "The Butterfly Anomaly", "The Wraith Quasar", "Shock Therapy", "The Hourglass Nebula", "Child of the Elder Blood", "The Toy Maker", "The Cockatrice Rift", "The Hourglass Quasar", "The Stingray Rift", "The Dandelion Quasar", "The Eagle Rift", "The Homunculus Nebula", "Renaissance of Madness", "The Medusa Rift", "The Minotaur Maelstrom", "The Helix Expanse", "The Minotaur Expanse", "The Balrog Rift", "The Helix Maelstrom", "The Lagoon Nebula", "The Dandelion Maelstrom", "Triumph of the Ants", "The Lagoon Anomaly", "The Falcon Expanse", "The Hourglass Expanse", "The Minotaur Maelstrom", "The Minotaur Quasar", "The Orion Cluster", "The Eagle Nebula", "The Necronomicon Maelstrom", "The Falcon Nimbus", "The Manticore Cluster", "The Lagoon Cluster", "The Monoceros Anomaly", "The Necronomicon Cascade", "The Pelican Cluster", "The Hydra Cluster", "The Horsehead Anomaly", "The Helix Rift", "Monte Carlo or Bust", "The Necronomicon Cascade", "The Wraith Singularity", "Cult Classic", "The Ophiuchus Quasar", "The Hydra Expanse", "The Eagle Anomaly", "Nuts for the Winter", "The Hydra Rift", "Master of None", "The Crab Singularity", "The Halo Pulsar", "The Manticore Quasar", "The Snarling Lion", "Ulterior Motives", "The Pouncing Tiger", "Princess in the Shadows", "The Pensive Puma", "The Mischievous Lioness", "The Solitary Lynx", "Ghosts of the Past", "The Pensive Cougar", "Cradle of Humanity", "The Slumbering Wolverine", "The Pensive Puma", "Beautiful and Terrible", "The Slumbering Vixen", "The Pouncing Cougar", "The Slumbering Puma", "The Solitary Leopard", "The Pouncing Feline", "The Stalking Lynx", "The Slumbering Jaguar", "The Dancing Leopard", "The Fox Cub", "Sibling Rivalry", "The Risen Cougar", "The Nomadic Lion", "The Slumbering Cougar", "The Mischievous Lion", "The Risen Lion", "The Noble Vixen", "The Pensive Cougar", "City of Angels", "The Snarling Vixen", "The Solitary Wolverine", "Day of the Rabbit", "The Solitary Puma", "The Dancing Leopard", "The Stalking Lynx", "The Nomadic Cougar", "The Pouncing Wolverine", "The Pensive Cougar", "The Nomadic Lion", "The Awakened Panther", "The Risen Leopard", "The Stalking Puma", "The Slumbering Tiger", "Star Dreamer", "The Snarling Jaguar", "The Risen Lion", "Abondance of Wisdom", "Lynx in the Mist", "First World Problems", "Children of Time", "The Solitary Jaguar", "The Mischievous Panther", "The Playful Puma", "The Leaping Cougar", "Spirit of the Wild Wood", "The Crouching Jaguar", "Once Upon a Dream", "The Dancing Lion", "The Solitary Wolverine", "The Pensive Lioness", "Stig of the Dump", "Blood Star", "Melody of Freedom", "Mirror of Temperance", "Song of Serenity", "Mirror of Eternity", "Song of Tranquillity", "Fountain of Equilibrium", "Basin of Reason", "Father of Serenity", "Well of Freedom", "Lady of Lave", "Fountain of Freedom", "Song of Harmony", "Lady of Eternity", "Not Quite Paradise", "Mirror of Serenity", "Song of Eternity", "Basin of Eloquence", "Mirror of Tranquillity", "Basin of Serenity", "Voice of Reason", "Lady of Eloquence", "Ballard of Serenity", "Ritual of Chud", "Basin of Liberty", "Mother of Eloquence", "Lord of Reason", "Mother of Harmony", "Lord of Temperance", "Well of Serenity", "Ballard of Equilibrium", "Melody of Liberty", "Ballard of Tranquillity", "Ends of the Earth", "Well of Harmony", "Master of Freedom", "Melody of Temperance", "Voice of Liberty", "Symphony of Serenity", "Fountain of Commerce", "Voice of Eternity", "Mother of Harmony", "Fountain of Temperance", "Mother of Equilibrium", "Symphony of Liberty", "Lord of Harmony", "Gateway Station", "Basin of Eloquence", "Ballard of the Thief", "Daughter of Liberty", "Sonnet of the Mage", "Lady of Eternity", "Mirror of Reason", "Well of Reason", "Mother of Commerce", "Ballard of Tranquillity", "Sonnet of Reason", "Song of Temperance", "Symphony of Serenity", "Fountain of Eternity", "Mother of Liberty", "Lord of Serenity", "Well of Liberty", "Ballad of the Flexible Bullet", "Melody of Serenity",
// Galaxy 8 
"Blast Radius", "No Place for Bravery", "William of Normandy", "Highway of the Gods", "Portal to Nevada", "Children of the Atom", "Might and Magic", "The Wooden Hand", "Lure of Profit", "Might of Commerce", "Path of the Crow", "Road to Riches", "Round the Corner", "The Lost Village", "Gateway to Heaven", "Road to Hell", "Fear of Clowns", "Anxiety Attack", "Highway to Heaven", "Attention to Detail", "Nothing Special", "Call of Krampus", "Soul of a Robot", "Gate to Erebus", "Frankie Goes to Hollywood", "Roller Coaster Ride", "Universal Hero", "Portal to Fortune", "Jewel in the Darkness", "The Idea Factory", "The Dan Dare", "Collision Course", "The Last Stormtrooper", "Rise of Dantalion", "Tapestry of Time", "Throne of Blood ", "Gateway to Heaven", "Ready Steady Go", "Portal to Nevada", "First Past the Post", "On the Bench", "The Larry Niven", "Boulder Dash", "Might of Thanatos", "Soldier of Light", "The Ice Palace", "Hand of the Maker", "Soldier of Fortune", "Dark Fusion", "School for Scandal", "Road to Tartarus", "Proof of Destruction", "Call of Cthulhu", "Where Time Stood Still", "Countdown to Doom", "Silent Shadow", "Rise of Cthulhu", "Hero of the Lance", "Paradigm Shift", "Fall of Krampus", "Rolling Thunder", "Fall of the Order", "Out for the Count", "Rise of Krampus", "Capricorn Six", "The Unchained Succubus", "The Faulcon de Lacy", "Aristotle Keep", "Moving Target", "Ice Breaker", "Minotaur Departing", "Round the Bend", "The Alexander Fleming", "Thief of Fate", "Blue Thunder", "Hollywood or Bust", "Borrowed Time", "The Unchained Phoenix", "The Lost Kingdom", "Bored of the Rings", "Colour of Magic", "Defender of the Crown", "Mistress of the Dark", "The Forbidden Forest", "Manticore Departing", "Beyond the Frontier", "Head Over Heels", "Heart of Africa", "Law of the West", "Legacy of the Ancients", "Mask of the Sun", "Cockatrice Departing", "Master of the Lamp", "Summer of Love", "The Inner Sanctum", "History in the Making", "The Unchained Gargole", "Banshee Departing", "Match Point", "Gargole Departing", "The Neutral Zone", "Nine Princes In Amber", "Plundered Hearts", "Robin of the Wood", "Throne of the Falcon", "Spirit of the Stones", "Oncoming Storm", "The Three Stooges", "The Paul McCartney", "To Hell and Back", "Vanquish the Night", "Martian Dawn", "Watching the Detectives", "Martian Sunrise", "Call of the Sea", "Times of Lore", "The Trap Door", "The False Prophet", "Way of the Exploding Fist", "Heart of the Maelstrom", "Banshee Departing", "The Unchained Chimera", "Succubus Departing", "Fair Means or Foul", "The Living Daylights", "Gorgon Departing", "The Middle Man", "Love of God", "Port Arthur", "The Red Keep", "Camp Carson", "Citadel of Shadows", "The Hidden Shrine", "Keeper of Hope", "Any Port in a Storm", "The John F. Kennedy", "Citadel of Noctialis", "Caravan of Love", "Eye of the North", "Port Carlos", "Keeper of Secrets", "Port Simpson", "Fire in the Darkness", "The Empty Man", "Joking Aside", "Chance in a Million", "Fun and Games", "Shot in the Dark", "Easy as Pie", "Searching for Meaning", "Port Lucia", "Trichas Dockyard", "Centre of Attention", "Camp Castanea", "Keeper of Time", "Lacking in Gravitas", "Flower of Youth", "Life of the Party", "Terms of Endearment", "Camp Tucumana", "Just in Case", "Strange But True", "Keeper of the Winds", "Dark Truth", "Worse than You Think", "Under the Sphinx", "Over the Rainbow", "Thief of Dreams", "Beneath the Waves", "Luck of the Draw", "Camp Naretha", "The Scarecrow", "Signs of Life", "Letting in the Jungle", "The Wildcat", "Camp Tucumana", "Sense of Purpose", "Change of Mind", "The Little Mermaid", "Martial Spirit", "The Chaos Engine", "Demolition Man", "The Duke Nukem", "Night Storm", "Fatal Fury", "The Jennifer Capriati", "The Lawnmower Man", "Liberty or Death", "Passeri Citadel", "Micro Machine", "Midnight Resistance", "End of the Millennium", "Rise of Elara", "Achird in Transition", "Fall of Canes", "Fall of Enceladus", "Hyperion in Ascension", "Zaurak in Ascension", "Eclipse of Titan", "Betelgeuse Rising", "Primal Rage", "Adrastea at Apogee", "Echo of Pluto", "Himalia in Ascension", "Earth Rising", "Rainbow Island", "Shadow Hunter", "Rise of Nereid", "Eclipse of Acrux", "Castor in Transition", "Jupitor Rising", "Nunki in Eclipse", "Fall of Altaira", "Fall of Celaneno", "Red Zone", "Plautos at Apogee", "Eclipse of Belenos", "Nashira in Transition", "Payment in Full", "Days of Thunder", "Shining in the Darkness", "Enceladus in Conjunction", "Fall of Himalia", "Tour of the World", "Triton in Conjunction", "Eclipse of Komephoros", "Echoes from the Past", "Empire of Steel", "The Koutetsu Teikoku", "Fall of Celaneno", "Thunder Blade", "Cassiopeia in Ascension", "Band of Angels", "Eclipse of Ariel", "Echo of Capella", "Cassiopeia Rising", "Sword of Vermilion", "Oberon at Apogee", "Rise of Rasheda", "Ophelia in Ascension", "Trouble Shooter", "Echo of Corellia", "Return of the Joker", "Deimos in Transition", "Zero Hour", "Janus in Transition", "Shadow of Oblivion", "Lepus in Eclipse", "Wheel of Fortune", "Ten Pin Alley", "The Cat in the Hat", "The Black Rose", "The Lost Soul", "Back to Nature", "Chicago Blues", "The Snowman",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Newcastle City"];

this.extrapool4 = [
// Galaxy 1 (Rolled as 4 Rolls of 64) 
"Wonder of Discovery", "Splendour of Wisdom", "Wonder of Enlightenment", "Rhapsody of Transcendence", "Apex of Knowledge", "Splendour of Knowledge", "Marvel of Transcendence", "Miracle of Trade", "Carnival of Monsters", "Apex of Knowledge", "Miracle of Wisdom", "Elation of Trade", "The Anne McLaren", "Miracle of Ascension", "Dark of the Moon", "Apex of Discovery", "Rhapsody of Transcendence", "Midsummer Nights", "Spirit of Vengeance", "Marvel of Knowledge", "Apex of Technology", "Splendour of Wisdom", "Miracle of Transcendence", "None Shalt Pass", "Elation of Transcendence", "Parting of the Ways", "Epoch of Wisdom", "Wonder of Wisdom", "Rhapsody of Discovery", "Isle of Fury", "Elation of Enlightenment", "Apex of Ascension", "Epoch of Wisdom", "Tug of War", "The Morgan Le Fay", "Apex of Trade", "The Antonia Maury", "Carnival of Monsters", "Rhapsody of Trade", "Wonder of Ascension", "Elation of Knowledge", "Last Man Standing", "Epoch of Knowledge", "Splendour of Wisdom", "The Barbara Windsor", "The Amy Mainzer", "Elation of Ascension", "Elation of Enlightenment", "Rhapsody of Technology", "Elation of Wisdom", "Citation Needed", "Epoch of Transcendence", "Splendour of Enlightenment", "The Norman Mosser", "The John Bartha", "Epoch of Engineering", "Marvel of Enlightenment", "The Electric Ant", "Splendour of Knowledge", "Splendour of Enlightenment", "Miracle of Wisdom", "Elation of Ascension", "Marvel of Enlightenment", "Marvel of Trade", "Bohemian Artistry", "Bohemian Legend", "The Howard Black", "Hellenistic Fable", "A Fine Romance", "Heroic Fable", "A Corner in Wheat", "Bohemian Orthodoxy", "Herculion Epic", "Faustian Pathos", "Bohemian Artistry", "Time Reaver", "Renaissance Orthodoxy", "Bohemian Orthodoxy", "Hellenistic Comedy", "The Penguin Pool", "Ghost Protocol", "Renaissance Epic", "Across the Zodiac", "Bohemian Pathos", "Renaissance Comedy", "Heroic Ethos", "Bohemian Comedy", "Heroic Comedy", "Spartan Comedy", "Faustian Bargain", "Spartan Orthodoxy", "Faustian Comedy", "Anarchic Orthodoxy", "Herculion Epic", "Imperialist Ethos", "Imperialist Ethos", "Faustian Bargain", "Spartan Romance", "Heroic Orthodoxy", "Renaissance Comedy", "Spartan Epic", "Faustian Epic", "Imperialist Romance", "Imperialist Orthodoxy", "Faustian Comedy", "Herculion Epic", "Faustian Artistry", "Herculion Artistry", "Heroic Ethos", "Faustian Pathos", "Spartan Fable", "Bohemian Artistry", "Anarchic Legend", "Herculion Legend", "Faustian Artistry", "Spartan Artistry", "Faustian Romance", "Hellenistic Romance", "The Mahatma Gandhi", "Faustian Comedy", "Faustian Epic", "Hellenistic Pathos", "Herculion Epic", "Hellenistic Romance", "Faustian Comedy", "Renaissance Epic", "Faustian Ethos", "Anarchic Orthodoxy", "Taste of Invincibility", "Wild Cat", "Commercial Omnipotence", "Economic Perfection", "Glimpse of Omnipotence", "Theoretical Brilliance", "Superluminal Immortality", "Theoretical Invincibility", "Mirage of Foresight", "Superluminal Clarity", "Glimpse of Clarity", "Superluminal Clarity", "Commercial Objectivity", "Song of Summer", "Arithmetical Brilliance", "Theoretical Foresight", "Measure of Objectivity", "Commercial Invincibility", "Glimpse of Foresight", "Measure of Ambiguity", "Arithmetical Foresight", "Mirage of Brilliance", "Commercial Objectivity", "Dust Bowl", "Commercial Invincibility", "Mirage of Brilliance", "Taste of Objectivity", "The Grace Hopper", "Arithmetical Invincibility", "Mirage of Omnipotence", "Arithmetical Brilliance", "Superluminal Invincibility", "Economic Invincibility", "Economic Clarity", "Theoretical Clarity", "Theoretical Perfection", "Mirage of Immortality", "Glimpse of Clarity", "Mirage of Immortality", "Taste of Ambiguity", "Measure of Foresight", "Arithmetical Clarity", "Mirage of Foresight", "Measure of Invincibility", "Commercial Perfection", "Measure of Immortality", "Arithmetical Perfection", "Mirage of Objectivity", "Arithmetical Foresight", "Mirage of Immortality", "Glimpse of Clarity", "Theoretical Brilliance", "Measure of Perfection", "Glimpse of Brilliance", "Mirage of Invincibility", "Economic Omnipotence", "Measure of Omnipotence", "Theoretical Brilliance", "Taste of Omnipotence", "Glimpse of Invincibility", "The Adam Bernstein", "Economic Invincibility", "Mirage of Ambiguity", "Mirage of Perfection", "Futaba Waystation", "Comoros Cosmodrome", "Pradesh Sanatorium", "Headingley Stadium", "Kanto Starbase", "Kanto Waystation", "Nordea Waystation", "Lombard Sanatorium", "Kaltimtara Waystation", "Rabinovich Solarium", "Aslanov Solarium", "Pacifico Starbase", "Mauritius Planetarium", "Molchalin Solarium", "Consorcio Cosmodrome", "Fomento Sanatorium", "Kovanica Waystation", "Fomento Solarium", "Komeroni Solarium", "Consorcio Sanatorium", "Vithal Cosmodrome", "Hapoalim Waystation", "Canton Sanatorium", "Mareschal Planetarium", "Fukushima Sanatorium", "Consorcio Planetarium", "Descuento Planetarium", "Volkov Sanatorium", "Affairs of the Heart", "Pichincha Starbase", "Ancoria Waystation", "Liechtenstein Sanatorium", "Karachi Planetarium", "Hapoalim Solarium", "Bahrain Waystation", "Kanto Waystation", "Dehradun Sanatorium", "Maratratha Planetarium", "Libanais Waystation", "Mind Robber", "All Through the Night", "Aegidian Citadel", "Gomati Planetarium", "Grindrod Cosmodrome", "Lafise Solarium", "Ancoria Sanatorium", "Descuento Sanatorium", "Grindrod Starbase", "Food of the Gods", "Huaxia Cosmodrome", "Zhabin Sanatorium", "Grameen Planetarium", "Borodin Sanatorium", "Promerica Starbase", "Mellat Cosmodrome", "Belfius Solarium", "Volkov Waystation", "Ladaka Solarium", "Futaba Cosmodrome", "Atlantida Planetarium", "Mellat Starbase", "Mareschal Cosmodrome", "Kleinwort Sanatorium", "Pradesh Waystation",
// Galaxy 2  (Rolled as 4 Rolls of 64) (HERE!)
"Anomalous Materials", "The Other Half", "Human Desire", "Flame of the Desert", "Lest We Forget", "Hidden Pearl", "Life Is a Dream", "Public Opinion", "Chance of a Lifetime", "Behind the Lines", "Star of the Sea", "Ectoplasmic Materials Inc", "Questionable Ethics", "Edge of the Abyss", "Voice of Conscience", "Secret of the Still", "For the Love of an Enemy", "Chimes at Midnight", "Questionable Ethics", "Ashes of Eden", "Ghost of a Tale", "Questionable Assumption", "Maid of the Mist", "Unseen Hands", "Mote of Dust", "Dust of Dreams", "House of Chains", "Memories of Ice", "Gardens of the Moon", "The Crippled God", "Last Argument of Kings", "Wisdom of Crowds", "Dark All Day", "The Amie Kaufman", "The Steel Remains", "Swings and Roundabouts", "Classical Ethics", "Unforeseen Correlation", "Classical Observation", "Dragon Pearl", "Crisis of Faith", "Questionable Methods", "Newtonian Permutation", "Random Reaction", "Subliminal Materials Ltd", "Ectoplasmic Readings", "Unforeseen Ramifications", "Unforeseen Ramifications", "Ectoplasmic Readings", "Subliminal Element", "Surface Tension", "Ectoplasmic Materials Plc", "Gordian Resonance", "Ectoplasmic Readings", "Newtonian Correlation", "Classical Assumption", "Newtonian Reaction", "Orthodox Interpretation", "Questionable Proposition", "Gordian Turbulence", "Anomalous Readings", "Egalitarian Refraction", "Questionable Procedures", "Questionable Assumption", "Rituals of Polaris", "Academic of Erinome", "Lustre of Nereid", "Congress of Meleph", "Rituals of Achird", "Politics of Iapetus", "Academic of Rhea", "Politics of Metis", "Rituals of Phobos", "Dream of Formosa", "Politics of Plumatus", "Rituals of Delphinus", "Congress of Ogma", "Congress of Orion", "Dream of Nix", "Lustre of Achird", "Lustre of Iapetus", "Quicker than the Eye", "Philosophy of Uranus", "Rituals of Iocate", "Philosophy of Epimetheus", "Sovereign of Amalithea", "Academic of Meleph", "Academic of Mebsuta", "Sovereign of Polis", "Philosophy of Rhea", "Lustre of Rhea", "Politics of Orion", "Sovereign of Tethys", "Apothecary of Corellia", "Dream of Revalti", "Lustre of Menkar", "Dream of Socius", "Politics of Titan", "Dream of Ogma", "Philosophy of Fornax", "Sovereign of Nunki", "Dream of Terebeilum", "Lustre of Ophiuchus", "Sovereign of Deimos", "Philosophy of Phoebe", "Congress of Neptune", "Philosophy of Solum", "Dream of Nashira", "Child of the Night", "Purple Dawn", "Rituals of Titan", "Apothecary of Nereid", "Rituals of Formalhaut", "Lustre of Mimas", "Dream of Polaris", "Rituals of Acubenes", "Rituals of Lepus", "Congress of Belenos", "Eyes of the Heart", "Apothecary of Celaneno", "Rituals of Adhafera", "Apothecary of Betelgeuse", "Philosophy of Enceladus", "Sovereign of Horna", "Lustre of Nunki", "Dream of Diadem", "Philosophy of Haedus", "Dream of Kerberos", "Luminary of Jajpur", "Rule of Investment", "Sanctity of Monetarism", "Veteran of Mainon", "Maxim of Efficiency", "Penchant for Acquisition", "Sanctity of Accounting", "Luminary of Nashik", "Rule of Consumerism", "Rule of Liberty", "Follower of Klein", "Veteran of Inonri", "Sanctity of Liberty", "Luminary of Kano", "Penchant for Equity", "Sanctity of Acquisition", "Seduced by Madness", "Diamond Hands", "Canning Town", "Pupil of Edgeworth", "Maxim of Acquisition", "Veteran of Reinen", "Follower of Kahneman", "Luminary of Hebron", "Pupil of Pareto", "Follower of Klein", "Maxim of Liberty", "Rule of Finance", "Penchant for Business", "Small Comfort", "Rule of Efficiency", "Maxim of Liberty", "Penchant for Business", "Rule of Equity", "Veteran of Tibedied", "Piper in the Woods", "Sanctity of Investment", "Luminary of Chacchoben", "Rule of Investment", "Luminary of Cococinel", "Rule of Business", "Sanctity of Business", "Rule of Acquisition", "Luminary of Migdol", "Luminary of Sabea", "Follower of Friedman", "Follower of Kahneman", "Veteran of Esredice", "Sanctity of Capital", "Luminary of Uraiyur", "Seeing is Believing", "Luminary of Novacula", "Luminary of Neyshabur", "Luminary of Djenne", "Rule of Trade", "Luminary of Teotihuacan", "Sanctity of Efficiency", "Rule of Accounting", "Veteran of Ededleen", "Penchant for Consumerism", "Sanctity of Acquisition", "Rule of Liberty", "Dark Fire", "Penchant for Commerce", "Mercantile Canticle", "Democratic Purity", "Corporate Sonata", "Corporate Artistry", "Economic Sonata", "Democratic Canticle", "Commercial Clarity", "Economic Dream", "Keynesian Poetry", "Democratic Sonata", "Keynesian Poetry", "Capitalist Purity", "Commercial Perfection", "Democratic Canticle", "Democratic Clarity", "Capitalist Dream", "Monetarist Symphony", "Commercial Symphony", "Corporate Clarity", "Monetarist Dream", "Mercantile Clarity", "Mercantile Elegance", "Corporate Perfection", "Monetarist Poetry", "Keynesian Elegance", "Commercial Sonata", "Democratic Artistry", "Keynesian Artistry", "Keynesian Dream", "Corporate Canticle", "Commercial Symphony", "Monetarist Symphony", "Monetarist Dream", "Rise of the Evening Star", "Commercial Artistry", "The Bride in Black", "Corporate Dream", "Democratic Purity", "Commercial Poetry", "Capitalist Elegance", "Mercantile Sonata", "Economic Clarity", "Economic Clarity", "Economic Elegance", "Corporate Sonata", "Economic Sonata", "Monetarist Symphony", "Capitalist Artistry", "Corporate Artistry", "Mercantile Canticle", "Monetarist Symphony", "Keynesian Elegance", "Economic Dream", "Capitalist Elegance", "Monetarist Symphony", "Capitalist Symphony", "Keynesian Canticle", "Monetarist Clarity", "Democratic Clarity", "Capitalist Perfection", "Mercantile Purity", "Commercial Elegance", "Commercial Elegance", "Democratic Poetry",
// Galaxy 3 (Rolled as 4 Rolls of 64)
"Mysticism of Hashimoto", "Pyramid of Firdaus", "Periapt of Carcosa", "Periapt of Leucos", "Seraphim of Eranin", "Pyramid of Marduk", "Sceptre of Felkan", "Pyramid of Eranin", "Grail of Wolfberg", "Limapa Outpost", "Sceptre of Mombaluma", "Treasure of Macalites", "Periapt of Mombaluma", "Treasure of Carnoeck", "Seraphim of Carener", "Pyramid of Duamta", "Wealth of Sollaro", "Periapt of Brahma", "Grail of Limapa", "Grail of Pomeche", "Grail of Acihaut", "Pyramid of Kamitra", "Seraphim of Pomeche", "Mysticism of Achansa", "Sceptre of Piscium", "Grail of Convoumia", "Periapt of Korwei", "Mysticism of Convoumia", "Sceptre of Felkan", "Grail of Kopernik", "Plutarch of Achansa", "Periapt of Soturicari", "Treasure of Antobri", "Sceptre of Meretrida", "Sceptre of Pomeche", "Pyramid of Timbalderis", "Periapt of Rodentia", "Mysticism of Carnoeck", "Seraphim of Charonium", "Grail of Velorum", "Periapt of Thrutis", "Pyramid of Carcosa", "Seraphim of Pethes", "Wealth of Rodentia", "Treasure of Tucanae", "Wealth of Piscium", "Grail of Arietis", "Periapt of Lembava", "Grail of Mobia", "Pyramid of Deciat", "Sceptre of Hagino", "Periapt of Canonnia", "Mysticism of Petram", "Periapt of Leucos", "Mysticism of Deciat", "Periapt of Pomeche", "Periapt of Mandhrithar", "Mysticism of Lembava", "Seraphim of Tiapalan", "Seraphim of Hambula", "Plutarch of Tollan", "Mysticism of Hanabusa", "Plutarch of Petram", "Treasure of Charonium", "Virtual Enlightenment", "Mechanical Marvel", "Mechanical Transcendence", "Neuromatic Enlightenment", "Neuromatic Transcendence", "Psionic Ascension", "Virtual Ascension", "Automated Rhapsody", "Automated Apocalypse", "Neuromatic Enlightenment", "Mechanical Wonder", "Scientific Transcendence", "Scientific Enlightenment", "Virtual Transcendence", "Simulated Ascension", "Neuromatic Apocalypse", "Technical Rhapsody", "Technical Miracle", "Secular Miracle", "Psionic Enlightenment", "Digital Marvel", "Secular Rhapsody", "Mechanical Apocalypse", "Virtual Miracle", "Psionic Rhapsody", "Scientific Transcendence", "Mechanical Ascension", "Automated Apocalypse", "Technical Miracle", "Scientific Rhapsody", "Mechanical Miracle", "Cryogenic Miracle", "Simulated Rhapsody", "Neuromatic Apocalypse", "Secular Marvel", "Automated Transcendence", "Psionic Rhapsody", "Mechanical Ascension", "Cryogenic Apocalypse", "Scientific Apocalypse", "Simulated Wonder", "Psionic Wonder", "Scientific Apocalypse", "Battle Beatle", "Neuromatic Transcendence", "Scientific Transcendence", "Cryogenic Wonder", "Automated Marvel", "Virtual Wonder", "Mechanical Rhapsody", "Virtual Apocalypse", "Scientific Miracle", "Simulated Wonder", "Automated Ascension", "Neuromatic Apocalypse", "Mechanical Apocalypse", "Neuromatic Miracle", "Secular Miracle", "Cryogenic Marvel", "Mechanical Transcendence", "Psionic Enlightenment", "Secular Wonder", "Cryogenic Apocalypse", "Mechanical Rhapsody", "The Cautious Trader", "The Omnipresent Stockbroker", "The Omnipresent Trader", "The Wily Courier", "The Wily Entrepreneur", "The Brandenburg Gate", "The Inscrutable Merchant", "The Shrewd Courier", "The Cautious Stockbroker", "The Inscrutable Tycoon", "The Ingenious Tycoon", "The Wily Stockbroker", "The Shrewd Courier", "The Shrewd Merchant", "The Venerable Entrepreneur", "The Wily Tycoon", "The Wily Trader", "The Shrewd Freelancer", "The Venerable Trader", "The Illusive Tycoon", "The Omnipresent Courier", "The Shrewd Trader", "The Shrewd Stockbroker", "The Venerable Stockbroker", "The Shrewd Tycoon", "The Ingenious Stockbroker", "The Venerable Stockbroker", "The Ingenious Merchant", "The Inscrutable Entrepreneur", "The Shrewd Merchant", "The Cautious Freelancer", "The Illusive Courier", "The Ingenious Tycoon", "The Inscrutable Merchant", "The Venerable Merchant", "The Illusive Stockbroker", "The Unseen Trader", "The Venerable Tycoon", "The Shrewd Courier", "The Canny Merchant", "The Illusive Stockbroker", "The Illusive Freelancer", "The Venerable Stockbroker", "The Omnipresent Investor", "The Venerable Investor", "The Venerable Merchant", "The Inscrutable Freelancer", "The Unseen Stockbroker", "The Canny Freelancer", "The Inscrutable Courier", "The Venerable Tycoon", "The Shrewd Stockbroker", "The Illusive Merchant", "The Wily Tycoon", "The Ingenious Trader", "The Cautious Freelancer", "The Inscrutable Stockbroker", "The Inscrutable Courier", "The Illusive Stockbroker", "The Canny Stockbroker", "The Omnipresent Trader", "The Omnipresent Merchant", "The Wily Investor", "The Ingenious Tycoon", "Challenger Boulevard", "Fleming Penthouse", "Lincoln Starbase", "Xavier Boulevard", "Pavlovich Cosmodrome", "Henshall Boulevard", "Way of the Swarm", "Duterte Waystation", "Michell Waystation", "Henshall Cosmodrome", "Duterte Waystation", "Fowler Starbase", "Vorachith Waystation", "Conrad Penthouse", "McCool Starbase", "Yaffle Boulevard", "Leontief Waystation", "Michell Cosmodrome", "Mannion Penthouse", "Krugman Boulevard", "Abronsius Cosmodrome", "Naruhito Cosmodrome", "Lydon Boulevard", "Pavlovich Boulevard", "Fowler Boulevard", "Shepard Waystation", "Farnsworth Waystation", "Octavius Waystation", "Commodore Boulevard", "Farnsworth Waystation", "Bushwick Penthouse", "Amstrad Cosmodrome", "Aronnax Boulevard", "Yaffle Boulevard", "Veblen Boulevard", "Waldman Starbase", "Venkman Waystation", "Duterte Cosmodrome", "Henshall Starbase", "Amstrad Waystation", "Henshall Boulevard", "Duterte Cosmodrome", "Pavlovich Cosmodrome", "Hindenburg Cosmodrome", "Copernicus Waystation", "Faraday Waystation", "Skousen Cosmodrome", "Veblen Boulevard", "Aldrin Boulevard", "McCool Boulevard", "Spengler Starbase", "Macken Boulevard", "Henshall Starbase", "Rouhani Boulevard", "Grissom Starbase", "Cornell Starbase", "Lydon Penthouse", "Moriarty Starbase", "Grissom Cosmodrome", "Touadera Cosmodrome", "Krempe Cosmodrome", "Grissom Cosmodrome", "Duterte Waystation", "Challenger Boulevard",
// Galaxy 4 (Rolled as 4 Rolls of 64)
"Renaissance Legend", "Anarchic Epic", "Spartan Ethos", "Bohemian Epic", "Anarchic Legend", "Faustian Epic", "Renaissance Epic", "Renaissance Epic", "Faustian Pathos", "The William Morris", "Renaissance Orthodoxy", "Riddles in the Dark", "Bohemian Pathos", "Hellenistic Fable", "Spartan Orthodoxy", "Faustian Ethos", "Daughter of War", "Herculion Comedy", "Heroic Romance", "Heroic Comedy", "Imperialist Legend", "Renaissance Orthodoxy", "Heroic Ethos", "Heroic Ethos", "Faustian Fable", "Heroic Legend", "Faustian Artistry", "Herculion Comedy", "Hellenistic Artistry", "Anarchic Legend", "Anarchic Orthodoxy", "Heroic Artistry", "Anarchic Pathos", "Imperialist Orthodoxy", "Hellenistic Legend", "Faustian Fable", "Renaissance Legend", "Anarchic Ethos", "Imperialist Romance", "Anarchic Fable", "Faustian Comedy", "Spartan Epic", "Anarchic Romance", "Renaissance Pathos", "The James Chadwick", "Herculion Epic", "Heroic Epic", "Hellenistic Romance", "Bohemian Romance", "Hellenistic Romance", "Faustian Fable", "Bohemian Legend", "Bohemian Comedy", "Herculion Orthodoxy", "Spartan Romance", "Bohemian Fable", "Anarchic Romance", "Against the Wind", "Heroic Legend", "Spartan Orthodoxy", "Bohemian Fable", "Spartan Epic", "Spartan Epic", "Dark Coils", "Ectoplasmic Turbulence", "Ectoplasmic Element", "Newtonian Peculiarity", "Gordian Turbulence", "Gordian Resonance", "Ectoplasmic Readings", "Newtonian Permutation", "Orthodox Sanity", "Newtonian Peculiarity", "Anomalous Residue", "Classical Methods", "Questionable Observation", "Questionable Procedures", "Anomalous Materials Inc", "Unforeseen Permutation", "Ectoplasmic Residue", "Orthodox Proposition", "Questionable Interpretation", "Questionable Interpretation", "Surface Tension", "Unforeseen Alternative", "Random Ramifications", "Classical Procedures", "Surface Tension", "Unforeseen Peculiarity", "Classical Sanity", "Orthodox Ethics", "Random Alternative", "Gordian Resonance", "Questionable Ethics", "Orthodox Proposition", "Surface Turbulence", "Anomalous Element", "Newtonian Variable", "Classical Sanity", "Anomalous Materials Ltd", "Questionable Ethics", "Surface Refraction", "Newtonian Variable", "Questionable Procedures", "Random Permutation", "Orthodox Observation", "Night of the Hunter", "Unforeseen Ramifications", "Surface Turbulence", "Egalitarian Refraction", "Orthodox Sanity", "Questionable Proposition", "The Kate Elliott", "Surface Turbulence", "Orthodox Ethics", "Unforeseen Permutation", "Subliminal Materials Ltd", "Oakland Harbour", "Newtonian Ramifications", "Classical Interpretation", "Random Permutation", "Random Reaction", "Orthodox Observation", "Anomalous Residue", "Random Consequences", "Orthodox Interpretation", "Unforeseen Permutation", "Random Consequences", "Exotic Neutron", "Eccentric Neutrino", "Dawdling Neutron", "Whimsical Tachyon", "Eccentric Proton", "Dawdling Quark", "Sarcastic Tachyon", "Charming Electron", "Charismatic Positron", "Dawdling Quark", "Exotic Electron", "Strange Neutrino", "Exotic Electron", "Leviathan Citadel", "Whimsical Graviton", "Enigmatic Photon", "Sarcastic Quark", "Whimsical Graviton", "Strange Proton", "Charming Lepton", "Enigmatic Graviton", "Sarcastic Quark", "Charismatic Proton", "Charming Neutrino", "Charming Lepton", "Strange Tachyon", "Nonchalant Neutrino", "Nonchalant Graviton", "Nonchalant Neutrino", "Nonchalant Positron", "Nonchalant Tachyon", "Charming Lepton", "Charming Neutron", "Sarcastic Graviton", "Dawdling Graviton", "Sarcastic Photon", "Enigmatic Photon", "Enigmatic Neutrino", "Eccentric Quark", "Dawdling Neutrino", "Sarcastic Graviton", "Sarcastic Quark", "Whimsical Tachyon", "Sarcastic Neutron", "Strange Proton", "Exotic Quark", "Charismatic Photon", "Charming Proton", "Whimsical Electron", "Sarcastic Neutron", "Exotic Tachyon", "The Killing Fields", "Eccentric Electron", "Strange Photon", "Nonchalant Photon", "Enigmatic Proton", "Charismatic Tachyon", "Exotic Electron", "Whimsical Neutron", "Enigmatic Tachyon", "Whimsical Lepton", "Enigmatic Graviton", "Charming Quark", "Strange Positron", "Dixon Boneyard", "Garan High", "Stevenson Boneyard", "Omori Boneyard", "Weber Docks", "Lord of the Mute", "Kawabata Boneyard", "Dixon Junkyard", "Tepper Platform", "Shuttleworth Junkyard", "Treshchov Boneyard", "Darkes High", "Ichihara Platform", "Mastracchio Docks", "Katayama High", "Tarelkin Docks", "Metcalf Junkyard", "Borman Hangar", "Jenner Platform", "Thurston Boneyard", "Rowley Platform", "Columbus Platform", "Machida Boneyard", "Ikeda Boneyard", "Kurosawa Junkyard", "Thurston Boneyard", "Kawasaki High", "Nagata High", "Katayama Hangar", "Hutton Hangar", "Stevenson Platform", "Patterson High", "Buchli Platform", "Darboux Docks", "Nishikawa Platform", "McCandless Boneyard", "Khrenov High", "Kamei Junkyard", "Powell Platform", "Rushworth Boneyard", "Okamoto Hangar", "Hurston Hangar", "Kawabata Platform", "Weber Platform", "Shuttleworth Hangar", "Hurston Hangar", "Sakurai Docks", "Lerman Junkyard", "Malchiodi Junkyard", "Borman Hangar", "Kamada City", "Gupta High", "Gorky Park", "Nishimura High", "Rushworth Junkyard", "Patterson Hangar", "Godwin Junkyard", "Sanger Hangar", "Karlsefni Junkyard", "Cabrera High", "Nishikawa Docks", "Lerman Junkyard", "Karlsefni Hangar", "Norton Junkyard",
// Galaxy 5  (Rolled as 4 Rolls of 64)
"The Evil Twin", "Hyperspatial Voyage", "Idealistic Interpretation", "Quantum Insight", "Romantic Voyage", "Malthusian Journey", "Spiritual Encounter", "The Nicole Sullivan", "Metaphorical Interpretation", "Idealistic Journey", "Hyperspatial Excursion", "Spiritual Insight", "Spiritual Expedition", "Hyperspatial Expedition", "Byzantine Excursion", "Hyperspatial Voyage", "Dimensional Expedition", "Quantum Excursion", "Quantum Schism", "Quantum Schism", "Hyperspatial Expedition", "Malthusian Nomenclature", "The Tony Wade", "The Orlando Eastwood", "Romantic Schism", "Hyperspatial Insight", "Hyperspatial Expedition", "Romantic Excursion", "Hyperspatial Encounter", "Quantum Maneuver", "Idealistic Nomenclature", "Romantic Insight", "Metaphorical Nomenclature", "Dimensional Nomenclature", "Romantic Maneuver", "Byzantine Journey", "Metaphorical Schism", "Romantic Schism", "Malthusian Voyage", "Cool of the Evening", "Malthusian Excursion", "Metaphorical Nomenclature", "Byzantine Schism", "Idealistic Nomenclature", "Romantic Insight", "Byzantine Expedition", "Byzantine Expedition", "Quantum Encounter", "Hyperspatial Interpretation", "Byzantine Schism", "Malthusian Schism", "Dimensional Excursion", "Byzantine Expedition", "Romantic Maneuver", "Idealistic Voyage", "Malthusian Nomenclature", "Byzantine Encounter", "Idealistic Interpretation", "The Hooded Man", "Romantic Journey", "Romantic Expedition", "Hyperspatial Insight", "Malthusian Insight", "The Hadeel Sittu", "Tectonic Metamorphosis", "Tree of Talent", "Diploid Amplification", "Adaptive Evaporation", "Isometric Topology", "Molecular Amplification", "Tectonic Entanglement", "Molecular Topology", "Eugenic Entanglement", "Diploid Metamorphosis", "Isometric Segmentation", "Genomic Topology", "Diploid Sublimation", "Cognitive Evaporation", "Cosmic Sublimation", "Isometric Entanglement", "Diploid Amplification", "Isometric Amplification", "Biometric Sublimation", "Genomic Evaporation", "Tectonic Sublimation", "Tectonic Segmentation", "Molecular Entanglement", "Isometric Sublimation", "Molecular Metamorphosis", "Cosmic Segmentation", "Isometric Optimization", "Tectonic Segmentation", "Genomic Optimization", "Genomic Entanglement", "Cosmic Contraction", "Biometric Entanglement", "Diploid Contraction", "Cosmic Segmentation", "Genomic Evaporation", "Diploid Sublimation", "Biometric Evaporation", "Eugenic Optimization", "Eugenic Optimization", "Genomic Contraction", "Cognitive Evaporation", "Cosmic Topology", "Genomic Optimization", "Eugenic Metamorphosis", "Cosmic Topology", "Letter of the Law", "Cosmic Metamorphosis", "Isometric Topology", "Molecular Segmentation", "Adaptive Topology", "Cognitive Amplification", "Genomic Sublimation", "Adaptive Entanglement", "Cognitive Segmentation", "Adaptive Segmentation", "Isometric Sublimation", "Isometric Contraction", "Tectonic Sublimation", "Cognitive Topology", "Eugenic Topology", "Eugenic Segmentation", "Adaptive Polarization", "Cognitive Entanglement", "Cosmic Segmentation", "The Michael De Santa", "Reality Simulation", "Philosophical Inversion", "Hamiltonian Instability", "Spatial Transformation", "Hermitian Fragmentation", "Curse of the Moon", "Holistic Displacement", "Shock to the System", "Hamiltonian Fragmentation", "Hamiltonian Simulation", "Probability Incursion", "Metaphysical Transformation", "Metaphysical Transformation", "Probability Displacement", "Hamiltonian Instability", "Gravitational Fragmentation", "Spatial Instability", "Philosophical Diffusion", "Metaphysical Incursion", "Probability Permeability", "Temporal Fragmentation", "Philosophical Displacement", "Metaphysical Incursion", "Topological Displacement", "Metaphysical Transformation", "Probability Incursion", "Gravitational Instability", "Burning Heart", "Holistic Sublimation", "Spatial Permeability", "Metaphysical Incursion", "Gravitational Sublimation", "Temporal Permeability", "Topological Sublimation", "Philosophical Displacement", "Gravitational Sublimation", "Philosophical Fragmentation", "Probability Incursion", "Metaphysical Diffusion", "The Susan Helms", "Spatial Sublimation", "The Cynthia Watros", "Spatial Inversion", "Hamiltonian Fragmentation", "Hamiltonian Displacement", "Philosophical Fragmentation", "Hermitian Transformation", "Holistic Permeability", "Metaphysical Incursion", "Temporal Inversion", "Holistic Incursion", "The Carolina Gaitan", "Spatial Fragmentation", "Philosophical Permeability", "Hamiltonian Permeability", "Philosophical Transformation", "The Joane Mathews", "Topological Permeability", "Topological Diffusion", "Hermitian Sublimation", "Spatial Instability", "Topological Permeability", "Topological Instability", "Commercial Oscillation", "Fiscal Transcendence", "Monetary Algorithm", "Monetary Transcendence", "Economic Revelation", "Pecuniary Algorithm", "Monetary Algorithm", "Financial Revelation", "Commercial Fluctuation", "Mercantile Perturbation", "Monetary Expansion", "Financial Oscillation", "Commercial Transcendence", "Mercantile Revelation", "Fiscal Revelation", "Pecuniary Expansion", "Pecuniary Oscillation", "Fiscal Expansion", "Mercantile Potential", "Monetary Turbulence", "Economic Oscillation", "Mercantile Catalyst", "Pecuniary Fluctuation", "Monetary Transcendence", "Pecuniary Conundrum", "Monetary Catalyst", "Economic Momentum", "Fiscal Momentum", "Monetary Revelation", "Mercantile Expansion", "Commercial Perturbation", "Economic Conundrum", "Monetary Fluctuation", "Financial Fluctuation", "Financial Momentum", "Financial Catalyst", "Mercantile Turbulence", "Financial Expansion", "Riding the Rainbow", "Monetary Catalyst", "Mercantile Oscillation", "Monetary Conundrum", "Financial Transcendence", "Commercial Revelation", "Commercial Expansion", "Mercantile Turbulence", "Economic Conundrum", "Pecuniary Algorithm", "Financial Potential", "Economic Algorithm", "Monetary Potential", "Mercantile Momentum", "Financial Potential", "Commercial Conundrum", "Mercantile Perturbation", "Pecuniary Expansion", "Monetary Potential", "Mercantile Catalyst", "Pecuniary Momentum", "Monetary Algorithm", "Fiscal Oscillation", "Fiscal Revelation", "Commercial Revelation", "Fiscal Expansion",
// Galaxy 6 (Rolled as 4 Rolls of 64)
"Telepathic Manifestation", "Surrealist Derivation", "Positronic Approximation", "Psychohistorical Parallax", "Surrealist Approximation", "Amorphous Derivation", "Psychohistorical Manifestation", "Telepathic Parallax", "Surrealist Dissonance", "Amorphous Formulation", "Psychohistorical Dissonance", "Psychohistorical Derivation", "Telekinetic Manipulation", "Surrealist Derivation", "Cartesian Dissonance", "Amorphous Formulation", "Telekinetic Permutation", "Telekinetic Permutation", "Psychohistorical Formulation", "Telekinetic Dissonance", "Telekinetic Formulation", "Amorphous Formulation", "Psychohistorical Approximation", "Psychohistorical Permutation", "Cartesian Manipulation", "Telekinetic Dissonance", "Psychohistorical Derivation", "Psychohistorical Dissonance", "Amorphous Parallax", "Cartesian Manifestation", "Cartesian Amplification", "Telepathic Extrapolation", "Paranormal Permutation", "Cartesian Approximation", "Psychohistorical Manifestation", "Cartesian Permutation", "Paranormal Parallax", "Surrealist Extrapolation", "Amorphous Extrapolation", "Surrealist Formulation", "Surrealist Formulation", "Paranormal Derivation", "Cartesian Extrapolation", "Paranormal Amplification", "Telepathic Formulation", "Rebel Winter", "Paranormal Derivation", "Telekinetic Formulation", "Paranormal Manipulation", "Telepathic Parallax", "Positronic Dissonance", "Surrealist Dissonance", "Telepathic Approximation", "Death Worm", "Psychohistorical Manipulation", "Cartesian Formulation", "Telekinetic Extrapolation", "Telekinetic Extrapolation", "Psychohistorical Amplification", "Psychohistorical Dissonance", "Positronic Dissonance", "Cartesian Dissonance", "Paranormal Approximation", "Positronic Dissonance", "Penchant for Efficiency", "Follower of Bawerk", "Luminary of Jabbok", "Maxim of Trade", "Penchant for Monetarism", "Veteran of Oreseren", "Pupil of Klein", "Maxim of Efficiency", "Maxim of Capital", "Pupil of Reinhart", "Sanctity of Equity", "Sanctity of Finance", "Pupil of Reinhart", "Maxims of Consumerism", "Rule of Finance", "Penchant for Accounting", "Veteran of Celabile", "Joint Enterprise", "Penchant for Finance", "Follower of Pareto", "Luminary of Holon", "Luminary of Samarra", "House in the Mist", "Follower of Pareto", "Follower of Sharpe", "Rule of Trade", "Sanctity of Business", "Luminary of Hibabiya", "Sanctity of Investment", "Pupil of Pareto", "Pupil of Sharpe", "The Graham Chapman", "Knight of the Mantis", "Veteran of Usle", "Maxim of Equity", "Luminary of Cuicuico", "Veteran of Essoza", "Maxim of Acquisition", "Veteran of Veleeder", "Penchant for Accounting", "Luminary of Bitchu", "Veteran of Rexexe", "Veteran of Erlaened", "Veteran of Essoza", "Follower of Laffer", "Veteran of Enlaonus", "Rule of Monetarism", "Rule of Investment", "Luminary of Madon", "Luminary of Medina", "Luminary of Lothal", "Veteran of Oreseren", "Follower of Tobin", "Maxim of Equity", "Veteran of Mainon", "Veteran of Ramaza", "Luminary of Yokaichi", "Rule of Investment", "Pupil of Tobin", "Maxim of Investment", "Penchant for Commerce", "Penchant for Consumerism", "Rule of Business", "Penchant for Capital", "Keynesian Perfection", "Corporate Poetry", "Democratic Clarity", "Mercantile Symphony", "Democratic Clarity", "Economic Clarity", "Commercial Symphony", "Economic Elegance", "Economic Dream", "Mercantile Artistry", "Commercial Perfection", "Democratic Perfection", "Mercantile Perfection", "Mercantile Poetry", "Keynesian Artistry", "Corporate Clarity", "Corporate Poetry", "Monetarist Elegance", "Corporate Sonata", "Economic Poetry", "Corporate Clarity", "Monetarist Purity", "Economic Elegance", "Keynesian Poetry", "Commercial Canticle", "Economic Poetry", "Economic Artistry", "Monetarist Symphony", "Monetarist Symphony", "Capitalist Poetry", "Mercantile Artistry", "Corporate Perfection", "Monetarist Perfection", "Commercial Dream", "Capitalist Sonata", "Capitalist Dream", "Keynesian Artistry", "Monetarist Sonata", "Corporate Canticle", "Corporate Artistry", "Mercantile Perfection", "Monetarist Purity", "Corporate Elegance", "Commercial Elegance", "Monetarist Dream", "Keynesian Clarity", "Economic Elegance", "Monetarist Artistry", "Keynesian Elegance", "Economic Artistry", "Economic Poetry", "Economic Dream", "Monetarist Sonata", "Capitalist Clarity", "Mercantile Symphony", "Corporate Canticle", "Democratic Purity", "Democratic Canticle", "Mercantile Dream", "Monetarist Clarity", "Commercial Artistry", "Democratic Poetry", "Democratic Perfection", "Corporate Dream", "The Triton Dichotomy", "The Raptus Equation", "The Halpern Dichotomy", "The Khalisah Dichotomy", "The Costello Reflector", "The Formicida Collector", "The Kenson Postulate", "The Carmack Nanocluster", "The Nereus Reflector", "The Lopis Equation", "The Sandman Contingency", "The Solano Vivarium", "The Steinman Fallacy", "The Serin Tabernacle", "The Shathra Reflector", "The Ackerson Tabernacle", "The Sandman Dichotomy", "The Volkova Equation", "The Thanos Nanocluster", "The Penitente Nanocluster", "The Penitente Dichotomy", "The Morlock Equation", "The Grayman Fallacy", "The Volkova Nanocluster", "The Prothean Dichotomy", "The Celestris Collector", "The Dedalus Dichotomy", "The Sinestro Reflector", "The Lockhart Equation", "The Lockhart Vivarium", "The Sinestro Tabernacle", "The Vadum Equation", "The Prothean Reflector", "The Aldebaran Reflector", "The Cortana Contingency", "The Baldwin Dichotomy", "The Calamari Reflector", "The Lazarus Dichotomy", "The Steinman Tabernacle", "The Thanos Tabernacle", "The Green Mamba", "The Mendicant Tabernacle", "The Thanos Dichotomy", "The Kosta Reflector", "The Proteus Vivarium", "The Pitchford Collector", "The Moriarty Equation", "The Mendicant Contingency", "The Veliathan Equation", "The Dalma Dichotomy", "The Nereus Contingency", "The Combine Postulate", "The Cortana Nanocluster", "The Thorian Nanocluster", "The Veliathan Tabernacle", "The Steinman Vivarium", "The Cornelius Reflector", "The Veliathan Reflector", "The Cornelius Reflector", "The Prometheus Postulate", "The Calabrese Tabernacle", "The Thorian Dichotomy", "The Pitchford Fallacy", "The Formicida Tabernacle",
// Galaxy 7 (Rolled as 4 Rolls of 64)
"Vartabedian Equivalence", "Vartabedian Acceleration", "Dickensian Equivalence", "Arcadian Theorem", "Parthian Economics", "Lafferian Equivalence", "Ricardian Economics", "Pavlovian Dynamics", "Lilliputian Theorem", "Pavlovian Acceleration", "Lafferian Equivalence", "Arthurian Synthesis", "Cartesian Geometry", "Pavlovian Consistency", "Cartesian Equivalence", "Lilliputian Geometry", "Cartesian Synthesis", "Cartesian Acceleration", "Lafferian Exchange", "Veblenian Economics", "Ricardian Dynamics", "Lilliputian Geometry", "Dickensian Equivalence", "Vartabedian Geometry", "Pavlovian Synthesis", "Dickensian Economics", "Arthurian Consensus", "Dickensian Synthesis", "Cartesian Acceleration", "Lilliputian Consistency", "Dickensian Synthesis", "Pavlovian Economics", "Vartabedian Acceleration", "Arcadian Dynamics", "Lilliputian Economics", "Vartabedian Synthesis", "Lilliputian Economics", "Veblenian Equivalence", "Vartabedian Theorem", "Cartesian Geometry", "Vartabedian Consensus", "Arcadian Consistency", "Arcadian Consensus", "Arcadian Exchange", "Parthian Equivalence", "Pavlovian Theorem", "Ricardian Consensus", "Vartabedian Equivalence", "Ricardian Synthesis", "Lafferian Consistency", "Cartesian Theorem", "Vartabedian Economics", "Veblenian Synthesis", "Arcadian Exchange", "Arthurian Dynamics", "Lilliputian Theorem", "Arcadian Equivalence", "Vartabedian Economics", "Vartabedian Geometry", "Parthian Exchange", "Pavlovian Economics", "Arthurian Consistency", "Lafferian Consistency", "Ricardian Theorem", "The Kimoon Fraternity", "The Swinburne Seminary", "The Kimoon College", "The Malvern Association", "The Multan Fraternity", "The Namibia Foundation", "The Schwarzschild Society", "The Danforth Society", "The Pradesh Institute", "The Chihuahuan Institute", "The Chihuahuan Seminary", "The Bouchet Seminary", "The Smithsonian Institute", "The Tiputini Order", "The Synchrotron Association", "The Timmermann Institute", "The Granick Academy", "The Seoul Foundation", "The Dehradun Seminary", "The Karachi Seminary", "The Pradesh Seminary", "The Nordic University", "The Sanford Institute", "The Telemark University", "The Smithsonian College", "The Ontario Society", "The Farnborough Order", "The Granick Association", "The Belarus Fraternity", "The Baltimore Order", "The Heidelberg Foundation", "The Gandhi University", "The Sanford Academy", "The Lahore University", "The Harvard Foundation", "The Hutchinson Fraternity", "The Harvard Order", "The Hawkesbury Society", "The Dresden Fraternity", "The Rutherford Seminary", "The Sukbok College", "The Sakharov College", "The Burnham Institute", "The Govind Order", "The Chilbolton College", "The Smithsonian College", "The Pershore College", "The Burnham Association", "The Babraham College", "The Bouchet Seminary", "The Granick Order", "The Cepheus College", "The Heidelberg Fraternity", "The Seoul Association", "The Vienna Foundation", "The Frankfurt Fraternity", "The Rostock Academy", "The Farnborough Society", "The Synchrotron Academy", "The Malvern Order", "The Swinburne Society", "The Multan Academy", "The Chilbolton Academy", "The Harvard Institute", "The Art of Physics", "Ballad of Philosophy", "The Art of Chemistry", "Canticle of Chemistry", "Ode to Chemistry", "Ode to Technology", "Symphony of Philosophy", "Ode to Mathematics", "Master of Logic", "Master of Chemistry", "Poetry of Technology", "Sonata of Algebra", "Poetry of Physics", "The Art of Calculus", "Canticle of Logic", "Joy of Chemistry", "Ode to Philosophy", "Joy of Logic", "Ballad of Calculus", "Master of Technology", "Master of Reason", "Ballad of Chemistry", "Shades of Guilt", "Joy of Technology", "The Art of Quadratics", "Poetry of Philosophy", "Poetry of Reason", "The Art of Mathematics", "Master of Reason", "Ballad of Mathematics", "Elegance of Mathematics", "Joy of Quadratics", "Ode to Quadratics", "The Art of Chemistry", "The Art of Chemistry", "Ballad of Algebra", "The Art of Quadratics", "Symphony of Philosophy", "Ode to Physics", "Canticle of Calculus", "Elegance of Mathematics", "Joy of Reason", "Symphony of Chemistry", "Elegance of Technology", "Master of Mathematics", "Mayflower One", "Symphony of Quadratics", "Joy of Mathematics", "Symphony of Philosophy", "Ode to Algebra", "Ode to Quadratics", "Canticle of Calculus", "Sonata of Philosophy", "The Art of Physics", "Ode to Calculus", "The Art of Mathematics", "Sonata of Quadratics", "Sonata of Reason", "Trouble in Store", "Joy of Quadratics", "Symphony of Logic", "Ode to Algebra", "Canticle of Philosophy", "End of the Path", "The Observer Hypothesis", "The Rama Paradigm", "The Doppelganger Effect", "The Resurrection Effect", "The Polybius Hypothesis", "The Polybius Paradigm", "The Munchausen Paradigm", "The Lambda Conjecture", "Newtonian Theory", "Overlord Theory", "Equilibrium Theory", "The Revenant Hypothesis", "The Munchausen Hypothesis", "The Beholder Phenomena", "The Doppelganger Phenomena", "The Observer Conjecture", "The Outsider Effect", "The Tyrant Phenomena", "The Bystander Dichotomy", "Darwinian Theory", "The Equilibrium Effect", "The Munchausen Effect", "Father Time", "The Rama Hypothesis", "The Equilibrium Hypothesis", "The Beholder Conjecture", "Game Theory", "The Lambda Phenomena", "The Fibonacci Paradigm", "The Observer Dichotomy", "The Lambda Paradigm", "The Outsider Hypothesis", "The Fibonacci Paradigm", "The Revenant Paradigm", "The Homunculus Phenomena", "The Observer Conjecture", "The Doppelganger Phenomena", "The Necronomicon Dichotomy", "The Observer Hypothesis", "The Revenant Paradigm", "The Bystander Paradigm", "The Equilibrium Dichotomy", "The Resurrection Hypothesis", "The Fibonacci Dichotomy", "The Overlord Dichotomy", "The Resurrection Hypothesis", "The Tyrant Dichotomy", "The Doppelganger Hypothesis", "The Revenant Paradigm", "The Dilation Effect", "Field Theory", "The Beholder Conjecture", "The Grandfather Effect", "The Dilation Effect", "The Doppelganger Paradigm", "The Homunculus Dichotomy", "The Fibonacci Conjecture", "The Grandfather Paradigm", "The Grandfather Conjecture", "The Polybius Conjecture", "The Munchausen Paradigm", "The Duality Conjecture", "The Fibonacci Effect", "The Overlord Conjecture",
// Galaxy 8 (Rolled as 4 Rolls of 64)
"Economic Expansion", "Fiscal Potential", "Mercantile Oscillation", "Economic Perturbation", "Mercantile Fluctuation", "Pecuniary Momentum", "Monetary Expansion", "Commercial Momentum", "Fiscal Expansion", "Fiscal Perturbation", "Commercial Catalyst", "Monetary Perturbation", "Mercantile Revelation", "Commercial Momentum", "Fiscal Perturbation", "Monetary Expansion", "Fiscal Conundrum", "Monetary Momentum", "Pecuniary Oscillation", "Mercantile Catalyst", "Fiscal Perturbation", "Mercantile Turbulence", "Monetary Algorithm", "Financial Algorithm", "Commercial Oscillation", "Economic Potential", "Economic Revelation", "Monetary Revelation", "Fiscal Algorithm", "Mercantile Fluctuation", "Monetary Potential", "Economic Momentum", "Mercantile Transcendence", "Economic Revelation", "Monetary Revelation", "Book of Revelations", "Commercial Algorithm", "Fiscal Fluctuation", "Monetary Catalyst", "Monetary Oscillation", "Mercantile Algorithm", "Fiscal Revelation", "Pecuniary Momentum", "Commercial Algorithm", "Economic Conundrum", "Pecuniary Potential", "Monetary Expansion", "Monetary Conundrum", "Pecuniary Transcendence", "Monetary Oscillation", "Financial Potential", "Fiscal Algorithm", "Mercantile Transcendence", "Pecuniary Oscillation", "Monetary Momentum", "Pecuniary Perturbation", "Fiscal Perturbation", "Pecuniary Momentum", "Commercial Momentum", "Financial Algorithm", "Mercantile Turbulence", "Commercial Transcendence", "Monetary Momentum", "Commercial Expansion", "Holistic Diffusion", "Hermitian Permeability", "Topological Diffusion", "Probability Sublimation", "Gravitational Permeability", "Philosophical Diffusion", "Philosophical Permeability", "Philosophical Instability", "Spatial Transformation", "Temporal Inversion", "Hermitian Permeability", "Hamiltonian Simulation", "Holistic Inversion", "Temporal Displacement", "Holistic Incursion", "Topological Sublimation", "Philosophical Fragmentation", "The Paul McCartney", "Death Proof", "Holistic Transformation", "Probability Simulation", "Spatial Inversion", "Holistic Diffusion", "Hermitian Inversion", "Topological Instability", "Philosophical Fragmentation", "Metaphysical Displacement", "Hamiltonian Instability", "Hermitian Fragmentation", "Spatial Displacement", "Hermitian Diffusion", "Hamiltonian Inversion", "Probability Fragmentation", "Topological Inversion", "Topological Inversion", "Spatial Permeability", "Philosophical Diffusion", "Holistic Simulation", "Temporal Sublimation", "Spatial Fragmentation", "Metaphysical Incursion", "Temporal Instability", "Spatial Transformation", "Philosophical Fragmentation", "Temporal Permeability", "Hermitian Instability", "Temporal Simulation", "Spatial Displacement", "City of Bastet", "Hermitian Displacement", "Holistic Inversion", "Metaphysical Incursion", "Hamiltonian Diffusion", "Holistic Inversion", "Probability Instability", "Gravitational Permeability", "Gravitational Instability", "Topological Simulation", "Probability Diffusion", "Hamiltonian Incursion", "Philosophical Diffusion", "Hermitian Fragmentation", "Hermitian Simulation", "Holistic Instability", "Adaptive Metamorphosis", "Diploid Entanglement", "Genomic Sublimation", "Diploid Segmentation", "Genomic Polarization", "Adaptive Metamorphosis", "Cognitive Topology", "Diploid Segmentation", "Cosmic Optimization", "Adaptive Optimization", "Diploid Polarization", "Molecular Sublimation", "Cognitive Optimization", "Isometric Topology", "Cosmic Metamorphosis", "Eugenic Amplification", "Diploid Segmentation", "Cognitive Entanglement", "Isometric Evaporation", "Eugenic Contraction", "Cosmic Metamorphosis", "Isometric Metamorphosis", "Cosmic Amplification", "Tectonic Amplification", "Eugenic Metamorphosis", "Genomic Contraction", "Isometric Contraction", "Eugenic Amplification", "Cosmic Metamorphosis", "Adaptive Topology", "Molecular Amplification", "Biometric Topology", "Isometric Entanglement", "Eugenic Entanglement", "Tectonic Contraction", "Isometric Entanglement", "Genomic Optimization", "Biometric Evaporation", "Cosmic Evaporation", "Molecular Amplification", "Cognitive Entanglement", "Tectonic Polarization", "Genomic Metamorphosis", "Biometric Metamorphosis", "Adaptive Amplification", "Isometric Amplification", "Cognitive Evaporation", "Genomic Metamorphosis", "Diploid Contraction", "Tectonic Entanglement", "Tectonic Entanglement", "Diploid Segmentation", "Diploid Polarization", "Eugenic Amplification", "Genomic Contraction", "Molecular Optimization", "Biometric Segmentation", "Adaptive Metamorphosis", "Tectonic Amplification", "Molecular Sublimation", "Eugenic Sublimation", "Biometric Topology", "Isometric Topology", "Biometric Metamorphosis", "Dimensional Journey", "Hyperspatial Expedition", "Metaphorical Nomenclature", "Metaphorical Encounter", "Malthusian Maneuver", "Emperor of Man", "Malthusian Excursion", "Spiritual Schism", "Quantum Maneuver", "Spiritual Expedition", "Hyperspatial Journey", "Metaphorical Maneuver", "Byzantine Schism", "Byzantine Expedition", "Vow of Silence", "Hyperspatial Nomenclature", "Dimensional Voyage", "Romantic Insight", "Metaphorical Excursion", "Byzantine Nomenclature", "Idealistic Expedition", "Quantum Voyage", "Malthusian Encounter", "Metaphorical Maneuver", "Metaphorical Excursion", "Byzantine Encounter", "Metaphorical Encounter", "Night on Earth", "Idealistic Schism", "Byzantine Journey", "Romantic Schism", "Romantic Insight", "Spiritual Insight", "Idealistic Journey", "The Matthew Goodwin", "The Serena Flores", "Quantum Excursion", "Idealistic Excursion", "Idealistic Journey", "Byzantine Voyage", "Spiritual Voyage", "Metaphorical Nomenclature", "Romantic Journey", "Spiritual Expedition", "Metaphorical Expedition", "Spiritual Expedition", "Romantic Maneuver", "Romantic Insight", "Romantic Maneuver", "Hyperspatial Insight", "Metaphorical Schism", "Romantic Excursion", "Quantum Interpretation", "Metaphorical Insight", "Quantum Maneuver", "Hyperspatial Nomenclature", "Metaphorical Nomenclature", "Romantic Maneuver", "Idealistic Excursion", "Emperor of Man", "Idealistic Expedition", "Spiritual Encounter", "Byzantine Insight", "Metaphorical Interpretation",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Camp Gaillard"];

// Pool to name all 2,048 stars.
this.starpool = [
// Galaxy 1 (All 256 Stars Hand Named). Each reflects the System in some way in its Latin Name.
"Civitas Temulentus", "Praedo Baronem", "Rotanev Auriolus", "Opus Primum", "Poetica Volcanus", "Monstrator Athleticus", "Rubrum Diluculum", "Nemus Lapillus", "Sanguinem Harenae", "Oppidum Turpis", "Vitiosus Celia", "Amica Vermis", "Convivium Basilicus", "Stella Frigida", "Ferox Lacerti", "Bellum Ludos", "Ventisque Carebunt", "Auctumnum Solaris", "Luna Aliena", "Aqua Cancer", "Draco Tempestas", "Ferus Ranae", "Lubricus Musculus", "Stella Ranam", "Terraemotus Princeps", "Chorus Pluviam", "Lacertus Oculus", "Discipulus Esculentus", "Procellas Multis", "Mare Auream", "Delta Gienah", "Delta Cancri", "Foedus Plebeius", "Novis Piscis", "Lupus Lignea", "Rubrum Hominis", "Aura Mundus", "Cocta Poetae", "Hebes Colonus", "Mortiferum Terrae", "Optimum Coquus", "Adustio Insidia", "Sericum Scopulum", "Socialis Rodentia", "Fluitantis Baculum", "Exoticis Cibum", "Luce Libertatis", "Lupus Maculosa", "Malum Comoedia", "Illum Cornutum", "Viridi Ranam", "Secretum Exercitus", "Dominus Crimen", "Ardenti Furem", "Dilectio Traditum", "Sucus Malum", "Pauperes Agricolae", "Ferox Vespa", "Crusta Ossea", "Fugax Cimex", "Ebrius Rixa", "Poeta Mortiferum", "Feles Maculosa", "Verecundus Civitas","Spatium Dominus", "Locustam Marinam", "Machina Mundos", "Locuples Faber", "Aequalis Operarius", "Parvus Socius", "Hostes Lignea", "Saeva Venti", "Mortiferum Terram", "Letalis Capricorni", "Fastidium Commisceo", "Officinas Mundi", "Bibere Vitiosus", "Arcturus Albens", "Diabolus Opimus", "Mons Capra", "Proelium Officina", "Crudelis Insulsus", "Leonis Tenebris", "Innoxias Furrure", "Crebris Procellas", "Adipem Avem", "Lustrum Foetidus", "Colonia Leprosi", "Tubur Mundus", "Frigidum Vita", "Infirmum Lacertae", "Mechanica Flamma", "Opimus Papilionem", "Eritque Arcus", "Aquarii Minoris", "Draco Oculus", "Liber Dominus", "Serpens Arbor", "Minimae Industriae", "Anatina Aureum", "Orbis Structor", "Operarios Paradisum", "Auscultator Militum", "Lacerta Rubicundus", "Mercatura Civitas", "Stella Avem", "Basilicus Statum", "Hyacinthum Agricola", "Comoedia Locus", "Cattus Auream", "Densa Silva", "Mutata Bestia", "Ludum Derisor", "Caeruleum Musculus", "Cultor Metuculosus", "Sphera Ludus", "Insaniam Terrenum", "Exercitus Formica", "Scaenicus Pulchritudo", "Letalis Sublimatum", "Parva Mundi", "Interfectorem Spiritus", "Accipiter Cornutum", "Limus Caeruleum", "Stella Mortem", "Lacerta Solis", "Vulcanus Perplexor", "Rosea Surculus", "Canis Spectatus", "Tempestas Mundi", "Genus Rex", "Scriba Centralis", "Ferrum Stella", "Comoinis Ascalabotes", "Petram Crispitudo", "Leopardus Malum", "Verecundus Ebrius", "Conlis Vates", "Racionabilia Cocus", "Sapidum Lupus", "Antiqua Montis", "Odiosis Vulgus", "Sorex Maculosus", "Tropicus Silvestre", "Stella Tardus", "Amare Translaticius", "Neavus Corporatum", "Stella Populo", "Cerritulus Petram", "Interfectorem Ligno", "Bellator Glacies", "Formido Accipiter", "Panem Caseum", "Ludi Formator", "Rana Oceani", "Interfectorem Mundi", "Animo Conexus ", "Mediocris Agricola", "Locuples Communico", "Ardenti Aqua", "Nanus Extremus", "Hortus Silvam", "Securis Cibum", "Innoxias Avem", "Classem Praegrandis", "Rubrum Paradisum", "Stella Occupatus", "Viridi Reginae", "Proximi Malum", "Feles Conruptus", "Scriptor Morsus", "Chorus Hominis", "Oceanum Curans", "Calidum Stella", "Cimex Luscus", "Morbus Vitiosus", "Modice Rebellatrix", "Sol Suaviter", "Draconis Candidus", "Immanis Aurantiaco", "Populus Imperium", "Leprosi Temulentus", "Antiqua Montis", "Proximum Mortiferum", "Dominus Pluviam", "Cornutus Volucris", "Tremer Terram", "Talpa Parvulus", "Mortiferum Capra", "Tuba Sanguis", "Fornacem Aurantiaco", "Talibusque Indecentibus","Ridiculum Regem", "Celia Malum", "Orbis Gigans", "Ludum Ludio", "Longum Socius", "Croceus Stilio", "Oleum Palude", "Alea Temere", "Glacies Captivus", "Pulmenti Capra", "Solitudo Essentia", "Interfectorem Petram", "Traditum Ammissio", "Pellicientes Acies", "Medicinis Adhibetur", "Exitialis Brachium", "Competum Luteus", "Strategus Consors", "Mollis Insectum", "Tenebris Locustam", "Fabulosa Locusta", "Morbo Aquae", "Nanus Caeruleum", "Gramen Interfector", "Flamma Diabolus", "Solis Praedium", "Mali Spiritus", "Molestus Mortem", "Migale Vitiosus", "Oceanum Vehementi", "Mutabilis Patriam", "Diviso Alveo", "Comoediae Excitando", "Caeruleum Buccina", "Infelix Publicae", "Flavo Cattus", "Instabunt Tempora", "Ordinarius Quisquiliae", "Letalis Aqua", "Bestiola Altilis", "Nocte Animam", "Livens Occidendum", "Gienah Sepositus", "Fugax Ranae", "Avis Viridis", "Cammarus Popularis", "Stella Panem", "Nocte Animam", "Vermiculus Silva", "Vitae Liquidum", "Mortiferum Simia", "Sorex Carnis", "Adustio Garmen", "Impios Morbus", "Vidua Stella", "Ultima Stella", "Delphinus Novellus", "Adipem Insecta", "Solidus Municipium", "Artifex Mandi", "Cornutus Hominis", "Bellum Vesparum", "Iratus Stella", "Lucidum Basileus",
// Galaxy 2 (Type 2)
"Lumen Grandis", "Amator Herba", "Zeta Hydri", "Trames Odiosis", "Stulta Stultorum", "Sorex Bellum", "Occultatum Adamantino", "Kappa Orionis", "Arcanus Ostium", "Cascus Penuriosus", "Sigma Puppis", "Bellum Poeta", "Delta Phoenicis", "Potentia Floreo", "Piscis Minor", "Dominus Mons", "Caerulus Malum", "Faenile Talpas", "Funiculus Clausula", "Osseus Agricola", "Fastidium Comoedia", "Plebecula Mures", "Viator Attractionem", "Ventosa Civitate", "Nivatus Consolatio", "Felix Lepus", "Conflictus Aeternum", "Ligneus Exercitus", "Omega Piscis", "Mollis Testa", "Nocte Rana", "Regnum Crudelis", "Fabricator Mundi", "Parva Classe", "Ludere Circulus", "Lutulentus Ludus", "Mercator Neutralitatis", "Causarius Ventus", "Silva Anguis", "Piscis Transmarinas", "Lucerna Ardere", "Vermem Villam", "Castorea Factiosus", "Dormientes Agros", "Rudera Tuber", "Fretum Mordax", "Aruncus Interfector", "Rarus Contemno", "Nitidus Arator", "Hiems Avibus", "Celebre Varius", "Parricidalis Capella", "Funiculus Borealis", "Acidum Nubibus", "Scolasticus Anthropophagus", "Proelium Lassus", "Delta Pegasi", "Mancipium Trames", "Celeritas Lapis", "Infirmum Princeps", "Canistrum Panis", "Ridens Cattus", "Pardorum Maculis", "Quassans Ebrius","Avis Oculus", "Libertas Prima", "Primo Natus", "Somnia Amans", "Aequum Ludum", "Callus Paupertas", "Omega Plancius", "Parva Soror", "Rubrum Talpa", "Insolitum Scurra", "Mirandus Lupus", "Avem Caelo", "Indi Argenteus", "Liquorem Poeta", "Eques Viridi", "Coctura Lacerta", "Volantem Furrure", "Natatio Vespertilio", "Bellum Cibum", "Viridis Leo", "Periculosum Scurra", "Meridionali Furem", "Editur Tinea", "Horrendum Montem", "Peculiarem Ventum", "Bestiola Ridiculum", "Armatis Infirmus", "Somnus Vitae", "Operarius Pacis", "Gamma Reticuli", "Aphaca Patefacio", "Phi Pollux", "Ceratinus Pulmenti", "Cinereus Aphaca", "Firmus Mercator", "Officinas Vastum", "Folium Saccularius", "Theta Naos", "Bellum Officinas", "Cerritulus Petram", "Lambada Lyncis", "Arbustum Roseus", "Patiens Ranae", "Omicron Lyncis", "Septentrionem Versus", "Fervens Interdiu", "Folium Draconis", "Ardens Lignum", "Auratus Lepus", "Cerritulus Monte", "Aranea Telam", "Caprae Venator", "Sublimatum Bellum", "Epsilon Octantis", "Fractum Statum", "Aquilae Ferox", "Kappa Leporis", "Punctum Caetero", "Tornacense Saltu", "Immensus Bellum", "Centrum Punctum", "Mansuetus Populus", "Securus Prandium", "Feriatum Seniori", "Ceratinus Mundus", "Rusticus Bardus", "Omicron Volantis", "Ursa Proxima", "Crimen Dominus", "Mortiferum Vermis", "Turbella Hebes", "Humus Baculus", "Igneum Lacum", "Roseus Joculator", "Corniger Tyrannus", "Limus Praepositus", "Verbosus Praelectio", "Eta Orionis", "Cohaerente Bellica", "Desultor Rubicundus", "Caballa Misceo", "Pulchra Lacerta", "Nemus Frondens", "Vitiosus Arbores", "Commaticus Telum", "Caeruleus Draconis", "Fructum Aureum", "Crassus Felis", "Amare Lacertae", "Kappa Sculptoris", "Advena Hospitium", "Anguis Rex", "Circulus Villam", "Calidum Ranae", "Cornu Ioricatorum", "Movere Terram", "Epsilon Tauri", "Eta Leporis", "Verecundus Corporatum", "Vastum Terram", "Malum Anulum", "Poeta Limosum", "Kappa Leonis", "Stultus Mercator", "Locusta Cornu", "Humus Locuples", "Scuti Minor", "Teredo Mortiferum", "Alpha Velorum", "Praedium Collectivus", "Regium Anguis", "Ardenti Silva", "Concha Bucerus", "Pacatus Lacertae", "Vetus Pecunia", "Mare Gramen", "Inlicitus Malum", "Andromedae Minor", "Piscis Insolens", "Caprae Crustum", "Homicidium Caprae", "Aelurus Virens", "Hevelius Auriolus", "Odiosis Villam", "Vesanus Metallicus", "Secretum Adiutorium", "Felis Ossum", "Ductor Validus","Vae Lacerti", "Aequidistans Mundos", "Puppis Auriolus", "Coerulus Sempiternus", "Mortem Terram", "Hyda Novellus", "Vetus Commoratio", "Cocta Capra", "Oceanum Viatorem", "Mortiferum Cibum", "Tressis Gentes", "Lupus Natatorius", "Occultatum Bellum", "Communi Stulte", "Frondens Anguis", "Murus Flos", "Terrebis Corvus", "Retorta Poeta", "Nobilis Pecunia", "Pullum Corde", "Cerebri Cibum", "Durateus Alimentum", "Educatus Interfectorem", "Ebrius Ranae", "Locusta Circulus", "Crassus Inermis", "Callidus Pumilionum", "Comoedia Tempus", "Bellum Inepta", "Hiems Carmen", "Quatiens Monte", "Tyrannus Serpentis", "Delta Pegasi", "Agellus Molestus", "Dirae Maledictionis", "Calidum Fabrica", "Psi Scuti", "Clepta Verecundus", "Ebrius Canis", "Arbustum Floralis", "Beta Gemi", "Meticulosus Pavidus", "Limum Testa", "Caseus Mundus", "Celeritas Convallis", "Vexillum Rubrum", "Eques Viridi", "Vehemens Morbus", "Lacertae Multesimus", "Perdita Thesaurus", "Capsa Frumentum", "Psi Reticuli", "Odio Forte", "Criceta Malum", "Inferna Ardens", "Edentula Draconis", "Cammarus Motus", "Exosso Croceus", "Lupiter Sarculo", "Crudelis Vexillum", "Odiosis Paradiso", "Locuples Aphaca", "Limus Crusta", "Comoedicus Condicio",
// Galaxy 3  (Type 1)
"Antliae Majoris", "Combusta Sorex", "Iota Fornax", "Lambada Lacaille", "Omicron Cygni", "Comitatus Benevolens", "Australis Albens", "Caroli Majoris", "Acrux Minoris", "Effictus Vicinus", "Delta Berenices", "Beta Canopus", "Lambada Ceti", "Circini Capitaneus", "Lupus Silva", "Omicron Dalim", "Cepheus Proxima", "Beta Delphinus", "Antlia Sepositus", "Kentaurus Majoris", "Alpha Venatici", "Piscis Cibum", "Theta Canis", "Zeta Fornax", "Berenices Sepositus", "Gamma Canopus", "Proeliator Laetus", "Zeta Apodis", "Auri Proxima", "Canes Majoris", "Kappa Corvi", "Omega Lacaille", "Dalim Albens", "Tau Cancri", "Kappa Cassiopeia", "Beta Capricorni", "Classem Praesidium", "Kappa Alphecca", "Talpa Auream", "Beta Antliae", "Delta Cepheus", "Sigma Lacaille", "Lambada Apus", "Omicron Ceti", "Antliae Proxima", "Caroli Capitaneus", "Circini Sepositus", "Aquarii Spectatus", "Zeta Lacaille", "Gamma Antlia", "Densissima Multatio", "Omega Aurigae", "Cephei Auriolus", "Nocte Pythonissam", "Kappa Gienah", "Delta Berenices", "Ebrios Mores", "Beta Gemini", "Kitalpha Minoris", "Delta Cygnus", "Kappa Eridani", "Iota Alphecca", "Canes Minor", "Globulus Luteus","Psi Achernar", "Infelix Poeta", "Lambada Draconis", "Pumilus Aegrotus", "Tau Plancius", "Iota Algedi", "Iota Fornax", "Zeta Plancius", "Vermis Villam", "Beta Circinus", "Beta Draconis", "Zeta Acrux", "Carinae Sepositus", "Antlia Majoris", "Delta Achernar", "Cygnus Argenteus", "Beta Cephei", "Cassiopeia Argenteus", "Upsilon Antliae", "Absconditum Consilia", "Kappa Alphecca", "Cygnus Majoris", "Eta Caeli", "Beta Venatici", "Cepheus Auriolus", "Omega Cetus", "Gamma Antliae", "Eta Altair", "Eta Dorado", "Beta Cepheus", "Iota Kentaurus", "Ceti Spectatus", "Eta Kentaurus", "Delta Crucis", "Algedi Majoris", "Bufonem Emittunt", "Alpha Cetus", "Delta Aurigae", "Sigma Alphecca", "Acies Caprae", "Caeli Crocinus", "Septentrionalis Punctum", "Sigma Aurigae", "Aureum Sanguine", "Omicron Venatici", "Gamma Venatici", "Gamma Cepheus", "Alpha Kitalpha", "Kappa Algedi", "Alpha Auri", "Draconis Proxima", "Circinus Novellus", "Gamma Corvus", "Beta Canes", "Cepheus Major", "Kappa Arae", "Kitalpha Minor", "Omega Andromedae", "Alpha Rotanev", "Iota Rotanev", "Venatici Albens", "Upsilon Apus", "Subridens Percussor", "Upsilon Berenices", "Zeta Antliae", "Lambada Draconis", "Eta Alderamin", "Spina Absconditus ", "Crucis Capitaneus", "Frater Antenatus", "Algedi Primus", "Omicron Doradus", "Omicron Lacaille", "Eta Apodis", "Exploratorem Alatum", "Gamma Eridanus", "Australis Candidus", "Antliae Sepositus", "Molendini Incursio", "Cetus Argenteus", "Upsilon Carinae", "Cepheus Spectatus", "Beta Diphda", "Auri Auriolus", "Alpha Andromedae", "Alpha Ceti", "Cancri Novellus", "Delphinus Proxima", "Gamma Circini", "Iota Ceti", "Stella Ursi", "Delphinus Proxima", "Bellum Carmen", "Omega Acrux", "Fructum Pumilio", "Canis Minor", "Beta Corvus", "Sigma Alderamin", "Sigma Achernar", "Psi Caeli", "Tau Alderamin", "Psi Plancius", "Cygni Majoris", "Alphecca Primus", "Scelestus Nidum", "Eta Achernar", "Gamma Diphda", "Kappa Plancius", "Upsilon Ceti", "Berenices Capitaneus", "Sedulus Rurigena", "Iota Rotanev", "Arae Majoris", "Delta Delphini", "Alpha Berenices", "Iota Cepheus", "Omega Crucis", "Psi Plancius", "Upsilon Delphinus", "Kappa Canes", "Delta Crucis", "Theta Cancri", "Phi Antl", "Gamma Cetus", "Phi Doradus", "Amantes Lacerti", "Praeda Imprudens ", "Omicron Caeli","Iota Lacaille", "Eta Antliae", "Canes Veneficus", "Ferox Risus", "Antliae Argenteus", "Vetus Silva", "Excoctus Bestiola", "Alpha Aurigae", "Delta Gienah", "Omicron Rotanev", "Phi Dorado", "Lambada Crucis", "Beta Antliae", "Crateris Veneficus", "Frater Novellus", "Eta Draco", "Cygnus Major", "Gienah Primus", "Upsilon Andromedae", "Kappa Venatici", "Domina Noctis", "Sigma Caeli", "Antlia Capitaneus", "Cephei Veneficus", "Theta Corvi", "Gamma Equulei", "Corvi Argenteus", "Tau Arae", "Eta Dalim", "Kentaurus Argenteus", "Feremus Erae", "Eta Draco", "Delta Carinae", "Cepheus Spectatus", "Beta Eridani", "Canis Minor", "Omega Draco", "Tau Caroli", "Zeta Andromedae", "Ceti Minor", "Alpha Circinus", "Pallidus Deus", "Doradus Novellus", "Omicron Pegasi", "Zeta Circini", "Cancri Primus", "Serpens Arbor", "Epsilon Aurigae", "Draconis Minoris", "Zeta Caeli", "Delta Cassiopeia", "Canis Novellus", "Arcturus Crocinus", "Upsilon Eridanus", "Sigma Andromedae", "Delta Venatici", "Zeta Algedi", "Fugax Cattus", "Epsilon Venatici", "Cepheus Major", "Sigma Altair", "Apodis Sepositus", "Rusticus Infecta", "Plancius Auriolus",
// Galaxy 4 (Type 3)
"Upsilon Alphecca", "Zeta Hyda", "Crudelis Adustio", "Tau Achernar", "Sigma Cygni", "Omega Equuleus", "Beta Australis", "Omicron Eridani", "Omicron Kitalpha", "Ankaa Candidus", "Ophiuchi Major", "Poenicans Apostaticus", "Cygnus Primus", "Vega Argenteus", "Epsilon Volantis", "Communico Operarius", "Bellum Cattus", "Lyrae Majoris", "Circini Proxima", "Equuleus Novellus", "Theta Australis", "Gemini Majoris", "Epsilon Grus", "Librae Crocinus", "Hercules Primus", "Delta Fornax", "Psi Grus", "Omicron Rotanev", "Lambada Vega", "Horologii Candidus", "Vento Agitatam", "Lambada Hydrae", "Theta Diphda", "Equuleus Auriolus", "Bibliotheca Navem", "Cassida Militia", "Nemorum Industriam", "Gamma Doradus", "Omicron Ophiuchi", "Mussitatio Arbores", "Lupus Stella", "Nemus Sicarius", "Certamen Opulentia", "Mensae Spectatus", "Delta Orionis", "Iota Horologii", "Beta Equuleus", "Dalim Proxima", "Lambada Gemini", "Procidens Saxa", "Omega Librae", "Omicron Plancius", "Beta Achernar", "Alpha Kitalpha", "Kappa Rotanev", "Corvus Capitaneus", "Upsilon Eridani", "Pluvia Amans", "Periculosum Excelsis", "Theta Cygni", "Draconis Capitaneus", "Beta Hyda", "Equuleus Crocinus", "Psi Crateris","Alphecca Argenteus", "Veritas Incrementum", "Iota Gemi", "Delta Achernar", "Draco Auriolus", "Epsilon Dalim", "Vitiosus Bestias", "Horologii Majoris", "Impios Furorem", "Delta Vega", "Beta Plancius", "Delta Pavonis", "Beta Dorado", "Omega Hyda", "Ceratinus Artocopus", "Indi Majoris", "Beta Leonis", "Gamma Ankaa", "Cygnus Majoris", "Sessilis Venenum", "Sigma Crateris", "Cocta Discipulus", "Pavonis Albens", "Achernar Albens", "Alphecca Minoris", "Vega Primus", "Phi Piscium", "Taediosus Occisor", "Draconis Veneficus", "Zeta Doradus", "Omicron Pegasi", "Alpha Delphinus", "Theta Diphda", "Alpha Rotanev", "Delta Draconis", "Beta Gemi", "Theta Plancius", "Iota Berenices", "Kappa Eridanus", "Zeta Gemini", "Delta Piscis", "Psi Gemini", "Leporis Spectatus", "Eta Pavonis", "Piscium Minoris", "Zeta Leonis", "Lyncis Crocinus", "Arbor Malum", "Tau Piscium", "Lyncis Minoris", "Locus Odiosis", "Phi Circinus", "Lyrae Minor", "Crebris Tremens", "Obtusis Buccina", "Socialis Ebrius", "Risus Truci", "Lambada Dorado", "Iota Gemi", "Iota Librae", "Cygnus Minoris", "Beta Circinus", "Lupus Silva", "Upsilon Berenices", "Draconis Veneficus", "Simia Panis", "Libertatem Agricola", "Piscium Minoris", "Interfector Simiai", "Inermis Volucris", "Praelium Disputatio", "Operarios Superbia", "Recedentes Locusta", "Lambada Hyda", "Mons Contritum", "Arbor Loquitur", "Kappa Pegasi", "Turbatus Amare", "Mensae Sepositus", "Sigma Diphda", "Equuleus Argenteus", "Gamma Pictoris", "Octantis Primus", "Pavonis Spectatus", "Kappa Pollux", "Amare Feles", "Acrux Auriolus", "Lambada Circini", "Gamma Achernar", "Acrux Albens", "Iota Hercules", "Omicron Lyncis", "Raedam Multum", "Luteus Taeda", "Alpha Gienah", "Zeta Draco", "Beta Gemini", "Iota Eridanus", "Tau Corvi", "Auri Candidus", "Alphecca Candidus", "Lambada Plancius", "Scorpii Novellus", "Zeta Crucis", "Adusta Facticius", "Eta Draconis", "Gamma Cygnus", "Berenices Minoris", "Venenum Fabulosa", "Tau Hyda", "Omicron Draco", "Zeta Octantis", "Phi Mensae", "Lacertae Sepositus", "Harenae Tempestas", "Ferventi Maria", "Beta Delphini", "Psi Acrux", "Tau Alphecca", "Upsilon Orionis", "Inicere Trepidantibus", "Gamma Leporis", "Exultant Lusibus", "Foedus Licentia", "Theta Equuleus", "Culinae Fabulosa", "Theta Australis", "Iocus Bellica","Mensae Capitaneus", "Leporis Primus", "Pavonis Veneficus", "Liberum Excogitatoris", "Beta Hercules", "Talpas Sedulus", "Upsilon Leonis", "Lupi Minoris", "Eridani Majoris", "Lambada Equuleus", "Omega Austrini", "Tau Lacertae", "Ceti Major", "Lupi Sepositus", "Vitiosus Simia", "Hercules Proxima", "Tau Diphda", "Upsilon Hercules", "Beta Horologii", "Delta Ankaa", "Alpha Delphini", "Upsilon Vega", "Hyda Crocinus", "Theta Ceti", "Omicron Pavonis", "Leporis Albens", "Psi Pictoris", "Zeta Pavonis", "Hydrae Auriolus", "Delphini Argenteus", "Horologii Candidus", "Magnus Frater", "Kitalpha Minoris", "Psi Gemini", "Omega Kitalpha", "Omega Gemi", "Kitalpha Veneficus", "Omicron Pictoris", "Kappa Equulei", "Equuleus Primus", "Eta Equulei", "Rotanev Minoris", "Alpha Leonis", "Delphini Primus", "Kappa Alphecca", "Omega Fornax", "Delphinus Proxima", "Iota Ophiuchi", "Beta Draco", "Orionis Spectatus", "Nent Medicus", "Ferox Vespa", "Memoria Foraminis", "Delphini Proxima", "Epsilon Cygnus", "Callidus Coloniae", "Circini Major", "Delphini Majoris", "Iota Crucis", "Gamma Phoenicis", "Beta Hydri", "Achernar Albens", "Corvus Proxima", "Sapidum Teredo",
// Galaxy 5 (Type 4)
"Venatici Argenteus", "Lambada Horologii", "Tau Equuleus", "Tau Naos", "Delta Gienah", "Lambada Antares", "Delta Crucis", "Sigma Cepheus", "Orionis Veneficus", "Omicron Caeli", "Auri Crocinus", "Epsilon Mensae", "Princeps Saeva", "Hydrae Proxima", "Omicron Reticuli", "Pavonis Major", "Sigma Scuti", "Omicron Aquarii", "Upsilon Ophiuchi", "Upsilon Sagittae", "Pegasi Spectatus", "Omega Vega", "Epsilon Regulus", "Kappa Serpentis", "Omega Crateris", "Ardens Humor", "Beta Naos", "Beta Serpentis", "Alpha Apus", "Iota Gemini", "Mons Contritum", "Kentaurus Auriolus", "Theta Pegasi", "Delta Ophiuchi", "Eta Grus", "Exercitus Alveo", "Theta Cepheus", "Iota Aldebaran", "Epsilon Hydri", "Anhelans Praelia", "Caelum Marescalli", "Achernar Majoris", "Berenices Novellus", "Iota Regulus", "Conlis Maledictus", "Alpha Plancius", "Orionis Major", "Sextantis Majoris", "Letalis Edulis", "Iracundior Plebeius", "Mandi Possunt", "Magnam Silvam", "Iota Carinae", "Zeta Alioth", "Caroli Spectatus", "Emissarium Secretum", "Pavonis Novellus", "Omega Leporis", "Evanuit Moderatio", "Dalim Minor", "Kappa Librae", "Berenices Spectatus", "Gamma Algedi", "Letalis Edulis","Capricorni Candidus", "Octantis Minor", "Advorsor Mandatum", "Austrini Minor", "Sigma Grus", "Iota Leonis", "Bucerius Lacerta", "Kappa Equuleus", "Custodia Vapidus", "Epsilon Hydri", "Cancri Primus", "Upsilon Sextantis", "Kappa Apodis", "Dicio Sirena", "Iota Diphda", "Beta Ceti", "Scorpii Majoris", "Sigma Hydrae", "Cancri Capitaneus", "Delta Scorpii", "Theta Orionis", "Piscium Major", "Theta Mensae", "Serenum Petram", "Leo Silvam", "Pluvia Silva", "Tau Dorado", "Alpha Indi", "Phi Equuleus", "Dalim Minor", "Tau Venatici", "Lambada Volantis", "Aurigae Crocinus", "Puppis Majoris", "Populi Manus", "Formidolosi Confectio", "Nusquam Sceptrum", "Orcorum Tenebrarum", "Procidens Leopardalis", "Gamma Phoenicis", "Alpha Pollux", "Firmus Contremisco", "Tau Dorado", "Ursa Spectatus", "Iota Ursae", "Vellicatio Cuspis", "Ophiuchi Novellus", "Theta Volantis", "Psi Naos", "Hercules Albens", "Sigma Vega", "Eta Ursae", "Gamma Algedi", "Mensae Sepositus", "Serpentis Primus", "Epsilon Lyncis", "Beta Octantis", "Gamma Hercules", "Beta Indi", "Gamma Cepheus", "Abdominis Exhibuit", "Zeta Lacaille", "Ferox Physicus", "Alpha Kitalpha", "Trames Abscondita", "Iota Velorum", "Beta Volantis", "Epsilon Plancius", "Kappa Equulei", "Delta Circinus", "Epsilon Puppis", "Carinae Capitaneus", "Domus Proelium", "Kappa Hydrae", "Alpha Pyxidis", "Delta Hydri", "Kappa Scorpii", "Beta Pegasi", "Kappa Antlia", "Andromedae Crocinus", "Aequum Productio", "Brachium Cucullatus", "Tau Vega", "Phi Sextantis", "Beta Cassiopeia", "Pictoris Spectatus", "Beta Antliae", "Indi Albens", "Antliae Argenteus", "Tauri Novellus", "Eta Sagittarii", "Crateris Argenteus", "Psi Carinae", "Ceti Major", "Alpha Ursae", "Poeta Avem", "Tau Corvi", "Australis Argenteus", "Lacaille Majoris", "Achernar Argenteus", "Scorpii Minor", "Gemini Argenteus", "Theta Octantis", "Sigma Auri", "Epsilon Alphecca", "Lambada Plancius", "Hydrae Crocinus", "Kitalpha Novellus", "Delta Indi", "Tau Corvi", "Antlia Minoris", "Kappa Trianguli", "Epsilon Ursae", "Beta Draco", "Andromedae Capitaneus", "Epsilon Pegasi", "Sextantis Veneficus", "Alpherg Primus", "Tucanae Minor", "Beta Horologii", "Gamma Reticuli", "Periculosus Obcupatio", "Omicron Polaris", "Fornax Sepositus", "Gamma Serpentis", "Zeta Antares", "Puppis Candidus", "Tau Circini","Gemini Auriolus", "Alpha Hydri", "Phi Antares", "Gamma Gemi", "Sagittarii Novellus", "Viridi Hominem", "Veneficus Crocotillus", "Diphda Majoris", "Auctor Tranquillitas", "Omega Reticuli", "Omicron Antl", "Carinae Capitaneus", "Equulei Novellus", "Alderamin Veneficus", "Pyxidis Argenteus", "Upsilon Alioth", "Omicron Eridanus", "Kappa Scuti", "Epsilon Canes", "Maculosus Concha", "Lambada Arcturus", "Sagittae Major", "Psi Equulei", "Vivamus Libero", "Delta Canopus", "Gienah Capitaneus", "Venatici Auriolus", "Sanguinarius Ranae", "Phi Leporis", "Proelium Statuminatio", "Caeli Minor", "Omega Gemi", "Cetus Albens", "Alpha Antares", "Phi Piscium", "Sigma Octantis", "Aurigae Veneficus", "Omega Caeli", "Maledictus Suci", "Lacaille Primus", "Circinus Sepositus", "Psi Caeli", "Phi Cetus", "Phi Virginis", "Cepheus Proxima", "Eta Alioth", "Circulum Locustam", "Delphinus Veneficus", "Iota Velorum", "Omicron Vega", "Sigma Circini", "Alpha Fornax", "Capricorni Spectatus", "Eridanus Spectatus", "Delta Leonis", "Crucis Candidus", "Iota Piscium", "Apodis Majoris", "Psi Ceti", "Adustus Terram", "Kitalpha Majoris", "Cygni Argenteus", "Gemi Argenteus", "Beta Dorado",
// Galaxy 6 (Type 3 Re-Roll)
"Upsilon Dalim", "Delta Vega", "Cygni Veneficus", "Sigma Crucis", "Vega Auriolus", "Octantis Minoris", "Cuniculus Praefator", "Oriens Lacrimae", "Rotanev Novellus", "Equuleus Proxima", "Brachium Collibus", "Alpha Pavonis", "Pavonis Sepositus", "Delta Gemini", "Draconis Argenteus", "Phi Kitalpha", "Achernar Auriolus", "Zeta Corvi", "Sigma Horologii", "Crateris Novellus", "Epsilon Eridani", "Alphecca Candidus", "Alpha Ophiuchi", "Circini Majoris", "Plancius Sepositus", "Phi Ankaa", "Beta Equulei", "Hyda Primus", "Omega Gienah", "Serpens Mortiferum", "Theta Vega", "Eques Auream", "Crateris Crocinus", "Consocius Flammeus", "Cygnus Primus", "Cygni Crocinus", "Beta Crucis", "Mensae Argenteus", "Theta Andromedae", "Gemini Primus", "Hercules Sepositus", "Navis Captionem", "Phoenicis Minoris", "Plancius Capitaneus", "Iota Circini", "Confractus Foedus", "Circini Majoris", "Beta Hydri", "Vacua Manu", "Kappa Horologii", "Tripudium Inimicitiae", "Beta Delphini", "Horologii Majoris", "Caeruleum Popina", "Librae Crocinus", "Subterlabor Trames", "Iota Grus", "Delta Rotanev", "Zeta Indi", "Ardus Notabilis", "Lacertae Sepositus", "Ceti Veneficus", "Berenices Major", "Multifidus Cubile","Iota Diphda", "Acrux Major", "Circinus Crocinus", "Psi Ophiuchi", "Circini Auriolus", "Alpha Crucis", "Omega Velorum", "Delta Fornax", "Zeta Octantis", "Phi Gemi", "Octantis Novellus", "Draconis Auriolus", "Kappa Fornax", "Tau Doradus", "Lambada Kitalpha", "Eta Pictoris", "Theta Achernar", "Sphaera Flammeum", "Circini Sepositus", "Delphinus Minoris", "Phi Corvus", "Vellus Operarius", "Lambada Pegasi", "Gienah Major", "Eta Cygni", "Ophiuchi Majoris", "Tau Dalim", "Beta Circinus", "Tau Octantis", "Beta Hercules", "Cygnus Primus", "Proelium Clamoris", "Basilicus Purpura", "Upsilon Piscium", "Omega Lyncis", "Eta Eridani", "Eta Circini", "Epsilon Cygni", "Upsilon Corvi", "Doradus Proxima", "Alpha Gemi", "Crateris Veneficus", "Iota Leporis", "Beta Rotanev", "Beta Austrini", "Kappa Leporis", "Eta Delphinus", "Omicron Leporis", "Delphini Major", "Theta Pollux", "Zeta Hydri", "Delphini Veneficus", "Scorpius Proxima", "Alpha Fornax", "Tau Regulus", "Discindo Concordia", "Matercula Arcadia", "Equuleus Argenteus", "Alpha Grus", "Alpha Ceti", "Sigma Australis", "Theta Berenices", "Sigma Alpherg", "Leo Proelium", "Phi Kitalpha", "Lambada Eridanus", "Delta Ankaa", "Acrux Spectatus", "Corvus Argenteus", "Sigma Leonis", "Cygni Minoris", "Iota Leporis", "Plancius Argenteus", "Hydrae Candidus", "Mersum Premite", "Lambada Austrini", "Sigma Acrux", "Acrux Majoris", "Omega Regulus", "Lyncis Capitaneus", "Sollers Ranae", "Iota Doradus", "Iota Lupi", "Eta Alphecca", "Circinus Major", "Volatilis Sublimen", "Achernar Capitaneus", "Iota Vega", "Eta Equulei", "Gamma Pollux", "Impendio Punctum", "Phoenicis Novellus", "Eta Draconis", "Omicron Octantis", "Alpherg Minor", "Uno Animo", "Beta Horologii", "Eta Dorado", "Crateris Primus", "Terra Draconis", "Theta Librae", "Gienah Veneficus", "Lambada Gienah", "Sigma Ankaa", "Alpha Doradus", "Tau Sagittarii", "Phi Mensae", "Kappa Delphinus", "Tau Mensae", "Cygni Crocinus", "Crucis Proxima", "Beta Hyda", "Eridani Primus", "Eta Lyrae", "Psi Piscium", "Omicron Dorado", "Kappa Circinus", "Delphini Auriolus", "Circinus Major", "Alpherg Major", "Cygni Primus", "Gamma Crateris", "Tau Leporis", "Upsilon Corvus", "Tau Eridanus", "Stella Veneficus", "Sigma Austrini", "Fornax Minoris","Beta Hercules", "Lutulentus Excalceatus", "Alpha Dorado", "Lambada Orionis", "Upsilon Dorado", "Omicron Crucis", "Felix Flamma", "Theta Librae", "Delphini Minor", "Diphda Crocinus", "Amissa Sorore", "Leporis Sepositus", "Matutinus Luteus", "Theta Ankaa", "Epsilon Piscis", "Alpha Eridanus", "Hydri Spectatus", "Psi Ophiuchi", "Gamma Piscis", "Omicron Lyrae", "Delta Dorado", "Silva Liberandum", "Tonitrui Cattus", "Delta Alphecca", "Zeta Lupi", "Phi Draco", "Eta Corvus", "Omicron Australis", "Delta Polaris", "Psi Pegasi", "Semitam Tractus", "Theta Gemi", "Cygnus Majoris", "Occidens Nuntius", "Canopus Auriolus", "Aranea Telam", "Iota Ankaa", "Lambada Australis", "Upsilon Plancius", "Beta Austrini", "Serpens Lacum", "Piscium Minoris", "Theta Dalim", "Epsilon Phoenicis", "Antliae Crocinus", "Delphinus Major", "Novis Amans", "Omicron Alioth", "Eta Delphinus", "Omicron Gemi", "Rhoncus Insectum", "Omicron Corvi", "Beta Dorado", "Gamma Gemini", "Gamma Grus", "Draconis Spectatus", "Omicron Lyncis", "Alpha Draconis", "Crucis Spectatus", "Sigma Australis", "Alpha Mensae", "Eta Plancius", "Upsilon Equulei", "Omega Octantis",
// Galaxy 7 (Type 4 Re-Roll)
"Omicron Puppis", "Lupi Primus", "Theta Orionis", "Tau Diphda", "Zeta Cephei", "Beta Leporis", "Altair Minor", "Lacertae Primus", "Puppis Albens", "Trianguli Major", "Epsilon Alphecca", "Iota Gienah", "Eta Austrini", "Eleutheria Praestolatio", "Epsilon Orionis", "Nusquam Saltu", "Beta Hydri", "Lutulentus Bestiola", "Circumsto Ultimus", "Libitina Pisces", "Aves Impios", "Lambada Alioth", "Upsilon Crucis", "Aldebaran Candidus", "Phi Australis", "Alphecca Capitaneus", "Sigma Piscis", "Occisor Potator", "Alpha Andromedae", "Zeta Auri", "Venatura Basileus", "Numeri Praedium", "Omega Hydrae", "Upsilon Andromedae", "Iota Aquarii", "Iota Ursa", "Tau Leporis", "Theta Ophiuchi", "Eta Ankaa", "Mechanica Hominum", "Zeta Apus", "Psi Canis", "Alpha Reticuli", "Iota Aurigae", "Crucis Capitaneus", "Epsilon Hevelius", "Cephei Albens", "Epsilon Crateris", "Dorado Spectatus", "Ursae Spectatus", "Cygnus Minoris", "Dalim Capitaneus", "Cephei Argenteus", "Occupatio Legitimus", "Basium Inusitatus", "Caroli Auriolus", "Kentaurus Novellus", "Gamma Tucanae", "Phi Circinus", "Regulus Primus", "Psi Vega", "Natatio Frumentum", "Lupi Auriolus", "Ceti Argenteus","Tucanae Candidus", "Scorpii Albens", "Praelium Commercia", "Alphecca Sepositus", "Cancri Novellus", "Beta Circini", "Virginis Capitaneus", "Libertatem Carceris", "Aldebaran Sepositus", "Forma Calliditatis", "Caeli Majoris", "Pictoris Candidus", "Kappa Ophiuchi", "Grus Crocinus", "Contemno Vernaculus", "Proelium Astrum", "Compitus Orientem", "Proelio Mortem", "Iustitia Mundi", "Theta Apodis", "Sigma Gemini", "Iota Leporis", "Zeta Leporis", "Formicae Pacificae", "Locusta Libero", "Epsilon Vega", "Beta Austrini", "Beta Polaris", "Theta Sagittarii", "Phi Fornax", "Kappa Ceti", "Corvus Crocinus", "Beta Ankaa", "Collis Formica", "Delta Piscium", "Upsilon Fornax", "Crudelis Vispellio", "Naos Major", "Volantis Majoris", "Gamma Fornax", "Piscis Capitaneus", "Lambada Canopus", "Folium Bellator", "Aureum Mortem", "Gamma Octantis", "Psi Corvi", "Imperator Parum", "Omega Sagittarii", "Lambada Draco", "Omega Canes", "Psi Orionis", "Lacertus Aspicio", "Psi Sagittarii", "Ursae Auriolus", "Sicarius Capra", "Gienah Sepositus", "Omicron Hercules", "Sigma Tauri", "Beta Polaris", "Lambada Dalim", "Firmus Amicus", "Misericordiam Corona", "Psi Lacaille", "Gamma Capricorni", "Upsilon Pictoris", "Edulis Liberos", "Ampulla Conlus", "Omicron Lacaille", "Upsilon Dalim", "Tau Lacertae", "Incuratus Folium", "Durum Testa", "Cancri Major", "Volans Metrum", "Lambada Corvi", "Callidus Latrunculus", "Leporis Novellus", "Kappa Lacertae", "Sigma Cetus", "Eta Scorpius", "Australis Candidus", "Omega Gemi", "Delta Regulus", "Cetus Auriolus", "Beta Pavonis", "Berenices Primus", "Bellum Silvam", "Australis Capitaneus", "Alpha Piscis", "Caeruleum Herodius", "Kappa Indi", "Theta Australis", "Delta Velorum", "Tau Australis", "Accipiter Cornutum", "Antares Veneficus", "Upsilon Sagittarii", "Lepus Foramen", "Ceti Sepositus", "Epsilon Velorum", "Phi Acrux", "Plancius Proxima", "Epsilon Corvi", "Grus Majoris", "Theta Fornax", "Alioth Major", "Upsilon Rotanev", "Eta Cetus", "Epsilon Circinus", "Saevus Timendus", "Omega Alioth", "Alpha Cetus", "Phi Naos", "Upsilon Crucis", "Mercator Infirmum", "Tau Arcturus", "Beta Fornax", "Gamma Piscium", "Indi Candidus", "Puppis Sepositus", "Meditaris Avena", "Iota Hevelius", "Hiatus Claustritumus", "Apus Crocinus", "Cetus Crocinus", "Folium Aeternus", "Omicron Gienah", "Fabulosus Poeta","Kappa Acrux", "Hydrae Majoris", "Ludi Scaenici", "Iota Plancius", "Eta Algedi", "Psi Andromedae", "Sigma Hyda", "Reticuli Major", "Gamma Aurigae", "Omega Alderamin", "Proelium Bufonem", "Momentum Refectio", "Aquarii Proxima", "Amissa Panis", "Pegasi Primus", "Gamma Alderamin", "Epsilon Sagittae", "Phi Cepheus", "Theta Hyda", "Cygni Veneficus", "Kappa Venatici", "Omega Librae", "Insciente Vinctum", "Upsilon Octantis", "Zeta Pyxidis", "Gamma Caroli", "Acies Labefacio", "Crateris Primus", "Kappa Austrini", "Delta Grus", "Delta Regulus", "Scorpius Albens", "Praedo Spatium", "Upsilon Librae", "Horologii Primus", "Milvus Rubrum", "Torva Messor", "Punctum Salio", "Serpentis Auriolus", "Gamma Antlia", "Iota Polaris", "Beta Alpherg", "Omega Virginis", "Antlia Candidus", "Circinus Minoris", "Ultimo Proelio", "Upsilon Circini", "Omega Delphinus", "Epsilon Regulus", "Hyda Capitaneus", "Kappa Polaris", "Australis Spectatus", "Kappa Alioth", "Theta Berenices", "Omicron Velorum", "Upsilon Delphini", "Odium Ambulacrum", "Eta Equuleus", "Beta Andromedae", "Cepheus Major", "Psi Lyrae", "Sigma Librae", "Omicron Hyda", "Psi Equulei",
// Galaxy 8 (Type 2 Re-Roll)
"Kappa Ursae", "Volantis Minoris", "Phi Trianguli", "Psi Tauri", "Iota Naos", "Aldebaran Albens", "Lacertae Crocinus", "Postremus Defensionis", "Delta Naos", "Theta Serpentis", "Theta Austrini", "Zeta Alpherg", "Serpentis Majoris", "Ranae Agricola", "Iota Reticuli", "Alpherg Capitaneus", "Lyncis Candidus", "Epsilon Tauri", "Upsilon Volantis", "Sagittarii Novellus", "Iota Scorpii", "Beta Naos", "Orionis Candidus", "Zona Neutrum", "Epsilon Sagittae", "Andromedae Spectatus", "Gamma Ursae", "Mensae Capitaneus", "Theta Trianguli", "Lupi Albens", "Omicron Vega", "Somnium Cooperari", "Sigma Hydrae", "Iota Serpentis", "Iota Pavonis", "Parum Princeps", "Theta Ursae", "Omega Lupi", "Socialis Volucres", "Beta Scuti", "Zeta Puppis", "Rufus Testa", "Omicron Plancius", "Gamma Reticuli", "Alpha Scuti", "Eta Alpherg", "Ankaa Spectatus", "Lambada Alpherg", "Edulis Discipulus", "Epsilon Hevelius", "Trianguli Minor", "Scorpius Minor", "Omicron Hercules", "Plancius Veneficus", "Zeta Sagittarii", "Eta Ursa", "Hydri Sepositus", "Epsilon Scorpii", "Piscis Villam", "Theta Antares", "Omega Lupi", "Piscis Auriolus", "Upsilon Lyrae", "Bellum Amans","Epsilon Scorpii", "Vega Majoris", "Psi Piscium", "Melculum Ampulla", "Andromedae Proxima", "Zeta Piscium", "Upsilon Tauri", "Beta Phoenicis", "Iota Reticuli", "Tauri Minoris", "Gemi Veneficus", "Hevelius Novellus", "Lacertae Albens", "Tauri Primus", "Gamma Sextantis", "Orionis Sepositus", "Grus Major", "Upsilon Austrini", "Dominus Testa", "Interfectorem Cibum", "Inamabilis Sciurus", "Gemi Major", "Beta Tucanae", "Pollux Argenteus", "Delta Leporis", "Eta Alpherg", "Delta Polaris", "Diphda Spectatus", "Volantis Sepositus", "Psi Phoenicis", "Ridibundus Talpa", "Lambada Tucanae", "Librae Auriolus", "Lambada Phoenicis", "Hydrae Argenteus", "Tauri Spectatus", "Zeta Sagittarii", "Pyxidis Novellus", "Ursae Albens", "Upsilon Ophiuchi", "Indi Sepositus", "Tau Orionis", "Regulus Crocinus", "Phi Lacertae", "Leporis Veneficus", "Leporis Albens", "Omicron Hydri", "Tauri Albens", "Ebrius Scelestus", "Zeta Polaris", "Stilio Piscatoris", "Theta Indi", "Alpherg Auriolus", "Theta Austrini", "Lambada Serpentis", "Voluptatem Mundus", "Delta Octantis", "Beta Sagittae", "Iota Grus", "Sigma Volantis", "Corvi Albens", "Epsilon Alioth", "Sculptoris Argenteus", "Regulus Argenteus", "Beta Vega", "Theta Polaris", "Mercator Mortem", "Beta Octantis", "Sigma Regulus", "Beta Aldebaran", "Serpentis Capitaneus", "Viridis Venator", "Librae Argenteus", "Alpha Scuti", "Upsilon Grus", "Sextantis Crocinus", "Hyda Minor", "Eta Sextantis", "Adipem Tristitia", "Tau Canes", "Puppis Crocinus", "Kappa Pictoris", "Alpha Reticuli", "Sextantis Novellus", "Scorpius Veneficus", "Aqua Mundi", "Delta Alioth", "Upsilon Hydrae", "Eta Mensae", "Pegasi Auriolus", "Theta Antares", "Zeta Andromedae", "Upsilon Pegasi", "Omega Sextantis", "Tau Phoenicis", "Phi Octantis", "Zeta Ursae", "Sigma Hydrae", "Cimeterium Navis", "Beta Ursae", "Delta Tucanae", "Beta Antares", "Concelebro Verecundia", "Lambada Pegasi", "Lupus Cibum", "Gamma Grus", "Epsilon Antares", "Regulus Majoris", "Zeta Piscium", "Kappa Sextantis", "Sigma Cygnus", "Iota Trianguli", "Trianguli Major", "Alpha Orionis", "Sigma Leporis", "Austrini Spectatus", "Tenebris Lignum", "Lambada Vega", "Beta Serpentis", "Scorpii Minoris", "Castellum Navigium", "Pyxidis Sepositus", "Beta Australis", "Zeta Piscis", "Omega Sextantis", "Eta Alioth", "Epsilon Scorpii", "Hydrae Sepositus","Horologii Proxima", "Beta Lyncis", "Hyda Capitaneus", "Upsilon Indi", "Sagittarii Auriolus", "Epsilon Hercules", "Omicron Lyncis", "Alpha Pollux", "Capricorni Auriolus", "Eta Ursae", "Kappa Sagittarii", "Omega Horologii", "Psi Sagittarii", "Beta Hydrae", "Ebrius Popularis", "Lambada Naos", "Phoenicis Primus", "Sapiens Stultus", "Zeta Sagittae", "Hydrae Major", "Psi Polaris", "Orionis Auriolus", "Omega Serpentis", "Eta Tauri", "Pictoris Novellus", "Ursae Major", "Lutulentus Baculum", "Commercia Sidus", "Kappa Hydrae", "Ursa Auriolus", "Omega Mensae", "Octantis Minoris", "Iota Sextantis", "Kappa Australis", "Epsilon Polaris", "Sigma Hevelius", "Kappa Lacertae", "Tucanae Sepositus", "Silva Capra", "Volantis Proxima", "Campus Fructus", "Delta Scorpii", "Delta Virginis", "Epsilon Ophiuchi", "Lambada Ursae", "Phi Horologii", "Delta Ursae", "Pictoris Majoris", "Pirata Stella", "Alpherg Crocinus", "Upsilon Lacertae", "Iota Scorpii", "Epsilon Trianguli", "Leonis Crocinus", "Hevelius Minoris", "Eta Antares", "Ursae Auriolus", "Tau Piscis", "Pegasi Auriolus", "Croceus Arbustum", "Tau Sagittarii", "Sigma Polaris", "Hydrae Majoris", "Lambada Tucanae",
 // The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Terminum Finalem"];

// Pools for naming OXP Planets (10,240 in total).
this.planetpool1 = [
// Galaxy 1 
"Porthos", "Aurata", "Behemoth", "Canticum", "Bulavin", "Musculus", "Pegasus", "Imperious","Neofelis", "Lenore","Consilium", "Canadensis", "Pardinus", "Glacies", "Canadensis", "Leopardus", "Alvaldi", "Oncilla", "Pardalis", "Coral", "Taenarius", "Vestitor", "Bestla", "Newton", "Agitatam", "Meditaris", "Cain", "Raptor", "Volitare", "Tyrannus", "Africanus", "Atalanta", "Sclater", "Tarasque", "Merius", "Pestis", "Pudicitiam", "Tschudi", "Messis", "Piaculum","Rothschild", "Obustus", "Vigors", "Hispaniola", "Pariah", "Pertinax", "Pandemonium", "Dominica", "Lilacine", "Modice", "Minerva", "Festiva", "Nefarium", "Festiva", "Farinosa", "Sheba","Limax", "Compressio", "Bodini", "Volucer", "Arausiaca", "Esculentus", "Mambo", "Pacheco", "Pucheran", "Ducorpsii", "Olympus", "Novissimus", "Cephalon", "Menoetius", "Rubex", "Ventus", "Baudin", "Zanda", "Pontus", "Caudwell",  "Altilis", "Fervidus", "Andicus", "Peregrine","Cacatuidae", "Cruciatus", "Archimedes", "Capensis", "Seychelle", "Comoros", "Coracopsis", "Coraco","Supiori", "Numfor", "Smaug", "Bismarck", "Carnis", "Pellucidus", "Kamenev", "Necropsi", "Shathak", "Pilaris", "Rufi", "Competum", "Praeceptor", "Gularis", "Naumani", "Astaroth", "Vespertilio", "Volturius", "Praefectus", "Sibirica",  "Catharus", "Minimus", "Defensionem", "Colossus","Ioreus", "Herodicus", "Dauma", "Googly", "Nefas", "Arbor", "Vulgaris", "Sturnus", "Dume", "Kobold", "Immussilus", "Ahithophel", "Hades", "Beithir", "Mimus", "Tyrannosaurus", "Audouin", "Gomorrah", "Leucophaeus", "Minutus", "Gagarin", "Philadelphia", "Varius", "Eburnea", "Inlustris", "Laridae","Parasiticus",  "Pomarine", "Phalarope", "Doldrum", "Laropus", "Arenaria", "Interpres", "Totanus", "Peregrinus", "Poseidon", "Phoenicopteri", "Solitaria", "Ambrosius", "Vorsutus", "Corona", "Cinereus", "Neptuna", "Philomela", "Numenius", "Tarasque", "Dione", "Luscus", "Castrum", "Torrens", "Cumatilis", "Minokawa", "Papuan", "Artifex", "Rufous", "Mordax", "Mandela", "Fremitus", "Anthus", "Aquillo", "Amplus",  "Cervinus", "Tenaster","Lepturus","Etheldredda", "Hecate", "Venter", "Mediocris", "Nerio", "Confucianus", "Grimaud", "Brahma", "Increpita", "Plumbeus", "Teutates", "Licentia", "Ceramicus", "Iapetus", "Tributum", "Kerberos", "Inclusus", "Leuco", "Boehmi", "Somalicus", "Pardus", "Tenax", "Kerkennah", "Pestilentia", "Carcerem", "Hippodamus", "Botai", "Amodile",  "Ammodillus", "Brachion", "Tropicalis", "Orestes","Barbouri", "Sepulcretum", "Arachne", "Sulcatus", "Karakal", "Remordeo", "Flovios", "Lophuro","Praeluceo", "Zeus", "Seurat", "Russatus", "Seurati", "Nesiotes", "Minous", "Dimidiatus", "Lilliput", "Lobon", "Tyrannus", "Wampus", "Khrushchev", "Concelebro", "Montosa", "Auratus", "Importunus", "Labrum", "Kamensi",  "Audeberti", "Manubialis", "Grandis", "Phasma", "Mordor", "Aspalax", "Palax", "Sicista", "Desolatus", "Jerboa", "Orientalis", "Montalvo",  "Sonitus", "Pumilo", "Golarion", "Humulus", "Joaquin", "Gandhi", "Amplus", "Spinatus", "Excalibur",
// Galaxy 2
"Lophaetus", "Bellicosus", "Polemaetus", "Hieraaetus", "Shalish", "Pennatus", "Natura", "Audax", "Heliaca", "Adalberti", "Rapax", "Hastata", "Pomarina", "Ictinaetus", "Metebelis", "Tumulosus", "Confractus", "Regalis", "Hemilasius", "Rufinus", "Oreophilus", "Popellus", "Solitarius", "Albonotatus", "Scalaria", "Praepes", "Laqueum", "Geranoaetus", "Unicinctus", "Parabuteo", "Meridionalis", "Anthracinus", "Vinculum", "Amazona", "Tarasqueps", "Pacheco", "Tumultuosus", "Sordidus", "Seniloides", "Dominium", "Reichenowi", "Menstruus", "Maximiliani", "Chalcopterus", "Vulturine", "Coacesco", "Cautor","Roraima", "Truncus", "Caducus", "Tornacense", "Rosella", "Caledonicus", "Tephras", "Icterotis", "Tacitus","luchsi", "Versicolurus", "Creatus", "Sanctithomae", "Qualum", "Valdor", "Honoris", "Brotogeris", "Folliculus", "Mascaren", "Nicobar", "Alexandri", "Derbiana", "Layard", "Columboides", "Molaris", "Roseata", "Silhouette", "Krameri",  "Reunion", "Simeulue", "Siumat", "Mascarene", "Gramineus", "Sulawesi", "Sumatranus", "Sumbola", "Tanygnathus", "Jacquinot", "Hombron", "Ciaphas", "Infectus", "Roratus", "Insciens", "Platurus", "Verticalis", "Mindoro", "Montanus", "Corporosus", "Turus", "Odoratio", "Canterius", "Mutatum", "Krypare", "Certhia", "Sitta", "Eurasia", "Canadenis", "Sitidae", "Tichodroma", "Muraria",  "Tichodro", "Lacertus", "Passeri", "Bohemia", "Cilla", "Garulus", "Exitialis", "Cedrorum", "Sorbitio", "Juncidis", "Naceus", "Arundi",  "Avarium","Cephalus", "Palutis", "Torum", "Agri", "Paludi", "Hipolais", "Repercutio", "Icterina", "Borealis", "Minutus", "Limosa", "Laponi", "Lucius", "Scolopax", "Delicata", "Lymno", "Febris", "Pugnax", "Philomachus",  "Tryngites", "Consuete", "Subrufi", "Sacrament", "Dunlin", "Maritima", "Himantopus", "Belacane", "Pectora", "Floreana", "Subminuta",  "Temminck", "Minuta","Mauri", "Pusila", "Calidris", "Canutus", "Rostris", "Scolopai", "Vanellus", "Leucurus", "Nesokia", "Yemen", "Bellicas", "Baoule", "Mahomet", "Spurcities", "Oubangui", "Neave", "Astartes", "Sorella", "Temminck", "Sceletus",  "Indutus", "Hausa", "Spretus", "Boduga", "Contundito", "Horestis", "Duroides", "Pahari", "Subiaco", "Thrix", "Imberbis", "Philipso",  "Kondana", "Kathleenae", "Gleadowi", "Minutus", "Suffodio", "Excursor", "Granti", "Gouldii", "Chudeau", "Heletine", "Vestitus", "Lebonah", "Rosalinda", "Praetor", "Trauco", "Laniger", "Roboute", "Daphne", "Eleusis",  "Apeco", "Aureus", "Modicus", "Venustus", "Nitela","Gardneri", "Latimanus", "Couesi", "Emiliae", "Caucensis", "Ruschi",  "Galathas", "Leucotis", "Peruanus", "Toltec", "Arizonae", "Toltecus", "Miahuatla", "Planifrons", "Tremefacio", "Typicus", "Teleus", "Microps", "Canadensis", "Elator", "Deserti", "Ingens", "Croatoa", "Cavator", "Ocularis", "Surdus", "Uinta", "Senex", "Palmeri",  "Tamias", "Amoenus", "Alpinus", "Priscilla", "Tribolaios", "Dauricus", "Mexicanus", "Armatus", "Uinta", "Tephaine", "Espirito", "Leucurus",  "Vexilla", "Poensis", "Praesidium", "Cepapi", "Vallum", "Astacus", "Epixer",
// Galaxy 3
"Anthracinus", "Noctialis", "Leuco", "Occidentalis", "Plumbeus", "Nulatus", "Melanops", "Princeps", "Butastur", "Indicus", "Macrourus", "Radiatus", "Accipiter", "Virgatus", "Collaris", "Cephalus", "Tatus", "Soloensis", "Castanilius", "Tachiro", "Melierax", "Radiatus", "Typus", "Vorus", "Melanol", "Cinereous", "Cyaneus", "Murus", "Assimilis", "Buffoni", "Millardi", "Macrosceles", "Lafres", "Melanotis", "Fuertes", "Opsittaca", "Praesidium", "Puerto", "Rican", "Guadeloupe", "Violacea", "Vinaceous", "Vinacea", "Lucia", "Ventralis", "Tucumana", "Salvadori", "Pretrei", "Temminck", "Oratrix", "Ochrocephala", "Mercenarius", "Martinique", "Martinicana", "Arcarius", "Neophema","Farinae", "Mulga", "Varius", "Psephotellus", "Haematonotus", "Psephotus", "Naretha", "Lathamus", "Alexandrae", "Anthopeplus", "Regulus", "Empidonax", "Perodroma", "Ellaria", "Leuco", "Pusilla", "Pestilentia", "Setophaga", "Dendroica",  "Petechia", "Castanea", "Magnolia", "Pancamo", "Parula", "Americana", "Tigrina", "Guatemala", "Ruticila", "Citrina", "Trichas", "Peregrina", "Seiurus","Acensis", "Aurocapilla", "Passeri", "Phoeniceus", "Agelaius", "Molothrus", "Vorus", "Passeri", "Torum", "Palida", "Dinax", "Aedon", "Iduna", "Caligata", "Opaca", "Locus", "Lanceo", "Certhiola", "Sarda", "Curuca", "Communis",  "Cantilan", "Moltoni", "Subalpina", "Iberiae", "Melano", "Rupeli", "Orphean", "Rostris", "Concitus", "Hortenis", "Nisoria", "Ibericus",  "Tochilus", "Oscopus", "Borealis", "Fuscatus", "Inornatus", "Tenel", "Terentius", "Pluvialis", "Apricaria", "Dominica", "Doterel", "Caspian", "Asiaticus", "Charadrius", "Alexandia", "Vociferus", "Palmatus", "Tundrae",  "Dubius", "Varanger", "Varum", "Amboselie", "Oedicnemus","Avocet", "Avosetta", "Otis", "Tarda", "Houbara", "Tetrax", "Otididae", "Canaden","Gruidae", "Americana", "Fulica", "Porphyrio", "Phyrio", "Chloropus", "Zapornia", "Baillon", "Talaudium", "Spechti", "Rubicola", "Paveli", "Obiensis", "Manus", "Papua", "Lutillus", "Tambuai", "Leucogas", "Riama", "Seram",  "Fulgens", "Yamdena", "Fraterculus", "Manusela", "Dollmani", "Cooperae", "Burtoni", "Rossel", "Arcium", "Aerosus", "Mothrix",  "Panglima","Pagensis", "Ochracei", "Inflatus", "Inas", "Myoides", "Baeodon", "Natalen", "Huberti", "Reithrodon", "Auritus", "Mordax", "Neotomys", "Euneomys", "Tapecua", "Delicatus", "Pericote", "Magister", "Limatus", "Definitus",  "Caprinus", "Bonaerense", "Pericote", "Ostium", "Amicus", "Edithae", "Centralis", "Domorum", "Pericote", "Laucha", "Moreni",  "Tocantinsi", "Vesper","Lepidus", "Boliviae", "Sublimis", "Pictus", "Edax", "Olrog", "Tristitia", "Tamys", "Xerus", "Damara", "Tamiops", "Tenuis", "Rabori", "Sundas", "Juven", "Jentink", "Davao", "Sciurus", "Rubri", "Abstrusus", "Niobe",  "Simus", "Lariscus","Orestes", "Dremo", "Notatus", "Volan", "Xanthi", "Setosus", "Sagita", "Nobilis", "Praetor", "Emiliae", "Sipora", "Lepidus", "Tephon", "Brochus", "Anomalus", "Lausanne", "Tenes",
// Galaxy 4
"Spilonotus", "Rani", "Astur", "Spectabilis", "Spilornis", "Holospilus", "Pectus", "Baluensis", "Rascens", "Circaetus", "Beaudouini", "Pectoralis", "Gallicus", "Tracheliotos", "Torgos", "Plebeius", "Occipitalis", "Sarcogyps", "Coprotheres", "Indicus", "Necrosyrtes", "Neophron", "Humilis", "Pelagicus", "Feroides", "Vocifer", "Sanfordi", "Sphenurus", "Ictinia", "Diodon", "Dentatus", "Hamatus", "Spurius", "Cephalus", "Purpurei", "Sandalium", "Zonarius", "Barnardius", "Zealandicus", "Antipodes", "Raiatea", "Consponsata", "Malherbe", "Auriceps", "Ouvea", "Cornutus", "Kadavu", "Peale", "Splendens", "Taveuni", "Levu", "Vanua", "Tabuensis", "Personata", "Prosopeia", "Venustus", "Eximius", "Martius", "Oblectatio", "Delicium", "lorikeet", "Mindanao", "Hartert", "Moluccanus", "Pipilo", "Fabula", "Phalmus", "Icterid", "Quabin", "Towhee", "Melodia", "Pasculus", "Albicollis", "Trichia", "Zono", "Junco", "Hyemalis",  "Grammacus", "Jardin", "Emberiza", "Calandra", "Pallasi", "Schoeniclus", "Aureola", "Emberiza", "Pusilla", "Fucata", "Cretzschmar", "Ortolan", "Guara", "Aragon", "Imperterritus", "Nella", "Leucoce", "Passeri", "Cyanea", "Coronatus", "Aegithalos", "Caudatus", "Cecropis", "Daurica", "Rhalos", "Delichon", "Urbicum", "Hirundo", "Rustica", "Eurasia", "Progne",  "Poecile", "Riparia", "Alpestris", "Eremophila", "Leucoptera", "Alauda", "Venandi", "Lullula", "Arborea", "Galerida", "Cristata",  "Calandrella", "Nahoul", "Andrella", "Corypha", "Melano", "Calandra", "Alaudi", "Panurus", "Periparus", "Aquaticus", "Ludifico", "Rusti", "Eleonorae", "Consilium", "Amurensis", "Vesper", "Pandion", "Aquila", "Clanga", "Confractus", "Accipiter",  "Montagu", "Neophron", "Apivorus","Podiceps","Platalea", "Leucorodia", "Threskiorn", "Egretta", "Squacco", "Lenti", "Crispus", "Fregata", "Auritus", "Suliforme", "Morus", "Sulidae", "Phaethon", "Monorhis", "Oceanites", "Diomedea", "Coucha", "Oleucus", "Awashensi", "Parvus", "Dioecetes", "Beccari", "Elomys", "Lanosu", "Toides", "Rothschild", "Subal", "Aroaensis",  "Dacrima", "Mindanao", "Signatus", "Leptomys", "Conditor", "Leporil", "Apicalis", "Sabanus", "Sundai", "Lenoth", "Rosalia", "Linula", "Turbulentus", "Komodo", "Saltatio", "Goliath", "Humulus", "Neatha", "Deniae", "Oppressio", "Brunneus", "Brevicauda", "Talamancae", "Aphrastus", "Alfari", "Melanops", "Simplex", "Nelsoni", "Dimidiatus", "Couesi", "Antillarum",  "Victus", "Vegetus", "Transitorius", "Stramineus", "Moojeni", "Magellan", "Chacoen", "Brendae", "Andinus", "Trinitatis", "Specios",  "Dandersoni", "Rutilus", "Phaeotis", "Cleberi", "Catherinae", "Mamorae", "Vespuccii", "Indefes", "Nimbosus", "Pectoralis", "Sciurus", "Ingrami", "Sanborni", "Mimulus", "Ratufa", "Idiurus", "Quemisia", "Osborni", "Phenax", "Heptax", "Isolobo", "Dontinae",  "Samana", "Hutia", "Aedium", "Nanus", "Cabrera", "Oriente", "Voratus", "Fanaticus", "Coroza", "Paratus", "Seto", "Eliasi", "Dimidiatu",  "Sucre", "Echino", "Thrix", "Choricus", "Leniceps", "Occultus", "Lacuna",
// Galaxy 5
"Chelictinia", "Riocourii", "Scriptus", "Leucurus", "Axillaris", "Caeruleus", "Alcinus", "Forficatus", "Elanoides", "Rostra","Lophoi", "Celebensis", "Canonicus", "Apivorus", "Infuscatus","Hierax", "Uncinatus", "Leptodon", "Forbesi", "Cayanensis", "Leuphotes", "Otus", "Uralensis", "Subcristata","Jerdoni", "Serpentarius", "Sagitarius", "Pandion", "Falco", "Peregrinus", "Nisus", "Tyto", "Mindanao", "lorikeet", "Citrine", "Nauarchus", "Temminck", "Rubri", "Torquis", "Opsepio", "Kelvas", "Lombok", "Sumbawa", "Kalaotoa",  "Tumulus", "Sulawesi", "Ornatus", "Tricho","Pariter", "Sufflatus", "Teutates", "Talaud", "Histrio", "Banda", "Reticulata", "Clustrum", "Squamata", "Scintillata", "Dubois", "Chalcopsitta", "Lorini", "Guinea", "Schlege", "Modesta", "Pheucticus", "Piranga", "Olivacea", "Rubra", "Passeri", "Calcarius", "Laponicus", "Nivalis", "Saprus", "Plectro", "Plphenax", "Gineus",  "Vespertina", "Arcanum", "Thraustes", "Cocco", "Pinicola", "Enucleator", "Erythrinus", "Carpodacus", "Janubio", "Salinas", "Githa",  "Bucanetes","Liquesco", "Sitacus", "Rostra", "Curvi", "Scotica", "Geograph", "Hornemanni", "Carduelis", "Panuridae", "Parus", "Cinericius", "Versutus", "Parus", "Circumdari", "Regulus", "Ignio", "Capila", "Corvus", "Corax", "Corone", "Coloeus",  "Monedula", "Daurian", "Catactes", "Hocorax", "Vireo", "Olivaceus", "Delphicus", "Lanius", "Nubicus", "Collurio", "Excubitor",  "Turkestan", "Cristatus", "Oriolus", "Oriolidae", "Nefas", "Empidonax", "Alnorum", "Virescens", "Fulmarus", "Glacialis", "Pacifica", "Arctica", "Amherstiae", "Pictus", "Coturnix", "Perdix", "Alectoris", "Tetrix", "Tetrao", "Intercisus", "Scotica", "Oxyura", "Onidae", "Mergus", "Marila", "Ornatus", "Cucullatus", "Islandica", "Bucephala", "Albeola",  "Clangula", "Hyemalis", "Picillata", "Fusca", "Harlequin", "Histrionicus", "Somateria", "Nyroca", "Aythya", "Mantellum", "Badius", "Delacour", "Humei", "Poensi", "Nensis", "Yunnan", "Hadro", "Kuru", "Ibeana", "Aridulus", "Canus", "Sulawesi", "Othrix",  "Echio", "Thrix", "Leucura", "Legata", "Diplothrix", "Yalden", "Eburneae", "Dephome", "Defua", "Nudipe", "Montane", "Incomtus",  "Cabrali", "Alleni", "Cabral", "Suncoides", "Leyte", "Fallax", "Katanglad", "Moerex", "Nephelo", "Devius", "Levipe", "Caracolus", "Trepidatio", "Domitian", "Palmipe", "Tenuipe", "Spinosus", "Dubosti", "Minutus",  "Paracou", "Desmaresti", "Molitor", "Yunganus", "Tatei", "Oniscus", "Cephalus", "Acritus", "Sciureus", "Chacarius", "Saturatior",  "Libertatem","Polius", "Savamis", "Raptor", "Detrimentum", "Tweedie", "Trichotis", "Tumidus", "Podox", "Loncho", "Neatha", "Medius", "Occasius", "Isothrix", "Saturnus", "Caniceps", "Edax", "Pictus", "Olalla", "Peruanus", "Ashanika",  "Punta", "Vacas", "Coruro", "Octodon","Viscacha", "Degu", "Pacificus", "Sagei", "Fuscus", "Porteri", "Degus", "Validus","Tuxonax",  "Tuco", "Talas", "Tellus", "Torquatus", "Steinbach", "Lautumiae", "Salta",
// Galaxy 6
"Ventris", "Crassus", "Crypto", "Fuscicollis", "Rufi", "Rueppe", "Pacifica", "Delacroix", "Hoematotis","Calliptera","Demoiselle", "Orcesi", "Colombia", "Melanura", "Dicata", "Egregia", "Leucotis", "Peruviana", "Luciani", "Santarem", "Amazonum", "Caerulei", "Subandina", "Picta", "Molinae", "Lepida", "Perlata", "Devillei", "Frontalis", "Ochre", "Cruentata", "Courtois", "Schlegel", "Ventris", "Occidentalis", "Neopsephotus", "Splendida", "Pulchella", "Petrophila", "Anthopeplus", "Pontus", "Sortitio", "Vieillot", "Jonquil", "Aprosmictus", "Desperatus", "Scapularis", "Molucca","Nensis", "Amboi", "Alisterus", "Vernalis", "Pusillus",  "Hedorah", "Taliabu", "Sclateri","Catamene", "Auranti", "Molucca", "Loriculus", "Nianus", "Pullarius", "Taranta", "Tectum", "Acanthis", "Flammea", "Carduelis", "Cabaret", "Spinus", "Eurasia", "Rostris", "Flavi", "Linaria", "Cannabina", "Linet", "Chloris", "Serinus",  "Serin", "Fringilla", "Coelebs", "Rubescens", "Anthus", "Oregon", "Spinoletta", "Petros", "Cervinus", "Pratens", "Gustavi", "Pechora",  "Triviallis", "Hodgsoni", "Campestris", "Argentatus", "Leucopsis", "Acilla", "Motacilla", "Meirchion", "Dryobates", "Picoides", "Buntspecht", "Dendrocopos", "Sphyrapicus", "Viridis", "Varius", "Torquilla", "Jynx", "Picidae",  "Botbotik", "Upupa", "Epops", "Bucero", "Upupidae", "Coracias", "Apiaster", "Merops", "Persicus", "Alcyon", "Meropidae", "Megaceryle",  "Alcedo", "Callisto", "Apus", "Tachymarptis", "Pacificus", "Palidus", "Chaetura", "Pelagica", "Parcenet", "Ferina", "Hodal", "Kuribo", "Falcata", "Spatula", "Discors", "Quedula", "Formosa", "Tadorna", "Lanorna", "Veneti", "Albipes",  "Xanthurus", "Olor", "Taiga", "Branta", "Erubescant", "Dulcus", "Vernaya", "Adustus", "Oleracea", "Imperator", "Hadrou", "Tokudaia",  "Venustu", "Tarso", "Apoensi", "Punica", "Hamatus", "Celebes", "Arcuatus", "Caudatus", "Celebenis", "Celebes", "Cutchicus", "Paulus", "Dinagat", "Australis", "Cratero", "Buehler", "Ruemml", "Silaceus", "Vates", "Lamia",  "Isarog", "Dorensi", "Forbesi", "Gamera", "Roides", "Calamian", "Koopmani", "Chiropus", "Phaeurus", "Prolatus", "Penitus", "Fratroe",  "Coelesti", "Dentatus", "Salomons", "Bandicota", "Indica", "Neumani", "Arvicanthis", "Ural", "Roraima", "Methodium", "Delator", "Hocicudo", "Amazonicus", "Tremefacio", "Proditum", "Quechuan", "Angularis", "Akodontius", "Derelictus",  "Urichi", "Nivellen", "Temchuk", "Punctulatus", "Obscurus", "Lactens", "Benefactus", "Amoenus", "Lenoxus", "Apicalis", "Talpinus", "Huanchaca", "Akodont","Tomentosus", "Guapore", "Candango", "Jusceli", "Soricine", "Guaran", "Vanesco", "Breviceps", "Mendoza", "Tocial", "Leucodon", "Catamarca", "Chacoane", "Dorsalis", "Australis", "Acouchi", "Ruatani", "Acrobata", "Patagonum",  "Tschudii", "Australis", "Niata", "Jarilo", "Magna", "Aperea", "Pacarana", "Gamera", "Viscacia", "Viscacha", "Peruanum",  "Dorsatum", "Spinosus", "Vestitus", "Rothschild", "Themera", "Ichilus", "Bahia", "Chaetom", "Zontidae", "Thryon",
// Galaxy 7
"Bonaparte", "Rhyncha", "Austral", "Patagonus", "Cognathus", "Aztec", "Maculata", "Eupsitula","Jandaya", "Auricapillus", "Couloni", "Aratinga", "Couloni", "Auricollis", "Primolius", "Tescum","Militaris", "Gordova", "Praesidium", "Gularis", "Chloropterus", "Ararauna", "Ambiguus", "Bechstein","Orthops", "Carolinensis", "Salvadori", "Guarouba", "Nobilis", "Icterotis", "Panthera", "Henantier", "Personatus", "Cunabula", "Fischer", "Agapornis", "Nithinae", "Agapor", "Oustalet", "Desmarest", "Hombron", "Reichenbach", "Undulatus", "Melops", "Neopsitacus", "Arfaki", "Toxopei", "Amabilis", "Vereaux", "Diadema", "Notata", "Rubro", "Pulchella", "Placentis", "Leporem", "Palmarum","Palmlo", "Margarethae", "Josefinae", "Richsen", "Rocephala", "Peuviana", "Stepheni", "Australis", "Motacilla", "Citreola", "Calcarata", "Tomohon", "Tschut", "Schensis", "Flava", "Petronia", "Montanus", "Eurasia", "Passer", "Hispanica",  "Prunella", "Montanella", "Collaris", "Tempore","Modularis", "Oenanthe", "Occaeco", "Ipsilou", "Melano", "Leuca", "Chanka",  "Harmonia","Oenanthe", "Rubicola", "Talithia", "Maurus", "Solitarius", "Saxatilis", "Phoenicurus", "Mousieri", "Aegyptius", "Odorem", "Europaeus", "Funereus", "Tengmalm", "Asio", "Flammeus", "Otus", "Strix", "Noctua", "Surnia", "Scandiacus",  "Scops", "Tyto", "Mensura", "Americanus","Tytonidae", "Cuculus", "Canorus", "Clamator", "Glandarius", "Cuculidae", "Krameri", "Turtur",  "Zenaida", "Macroura", "Orientalis", "Decaocto", "Trepido", "Palumbus", "Oenas", "Columbidae", "Timoren", "Thamriel", "Anicus", "Sordox", "Sanila", "Palmarum", "Mordax", "Terentius", "Vitatis", "Anserem", "Koopmani", "Venundare",  "Losea", "Reolus", "Elaphine", "Amineus", "Enganu", "Adustus", "Anandalei", "Bontan", "Oralis", "Jaborifex", "Venter",  "Argenti","Fumeus", "Praeteritus", "Glaucus", "Baluensi", "Delicatulu", "Apodemoides", "Albocinereus", "Australis", "Insignis", "Perfodio", "Semotus", "Specion", "Draco", "Gurkha", "Sichua", "Harmon", "Arianus", "Mindoro", "Agrarius", "Argenteus",  "Apodemus", "Dorensi", "Silinda","Nyika", "Emissarius", "Kaiseri", "Emeritus", "Hindei", "Chrysophilus", "Bocage", "Genu",  "Pygargus","Fanaticus", "Lacustris", "Latiden", "Tranieri", "Tateril", "Lacustris", "Emini", "Praeseco", "Akodont", "Torques", "Tartareus", "Surdus", "Puno", "Siberiae", "Cochabamba", "Polopi", "Kofordi", "Glaucinus", "Pictipes", "Patagon",  "Junn", "Ecuadoria", "Dayi","Dolores", "Crdoba", "Aerosus", "Occidenta", "Delfini", "Cronyx", "Sanborni", "Putridum", "Kofordi",  "Tarsalis", "Dorsalis", "Janeiro", "Tremefacio", "Garomar", "Paradoxus", "Montanus", "Mexicanus", "Indica", "Africanus", "Pumila", "Cristata", "Sumatrae", "Teredo", "Helio", "Phobius", "Capensis", "Glaber", "Occlusus", "Kafuen",  "Amatus", "Damara", "Entotus", "Custos", "Laotia", "Diato", "Speke", "Ctenodac", "Tylidae", "Nephropidae", "Homarus", "Panulirus", "Crustacea", "Amphipoda", "Topoda", "Isopoda", "Decapoda", "Malacon", "Daphnia", "Cephalo",
// Galaxy 8
"Berlepsch", "Leptos", "Glaucous", "Lear", "Latham", "Scopili", "Surdus", "Praesidio", "Puratus", "Temminck", "Bavicus", "Touit", "Tepui", "Andean", "Dachilleae","lineola","Rufous", "Aymara", "Aurifrons", "Amoro", "Auri", "Taczanowski", "Tarasqueps", "Propositum","Linnaeus", "Modestus", "Coelestis", "Occidental", "Spicillatus", "Pitrinus", "Deroptyus", "Homerius", "Solitarius", "Rothschild", "Nucha", "Nochrous", "Hypoi", "Teutates", "Haruku", "Saparua", "Domicella", "Forctis", "Versi", "Teuteles",  "Kakapo", "Strigops", "Notabilis", "Productus", "Nestor", "Nestoridae", "Rostris", "Tenui", "Sulphurea", "Sanguinea", "Nator", "Pasti",  "Ophthalmica", "Saparua", "Teutates", "Moluc", "Censis", "Roselaar", "Yamdena", "Larat", "Hausrot", "Phoeni", "Ficedula", "Albicollis", "Hypoleuca", "Parva", "Albicilla", "Luscinia", "Secica", "Nachti", "Hynchos",  "Ruribit", "Tarsiger", "Cyaus", "Irania", "Calliope", "Larviora", "Sibilans", "Rufous", "Rubecula", "Erithacus", "Muscicapa", "Striata", "Daurica", "Musci", "Cerco", "Trichas", "Migra", "Toria", "Vorus", "Joculator", "Iliacus", "Paradoxus", "Fratercula", "Arctica", "Antiquus", "Perdix", "Ramphus", "Impennis", "Alca", "Torda", "Aalge", "Paradisaea",  "Bengalensis", "Barugon", "Censis", "Dioecetes", "Chlidonias", "Epotus", "Caspia", "Nilotica", "Albifrons", "Chelidon", "Sternula",  "Onychoprion", "Beatus", "Fuscata", "Sterna", "Aleutica", "Larus", "Marinus", "Glaucoides", "Sonianus", "Cachinan", "Bolami", "Praomys", "Mutoni", "Morio", "Misonei", "Obscurus", "Verschuren", "Dentalis", "Murinus", "Verschureni", "Peteri", "Muton",  "Lukolela", "Deroo", "Delectorum", "Daltoni", "Otion", "Casteaux", "Crourus", "Vestris", "Loriae", "Decertator", "Pogono", "Bornean", "Pithe", "Pallidus", "Cumingi", "Isseli", "Fallax", "Pelom", "Campanae", "Naso", "Gracilis", "Tatera", "Manubiarius", "Rhombo", "Duprasi", "Peeli", "Somal", "Hurrianae", "Anthophoros", "Sacramenti", "Dahli", "Persicus",  "Paramerion", "Tarabuli", "Occidus", "Latastei", "Hesperinus", "Dalloni", "Bonhotei", "Cosensi", "Folium", "Monyx",  "Somalicus", "Poecillops", "Nanus", "Mesopotamia", "Carcerem", "Diminutus", "Dasyurus", "Amoenus", "Tytonis", "Caelum", "Microdon", "Humulis", "Biblios", "Gymnotis", "Mexicanus", "Nasutus", "Sejugis", "Eremicus", "Californicus", "Neotoma","Teonoma",  "Phenax", "Palatina", "Sonoran", "Devia", "Ixtlan", "Tumbala", "Glareolus", "Centralis", "Transcaspia", "Tatra", "Oregoni", "Obscurus", "Tarabundi", "Lusitania", "Juldaschi", "Caenosus", "Bavaricus", "Lemmus", "Olitor", "Mandari", "Bogdanovi", "Nection", "Remipedia", "Pulex", "Tanumek", "Daphnia", "Anostraca", "Caudata", "Chiopoda", "Ariera", "Lipostraca", "Hircus", "Aegagrus",  "Capra", "Canis", "Hominidae", "Nubiana", "Golgafrincham", "Ibex", "Sibirica", "Markhor", "Caucasica", "Karakoram", "Dricornis", "Caucasus", "Falcori", "Capra", "Cumatilis", "Papio", "Cercopith", "Noidea", "Aotidae", "Cebidae",
 // The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Iucundus"];

this.planetpool2 = [
// Galaxy 1
"Sublimatum","Melania", "Valencia", "Heroicus", "Cerritulus", "Salome", "Orduno", "Estrella", "Galano", "Caceres", "Sarita", "Perpetua", "Aracely", "Cicero", "Segundo", "Tendo", "Paloma", "Camila", "Martita", "Marcarena", "Austerus", "Fuente", "Ascencion", "Einstein", "Fundamenta", "Obregon", "Abel", "Gargole", "Maritimas", "Estela", "Mangas", "Rameses",   "Lucifer", "Valerie", "Pellicientes", "Nightingale", "Offucia", "Arabelle", "Haber", "Rapture","Axelle", "Adustus", "Armatus", "Ciannait", "Mairead", "Alethea", "Stirdeo","Caitrin","Caitriona", "Haodhai", "Nuala", "Laidan", "Ammissum", "Confusio", "Liadan", "Layla","Beathas", "Atiena", "Nafia", "Satila", "Nasma", "Zaniah", "Aldona", "Orela", "Nerezza", "Malvolia", "Hubris", "Ultimus", "Novia", "Kadin", "Carita", "Incendium","Corvus", "Goristro","Neptunia", "Marx", "Somnus", "Istasha ", "Oneida","Khalilah","Kadin", "Vexatio", "Aurora", "Dolichotis", "Kapre", "Philomena", "Gisele", "Sadako","Hetal", "Karima", "Vida", "Helot", "Quanda", "Solada", "Esther", "Niyousha", "Glendin", "Odon", "Colvin", "Mercurius", "Kritanta", "Achan", "Mardochaios", "Kedron","Enresh", "Ubel","Herodes", "Chasma", "Tamish", "Corthum", "Catulus","Havok","Valdis", "Pedanius", "Dargel", "Howzat", "Furtivus", "Perdendas", "Fusilia", "Nerrim","Kalakuta", "Kittelson", "Methuselah", "Ecclesia", "Nevada", "Jolon", "Warwick", "Merodach", "Belrose", "Auro", "Gladius", "Napolitano", "Fonsie", "Capricia", "Loredana", "Desideria","Paola", "Amore","Ravenna", "Fallaci", "Defina", "Communis", "Angioletta","Humulus","Cosima", "Carlotta", "Helios", "Defessus", "Alessa", "Toscani", "Churchill", "Rostrum","Finalem", "Foederatio", "Glaucus", "Pietrina", "Renata", "Contrarietas", "Trevisan", "Fortunata", "Asante", "Fluenta", "Rashidi", "Sepulchrum", "Chandu", "Kondo", "Tamu", "Salim","Shomari", "Mordere","Russom", "Landon", "Hetha", "Odella", "Zanna", "Rohesia","Shista", "Chronus", "Shlithneth", "Bulette", "Kelcie", "Louella", "Felton", "Cedrica", "Vanne", "Auspicium", "Amurru", "Averil", "Odella", "Valora", "Rovena", "Tatum", "Ulrich", "Maon", "Cuirealan", "Newton", "Lenin", "Confusio", "Arctica", "Carmino", "Curstaidh", "Atlantis", "Rionach", "Mairead", "Siofra", "Praesidium", "Donovani", "Saibh", "Keefei", "Muirin", "Corposes", "Naomh", "Caisidei", "Gormal", "Pariunt", "Conailli", "Shannara", "Arctica", "Kendrick", "Barabbas", "Arsinoe", "Aigneis", "Slanei", "Inermis", "Ahalana", "Goliath", "Gaelira", "Caballinus", "Andropov", "Eiresti", "Venenum", "Alerathia", "Andanor", "Doreah", "Viansola", "Taeriel", "Nasha", "Dendrom", "Volsella", "Daenestra", "Baceolus", "Threnos", "Moruilos", "Raerauntha", "Andanor", "Miriel", "Vathek", "Bathsheba", "Daoloth", "Deskari", "Boromeo", "Sheana", "Elaria", "Daena", "Adustus", "Merlin",
// Galaxy 2
"Caterina", "Consoli", "Ornella", "Vecoli", "Dorotea", "Antonietta", "Jolanda", "Fortunata","Santaros", "Romola","Elenore", "Persepolis", "Alphonsine", "Tatienne", "Amarante","Madeleine","Cerise", "Malodrax", "Arienne", "Delacroix",  "Erenon", "Tirado", "Leocadia", "Custodia","Dorantes", "Malon", "Pollentia", "Nocito", "Volante", "Tonia", "Mercedes", "Calderon", "Phasma", "Parmenia", "Minerva", "Vilmaris", "Aldona", "Eldrida", "Sorcha", "Chalondra", "Griselda", "Alethea", "Madelhari", "Valencia", "Chiara", "Ineruditus", "Eferhild","Crepitus", "Paulinus ", "Danasur", "Palatium", "Seraphina", "Salvatore", "Kukosi", "Solacium", "Paulinus","Fadiyah", "Turan", "Lenna", "Aileen", "Ciana", "Animosus", "Audelia", "Deandra", "Niyousha", "Incendium", "Mitra", "Edoardo", "Eisenhorn", "Carreen", "Fillia", "Hetal","Kapre", "Sima","Vida", "Calumnia", "Sakina", "Alva", "Nitidus","Sumitra","Netis", "Varine", "Mercatura", "Caraid", "Oleoncius", "Minette", "Winola", "Karima","Arlana", "Gisele", "Leala", "Tamika", "Dakota", "Nobuko", "Tenues", "Reuel", "Vitreus", "Laqueare", "Concussus", "Colvin", "Furtivus", "Tamish", "Caudex", "Nuntium","Mrithun", "Laidh","Damyan", "Phobus", "Andras", "Mardochaios", "Mirrikh","Maleagant","Appius", "Feralis", "Kalayavan", "Turbella", "Belisarius", "Fabula", "Deinceps", "Ubel", "Leovontos", "Orphee", "Feriatum", "Dearil", "Inperator", "Exilium", "Grendon", "Abaddon", "Vacillare", "Lothario", "Amadore", "Tito", "Silenus", "Valeriano", "Fautino", "Orazio","Massa", "Cleto","Aresnio", "Teodoro", "Liberatore", "Ferri", "Taberna","Talmai","Bartolo", "Aurelio", "Luoni", "Sandro", "Humatio", "Celestino", "Alpharius", "Longo","Volpone", "Salvatore", "Luca", "Teobaldo", "Traglia", "Natanaele", "Leonardo", "Vittore", "Rovena", "Opeline", "Ornelle", "Hertha", "Kalapus", "Melinda", "Maitane", "Valora","Nocturne", "Petula","Dahlia", "Edulis", "Alvine", "Nixon", "Valedor","Nerthus","Vellicatio", "Secunda", "Voluntas", "Astorath", "Idonea", "Inga", "Danaus", "Eidunn","Hella", "Bodil", "Ahriman", "Nerthus", "Trond", "Voluptates", "Torsten", "Tollak", "Naomh", "Supplicium", "Sileas", "Aislinn", "Eilish", "Seonaid", "Senga", "Armatus", "Ultramar", "Slainidh", "Saraid", "Niamh", "Kermitm", "Tearlaidh", "Lachlainn", "Pudicus", "Neasan", "Duanei", "Faolan", "Ronan", "Tesca", "Rodachan", "Incaladion", "Nuallaini", "Mochaini", "Aodh", "Truinnean", "Odhran", "Nilidh", "Lulach", "Aelurus", "Cailean", "Karkinos", "Viserra", "Haela", "Andwen", "Nimiel", "Naela", "Hermetica", "Allannia", "Ikeshia", "Morraen", "Giliel", "Firaira", "Velocitas", "Nasha", "Leilatha", "Tamara", "Miriel", "Saelihn", "Aequitas", "Nasha", "Eirsha", "Vestele", "Porphetus", "Subridere", "Tiaesti", "Teharissa", "Tiaiell", "Telum", "Iorriel", "Fanuilos", "Karkinos", "Melel",
// Galaxy 3
"Favela","Perlita", "Dominga", "Godino", "Antunez", "Celestina", "Cancino", "Priscila", "Dimas", "Tobar", "Armando", "Ramira", "Casillas", "Pastrano", "Sarita", "Eufemia", "Novia", "Anita", "Blandon", "Adora", "Nieves", "Santin", "Lindo", "Xiomara", "Therasia", "Martirio", "Adelita", "Gamero", "Eduarda", "Penalver", "Debora", "Angelica",   "Leora", "Halle", "Arabel", "Tiara", "Meira", "Jasbeer", "Crepitus", "Iliana","Nera", "Bertille","Lenore", "Lavena", "Orli", "Adara", "Aegle","Brina", "Gordafrid", "Ailani", "Phoebe", "Elenor", "Shula", "Keren", "Nermana", "Panan","Eliora", "Imelda", "Ciana", "Nakhti", "Clotilda", "Jaiyana", "Inara", "Toral", "Quirinus", "Calhoun", "Kondo", "Mandek", "Sakata", "Abhivira", "Luken", "Finian","Ferhat", "Rodion","Alger", "Der", "Barbod", "Kulvir", "Jusveer","Partho","Durbail", "Ariki", "Kamau", "Viren", "Fenyang", "Dritan", "Mannleah", "Ferhat","Barack", "Marcella", "Luthais", "Lesedi", "Oran", "Abhiveer", "Alaois", "Danasur", "Ozul", "Fachtna", "Teivel", "Mohandas", "Huxley", "Tchort", "Kritana", "Delano","Seth", "Brucus","Merodach", "Kraul", "Gabriel", "Damballa", "Maleagant","Methuselah", "Nizhalgal", "Orphee", "Fachtna", "Busiris", "Tuwile", "Odon", "Rience", "Mercurius","Jolon", "Appius", "Delectatio", "Otaktay", "Alvah", "Resonantia", "Revon", "Mardochaios", "Tecla", "Alicia", "Felipa", "Xiomara", "Cano", "Paramo", "Avila", "Arocha","Llanas", "Ascencion","Emelina", "Pepita", "Arroyo", "Adelita", "Deniz","Ferrin","Candella", "Nicodemus", "Renata", "Odalis", "Nieves", "Tiscareno", "Leocadia", "Verde", "Sanchia", "Mariangela", "Samano", "Rainmuda", "Arebalo", "Emperatriz", "Danon", "Ivette", "Ingvar", "Tormod", "Torkel", "Vragi", "Halvard", "Arvid", "Torgeir", "Holger","Perforo", "Amund","Viggo", "Reidar", "Torvald", "Geir", "Gunnar","Tollak","Andor", "Torleif", "Einar", "Sindri", "Alvis", "Helge", "Benten", "Teno","Senhen", "Sangen", "Kannon", "Tatsuta", "Hariti", "Toyotama", "Amaterasu", "Mochi", "Odhran", "Ailpein", "Ninean", "Oisian", "Neasan", "Eadan", "Chauntea", "Machar", "Nolani", "Maestitia", "Oisean", "Iurnan", "Guaire", "Maomhan", "Ceallach", "Failbhe", "Slanei", "Cathalan", "Osgar", "Caireall", "Dubhthach", "Fearchar", "Sionn", "Guirmean", "Fannoni", "Corraidhini", "Conchar", "Ailean", "Aodh", "Riagain", "Maestitudo", "Rodachan", "Idril", "Doreah", "Fanwen", "Fanuilos", "Gayila", "Tiaesti", "Eirsha", "Eirua", "Naela", "Iahalae", "Saelihn", "Iriel", "Hirwen", "Kaeda", "Adustus", "Elaria", "Valindra", "Nuovis", "Irithiel", "Miriel", "Aranor", "Nuela", "Dolwen", "Eirlia", "Sheedra", "Vestele", "Naesti", "Leilatha", "Maifel", "Iahalae", "Talaedra", "Shefel",
// Galaxy 4
"Nyno", "Catalina", "Necci", "Orabella", "Gabriella", "Capricia", "Candreva", "Lucciano","Genevra", "Nereza","Monaldo", "Reluctor", "Mancini", "Monaldo", "Gartana","Trevisan","Bonfilia", "Diamante", "Piccio", "Allesi", "Angioletta", "Monaldo", "Cosima", "Milano","Donati", "Lombardi", "Zampa", "Valeria", "Loreto", "Melania", "Velia", "Ornella", "Nahara", "Evanna", "Nermana", "Isolde", "Tesha", "Halfrida", "Chimane", "Louella","Adamaris", "Edrei","Ingaberg", "Shahay", "Adamaris", "Makai", "Ingaberg","Halle", "Tehmina", "Adira", "Chiara", "Edrei", "Tanwen", "Audelia", "Inara", "Aithne","Durkhanai", "Ciandra", "Philomena", "Louella", "Jocelyn", "Cymbre", "Brenna", "Aquila", "Danasur", "Manar", "Trucidator", "Bali", "Heron", "Tlachelel", "Cassander", "Partho","Durbail", "Kovalan","Publius", "Ojore", "Marcella", "Lothar", "Kaidan","Abhivira","Alois", "Alaois", "Osborn", "Jayvyn", "Dorian", "Fitela", "Kulvir", "Aryo", "Luken", "Pharrell", "Salvatore", "Praereptor", "Elior", "Kalva", "Ervar", "Kava", "Naois", "Pharris", "Conlan", "Goron", "Cassander", "Ariki", "Halbert", "Laertes","Kovalan", "Atal", "Siraj", "Radames", "Corentin", "Martyn", "Jonah","Aeneas","Barbod", "Prabir", "Vastus", "Takhmaspada", "Jayvyn", "Brasmatia", "Naishadh", "Lucian","Tamatoa", "Kiaskari", "Lucian", "Tharris", "Durbail", "Sohrab", "Cuchulainn", "Ingvar", "Arcelia", "Leonor", "Celia", "Peno", "Fuentes", "Maritza", "Vielma", "Catalina","Ochoa", "Odalys","Artifex", "Mangas", "Oquendo", "Mustus", "Santin", "Ortegon","Cayo", "Carda", "Ingles", "Vasco", "Topete", "Salome", "Zarco", "Hoyos","Amparan", "Celio", "Silvestre", "Guiomar", "Ammissio", "Zevallos", "Goito", "Zambran", "Kannon", "Sangen", "Marici", "Aino", "Tatsuta", "Otohime", "Usodori", "Hisame", "Shojo", "Bosatsu", "Shaka", "Inari", "Takami", "Bosatsu", "Shoki", "Inari","Shoki", "Amatsu", "Tenjin", "Koshin", "Sanbai", "Futen", "Akuma", "Momotaro","Miroka", "Shoki", "Amida", "Kappa", "Ebisu", "Ashurath", "Futen", "Comoedicus", "Nolani", "Verda", "Juliet", "Romeo", "Nastasya", "Aguilar", "Tolkien", "Nika", "Ivanova", "Sasha","Nina", "Kira", "Vasilieva", "Frolova", "Agrippa", "Nona", "Klara", "Popova", "Talya", "Slava", "Sashura", "Sokoloa", "Zina", "Tarasova","Isidora", "Alisa", "Osipova", "Borisova", "Larissa", "Lebedava", "Zhanna", "Rada", "Talaedra", "Rathiain", "Quaela", "Firsha", "Chandrelle", "Beala", "Eirua", "Ialantha", "Vardan", "Alavara", "Maiae", "Nuovis", "Reina", "Idril", "Hiriel", "Eirsha", "Dolwen", "Daeondra", "Tamara", "Efferus", "Beala", "Kaeda", "Irwen", "Calarel", "Volsella", "Vorlanthus", "Shandalar", "Moruilos", "Merlara", "Eirlia", "Galadhel", "Humulus",
// Galaxy 5
"Scutari", "Vecoli", "Aletheia", "Abelie", "Palmira", "Luoni", "Romilda", "Udinesi","Necci", "Alessa","Desideria", "Conti", "Fanucci", "Edvige", "Fallaci","Trevisani","Samuuela", "Perla", "Toscano", "Cafaro", "Delfina", "Brunilda", "Bertina", "Ersilia","Ebrica", "Lorion", "Candreva", "Noelia", "Zeta", "Daniela", "Eleonora", "Luciana", "Jasbeer", "Bertille", "Alaula", "Kendria", "Seraphina", "Alessandra", "Citlamina", "Adolfina","Panan", "Ciandra","Imelda", "Fadiyah", "Evanna", "Audelia", "Cymbre","Ariadne","Bathilde", "Botilda", "Lana", "Solatium", "Aysel", "Kendra", "Adamaris", "Philomena","Audelia", "Loni", "Louella", "Herho", "Nakhti", "Aonani", "Tesha", "Onella", "Ozul", "Fachtna", "Teivel", "Mohandas", "Huxley", "Tchort", "Kritana", "Delano","Putridus", "Confido","Merodach", "Kruthik", "Gabriel", "Damballa", "Maleagant","Methuselah", "Nizhalgal", "Orphee", "Fachtna", "Busiris", "Tuwile", "Odon", "Rience", "Mercurius","Vanesco", "Appius", "Oblectatio", "Otaktay", "Alvah", "Assensus", "Revon", "Mardochaios", "Nox", "Teivel", "Kuraim", "Damballa", "Rancidulus", "Nisesh", "Azrail", "Kalayavan","Foghlaidh", "Herodes","Eisenbeis", "Kol", "Dracul", "Andras", "Cariosus","Akar","Niseh", "Merikh", "Cessair", "Adelram", "Phobus", "Tuwile", "Abaddon", "Tchor","Mondaran", "Delano", "Kedron", "Monarchia", "Mohandas", "Furtivus", "Favhtna", "Anpu", "Triana", "Daza", "Ortez", "Pendregon", "Orbe", "Cimaco", "Torrente", "Dorantes","Pardo", "Tacito","Clemente", "Ancheta", "Raya", "Ector", "Arjona","Rama","Fermin", "Reyes", "Pesina", "Zamarron", "Ortis", "Anibal", "Fonsie", "Tejada","Zacarias", "Novio", "Camilo", "Calleros", "Ariza", "Seta", "Efrain", "Arturo", "Hoori", "Shinda", "Kura", "Jikoku", "Koshin", "Amatsu", "Ninigi", "Medicamentis", "Miro", "Baku", "Yabune", "Okina", "Tsui", "Kamado", "Gami", "Hoderi", "Bishamon", "Hotei", "Heike", "Susanowa", "Shoko", "Inari", "Meier", "Lora","Amala", "Vindicta", "Annikin", "Adala", "Salida", "Melusina", "Mina", "Sauer", "Volkova", "Arina", "Varushka", "Borisova", "Tamara", "Praestolatio", "Tiberius", "Klava","Alene", "Labedeva", "Ivanova", "Titiana", "Yelena", "Orlova", "Agrafina", "Vlasova", "Tamara", "Raisa", "Zoya", "Shura", "Roksana", "Larissa", "Irina", "Liouba", "Antonova", "Veta", "Anfisa", "Tectorium", "Yesfir", "Sashura", "Kepeka", "Lebedeva", "Taflas", "Ceador", "Hastos", "Gallas", "Nardual", "Gael", "Dirus", "Thalien", "Baralas", "Paeris", "Evanara", "Estelar", "Aranadar", "Baraborn", "Oslarelar", "Finrod", "Vaegon", "Beor", "Malion", "Vaegon", "Ealoviel", "Lashrael", "Therona", "Inchel", "Kolvar", "Aranel", "Halrond", "Ealoviel", "Amadan", "Barauil", "Laelithar", "Pinlas",
// Galaxy 6
"Orabella", "Anouska", "Gileberte", "Oriane", "Moreau", "Nina", "Lunete", "Monet","Therese", "Mirabelle","Janvier", "Marian", "Amarante", "Giroux", "Lemieux","Adephe","Geneva", "Proulx", "Idette", "Thibault", "Odile", "Langlais", "Melisende", "Adelie","Amorette", "Laure", "Adustus", "Celeste", "Ariane", "Fontaine", "Pascal", "Laurentine", "Otway", "Luscinus", "Jemisha", "Amaya", "Otaktay", "Tanda", "Melantha", "Kasdeya","Delaynie", "Claustrum","Malvolia", "Laverna", "Layal", "Lamia", "Samara","Kiara","Rudianos", "Kasdeya", "Vespera", "Narkissa", "Melantha", "Persefoni", "Medea", "Vasta","Libitna", "Kakarauri", "Loralai", "Quella", "Agrona", "Ernaline", "Soledad", "Dirce", "Sohrab", "Herakles", "Praveera", "Daya", "Bakavata", "Albern", "Roshaun", "Aiden", "Baudric", "Pharrell","Naois", "Amarveer", "Khalon", "Bakavta", "Pharris","Karamveer","Devasur", "Cerebrum", "Cassander", "Devasur", "Alois", "Todorov", "Ervar", "Omeet","Atal", "Asfand", "Neirin", "Aalock", "Arshama", "Kondo", "Abner", "Kamau", "Kahedin", "Anas", "Agenilda", "Besnik", "Elden", "Takoda", "Ghislain", "Reuel","Kalil", "Llieven","Leal", "Arlan", "Selwyn", "Pamphilos", "Mithra", "Herluin","Greyn", "Gladwin", "Liesel", "Mihael", "Lamorak", "Iyayi", "Fidelis", "Thracian","Artemis", "Naji", "Joyab", "Aluin", "Gladwin", "Phylo", "Selwyn", "Tomomi", "Tobar", "Parras", "Khamisi", "Furaha", "Zahra", "Anenih", "Dimka", "Solarin","Onyesha", "Bahati","Okpara", "Subira", "Hasina", "Aleela", "Leta","Russom","Sanura", "Asha", "Kesi", "Adiah", "Panya", "Cordatus", "Roosevelt", "Bahati","Kanika", "Aziza", "Ramla", "Diya", "Kani", "Kaisa", "Tinibu", "Tabia", "Mariele", "Renate", "Ortrun", "Gisela", "Gerlinde", "Gitta", "Conradine", "Lene", "Gertraund", "Katrina", "Anselma", "Lorelei", "Klothilda", "Sigi", "Katrin", "Kohler", "Marlene", "Lorelei", "Felicie", "Derichs", "Anke", "Kirsa", "Anneke", "Meier", "Renate", "Angelika", "Vogt", "Sauer", "Elfriede", "Gorlois", "Liese", "Lene", "Iolanta", "Ceadar", "Ornthalas", "Orbyn", "Andriel", "Elaria", "Alavar", "Tatha", "Irithiel", "Nuela", "Talaedra", "Nimreth", "Teutates", "Daenestra", "Eilana", "Irgil","Morraen", "Tiafel", "Naela", "Fanriel", "Raerauntha", "Naela", "Laena", "Talaedra","Alaesa", "Meara", "Talaedra", "Holone", "Fildaerae", "Talilia", "Eirua", "Keara", "Turgon", "Kelkalyn", "Ardorius", "Seiveril", "Tathdel", "Cornaith", "Pharom", "Nevarth", "Anuaer", "Barathalion", "Laelithar", "Orndacil", "Galdir", "Thundruil", "Turan", "Hastos", "Eladan", "Raphine", "Galhad", "Ornthalas", "Aralas", "Pinion", "Nenaias", "Quaeth","Jasin", "Celethir", "Galthir", "Nenaias", "Selmer", "Ardorius", "Beleg", "Baraor",
// Galaxy 7
"Richelieu", "Noelle", "Gaelle", "Arnaude", "Sartre", "Pascale", "Langlois", "Laudine","Clotilde", "Honorine","Flavie", "Janvier", "Albertine", "Comtois", "Berdine","Solitudines","Legrand", "Fabien", "Moulin", "Plamondon", "Anastaise", "Eustacia", "Doriane", "Bellerose","Armelle", "Proulx", "Daniau", "Voclain", "Faucher", "Anouk", "Anastasia", "Capucine", "Lamia", "Mara", "Agrona", "Medeia", "Layal", "Zelda", "Semele", "Lailah","Adrienne", "Persephone","Empusa", "Nishay", "Persefoni", "Loralai", "Mallory","Narkissa","Delaynie", "Lilitu", "Megaera", "Kakarauri", "Jezebeth", "Cecilia", "Melania", "Nimue","Alekto", "Cessair", "Tisiphone", "Sarka", "Morana", "Libitina", "Aeron", "Hadria", "Gideon", "Jomei", "Bishamonten", "Chirag", "Horatius", "Geronimo", "Bevan", "Charmander", "Rostam", "Sinuhe","Luthais", "Cauterium", "Calhoun", "Pharris", "Volanaro","Laertes", "Lortheim", "Partho", "Partho", "Ingvar", "Alih", "Lesedi", "Oran", "Fenyang","Sukhbataar", "Kulvir", "Kikosi", "Hyldeihera", "Aetheleorn", "Karamveer", "Omeet", "Oisin", "Kalil", "Reptans", "Lele", "Nobuo", "Bakarsi", "Nitis", "Elden", "Arluin","Greyn", "Daemyn","Iyayi", "Amit", "Kelvin", "Wynn", "Viator","Ortwin","Samiul", "Raham", "Besnik", "Ronan", "Amnon", "Takoda", "Tomomi", "Khalil","Samir", "Derwin", "Alfwin", "Auden", "Liesel", "Pamphilos", "Besnik", "Pamphilos", "Aisha", "Festinius", "Tabia", "Adesina", "Maenlorn", "Lakicia", "Hasana", "Darelliun","Ashanti", "Dashiki","Chriki", "Cambitas", "Akina", "Siti", "Kani","Otesha","Imara", "Ibori", "Hasnaa", "Goma", "Atiena", "Buhari", "Trinovantes", "Tinibu", "Imarisha", "Nalah", "Calumnia", "Adea", "Ademola", "Anenih", "Papilio", "Leta", "Vieth", "Boesch", "Ivonne", "Annaliese", "Meier", "Alina", "Hedda", "Carentibus","Ursel", "Sofie","Tabea", "Elisa", "Sauber", "Teufel", "Derichs", "Nadja", "Lehmann", "Gerrit", "Almeric", "Kiefer", "Volker", "Poldi", "Ulrich", "Menno","Abiectus", "Exelion", "Ostium", "Heiden", "Hagan", "Bradbury", "Horst", "Morsus", "Moruilos", "Dolgil", "Eilana", "Quaela", "Taledra", "Shalia", "Talaedra", "Melriel", "Naiell", "Ellania" ,"Naesti", "Melronna", "Nimwen", "Daealla", "Fanuilos", "Nalia", "Finduilas", "Tiafel", "Quamara", "Teharissa", "Ironna", "Rathiain", "Teharissa", "Soliania","Findanor", "Tiaesti", "Nuesti", "Ilmadia", "Alais", "Tiatha", "Quamara", "Nimel", "Jassin", "Morthil", "Raegel", "Molostroi", "Baradir", "Caballarius", "Caudur", "Therona","Nindar", "Laelithar", "Herbalar", "Aranuil", "Halor", "Phlebas", "Caedor", "Larenth", "Beinion", "Curuor", "Virtheon", "Tassarion", "Tafor", "Noldorin", "Galor", "Teroth", "Intevar", "Haleth", "Tannivh", "Amthalion", "Linhad", "Curuion", "Thalien", "Ardorius",
// Galaxy 8 
"Ninon", "Modestine", "Euphemie", "Meraud", "Savatier", "Colombe", "Amarante", "Custance","Beaulieu", "Batilde","Marceline", "Delacroix", "Helene", "Guerin", "Moreau","Cunegonde","Leonne", "Andre", "Legrand", "Aimee", "Roche", "Deline", "Sibylle", "Vindex","Elodie", "Fabienne", "Marquite", "Toinette", "Jehovah", "Eugenie", "Solange", "Berthe", "Cessair", "Lamina", "Megaera", "Malvolia", "Esmeray", "Ambrosia", "Morana", "Lailah","Keres", "Quella","Empusa", "Semele", "Nerezza", "Kerrell", "Tisiphone","Tamisra","Morrigan", "Persefoni", "Ciara", "Corvina", "Tanda", "Delaynie", "Damia", "Kakarauri","Cessair", "Laverna", "Melantha", "Hadria", "Samara", "Amaya", "Gorgo", "Adrienne", "Galtero", "Sigurd", "Naois", "Roshaun", "Vitrum", "Gifflet", "Megaira", "Adelram","Glendin", "Orphee","Damion", "Doegel", "Keres", "Damballa", "Valdis","Alastor","Kritanta", "Kalakuta", "Vanesco", "Captura", "Anpu", "Cessair", "Dracul", "Cruentis","Gituku", "Revon", "Nirnasha", "Argo", "Kritanta", "Alvah", "Teivel", "Odon", "Nitis", "Ghislain", "Mithra", "Mitra", "Daemyn", "Goswin", "Nobuo", "Fleur","Beaulieu", "Orabelle","Cesar", "Celestin", "Adnet", "Zephyrine", "Thibault","Julliette","Alphonsine", "Agate", "Opterus", "Flavie", "Euphemie", "Orianne", "Agrippine", "Alphosine","Langlois", "Plaisance", "Firmin", "Cyrille", "Delphine", "Baudin", "Salome", "Anouk", "Neema", "Zaniabu", "Kapuki", "Furaha", "Falana", "Bahati", "Chinira", "Kamara","Ahadi", "Adea","Hasina", "Aiysha", "Omehia", "Zalika", "Vexatio","Nalah","Adesina", "Ashon", "Salehe", "Ashur", "Chane", "Neema", "Mosi", "Asafa", "Imamu", "Hasani", "Chacha", "Kalu", "Ashura", "Zahur", "Abasi", "Shomari", "Adalmar", "Kohler", "Claustra", "Bauer", "Kaiser", "Bohm", "Pavidus", "Gereon", "Barthold", "Gerwulf", "Menno", "Aldric", "Korbinian", "Niklaus", "Agid", "Alrich", "Abelard", "Siegert", "Lammert", "Adelric", "Armin", "Dieter", "Vogt", "Lothar", "Refugium", "Aldo", "Aurel", "Sauer", "Dreher", "Eldric", "Reiner", "Meino", "Nimiel", "Tamara", "Andraen", "Irithiel", "Eirua", "Teharissa", "Tiafel", "Doluilos", "Iahalae", "Meara", "Ioriel", "Nimriel", "Shalana", "Tiasha", "Ascensor", "Iahalae", "Vectio", "Raerauntha", "Kethryllia", "Talaedra", "Hirnesa", "Daeondra", "Eirela", "Valindra","Saelwen", "Talila", "Turbidus", "Vaella", "Hironna", "Naesti", "Iriel", "Shaua", "Purtham", "Calelaeth", "Saelethil", "Halrond", "Selmer", "Irian", "Thurinor", "Aranhad", "Larethian", "Thurinrod", "Aeguil", "Gilborn", "Teshure", "Haluil", "Caundur","Celaeth", "Ortris", "Aran", "Oritris", "Pharom", "Therona", "Irian", "Galdire", "Helion", "Beluar", "Baradire", "Neldor", "Aranuil", "Nerilamin", "Horith", "Triandal", "Nenaias",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Acceptus"];

this.planetpool3 = [
// Galaxy 1
"Copernicus", "Tania", "Pandolia", "Tennyson", "Kepler", "Cavendish", "Lagrange", "Dalton", "Carcinos", "Papilio", "Liouville", "Cucullio", "Planck", "Viburnum", "Hubbard", "Militus", "Gottfried", "Otacon", "Prensio", "Hawking", "Promoveo", "Freeman", "Dyson", "Sinclaire", "Mendel", "Keeling", "Theseus", "Mendeleev", "Bronoe", "Lomonosov", "Lando", "Batheanus", "Ostwald", "Lamia", "Fluxus", "Grissom", "Galvani", "Gorth", "Tellus", "Salvation", "Keller", "Teller", "Nemain", "Aumia", "Kerans", "Curie", "Fenris", "Curie", "Kissane", "Lemaitre", "Bopati", "Romaxie", "Lecite", "Hubble", "Plank", "Marvina", "Dominia", "Oberth", "Chion", "Vore", "Gentiles", "Lovelace", "Theon", "Noether", "Obinus", "Lapras", "Chaon", "Henoth", "Lobach", "Cardano", "Fermat", "Pascal", "Pointcare", "Vicaro", "Spatium", "Tenos", "Postremus", "Lorenz", "Wiener", "Noctua", "Buria", "Greth", "Seldon", "Shannon", "Brammert", "Pluma", "Koch", "Kanan", "Gorth", "Pasteur", "Lamore", "Chekov", "Chrysallidem", "Geziyama", "Pelrounope", "Sulnitania", "Exsecratus", "Katruna", "Venvion", "Gelata", "Faber", "Thenniea", "Leuzuno", "Hunia", "Moinia", "Bothania", "Bohr", "Heffern", "Chapman", "Joculator",  "Siendes", "Delilah", "Feynman", "Thade", "Sakharov", "Jaffa", "Brondore", "Sarek", "Caldera", "Rose", "Thalmet", "Brooke", "Lemesurier", "Chileab ", "Charon", "Mohan", "Dowding", "Cunningham", "Montbatten", "Narcissus", "Juin", "Wayland", "Katov", "Darian", "Tractus", "MacArthur", "Bradley", "Lordan", "Patton", "Nimitz", "Halsey", "Officina", "Nather", "Lothron", "Ruance", "Dilectio", "Volatilis", "Thadus", "Konev", "Vasile", "Horatio ", "Lurma", "Shukia", "Anubis", "Sabaktes", "Winkelman", "Homia", "Penicullus", "Oceanus", "Rommel", "Cromwell", "Vonder", "Thealia", "Vermilion", "Grant", "Orwell", "McCellan", "Stonewall", "Jackson",  "Lanitium", "Rawat", "Kosciuszko", "Drestov", "Nepeta", "Greene", "Conscendo", "Tarleton", "Cthulhu", "Hamilton", "Lincoln", "Lowery", "Advorsus", "Bonacieux", "Geronimo", "Pontiac", "Teloses", "Vishnu", "Wellington", "Murat", "Davout", "Marmont", "McCloud", "Pasha",  "Hindenburg", "Saladin", "Athleta", "Dolosa", "Charlemagne", "Chomas", "Lydon", "Macken", "Talos", "Madden", "Consors", "Vorth", "Mannion", "Irwin", "Leshan", "Mansfield", "Cernan", "Sothis", "Borman", "Lovell", "Messias", "Haise", "Swigert", "Adustio", "Worden", "McCahon", "Bella", "Berenice", "Ciphade", "Eisele", "Certamen", "Longana", "Turua", "McAnnally", "McAuliffee", "Resnik", "McNair", "Exhibuit", "Scobee", "Saltator", "Castaneis", "Sullivan", "Lament", "McBreen", "Trax", "Cobalus", "Thoth", "Insuetus", "Hurley", "Melroy", "Hadfield", "Bowersox", "Shuttleworth", "Remek", "Jahn", "Ivanov", "Calistria", "Prunariu", "Parvolus", "Sharma", "Mohmand", "Kaleri", "Pendragon", 
// Galaxy 2
"Pontes", "Schwarz", "Dustbowl", "Drachma", "Aureus", "Denarius", "Silvestris", "Chandra", "Nubilosus", "Sheldon", "Cochrane", "Galileo", "Braben", "Ahruman", "Lemartes", "Selezen", "McLane", "Duval", "Lopez", "Garcia", "Dantris", "Zetter", "Jackson", "Spelaeum", "Asher", "Denarius", "Vexatio", "Weston", "Alyssum", "Kubrick", "Castillo", "Baldwin", "Magrathea", "Sharock", "Toran", "Sesterius", "Mittentis", "Boden", "Dexter", "Bowden", "Sestertius", "Tarkin", "McCartney", "Lennon", "Dhillon", "Scoresby", "Jenner", "Wodehouse", "Kochavi", "Semis", "Karpov", "Quadran", "Dhal", "Pratchett", "Laskov", "Boudica", "Hanlon", "Daric", "Timberman", "Solidus", "Farthing", "Florin", "Guinea", "Laurel", "Guilder", "Escudo", "Ducat", "Procurator", "Dahekan", "Kartez", "Metica", "Peseta", "Bissau", "Rupee", "Achaeme", "Koban", "Guerilla", "Mundos", "Kushan", "Mohar", "Koruna", "Camino", "Ducat", "Genovino", "Gulden", "Koruna", "Jorona", "Reichsmark", "Ruble", "Talonas", "Esperan", "Doubloon", "Cautorillo", "Blacksand", "Ingot", "Stirling", "Tibecea", "Aegidian", "Ferman", "Murgh", "Zorgon", "Petterson", "Karloff", "Repton", "McGreavy", "Rohan", "Ophidion", "Shulth", "Callidus", "Schism", "Vendetta", "Giacinta", "Taeloth", "Calamitous", "Malacandra", "Kirin", "Calliope", "Gimlet", "Tesoura", "Phasted", "Tiaxus", "Amnesty", "Munchausen", "Chuckwalla", "Vasto", "Malacus", "Mussurana", "Faulcon", "Randomius", "Navicula", "Enduro", "McMadden", "Achenar", "Nameen", "Orkand", "Kroweki", "Tumulus", "Faber", "Salem", "Kruger", "Muralis", "Cowell", "Geraldo", "Enclave", "Poculum", "Anemone", "Artemisia", "Camellia", "Clematis", "Ishika", "Macharian", "Shasta", "Sedum", "Scilla", "Scabiosa", "Salvia", "Oleander", "Nicotiana", "Narcissus", "Lupine", "Lobelia", "Lantana", "Lamium", "Ephaeda", "Delphinium", "Dahlia", "Coreopsis", "Aster", "Columbine", "Leilani", "Lathon", "Tenuis", "Azalea", "Alyssa", "Jared", "Kunal", "Proventus", "Calanthe", "Perversitas", "Veronne", "Fleurel", "Veronne", "Angelica", "Boneset", "Calendula", "Celosia", "Lunaria", "Lantana", "Kalmia", "Lunaria", "Mayflower", "Nolana","Mallow", "Contundito", "Primula", "Quince", "Shasta", "Verbena", "Zenobia", "Verbena", "Saturnine", "Bonica", "Cornelie", "Verbena", "Westwood", "Vinca", "Brendine", "Statice", "Shasta", "Primula", "Nolana", "Lunaria", "Helenium", "Dianella", "Diascia", "Celosia", "Calendula", "Acantha", "Alyssum", "Aubrieta", "Artemisia", "Aubrieta", "Sincerity", "Dahlia", "Cassius", "Kynthos", "Rhodes", "Romana", "Leilani", "Plagiarius", "Florian", "Liana", "Zariah", "Calanthe", "Callaia", "Chamomile", "Embelia", "Evanthe", "Iolanthe", "Jacinta", "Narcissa", "Penthia", "Verbena", "Alondra", "Catalina", "Cecilia", "Consuelo", "Fernando", "Gabriela", "Isidora", "Juana", "Araneolus", "Paloma", "Selena", "Lernaean", "Esteban",
// Galaxy 3
"Pacificae", "Uber", "Protegat", "Argenti", "Ferrum", "Aurum", "Armato", "Occupatus", "Districtus", "Barberini ", "Sophos", "Sapiens", "Amicissimum", "Fidelis","Mortalis", "Munificus", "Fortis", "Validus", "Fortem", "Animosus", "Insectum","Melculum", "Concustodio", "Domum", "Collectivus", "Oppidum", "Municipium", "Castra", "Stratopedum", "Custos", "Regina", "Villam", "Officina", "Vespa", "Nidus", "Cubile", "Alvearium", "Alvus", "Terrenus", "Civitas", "Munificus", "Largus", "Benignus", "Opulentos", "Locuples", "Venustus", "Decorus", "Lepidus", "Dispensator", "Gestuosus", "Cracens", "Dulcis", "Suavis", "Dulcifer", "Bellatulus", "Gratissimum", "Auxiliarius", "Utibilis", "Salataris", "Gloria", "Cunabula", "Castrum", "Praesidium", "Pugnaculum", "Burgus", "Mercatus", "Emporium", "Forum", "Quintana", "Permutatio", "Collubus", "Commercium", "Mercatura", "Nundinae", "Quaestus", "Studium", "Tutela", "Pabulatio", "Stabulum", "Volubilis", "Versura", "Caelum", "Coelum", "Divum", "Venerabilis", "Reverendus", "Verendus", "Potens", "Magnus", "Validus", "Immane", "Pollens", "Praepollens", "Infigo", "Metallum", "Universitas", "Nectare", "Pecunia", "Numus", "Saltatio", "Turba", "Multitudo", "Vulgus", "Celebro", "Classis", "Mantellum", "Circulus", "Bronocalos", "Multae", "Forma", "Vavis", "Ficta", "Conclamatus", "Artium", "Artificiosus", "Artifex", "Pulchra", "Decoris", "Formosus", "Speciosus", "Bellus", "Floridus", "Candidus", "Praeclarus", "Honestus", "Spectatus", "Auriolus", "Ratis", "Navigium", "Sphaera", "Globus", "Lambo", "Mathematica", "Scientia", "Agricola", "Colonus", "Arator", "Redemptor", "Cultor", "Hortulanus", "Topiarius", "Collegium", "Luculenus", "Subtiliter", "Callidus", "Ingeniosus", "Astutus", "Sollers", "Vorsutus", "Versutus", "Dolosus", "Trebax", "Vafer", "Luteus", "Croceus", "Flavens", "Rubrum", "Bombus", "Conlegium", "Aculeus", "Morsus", "Ictus", "Spiculo", "Uncinus", "Hamus", "Venenum", "Toxicum", "Veneno", "Medico", "Robus", "Floreo", "Floresco", "Pervigeo", "Statione", "Dispono", "Ordino", "Constituo", "Tempero", "Adparo", "Norma", "Cessabit", "Quies", "Malacia", "Tranquillo", "Misericordiam", "Benigne", "Bene", "Comiter", "Amice", "Benevole", "Locus", "Loco", "Formo", "Decretum", "Praescribo", "Bestiola", "Volucris", "Placo", "Tabernam", "Obficina", "Opificina", "Copona", "Habitus", "Celsitudo", "Portus", "Benignus", "Mitis", "Remissus", "Lenis", "Calidum", "Calidus", "Tepidus", "Calefacio", "Iucundum", "Suavis", "Dulcis", "Iucundus", "Acceptus", "Savis", "Melodes", "Caneo", "Cantarella", "Turris", "Castellum", "Emineo", "Conscendo", "Tumulus", "Congeries", "Adgestum", "Collis", "Grumus", "Iugum", "Rubefacio", "Gelidus", "Magahan", "Vicus", "Pagus", "Vella", "Fertilis", "Ferax", "Foecundus", "Fecundus", "Fructus", "Pomum", "Pomus", "Pomarius", "Concha", "Schoenus", "Pratum", "Herbesco", "Herbo", "Petram", "Petra", "Eximius", "Inlustris", "Illustris",
// Galaxy 4
"Tectum", "Cunabulum", "Cubile", "Nidore", "Odoratus", "Olfacio", "Subolfacio", "Odoror", "Adoleo", "Subolfacio", "Redoleo", "Fragro", "Olefacto", "Cornu", "Ascella", "Pervolo", "Apes", "Colonia", "Communis", "Collectivus","Silex", "Saxum", "Cautes", "Cotes", "Libro", "Jacto", "Iacto", "Somnium", "Insomnium", "Quies", "Motus", "Somnio", "Dormito", "Consomnio", "Caligo", "Columnam", "Glacies", "Gelum", "Crustallos", "Crustallum", "Praestringo", "Ignis", "Impetus", "Foculus", "Incaendium", "Ambustio", "Inflammo", "Incaendo", "Incandesco", "Caverna", "Spelunca", "Specus", "Antrum", "Spelaeum", "Tectum", "Repastino", "Pruina", "Placidus", "Pluvia", "Imber", "Impluo", "Ventus", "Spiritus", "Eurus", "Anima", "Tempestas", "Procella", "Cataegis", "Turbedo", "Desaevio", "Perfuro", "Praefuro", "Techina", "Fulmen", "Tonitus", "Lympha", "Nympha", "Liquidum", "Tarandrus", "Calor", "Aestus", "Ardor", "Calefacio", "Calfacio", "Carcinos", "Locustam", "Locusta", "Astacus", "Lamina", "Charta", "Poculum", "Drenthal","Scyphus", "Patera", "Batiaca", "Frumentum", "Annona", "Callus", "Avena", "Bromos", "Vacca", "Sortis", "Statuam", "Imago", "Lapsus", "Ianua", "Janua", "Trames", "Silva", "Saltus", "Nemus", "Lucus", "Arbusto", "Arbor", "Lymphatus", "Lapis", "Lapideus", "Saxeus", "Lapido", "Sericum", "Sericus", "Pallium", "Mantellum", "Amictus", "Lacerna", "Concelo", "Morgoth", "Fustis", "Ramus", "Culmus", "Festuca", "Fistuca", "Consum", "Ventilo", "Bibliotheca", "Racemus", "Porcus", "Choeros", "Calvaria", "Calva", "Flacceo", "Umbrius", "Tersus", "Sincerus", "Lautus", "Liquet", "Purifico", "Vacuefacio","Vacuo", "Clarus", "Purifico", "Vacuo", "Clarus", "Lucidus", "Dilucidus", "Translucidus", "Litore", "Testa", "Crusta", "Concha", "Putamen", "Cochlea", "Calceus", "Calciamen", "Profecto", "Vitrum", "Vitreus", "Pluma", "Rostro", "Rostrum", "Stagnum", "Lacus", "Lacuna", "Coniungo", "Stellio", "Ignotus", "Adedit", "Ranae", "Confibula", "Pellicius", "Crassus", "Altilis", "Opimus", "Laetus", "Omentum", "Tenues", "Gracilis", "Tenuo", "Attenuo", "Kredos", "Spiculo", "Tenebris", "Crepusculum", "Reconditus", "Diluculum", "Oriens", "Dilucesco", "Illucesco", "Inlucesco", "Illucisco", "Derideo", "Serpentium", "Eritque", "Arcus", "Pluvius", "Arquus", "Conquinisco", "Inflecto", "Pando", "Cochlea", "Limax", "Testa", "Cochlia", "Testudo", "Graeca", "Cithara", "Barbitos", "Barbiton", "Plectrum", "Fides", "Kithara", "Novis", "Exterus", "Hospes", "Hosticus", "Morsus", "Inermis", "Inermus", "Penuriosus", "Cantamen", "Procedo", "Competentis", "Idoneus", "Locuples", "Conpetens", "Periculo", "Anceps", "Capitalis", "Infestus", "Dubius", "Mortiferum", "Letalis", "Feralis", "Bestialis", "Mortifer", "Letaliter", "Optimus", "Princeps", "Summus", "Primus", "Praelatus", "Postremus", "Deterrimus", "Pessime", "Pullum", "Pullus", 
// Galaxy 5
"Anatina", "Perimus", "Praeceptor", "Immergo", "Lustrum", "Urinor", "Natare", "Tranato", "Denato", "Inundatio", "Diluvium", "Salio", "Eluvies", "Diluvies", "Fluenta", "Proluo", "Redundo", "Inundo", "Proelium", "Cassis", "Cassida", "Proelior", "Aestas", "Aestiva", "Hiems","Classem", "Brumalis", "Hiberno", "Hiemo", "Frigus", "Gravitas", "Hibernus", "Autumna", "Autumnus", "Auctumnitas", "Auctumnus", "Messis", "Ceres", "Percipio", "Metalla", "Fodio", "Defodio", "Cuniculum", "Perforo", "Strideo", "Juncus", "Iuncus", "Incitus", "Sublabor", "Mordere", "Morsus", "Ictus", "Adactus", "Admorsus", "Ammorsus", "Mordeo", "Saltus", "Salio", "Transilio", "Transulto", "Salito", "Subter", "Inferus", "Infernus", "Cadere", "Casus", "Ruina", "Lapsus", "Casurus", "Catarracta", "Occido", "Obcido", "Succido", "Concentio", "Symphonia", "Cantus", "Concentus", "Bracchium", "Brachium", "Scalpo", "Lacero", "Tesserae", "Ludum", "Bravio", "Excursor", "Emissarius", "Conspicio", "Speculor", "Circuitus", "Ambitus", "Finiens", "Circumnecto", "Lambo", "Manticae", "Sacculus", "Marsupium", "Laurus", "Laurea", "Latratus", "Laureola", "Formidolosus", "Vagor", "Insibilo", "Sibilatus","Coracino", "Vellus", "Invocatio", "Mallum", "Cornutus", "Bucerius", "Ceratinus", "Corniculatus", "Limus", "Verecundus", "Timidus", "Jacio", "Ridiculum", "Ineptus", "Leviculus", "Fastidio", "Fastidium", "Taedium", "Aversio", "Satietas", "Abominatio", "Caritas", "Dilectio", "Conplexus", "Affectus", "Traditum", "Traditus", "Pretium", "Circuitus", "Circuitio", "Circumitio", "Transvectio", "Travectio", "Victus", "Alimentum", "Pabulum", "Misceo", "Conmisceo", "Confundo", "Miscellus", "Poetica", "Melodum", "Poetice", "Discus", "Rotam", "Canthus", "Molarius", "Flecto", "Lusibus", "Tripudio", "Saltito", "Insulto", "Vespertilio", "Obsessus", "Circumsido", "Obsido", "Lacesso", "Remordeo", "Vastati", "Vastus", "Maledictus", "Execratus", "Verbero", "Morbus", "Insanitas", "Motus", "Contremo", "Navitas", "Industria", "Mobilitas", "Colonus", "Inquilinus", "Dacrima", "Sublimatum", "Misceo", "Induo", "Fabulosa", "Fabularis", "Fabulosus", "Externus", "Peregrinus", "Exoticus", "Exoticum", "Insolitam", "Insolens", "Inusitatus", "Inusitus", "Excitando", "Movens", "Concitatrix", "Permotio", "Quodam", "Culinae", "Varius", "Pertinax", "Siparium", "Praeclarum", "Insignis", "Memorabilis", "Ingens", "Notandus", "Odiosis", "Molestus", "Insulsus", "Metallum", "Canalis", "Intellectu", "Infacetus", "Retundo", "Longum", "Lentus", "Tardus", "Diutirnus", "Talibusque", "Indecentibus", "Consumentur", "Velut", "Papilio", "Teredo", "Vermis", "Formica", "Eximius", "Tropicus", "Densiore", "Impervius", "Prodigus", "Verecundia", "Mysticus", "Insolitam", "Peculium", "Proprius", "Pecularis", "Singularis", "Crebris", "Celebris", "Terribilis", "Edulis", "Vinculum", "Precibus", "Infixus", "Occisor", "Interfector", "Obcisor", "Sicarius", "Interemptor", "Trucidator", "Pulvis", "Conditio", "Igneus", "Viriditas", "Sarculo", "Consario",
// Galaxy 6
"Consarrio", "Sordes", "Sorex", "Bestia", "Pecus", "Brutum", "Bisontes", "Piscium","Piscis", "Natans", "Ophthalmias", "Acipenser", "Piscatus", "Lupinus", "Ludificor", "Carnis", "Ligurio", "Pulmenti", "Sorbitio", "Lutum", "Limus", "Caenum", "Inluvies", "Clementia", "Elemosina", "Monachus", "Coenobita", "Latronem", "Praedator", "Sceleratus", "Damnatus", "Columnarius", "Maleficus", "Maritimus", "Latrocinor", "Volatilis", "Licentio", "Turbatus", "Confusus", "Sollicitus", "Feroces", "Indomitus", "Truculentus", "Afflictus", "Impetu", "Circulo", "Laqueus", "Macula", "Bellona", "Arundo", "Iaculum", "Pilum", "Jaculum", "Viras", "Libramen", "Pendulum", "Lumen", "Barbitium", "Capillus", "Vellere", "Vellus", "Novacula", "Cultellus", "Palliolum", "Desertum", "Meritum", "Vastitas", "Contractus", "Pactum", "Locatum", "Expello", "Emporium", "Greban", "Lagoena", "Lustrum", "Accipiter", "Inmussilus", "Vendito", "Draconum", "Malleus", "Quatio", "Verbero", "Incudo", "Securis", "Aratrum", "Dentalia", "Arater", "Aratro", "Circumaro", "Schedia", "Trabica", "Incubito", "Caminus", "Fornax", "Procudo", "Salutem", "Rience", "Clibano", "Furnus", "Bullitus", "Ebullio", "Scateo", "Caestu", "Chirotheca", "Volito", "Volitant", "Pendeo", "Letum", "Obitus", "Libitina", "Malum", "Consecratio", "Condemno", "Sacro", "Condumno", "Concavum", "Incubuere", "Impetus", "Folium", "Bractea", "Pectus", "Animus", "Manibus", "Manus", "Dextra", "Lacertus", "Manualis", "Praesento", "Lumina", "Lanterna", "Cornum", "Custodibus", "Custodia", "Specula", "Custodela", "Vigilo", "Tolatio", "Iberia", "Hesperia", "Licentia", "Ordinatio", "Iubeo", "Interdico", "Malleatoris", "Incus", "Clavis", "Claustrum", "Clostrum", "Claustra", "Litteratus", "Summus", "Cincinno", "Floccus", "Clepta", "Sacerdos", "Antistita", "Orationis", "Conprecatio", "Precatus", "Venefica", "Haeream", "Cantatus", "Incantatus", "Leporem", "Amuletum", "Dulcedo", "Collibet", "Concalo", "Praesuo", "Spiculo", "Praetexo", "Facinus", "Perdita", "Praeteritus", "Incustoditus", "Lacrimae", "Traditae", "Teritus", "Spiritum", "Sufflatus", "Saturni", "Relictam", "Quiritatio", "Quiritatus", "Quirito", "Evadere", "Tractus", "Vallum", "Librarius", "Clericus", "Matrona", "Vestitor", "Tessera", "Tabella", "Tabuletta", "Lenis", "Eruditus", "Liquet", "Purifico", "Clarus", "Lucidus", "Translucidus", "Modestus", "Procresco", "Everard", "Somnus", "Quiesco", "Somniator", "Dormitator", "Praelino", "Fraxinus", "Quercus", "Aesculus", "Roboreus", "Acernis", "Acerneus", "Abiete", "Liquesco", "Tabesco", "Castaneis", "Castanea", "Balanus", "Colurnus", "Cinereus", "Canutus", "Cervisiam", "Cervisia", "Fermentum", "Animo", "Fremitus", "Laetus", "Luminosus","Luculentus", "Candidus", "Foraminis", "Fenestra", "Foramen", "Ampulla", "Prende", "Populus", "Consano", "Cobalus", "Lepus", "Cuniculus", "Trifolium", "Incarnatum", "Trifolium", "Acanos", "Transmitto", "Arbusto", "Arbustum", "Nemus", "Plantarium", "Trulla", "Rectus", "Castellum",
// Galaxy 7
"Argon", "Scandium", "Arsenic", "Selenium", "Krypton", "Rubidium", "Zirconium", "Niobe", "Niobium", "Technetium", "Ruthenium", "Rhodium", "Palladium", "Kadmos", "Indium", "Heremus", "Indicum", "Indium", "Antimonium", "Tellurium", "Tellus", "Lanthanum", "Lanthanein", "Cerium", "Promethium", "Samarium", "Vasili", "Ecstasia", "Terbium", "Holmium", "Daedalus", "Erbium", "Thulium", "Thule", "Lutetium", "Lutetia", "Tantalum", "Wolfram", "Rhenium", "Rhenus", "Iridium", "Thallium", "Thallos", "Bismuth", "Polonia", "Astatine", "Astatos", "Radon", "Francium", "Actinium", "Thorium", "Protos", "Actinium", "Americium", "Ammissio", "Curium", "Terbium", "Californium", "Einsteinium", "Einstein", "Fermium", "Fermi", "Mendeleev", "Mendelevium", "Nobelium", "Lawrencium", "Tlaloc", "Bohrium", "Hassia", "Meitner", "Copernicus", "Sauroctonos", "Livermore", "Lthos", "Borax", "Belur", "Fluere", "Natrium", "Brodras", "Alumen", "Alumina", "Aluminis", "Silex", "Silicium", "Natron", "Phosphoros", "Kalium", "Scandia", "Vanadis", "Chroma", "Gallia", "Germania", "Arsenikos", "Selene", "Bromos", "Kryptos", "Rubidus", "Strontian", "Zirconium", "Zircon", "Tekhnetos", "Ruthenia", "Ruthenium", "Rhodoeis", "Rhodon", "Xenon", "Caesius", "Cerium", "Prasios", "Ddymos", "Armentarius", "Gadolinite", "Dysprositos", "Wolframite", "Platina", "Aurum", "Polonium", "Aktis", "Wismut", "Berkeley", "Nihon", "Nimon", "Curite", "Cubanite", "Crocoite", "Coltan", "Elsmore", "Euclase", "Euchro", "Esperite", "Eskola", "Epidote", "Tanta", "Fluorel", "Furber", "Fabia", "Gedanite", "Gypsum", "Greifen", "Grafton", "Gormane", "Glaucodox", "Gembone", "Garnet", "Galena", "Opal", "Heliodor", "Hubner", "Armotome", "Iolite", "Iridium", "Idrial", "Icosa", "Azul", "Salta", "New Argentina", "Jefferson", "Amphibole", "Beccus", "Jade", "Nephron", "Junito", "Jarose", "Jameson", "Kester", "Lodestone", "Libeth", "Ludla", "Litharge", "Leuco", "Leucone", "Laurion", "Lapland", "Lanthan", "Lansford", "Labrador", "Tanta", "Morden", "Molon", "Micron", "Meridian", "Melanter", "Meion", "Casite", "Revereor", "Matrix", "Semita", "Thuringia", "Tantal", "Tratine", "Chromite", "Fabella", "Onyx", "Osmium", "Osariza", "Orthoclase", "Orpiment", "Venite", "Aragon", "Pelagon", "Pyrite", "Vondra", "Plumbo", "Planchei", "Zeolite", "Pascone", "Parthon", "Paramela", "Laurion", "Paragon", "Paneth", "Paladium", "Corundum", "Rhodon", "Lorem", "Rashleia", "Ruthen", "Rubico", "Rosenberg", "Roscoe", "Rodale", "Rhodium", "Rameau", "Vanite", "Sunstone", "Orthone", "Satin", "Moonstone", "Melane", "Exactoris", "Tourmaline", "Saucon", "Sanborn", "Amoniac", "Torbern", "Topaz", "Tober", "Thauma", "Tetra", "Dymite", "Tauson", "Tarana", "Tapion", "Vulcanite", "Volborn", "Vanadium", "Vanadio", "Arcanite", "Anapaite", "Anatase", "Kambove", "Kharan", "Formoso", "Bahia", "Jalgaon", "Caceous",
// Galaxy 8
"Benito", "Diablo", "Calama", "Elsass", "Inesite", "Carissimi", "Paterson", "Eulalia", "Chihuahua", "Kunene", "Adularia", "Brumado", "Bahia", "Mauldin", "Vulpes", "Austus", "Morpheus", "Rhineheart", "Trinity", "Ballard", "Bane", "Persephone", "Seraph", "Shimada", "Machina", "Tyndall", "Pantoliano", "Bakaitis", "Pamela", "Wachowski", "McFarland", "Sternbergh", "Holland", "Maximilian", "Palomino", "Durant", "McLaughlin", "Mimieux", "Borgnine", "Pinocchio", "Geppetto", "Gideon", " Stromboli", "Aladdin", "Phineas", " Tamara", "Ursula", "Bartholomew", "Kumandra", "Raya", "Pencak", "Clarabelle", " Aquamania", "Gaucho", "Caballeros", "Sherlock", "Gerda", "Transcendence", "Chelestra", "Abarrach", "Pryan", "Arianus", "Haplo", "Samah", "Volkaran", "Limbeck", "Iridal", "Paithan", "Aleatha", "Necropolis", "Kleitus", "Balthazar", "Grundle", "Sabia", "Arabella", "Bantam", " Cornelia", "Havisham", "Cavalletto", "Copperfield", "Cratchit", "Reuben", "Honoria", "Volumnia", "Estella", "Hawdon", "Nemo", "Hexam", "Hortense", "Hubble", "Langdale", "Lenville", "Mowcher", "Westlock", "Losberne", "Lowten", "Manette", "Melia", "Ninetta", "Tobias", "Quinion", "Ebenezer", "Lancaster", "Maldon", "Esther", "Tackleton", "Halifax", "Montague", "Lucretia", "Josiah", "Carstone", "Jagger", "Zamiel", "Westenra", "Holmwood", "Quincey", "Renfield", "Wolfgang", "Amadeus", "Mozart", "Ludwig", "Beethoven", "Chopin", "Virtuoso", "Brahms", "Vivaldi", "Schubert", "Mahler", "Verdi", "Vaughan", "Gershwin", "Bernstein", "Sibelius", "Scarlatti", "Rossini", "Tomaso", "Albinoni", "Rameau", "Messiaen", "Metastasio", "Libretto", "Ranieri", "Tauride", "Requiem", "Leopold", "Bavaria", "Mechelen", "Martini", "Batista", "Ascanio", "Ferdinand", "Mannheim", "Versailles", "Melchior", "Idomeneo", "Clementi", "Colloredo", "Lorenzo", "Eisenach", "Ambrosius", "Marchand", "Bernhard", "Banden", "Chorale", "Kothen", "Kuhnau", "Musicum", "Palestrina", "Caldara", "Concerto", "Neapolitan", "Cantatas", "Ascension", "Couperin", "Melchior", "Emanuel", "Bachianas", "Keverich", "Kaspar", "Waldstein", "Paisiello", "Redoute", "Salieri", "Guicciardi", "Waldstein", "Solemnis", "Clementi", "Brentano", "Landrechte", "Domenico", "Solemnis", "Artaria", "Anselm", "Schubert", "Fidelio", "Zachow", "Hanover", "Torquato", "Tasso", "Rinaldo", "Tamerlano", "Rodelinda", "Porpora", "Parnasso", "Terpsicore", "Deidamia", "Tabella", "Messiah", "Mandolin", "Jephtha", "Galatea", "Halle", "Cecilia", "Semele", "Jacobus", "Gallus", "Domenico", "Taruskin", "Metam", "Keiser", "Gallus", "Gaubert", "Gianneo", "Purcell", "Heinrich", "Jeroen", "Valentine", "Claudio", "Pratica", "Vespro", "Cremona", "Verdo", "Mantua", "Cremona", "Salomone", "Rossi", "Benedetto", "Chiabrera", "Medici", "Euridice", "Academico", "Moderna", " Banchieri", "Rinuccini", "Caterina", "Basilica", "Maestro", "Cremona", "Capella", "Padua", "Murano", "Tonsure", "Amore", "Anduin", "Aeneas", "Poppea",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Savis"];

this.planetpool4 = [
// Galaxy 1
"Heguli", "Endotoris", "Absodorum", "Heradrome", "Oppobaran", "Phandore", "Ophiodrae", "Thangon", "Reodice", "Dynaioth", "Curiodon", "Vastitas", "Oppoioth", "Naphoinis", "Repeinis", "Taodorix", "Reaoris", "Scorpion", "Maleficarum", "Directum", "Vodrae", "Sedaris", "Heradaris", "Vodrotis", "Herador", "Phoetari", "Oppothos", "Taooris", "Napholus", "Phandosae", "Maxalore", "Arkeadrotis", "Repethos", "Codice", "Comploratio", "Phoeuti", "Repelus", "Ophioralis", "Onadorum", "Naotari", "Falagon", "Curiodire", "Carodrotis", "Votari", "Faladrotis", "Ambotis", "Theoguli", "Phandorix", "Theodaris", "Vodosae", "Heradorix", "Malaoris", "Taodrox", "Ophiotis", "Nomador", "Faladosae", "Theogon", "Maxainis", "Comdorum", "Malatagon", "Mahabali", "Endodorum", "Polemos", "Ambodaris","Curiodrox", "Vothos", "Carodiox", "Andorum", "Ophthalmias", "Paraioth", "Faladrotis", "Curioioth", "Carodosae", "Duremudira", "Onador", "Onalore", "Vanadis", "Sonodiox", "Morasco", "Realore", "Jaculum", "Volus", "Transiliens", "Onador", "Oppotis", "Theoguli", "Hachimaru", "Arkearalis", "Falagon", "Readrome", "Seralis", "Repedosae", "Hedipius", "Heradipius", "Naodiox", "Onadrox", "Phandice", "Profundis", "Nadesico", "Pulliam", "Combos", "Dynaralis", "Reperalis", "Theodorum", "Reodrome", "Comdor", "Repedipius", "Absotis", "Phantagon", "Naodor", "Anorupatisu", "Sonolore", "Nomatari", "Naphotagon", "Naouti", "Readrotis", "Selus", "Reodiox", "Pariunt", "Thornhold", "Dynatoris", "Amboioth", "Ambodrotis", "Paradaris", "Lucifer", "Comtagon", "Realus", "Naphodrae", "Lycaon", "Taouti", "Malaioth", "Heraioth", "Adsensus", "Ambodore", "Comdore", "Arkeatagon", "Angon", "Phantis", "Naphotis", "Milodrome", "Theotagon", "Theodon", "Naphotari", "Repedorix", "Maladrae", "Ophiodipius", "Naphodiox", "Endodrae", "Thanralis", "Carothos", "Sonodore", "Klechton", "Phoeioth", "Golothess", "Iaras", "Endodon", "Paralus", "Sedipius", "Comdire", "Caroralis", "Hedrotis", "Theotis", "Arkeathos", "Onador", "Vodon", "Onabos", "Onadore", "Hedire", "Naotoris", "Kroenen", "Maladrotis", "Golothess ", "Nomadrox", "Hebaran", "Thantagon", "Oppotoris", "Phandor", "Leviathan", "Vodore", "Carodice", "Reotoris", "Repetari", "Reodrotis", "Ambobos", "Dynadrotis", "Ambodire", "Maladosae", "Curiodire", "Reatari", "Curioralis", "Rearalis", "Maxatoris","Curiodice", "Theodorix", "Ophiodosae", "Sonodor", "Milodore", "Endothos", "Hedosae", "Theouti", "Vobos", "Falabaran", "Reodor", "Oppodiox", "Comthos", "Reathos", "Faladore", "Sedipius", "Paratis", "Carobos", "Nuit", "Absotoris", "Ophiodire", "Hedrome", "Maxadipius", "Theogon", "Daimao", "Milolus", "Voltari", "Antagon", "Philopator", "Onathos", "Absooris", "Nomaguli", "Seioth", "Absodore", "Vodorum", "Miloralis", "Curiodice", "Oppoioth", "Sedrae", "Heradore", "Posthomerica", "Scopulus", "Malador", "Naodiox", "Seinis", "Repeinis", "Nomalore", "Theodipius", "Vodorum", "Reauti", "Ophioris", "Philopator", "Taodire", "Thandiox", "Leroux", "Oppodor", "Theoioth", "Aristaeus", "Phoeoris", "Maxadiox", "Reodaris", "Endolus", "Paratoris", "Paratis",
// Galaxy 2
"Isadiox", "Grypolus", "Dakobos", "Responso", "Balhaut", "Isalus", "Isadaris", "Fabrodrox", "Trutina", "Eorathos", "Burioguli", "Jollana", "Imperodrome", "Kumunda", "Galeadrome", "Imperodiox", "Enigodorix", "Galeaguli", "Militarum", "Enucleatus", "Avatagon", "Imperolus", "Enigobaran", "Hippodore", "Daxiaguli", "Avalore", "Caolore", "Chaemos", "Bogon", "Buriotoris", "Ichoioth", "Hanadaris", "Fabrodiox", "Fabrodrotis", "Dadipius", "Hespatagon", "Bronabos", "Imperolore", "Dakodipius", "Hanatis", "Caodrae", "Fuleadon", "Buriogon", "Obtundo", "Bronatagon", "Atacauti", "Eurothos", "Duriatoris", "Centeaguli", "Ordrotis", "Buriodrox", "Eoratari", "Incubus", "Buriodosae", "Galeadorix", "Caminalda", "Eoraitae", "Galeaitae", "Atacaitae", "Eurouti", "Persevero", "Cadore", "Hespainis", "Graffias","Ciotis", "Hespatagon", "Hippobaran", "Ichoioth", "Astrobos", "Atacabos", "Caodorum", "Hanaguli", "Burioinis", "Centeabos", "Bronadrome", "Dadore", "Falcadosae", "Cadrox", "Bronadrae", "Grypodiox", "Buriotis", "Ostiolum", "Eurobaran", "Imperobos", "Avadice", "Isabaran", "Galeatoris", "Atacadrae", "Buriooris", "Dakobos", "Gheistos", "Chitram", "Grypotis", "Bronatagon", "Eniodrome", "Falcadice", "Galeagon", "Galeadire", "Falcadrome", "Ichodire", "Daxiatari", "Ichotis", "Dakoitae", "Hippoguli", "Eoralore", "Bobos", "Caotis", "Caguli", "Versutia", "Fabroitae", "Fostodire", "Eniodor", "Buriolus", "Atacaralis", "Duriabos", "Caotis", "Adeptus", "Bronadrox", "Lentus", "Buriolore", "Ciothos", "Icholore", "Bronagon", "Cadore", "Strategus", "Relegatio", "Ichodrotis", "Eniodrotis", "Criobolium", "Cagon", "Datoris", "Eniobos", "Ramheim", "Bodore", "Fuleauti", "Grypodrae", "Grypothos", "Eoradrotis", "Baryotoris", "Baryodaris", "Ciotagon", "Daxiatis", "Avatis", "Baran", "Hippolus", "Duriainis", "Cinderus", "Fuleador", "Latrocinium", "Cagon", "Isadaris", "Atacadiox", "Caotari", "Eurodorix", "Fuleatari", "Duriadaris", "Baryoralis", "Enigouti", "Bodice", "Eoratagon", "Atacagon", "Hanabaran", "Delaphina", "Drachu", "Isadosae", "Isabaran", "Eniodaris", "Fuleaitae", "Botis", "Fostodrae", "Fuleaguli", "Enigodore", "Hespaitae", "Galeadrome", "Astrodrotis", "Buriobaran", "Caothos", "Enigodrae", "Hanadrox", "Isadrotis", "Rhodus", "Icholore", "Ciodon", "Eoradipius", "Cadice", "Ichodaris", "Fuleatoris", "Caodrae", "Duriaguli", "Cadon", "Baryodosae", "Hespador","Ciodipius", "Falcatari", "Eniodice", "Eniotari", "Praetorian", "Fostodrome", "Bronadice", "Ichodon", "Primarchs", "Centeathos", "Burioinis", "Rhanda", "Avatari", "Eniodrae", "Isadrox", "Duriadrotis", "Fabrolus", "Grypodaris", "Morticia", "Icholore", "Fuleagon", "Grypodor", "Hespadrotis", "Fostotis", "Imperotoris", "Botoris", "Avaguli", "Hippodaris", "Bodore", "Avathos", "Galeatagon", "Avadrae", "Imperodire", "Isaitae", "Bronagon", "Dakothos", "Galeaoris", "Eoratari", "Atacadire", "Hespauti", "Grypothos", "Atacadore", "Astroris", "Dakoioth", "Centeauti", "Ichodor", "Buriotoris", "Daxiatari", "Centeador", "Cadrouti", "Fostotagon", "Enioioth", "Inonin", "Daxiadorix", "Anadire", "Daxiadrae", "Eoraitae", "Ichotis", "Korona", "Caoris", "Hippodipius", "Enigodiox", "Cadrotis", "Ichothos",
// Galaxy 3
"Oppoitae", "Carogon", "Ambodiox", "Onaralis", "Theothos", "Naogon", "Heradrome", "Heradire", "Nomadorum", "Kilims", "Naphotis", "Onainis", "Thandorum", "Absobos", "Theoguli", "Phoeoris", "Ophioinis", "Jaculum", "Phoedorum", "Dynatari", "Faladiox", "Taodrome", "Theotagon", "Taodaris", "Onauti", "Nomagon", "Seitae", "Reainis", "Sedice", "Seralis", "Napholus", "Endoinis", "Taoitae", "Absobaran", "Comdrome", "Taodice", "Comdon", "Caroinis", "Maxadrome", "Oppobaran", "Comralis", "Graduati", "Vodrae", "Readorix", "Onadon", "Taoitae", "Naoinis", "Endodosae", "Paradrome", "Paradiox", "Naphogon", "Lapillus", "Comdorum", "Comdiox", "Naphooris", "Dynadore", "Taodrae", "Taodon", "Theodore", "Heratari", "Capricorni", "Endoralis", "Reoinis", "Falaralis","Maladire", "Naothos", "Malatagon", "Paradrome", "Phandice", "Ophioralis", "Carodrox", "Comdiox", "Setari", "Hetari", "Dynainis", "Ophiotagon", "Amboioth", "Carodaris", "Malalus", "Opporalis", "Phandorum", "Repedrae", "Heraioth", "Leviathan", "Taouti", "Heratagon", "Onatoris", "Reathos", "Thanthos", "Dynaralis", "Seguli", "Oppodorix", "Falabaran", "Malatoris", "Nomadipius", "Absotis", "Arkeadorix", "Carobaran", "Goliath", "Thandiox", "Faladipius", "Heioth", "Taoralis", "Andire", "Absodor", "Carodon", "Sedorix", "Nimir", "Hedor", "Absodor", "Naphooris", "Sonooris", "Paradore", "Phoeioth", "Nomaguli", "Naphooris", "Thandrotis", "Naphodon", "Andaris", "Maxadorum", "Phoedorum", "Onadore", "Herabos", "Sebaran", "Miloralis", "Milodore", "Onadrox", "Faladosae", "Reodor", "Taodrae", "Onatari", "Thanoni", "Polybius", "Maladipius", "Dynabos", "Endolore", "Dynathos", "Endolus", "Naodrox", "Vodrox", "Curiodire", "Sonolore", "Milodosae", "Ambodorum", "Naodosae", "Endoinis", "Onalore", "Vobos", "Paraitae", "Oppodor", "Hecate", "Parainis", "Phoeitae", "Naphotis", "Carotis", "Malathos", "Nomadrae", "Antari", "Naodrae", "Thandaris", "Nomadon", "Theoralis", "Phoedore", "Taothos", "Curiodorix", "Taodore", "Phandore", "Endodrome", "Naphotis", "Carodrome", "Heradrotis", "Thandore", "Paradiox", "Curiolus", "Opporalis", "Naphouti", "Comitae", "Absotis", "Sedipius", "Heuti", "Sedrotis", "Naphoinis", "Reouti", "Heralis", "Reooris", "Comitae", "Naodor", "Comdrox", "Theodosae", "Seinis", "Comdrox", "Kilims","Odysseus", "Heradiox", "Ophiodore", "Naotoris", "Heradrox", "Sedrotis", "Heradon", "Icarius", "Pegasus", "Sonotari", "Absodon", "Talos", "Absobaran", "Absodor", "Thanitae", "Endodorum", "Heradorum", "Oppoinis", "Falainis", "Aninis", "Taodor", "Absoitae", "Cohaereo", "Nomador", "Ophiodire", "Absoioth", "Taodire", "Heradire", "Tartarus", "Heuti", "Falabos", "Paraoris", "Theouti", "Ophiodiox", "Sonodosae", "Vodrome", "Arkeadice", "Endotis", "Atlantis", "Hedore", "Vodrae", "Vodore", "Hedire", "Curiodorum", "Onatoris", "Curiolore", "Heracles", "Arkeatis", "Zeus", "Curiotagon", "Seaoris", "Sedice", "Parador", "Theoitae", "Carodrotis", "Phandire", "Ophiouti", "Antoris", "Onadrome", "Absoitae", "Arkeadorum", "Oppodosae", "Oppodrome", "Vodrox",
// Galaxy 4
"Bronalus", "Bronadrox", "Cadrodosae", "Caolus", "Fostoinis", "Duriathos", "Fostodorum", "Ciobos", "Bodom", "Eorathos", "Eniodrae", "Demitto", "Cadroguli", "Anadrotis", "Caoinis", "Imperodice", "Eoradosae", "Ichobos", "Buriotoris", "Hanodice", "Bronatagon", "Falcaboras", "Caoinis", "Falcalore", "Bronatoris", "Daxialus", "Datis", "Imperolus", "Galeadrox", "Eniodore", "Baryodon", "Galeauti", "Ciodaris", "Atacadore", "Hanatis", "Caotari", "Buriodrotis", "Hippodrae", "Cadrodiox", "Fabrodrotis", "Atacainis", "Ciouti", "Duriaitae", "Galeadrotis", "Eoradosae", "Imperolore", "Galeadon", "Daxiadaris", "Galeabaran", "Boinis", "Hanadice", "Cadrodorix", "Falcainis", "Dalus", "Hanabaran", "Avadrox", "Bronatoris", "Sublica", "Avalore", "Cadrobaran", "Buriodorix", "Fostotari", "Imperodorix", "Daxiadorix","Duriadipius", "Diurnarius", "Eniodire", "Ciodosae", "Ichotagon", "Daxiadiox", "Hespalus", "Buriodiox", "Fostodrae", "Cadrotis", "Enigodorix", "Eoradiox", "Daxiadire", "Centealore", "Astroitae", "Daxiadrome", "Daxiadore", "Daxialus", "Duriatari", "Isaralis", "Enigodice", "Baryodrae", "Bronadice", "Eniouti", "Dakodipius", "Atacaioth", "Fuleathos", "Astutia", "Caobos", "Fuleadrome", "Eniobaran", "Hippodire", "Imperotagon", "Eoradice", "Centeatoris", "Enigodrox", "Astrodiox", "Avadrotis", "Baryodice", "Daxiadom", "Hanathos", "Centeaboras", "Baryoitae", "Fuleadrox", "Isadorix", "Ciodorum", "Anadipius", "Bodice", "Hippotoris", "Buriotoris", "Galeatagon", "Duriadrae", "Hanainis", "Atacaboras", "Baryolus", "Fabrolus", "Isauti", "Ciobos", "Isatis", "Daxiainis", "Eniothos", "Fabroinis", "Eoraitae", "Eurodaris", "Eniotoris", "Buriothos", "Grypodore", "Enigodosae", "Daxiadice", "Bodire", "Centeathos", "Buriodice", "Galeadire", "Dakodaris", "Baryoioth", "Cadrotis", "Grypotoris", "Gronaeha", "Isadosae", "Imperodorix", "Eoraioth", "Isatoris", "Anadorix", "Hanatagon", "Astrogon", "Duriagon", "Atacainis", "Hanaitae", "Duriadorum", "Enigotis", "Burioinis", "Enigodon", "Avadire", "Fabroinis", "Galeadom", "Hippoguli", "Isabos", "Remuneratio", "Cadrotari", "Anathos", "Astrobos", "Hippodice", "Isaioth", "Falcagon", "Fabrobaran", "Botari", "Eoradaris", "Baryodorum", "Caolus", "Bronatis", "Avadon", "Fuleatari", "Fabrotagon", "Enioitae", "Eurothos", "Caotari", "Duriaioth", "Hespalore", "Falcaioth", "Hippouti", "Astrotagon", "Eorathos", "Dakobos", "Isagon", "Fuleaboras", "Atacadon", "Galeatari", "Durialus","Duriabaran", "Imperoguli", "Baryouti", "Eniodrox", "Bronadiox", "Bodrotis", "Falcaioth", "Hippotis", "Buriodon", "Eniothos", "Eurodrotis", "Falcaguli", "Hipporalis", "Trudis", "Hespadosae", "Bronadom", "Hanadrox", "Fostodiox", "Ichoralis", "Astroitae", "Eurodipius", "Eurouti", "Galeadire", "Ichodrae", "Fuleadosae", "Bronadrotis", "Baryodrox", "Pertica", "Atacadire", "Isadrome", "Baryodore", "Imperolus", "Anadorum", "Ichodom", "Hippobaran", "Eoradrome", "Bodon", "Botagon", "Hanabaran", "Imperoralis", "Eniolus", "Dakoinis", "Imperoguli", "Hanadice", "Anadorum", "Daxiatis", "Falcatari", "Centeadore", "Bronatagon", "Atacadaris", "Hespalus", "Euroboras", "Testificor", "Centeadiox", "Avadosae", "Fuleadorum", "Enigodom", "Atacalus", "Imperoralis", "Avainis", "Anadice", "Enigotis", "Centeadipius", "Baryodom",
// Galaxy 5
"Sebaran", "Angon", "Reperalis", "Falatagon", "Votagon", "Seuti", "Sonooris", "Antagon", "Phandrox", "Taodor", "Sonouti", "Malauti", "Parabos", "Ambodrae", "Carodice", "Daemon", "Paradaris", "Sedorum", "Cambridge", "Ambodaris", "Vodon", "Daiboken", "Arkeadosae", "Hedrome", "Naphobos", "Paratari", "Carolus", "Anioth", "Ophiodorix", "Heralis", "Phoetoris", "Nomaioth", "Nomaoris", "Naouti", "Tiamat", "Repebos", "Phantoris", "Curiolus", "Andaris", "Baculum", "Falatagon", "Dynador", "Phandrotis", "Paralore", "Oppodire", "Malalore", "Arkeadore", "Oppothos", "Repeuti", "Phandrotis", "Thanlore", "Carodice", "Dynadrae", "Arkeadorix", "Taodorix", "Naotoris", "Cenobite", "Maladrotis", "Napholore", "Naphoinis", "Falaralis", "Theotis", "Phandor", "Antagon","Sonoioth", "Phoedire", "Phandrox", "Taodrox", "Absoralis", "Malaoris", "Reainis", "Endodrome", "Thanoris", "Chronus", "Lilliput", "Medusa", "Sonodrome", "Repetis", "Ophiobaran", "Taolus", "Curiodon", "Thantagon", "Theodon", "Androme", "Madara", "Taodor", "Taobaran", "Hetari", "Nomaoris", "Oppodosae", "Repedrae", "Oppotoris", "Paraitae", "Sonodore", "Paraoris", "Theodore", "Thanuti", "Oppodorum", "Anioth", "Hiatum", "Theseus", "Carodorum", "Ophiodice", "Faladon", "Sedorix", "Naphodore", "Ophiogon", "Seuti", "Ambobaran", "Conciderunt", "Antagon", "Androtis", "Phoelore", "Nomalore", "Curiotagon", "Reatis", "Theodor", "Anbaran", "Phoetari", "Hedrae", "Jaculum", "Malabos", "Thandipius", "Nomatagon", "Repeioth", "Heradrox", "Reaoris", "Vodore", "Phandorix", "Oppodon", "Reodrox", "Reodipius", "Maxaralis", "Hediox", "Milodosae", "Dynalus", "Duellator", "Readorix", "Reodrox", "Anoris", "Malalore", "Sonodon", "Dynauti", "Arkearalis", "Onalus", "Reotis", "Ambodore", "Endodosae", "Naphodice", "Combaran", "Ambotis", "Dynabos", "Reatis", "Oppodire", "Vodipius", "Oppodrotis", "Sonotagon", "Endodorum", "Vouti", "Oppooris", "Thandire", "Ambobos", "Milobaran", "Maxadrox", "Onadosae", "Dynabos", "Comdrotis", "Heraoris", "Absobaran", "Heradorix", "Taodrae", "Absodire", "Oppodrae", "Sonooris", "Naotari", "Theotari", "Opporalis", "Oppodrox", "Maxaoris", "Arkeabos", "Readrox", "Thantari", "Falalus", "Comdrae", "Malalore", "Naotoris", "Onaoris", "Endodaris", "Carodire", "Reooris", "Phoetagon", "Phandrox","Sonodrox", "Curiodipius", "Onaoris", "Curiodiox", "Emissarius", "Succusio", "Valentinian", "Faladorix", "Miloralis", "Falatoris", "Reathos", "Phaninis", "Theotis", "Thaninis", "Nomador", "Thanlus", "Absothos", "Comploratio", "Dynador", "Comoris", "Maladrotis", "Heralis", "Readorix", "Seldon", "Taoitae", "Curiodire", "Arkeadrox", "Naphodorum", "Faladosae", "Curiodaris", "Milotari", "Heradorix", "Phandorix", "Endotis", "Miloguli", "Dynadrome", "Hetari", "Heoris", "Phanthos", "Readrox", "Absodiox", "Maladrome", "Amboinis", "Volus", "Nomatagon", "Malatari", "Onadrae", "Seitae", "Falauti", "Thanioth", "Heradaris", "Oppodiox", "Naooris", "Thandice", "Gestalt", "Phandice", "Phantari", "Paradorum", "Phanbaran", "Nomalus", "Solomon", "Repetoris", "Onadosae", "Maxaitae",
// Galaxy 6
"Eniouti", "Fabrodorix", "Fuleatari", "Eniotis", "Imperoguli", "Fabrobos", "Grypodiox", "Galeaguli", "Eorabos", "Bodire", "Centeadice", "Fostodon", "Enigodrotis", "Fostodrome", "Hippodice", "Duriadrotis", "Grypobaran", "Fulealore", "Fabrobaran", "Hippodore", "New Mexico", "Bronainis", "Eniodipius", "Buriobos", "Anadorum", "Baryotari", "Eurodire", "Bodon", "Ichodipius", "Hanabos", "Imperoioth", "Eoradosae", "Fabrotagon", "Avaguli", "Centeadorix", "Euroitae", "Duriaboras", "Eoradore", "Eoradorum", "Hespadosae", "Ciodrox", "Astrodom", "Hippoitae", "Astrodrotis", "Daxiadrae", "Boioth", "Eniodipius", "Fabrodon", "Hespaguli", "Bronauti", "Fabrobos", "Eurodorum", "Hippodrome", "Biollante", "Dakodrotis", "Fostodrotis", "Bronadiox", "Fabrodorix", "Moenus", "Grypoboras", "Botagon", "Atacaioth", "Avadipius", "Atacalore","Isadrox", "Ichodom", "Euroioth", "Eurodipius", "Astrodipius", "Fuleadrae", "Caoboras", "Imperodice", "Buriodaris", "Gonoria", "Astrodon", "Ciodom", "Caodom", "New Britannia", "Baryolus", "Duriadorum", "Caoboras", "Praevado", "Centeadipius", "Bronadrome", "Enigobos", "Daxiadorix", "Isadiox", "Imperodire", "Eoralus", "Buriodipius", "New London", "Fostotagon", "Bronatagon", "Hippodice", "Atacadiox", "Hanadrox", "Vortimer", "Avadiox", "Atacadice", "Cadrodire", "Hippogon", "Galeaioth", "Daxiaralis", "Fabroboras", "Hanadrome", "Avadrae", "Galeadom", "Centeathos", "Hesparalis", "Falcadore", "Astrodorum", "Cadrobaran", "Ichodrome", "Buriodiox", "Ichodore", "Dadire", "Imperobaran", "Daxiaralis", "Eniodorix", "Ichodire", "Grypodorix", "Cadrodorix", "Anadon", "Avauti", "Bronadire", "Falcalus", "Daxiabos", "Grypodosae", "Eoraitae", "Isalore", "Duriaralis", "Buriobos", "Eniotoris", "New America", "Bouti", "Dakodrox", "Duriadice", "Hanadrae", "New Africa", "New Australia", "Galeadorum", "Atacaralis", "Hespadiox", "Fostodice", "Fuleadrox", "Anadosae", "New India", "Cadrodrae", "Falcadrotis", "Baryoitae", "Goranado", "Dakodrox", "Bodipius", "Bodrotis", "Isalore", "New China", "Eoradon", "Grypoboras", "Durialore", "Dabaran", "Dabos", "Falcadrotis", "Duriadorix", "Dakotagon", "Astroinis", "Eurotis", "Duriaioth", "Ciodrae", "Eniodorum", "Eoraitae", "Astrotagon", "Caodiox", "New Pakistan", "Eniodon", "Belatis", "Hanauti", "New Oxford", "Falcatari", "Grypodon", "Eniolore", "Isadom", "Baryodon", "Dainis", "Eoraboras", "Caoinis", "Hippolus", "Falcatagon", "Baryodon", "Falcadrome", "New Moscow", "Baryoitae", "Cadroinis","Cadrodom", "Ichodosae", "New Antarctica", "New Cornwall", "Ichodorum", "New Pretoria", "Eniotari", "Dakobaran", "Atacaitae", "Hespadrotis", "Ciotari", "New Berlin", "Bronainis", "Fabrothos", "Fuleadice", "Hanauti", "Ichodice", "Astrodore", "Bronaitae", "Boinis", "Bronabaran", "Duriadipius", "New Luxembourg", "Ciobaran", "New Belgium", "Cioralis", "Falcadom", "Avadiox", "Duriadorum", "Astrobaran", "Bronabos", "New Venice", "Astrodorum", "Isalore", "Duriadom", "Hespagon", "Centeatari", "Cadroinis", "Dadrae", "Avatoris", "Tlanchana", "Fuleatis", "New Hastings", "New Scotland", "Droxia", "Anadice", "Dakodon", "Hesparalis", "New Ireland", "Isatis", "Todrotis", "Bodice", "Atacadore", "New Poland", "New Europe", "Cadrotis", "New Asia", "Horizon", "Atari", "Eurodorum", "Atacalus", "Dakoralis", "Fabrodaris", "Centeadrotis",
// Galaxy 7
"Nomador", "Pandemonium", "Carouti", "Dynauti", "Raptor", "Oppoitae", "Maxadorix", "Absodire", "Dynalus", "Faladiox", "Phoedaris", "Paradaris", "Onatari", "Maxathos", "Thandiox", "Dynaitae", "Volatilis", "Paradire", "Theolore", "Bell", "Lycaon", "Voioth", "Camdore", "Comdire", "Onadice", "Oppobaran", "Dynatagon", "Pariunt", "Sonodipius", "Fordris", "Reathos", "Maxadire", "Milothos", "Taodice", "Oppoguli", "Ophioitae", "Taoioth", "Paradrome", "Taodore", "Thanthos", "Naphodipius", "Maxaitae", "Hediox", "Nomatis", "Falaoris", "Naodrae", "Theolore", "Taodrae", "Arkealus", "Onadosae", "Endotis", "Sonodore", "Comdorum", "Anguli", "Naphodrotis", "Falabos", "Arkeadaris", "Helus", "Cominis", "Phoedore", "Phoetari", "Readrotis", "Ambodrotis", "Trivium","Reodosae", "Hartwell", "Naodaris", "Ambobos", "Nomadaris", "Dynainis", "Phoedrae", "Nomalore", "Ophiodaris", "Hegon", "Aninis", "Ambobos", "Oppobos", "Theoioth", "Endobaran", "Onainis", "Sethos", "Sonotoris", "Theodor", "Curioioth", "Fenris", "Ragnarok", "Readice", "Cthulhu", "Paradome", "Taodor", "Arkeadaris", "Ophioitae", "Lupus", "Naphodrotis", "Curiobaran", "Paradrae", "Maxalus", "Poseidon", "Caroralis", "Anlore", "Novum", "Valerian", "Androtis", "Nomadosae", "Theodon", "Reodiox", "Maladrae", "Reaper", "Onaoris", "Sethos", "Lilliput", "Endodor", "Naoguli", "Absodiox", "Ophiobaran", "Phandore", "Vouti", "Ophiodice", "Heradon", "Phanlore", "Arkeadorum", "Nomadiox", "Repebos", "Phanlus", "Theoinis", "Vouti", "Falabos", "Parauti", "Poseidon", "Maxatari", "Maladice", "Vodrotis", "Maladaris", "Faladaris", "Naolore", "Valtieri", "Vodice", "Phandrome", "Carodiox", "Arkeatari", "Phanuti", "Falatari", "Dynadorix", "Phoedorix", "Sedosae", "Endobaran", "Comdosae", "Maxauti", "Selore", "Gagarin", "Naoralis", "Heradrox", "Seldon", "Maladrotis", "Phoedor", "Comdorum", "Naodor", "Posthomerica", "Falabos", "Oppodrae", "Oppodorix", "Onaitae", "Falalus", "Heradorix", "Endotari", "Armstrong", "Theooris", "Ambolore", "Comlore", "Dynatari", "Nomaralis", "Dynadosae", "Sonodiox", "Eltrium", "Dynadrotis", "Theothos", "Theotis", "Arkearalis", "Carodosae", "Curiodorix", "Paradire", "Onadorum", "Endodorix", "Parathos", "Oppoguli", "Theotari", "Transvectio", "Arkeadrae", "Arkealore", "Dynaitae", "Ambodosae", "Necropolis","Heralis", "Endobaran", "Malum", "Combaran", "Miloinis", "Endodaris", "Vodrotis", "Repedrox", "Carodorum", "Hetari", "Theodosae", "Taodrotis", "Vodire", "Phoedice", "Comploratio", "Naphodorum", "Ophiodiox", "Taotari", "Reodire", "Thandrae", "Reodire", "Andore", "Sonolus", "Posthomerica", "Absodiox", "Maxadrox", "Hegon", "Phandon", "Oppouti", "Theouti", "Seioth", "Letalis", "Phoedorum", "Sedipius", "Antoris", "Thandrae", "Carodosae", "Onatis", "Dynainis", "Ophiodrotis", "Carobaran", "Endodon", "Naoralis", "Falatoris", "Graduati", "Ambobos", "Phoeoris", "Taodor", "Taoitae", "Thandipius", "Absodorum", "Hedire", "Ambodipius", "Thandosae", "Maladorix", "Sedire", "Archimedes", "Repeioth", "Repetoris", "Milothos", "Ophiodrox", "Malalus", "Naodor", "Anlore",
// Galaxy 8
"Eniodrae", "Atacatoris", "Centeaguli", "Duriadon", "New Sacramento", "New Colorado", "Anadrae", "Bodrome", "New Denver", "Galeadire", "Baryoralis", "Dakodiox", "Cadrotis", "Atacabos", "Imperoioth", "Hespadrome", "New Denver", "Ciodaris", "Fostolore", "Hippolore", "Avauti", "Bodire", "New Connecticut", "Eurodore", "Cadrotagon", "Bodire", "Avadore", "New Delaware", "New Dover", "Falcadaris", "Avadorum", "Galeabaran", "Fabroioth", "New Florida", "Centeadom", "Cauda", "New Georgia", "Cadrotagon", "Hespadorum", "Hespagon", "Hanaitae", "Eoradipius", "Eurothos", "Bronadice", "Astrotagon", "Durialore", "Daxiadosae", "New Atlanta", "Cadrogon", "Duriadice", "New Hawaii", "Hippodiox", "Ichotari", "Caobos", "Hespadire", "Atacatis", "Duriadrotis", "Galeadaris", "Daxiadrae", "Eniodorix", "Hanathos", "Astrouti", "Ciodire", "Hanalore","Astroboras", "Centeatari", "Caodipius", "Grypogon", "Ciolus", "Censitio", "Astrobos", "Avaioth", "Duriadorix", "Boioth", "Ciodrome", "Fuleaioth", "New Honolulu", "Dakodipius", "Centeadipius", "Hespaioth", "New Idaho", "Fuleabos", "New Tamworth", "Centea", "Ciolus", "Anadorum", "Hanadice", "Caoinis", "Centeadrae", "Duriathos", "Buriobaran", "Fostoioth", "Cadrodice", "Dakodrome", "Atacadon", "Tabellarius", "Eniodrox", "Ciodosae", "Falcathos", "Ciodipius", "Ichouti", "Duriatari", "New Chicago", "Astrodore", "Isaboras", "Avalore", "Hanadrome", "Buriobos", "Isaralis", "Astrodorix", "Enioioth", "Ichodrox", "Astutia", "Anadaris", "Eurotoris", "Anathos", "Caotis", "Dagon", "Nuntius", "Galeata", "New Indiana", "Euroboras", "Hanainis", "Hanadorum", "Eorabaran", "Tagon", "Eurodosae", "Anadrae", "Galeadore", "New Iowa", "Dalus", "Dadice", "Hanaralis", "Hipporalis", "Eurodice", "Hespadon", "Falcatis", "Baryoralis", "Eoradom", "Anatari", "Fuleabos", "Dorum", "Tarie", "Goutix", "Astroinis", "Buriodon", "Eniodosae", "Dabos", "Baryobos", "Durialus", "Duriatagon", "Fostodorix", "Impero", "New Matlock", "Eurodipius", "Boralis", "Hespadorix", "Dakodrome", "Atacatari", "Isadrome", "Cadrodon", "Baryodon", "Bronadrotis", "Centeaitae", "Tabellarius", "Cadrotis", "Imperouti", "Dadon", "Centeadorum", "Bodrox", "Centeaguli", "Isaitae", "Dakodrotis", "Hespadrotis", "Galeatoris", "Enigodrae", "Dadrox", "Eurodom", "Dandorix", "Daboras", "Dadrome", "Fabrodorum", "Hippotis", "Cadrodosae", "Hippodorum", "Eorabaran", "Fostotari", "Daxiaboras", "Dakolore", "Ciotari", "Anagon", "Isaioth", "Anatari", "Fostogon", "Centeadice", "Eoradom", "Eurodiox", "Fuleabaran", "Fuleabos", "Bodaris", "Fulea", "Isatoris", "Dakolore", "Astrodon", "Botis", "New Halifax", "Hespathos", "Galeainis", "Daitae", "Anatagon", "Astroralis", "Boguli", "Caodiox", "Hanadorum", "Dalore", "Daxiadaris", "Hanabos", "Astroralis", "Atacabos", "Eurothos", "New Oxford", "Cadrodiox", "New Canada", "Centealus", "Caodrox", "New Bradford", "Falcathos", "New Bagdad", "Odrotis", "Isadrox", "Fulealore", "Botoris", "Bodrox", "New England", "New Delhi", "Centeathos", "Hippodom", "Avadrox", "New Plymouth", "Dromini", "Loudon", "Buriotis", "Gomeisa", "Goshen", "New Ipswich", "Grypothos", "Imperodice", "Hanabaran", "Ciodaris", "Falcaioth", "Dadrae", "New Islamabad", "Ichobos", "Cadrodrox", "Keystone", "Kiamba",
 // The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Melodes"];

this.planetpool5 = [
// Galaxy 1
"Bealis", "Rheaonia", "Helalis", "Cassalon", "Beoethorn", "Iseus", "Pasotica", "Isoethorn", "Ampaonia", "Spoaonia", "Rhealis", "Heladone", "Isaonia", "Biothorn", "Bialis", "Kaladone", "Proalis", "Diponia", "Phoaonia", "Limus", "Telalis", "Aladone", "Paneoncius", "Realis", "Pasotica", "Ampadone", "Deaonia", "Bealis", "Biaonia", "Heleus", "Kaleus", "Rheotica", "Somnium", "Pasonia", "Dipalis", "Proeoncius", "Telalis", "Caleus", "Janoethorn", "Dipotica", "Janadone", "Readone", "Panalis", "Oncius", "Spoaonia", "Proeus", "Beotica", "Ampeoncius", "Othaonia", "Risplin", "Loconia", "Janeus", "Reotica", "Beaonia", "Mionia", "Helaonia", "Localis", "Spoonia", "Ampadone", "Phoeus", "Rhealis", "Miaonia", "Tenere", "Prooethorn","Cometerium", "Alther", "Beaonia", "Proaonia", "Dipotica", "Otheoncius", "Teladone", "Ledonia", "Ampalis", "Bealis", "Localis", "Pasotica", "Helalis", "Otheus", "Kaladone", "Photica", "Reonia", "Telonia", "Ledaonia", "Dipaonia", "Reaonia", "Phoadone", "Liaden", "Sinalis", "Helalis", "Calaonia", "Proethorn", "Beonia", "Rheonia", "Ledonia", "Isoethorn", "Spoethorn", "Isalis", "Pasonia", "Sidonia", "Taverton", "Proadone", "Realis", "Sinthorn", "Kalonia", "Janaonia", "Panaonia", "Beeoncius", "Beeoncius", "Locotica", "Janotica", "Spoeoncius", "Locaonia", "Pasalis", "Bialis", "Alaonia", "Phooethorn", "Pasotica", "Metallicus", "Panonia", "Armarium", "Martine", "Calatron", "Sinadone", "Janalis", "Ampaonia", "Isalis", "Iseus", "Heleoncius", "Teladone", "Reotica", "Helotica", "Miadone", "Mialis", "Miaonia", "Proeus", "Ledaonia", "Isotica", "Realis", "Deaonia", "Pasotica", "Alalis", "Mionia", "Kaladone", "Perpetior", "Cantos", "Dipotica", "Heladone", "Rheotica", "Kalotica", "Biotica", "Cadicle", "Panotica", "Pasalis", "Calotica", "Rheaonia", "Alotica", "Helonia", "Hapore", "Channard", "Spootica", "Illuminae", "Paseoncius", "Beotica", "Biotica", "Ampotica", "Spoeus", "Reeus", "Ampeoncius", "Rheoethorn", "Spoaonia", "Panadone", "Kristoff", "Calotica", "Telonia", "Realis", "Rheotica", "Hedorah", "Pasoethorn", "Manifestus", "Dealis", "Concretus", "Reotica", "Kaleoncius", "Janotica", "Spoaonia", "Localis", "Bealis", "Dipalis", "Praestrictus", "Isalis", "Telaonia", "Deaonia","Loceus", "Deotica", "Alaonia", "Miotica", "Spoeus", "Biotica", "Ledadone", "Isalis", "Janaonia", "Potestas", "Isotica", "Iseoncius", "Collabria", "Telonia", "Rheotica", "Biadone", "Calaonia", "Rheonia", "Stiriacus", "Aloethorn", "Rheonia", "Sinaonia", "Caprea", "Panalis", "Othotica", "Janoethorn", "Austus", "Telaonia", "Ledonia", "Spoadone", "Spoadone", "Sineus", "Janoethorn", "Beaonia", "Ampeoncius", "Ampeoncius", "Summa", "Ledadone", "Phooethorn", "Amponia", "Othonia", "Alveus", "Kalalis", "Confictura", "Panaonia", "Paseoncius", "Mieus", "Beonia", "Othadone", "Telaonia", "Minutor", "Beadone", "Poalis", "Pasalis", "Beonia", "Deadone", "Repulse", "Telonia", "Sinalis", "Alotica", "Locotica", "Concisura", "Paseoncius", "Mioethorn",
// Galaxy 2
"Quadone", "Protalis", "Kobe", "Kockengen", "Lotica", "Faneus", "Jagonia", "Zepotica", "Rolaonia", "Ophothorn", "Rinaonia", "Rinalis", "Jagotica", "Zape", "Lofethorn", "Belotica", "Jagonia", "Toaonia", "Valeus", "Desaonia", "Viotica", "Vieoncius", "Lofaonia", "Rineus", "Tarveus", "Olotica", "Vothorn", "Proteoncius", "Thalotica", "Daphotica", "Jagonius", "Tarveus", "Cyonia", "Quonia", "Kerbeoncius", "Chothorn", "Quotica", "Rexburg", "Opheoncius", "Roladone", "Lofonius", "Relothorn", "Cheoncius", "Tempestus", "Cyononia", "Risin", "Deseus", "Methorn", "Jageus", "Thalotica", "Valaonia", "Deseoncius", "Hereticus", "Tarvotica", "Chadone", "Qualis", "Rineoncius", "Tarvaonia", "Lofeoncius", "Tarvotica", "Triticum", "Straken", "Sutheoncius", "Jagotica","Rochelle", "Thalotica", "Jagonia", "Rinadone", "Qualis", "Deseus", "Dapheoncius", "Tarvotica", "Thalonus", "Auctoritas", "Toaonia", "Belonia", "Sutheon", "Tohoon", "Jagotica", "Suthoe", "Rinoe", "Cylon", "Magotica", "Rochester", "Rockland", "Protica", "Belalis", "Tootica", "Oladone", "Fanaonia", "Dapheus", "Rolalis", "Rollis", "Suthonia", "Zeponia", "Rosamond", "Protalis", "Quonia", "Rowe", "Proteus", "Votica", "Valadone", "Suthaonia", "Kalotica", "Zepotica", "Metheoncius", "Vodon", "Toeus", "Rolonia", "Voionia", "Cryonia", "Lotica", "Zepeus", "Lofardon", "Fantica", "Rudolpho", "Metheus", "Ophaonia", "Kerbaonia", "Notica", "Belonia", "Valeoncius", "Jageoncius", "Kerbotica", "Beladone", "Olonia", "Kerbotica", "Zeponia", "Zepalis", "Selenar", "Cyanolis", "Toeus", "Thalorne", "Valotica", "Rinothorn", "Qualis", "Aboleth", "Acuere", "Methra", "Chotica", "Sueoncius", "Jagotica", "Belonia", "Cheonus", "Olica", "Tavotica", "Santiago", "Jagalis", "Acumino", "Valeus", "Proadone", "Ophotica", "Daphaonia", "Valotica", "Belalis", "Verth", "Suthon", "Loadone", "Thalotica", "Desalis", "Thalalis", "Protonia", "Daphalis", "Proteus", "Ophadone", "Roloncius", "Fanthorn", "Fanadone", "Tarveus", "Methonia", "Desadone", "Sutheoncius", "Belaonia", "Rinadon", "Ophoeth", "Kerbeoncius", "Voiotica", "Daphadone", "Zepolica", "Dapheoncius", "Vestallas", "Sutheoncius", "Protonia", "Fanotica", "Suth", "Voncius", "Ophalis", "Valalis", "Thaleus", "Jagoncius", "Daphonia", "Dapheoncius","Quadone", "Rolonia", "Methalis", "Suthalis", "Aeldari", "Zepotica", "Dapheoncius", "Lofotica", "Valonia", "Zepeus", "Toethorn", "Sutheon", "Votica", "Fanaonia", "Methonia", "Kerbeoncius", "Lofalis", "Rinadone", "Ophonia", "Toalis", "Quadone", "Roldon", "Cousteau", "Rolotica", "Wrentham", "Dover", "Daphonia", "Tarvoica", "Roleus", "Franklin", "Zepalis", "Deseon", "Dapheon", "Fanalis", "Goodna", "Kerbonia", "Rineoncius", "Rineus", "Kerbais", "Sutheon", "Grant", "Belalis", "Belonia", "Oncia", "Lonia", "Ophaonia", "Groveld", "Thalonia", "Suthonia", "Rolonia", "Hornburg", "Chalis", "Deseus", "Methaonia", "Jagadon", "Taroncius", "Oleus", "Daphotica", "Hudeiba", "Hotica", "Metheus", "Huntington", "Kinbrace", "Ironhold",
 // Galaxy 3
"Spoadone", "Kalalis", "Othadone", "Isoethorn", "Othaonia", "Phoaonia", "Proeus", "Deadone", "Janonia", "Kalonia", "Biotica", "Helonia", "Pasaonia", "Sinadone", "Pasaonia", "Sinonia", "Teleoncius", "Rhealis", "Panalis", "Spoalis", "Janeus", "Telonia", "Ampadone", "Deadone", "Panalis", "Caninum", "Othonia", "Dipaonia", "Iseus", "Iseoncius", "Reotica", "Biaonia", "Ampalis", "Biotica", "Loconia", "Alonia", "Kaladone", "Bioethorn", "Ledalis", "Teladone", "Opinatus", "Rheadone", "Eluria", "Phooethorn", "Teleoncius", "Deonia", "Ledalis", "Ghidorah", "Deoethorn", "Ledadone", "Isalis", "Janadone", "Mieus", "Telotica", "Kalalis", "Panotica", "Ampeus", "Mandore", "Bieus", "Mieus", "Ledaonia", "Beonia", "Telalis", "Paseoncius","Calonia", "Spoadone", "Sinonia", "Kaleus", "Proalis", "Heloethorn", "Reoethorn", "Cambrai", "Sargon", "Pasoethorn", "Rheadone", "Prooethorn", "Teladone", "Realis", "Kerberos", "Sinonia", "Amponia", "Readone", "Phoalis", "Teleus", "Heladone", "Beonia", "Beeus", "Phoadone", "Spoeoncius", "Kalotica", "Calotica", "Ledonia", "Pasaonia", "Kishimoto", "Ledalis", "Dipeoncius", "Heladone", "Spoeus", "Othaonia", "Ampadone", "Beaonia", "Proalis", "Kalaonia", "Telotica", "Telonia", "Rheotica", "Isadone", "Panonia", "Realis", "Otheus", "Isaonia", "Deotica", "Dipeus", "Sinalis", "Alalis", "Sinotica", "Paneoncius", "Helonia", "Pasoethorn", "Reonia", "Masashi", "Ledalis", "Loceus", "Realis", "Pasoethorn", "Janotica", "Proadone", "Janotica", "Spoonia", "Telalis", "Beaonia", "Heladone", "Fleischer", "Bieoncius", "Alotica", "Helonia", "Isalis", "Calonia", "Othaonia", "Helotica", "Dipeoncius", "Heladone", "Othoethorn", "Vatrone", "Reoethorn", "Miaonia", "Othoethorn", "Loceoncius", "Janalis", "Miaonia", "Ampotica", "Kaleus", "Ampeus", "Isonia", "Ampaonia", "Panalis", "Phootica", "Dravidia", "Collactin", "Teleoncius", "Janalis", "Deoethorn", "Panotica", "Reotica", "Rheotica", "Spoadone", "Rheotica", "Kalalis", "Caladone", "Oricalcinus", "Ampaonia", "Kaleus", "Bealis", "Proeoncius", "Architecta", "Telalis", "Alaonia", "Rheonia", "Proeus", "Aladone", "Miaonia", "Scheer", "Kalotica", "Diponia", "Reotica", "Janoethorn", "Janoethorn", "Rheoethorn", "Alonia", "Alalis", "Proalis", "Spoonia","Phoeus", "Paseoncius", "Panotica", "Panadone", "Dealis", "Torturchen", "Reoethorn", "Kaladone", "Calalis", "Ledeus", "Iseoncius", "Readone", "Gatchaman", "Janaonia", "Bieoncius", "Kaloethorn", "Miotica", "Janoethorn", "Reeus", "Leckie", "Ampeoncius", "Panotica", "Miotica", "Janalis", "Proeoncius", "Mioethorn", "Langdon", "Isotica", "Decurro", "Kadath", "Gentosho", "Beaonia", "Helalis", "Jandore", "Calonia", "Alonia", "Tatsunoko", "Beadone", "Kalalis", "Spoalis", "Deeoncius", "Othotica", "Pasaonia", "Pasotica", "Ledotica", "Bioethorn", "Deonia", "Ledotica", "Isoethorn", "Sinadone", "Diponia", "Othaonia", "Telotica", "Reeus", "Ampaonia", "Isadone", "Caladone", "Proadone", "Pasalis", "Teladone", "Othoethorn", "Reonia", "Helonia", "Kalonia",
// Galaxy 4
"Fanadone", "Toalis", "Bonia", "Reoncius", "Coadone", "Kerbaonia", "Rinalis", "Reus", "Rinadone", "Masotica", "Kerbotica", "Meleus", "Ladone", "Scheuer", "Pascow", "Kerboethorn", "Beotica", "Draconith", "Cootica", "Radone", "Bealis", "Kindu", "Phonia", "Notica", "Toonia", "Dapalis", "Rineus", "Zepaonia", "Meladone", "Masadone", "Ronia", "Zalis", "Zonia", "Toeus", "Rinotica", "Phadone", "Pheoncius", "Kerbaonia", "Lanueva", "Lotica", "Thurock", "Melonia", "Bubonicus", "Fanonia", "Leus", "Vadone", "Kamenka", "Protica", "Wroxeter", "Aloe", "Laonia", "Protica", "Alalis", "Cheoncius", "Vemaed", "Coaonia", "Reoncius", "Worell", "Vincula", "Zoia", "Masadone", "Vaonia", "Cheus", "Desoel","Desalis", "Cootica", "Zeponia", "Phaonia", "Rodel", "Desotica", "Votica", "Beadone", "Strang", "Toeoncius", "Zepoe", "Valis", "Kerbaonia", "Toadone", "Vadone", "Masadone", "Fluctus", "Chalis", "Cheus", "Bonia", "Laonia", "Rinadone", "Faneus", "Dapoe", "Procella", "Desotica", "Dapotica", "Coeus", "Rootica", "Roalis", "Beeoncius", "Melonia", "Lalis", "Nalis", "Zaonia", "Ronia", "Maseoncius", "Beadone", "Zalis", "Desotica", "Coaonia", "Voe", "Melonia", "Meleoncius", "Vadone", "Cheus", "Bonia", "Badone", "Zepa", "Phadone", "Balis", "Rinaonia", "Toonia", "Daponia", "Roaonia", "Votica", "Fanaonia", "Zaonia", "Pheus", "Alotica", "Masome", "Woodstock", "Volorus", "Roeus", "Maseoncius", "Roalis", "Dumosus", "Raonia", "Melotica", "Lalis", "Catulus", "Toadone", "Pheoncius", "Toeoncius", "Rinonia", "Leoncius", "Badone", "Fanadone", "Desadone", "Virtue", "Cheon", "Phonia", "Roohorn", "Melonia", "Zeponia", "Roeoncius", "Roeoncius", "Dapeus", "Bonia", "Beoncius", "Votica", "Praonia", "Melaonia", "Zonia", "Fanalis", "Radone", "Rootica", "Zonia", "Aleoncius", "Toonia", "Roonia", "Beadone", "Preus", "Roaonia", "Dapalis", "Beonia", "Fanalis", "Cheoncius", "Coeon", "Toaonia", "Klithaine", "Zepa", "Aonia", "Nalis", "Masalis", "Masadone", "Alalis", "Protica", "Raonia", "Coeus", "Roeus", "Coeus", "Carandinis", "Kathalon", "Balis", "Kerbeus", "Beaonia", "Faneoncius","Desaonia", "Votica", "Beadone", "Zeth", "Roonia", "Lothan", "Rinalis", "Rinonia", "Masadone", "Daponia", "Lungdo", "Victoria", "Ladone", "Zoth", "Coaonia", "Beeoncius", "Coaonia", "Dapadone", "Fanalis", "Toadone", "Toeth", "Fana", "Praxton", "Desonia", "Desonia", "Zaonia", "Prixia", "Zeon", "Remshield", "Salis", "Protica", "Praonia", "Zadone", "Masonia", "Kerboen", "Masalis", "Balis", "Reidun", "Kentarus", "Phaobia", "Rinon", "Sauk", "Lenox", "Toeus", "Leoncius", "Rotica", "Cheon", "Preonic", "Phalis", "Protica", "Phaonia", "Coadone", "Toaonia", "Fanadone", "Belial", "Rineus", "Ladone", "Praonia", "Becetela", "Beonia", "Botica", "Coalis", "Zepus", "Roonia",
// Galaxy 5
"Teleoncius", "Unity", "Helonia", "Strahan", "Loconia", "Othonia", "Calalis", "Otheus", "Loconia", "Rheoethorn", "Deoethorn", "Ampadone", "Caleus", "Dipotica", "Helonia", "Bealis", "Janeus", "Kaleus", "Heleus", "Clostrum", "Sinotica", "Deeus", "Pasaonia", "Bractea", "Lucassen", "Inspiratione", "Ledaonia", "Sinotica", "Loceus", "Telaonia", "Deonia", "Biotica", "Pasotica", "Phoonia", "Ledonia", "Heladone", "Sinotica", "Helaonia", "Janadone", "Miaonia", "Heleus", "Reeus", "Dipeoncius", "Beeoncius", "Phootica", "Ampotica", "Paneus", "Calaonia", "Aloethorn", "Locotica", "Otheoncius", "Phoeoncius", "Teladone", "Telotica", "Helonia", "Kaloethorn", "Dipoethorn", "Proadone", "Ampalis", "Rheonia", "Proalis", "Telaonia", "Teladone", "Mioethorn","Telalis", "Ampeus", "Biaonia", "Bioethorn", "Reotica", "Biaonia", "Biotica", "Reonia", "Patella", "Kaloethorn", "Panaonia", "Heleus", "Othoethorn", "Prootica", "Harlock", "Reoethorn", "Telonia", "Octorok", "Isalis", "Paneoncius", "Beaonia", "Yamato", "Kalonia", "Rheadone", "Palluni", "Reotica", "Deaonia", "Othotica", "Spoeus", "Calonia", "Spoalis", "Loceoncius", "Caleus", "Ledonia", "Calaonia", "Ledeus", "Rheoethorn", "Ampeoncius", "Reotica", "Perdoceo", "Spoalis", "Deadone", "Janotica", "Spoonia", "Helotica", "Miaonia", "Heleus", "Momotaro", "Janalis", "Kalalis", "Loceus", "Janoethorn", "Iseus", "Calalis", "Reonia", "Calalis", "Ampalis", "Heleoncius", "Proeus", "Ampotica", "Othoethorn", "Spoalis", "Beotica", "Dipaonia", "Panalis", "Biotica", "Cotter", "Deeus", "Readone", "Bialis", "Rheotica", "Phoeus", "Bioethorn", "Otheus", "Dipalis", "Canistrum", "Telotica", "Perfossor", "Otheus", "Zenon", "Ampaonia", "Mionia", "Phootica", "Kalotica", "Phoeoncius", "Dealis", "Bieoncius", "Beotica", "Dealis", "Miadone", "Janadone", "Afflatus", "Proadone", "Spoaonia", "Caladone", "Heladone", "Proadone", "Phootica", "Ledotica", "Laureline", "Rheoethorn", "Isalis", "Calalis", "Alaonia", "Bealis", "Carinae", "Dipoethorn", "Dipaonia", "Teleus", "Alveus", "Sinonia", "Miotica", "Diponia", "Dipeoncius", "Janelle", "Sineus", "Dipoethorn", "Sinalis", "Biadone", "Spoonia", "Telonia", "Janeoncius", "Janeus", "Ampotica", "Teladone", "Mioethorn", "Kalonia", "Aleoncius","Reaonia", "Panaonia", "Phoaonia", "Localis", "Percipio", "Biaonia", "Spootica", "Beotica", "Loconia", "Telotica", "Paseoncius", "Miaonia", "Deonia", "Reoethorn", "Biadone", "Rheonia", "Baritus", "Othonia", "Heleus", "Proadone", "Terasawa", "Ledonia", "Mandalorian", "Ampeus", "Bieus", "Isadone", "Kalotica", "Panotica", "Deoethorn", "Othonia", "Dipeus", "Janotica", "Heleus", "Deadone", "Deaonia", "Paneus", "Crespallion", "Tourneur", "Dipeoncius", "Localis", "Janotica", "Proonia", "Pasaonia", "Loceoncius", "Teloethorn", "Kaleoncius", "Kaleoncius", "Mialis", "Heleoncius", "Janadone", "Deaonia", "Kanan", "Isonia", "Pasadone", "Ledalis", "Reeus", "Biotica", "Reonia", "Kaladone", "Ledalis", "Kaladone", "Emeraldas", "Isotica", "Involucrum",
// Galaxy 6
"Kerbeus", "Vonia", "Toaonia", "Bomax", "Toomax", "Proica", "Reus", "Afflatus", "Veus", "Toogon", "Nogon", "Meloica", "Neus", "Maseus", "Toonia", "Dapoon", "Alonia", "Zogon", "Bealis", "Tierus", "Bealis", "Fanodrox", "Deseus", "Ladire", "Masodrox", "Aloica", "Promax", "Rineus", "Loica", "Melonia", "Bonia", "Sarik", "Nonia", "Lalis", "Heodrox", "Desonia", "Beomax", "Fanoica", "Desaonia", "Coalis", "Kerbogon", "Desaonia", "Melonia", "Chodon", "Beodrox", "Zodrox", "Bonia", "Sapien", "Prodrox", "Relevow", "Lonia", "Pronia", "Preus", "Alodrox", "Fanalis", "Regis", "Tonia", "Melodrox", "Bomax", "Jarrus", "Principia", "Beonia", "Primus", "Rodrox","Desalis", "Beonia", "Preston", "Premana", "Melodrox", "Kerbalis", "Dapoica", "Pralis", "Masaonia", "Heoica", "Beoica", "Mentau", "Zalis", "Bealis", "Fanonia", "Riona", "Melissia", "Beodrox", "Toalis", "Menkar", "Lurgatan", "Heoica", "Heoica", "Fanalis", "Phomax", "Alaonia", "Lyceum", "Chonia", "Melonia", "Fanonia", "Luma", "Beus", "Bomax", "Bonia", "Toeus", "Laonia", "Baonia", "Kooken", "Beonia", "Koniz", "Kerbonia", "Saonia", "Phodrox", "Phoros", "Zodrox", "Perian", "Vaonia", "Ronia", "Phodrox", "Beodrox", "Desomax", "Desonia", "Beaonia", "Kerbeus", "Pronia", "Choica", "Desodrox", "Meloica", "Neus", "Todrox", "Toalis", "Kerbonia", "Beoica", "Heoica", "Veus", "Desalis", "Kirklin", "Zalis", "Toeus", "Fanomax", "Lodrox", "Coaonia", "Bomax", "Beoica", "Kerbodrox", "Rineus", "Alomax", "Daponia", "Dapomax", "Pronia", "Beodrox", "Beonia", "Kerbomax", "Kirken", "Khon", "Isaba", "Howick", "Hora", "Beus", "Coalis", "Heonia", "Forkas", "Chaka", "Kerbalis", "Fontein", "Foster", "Rinalis", "Coalis", "Kerbaonia", "Melonia", "Dapalis", "Gronholt", "Mason", "Hooner", "Melod", "Phaonia", "Hortense", "Ketering", "Beogon", "Kinkaid", "Kitery", "Kome", "Priori", "Serpina", "Aonia", "Fanonia", "Fanoica", "Robsart", "Meloica", "Roica", "Rohin", "Zophene", "Ruchbah", "Zonia", "Bomax", "Santander", "Ronia", "Savannah", "Bodaux", "Konov", "Leeden", "Somax", "Atrix", "Loican", "Faneus", "Zonia", "Zepo", "Aonia", "Tofta", "Viren", "Nalis", "Zoica", "Pomax", "Vorel", "Vindemi", "Zonia", "Toaonia", "Veus", "Desaonia", "Coldon", "Bodrox", "Laonia", "Timehri", "Toeus", "Jarvie", "Timbuktu", "Alonika", "Aloica", "Thesia", "Zodrox", "Toeus", "Scarbon", "Rukbat", "Kerbodrox", "Chomax", "Rubi", "Rodigo", "Doom", "Remagen", "Lodrox", "Reisling", "Chodrox", "Mentasta", "Menke", "Bodica", "Deseus", "Romax", "Shafen", "Aloica", "Vaonia", "Desodrox", "Kosciusko", "Tooica", "Kossandra", "Bealis", "Rinodrox", "Toaonia", "Lodrox", "Tooica", "Marnock", "Kostin", "Melo",
// Galaxy 7
"Locadone", "Locotica", "Proaonia", "Beotica", "Telaonia", "Gruffalo", "Krabat", "Reaonia", "Mostellaria", "Ampeus", "Ledalis", "Calonia", "Deotica", "Deeus", "Othaonia", "Sinalis", "Loconia", "Beotica", "Alonia", "Kaladone", "Helotica", "Beonia", "Panonia", "Giordano", "Phoeus", "Deaonia", "Debilior", "Panonia", "Ledalis", "Lensman", "Othonia", "Reeus", "Spoalis", "Paseoncius", "Sinonia", "Chirotheca", "Isadone", "Ampalis", "Dipeoncius", "Panadone", "Reaonia", "Beonia", "Calonia", "Phootica", "Bieus", "Calonia", "Ornatus", "Paseus", "Vestitus", "Locotica", "Miadone", "Ampeoncius", "Tomino", "Beotica", "Helotica", "Ledeus", "Spoeoncius", "Bionia", "Tentatio", "Phoeus", "Proaonia", "Diponia", "Barditus", "Rheaonia","Sineus", "Janaonia", "Biadone", "Caladone", "Pertica", "Phooethorn", "Paneus", "Dipoethorn", "Dipotica", "Otheus", "Othaonia", "Sinonia", "Mionia", "Reotica", "Locotica", "Spoeus", "Isadone", "Spoaonia", "Teloethorn", "Teleoncius", "Kaleoncius", "Sinalis", "Othonia", "Caladone", "Sinotica", "Loceoncius", "Kaleus", "Beadone", "Beadone", "Spoeoncius", "Mieoncius", "Millennia", "Calaonia", "Isoethorn", "Othadone", "Loconia", "Mieus", "Heleus", "Remious", "Paseoncius", "Deoethorn", "Proeoncius", "Reotica", "Calaonia", "Phoonia", "Iseus", "Alotica", "Janalis", "Bortone", "Dipotica", "Janaonia", "Teloethorn", "Isoethorn", "Rhealis", "Bieus", "Reotica", "Loceus", "Ledonia", "Panadone", "Mieus", "Lacinia", "Mieoncius", "Rheaonia", "Spooethorn", "Ledeus", "Janadone", "Teleoncius", "Kaloethorn", "Isonia", "Darbodia", "Pasaonia", "Reeoncius", "Othadone", "Panonia", "Calonia", "Heleus", "Mialis", "Panalis", "Sineus", "Proalis", "Phootica", "Bieus", "Readone", "Kalotica", "Sinonia", "Phoaonia", "Localis", "Barreto", "Dipoethorn", "Dipoethorn", "Proeus", "Calalis", "Rheaonia", "Kaladone", "Isoethorn", "Mieoncius", "Othaonia", "Proeoncius", "Spootica", "Othadone", "Deotica", "Othonia", "Gamera", "Discurus", "Proeoncius", "Phootica", "Loceoncius", "Heladone", "Ledadone", "Praendo", "Beeoncius", "Ledaonia", "Reonia", "Ledonia", "Pasonia", "Kalonia", "Dealis", "Janotica", "Probatio", "Otheus", "Aloethorn", "Proeoncius", "Gabara", "Spoeus", "Coerceo", "Ampotica", "Loceoncius", "Telaonia","Ampadone", "Ampalis", "Mieoncius", "Aleoncius", "Teloethorn", "Spoonia", "Amponia", "Dipaonia", "Vespertine", "Bionia", "Spoaonia", "Localis", "Ampalis", "Trudis", "Kittelson", "Ledadone", "Aladone", "Vandread", "Rheaonia", "Telalis", "Ampeoncius", "Ampeoncius", "Kalonia", "Ledadone", "Phootica", "Otheus", "Spoonia", "Beeoncius", "Teloethorn", "Deadone", "Phoeus", "Zentradi", "Phoaonia", "Ampaonia", "Ledalis", "Proadone", "Janalis", "Calalis", "Ledeoncius", "Phoadone", "Aleoncius", "Locotica", "Spooethorn", "Calaonia", "Janonia", "Paseoncius", "Calalis", "Beoethorn", "Reeus", "Teloethorn", "Biaonia", "Othadone", "Janaonia", "Sinotica", "Kaloethorn", "Sinadone", "Spoonia", "Loceus", "Amponia", "Loceoncius", "Pasalis", "Isadone", "Detecta", "Bieus",
// Galaxy 8
"Kahedin", "Cockcroft", "Rhinehart", "Abraxis", "Rockwell", "Eudora", "Ishimura", "Liberte", "Rolex", "Shackleton", "Roanoke", "Buckingham", "Pandorica", "Sackhoff", "Roslin", "Thanix", "Baltar", "Kovichi", "Klathandu", "Kladnitsa", "Zarek", "Grace", "Narcho", "Kita", "Armistice", "Novacek", "Kowalski", "Clellan", "Galen", "Larney", "Kirby", "Kopok", "Tamara", "Graystone", "Kora", "Willow", "Nesto", "Guatrau", "Caston", "Kerba", "Nemia", "Barnabus", "Vesta", "Santiago", "Tornvald", "Decklan", "Kerboica", "Menka", "Menkib", "Vale", "Hadrian", "Seamus", "Haussmann", "Mirabel", "Dreyfus", "Skade", "Remontoire", "Rashmika", "Quaiche", "Clavain", "Grelier", "Galiana", "Alorone", "Felka", "Prendon", "Trintignant", "Cahuella", "Kirchbach", "Kilbourne", "Antoinette", "Islamabad", "Hood", "Gouderak", "Goland", "Khouri", " Redemption", "Frenis", "Malhaut", "Prefect", "Kerbon", "Nalis", "Beritere", "Drusi", "Drosen", "Valis", "Lorone", "Yellowstone", "Drien", "Dorf", "Farnia", "Mademoiselle", "Venor", "Karex", "Keuter", "Irian", "Menk", "Demarchy", "Resurgam", "Rezak", "Kochanski", "Kryten", "Hollister", "Kitia", "Grogan", "Kirei", "Gamboni", "Saxon", "Petersen", "Grossbach", "Ackerman", "Vonia", "Kavis", "Blackstone", "Madel", "Sabrina", "Thulsa", "Conan", "Lanstrom", "Hyboria", "Thoth", "Abomination", "Aquilonia", "Kush", "Tambora", "Gauthier", "Epideme", "Nirvanah", "Valeria", "Romero", "Simone", "Paranoia", "Sonja", "Chastilon", "Mamet", "Scath", "Esteban", "Maroto", "Critchlow", "Arubia", "Bathurst", "Henderson", "Gauthier", "Giordano", "Thorne", "Zepha", "Wrath", "Kathulos", "Ardyon", "Kerbo", "Apocalypse", "Valusia", "Arvid", "Antonio", "Zaphod", "Allitnil", "Lintilla", "Arcturan", "Octalus", "Versenwald", "Sandah", "Tyrant", "Aenarion", "Astarielle", "Caledor", "Malus", "Dionah", "Carlinton", "Maximegalon", "Durthum", "Naestra", "Arahanm", " Athel", "Festus", "Horst", "Dechala", "Vardek", "Archaon", "Arbal", "Khorne", "Thorek", "Karaz", "Brindal", "Alrik", "Alaric", "Artois", "Armand", "Alberic", "Luthor", "Drachen", "Alde", "Katarin", "Hoeth", "Kaela", "Khaine", "Isha", "Kurnous", "Vaul", "Azram", "Mordred", "Bowerick", "Khorne", "Canadon", "Archelon", "Danilo", "Tenser", "Aballister", "Bonaduce", "Khelben", "Arunsun", "Eulad", "Arthon", "Morthos", "Athain", "Vadania", "Ember", "Nebin", "Gimble", "Beorone", "Aloica", "Aramil", "Krusk", "Alhandra", "Tordek", "Pavus", "Deckard", "Daphne", "Cervantes", "Cassandra", "Balthier", "Tenchu", "Astaroth", "Alexios", "Siegfried", "Necrid", "Morte", "Zonia", "Heishiro", "Krem", "Kratos", "Valentine", "Krone", "Geralt", "Rivia", "Tethras", "Vivienne", "Tribal", "Zidane", "Talim", "Taki", "Sophitia", "Solas", "Solaire", "Sera", "Astora", "Claudas", "Rience",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Caneo"];

// Pools for naming OXP Moons (10,240 in total)..
this.moonpool1 = [
// Galaxy 1 
"Arbusto", "Inedia", "Horus", "Keats", "Hathor", "Bast", "Titania", "Arcadia", "Arenae", "Wormwood", "Tartarus", "Kamenev", "Nightingale", "Meret", "Nefertem", "Sarcio", "Osiris", "Lunitari", "Artificiosus", "Ostendere", "Sabulum", "Apollo", "Zolton", "Schrodinger", "Vulcan", "Lamiae", "Hercules", "Cobalt", "Silvanus", "Minerva", "Diana", "Vesta", "Berseria", "Karna", "Kavacha", "Medicus", "Cronus", "Catullus", "Rusticus", "Hope", "Peleus", "Spodium", "Ludus", "Campus", "Valsia", "Galventor", "Crowley", "Interstinctus", "Galatine", "Clarent" , "Homados", "Infirmitas", "Scelus", "Vulcanorum", "Girmeyn", "Solomon", "Boria", "Keldon", "Nachtel", "Nidificans", "Bellum", "Almace", "Courtain", "Durendal", "Equestris", "Regalis", "Icarus", "Tandem", "Canis", "Aureus", "Defensionem", "Ardere", "Novum", "Nemus", "Thalamus", "Pathos", "Chauna", "Ciconia", "Coracius", "Corallus", "Corvus", "Novum", "Crotalus", "Anomalure", "Dacelo", "Cunabula", "Thula", "Maestitia", "Claustrum", "Maurus", "Carbunclo", "Borat", "Teredo", "Occasus", "Sudomekh", "Arcticus",  "Narratio", "Determinatio", "Savitri", "Manasa", "Circulus", "Viatorem", "Shiva", "Vishnu", "Pecunia", "Numus", "Caballarius", "Perumal", "Jagannatha", "Thalian", "Amplus", "Frankenstein", "Menaka", "Herophilos", "Rambha", "Kolpak", "Dolus", "Delambre", "Adrika", "Acquisitio", "Kaliya", "Karkotaka", "Susna", "Bathsheba", "Cerberus", "Ulupi", "Lovett", "Erawan", "Osiris", "Voluptas", "Caturix", "Anhur", "Sputnik", "Kamenev", "Ambitus", "Thoth", "Amunet", "Hathor", "Arator", "Nepit", "Neit", "Ogma", "Tethra", "Cappella", "Schoenus", "Niamh", "Cermait", "Medusa", "Belenus", "Caturix", "Raptus", "Machinatio", "Nemausus", "Bast", "Heqet", "Cyclops", "Andraste", "Arito", "Erecura", "Urien", "Aseroth", "Suffusio", "Haplo", "Vulturius ", "Varna", "Jisya", "Mandio", "Alvearium", "Bellator", "Parca", "Vinculum", "Kuri", "Rosa", "Plebicola", "Probatus", "Besba", "Cantio", "Daemon", "Chushaik", "Apricitas", "Proelium", "Kuri", "Porthos", "Plebicola", "Probatus", "Besba","Pellicientes", "Barbaricus", "Buccina", "Diluculum", "Nyena", "Rella", "Kumar", "Graduati", "Eruptio", "Aumerle", "Aufidius", "Astringer", "Ludum", "Fortuitus", "Artemidorus", "Adam", "Archidamus", "Arcas", "Valentine", "Tepidus", "Ephesus", "Antipholus", "Pericles", "Certamen", "Antiochus", "Cressida", "Troilus", "Statera", "Paullulum", "Macbeth", "Caius", "Anduin", "Quintus", "Andronicus", "Cleopatra", "Sempronius", "Gelum", "Simpcox", "Tamora", "Coriolanus", "Caesar", "Kasha", "Malenkov", "Saturninus", "Aemelia", "Enobarbus", "Culinae", "Velutus", "Husker", "Imogen", "Jourdain", "Eleanor", "Gremio", "Spector", "Lucentio", "Roussillon", "Navarre", "Letum", "Falstaff", "Leprosi", "Feynman", "Banquo", "Balthasar", "Curio", "Dragoth", "Teres", "Cromwell", "Verona", "Courtesan", "Camelot",
// Galaxy 2
"Ceres", "Janus", "Orcus", "Liber", "Tellus", "Salus", "Habitus", "Fons", "Vediovis", "Larunda", "Terminus", "Vortumnus", "Lares", "Lucina", "Voltron", "Lexicon", "Aion", "Aura", "Belladonna", "Caelus", "Carna", "Concordia", "Cura", "Decima", "Pruinosus", "Epona", "Febris", "Fornax", "Kalachakra", "Hora", "Invidia", "Iris", "Occultatum", "Pumilus", "Tizona", "Colada", "Lobera", "Ogma", "Valkyrie", "Ascalon" ,  "Trishula", "Indra", "Admorsus", "Arjuna", "Sharanga", "Acerbus", "Talaria", "Leviathan", "Nemea", "Hippolyta", "Harmonia", "Andvari", "Wulfen", "Solomon", "Discipulus", "Scapula", "Manu", "Montanum", "Meliorem", "Baldir", "Karun", "Thoth", "Cornucopia", "Cinchare" , "Lutra", "Fallacia", "Melophus", "Morelia", "Horusian", "Naja", "Neotis", "Ninox", "Numida", "Ovis", "Inusitus", "Phaethon", "Corax", "Plegadis", "Rostrum", "Rana", "Eilaira", "Tyto", "Ursus", "Arctos", "Vanellus", "Xerus", "Zenaida" , "Kress", "Testudine", "Laeviculus", "Croix", "Ader", "Ferber", "Euler", "Jatho", "Maxim",  "Conlabefio", "Ganesha", "Attremo", "Vinayaki", "Pundarika", "Vamana", "Apthamitra", "Medeis", "Anjana", "Cultum", "Kesari", "Nala", "Dentalia", "Tara", "Vishwakarma", "Dhenu", "Madon", "Periculum", "Medius", "Naveh", "Ramoth", "Resen", "Sabea", "Luscus", "Samaria", "Sanctus", "Decapolis", "Edom", "Gadara", "Holon", "Hebron", "Jabbok",  "Abderus", "Acadermus", "Achilles", "Acrisius", "Carcharodon", "Agamemnon", "Alcon", "Alcyoneus", "Liquefacta", "Amazonius", "Meduson", "Areclepius", "Asclepius", "Bellerophon", "Cadmus", "Castor", "Pollux", "Ceryx", "Diomedes", "Barbitium", "Erechtheus", "Fascinum", "Perturabo", "Cteatus", "Evander", "Heracles", "Hippothoon", "Hyacinth", "Iphigenia", "Leons", "Leucon", "Lycurgus", "Cornelius", "Voltemand", "Volscian", "Coriolai", "Cordelia", "Quarto", "Polonius", "Corambis", "Lavantia", "Tarsus", "Claudius", "Claudio", "Urswick", "Tamora", "Charmian", "Brimlock", "Caithness", "Tarentus", "Censeo", "Doldrum", "Amistel", "Caphis", "Canidius", "Campeius", "Polixines", "Calphurnia", "Sycorax", "Octavius", "Furiosus", "Berowne", "Philario", "Navarre", "Orsino", "Prospero", "Solinus", "Theseus", "Vincentio", "Othello", "Monaciello", "Mowbray", "Dumaine", "Omnissiah", "Ephesus", "Dromio", "Furtivus", "Enobarbus", "Domitus", "Modestus", "Phobian", "Calliditas", "Delphos", "Diomedes", "Desdemona", "Dercetus", "Pavidus", "Deiphobus", "Dercetus", "Palamon", "Dardanius", "Extonia", "Escanes", "Glacialis", "Eros", "Ephesus", "Enobarbus", "Hippolyta", "Maiusculus", "Culinae", "Hamlet", "Thisbe", "Dalthus", "Hodiernus", "Fluellen", "Palatine", "Perdita", "Polixines", "Marullus", "Flavius", "Bucerius", "Flaminius", "Fidele", "Fastolfe", "Fabian", "Olivia", "Malvolio", "Misceo", "Guiderius", "Petruchio", "Gratiano", "Agincourt", "Harfleur", "Lorenzo", "Launcelot", "Hermione", "Sicilius", "Hostilius",
// Galaxy 3
"Juno", "Juturna", "Liber", "Mantus", "Mellona", "Mithras", "Nascio", "Hortenisi", "Pax", "Densus", "Roma", "Salus", "Sors", "Tempestas", "Veritas", "Virtus", "Adari", "Agora", "Altair", "Amazonia", "Ambria", "Aragon", "Asgard", "Bastion", "Bellassa", "Hades", "Bressia", "Caligula", "Carsus", "Chthon", "Crux", "Denaria", "Neon", "Dechaonope", "Keleabos", "Selardi", "Salutem", "Sagantu", "Achelois", "Phoebe", "Brauronia", "Selene", "Hecate", "Ealadha", "Meness", "Ataegina", "Britoria", "Andorth", "Jarilo", "Nuzourus", "Llmenus", "Tsukuyomi", "Anumati", "Chandra", "Lotralia", "Zomaina", "Daratron", "Auhines", "Gecutov", "Deunus", "Cthulhu" , "Mayari", "Thennilia", "Oceania", "Hiram", "Talpade", "Haemia", "Cabral", "Vuia", "Dremunov", "Pitranus", "Bellanca", "Fauces", "Kepler", "Goddard", "Oberth", "Danzagua", "Haemia", "Aulara", "Dremunov", "Kiutune", "Thoruturn", "Baumgartner", "Silenda", "Ankaistea", "Dovethea", "Anzolla" , "Cingabos", "Dinnotania", "Hongeshan", "Rophosie", "Rauria", "Geostea", "Mubaophus", "Bralenov", "Anrerth", "Legio", "Ghazni", "Medina", "Seotune", "Kobbippe", "Zeluna", "Nouruta", "Cordoba", "Samarra", "Tracto", "Griceclite", "Annutune", "Bukhara", "Gripotania", "Ticcolla", "Harran", "Palmyra", "Decapolis", "Edom", "Gadara", "Lenov", "Cobbichi", "Kelara", "Kano", "Laibela", "Aksum", "Djenne", "Meroe", "Tulum", "Teotihuacan", "Logos", "Palenque", "Menelaus", "Messene", "Muichus", "Myrtilus", "Odysseus", "Oedipus", "Orestes", "Palamedes", "Pandion", "Parrhasius", "Peleus", "Pelops", "Perseus", "Phalanthus", "Pleuron", "Podalirius", "Protesilaus", "Sostratus", "Theseus", "Trophonius", "Zarex", "Ajax", "Amgrim", "Bjaki", "Egil", "Helgi", "Northbrodd", "Loki", "Odin", "Starkad", "Bratus", "Citatus", "Hortensio", "Horatio", "Hermia", "Lysander", "Hippolyta", "Leontes", "Helenus", "Rousillon", "Demetrius", "Hecate", "Priam", "Isidore", "Iris", "Iachimo", "Jachimo", "Pompey", "Claudio", "Proteus", "Pucelle", "Lorenzo", "Tyrrell", "Mytilene", "Lysimachus", "Lysander", "Titus", "Lucio", "Luciana", "Lucentio", "Volscian", "Pentapolis", "Lennox", "Litio", "Puck", "Limoges", "Ligarius", "Bardolph", "Lepidus", "Sicilia", "Ordana", "Leonine", "Sicilius", "Leonantus", "Messina", "Popilius", "Pandulph", "Sindarin", "Lavatch", "Laertes", "Polonius", "Macduff", "Myrmidon", "Mopsa", "Dorcas", "Monmouth", "Minola", "Metellus", "Canidius", "Toryne", "Octavia", "Albion", "Volsces", "Antioch", "Doldrum", "Balthasar", "Menteth", "Menenius", "Troilus", "Cressida", "Menas", "Melun", "Alonso", "Marullus", "Flavius", "Requies", "Pentapolis", "Aemilius", "Feste", "Olivia", "Jaculus", "Ninacor", "Vaux", "Petruchio", "Nestor", "Nerissa", "Portia", "Gratiano", "Poins", "Venetia", "Orsino", "Perdita", "Timon", "Ephesus", "Cleopatra", "Octavius", "Oberon", "Dantium",
// Galaxy 4 
"Durani", "Eleanor", "Eternia", "Fenric", "Nemesis", "Gallam", "Gryphon", "Faugn", "Cynothoglys", "Iago", "Indigo", "Iridonia", "Colonus", "Janos", "Jinx", "Juna", "Kalee", "Karn", "Kirith", "Kuat", "Lea",  "Lianna", "Lothian", "Manaan", "Marinus", "Metaluna", "Mithril", "Neoluna", "Nirvana", "Nyu", "Orban", "Kidili", "Papare", "Avatea", "Avatar", "Hortulana", "Lona", "Mahina", "Marama", "Romanenko", "Carnicula", "Khonsu", "Hathor", "Hollagua", "Thoth", "Arebati", "Kalfu", "Yemaya", "Menily", "Huitaca", "Chia", "Alignak", "Igaluk", "Huruta", "Eidolon", "Phupowei" , "Ankunus", "Admissurae", "Bestias", "Thastreshan", "Kitis", "Draxabos", "Gruania",  "Laconia", "Romulus", "Nuntium", "Ithaca", "Thessaly", "Delos", "Naxos", "Anathema", "Ionia", "Calefacio", "Corinth", "Sicyon", "Tiryns", "Melos", "Thera", "Thurus", "Roma", "Ariminum", "Belum", "Tarraco", "Modicia", "Salernum", "Aquileia", "Palma", "Massa", "Pistoria", "Scalabis", "Naissus", "Siscia", "Ovilava", "Turicum", "Sirmium", "Uxmal", "Calakul", "Chacchoben", "Cuicuico", "Kabah", "Labna", "Mitla", "Sayil", "Xlapak", "Yagul", "Dwarka", "Kalpi", "Chirand", "Jajpur", "Kannauj", "Devkot", "Lothal", "Lashkar", "Madurai", "Ossian", "Nashik", "Sangrur", "Praesens", "Quilon", "Sagala", "Cococinel", "Allahabad", "Sopara", "Taluk", "Vidisha", "Avanti", "Vellore", "Geidfran", "Palatium", "Gwydion", "Odysseus", "Oisin", "Popularis", "Volaticus", "Sermo", "Ulysses", "Mulan", "Almos", "Laozi", "Spatiator", "Melonia", "Confusus", "Gilgamesh","Wukong", "Nezha", "Enkidu", "Marcus", "Daemonica", "Hengist", "Horsa", "Scefa", "Tarchon", "Tyrrhenus", "Karna", "Arjuna", "Arash", "Rostam", "Sohrab", "Watonga", "Publius", "Proteus", "Prospero", "Proculeius", "Perdita", "Imogen", "Arragon", "Escalus", "Hainault", "Ophelia", "Priam", "Pisanio", "Auvergne", "Permisceo", "Elsinore", "Theseus", "Pirithous", "Phrynia", "Timandra", "Alcibiades", "Loquentes", "Demetrius", "Cerimon", "Phebe", "Silvius", "Philostrate", "Petruchio", "Thisbe", "Isabella", "Pericles", "Perdita", "Tranio", "Lucentio", "Patroclus", "Patience", "Menelaus", "Panthino", "Sententia", "Pandarus", "Palamon", "Arcite", "Rynaldo", "Rousillon", "Macbeth", "Desdemona", "Falstaff", "Datchet", "Ceratinus", "Claudio", "Rambures", "Orbis", "Strato", "Trinculo", "Caliban", "Thisbe", "Jourdain", "Philario", "Solinus", "Salerio", "Solanio", "Simpcox", "Silvius", "Verona", "Silius", "Monaciello", "Sicinius", "Velutus", "Corin", "Pompeius", "Servilius", "Titus", "Philotus", "Lucilius", "Flavius", "Timon", "Varro", "Isidore", "Cerimon", "Certamen", "Diomedes", "Sennois", "Baltar", "Alcibiades", "Caphis", "Rabidus", "Seleucus", "Gonzalo", "Enobarbus", "Caetera", "Salerio", "Salarino", "Ursula", "Ulysses", "Tyrrell", "Demissio", "Trinculo",
// Galaxy 5
"Conditus", "Bilma", "Orpheus", "Pandora", "Bidar", "Praxis", "Thocrinda", "Quinta", "Quor", "Berkak", "Retha", "Kulshedra", "Tarasque", "Ryloth", "Saarn", "Salina", "Santaani","Belembe", "Bayovar", "Sequoia", "Balya", "Shada", "Solaris", "Balkash", "Augusta",  "Arevalo", "Foraminis", "Anshun", "Tertius", "Thalassa", "Thesius",  "Titubo", "Marici", "Cicerone", "Gonraoclite", "Dunvyria", "Zark", "Ziunerth", "Heilea", "Cratehines", "Calcitrare", "Paracletus", "Siren", "Puck", "Anagaska", "Sylph", "Dotania", "Aerie", "Astra", "Misceo", "Conmotus", "Haonides", "Anacona" , "Katla", "Ramoth", "Saphira", "Gebutera", "Drayulea", "Haonides", "Gebutera", "Alduin", "Kanoth", "Giccaethea", "Rocion", "Khem", "Yamu", "Raqote", "Veritati", "Khasnut", "Timinhor", "Piemro", "Thonis", "Djedu", "Taremu", "Setennu", "Iunu", "Tjaru", "Djedet", "Mentum", "Sumenu", "Madu", "Eridu", "Larsa", "Sippar", "Tibira", "Uruk", "Kish", "Nippur", "Desolatus", "Perdita", "Luctus", "Hamazi", "Adab", "Mari", "Akshak", "Akkad", "Taxila", "Uraiyur", "Coyetis", "Sapientia", "Subtiliter", "Vacuus", "Interstinctus", "Novacula", "Matsue", "Uchiko", "Tremere", "Asuka", "Sakurai", "Bitchu", "Lapsus", "Kawagoe", "Naramachi", "Matsumoto", "Kyoto", "Aditi", "Akhila", "Amita", "Ananyia", "Ankita", "Anushree", "Binita", "Deepali", "Deepika", "Deepti", "Dextella", "Dhanishka", "Disha", "Amalithea", "Himalia", "Elara", "Pasiphae", "Sinope", "Lysithea", "Placidus", "Ananke", "Leda", "Lentus", "Adrastea", "Metis", "Iocate", "Erinome", "Morbius", "Zouliv", "Mimas", "Enceladus", "Marinam", "Dione", "Rhea", "Pacatus", "Hyperion", "Iapetus", "Phoebe", "Janus", "Epimetheus", "Calypso", "Cignemia", "Ariel", "Umbriel", "Titania", "Tressell", "Trebonius", "Tranio", "Feste", "Coriolanus", "Tamora", "Cassius", "Titinius", "Titania", "Thurio", "Timandra", "Phrynia", "Cromwell", "Vaughan", "Erpingham", "Thidias", "Banquo", "Menteth", "Theseus", "Thaliard", "Thaisa", "Pericles", "Certamen", "Taurus", "Tamora", "Taborer", "Natales", "Voltemand", "Volsce", "Olivia", "Lucentio", "Arcticum", "Verges", "Ventidius", "Othello", "Sicinius", "Velutus", "Vaux", "Messorem", "Claudius", "Caesar", "Socius", "Creon", "Coriolanus", "Valeria", "Cato", "Aumerle", "Isabella", "Castile", "Yorick", "Prador", "Merlin", "Orbus", "Polity", "Spatterjay", "Ambel", "Tazer", "Erlin", "Runcible", "Thrake", "Geronamid", "Choudapt", "Acephalous", "Sauraman", "Gurnard", "Trantor", "Terminus", "Synnax", "Solaria", "Smyrno", "Siwenna", "Sayshell", "Santanni", "Neotrantor", "Melpomenia", "Korell", "Kalgan", "Jennisek", "Gaia", "Comporellon", "Aurora", "Arcturus", "Anacreon", "Achilles", "Amarantin", "Volan", "Vreccis", "Sorpen", "Sladden", "Marjoin", "Idir", "Aorme", "Zarin", "Wuyam", "Vyborg", "Vinmar",
// Galaxy 6
"Thor", "Anacona", "Akreos", "Varos", "Vega", "Vorpal", "Abadan", "Vorbis", "Lolieturn", "Elorix", "Macinda", "Tolieturn", "Xerxes", "Nogreon", "Zaphaerus", "Antrum", "Zygor", "Zhar", "Zeon", "Naiad", "Thalassa", "Despina", "Galatea", "Larissa", "Proteus", "Triton", "Nereid", "Halimede", "Sao", "Laomedeia", "Psamathe", "Neso",  "Pucelles", "Azhi", "Avestan", "Metz", "Luanerth", "Lotan", "Orochi", "Tiamat", "Defessus", "Tycho", "Amaru", "Abraxas", "Ancala", "Eingana", "Galeru", "Griaule", "Icrfyre", "Kalseru", "Ketu", "Marinus", "Krayt", "Naga", "Peluda", "Deurilia", "Praeter", "Scatha", "Scylla", "Circe", "Tatsu", "Tintaglia", "Necunides", "Lovett", "Isin", "Shahrain", "Madain", "Senkereh", "Habbah", "Fara", "Warka", "Uheimir", "Ingharra", "Afaki", "Jokha", "Bismaya", "Hariri", "Bahriyat", "Lahm", "Ibzeikh", "Duleim", "Flores", "Oraibi", "Tucson", "Havana", "Veracruz", "Tarditudo", "Cartago", "Albany", "Merandil", "Pueblo", "Domingo", "Hokokam", "Maya", "Cueva", "Guatemala", "Harshita", "Indira", "Hemlata", "Indrani", "Rucrinus", "Eguhiri", "Asillon", "Kanchana", "Kareena", "Kavita", "Latha", "Latika", "Leela", "Madhuri", "Mallika", "Legnilia", "Munira", "Nadia", "Nahla", "Namrata", "Nandita", "Neera", "Neetu", "Niharika", "Nimisha", "Nisha", "Gaenus", "Gubiclite", "Papiya", "Phanita", "Zouliv", "Chalirus", "Oberon", "Miranda", "Ophelia", "Dunyria", "Triton", "Nereid", "Thalassa", "Batrarvis", "Charon", "Hortenis", "Kerberos", "Nentres", "Achernar", "Cassiopeia", "Achird", "Acrab", "Acrux", "Acubenes", "Adhafera", "Belenos", "Kepra", "Chuatov", "Rani", "Rashmi", "Saloni", "Sandhya", "Shreya", "Desidero", "Tanvi", "Tejal", "Tejaswi", "Tulsi", "Verona", "Valvida", "Tubuai", "Trusbal", "Toulanna", "Tolaka", "Teleba", "Tanyata", "Tampico", "Solidade", "Halgarth", "Sligo", "Silvergalde", "Silfen", "Shayoni", "Samar", "Puimro", "Pomona", "Piura", "Pelcan", "Omoloy", "Olivenza", "Oaktier", "Niska", "Iberia", "Nattavaara", "Muang", "Molise", "Molina", "Mito", "Madoc", "Merredin", "Merredin", "Mecheria", "Arenosus", "Marindra", "Malaita", "Lyonna", "Lowick", "Louisiade", "Lothian", "Vada", "Lerma", "Solitarius", "Kolhapur", "Vesemir", "Kerensk", "Jura", "Ilichio", "Huxley", "Granada", "Gralmond", "Ganthia", "Ferarra", "Elan", "Eden", "Dunedin", "Dampier", "Damaran", "Cressat", "Clonclurry", "Cagayn", "Buwangwa", "Praeteritus", "Zalagar", "Trub", "Tandil", "Merioneth", "Sericum", "Silfen", "Icalanise", "Chelva", "Tortuga", "Bahamut", "Kzin", "Horda", "Aakin", "Erlik", "Eisheth", "Bastet", "Ibris", "Eblis", "Haagenti", "Halphas", "Malthus", "Haures", "Flauros", "Havres", "Kumbhakarna", "Kukudh", "Kokabiel", "Kabandha", "Lucifuge", "Rofocale", "Lilith", "Leraie",
// Galaxy 7
"Despina", "Galatea", "Sycorax", "Thrym", "Puccone", "Calypso",  "Phagezuno", "Seoter", "Eihort", "Matrona", "Gehenna", "Himalia", "Elara", "Pasiphae", "Sinope", "Lysithea", "Carme", "Ananke", "Palmia", "Metis", "Adrastea", "Thebe", "Callirrhoe", "Themisto", "Kalyke", "Iocaste", "Erinome", "Harpalyke", "Altaira", "Praxidike", "Megaclite", "Taygete", "Ranaline", "Alsea", "Apache", "Arawak", "Arikara", "Atsina", "Kelnolia", "Ocraeter", "Cahita", "Carquin", "Caska", "Celilo", "Chelan", "Cherokee", "Cheyenne", "Chinook", "Mupherth", "Iutune", "Lochuter", "Esseleni", "Sigacury", "Tulnoalea", "Galice", "Hucharvis", "Nucumia", "Druahines", "Zodypso", "Miater", "Kalina", "Karkin", "Kaska", "Kato", "Benin", "Zanzibar", "Walata", "Sofala", "Pate", "Moroni", "Kano", "Timbuktu", "Malindi", "Kongo", "Quelimane", "Tanga", "Ouidah", "Kumasi", "Mali", "Ardaline", "Percussus", "Berbera", "Duellum", "Avalite","Kismayo", "Numedia", "Carthage", "Tingitana", "Candidus", "Caerellia", "Oujda", "Marrakesh", "Murakuc", "Ajuran", "Barbar", "Regius", "Zeus", "Hera", "Andon", "Demeter", "Ares", "Athena", "Apollo", "Arthemis", "Hephaestus", "Aphrodite", "Hermes", "Talona", "Interfector", "Hypnos", "Janus", "Nemesis", "Iris", "Hecate", "Tyche", "Fortuna", "Messorem", "Eros", "Gaia", "Hemera", "Nyx", "Nesoi", "Phanes", "Pontus", "Tartarus", "Alatus", "Cronus", "Hyperion", "Menkar", "Puppis", "Nashira", "Traductus", "Nembus", "Nunki", "Ogma", "Solum", "Rasheda", "Plautos", "Plumatus", "Polaris", "Pollux", "Polis", "Proxima", "Rasalas", "Regor", "Regulus", "Rigel", "Revalti","Bresepra", "Saiph", "Sirius", "Solaris", "Terebeilum", "Theemin", "Corellia", "Zaniah", "Zaurak", "Canes", "Pegasus", "Delphinus", "Lempo", "Leyak", "Lechies", "Moloch", "Merihem", "Mephistopheles", "Mazoku", "Morax", "Marax", "Maricha", "Malphas", "Marid", "Naamah", "Naberius", "Cerbere", "Namtar", "Tokata", "Orobas", "Oriax", "Orias", "Orcus", "Onoskelis", "Puloman", "Pruflas", "Preta", "Baculus", "Pithius", "Penemue", "Phenex", "Pelesit", "Shamada", "Paimon", "Abscido", "Rusalka", "Ronove", "Raum", "Rahab", "Shuten", "Shinigami", "Surgat", "Suanggi", "Solas", "Stihi", "Sthenno", "Shedim", "Shaitan", "Furtivus", "Semyaza", "Scylla", "Salpsan", "Saleos", "Sabnock", "Tannin", "Toyol", "Tuchulcha", "Vepar", "Vassago", "Vanth", "Malephar", "Malaphar", "Valefar", "Valac", "Ziminiar", "Zepar", "Zabaniyya", "Maritimus", "Yeqon", "Xaphan", "Wechuge", "Amdusias", "Allocer", "Alastor", "Akuma", "Manah", "Agiel", "Mahlat", "Agaliarept", "Aeshma", "Aamon", "Bushyasta", "Bukavac", "Boruta", "Beherit", "Belphegor", "Beleth", "Belial", "Procell", "Crocell", "Cimeies", "Kimaris", "Chemosh", "Charun", "Drekavac", "Demiurge", "Dagon", "Daeva",
// Galaxy 8
"Chaldene", "Autonoe", "Thyone", "Hermippe", "Eurydome", "Pasithee", "Euanthe", "Kale", "Orthosie", "Euporie" , "Hyperion", "Ariel", "Umbriel", "Titania", "Oberon", "Rigniulia", "Selryria", "Vadolia", "Guphars", "Himalia", "Carme", "Atlas", "Pandora", "Helene", "Astruithea", "Portia", "Caliban", "Prospero", "Opra", "Zolarax", "Sollertia", "Hephaestus", "Kiowa", "Kitsai", "Kusan", "Laguna", "Lummi", "Maidu", "Minsi", "Viduatus", "Odawa", "Opata", "Dadrotis", "Sandia", "Chomostea", "Hotreahines", "Taosard", "Malvainus", "Bidars", "Crusicury" , "Tristis", "Meylan", "Crolles", "Kugrillon", "Sanuria", "Nehinia", "Alectura", "Camitov", "Vagnora", "Dorsum", "Aonyx", "Aquila", "Rilvyke", "Danzagua", "Sayram", "Sogdia", "Vukhara", "Kashi", "Catinus", "Ujjain", "Malwa", "Vaishali", "Pallavas", "Patna", "Bactria", "Dhaka", "Gauida", "Cuttack", "Nadu", "Lalitpur", "Brahma", "Vednatha", "Chaturmukha", "Loricatorum", "Praeda", "Permano", "Parvati", "Durga", "Kali", "Bhumi", "Merula", "Saraswati", "Gayatri", "Ganga", "Narmada", "Hancock", "Prometheus", "Atlas", "Marinam", "Helios", "Dagon", "Pallas", "Styx", "Alcyoneus", "Damysus", "Morrick", "Odin", "Balder", "Loki", "Thor", "Heimdall", "Odinl", "Vidar", "Cthulhu", "Shoggoth", "Azathoth", "Bokrug", "Dagon", "Shaggai", "Shantak","Gobogeg", "Hastar", "Yuggoth", "Osiris", "Nepit", "Aker", "Amum", "Khepri", "Kerstin", "Maitilda", "Sofia", "Teresia", "Viktoria", "Alene", "Arabella", "Brechtje", "Esumia", "Ondeliv", "Albion", "Hellebore", "Cimorix", "Vaiter", "Nyarlathotep", "Laetus", "Wendigo", "Noctule", "Acheron", "Almeida", "Kepler", "Lagrange", "Anezi", "Schwarzschild", "Oppengeimer", "Sakharov", "Oberth", "Anika", "Anastasia", "Dritaclite", "Keania", "Melvon", "Rhaegal", "Smaug", "Viserion", "Deploratus", "Bahamut", "Tiamat", "Zephyr", "Lindvior", "Antharas", "Valakas", "Krayt", "Miyamoto", "Aquamentus", "Onox", "Thanatos", "Volga", "Asmadi", "Vaevictis", "Bolas", "Zahhak", "Azhdaha", "Imoogi", "Khmer", "Linteau", "Orochi", "Tatsu", "Lotan", "Antaboga", "Marduk", "Abzu", "Falak", "Tinnin", "Zomok", "Ladon", "Zirnitra", "Vortigern", "Bheithir", "Ouroboros", "Kirimu", "Apophis", "Azazel", "Shenlong", "Dilong", "Panlong", "Vermilion", "Glaurung", "Ancalagon", "Scatha", "Kalessin", "Bryagh", "Belial", "Azhdeen", "Zantor", "Fanuilh", "Solinari", "Lunitari", "Nuitari", "Barachiel", "Uriel", "Sealtiel", "Jehudiel", "Azrel", "Ariel", "Galadriel", "Xaxrax", "Traal", "Striterax", "Sesefras", "Hensha", "Santraginus", "Preliumtarn", "Poghril", "Oglaroon", "Nephologia", "Aherne", "Lazgar", "Lamuella", "Kakrafoon", "Joltrast", "Jaglan", "Hawalius", "Verdon", "Flargathon", "Fallia", "Damogran", "Burphon", "Brontitall", "Blagulon", "Bethselamin", "Bartledan", "Asgard", "Asbleg", "Commento", "Syneca", "Allosimanius", "Vulthoom",
 // The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Tumulus"];

this.moonpool2 = [
// Galaxy 1
"Naja", "Festum", "Jacala", "Epicus", "Bagheera", "Mowgli", "Oberon", "Terciopelo", "Lacerna", "Nightshade", "Creatrix",  "Marjoram", "Lapwing", "Nightingale", "Laputa", "Valhalla", "Vaikuntha", "Nuitari", "Tartarus", "Gomorrah", "Ruinosus",  "Purgatory", "Nysa", "Heisenberg", "Pellicientes", "Atlantis", "Odysseus", "Penglai", "Lemuria", "Parime", "Kolob", "Immutatus", "Garanhir", "Immanis", "Obatala", "Valknut", "Camahueto", "Machis", "Phoenici", "Charity", "Ichor", "Sigurd", "Praelior", "Dentalia",  "Nemean", "Simurgh", "Ragnarok", "Aurvandils", "Truculentus", "Nimire", "Gleipnir", "Dromi", "Khnum", "Araboth", "Pheme", "Jericho", "Sistrum",  "Amphion", "Schoenus", "Vesparum", "Kantele", "Bragi", "Hamelin", "Carmen", "Draconite", "Batrachite", "Daedalus", "Kundala", "Makara", "Karna", "Silvestre", "Alakshya", "Keyur", "Amalthea", "Aladdin",  "Soria", "Halvor", "Navian", "Araneolus", "Alberich", "Charlemagne", "Angelica", "Diomedes", "Kraki", "Alumnus", "Pertica", "Tenchi",  "Andvari","Misellus", "Vedic", "Bahamut", "Serenity", "Scapula", "Tranquillity", "Takama", "Lacerta", "Aeneas", "Turnus", "Ancile", "Numa", "Pompilius", "Evalach", "Josephus", "Arimathea", "Galahad", "Pridwen", "Duban", "Chulainn",  "Viriditas", "Ariadne", "Diadem", "Wolfsbane", "Gloriole", "Hippocrates", "Alberich", "Quotient", "Chaotica", "Glaucus", "Karna", "Kavacha",  "Sigurd", "rvar", "Fashan", "Wayland", "Braben", "Jacopo", "Arsinoe", "Seleucus", "Phorbus", "Xanadu", "Nemea", "Damasen", "Ismenia", "Molotov", "Circumitus", "Sciron", "Diodorus", "Cithaeron", "Ampelus", "Carcinus",  "Chariclo", "Scientia", "Xanthus", "Obscurum", "Lampus", "Dinus", "Diomedes", "Perseus", "Sterope", "Fimbriae", "Phlegon", "Vulturius", "Autonous", "Malleus", "Xanthos", "Phlogeus", "Harpagos", "Podarkes", "Phaethon", "Lampus", "Vicus", "Corinium", "Condate", "Garuda", "Colonia", "Coccium", "Causennis", "Castra", "Canonium", "Camborico", "Calleva",  "Calcaria", "Ariconium", "Ardotalia", "Meticulosus", "Anderitum", "Alavana", "Revenant", "Pontes", "Pontibus", "Camulus", "Improbus",  "Athos", "Aramis", "Porthos", "Richelieu", "Rochefort", "Planchet", "Cheriton", "Inardesco", "Chusto", "Talasah", "Accolade", "Othniel", "Ophir", "Othoniel", "Rephaite", "Torah", "Naomi", "Morbus", "Gelum", "Eve", "Latrunculus", "Ezekiel",  "Nisroch", "Necho", "Nabucco", "Nebaioth", "Naphish", "Naomi", "Nahshon", "Elisheba", "Naboth", "Orvieto", "Ararat", "Quran", "Mishma", "Cornix", "Abraham", "Latrunculus", "Tambora", "Midian", "Methuselah", "Laridum", "Contra", "Avatar", "Napoleon", "Sonic", "Spectrum", "Lapis", "Commodore", "Curiosity","Sentience", "Balanus", "Ambition", "Tetris",  "Sorbitio", "Mosaic", "Magik", "Reaper","Galaxian", "Logan", "Sentinel", "Zork", "Exile", "Metroid", "Uridium", "Ultima", "Ravenskull",  "Stryker", "Zarch", "Cybertron", "Churchill", "Thasaidon", "Carousel", "Guinevere",
// Galaxy 2
"Irkalla", "Mundi", "Agartha", "Gounda", "Camelot", "Avalon", "Asphode", "Pamola", "Delos", "Ithaca", "Kommos", "Minos", "Aegina",  "Colchis", "Troy", "Scirum", "Sparta", "Tenea", "Castellan", "Serifos", "Rhium", "Rhebas", "Parthenion", "Oncae", "Nemea", "Lichada",  "Captionem", "Ladon", "Lusi", "Thrace", "Ismarus", "Iolcus", "Mapuche", "Drake", "Shankha", "Valmiki", "Studium", "Danava", "Vardhanam", "Nandni", "Chakra", "Prana", "Glandulae", "Halahala",  "Teonanacatl", "Nahuatl", "Materia", "Mithril", "Pastinaca", "Alkahest", "Adamant", "Bloodfall", "Auric", "Kykeon", "Miasma", "Cerialis",  "Lethe", "Panacea", "Orichalcum", "Xirang", "Nebu", "Odems", "Odes", "Odic", "Pelleas", "Auctor", "Chakra", "Varunastra", "Naraina", "Puranas", "Brahmastra", "Kenkon", "Nezha", "Chakram", "Tathlum", "Cloich",  "Efferus", "Uchide", "Kozuchi", "Lapideus","Goban", "Saor", "Pangu", "Parashu", "Forseti", "Perun", "Kober", "Setan", "Kris", "Adipati",  "Sari", "Arok", "Virtus", "Farchog", "Rostam", "Ogmios", "Berenice", "Auletes", "Neos", "Louvre", "Alexander", "Selene", "Memphites", "Philopator", "Philometor", "Epiphanes", "Ankhmakis",  "Arsinoe", "Rachmon", "Opscuritas", "Aigos", "Theodule", "Daeus", "Soporatus", "Darius", "Lepsius", "Nubia", "Nastasen", "Kambasuten",  "Tempero","Artax", "Achaemeni", "Suavitas", "Manetho", "Teos", "Nefarud", "Kembel", "Maritima", "Konabos", "Faenile", "Zephyr", "Notos", "Eurus", "Boreas", "Adrastus", "Shadowfax", "Arion", "Amalthea", "Veara", "Taras",  "Funiculus", "Elaphoi", "Pasiphae", "Cercopes", "Orthrus", "Geryon", "Myrmidon", "Cammarus", "Tereus", "Metamorph", "Eridanos",  "Corvus", "Cornix", "Coronis", "Philomela", "Aetos", "Vulturius", "Gerana", "Autonous", "Ornithes", "Valverde", "Roanoke", "Palmito", "Alamosa", "Picacho", "Sabine", "Laredo", "Bliteus", "Amelia", "Columbus", "Tubac", "Decatur",  "Meridian", "Paducah", "Resaca","Mansura", "Alatona", "Varestus", "Senatus", "Tupile", "Thoth", "Valeria", "Subotai", "Zukala", "Secundus", "Salusa", "Zenobia", "Caladan", "Volta", "Voltaire", "Rousseau", "Machiavelli", "Salem", "Venatus", "Magdalene", "Penitent", "Madonna", "Duccio", "Jade", "Obsidian", "Oblivion", "Lucifer", "Ruhama", "Pellucida",  "Latrunculus", "Eureka", "Tanakh", "Taciturnus", "Hamooth", "Analus", "Lazarus", "Flandes", "Lamech", "Cain", "Lailah", "Bethuel", "Covenant",  "Coven", "Leviticus", "Korban", "Kohath", "Electrum", "Keturah", "Micah", "Pimania", "Groucho", "Quicksilver", "Hitchcock", "Molinos", "Cauldron", "Prodigy", "Relicum", "Zulu", "Asterix","Eldar",  "Revolution", "Frankenstein", "Rubicon", "Galletron", "Renegade", "Relictus", "Dioecetes", "Normandy", "Bedlam", "Ormabiin", "Techno", "Libethra", "Mortem", "Rogue", "Metropolis", "Desolator", "Vindicator", "Wanderer", "Dentalia", "Liberator", "Resistance",
// Galaxy 3
"Icaria", "Hexen", "Troad", "Glisas", "Emathia", "Limera", "Damalis", "Daedala", "Deipnias", "Caria", "Cretea", "Cebrenia",  "Castabus", "Malea", "Exitosus","Bouneima","Azania", "Acadine", "Aornum", "Apesas", "Naiad", "Boeotia", "Manet", "Monet","Ronoir",  "Degas", "Lautrec", "Braque", "Picasso", "Leonardo", "Raffaello", "Botticelli", "Shakti", "Aureola", "Manna", "Volaticus", "Certamen", "Kurochka", "Ryaba", "Abhlach", "Emhain", "Soma", "Skald", "Vedic", "Zoroastria",  "Glandulae", "Rahu", "Devas","Austras", "Modun", "Ashvattha", "Kalpataru", "Kalpadruma", "Aphshai", "Eletfa", "Irminsul", "Sefirot",  "Uppsala", "Glasir", "Barnstokkr", "Volsung", "Olaus", "Deiphobe", "Cherubim", "Chentu", "Sagitta", "rvar", "Ravana", "Indra", "Sharanga", "Dhanush", "Kodandam", "Admorsus", "Eurytus", "Conquest", "Arash", "Trishula",  "Madhu", "Lavanasura", "Longinus", "Olyndicus", "Florus", "Celtiberian", "Bradamante", "Karthikeya", "Octane", "Fuchai", "Tonbokiri",  "Luin", "Celtchar", "Fedlimid", "Assal", "Buidhe", "Shinto", "Tran", "Baligant", "Achoris", "Khenem", "Sachau", "Rubeta", "Artaxe", "Cartouche", "Artabanus", "Stellio", "Gaumata", "Fractus", "Ignota", "Sehibra",  "Dinastia", "Smerdis", "Pelusium", "Apis", "Amasis", "Ankhk", "Ahmose", "Neferibre", "Necho", "Nekau", "Nekauba", "Tanta",  "Taharqa", "Shabaka", "Bocchoris", "Rudamun", "Osorkon", "Karnak", "Antitheus", "Smendes", "Carduelis", "Acanthis", "Lycaon", "Damarchus", "Agriopas", "Lamia", "Empousa", "Corinthian", "Monocerata", "Ouroboros", "Criosphinx",  "Spartae", "Dracanae", "Nereid", "Pistrinum", "Scylla", "Nomios", "Ampelos", "Agreus", "Volucer", "Periboea", "Orthrus", "Androphagos",  "Mimas","Kobaloi", "Keres", "Ipotane", "Scolasticus", "Furorem", "Aegaeon", "Celaeno", "Gryphon", "Abarimon", "Imaus", "Curupira", "Plinius", "Aelianus", "Achlis", "Plutarch", "Solinus","Contremo", "Aventine", "Aborigines",  "Evander", "Aeneas", "Boarium", "Caesarea", "Eusebius", "Inferno", "Dante", "Cacus", "Cervantes", "Photius", "Rindaldo", "Ithilien",  "Ursula", "Vesta", "Riordan", "Equitatus", "Catoblepas", "Calandrinon", "Aristotle", "Crocotta", "Leucrocota", "Kemuel", "Kedemah", "Ishmael", "Kartlos", "Enlightenment", "Durateus", "Pilgrim", "Junia", "Decapitando", "Esau", "Arkenstone",  "Shuah", "Vernet", "Formella", "Pisano", "Jotam", "Tsunami", "Arimathea", "Maelstrom", "Fury", "Jophiel", "Gionata", "Salome",  "Jocabed", "Americo", "Asaph", "Jezebel", "Ishmael", "Jeush", "Tissot", "Adstutia", "Capernaum", "Tornado", "Avalon", "Luthien", "Liao", "Hesperus", "Antallos", "Beaumont", "Bastian", "Blackstone", "Calafell", "Caldrea", "Caldwell",  "Callison", "Caldarium", "Caledonia", "Cameron","Capella", "Carbonis", "Cavalor", "Celentaro", "Misceo", "Dalcour", "Dalton",  "Daneshmand","Damian", "Defiance", "Denbar", "Denebola", "Deschenes", "Elissa", "Donenac", "Esteros",
// Galaxy 4
"Donato", "Lucian", "Auerbach", "Zurbaran", "Greco", "Dali", "Pushkin", "Turgenev", "Resnik", "Steinbeck", "Nabokov", "Amoveo",  "Nabokov", "Chekhov", "Tolstoy", "Lincoln", "Nepeta", "Kennedy", "Scobee", "Grissom", "Aldrin", "Roddenberry", "Asimov",  "Taliesin", "Merlin", "Pellehan", "Orgeluse", "Auberon", "Nimue", "Modron", "Melehan", "Lunet", "Lotus", "Donar", "Columbarius", "Paellicius", "Ruminalis", "Kashmar", "Cranach", "Shamrock", "Verbena", "Silphium", "Ashvin", "Haoma", "Raskovnik",  "Circe", "Gortach", "Aglaophotis", "Dyrnwch", "Grallae", "Dagda", "Dadeni", "Eldhrmnir", "Destinies", "Tupsimati", "Sibylline",  "Thoth", "Traditus", "Scriptor", "Cetiya", "Silesia", "Breslau", "Nidhi", "Nikhara", "Maltet", "Ascalon", "Jangar", "Saturnus", "Circe", "Dominion", "Maledictum", "Mordax", "Furtum", "Nehushtan","Grioarvolr", "Geirrod",  "Kerykeion", "Bhima", "Hanuman", "Gada", "Kaladanda", "Naraka", "Kaumodaki", "Kothar", "Morgelai", "Khanda", "Houken", "Purana",  "Xuannu", "Kunwu", "Tachi", "Maru", "Susanoo", "Orochi", "Tachi", "Nandaka", "Amuletia", "Theban", "Osochor", "Amene", "Ramesses", "Akhena", "Lepsius", "Ramses", "Tausret", "Satre", "Siptah", "Amenmesse",  "Seti", "Turin", "Louxor", "Pehtire", "Tutankhamun", "Amenhotep", "Amenophis", "Ahmose", "Kamose", "Torvus", "Sobeke", "Sekhemre",  "Gandira", "Dedumose", "Semenre", "Petrie", "Disiunctus", "Abydos", "Apophis", "New Boston", "Pemphredo", "Enyo", "Deino", "Stheno", "Medusa", "Euryale", "Gello", "Hesiod", "Geryon", "Aeschylus", "Truncus", "Matusalem",  "Enceladus", "Eidolon", "Empusa", "Echion", "Diomedes", "Damysus", "Smaragos", "Sabaktes", "Omodamos", "Ceramici", "Polyphemus",  "Steropes", "Arges", "Crocotta", "Chthonius", "Hiatum", "Cetus", "Cerastes", "Spargeus", "Riphonus", "Krampus", "Baphomet", "Locorum", "Aaronovitc", "Numinous", "Terragni", "Zeitgeist", "Lemuria", "Faust", "Monoceros",  "Aethiopia", "Titinius", "Commisceo", "Procas", "Plautus", "Satyricon", "Medea", "Festus", "Pompeius", "Seneca", "Ephialtes",  "Latium", "Arbutus", "Triballos", "Limax", "Candelifera", "Clementia", "Cloacina", "Concordia", "Dagoth", "Discordia", "Edesia", "Korovniki", "Jephte", "Jehu", "Jehoel", "Lovecraft", "Javan", "Japheth", "Seamus", "Falchion", "Jairus", "Sanctuary", "Ithream",  "Ishmael", "Navez", "Latrunculus", "Codex", "Abesan", "Huldah", "Angelico", "Chludov", "Capernaum", "Hapax", "Cecco", "Rehob", "Virtue",  "Goliath", "Gideon", "Geshem", "Gadreel", "Archange", "Vasnetsov", "Esdras", "Estuan", "Etiler", "Euschelus", "Eustatius", "Evansville", "Exedor", "Ferleiten", "Feltre", "Fallon", "Faleolo", "Fairfax", "Fronde",  "Gatineau", "Gatchina", "Ganshoren", "Gambilon", "Gallatin", "Galax", "Galatea", "Aspero", "Glenmora", "Gienah", "Gibson", "Gibraltar", "Gaul", "Harmony", "Hamilton", "Halloran", "Hadnall", "Hachiman", "Harvest", "Hexare",
// Galaxy 5
"Loholt", "Laudine", "Lancelot", "Lamorak", "Arimathea", "Iseult", "Vindex", "Palamedes", "Hueil", "Hengest", "Guinevere", "Guiron",  "Gawain", "Gornemant", "Geneir", "Galeshin", "Galehaut", "Galahad", "Evaine", "Caelia", "Esclados", "Escanor", "Garlot", "Gorlois",  "Corbenic", "Benoic", "Astolat", "Shalott", "Isdernus", "Durnure", "Dindrane", "Heliabel", "Nidhana", "Sevadhi", "Nawanidhi", "Kubera", "Yamashita", "Rheingold", "Dyrnwyn", "Percutiens","Croesus", "Karun", "Kusanagi", "Yasakani",  "Magatama", "Yata", "Kagami", "Tuatha", "Capitalis", "Lydian", "Pullus", "Profundus", "Saskatchewan", "Pilen", "Makhai", "Naglfar", "Baldr",  "Emendo", "Ellida", "Doepler", "Argo", "Phaeacia", "Dodona", "Hennu", "Girish", "Khanda", "Aruval", "Attila", "Crocea", "Monmouth", "Damocles", "Peleus", "Lobera", "Castile", "Colada", "Cantar",  "Tizona", "Ogier", "Baligant", "Ganelon","Joyeuse", "Froberge", "Durendal", "Orlando", "Balisarda", "Furioso", "Almace", "Almacia",  "Apsens", "Kraki", "Ridil", "Thoralf", "Sigurd", "Fafnir", "Dainn", "Secures", "Apepi", "Apex", "Prudentia", "Ranati", "Semqen", "Turin", "Khamure", "Sheneh", "Sehebre", "Disiunctus", "Bebnum", "Anati", "Nebsenre",  "Sehebre", "Nebe", "Aasehra","Canaanite", "Sheshi", "Qareh", "Reperti", "Senebmiu", "Dedumose", "lacuna", "Turin", "Ibiau", "Cariosus",  "Nebnuni", "Iufni", "Nerikare", "Sonbef", "Senusret", "Amenemhat", "Phanes", "Petraeus", "Orthaon", "Nomeon", "Gleneus", "Faunus", "Eurybios", "Ceteus", "Consocius", "Thaumas", "Rhoetus", "Rhaecus",  "Pholus", "Nessus", "Elatus", "Chthonius", "Trepidatio", "Asbolus", "Agrius", "Centauride", "Catoblepas", "Azeus", "Athos", "Asterius", "Argus", "Panoptes", "Amphisbaena", "Aloadae", "Almops", "Helle", "Alcyoneus", "Aeternae", "Epona", "Fabulinus", "Volturnus", "Voluptas", "Veritas", "Hope", "Trivia", "Tempestes", "Somnus", "Invictus", "Sancus", "Proserpina",  "Pomona", "Pietas", "Opis", "Necessita", "Mithras", "Libitina", "Juventas", "Justitia", "Iris", "Invidia", "Honos", "Hippona", "Hespera", "Felicitas", "Faith", "Foundation", "Seldon", "Toran", "Novi", "Gendibal", "Michelangelo", "Cranach", "Ephrath", "Ephah", "Bildern", "Elohim", "Visitation", "Champaigne", "Zacharias", "Eliud", "Elisheba",  "Elisha", "Elioud", "Eleasar", "Elam", "Melech", "Jeremiah", "Dumah", "Dodanim", "Haven", "Alexandre", "Delilah", "Sirach", "Nehemiah",  "Jephthah", "Valencia", "Messiah", "Centurion", "Cornelius", "Clopas", "Chileab", "Chedorl", "Hexare", "Herndon", "Huron", "Inarcs", "Imbros", "Imalda", "Gualada", "Icari", "Ibara", "Jouques", "Jasmine", "Jansen", "Jacomarie",  "Jabuka", "Pontem", "Kasdach", "Kansu", "Kandis", "Kanata", "Kessel", "Kelang", "Kathil", "Latexo", "Larsha", "Laconis", "Leximon",  "Lesnovo", "Leipsic", "Launam", "Loric", "Lordinax", "Lockton",
// Galaxy 6
"Dinadan", "Dagonet", "Culhwch", "Claudin", "Claudas", "Catigern", "Caradoc", "Caelia", "Cadord", "Taile", "Breunor", "Bedivere",  "Balin", "Balan", "Excidio", "Ambrosius", "Aurelius", "Andred", "Geraint", "Accolon", "Agravain", "Britannia", "Excalibur",  "Caliburn","Liahona", "Edessa", "Sudarium", "Oviedo", "Firmament", "Talos", "Koschei", "Adarna", "Neshmet", "Seqtet", "Matet", "Atet", "Mandjet", "Abydos", "Mesektet", "Lohengrin", "Takarabune", "Dilectus", "Zheng", "Noah",  "Pridwen", "Annwfn", "Culhwch", "Lugh", "Menhit", "Chaucer", "Concitatus", "Abenaki", "Gluskab", "Caleuche", "Chilote", "Deforis","Surya", "Rahu", "Invictus", "Selene", "Vecchio", "Rhea", "Hippocampi", "Cabeiri", "Dainsleif", "Egram", "Courtain", "Curtana", "Cortana", "Balin", "Pellinore", "Secace", "Seure", "Galatine", "Kaledvoulch", "Excalibur",  "Caliburn", "Calesvol", "Coreiseuse", "Clarent", "Cressingham", "Arimathea", "Grendel", "Barovia", "Nagling", "Munitor", "Balmung",  "Nothung","Valkure", "Siegfried", "Seax", "Ecke", "Dietrich", "Nagel", "Orna", "Tethra", "Sesostris", "Senusret", "Amenhet", "Gauthier", "Lepsius", "Asyut", "Abydos", "Theban", "Nefri", "Lacau", "Coptos", "Neferkamin",  "Tereru", "Nikare", "Khendu", "Shemai", "Neferkare", "Nitocris", "Manetho", "Siptah", "Merenre", "Teti", "Sistrum", "Montu", "Kaiu",  "Abusir", "Sahure", "Ranefer", "Kakai", "Sahure", "Sahura", "Mencheres", "Serendipity", "Nephilim", "Nasnas", "Falak", "Karkadan", "Dandan", "Bahamut", "Malak", "Shaitan", "Kandicha", "Xhindi",  "Kibaru", "Toyol", "Tibicena", "Shedim", "Polong", "Pelesit", "Nasnas", "Maxios", "Iblis", "Hantu", "Nadaha", "Asmodeus",  "Vogel","Fagel", "Cimoliornis", "Concado", "Karkadan", "Luyatan", "Subaru", "Commeatus", "Bedivere", "Sermak", "Hardin", "Rashelle", "Shandess", "Quindor", "Verisof", "Anthor", "Pelleas", "Indbur", "Lundin", "Avakim", "Dorwin",  "Limmar", "Lathan", "Laskin", "Callia", "Lepold", "Jorane", "Pelorat", "Branno", "Trevize", "Golan", "Dornick", "Cleon", "Alurin", "Bliss", "Riose", "Arvardan", "Channis", "Anselm", "Aventinus", "Palatium", "Aomer", "Celidonius", "Cassiel", "Archangel", "Canaan", "Caleb", "Abel", "Vidal", "Wyndham", "Cherubim", "Jardin", "Bunah", "Chalotra",  "Sigourney", "Sacrifice","Adoracao", "Bethuel", "Benaiah", "Belsha", "Behemoth", "Bathsheba", "Ampoliros", "Batariel", "Giladi",  "Neriah", "Venom", "Angelus", "Colossus", "Jubilees", "Prudentia", "Athaliah", "Athalia", "Lipton", "Linden", "Maldonado", "Maladar", "Mahone", "Maderas", "Macintosh", "Machida", "Oriente", "Olindo", "Olancha", "Odessa",  "Odell", "Volta", "Ishtar", "Oshika", "Orkney", "Parma", "New Paris", "Randis", "Phalan", "Persistence", "Pencader", "Paxon", "Pobeda", "Placida", "Pleione", "Pinnacle", "Redondo", "Rapla", "Raphael", "Randar",
// Galaxy 7
"Neith", "Ceidio", "Paolao", "Phalaris", "Inanna", "Ishtar", "Tyche", "Phaeton", "Themis", "Intrepidus", "Kolob", "Nibiru", "Volund",  "Icarus", "Soria", "Arfon", "Tudwal", "Famine", "Shamash", "Astraea", "Libra", "Horus", "Sobek", "Demens", "Indra", "Adamantine",  "Amaterasu", "Morbius", "Svarga", "Stambha", "Nala", "Carandial", "Elaphoi", "Elijah", "Merkabah", "Ezekiel", "Hebo", "Flidais", "Pushpa", "Vimana", "Dandu", "Monara", "Pushpaka", "Ramayana", "Nezha",  "Taiyi", "Fengshen", "Lagari", "elebi", "Besom", "Chasse", "Galerie", "Baptiste", "Acabram", "Acabras", "Ruith", "Ramach", "Kavus",  "Nagua", "Carreta", "Alatyr", "Melonia", "Skofnung", "Uluru", "Fomoria", "Cruaidn", "Hadur", "Chulainn", "Conaire", "Diarmuid", "Duibhne", "Fuente", "Begallta", "Morallta", "Cumhaill", "Luin",  "Answerer", "Retaliator", "Enilroth", "Memoria", "Cailte", "Oscar", "Atrium", "Enil", "Ceard", "Oisin", "Gallan", "Diversitas",  "Faralda", "Laban", "Nephi", "Kaleva", "Sapurba", "Samosek", "Kamalu", "Artegal", "Mencheres", "Menkaure", "Baka", "Suphis", "Chephren", "Cheops", "Suphis", "Khufu", "Kairo", "Soris", "Midnight", "Locatum",  "New Brooklyn", "Huni", "Khaba","Tyreis", "Cartouche", "Teti", "Nebka", "Participes", "Sesochris", "Neferkara", "Musimon", "Sethenes", "Tlas", "Binothris", "Nebra", "Bothos", "Bieneches", "Semempses", "Athotis", "Tarkhan", "Targum", "Anedhel", "Vulgate", "Josephus", "Baruch", "Rashi", "Nachmanides", "Contineo","Anakim", "Asura","Cambion", "Ruptor",  "Damiri", "Tatar", "Tarsus","Kanuri", "Crocotta", "Liberty", "Vostok", "Laika", "Soyuz", "Baikonur", "Andarta", "Energia", "Venera", "Sullust", "Korabl", "Buran", "Nozomi", "Cassini", "Earhart", "Lindbergh", "Flaminius", "Decipula", "Forum", "Lata", "Semita", "Esquiliae", "Templum", "Serapis", "Caelimontium", "Capena", "Porta", "Pacis",  "Sandro", "Sirach", "Nehemiah", "Zeresh", "Tissot", "Jael", "Inauditus", "Tekoa", "Manoah", "Babylon", "Vaniah", "Uriel", "Decuria",  "Naphtali", "Incompertus", "Tola", "Timna", "Theotokos", "Cranach", "Tharbis", "Ashur", "Asenath", "Berachiah", "Phaxad", "Armaros", "Polybius", "Insomnia,", "Enigma", "Arakiel", "Zibeon", "Amram", "Tamar",  "Alphaeus", "Ahinoam", "Goliath", "Esther", "Ezra", "Stellio", "Mahlat", "Paradox", "Solitude", "Insight", "Ostium", "Ahasuerus",  "Aeneas", "Laban", "Ishmael", "Rubens", "Zadok", "Tanhuma", "Sirach", "Nehemiah", "Ramsau", "Ramona", "Raldamax", "Rahne", "Raballa", "Sanilac", "Saiph", "Sadurni", "Sabik", "Shasta", "Setubal", "Senorbi", "Sendalor",  "Semichi", "Seiduts", "Scituate", "Schiedam", "Sheridan", "Shensi", "Slocum", "Siendou", "Sian", "Sorunda", "Tantara", "Tangua",  "Tancredi", "Tamsalu", "Tamaron", "Tamar", "Talitha", "Thadora", "Texlos",
// Galaxy 8
"Nila", "Setu", "Ramayana", "Chinvat", "Arjuna", "Tunir", "Akshaya", "Zohar", "Cornucopia", "Amalthea", "Patra", "Pandavas",  "Clydno", "Eiddin", "Sampo", "Tepidus", "Amaterasu", "Kagami", "Oshun", "Huang", "Golem", "Galatea", "Ikenga", "Ushabti",  "Palladium", "Sinope", "Nanteos", "Jamshid", "Morbach", "Kibisis", "Aeolus", "Galed", "Omphalos", "Manalis", "Marmion", "Manus", "Thummim", "Vaidurya", "Merula", "Rigveda", "Tara", "Meath", "Ercae", "Sledovik",  "Toadstone", "Bufonite", "Llech", "Saeth", "Blaenau", "Giramphiel", "Gawain", "Fimbeus", "Lamorz", "Bezoar", "Baetylus", "Tara",  "Navaratna", "Kaustubha", "Cintamani", "Kukulkan", "Destiny", "Kaguya", "Kanju", "Manju", "Adamant", "Camael", "Pasha", "Marduk", "Imhullu", "Enuma", "Balarama", "Ankusha", "Ragnar", "Nessus", "Nabrok", "Chiton", "Caradoc",  "Tegau", "Sigurd", "Tarnkappe", "Padarn", "Rostam", "Vidar", "Valholl", "Talaria", "Sapientia", "Tennin", "Petasus", "Cohuleen", "Druith",  "Tyet", "Tyrant", "Eterna", "Eternity", "Srivatsa", "Shamba", "Naqada", "Narmer", "Serekhs", "Palermo", "Neheb", "Thesh", "Khayu", "Seka", "Hsekiu", "Spartoi", "Monopodes", "Crantor", "Rhoetus",  "Lapiths", "Dactyls","Calydonia", "Curetes", "Molpadia", "Lampedo", "Iphito", "Celaeno", "Areto", "Dracaena", "Sybaris", "Echidna",  "Cetus", "Ethiopia", "Laconia", "Trojan", "Tenedos", "Thespia", "Rhodia", "Bleriot", "Cochran", "Voreda", "Caledonia", "Hibernia", "Vindomis", "Verulamium", "Vertis", "Icenorum", "Icinos", "Venonae",  "Vectis", "Varae", "Portus", "Reculver", "Lemanis", "Adurni", "Abonae", "Petuaria", "Olicana", "Olenacum", "Nidum", "Navio",  "Leodis","Londinium", "Leucarum", "Isurium", "Galacum", "Dubris", "Derventio", "Victrix", "Danum", "Terah", "Tehom", "Tamar", "Tammar", "Absalom", "Sheba", "Maccabees", "Shimon", "Sherah", "Shadrach", "Selaphiel", "Sariel",  "Sandalphon", "Giacomo", "Lunetta", "Sachiel", "Exodus", "Riphath", "Reuel", "Reuben", "Genesis", "Leah", "Rehoboam",  "Raphael","Accademia", "Jairus", "Jericho", "Faivre", "Phinehas", "Phenex", "Tamar", "Parosh", "Leviticus", "Jeremiah", "Opportunity", "Isaiah", "Deuteronomy", "Saul", "Equilibrium", "Absolution", "Bildern", "Phaeton",  "Leodamas", "Demisiani", "Euclid", "Aristotle", "Archimedes", "Amethyst", "Onyx", "Spector", "Taciturnus", "Patience", "Endurance",  "Repentance", "Paradigm", "Everest", "Grace", "Penelope", "Crystal", "Jester", "Werewolf", "Napoleon", "Astutia", "Sherlock", "Tetersen", "Teniente", "Tecumseh", "Techne", "Tathis", "Tormentine", "Turin", "Tuamotu", "Trondheim", "Trimaldix", "Thorin",  "Graceland", "Preston", "Lyons", "Luxen", "Luthien", "Ionus", "Khakar", "Frondas", "Cerulean", "Verlo", "Verde", "Diemen", "Venaria", "Vanta", "Vandalia", "Valexa", "Valentina", "Valasha", "Warlock", "Wotan", "Sanity",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Congeries"];

this.moonpool3 = [
// Galaxy 1 
"Altariq", "Dafadae", "Sahalia", "Surtan", "Gharab", "Aeoania", "Joculator", "Jabal", "Muhit", "Ghabat", "Salataeun", "Alqamar", "Halqa", "Althaelab", "Buhayra", "Dabur", "Naksh", "Solinari", "Alnumla", "Tumtir", "Carnosaur", "Sabika", "Shajara", "Barkan", "Baldur", "Thueban", "Namur", "Zubaba", "Tanin", "Lahab", "Nodens", "Shaeir", "Docimus", "Chiomara", "Parthia", "Plutarch", "Cartimandua", "Tarracina", "Veleda", "Faith","Pausanias", "Khawlah","Koschei", "Frumentum", "Marfisa", "Guinevere", "Succubus","Kahina","Sekhmet", "Nefertiti", "Arawelo", "Sukhera", "Orisha", "Licentia", "Nonhelema", "Colestah","Garibaldi", "Khutulun", "Campus", "Isoptera", "Furtum", "Kaihime", "Tiahahu", "Ethelfleda", "Tisar", "Traken", "Trieste", "Trenzalore", "Trion", "Tythonus", "Tithonus", "Umbeka", "Usurius", "Vandos","Vardon", "Varnicon", "Vasilip", "Consadine", "Venessia","Verticulus","Veturia", "Viperon", "Voga", "Vollotha", "Voracia", "Vortis", "Vulpana", "Xenon","Xeros", "Xeriphas", "Jaculus", "Zephon", "Formica", "Thura", "Zygon", "Toraji", "Cholmondely", "Antibar", "Antida", "Antiroprus", "Antitarra", "Armeni", "Binthu", "Casbin", "Canrum", "Chasca", "Chofen", "Chohe", "Clobaka", "Luteus", "Colomathu", "Mystique", "Cloance", "Demeuca", "Edmos", "Lappa", "Electania", "Farcothu", "Faheluse", "Conciliatio","Famuri", "Fathori", "Feros", "Gremar", "Gromar", "Hunidor", "Hunsalra", "Ilos", "Carinae", "Cyguns", "Hippodamus", "Eridani", "Laputa", "Orias", "Periclum", "Laputa","Alture", "Amerind","Amieth", "Andevlan", "Andros", "Angel", "Angosia","Antede","Antica", "Antide", "Haven", "Andromeda", "Archanis", "Ardana", "Argelius", "Immussilus","Argona", "Argatha", "Arkaria", "Arret", "Aschelan", "Athos", "Averial", "Avery", "Kotati", "Kraus", "Krestasa", "Pamola", "Kuril", "Kurl", "Kyana", "Kylata","Lactra", "Lemenda","Landris", "Lappa", "Largo", "Lauren", "Ledonia","Ledos","Legara", "Warlock", "Lerishi", "Lesek", "Levinius", "Ebrius", "Aramis", "Ligos","Loracus", "Loval", "Ludovok", "Luria", "Lya", "Lysia", "Marek", "Malaya", "Torna", "Torona", "Torros", "Totoro", "Tracken", "Limosus", "Trelkis", "Ludum","Trialas", "Virosus","Trillus", "Triskelion", "Troylus", "Ravana", "Tukana","Tycho","Tyree", "Praelium", "Tyrus", "Unetra", "Vacca", "Vadris", "Vagra", "Valakis","Valo", "Valt", "Vanden", "Vandos", "Varala", "Vashti", "Adulescens", "Vega", "Ramen", "Raban", "Oboedio", "Radnor", "Rafa", "Yushan", "Ragnar", "Ragoon","Moneta", "Randon","Relus", "Renasta", "Cremor", "Saclas", "Sagmia","Scoria","Demens", "Sebris", "Quess", "Selvaris", "Senex", "Sephidi", "Serpine", "Seroco","Bothan", "Kurost", "Boran", "Shador", "Shalam", "Shaymore", "Mortex", "Galahad",
// Galaxy 2
"Testa", "Simia", "Vespa", "Formica", "Poeta", "Vermis", "Sorex", "Pluvius","Arcus", "Noctis","Occasum", "Obcasus", "Veneficus", "Venenarius", "Pythonissam","Venefica","Striga", "Medicus", "Pectus", "Animus", "Animo", "Sententia", "Viridans", "Flavus","Luteus", "Croeus", "Tumidus", "Argentum", "Aurum", "Chrysos", "Pyropus", "Diocese", "Scathach", "Cuchulain", "Luachra", "Morrigan", "Nemain", "Teuta", "Kelmendi", "Galica","Hachette", "Almeida","Marfisa", "Camilla", "Brunhild", "Lagertha", "Atalanta", "Penthesilea","Ishtar", "Apranik", "Artemisa", "Tanit", "Phoenic", "Tarabai", "Durga", "Purana","Vishpala", "Chamunda", "Ragnar", "Lagertha", "Torvi", "Lothbok", "Athelstan", "Othere", "Acteon", "Antoro", "Hespress", "Thraka", "Silfrax", "Inokshi", "Rexel", "Scrampus", "Toraji", "Calidan","Dagmar", "Lotus", "Kasterborous", "Madilon", "Messier","Nativus","Phylox", "Ribos", "Vahiden", "Boeshane", "Ephrael", "Titannica", "Vignor", "Halder","Tybait", "Ravalan", "Peredur", "Kelyn", "Zofia", "Teague", "Tarak", "Laodean", "Jarfor", "Jartar", "Juncro", "Juntauma", "Junthor", "Klencory", "Funicula", "Logan","Maganlis", "Matar","Matol", "Mavigon", "Malleolus", "Mingito", "Morana", "Nausica","Nearum", "Nemata", "Nepheron", "Conditus", "Nodacrux", "Nonuel", "Notanban", "Noveria","Ontaheter", "Ontamica", "Ontarom", "Tarom", "Parag", "Paravin", "Patamalrus", "Patashi", "Azati", "Babel", "Bajor", "Balancar", "Balosne", "Banea", "Barisa", "Barkon","Baradas", "Barson","Bayard", "Beltane", "Bergman", "Bemay", "Bersallis","Canopus","Eminiar", "Penthe", "Totoro", "Bokara", "Bolarus", "Bopak", "Boral", "Boradis","Boreth", "Bracas", "Braslota", "Breen", "Breka", "Bealia", "Bryma", "Burala", "Malcore", "Malindi", "Malon", "Manark", "Mantiles", "Manu", "Maranga", "Maravel","Marcos", "Jaretus","Mariah", "Mariposa", "Marlonia", "Marva", "Matalas","Mataline","Maxia", "Mazar", "Mezan", "Megas", "Meldar", "Meles", "Melina", "Melnos","Melona", "Merak", "Meridian", "Merik", "Midos", "Minara", "Minobia", "Milnos", "Velara", "Velos", "Vendikar", "Vendu", "Necron", "Ventax", "Vendaris", "Verex","Vergesen", "Veridian","Vico", "Vilmor", "Volan", "Volchok", "Wysanti","Verecundus","Xanthras", "Mephiston", "Sabu", "Adedit", "Xindus", "Yadalla", "Yadera", "Yonada","Yuri", "Zadar", "Zalkon", "Zayra", "Zeon", "Zeta", "Antaras", "Zondi", "Shimia", "Shogun", "Tamoria", "Parmic", "Andima", "Shiron", "Uwana", "Praeteritum","Simpla", "Simus","Skye", "Solay", "Rayter", "Solace", "Sorella","Somov","Tharnium", "Tharin", "Soronia", "Soterious", "Soulex", "Dominus", "Onatos", "Spinax","Lyton", "Kidron", "Velus", "Koradin", "Myrth", "Tanab", "Tabon", "Taboth",
// Galaxy 3
"Adamas", "Anancites", "Prasinus", "Lapis", "Carbunculus", "Flumen", "Cetos", "Bellator","Proeliator", "Pumilio","Nanus", "Dryadalis", "Pallidi", "Aspidis", "Coluber","Vipera","Domum", "Mercator", "Condalium", "Preceptor", "Clypeus", "Scutum", "Armatura", "Armatus","Pallium", "Mantellum", "Amictus", "Bucina", "Lanatae", "Fumus", "Aestas", "Autumna", "Abydos", "Agora", "Althrace", "Alzarius", "Amanopia", "Aneth", "Persis", "Aractus","Arceteen", "Asgard", "Auros", "Avalon", "Balhoon", "Bandril", "Carsus","Castor","Castro", "Catrigan", "Chelonia", "Chloris", "Colano", "Demos", "Tectum", "Crinoth","Desperus", "Loka", "Dhakan", "Diadem", "Dioscuros", "Dramos", "Enlandia", "Eudamus", "Cantopani", "Chalmoe", "Devlin", "Hamakei", "Dhumpus", "Kalin", "Lumle", "Kokomoka","Yadach", "Nanka","Astarmis", "Aurelia", "Cadia", "Calderis", "Calliban","Calth","Carcharias", "Catachan", "Cibhal", "Charadon", "Chemos", "Chicano", "Chinchare", "Chondax","Colchis", "Cretacia", "Chonia", "Cyclothrathe", "Cyrene", "Desoleum", "Diamat", "Dolumar", "Patatanilis", "Phaistos", "Pharos", "Pioba", "Pomal", "Porolan", "Prescyla", "Prestaron","Pressha", "Proteus","Quana", "Raysha", "Renshato", "Slamis", "Sesmose","Sharblu", "Sharing", "Slekon", "Sogetrus", "Solcrum", "Solmarlon", "Sondon", "Syba", "Sybin","Syided", "Salto", "Tamahera", "Tharopto", "Therum", "Therumion", "Thesagon", "Theshaca", "Bynaus", "Calder", "Caldik", "Caldos", "Caleb", "Calin", "Calondia", "Canor","Campor", "Camus","Canci", "Carinae", "Canopus", "Capella", "Capri","Carraya","Casperia", "Castal", "Catulla", "Celes", "Celtris", "Cestus", "Chaya", "Chaltok","Cheron", "Coltar", "Coppelius", "Coridan", "Cornith", "Cygnet", "Trax", "Dakala", "Miridan", "Mislen", "Mithren", "Mixtus", "Mizar", "Moab", "Monac", "Mora","Mordan", "Morska","Muldor", "Mundahia", "Myrmidon", "Nahmi", "Nanibia","Napine","Narendra", "Narita", "Narva", "Nesreldine", "Nausica", "Nelvana", "Nepenthe", "Nervala","Neubilia", "Neural", "Gaul", "Halana", "Mecca", "Nibiru", "Consectatio", "Ninpla", "Ealor", "Parmic", "Bysis", "Eamus", "Ebra", "Edatha", "Elbara", "Elerion","Elbara", "Eliad","Ember", "Emberlene", "Teta", "Enfern", "Ensolica","Enturs","Espirion", "Faden", "Fahul", "Fakir", "Faldos", "Fangol", "Falleen", "Galaan","Galand", "Galantos", "Galdar", "Galidran", "Gamandar", "Iskalon", "Galpos", "Ganthel", "Talas", "Elrood", "Talasea", "Talay", "Talitia", "Tamber", "Corellian", "Tamber", "Tancon", "Tandis","Varada", "Tanya", "Morden", "Taoska", "Tarkin","Hollan","Tartaglia", "Gunthar", "Arkanis", "Taul", "Jaso", "Minos", "Narant", "Kalamith","Telerath", "Iskalon", "Telos", "Temako", "Thabit", "Lostar", "Farlax", "Kesmere",
// Galaxy 4
"Glacialis", "Praestrictus", "Magnum", "Spodium", "Fraxinus", "Procella", "Fluctus", "Pardus","Pugione", "Mucro","Caelum", "Lanterna", "Lumina", "Lucerna", "Taeda","Robus","Ligustrum", "Viriditas", "Sarculo", "Dentalia", "Aratrum", "Vulpes", "Volpes", "Talpa","Tumulus", "Sepulcrum", "Ophthalmias", "Arctous", "Meridies", "Auster", "Orientern", "Occidens", "Exarius", "Florana", "Freytus", "Frontios", "Gauda", "Gearon", "Glasson", "Golobus","Granados", "Griffoth", "Griophos", "Grolon", "Grundle", "Halcya", "Halergan","Hastus","Hedron", "Heiradi", "Hermethica", "Hurala", "Hyspero", "Hydroxi", "Indigo", "Iphitus","Jaconda", "Justicia", "Ludibrium", "Kaldor", "Kantra", "Kapteyn", "Karfel", "Karris", "Sonatos", "Luceat", "Dynikas", "Eldolon", "Endymion", "Enkidu", "Espandor", "Estaban","Inlicitus", "Fedrid","Fourtheden", "Galen", "Galt", "Gardinal", "Geratomro","Gereon","Gerstahi", "Ghalmek", "Gethsamine", "Ghalmek", "Ghosar", "Golgotha", "Graia", "Gravalax","Gudrun", "Hagia", "Honourum", "Hubris", "Herodor", "Hyades", "Hydraphur", "Ichar", "Thear", "Trebin", "Trelyn", "Tremanre", "Temar", "Treyarmus", "Tungel", "Tunshagon", "Tuntau", "Varmalus","Vebinok", "Vectra", "Vemal", "Veyaria", "Virmire","Wentania", "Wermani", "Xamarri", "Xathoron", "Xawin", "Yunthori", "Chasmatias", "Zaherux", "Zakros","Zatorus", "Zayarter", "Zion", "Cornucopia", "Fedele", "Pangaea", "Exodus", "Tereshkova", "Daled", "Dannus", "Daran", "Davlos", "Dayos", "Decos", "Dedestris", "Delb","Delinia", "Delos","Delphi", "Deneb", "Deneva", "Denius", "Denobula","Deriben","Dessica", "Detria", "Devidia", "Devore", "Devos", "Dimorus", "Dinal", "Doctari","Donatu", "Doraf", "Dorvan", "Dozaria", "Draken", "Dramia", "Draygo", "Draylax", "Norcadia", "Norellus", "Norpin", "Nyrta", "Nyria", "Ocampa", "Oceanus", "Ohniaka","Omekla", "Ophiucus","Taku", "Orelios", "Orendal", "Organia", "Orias","Omara","Oshiorian", "Osinar", "Paciffica", "Pahvo", "Paksor", "Pandro", "Panora", "Paragan","Parada", "Parsion", "Pellar", "Pelleus", "Pendari", "Pentarus", "Pentath", "Penthara", "Gantho", "Garban", "Garsala", "Genon", "Hashimut", "Hafrin", "Halanit", "Halbara","Halm", "Halmad","Hanofar", "Hapan", "Harix", "Ichium", "Ifron","Ignacia","Imdar", "Imatia", "Abrion", "Ishana", "Iseno", "Naha", "Iseno", "Jabor","Jagga", "Jaguda", "Jarden", "Jeyel", "Resilia", "Jumus", "Rionder", "Joruna", "Kesmere", "Setar", "Teth", "Imeria", "Tholon", "Tholoth", "Mytherion", "Tiefon","Thyrus", "Munda", "Aragorn", "Hephrone", "Tirsa", "Lathoi", "Quanta","Belasco","Xaphie", "Titanicus", "Mustum", "Torolis", "Tramanos", "Mariel", "Transel", "Senex","Troxar", "Tryast", "Tuetro", "Bemaron", "Kantel", "Vegeron", "Tumus", "Tyan",
// Galaxy 5
"Saxum", "Calculus", "Castrum", "Laurus", "Perfugium", "Tectumque", "Tegimen", "Faucibus","Sagitta", "Hastam", "Shulmanu", "Lancea", "Speculo", "Hyalus", "Vitrum","Speculum","Lorem", "Periculo", "Poviets", "Bacillum", "Caritas", "Pallium", "Vastitas", "Balteum", "Venandi", "Malum", "Honoris", "Animosus", "Potentia", "Impetus", "Circulus", "Sabulo", "Karfel", "Kastopheria", "Kastria", "Praesidium", "Kataki", "Katuria", "Kegron", "Trochlea", "Benificium", "Culkacron","Koorharn", "Kosnax", "Karass", "Kyrol", "Laylora","Lelex","Leophantos", "Levontos", "Levithia", "Limus", "Livonia", "Loam", "Lobos", "Logopolis","Lonsis", "Lucifer", "Lomar", "Magellan", "Magla", "Malcassairo", "Marinus", "Marpesia", "Idumea", "Iocanthos", "Istrouma", "Ithaka", "Jago", "Jericho", "Jerulas", "Kaeriol","Kalidar", "Kslides","Kalto", "Karacallia", "Kaurava", "Kerrack", "Kalah","Kybo","Kokytos", "Konor", "Kracsis", "Krodha", "Konus", "Kulith", "Landuner", "Lenik","Lethe", "Miseriae", "Lorin", "Maccabeus", "Maesa", "Pandex", "Meridian", "Metalica", "Fortuna", "Stenus", "Matano", "Astutus", "Artenis", "Cacus", "Plutus", "Columbia","Vostok", "Caspian","Sparta", "Tereshkova", "Matano", "Gagarin", "Newton","Ming","Pluma", "Vamshi", "Gagarin", "Armstrong", "Grissom", "Farinata", "Feldon", "Agravo","Albion", "Altern", "Aristo", "Auron", "Auros", "Acros", "Calipheron", "Cometissa", "Draylax", "Draylon", "Drema", "Dreon", "Dullsian", "Durenia", "Talix", "Edos","Vindico", "Ekos","Elas", "Elba", "Emila", "Eminiar", "Enara","Conimas","Ennan", "Ashanti", "Evadne", "Excaliba", "Fahleena", "Faralos", "Farlius", "Felton","Fendaus", "Fina", "Finnea", "Folnar", "Forlat", "Gala", "Galador", "Galonix", "Peresphone", "Phanos", "Phylos", "Platonious", "Porakas", "Portas", "Posel", "Potak","Pragine", "Preenos","Prema", "Procyon", "Pullock", "Pumata", "Putak","Pyris","Pythro", "Quadra", "Quatal", "Quilnor", "Rakhar", "Rakosa", "Ramatis", "Ramura","Rana", "Ranuos", "Rator", "Regulak", "Regulus", "Seronia", "Relvar", "Remil", "Kabaira", "Kabal", "Kadok", "Kadril", "Kaelin", "Malen", "Kaldorn", "Kalgon","Kaloo", "Lakteen","Laboi", "Lacia", "Ladro", "Lafra", "Lashbane","Lasan","Lastelle", "Lavisar", "Lehon", "Lekua", "Lenico", "Kerisil", "Leria", "Leviathan","LIcha", "Capella", "Circum", "Lomabu", "Lonatro", "Lovria", "Lorta", "Lotho", "Kantel", "Tylon", "Usean", "Maldron", "Utapau", "Lormantia", "Metus", "Gordain","Vactoine", "Venrood","Fakire", "Vlad", "Valera", "Vandor", "Vandos","Normax","Vandoran", "Merian", "Velmore", "Veloc", "Halori", "Vodran", "Voltare", "Vontore","Dalicron", "Vulcar", "Tapani", "Arkanis", "Darlon", "Pheliem", "Vultar", "Wayland",
// Galaxy 6
"Muncaidh", "Sionnach", "Nathair", "Parmenides", "Phaistos", "Socrates", "Plato", "Aristotle","Thales", "Hypatia","Lucretius", "Plotinus", "Aurelius", "Seneca", "Cicero","Tiberius","Claudius", "Nero", "Vespasian", "Domitian", "Nerva", "Hadrian", "Aurelius", "Commodus","Severus", "Caracalla", "Septimius", "Macrinus", "Maximinus", "Decius", "Valerian", "Quintillus", "Manussa", "Marinus", "Marpesia", "Mechanus", "Mesmerus", "Messaline", "Metallurgis", "Polia", "Sigmafolia", "Vorka","Metebelis", "Goria", "Miasimia", "Minyos", "Mirabilis", "Mogar", "Amadioha", "Mondas", "Morestra", "Mobox", "Morok", "Muscolane", "Navaros", "Navarro","Necros", "Nefrin", "Ockora", "Ogron", "Ogros", "Omphalos", "Oseidon", "Oskerion", "Midath", "Minea", "Mistron", "Moab", "Morae", "Mordaka", "Morwen", "Kardum","Necromunda", "Tessera","Nethamus", "Neutra", "Nexum", "Gidlam", "Nimbosa","Novabella","Nuceria", "Numinal", "Obisida", "Orask", "Orbiana", "Paragon", "Pellenne", "Phaeton","Pindarus", "Posule", "Praetoria", "Pythos", "Ryza", "Sabatine", "Sabbat", "Sacris", "Carthenis", "Casarus", "Centero", "Cephlon", "Chenga", "Cynra", "Cyntha", "Avon", "Disentastra", "Servalan","Epinal", "Epheron", "Exbar", "Fosphorn", "Gardenos","Vila","Gauda", "Gedden", "Gourimpest", "Goth", "Helotrix", "Herom", "Practor", "Laran", "Jevron", "Kahn", "Kainessos", "Karios", "Keldan", "Kezarn", "Krandor", "Lindor", "Galor", "Gallos", "Gator", "Galorda", "Galomodon", "Galvin", "Gamelan", "Vertis","Ganalda", "Garadilus","Garon", "Vulcan", "Gaspar", "Gault", "Gedi","Gelrak","Gemaris", "Gemulon", "Genesis", "Chrusda", "Gideon", "Golana", "Golos", "Gonal","Goralis", "Gorath", "Gothos", "Hakton", "Hanon", "Hanoran", "Hansen", "Dindrane", "Remus", "Renavi", "Rhymus", "Ricktor", "Risa", "Rochani", "Romulus", "Ronara","Rondac", "Rosseau","Ruah", "Rubicun", "Rutia", "Sahndara", "Sakura","Salina","Salva", "Sancturay", "Sappora", "Sarona", "Sarpedion", "Sarpeidon", "Sarthong", "Scalos","Secaurus", "Sefalla", "Selcudi", "Drema", "Seldoris", "Selek", "Sendu", "Sentinel", "Lowick", "Sorditudo", "Lyran", "Lythos", "Mateen", "Mabonte", "Shadam", "Macent","Makem", "Malachor","Copulabis", "Malo", "Malthor", "Mamendin", "Maryo","Maryx","Nabatu", "Nadiem", "Shimor", "Naldar", "Narthon", "Narth", "Nensil", "Neona","Kram", "Apsolon", "Balosar", "Farlax", "Demetras", "Canistel", "Javis", "Tapani", "Wereden", "Welarn", "Farlaxion", "Nabonia", "Tandel", "Gaulus", "Xantar", "Xeron","Cerastes", "Xorth","Kamino", "Tharin", "Zaria", "Zaur", "Trilon","Zealos","Zarm", "Demonix", "Kathol", "Abraxia", "Alasham", "Kashnera", "Alandor", "Tapani", "Lazerian", "Pheleam", "Almass", "Cularine", "Glythe", "Mortex", "Alpherides", "Tron",
// Galaxy 7
"Aurelian", "Tacitus", "Florian", "Probus", "Numerian", "Carinus", "Diocletian", "Galerius","Valentinian", "Valens","Gratian", "Theodosius", "Arcadius", "Honorius", "Marcian","Avitus","Majorian", "Anthemius", "Olybrius", "Glycerius", "Galileo", "Copernicus", "Tycho", "Herschel","Hipparchus", "Hawking", "Riothamus", "Vortigern", "Ambrosius", "Pendragon", "Boudica", "Sinderion", "Othrys", "Pandatorea", "Parakon", "Peladon", "Haxico", "Periboea", "Pheros", "Polymos","Nestene", "Pologus","Ponton", "Posikar", "Proamon", "Pyrovillia", "Qualactin", "Quinis","Terileptils", "Ralafea", "Ravolox", "Reblais", "Refusis", "Ribos", "Salarius", "Salvak","Kaloon", "Sanclune", "Sarn", "Saturnyne", "Scantek", "Scotia", "Shada", "Shadmoch", "Samech", "Sangua", "Danubian", "Sarum", "Svlar", "Scintilla", "Senda", "Selvanus","Seprias", "Shenlong","Sicarus", "Solomon", "Soryth", "Sotha", "Spectoris","Aquilon","Stryken", "Tallarn", "Sententia", "Talus", "Tanith", "Tarris", "Taros", "Aequalitatem","Temporia", "Thracian", "Thrax", "Tigrus", "Triplex", "Phall", "Tuchulcha", "Turtolsky", "Lobis", "Lubus", "Lypterion", "Magdelen", "Malodar", "Mecron", "Pheniel", "Obsidian","Overon", "Palmero","Pharos", "Porthia", "Porthods", "Saurian", "Sardos","Saran","Orac", "Serrus", "Silmareno", "Sociale", "Suni", "Tarl", "Teal", "Vandor","Keril", "Vilkra", "Virn", "Wanta", "Xarnor", "Xymines", "Zeigler", "Zephron", "Heva", "Haven", "Atoria", "Hima", "Hindmar", "Hispaniola", "Hoek", "Maelona","Holna", "Hunhau","Hurada", "Opscurum", "Iconia", "Icor", "Ilarti","Inavar","Indri", "Inferna", "Invernia", "Irastan", "Itamish", "Ivor", "Iyar", "Jaffe","Janus", "Japori", "Jaros", "Jaxa", "Jouret", "Juhraya", "Kabatris", "Kabrel", "Seros", "Cuniculum", "Sheva", "Shiralea", "Tama", "Simperia", "Sobras", "Solais","Solarion", "Solosos","Soltok", "Soma", "Castellum", "Improbus", "Stakoron","Stameris","Styris", "Suvin", "Sumiko", "Surata", "Tagra", "Talax", "Talaxia", "Talos","Volitare", "Tandar", "Tantalus", "Tauga", "Tarakis", "Tarchanen", "Tarella", "Taresia", "Nimba", "Drovis", "Nista", "Nixore", "Kartha", "Norulac", "Notak", "Obelia","Obica", "Ohan","Bellatorius", "Tato", "Ophideran", "Oplovis", "Lithone","Mantell","Sendra", "Torenze", "Trasi", "Plutonia", "Orelon", "Osheti", "Vashon", "Terab","Trax", "Modell", "Ramon", "Palanhi", "Panatha", "Kauchen", "Parada", "Senex", "Altaire", "Amadore", "Chelnore", "Anobis", "Taxandria", "Aquella", "Arcadia", "Sacoria","Voron", "Perave","Axion", "Loromare", "Bormea", "Radnore", "Axtria","Baranai","Logia", "Balanore", "Taldot", "Dolomar", "Barlock", "Ascalabotes", "Taungia", "Bellis","Garoth", "Bellassa", "Belnaria", "Trixia", "Bethal", "Kalinda", "Betoilo", "Varada",
// Galaxy 8 
"Senesca", "Boadicea", "Ostorius", "Cassius", "Suetonius", "Arminius", "Cherusci", "Andraste","Quintus", "Verulamium","Tranquillus", "Decianus", "Vergil", "Locrinus", "Gwendolen","Cordelia", "Herodotus", "Tomyris", "Molae", "Zarinaea", "Onomaris", "Heracleides", "Dardanus", "Timoclea","Cleophis", "Eurydice", "Cratesipolis", "Arachidamia", "Vaccaei", "Vetton", "Olympias", "Stratonice", "Segonax", "Shantella", "Shallanna", "Callesta", "Siralos", "Sireen", "Larum", "Skythoros","Solos", "Sontar","Sontara", "Spiridon", "Splendurosa", "Stora", "Strpto","Stricium", "Sartos", "Sycorax", "Sylvaniar", "Tara", "Tarsius", "Taurean", "Telos", "Terileptus","Teradon", "Tersurus", "Therka", "Thordon", "Thoros", "Thrace", "Thuron", "Tigella", "Ullanor", "Urdesh", "Usulia", "Vanahelm", "Vanitor", "Vardon", "Varsavia", "Vaxandide", "Vigilus", "Verghast","Vespid", "Vilamus", "Vitria", "Volistad", "Vostroya","Viporius","Vraks", "Vaniah", "Xana", "Litatio", "Adedit", "Yanth", "Kanesh", "Zaebus","Zhoros", "Zhao", "Zhoros", "Zaphoria", "Ageko", "Agetron", "Almacrux", "Almos", "Zerok", "Caster", "Zolat", "Zondar", "Zondor", "Holdstock", "Mythago", "Restal","Soolin", "Olag","Dayna", "Zen", "Haplo", "Cardassia", "Tellar","Turkana","Veridian", "Risa", "Avamar", "Achrady", "Adarak", "Adelphous", "Agaron", "Ahmedeen","Alastria", "Alcor", "Aldea", "Aldebaran", "Moneta", "Algeron", "Balder", "Braga", "Kaelon", "Kaldra", "Kalla", "Kaminar", "Kanda", "Kantare", "Karemma", "Katan","Kavis", "Kelfour","Kelva", "Kelvas", "Kentanna", "Tana", "Kessik","Keton","Khefka", "Khitomer", "Khosla", "Klaeston", "Kavadia", "Klendth", "Kobilad", "Kolarus","Kora", "Koralis", "Koma", "Korris", "Kostolain", "Kotara", "Barath", "Kotati", "Taris", "Tarkalea", "Tarod", "Tarsas", "Taurus", "Teenax", "Teerza", "Telemarius","Telfas", "Tellar","Telsius", "Teluridan", "Terlina", "Terosa", "Terralysium","Tesnia","Tassen", "Tessik", "Thalos", "Thasus", "Thelka", "Therbia", "Tiburon", "Tionus","Timor", "Lani", "Tohvon", "Tonnata", "Torad", "Toranius", "Torga", "Torman", "Pasmin", "Paresin", "Chorios", "Peragus", "Perilix", "Perilious", "Phaeda", "Phemis","Pheon", "Plexis","Poderis", "Porchello", "Vanell", "Modroi", "Inspiratione","Prima","Shardia", "Kessel", "Prima", "Kalinda", "Pyros", "Pursin", "Herios", "Alarvis","Gendius", "Quint", "Geode", "Sidious", "Ahsoka", "Tano", "Salion", "Kilam", "Camars", "Ranthion", "Caraz", "Senex", "Camos", "Cantros", "Libamen", "Capriol","Callia", "Castel","Cephaline", "Intrepidus", "Circarpous", "Mandalore", "Sombure","Dadrus","Daemen", "Rayter", "Dandelo", "Dandrain", "Quelix", "Delanoth", "Tectum", "Goroth","Denevar", "Demos", "Trax", "Dohban", "Dolomare", "Kalar", "Kothis", "Semagica",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Grumus"];

this.moonpool4 = [
// Galaxy 1
"Disador", "Kohox", "Mauron", "Vesodor", "Occultatum", "Readere", "Siodan", "Nisodor", "Kiesen", "Penaurus", "Pomadex", "Disaula", "Hoanax", "Varice", "Todrope", "Ramorat", "Readan", "Kodex", "Porat", "Ramodurus", "Rexadere", "Penalam", "Taoborn", "Kodrope", "Prosterno", "Phoadere", "Saxabam", "Polam", "Ragnarok", "Estobox", "Podone", "Pomaborn", "Vadone", "Saodrax", "Vesodath", "Phoadurus", "Pomadrope", "Ganarat", "Penadope", "Estodath", "Saolam", "Vesonax", "Saxador", "Rasputin", "Taorat", "Vesorice", "Inferno", "Silvestris", "Rexador", "Vesolam", "Siobam", "Meabaria", "Dadrax", "Occidendum", "Vesolam", "Raolam", "Todope", "Saxaula", "Vesourus", "Hirudo", "Ganadurus", "Todone", "Disadon", "Vestibulum","Keadex", "Keadox", "Leorat", "Penadex", "Leolon", "Taouron", "Tobam", "Todrope", "Ramodon", "Estonax", "Podrax", "Vesodox", "Crassus", "Raourus", "Saodex", "Ludifico", "Meanax", "Sadocus", "Readocus", "Penaurus", "Estolo", "Madon", "Leobam", "Disaurus", "Rexarix", "Chodope", "Estodrax", "Leorix", "Ramodex", "Ramolam", "Rexadurus", "Vadone", "Vahox", "Totrope", "Phorix", "Kobaria", "Metallum", "Realon", "Mendham", "Podope", "Leodere", "Himadan", "Sabam", "Cholon", "Datrope", "Vesodocus", "Himarat", "Salvadore", "Korice", "Vadan", "Taodor", "Keabox", "Dadere", "Raodrax", "Vaborn", "Occultatum", "Todocus", "Estourus", "Vadrope", "Phoadone", "Baria", "Leobaria", "Nisodope", "Meadrax", "Vaurus", "Todor", "Ramodor", "Saodere", "Manax", "Poborn", "Baphomet", "Raourus", "Sorbitio", "Leolo", "Cholon", "Vadurus", "Vesouron", "Pomaula", "Raourus", "Hoadrax", "Raorat", "Keanax", "Dadere", "Polam", "Siorice", "Koula", "Penadex", "Saodurus", "Disadath", "Disadone", "Torix", "Satrope", "Vesolon", "Pomadocus", "Saxadocus", "Siobox", "Raodocus", "Sadon", "Marix", "Marat", "Valon", "Taoupal", "Penabaria", "Faonix", "Sadocus", "Captura", "Phobox", "Disanix", "Raorat", "Stagnum", "Himadone", "Penanix", "Faouron", "Spelunca", "Sauron", "Phodurus", "Phobox", "Estodone", "Rochefort", "Vesodope", "Pomalon", "Ganahox", "Photrope", "Penanax", "Disabaria", "Raolam", "Taolam", "Ramodon","Ganalo", "Vabam", "Podon", "Kodath", "Saolo", "Serpentium", "Faolam", "Kodex", "Leotrope", "Pourus", "Rexaurus", "Faohox", "Rexabaria", "Podon", "Kealo", "Faobam", "Daurus", "Dadan", "Saodex", "Vesolo", "Phoabam", "Cholam", "Disadath", "Ramourus", "Nisodath", "Merak", "Maupal", "Phoaurus", "Salo", "Phoadan", "Porix", "Laolo", "Maborn", "Rexarix", "Dictatum", "Vesohox", "Kodex", "Raourus", "Laorat", "Readath", "Exoticus", "Pomaurus", "Saxalam", "Chodere", "Taorat", "Saobam", "Chodan", "Penarat", "Hoador", "Laorat", "Hoaborn", "Phoadere", "Himadox", "Raourus", "Hoaupal", "Pobox", "Penalo", "Ganadrope", "Leonix", "Ganadox", "Vanax", "Disabaria", "Chodrax", "Lancelot",
// Galaxy 2
"Haurus", "Arodrope", "Zobam", "Nodurus", "Heobam", "Ledope", "Diodox", "Aroula", "Haula", "Remagen", "Lelon", "Zeadurus", "Gebaria", "Janax", "Shodocus", "Apodope", "Poadox", "Phaurus", "Hearix", "Zohox", "Morix", "Diodox", "Atlanax", "Pruinosus", "Harat", "Foabaria", "Decipulum", "Heador", "Zeadurus", "Jadocus", "Dagohox", "Eador", "Thodox", "Diodurus", "Halo", "Headan", "Hearix", "Foadox", "Norix", "Shonax", "Geborn", "Poador", "Ladrax", "Poadon", "Eahox", "Shauron", "Apohox", "Foarat", "Zonix", "Zeaurus", "Shobaria", "Atlahox", "Zeanax", "Headrope", "Zeahox", "Adodope", "Anodath", "Madidus", "Zorix", "Zealam", "Heodocus", "Anorice", "Jaodex", "Adolo","Anourus", "Aronax", "Anolo", "Heanix", "Adourus", "Shalon", "Arourus", "Harice", "Labox", "Shotrope", "Ladan", "Headere", "Sharix", "Ledath", "Ledor", "Traditus", "Jaodan", "Thodox", "Healon", "Zobam", "Hadere", "Lustrum", "Adonax", "Roche", "Headrax", "Headurus", "Nonax", "Mourus", "Foatrope", "Zolo", "Leurus", "Atladox", "Suscitare", "Jadan", "Headurus", "Phabaria", "Diodocus", "Kador", "Arodor", "Dagolon", "Thodocus", "Vidaurus", "Zodan", "Dagodox", "Pharice", "Ronel", "Foadath", "Jalo", "Atladrax", "Thoupal", "Jaobam", "Dagobox", "Zeaborn", "Eadex", "Foalam", "Deahox", "Atlabox", "Apodrax", "Jalon", "Karice", "Hadurus", "Gerice", "Leurus", "Healo", "Sholam", "Shauron", "Gedox", "Monix", "Shalon", "Haula", "Atlahox", "Ladere", "Phalon", "Rosice", "Phadrax", "Hatrope", "Norice", "Eadath", "Heaula", "Kaurus", "Dagotrope", "Jaodone", "Phadox", "Aporix", "Shonix", "Moupal", "Nolo", "Eadurus", "Nourus", "Apodrope", "Heodope", "Kadocus", "Gedon", "Lanix", "Ledox", "Jaodan", "Kalon", "Nonix", "Hearix", "Geuron", "Heonax", "Jaonax", "Anorat", "Zeadex", "Santana", "Hadex", "Dearat", "Heador", "Poaurus", "Sargasso", "Foaurus", "Heolon", "Arobox", "Sarmaxa", "Heador", "Heaurus", "Thorix", "Apoula", "Shodan", "Jaodone", "Headan", "Gedrope", "Thodere", "Gedone", "Cerritus", "Modere", "Ledone", "Heouron","Eaborn", "Heanix", "Arorix", "Heonix", "Shonix", "Vidauron", "Modan", "Hanix", "Nodor", "Zobox", "Anoborn", "Arobox", "Heaborn", "Jabox", "Vidadone", "Apodon", "Hearice", "Sholon", "Adobaria", "Arourus", "Jaorix", "Satalice", "Arodope", "Foadan", "Arodurus", "Shodor", "Anodurus", "Leula", "Aroupal", "Deadex", "Dagodon", "Hearice", "Vidabox", "Hadan", "Adohox", "Poarat", "Jaborn", "Ladan", "Deabaria", "Haurus", "Jaodone", "Zeadope", "Anodurus", "Zola", "Apotrope", "Suscito", "Hadope", "Jaurus", "Thoborn", "Halon", "Nolo", "Anorix", "Dagobaria", "Heatrope", "Vidaborn", "Deadere", "Headrope", "Lanix", "Heodocus", "Ladath", "Heabaria", "Jaonix", "Eaurus", "Sholon",
// Galaxy 3
"Dadon", "Chodon", "Nisoula", "Kotrope", "Keaula", "Rearice", "Procyon", "Kodone", "Dadope", "Gobelins", "Marat", "Meabaria", "Disauron", "Mahox", "Siodor", "Reahox", "Ramolo", "Mador", "Vesorix", "Rexalo", "Keabam", "Himalo", "Phoalo", "Siodurus", "Estodath", "Penaborn", "Siourus", "Chodath", "Phoabaria", "Nisodor", "Taourus", "Siodath", "Rexahox", "Phoadox", "Penadere", "Saupal", "Penalon", "Penadath", "Todope", "Ganaula", "Laodope", "Vesodocus", "Pomabaria", "Disatrope", "Chodox", "Disadan", "Meabox", "Daurus", "Penadocus", "Disalon", "Laodan", "Rexalam", "Ramodath", "Leodope", "Kobox", "Chodan", "Salo", "Saodon", "Estodocus", "Meabox", "Estonax", "Reauron", "Todath", "Vadath","Saxatrope", "Torat", "Faourus", "Leourus", "Phoaupal", "Laodrope", "Pomadope", "Estobam", "Taodath", "Nisodocus", "Disaula", "Maula", "Estodex", "Gananax", "Crassus", "Raohox", "Ramonix", "Nisodere", "Penabox", "Hoabaria", "Tonax", "Estolam", "Taolam", "Taolon", "Pomador", "Mealon", "Siolon", "Raodath", "Choborn", "Chodath", "Readocus", "Faolo", "Dauron", "Siorice", "Saxarice", "Siodurus", "Ramobam", "Himadrax", "Taobox", "Saxadocus", "Kodath", "Vesodan", "Estodath", "Laodox", "Saxadon", "Estodocus", "Laodone", "Himadrax", "Vanax", "Dadone", "Taorix", "Madrax", "Vesolon", "Penadath", "Vadex", "Taodor", "Penadox", "Pomadope", "Phorice", "Phodope", "Siodon", "Ramouron", "Hoalon", "Danax", "Siodrax", "Keadon", "Laorice", "Siodocus", "Ganadone", "Polam", "Faodrope", "Vesobaria", "Saupal", "Saxador", "Faoula", "Estodere", "Varix", "Phodex", "Phoadrax", "Saurus", "Himadox", "Hoaupal", "Chouron", "Dadex", "Keadex", "Salo", "Pomatrope", "Ramorat", "Saxadon", "Sarat", "Vabox", "Rexador", "Vadone", "Readrax", "Pomalo", "Saxadocus", "Faodrax", "Phoupal", "Raodon", "Keaurus", "Sadan", "Chodope", "Phoadocus", "Podrax", "Reaupal", "Nisolon", "Disador", "Mahox", "Vaurus", "Dahox", "Keaborn", "Saxaula", "Maupal", "Poupal", "Saorat", "Sionax", "Vesourus", "Ganarix", "Nisolam", "Disanax", "Saorat", "Ramotrope", "Tourus", "Realam", "Laobaria", "Meauron", "Vesourus", "Madan","Nisodox", "Siodocus", "Laorice", "Leobox", "Koborn", "Chorix", "Hoadex", "Ganalam", "Phoadope", "Leodope", "Keadocus", "Pomadon", "Phoahox", "Saodere", "Cholo", "Siourus", "Pohox", "Estobam", "Hoadon", "Dadath", "Sabox", "Kodrax", "Pomadere", "Himaurus", "Chodath", "Raodox", "Polo", "Disanix", "Vesorat", "Hoabam", "Ganaula", "Cholam", "Saoula", "Siodurus", "Estorix", "Dabox", "Todone", "Ganaula", "Polon", "Pomabam", "Madrope", "Disaurus", "Vesodocus", "Chonix", "Tobox", "Valon", "Meadex", "Ramoborn", "Hoauron", "Ganalam", "Saodone", "Saxarice", "Vesodor", "Meadan", "Mauron", "Phodere", "Estorice", "Keadocus", "Siodath", "Siohox", "Salo", "Faodope", "Penanax", "Madrope",
// Galaxy 4
"Haurus", "Arodrope", "Zobam", "Nodurus", "Heobam", "Ledope", "Diodox", "Aroula", "Haula", "Deadone", "Lelon", "Zeadurus", "Gebaria", "Janax", "Shodocus", "Apodope", "Poadox", "Phaurus", "Hearix", "Zohox", "Morix", "Diodox", "Atlanax", "Nivosus", "Harat", "Foabaria", "Shadope", "Heador", "Zeadurus", "Jadocus", "Dagohox", "Eador", "Thodox", "Diodurus", "Halo", "Headan", "Hearix", "Foadox", "Norix", "Shonax", "Geborn", "Poador", "Ladrax", "Poadon", "Eahox", "Shauron", "Apohox", "Foarat", "Zonix", "Zeaurus", "Shobaria", "Atlahox", "Zeanax", "Headrope", "Zeahox", "Adodope", "Anodath", "Honestas", "Admiror", "Zealam", "Heodocus", "Anorice", "Jaodex", "Adolo","Anourus", "Aronax", "Anolo", "Heanix", "Adourus", "Shalon", "Arourus", "Harice", "Labox", "Shotrope", "Ladan", "Headere", "Sharix", "Ledath", "Ledor", "Zeaborn", "Jaodan", "Thodox", "Healon", "Zobam", "Hadere", "Humidum", "Adonax", "Zeaborn", "Headrax", "Headurus", "Nonax", "Mourus", "Foatrope", "Zolo", "Leurus", "Atladox", "Procella", "Jadan", "Headurus", "Phabaria", "Diodocus", "Kador", "Arodor", "Dagolon", "Thodocus", "Vidaurus", "Zodan", "Dagodox", "Pharice", "Deabox", "Foadath", "Jalo", "Atladrax", "Thoupal", "Jaobam", "Dagobox", "Zeaborn", "Eadex", "Foalam", "Deahox", "Atlabox", "Apodrax", "Jalon", "Karice", "Hadurus", "Gerice", "Leurus", "Healo", "Sholam", "Shauron", "Gedox", "Monix", "Shalon", "Haula", "Atlahox", "Ladere", "Phalon", "Diodor", "Phadrax", "Hatrope", "Norice", "Perturbatus", "Heaula", "Kaurus", "Dagotrope", "Jaodone", "Phadox", "Aporix", "Shonix", "Moupal", "Nolo", "Eadurus", "Nourus", "Apodrope", "Heodope", "Kadocus", "Gedon", "Lanix", "Ledox", "Jaodan", "Kalon", "Nonix", "Hearix", "Geuron", "Heonax", "Jaonax", "Anorat", "Zeadex", "Deaborn", "Hadex", "Dearat", "Heador", "Poaurus", "Deaborn", "Foaurus", "Heolon", "Arobox", "Diotrope", "Heador", "Heaurus", "Thorix", "Apoula", "Shodan", "Jaodone", "Headan", "Gedrope", "Thodere", "Seditiosus", "Demens", "Modere", "Ledone", "Heouron","Eaborn", "Heanix", "Arorix", "Heonix", "Shonix", "Vidauron", "Modan", "Hanix", "Nodor", "Zobox", "Anoborn", "Arobox", "Heaborn", "Jabox", "Vidadone", "Apodon", "Hearice", "Sholon", "Adobaria", "Thraxa", "Jaorix", "Arohox", "Arodope", "Foadan", "Arodurus", "Shodor", "Anodurus", "Leula", "Aroupal", "Deadex", "Dagodon", "Hearice", "Vidabox", "Hadan", "Adohox", "Poarat", "Jaborn", "Ladan", "Deabaria", "Haurus", "Jaodone", "Zeadope", "Anodurus", "Zolo", "Apotrope", "Fluctus", "Hadope", "Jaurus", "Thoborn", "Halon", "Nolo", "Anorix", "Dagobaria", "Heatrope", "Vidaborn", "Deadere", "Headrope", "Lanix", "Heodocus", "Ladath", "Heabaria", "Jaonix", "Eaurus", "Sholon",
// Galaxy 5
"Laorice", "Estobam", "Chodrope", "Leolon", "Taodocus", "Sarix", "Kodere", "Disadex", "Vesolo", "Sadon", "Disarix", "Tonax", "Captura", "Ganadrax", "Pomadrax", "Phoadere", "Torix", "Ganadrax", "Ramodere", "Ponix", "Disatrope", "Saorice", "Estonix", "Kolo", "Podan", "Taolam", "Tonax", "Propus", "Kodrax", "Dadon", "Rearice", "Keaupal", "Disadore", "Kohox", "Mauron", "Vesodor", "Occultatum", "Readere", "Siodan", "Nisodor", "Romita", "Penaurus", "Pomadex", "Disaula", "Hoanax", "Varice", "Todrope", "Ramorat", "Readan", "Kodex", "Porat", "Ramodurus", "Rexadere", "Penalam", "Taoborn", "Kodrope", "Prosterno", "Phoadere", "Saxabam", "Polam", "Himaurus", "Estobox", "Podone", "Pomaborn","Vadone", "Saodrax", "Vesodath", "Phoadurus", "Pomadrope", "Rosepine", "Penadope", "Estodath", "Saolam", "Vesonax", "Saxador", "Todurus", "Taorat", "Vesorice", "Himaurus", "Sarna", "Rexador", "Vesolam", "Siobam", "Meabaria", "Dadrax", "Occidendum", "Vesolam", "Raolam", "Todope", "Saxaula", "Vesourus", "Hirudo", "Ganadurus", "Todone", "Disadon", "Vestibulum", "Keadex", "Keadox", "Leorat", "Penadex", "Leolon", "Taouron", "Tobam", "Todrope", "Ramodon", "Estonax", "Podrax", "Vesodox", "Crassus", "Raourus", "Saodex", "Ludifico", "Meanax", "Sadocus", "Readocus", "Penaurus", "Estolo", "Madon", "Leobam", "Disaurus", "Rexarix", "Chodope", "Estodrax", "Leorix", "Ramodex", "Ramolam", "Rexadurus", "Vadone", "Vahox", "Tolope", "Phorix", "Kobaria", "Kolam", "Realon", "Raodon", "Podope", "Leodere", "Thule", "Sabam", "Cholon", "Datrope", "Vesodocus", "Himarat", "Kolon", "Korice", "Vadan", "Taodor", "Keabox", "Dadere", "Raodrax", "Vaborn", "Dadone", "Todocus", "Estourus", "Vadrope", "Phoadone", "Himabaria", "Leobaria", "Nisodope", "Meadrax", "Vaurus", "Todor", "Ramodor", "Saodere", "Manax", "Poborn", "Vesoborn", "Raourus", "Siodex", "Leolo", "Cholon", "Vadurus", "Vesouron", "Pomaula", "Raourus", "Vinton", "Raorat", "Keanax", "Dadere", "Polam", "Siorice", "Koula", "Penadex", "Saodurus", "Disadath", "Disadone", "Torix", "Satrope", "Vesolon", "Pomadocus", "Saxadocus", "Siobox","Raodocus", "Sadon", "Marix", "Lothario", "Valon", "Toupal", "Penabaria", "Faonix", "Sadocus", "Captura", "Phobox", "Disanix", "Raorat", "Penadocus", "Himadone", "Penanix", "Faouron", "Raonax", "Sauron", "Phodurus", "Phohox", "Estodone", "Rochefort", "Vesodope", "Pomalon", "Ganahox", "Lovinac", "Penanax", "Disbaria", "Raolam", "Taolam", "Ramodon", "Ganalo", "Vabam", "Podon", "Kodath", "Saolo", "Rexanax", "Faolam", "Kodex", "Leotrope", "Pourus", "Rexaurus", "Faohox", "Rexabaria", "Podon", "Kealo", "Faobam", "Daurus", "Dadan", "Saodex", "Vesolo", "Phoabam", "Cholam", "Disadath", "Ramourus", "Nisodath", "Siotrope", "Maupal", "Phoaurus", "Salo", "Phoadan", "Porix", "Laolo",
// Galaxy 6
"Foauron", "Habaria", "Heodor", "Vidadath", "Jalon", "Nonix", "Heolo", "Janax", "Haurus", "Vidador", "Hearix", "Arodex", "Heorat", "Gedrope", "Eadan", "Jaula", "Labam", "Hearat", "Lalam", "Moupal", "Poarat", "Diodath", "Hadocus", "Zeadath", "Atlaula", "Jador", "Poarat", "Heahox", "Headox", "Heaurus", "Headath", "Poaupal", "Zodrax", "Jadath", "Anodor", "Phanax", "Jalon", "Habam", "Arorice", "Jaourus", "Atlauron", "Apobam", "Jahox", "Zeadath", "Eatrope", "Phadere", "Ledan", "Chacha", "Jaourus", "Poaurus", "Shodath", "Jaorice", "Arodon", "Hanax", "Arorice", "Zodex", "Hadox", "Heaupal", "Shorix", "Heonax", "Sharice", "Deaborn", "Adodex", "Heanax","Atlalam", "Haupal", "Atlabox", "Arobam", "Arodath", "Adolo", "Shadurus", "Foadone", "Lelon", "Deanix", "Zeador", "Shodone", "Shodere", "Harat", "Modox", "Anodor", "Sholon", "Geuron", "Shodere", "Thourus", "Hadox", "Nodox", "Healon", "Anobox", "Zourus", "Poabam", "Eanax", "Shoula", "Anodox", "Eadope", "Deauron", "Poabam", "Jaodath", "Dagodocus", "Shoborn", "Anohox", "Atladex", "Jaolo", "Jaolam", "Aporix", "Harat", "Thuban", "Headope", "Shalo", "Zeadon", "Zodan", "Ledere", "Dagouron", "Nodope", "Shorat", "Poadan", "Earat", "Harat", "Anodox", "Arodocus", "Hachiman", "Hatrope", "Heaborn", "Dagodone", "Hadath", "Zeadox", "Zourus", "Poabaria", "Heaurus", "Heahox", "Shatrope", "Haurus", "Apotrope", "Phaupal", "Hahox", "Heaula", "Heodone", "Arodon", "Vidalam", "Anoborn", "Tiber", "Heodone", "Apobox", "Arodan", "Eadere", "Shobam", "Heoula", "Apobam", "Viborg", "Jaodrope", "Anourus", "Heabam", "Shodon", "Shodope", "Dagolam", "Heaula", "Lerice", "Arodor", "Lalam", "Anolo", "Thorice", "Hadrax", "Arolo", "Vidadrax", "Diobam", "Lalam", "Kadath", "Phabam", "Gebox", "Heobaria", "Vibrunum", "Foarice", "Heaurus", "Foanax", "Heaurus", "Heorice", "Diodocus", "Aronax", "Zealon", "Deaupal", "Haupal", "Anodrax", "Eadere", "Shodan", "Vidadon", "Arouron", "Anodox", "Arolon", "Geupal", "Eabox", "Vidadex", "Zeaborn", "Apodon","Hadrax", "Deadone", "Anohox", "Jador", "Adobox", "Mobam", "Ledone", "Heodon", "Vicente", "Phauron", "Kadon", "Deauron", "Geborn", "Heanix", "Thodon", "Zorice", "Apodurus", "Thodone", "Atlador", "Kalo", "Ladex", "Phabaria", "Jadere", "Kadocus", "Heahox", "Modan", "Aroupal", "Arolo", "Karice", "Aponax", "Zotrope", "Anodath", "Shadone", "Harat", "Shadone", "Adodone", "Jauron", "Healon", "Shadrax", "Adodore", "Jalo", "Deador", "Heabrox", "Poaupal", "Shadox", "Headath", "Diodope", "Eahox", "Hearice", "Jadone", "Sholon", "Tiber", "Arodon", "Shadurus", "Thimphu", "Dealon", "Dagobaria", "Foadon", "Poabam", "Jaodath", "Ledope", "Kadurus", "Diorix", "Hahox",
// Galaxy 7
"Siourus", "Captura", "Loxley", "Raodex", "Pomadrax", "Saxadurus", "Choula", "Phobox", "Taorat", "Siodone", "Lucerne", "Estodox", "Penarice", "Meauron", "Faourus", "Pomanix", "Disaupal", "Penadope", "Pomanax", "Hoaula", "Pomabox", "Kodrax", "Taolam", "Sabaria", "Saolo", "Poborn", "Chobam", "Faoborn", "Taolam", "Disarice", "Ludwig", "Numeen", "Hoabam", "Raoula", "Saxadope", "Penalon", "Saxaupal", "Ganalo", "Faonax", "Meadath", "Himaula", "Rexaurus", "Siotrope", "Disarix", "Vesodex", "Dadon", "Phourus", "Penalon", "Taouron", "Taodor", "Chodex", "Leobaria", "Siodere", "Pomabaria", "Vador", "Vadocus", "Estolam", "Vadon", "Lushann", "Meinrad", "Madrax", "Saupal", "Hoadere", "Disarat","Saupal", "Himaula", "Raoula", "Madath", "Marice", "Rexalo", "Chodurus", "Chodrax", "Dadath", "Mabox", "Chourus", "Ramourus", "Faorat", "Estodocus", "Daupal", "Hoaborn", "Choupal", "Siobox", "Canonicus", "Penabam", "Faodrax", "Raobox", "Reaupal", "Phodath", "Siourus", "Reaupal", "Disadope", "Reabam", "Phoaurus", "Taotrope", "Hoadan", "Himanix", "Leobam", "Realam", "Leodox", "Estolon", "Phoaurus", "Estohox", "Vaurus", "Reanax", "Meadope", "Podere", "Penabaria", "Faonix", "Rexalam", "Meadox", "Penadrax", "Keadath", "Himabam", "Disalam", "Readox", "Fonticulus", "Vanix", "Gananax", "Pomabox", "Occultatum", "Nisotrope", "Sadere", "Estolo", "Todrax", "Leodrax", "Konax", "Mauron", "Nisodon", "Estodon", "Daurus", "Reador", "Keabaria", "Saodope", "Nisodrax", "Saxaurus", "Phobam", "Saxadere", "Vaula", "Polo", "Aurorean", "Siodere", "Kodex", "Pomaurus", "Mauron", "Leotrope", "Penadere", "Sabaria", "Podone", "Phoarat", "Siodrope", "Disadon", "Mabox", "Madrope", "Laourus", "Penadurus", "Tobaria", "Himadocus", "Disarix", "Laodrope", "Saupal", "Madocus", "Ganalon", "Phodone", "Disarice", "Hoadone", "Rexalon", "Kodrax", "Saoupal", "Ganadrope", "Merope", "Penabox", "Rexadath", "Himalon", "Maurus", "Reauron", "Pomalam", "Saxatrope", "Hoatrope", "Estodex", "Realam", "Leolo", "Raoupal", "Laodrax", "Keaurus", "Persequor", "Tonix", "Chodor", "Poulsbo", "Ramourus", "Disadope", "Hoabox", "Chourus","Saxanix", "Faodox", "Estodan", "Penarat", "Meaurus", "Phodath", "Estonax", "Readere", "Ramolam", "Saodurus", "Realam", "Pomadan", "Readrax", "Pourus", "Ramoborn", "Reabox", "Madere", "Laouron", "Meabam", "Nisobam", "Mearice", "Chodocus", "Podox", "Tolo", "Siotrope", "Ramoborn", "Siourus", "Estouron", "Raodath", "Rexadrax", "Saourus", "Vabox", "Korix", "Faoborn", "Prato", "Readone", "Ganadath", "Ganabox", "Leolon", "Hoauron", "Reabox", "Mearix", "Leodox", "Saonix", "Reaula", "Estourus", "Keanix", "Faodrax", "Touron", "Raoupal", "Ramolam", "Rexahox", "Vesobam", "Purvo", "Vanax", "Siodope", "Tobaria", "Chodrax", "Sadone", "Keadone", "Taodox", "Saxaula", "Siourus", "Korat",
// Galaxy 8
"Deadox", "Phadex", "Zoborn", "Kaupal", "Dagodone", "Shodere", "Modex", "Shodocus", "Healam", "Poalon", "Diouron", "Thestria", "Molam", "Thobaria", "Schedar", "Nemin", "Hador", "Jaoborn", "Jaourus", "Arodocus", "Eadox", "Deadex", "Saonara", "Shaupal", "Phadocus", "Nouron", "Jadon", "Sappire", "Heonix", "Nobox", "Zourus", "Ealo", "Emarcesco", "Headox", "Zealo", "Saravan", "Zodurus", "Ladere", "Arohox", "Hearat", "Atlahox", "Zodere", "Adouron", "Headox", "Kalam", "Hanax", "Zeabox", "Heorat", "Eauron", "Headox", "Eaurus", "Headan", "Apodrope", "Thobam", "Mopolis", "Zeadocus", "Dealo", "Shaborn", "Ceadurus", "Vidahox", "Apourus", "Zeadex", "Poadrope", "Deadon","Foaula", "Shadox", "Shadox", "Headrax", "Kaupal", "Tharkad", "Sawyer", "Scheat", "Foanix", "Gedrope", "Diodor", "Healon", "Shodone", "Anonax", "Phadone", "Arodope", "Heaborn", "Modurus", "Timbia", "Molon", "Hadrax", "Volder", "Lauron", "Shodane", "Jaodocus", "Shalo", "Vidabaria", "Zeanix", "Adobaria", "Zeadath", "Lalo", "Vidadere", "Phalam", "Zourus", "Zodox", "Aronax", "Zeadon", "Vidarat", "Vidadex", "Hauron", "Healo", "Poria", "Mersa", "Atlarix", "Merton", "Apodon", "Gerat", "Foadone", "Anorix", "Melcher", "Arourus", "Arodor", "Zodon", "Foadon", "Shorat", "Vidadath", "Headath", "Arodox", "Ladope", "Aroula", "Arodocus", "Shodox", "Meinacos", "Nobaria", "Hadere", "Poalam", "Zeaborn", "Letrope", "Lebam", "Nodurus", "Meilen", "Hadox", "Medellin", "Lyndon", "Luzerne", "Koulen", "Zealon", "Shabox", "Anourus", "Dionix", "Arorice", "Aroborn", "Sharice", "Foadan", "Vida", "Anoupal", "Diodan", "Adodox", "Ladope", "Heaurus", "Koping", "Hauron", "Adodon", "Kaula", "Foaborn", "Haurus", "Poabam", "Zobox", "Karix", "Chian", "Zeadan", "Anotrope", "Dagodurus", "Ledon", "Thodon", "Jaodrope", "Shorice", "Meodere", "Phalam", "Kogia", "Thoula", "Kochab", "Leborn", "Zearat", "Gerat", "Kluane", "Kirin", "Hanix", "Kimball", "Kiesen", "Isesaki", "Hurik", "Huntress", "Hunan", "Jaodath", "Huaide", "Vidas", "Poador","Hadore", "Heabam", "Horsham", "Adonix", "Dagourus", "Zodrax", "Foadere", "Helo", "Zolon", "Foabox", "Modon", "Zodone", "Ledox", "Apoula", "Granera", "Poarix", "Zebaria", "Geurus", "Lanax", "Zearat", "Goshen", "Flaum", "Apohox", "Dagodan", "Dukambia", "Kaborn", "Dothan", "Geula", "Dagonax", "Healam", "Chalouba", "Phalam", "Deaupal", "Jalam", "Chagos", "Cerillos", "Chaffee", "Diodrope", "Geurus", "Chamdo", "Chahar", "Zolon", "Lador", "Drask", "Lebaria", "Foaurus", "Shobam", "Drozan", "Fletcher", "Shanix", "Thorope", "Frondal", "Zourus", "Graus", "Heabam", "Islington", "Loyalty", "Khartoum", "Lucianca", "Mercedes", "Princton", "Roche", "Renfield", "Renown",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Iugum"];

this.moonpool5 = [
// Galaxy 1
"Halea", "Tamorax", "Napulo", "Conano", "Napebos", "Saneros", "Indano", "Sacasa", "Haloron", "Haledeia", "Saneros", "Tamiban", "Halea", "Repina", "Indisco", "Tamoron", "Conano", "Tamea", "Conoron", "Tamina", "Sacoron", "Conomia", "Denorax", "Sanasa", "Fretus", "Conebos", "Repomia", "Delathe", "Denano", "Indasa", "Sanomia", "Indorax", "Tamiban", "Repulo", "Denea", "Haliban", "Dovoron", "Conita", "Denulo", "Deniban", "Deniban", "Tamea", "Doveros", "Colonus", "Denorax", "Dovebos", "Denoron", "Conorax", "Conita", "Vellicatio", "Colorax", "Denina", "Planchet", "Indorax", "Dovano", "Napiban", "Deleros", "Indoron", "Tamita", "Constituo", "Deledeia", "Napathe", "Tamina", "Halasa","Denulo", "Conatum", "Mandatum", "Tamisco", "Sacathe", "Tamina", "Tamea", "Denoron", "Testudo", "Indoron", "Denorax", "Colulo", "Haleus", "Tamita", "Multis", "Repebos", "Halasa", "Halorax", "Denebos", "Denea", "Haloron", "Repomia", "Indeus", "Delita", "Colita", "Repathe", "Repina", "Kavelars", "Indeus", "Letum", "Halulo", "Denulo", "Deledeia", "Sacedeia", "Delulo", "Indorax", "Arator", "Delita", "Delea", "Conathe", "Napedeia", "Delisco", "Tulipa", "Dovedeia", "Conedeia", "Delulo", "Indoron", "Sacita", "Tamebos", "Halebos", "Colina", "Deniban", "Naporon", "Secundum", "Delasa", "Gorda", "Halea", "Delina", "Halita", "Indasa", "Sanathe", "Repina", "Delina", "Saceus", "Indisco", "Repebos", "Tamano", "Halea", "Tamasa", "Tamorax", "Jactatio", "Denomia", "Emineo", "Indathe", "Napeus", "Sanano", "Repina", "Tameus", "Coliban", "Napano", "Doviban", "Conathe", "Coniban", "Tethys", "Coneros", "Repomia", "Deloron", "Repeus", "Haleus", "Conorax", "Sacedeia", "Denathe", "Deloron", "Napasa", "Indasa", "Dovasa", "Haleros", "Doviban", "Tamano", "Turris", "Delebos", "Sacathe", "Repea", "Napea", "Indomia", "Tamiban", "Coneus", "Conathe", "Saculo", "Tamea", "Halita", "Conoron", "Haliban", "Sanomia", "Tamedeia", "Napathe", "Coloron", "Dovasa", "Planchet", "Deniban", "Conasa", "Doveros", "Doveus", "Saculo", "Conoron", "Coliban", "Repasa", "Sanathe","Denasa", "Tamoron", "Delina", "Indiban", "Napea", "Conomia", "Naperos", "Secundum", "Napebos", "Denoron", "Conomia", "Sacomia", "Sanisco", "Denoron", "Napebos", "Naporon", "Indomia", "Deledeia", "Sanina", "Tamano", "Tamomia", "Napedeia", "Napina", "Dovita", "Denoron", "Inderos", "Colea", "Repasa", "Kuiper", "Repebos", "Colina", "Crustum", "Coneus", "Napiban", "Mandatum", "Inderos", "Deledeia", "Haliban", "Delina", "Reperos", "Coliban", "Naporax", "Indano", "Napeus", "Naperos", "Sacedeia", "Napano", "Conano", "Napebos", "Sanomia", "Dovea", "Reperos", "Halano", "Delathe", "Indeus", "Denoron", "Dovea", "Coliban", "Dovathe", "Sanina", "Naporax", "Deneus", "Doveros", "Tamiban",
// Galaxy 2
"Loveus", "Speulo", "Lovisco", "Havorax", "Speeus", "Speiban", "Phisco", "Lovomia", "Havathe", "Fureros", "Speeros", "Endorax", "Nomina", "Trucidatio", "Furorax", "Loviban", "Speiban", "Speasa", "Speano", "Cheus", "Lovebos", "Furathe", "Speorax", "Havina", "Speomia", "Speomia", "Ophion", "Cheus", "Venulo", "Nomasa", "Furita", "Havisco", "Havathe", "Cryeus", "Venoron", "Phano", "Venorax", "Speorax", "Larson", "Falebos", "Chiban", "Phiban", "Chomia", "Venebos", "Lovisco", "Lovulo", "Furano", "Phorax", "Chita", "Endisco", "Phina", "Havano", "Patasa", "Havathe", "Cryorax", "Nomebos", "Chea", "Venedeia", "Patano", "Veneus", "Fureros", "Lovoron", "Speeros", "Lovisco","Endiban", "Faleus", "Endea", "Cryoron", "Speorax", "Speedeia", "Phedeia", "Pheus", "Chiban", "Falita", "Chiban", "Lovoron", "Speathe", "Nomedeia", "Lovasa", "Conmeatus", "Havedeia", "Speita", "Laques", "Nomisco", "Endebos", "Patiban", "Speorax", "Venedeia", "Phina", "Venasa", "Venorax", "Patathe", "Havathe", "Phiban", "Venoron", "Cryulo", "Patita", "Chiban", "Speeros", "Lecacheux", "Lamordia", "Cryathe", "Cryea", "Cheus", "Havasa", "Chedeia", "Falisco", "Speiban", "Patasa", "Phedeia", "Havasa", "Lovoron", "Furedeia", "Lovisco", "Reitsema", "Phomia", "Cryano", "Venita", "Enderos", "Venorax", "Patathe", "Havita", "Endorax", "Speano", "Speita", "Faledeia", "Endeus", "Gemmeus", "Falano", "Venedeia", "Furasa", "Lovomia", "Patorax", "Chisco", "Nomisco", "Nomeros", "Phomia", "Venano", "Venano", "Endoron", "Veneros", "Havita", "Nomebos", "Choron", "Lovorax", "Veneros", "Phiban", "Speathe", "Havita", "Endebos", "Patasa", "Havoron", "Havoron", "Nomathe", "Cryeus", "Chorax", "Endina", "Speeus", "Phano", "Lovasa", "Speebos", "Veneros", "Furomia", "Lovasa", "Cryina", "Patathe", "Falano", "Faleros", "Havomia", "Cheros", "Venulo", "Speomia", "Furea", "Nomisco", "Furomia", "Veneus", "Speeus", "Endisco", "Furathe", "Enderos", "Pheus", "Phedeia", "Havathe", "Lovisco", "Nomisco", "Speathe", "Havulo", "Patano", "Furano", "Patathe", "Phea", "Chulo","Furina", "Lovathe", "Nomasa", "Furulo", "Havita", "Lovoron", "Nomathe", "Cryea", "Phano", "Endulo", "Falathe", "Havedeia", "Chedeia", "Venano", "Havorax", "Phiban", "Havoron", "Faloron", "Speomia", "Furathe", "Patomia", "Lovano", "Cryano", "Chano", "Chasa", "Speisco", "Furomia", " Seidelman", "Nomulo", "Lovea", "Lovisco", "Faliban", "Havulo", "Chita", "Lovebos", "Chathe", "Cryisco", "Loviban", "Patomia", "Falorax", "Havina", "Chebos", "Nomisco", "Falomia", "Speasa", "Endasa", "Phina", "Nomeus", "Cryeus", "Phano", "Venorax", "Sabulosus", "Cryeros", "Havebos", "Furea", "Havomia", "Cryomia", "Speea", "Venita", "Furebos", "Lovita", "Venathe", "Phea", "Nomeros",
// Galaxy 3
"Repina", "Denoron", "Coleros", "Haleus", "Delebos", "Repiban", "Denisco", "Naperos", "Indea", "Sacasa", "Sacomia", "Tamulo", "Delea", "Halina", "Deledeia", "Saneros", "Sanita", "Tameus", "Delathe", "Denina", "Turris", "Saneus", "Haleus", "Napiban", "Conano", "Colomia", "Delita", "Deniban", "Dovano", "Delano", "Deneus", "Saciban", "Denebos", "Perdere", "Coledeia", "Tamiban", "Repulo", "Haloron", "Tamomia", "Deloron", "Dovasa", "Denorax", "Coleros", "Colina", "Indisco", "Doveros", "Repeus", "Conita", "Tamoron", "Saciban", "Napathe", "Tamano", "Dovomia", "Sanasa", "Indano", "Haleus", "Sacathe", "Coleus", "Tamina", "Halathe", "Conita", "Halita", "Tamebos", "Coniban","Coloron", "Napebos", "Coleros", "Coloron", "Conebos", "Repomia", "Tamulo", "Dovulo", "Deneros", "Indea", "Sanathe", "Denina", "Indisco", "Napebos", "Reporon", "Napea", "Haleus", "Colea", "Saciban", "Tamorax", "Colulo", "Colita", "Halulo", "Saceus", "Reperos", "Tamiban", "Naporon", "Sacea", "Delulo", "Indoron", "Coniban", "Saniban", "Conulo", "Repisco", "Napita", "Indano", "Tameros", "Sanathe", "Denina", "Sanasa", "Tamina", "Indathe", "Denedeia", "Sacebos", "Denulo", "Reperos", "Coliban", "Colea", "Napeus", "Conomia", "Delomia", "Sanedeia", "Napita", "Saciban", "Dovita", "Napea", "Napedeia", "Indomia", "Napebos", "Napathe", "Tamisco", "Tamathe", "Dovea", "Napano", "Sanomia", "Deniban", "Dovorax", "Haledeia", "Tamoron", "Halasa", "Saceros", "Halorax", "Repiban", "Conedeia", "Denathe", "Indebos", "Colisco", "Deniban", "Delathe", "Marsden", "Tamedeia", "Haledeia", "Repebos", "Halulo", "Tamiban", "Dovebos", "Dovisco", "Halorax", "Tamoron", "Coliban", "Sacomia", "Dovisco", "Colina", "Sanea", "Haleros", "Sacoron", "Sanebos", "Dovorax", "Repano", "Tamulo", "Indita", "Tamulo", "Denano", "Denathe", "Halano", "Sanita", "Saniban", "Sacina", "Repita", "Conasa", "Indomia", "Repulo", "Repebos", "Delina", "Napina", "Tamano", "Tamebos", "Doviban", "Denoron", "Sacomia", "Tameus", "Lustrum", "Denea", "Delisco", "Tamano", "Dovedeia", "Denathe", "Tamasa","Conathe", "Halomia", "Huygen", "Dovedeia", "Denina", "Sacisco", "Dovano", "Sanoron", "Sacedeia", "Halasa", "Napina", "Napiban", "Colorax", "Napiban", "Tamisco", "Doveros", "Sanita", "Volant", "Turris", "Tamina", "Repiban", "Delomia", "Napulo", "Indorax", "Indulo", "Denulo", "Delathe", "Deleros", "Denedeia", "Sacano", "Conebos", "Indita", "Naporax", "Coledeia", "Tamasa", "Halorax", "Sacebos", "Dovebos", "Saceus", "Kleyn", "Coleus", "Napathe", "Tamita", "Naperos", "Tameros", "Repulo", "Delano", "Colorax", "Coloron", "Halina", "Deneus", "Sacina", "Doveus", "Repeus", "Indea", "Repano", "Conano", "Denebos", "Conomia", "Repita", "Praevolo", "Tamoron", "Tameros", "Saciban",
// Galaxy 4
"Nomorax", "Venoron", "Speiban", "Chisco", "Nomeros", "Lovebos", "Speedeia", "Falita", "Cryebos", "Phea", "Nomulo", "Faliban", "Furano", "Cryomia", "Haveros", "Lovomia", "Cryedeia", "Speano", "Chebos", "Phisco", "Phisco", "Falathe", "Faledeia", "Cryeros", "Patulo", "Nomedeia", "Cryeus", "Venedeia", "Cryeus", "Afflecto", "Patoron", "Speina", "Havoron", "Falea", "Endiban", "Speano", "Chulo", "Blasetti", "Speathe", "Cryano", "Patiban", "Transitio", "Lovea", "Venulo", "Cryathe", "Pateus", "Lovathe", "Furasa", "Nomulo", "Cryisco", "Nomina", "Cheros", "Cryisco", "Phina", "Patano", "Endoron", "Chomia", "Bacillum", "Phulo", "Endorax", "Lovulo", "Venorax", "Lovasa", "Nomano","Venoron", "Lovoron", "Nomorax", "Speorax", "Venasa", "Veneus", "Cryano", "Cryano", "Havoron", "Incursio", "Falasa", "Phisco", "Nomea", "Furebos", "Furea", "Patisco", "Lovebos", "Chathe", "Havisco", "Cryina", "Patiban", "Furulo", "Phita", "Lovano", "Chano", "Havisco", "Nomasa", "Nomasa", "Impetus", "Endiban", "Speita", "Venorax", "Speasa", "Endeus", "Fureros", "Phiban", "Faleros", "Lovebos", "Chiban", "Speedeia", "Lovebos", "Chisco", "Nomea", "Cheros", "Faleros", "Cryiban", "Chano", "Falebos", "Endiban", "Haveros", "Lovita", "Cryorax", "Phorax", "Endea", "Nomebos", "Patulo", "Nomano", "Phano", "Venano", "Cryedeia", "Speeros", "Falisco", "Havina", "Cryeus", "Venebos", "Speano", "Veniban", "Speoron", "Phoron", "Lovasa", "Endomia", "Endeus", "Patorax", "Lacuna", "Endomia", "Furea", "Chebos", "Barathrum", "Chasa", "Speoron", "Chano", "Loveus", "Endebos", "Endita", "Phiban", "Loveus", "Havasa", "Lovathe", "Lovisco", "Grendel", "Obcisio", "Cryorax", "Patano", "Lovoron", "Venisco", "Havebos", "Venathe", "Endorax", "Patathe", "Pheros", "Patina", "Havoron", "Chomia", "Falorax", "Vistani", "Nomebos", "Chano", "Furiban", "Havorax", "Venebos", "Patina", "Endina", "Nomulo", "Speina", "Nomedeia", "Falina", "Endomia", "Chulo", "Endina", "Cryedeia", "Fureros", "Choron", "Faledeia", "Efficientia", "Nomeus", "Nomorax", "Venathe", "Internicio","Speita", "Cryulo", "Tellus", "Fureus", "Phulo", "Endebos", "Loveros", "Endita", "Furita", "Endomia", "Patano", "Lovea", "Endorax", "Pheus", "Nomea", "Lovulo", "Phoron", "Falina", "Faloron", "Venathe", "Furina", "Nomiban", "Endulo", "Lovebos", "Speina", "Lovoron", "Lovathe", "Speebos", "Falorax", "Lovina", "Phomia", "Speulo", "Nomorax", "Furisco", "Sidera", "Speano", "Phedeia", "Endea", "Speorax", "Speebos", "Speedeia", "Patedeia", "Furoron", "Havasa", "Phomia", "Themis", "Cryedeia", "Falea", "Phiban", "Endathe", "Cryisco", "Speiban", "Lovoron", "Nomulo", "Nomea", "Patoron", "Nomeros", "Patorax", "Phedeia", "Venathe", "Cryea", "Cryeros", "Venoron", "Falea",
// Galaxy 5
"Sanorax", "Halathe", "Dovedeia", "Alkyonide", "Deliban", "Tamebos", "Dovebos", "Halomia", "Sacebos", "Repisco", "Tamathe", "Tamita", "Denorax", "Delebos", "Tamomia", "Tamebos", "Halasa", "Dovea", "Delorax", "Repeus", "Colasa", "Naporax", "Coleus", "Delebos", "Tamedeia", "Deleus", "Gordon", "Sanina", "Corporatura", "Halulo", "Deniban", "Reperos", "Colisco", "Tamebos", "Colathe", "Delathe", "Delasa", "Indomia", "Napeus", "Coniban", "Sanomia", "Sanasa", "Tamina", "Tamomia", "Halebos", "Saceros", "Saneros", "Sacedeia", "Dovea", "Napiban", "Denisco", "Coneus", "Indeus", "Sanita", "Denedeia", "Dovebos", "Sanoron", "Dovea", "Tamano", "Doviban", "Saneus", "Napisco", "Napeus", "Haleros","Sanasa", "Denasa", "Inderos", "Tamisco", "Reporax", "Denomia", "Repeus", "Indasa", "Napina", "Deliban", "Tamorax", "Colita", "Reperos", "Indebos", "Repea", "Tamisco", "Delathe", "Indebos", "Saceros", "Napina", "Dovulo", "Indano", "Repita", "Doveus", "Indano", "Indebos", "Tamorax", "Indeus", "Sanasa", "Napomia", "Conasa", "Sacomia", "Dovea", "Denano", "Halulo", "Colano", "Repasa", "Sacina", "Colorax", "Musca", "Testudo", "Halathe", "Repina", "Sanasa", "Dovita", "Delomia", "Repita", "Denisco", "Coneros", "Delisco", "Conisco", "Saculo", "Saceus", "Denasa", "Denea", "Colasa", "Testudo", "Constituo", "Coleus", "Delathe", "Indorax", "Deneros", "Reperos", "Denita", "Sanomia", "Repita", "Sanedeia", "Repita", "Jactatio", "Denoron", "Coneus", "Tameros", "Conita", "Planchet", "Conea", "Tamedeia", "Aculeus", "Sanasa", "Conita", "Repina", "Haleus", "Colorax", "Repasa", "Indathe", "Sanebos", "Coliban", "Denoron", "Halathe", "Dovasa", "Coleros", "Repathe", "Haleus", "Halita", "Reporon", "Conorax", "Napulo", "Halasa", "Denathe", "Colina", "Dovina", "Denomia", "Haloron", "Haleros", "Deliban", "Indasa", "Dovebos", "Deloron", "Repebos", "Denedeia", "Sacathe", "Denomia", "Tamasa", "Denebos", "Brahic", "Reporon", "Halina", "Napomia", "Tamiban", "Doveus", "Halina", "Napebos", "Indiban", "Saneros", "Colasa", "Indano", "Sacasa", "Indano", "Reporon","Napebos", "Napasa", "Dovedeia", "Delina", "Tamina", "Repano", "Doveus", "Napina", "Deneus", "Colano", "Denano", "Adductius", "Napina", "Coleros", "Halisco", "Delina", "Dovorax", "Conulo", "Repomia", "Indea", "Napita", "Colebos", "Napea", "Denebos", "Deneus", "Tamasa", "Napina", "Halathe", "Colasa", "Sacoron", "Halulo", "Sacasa", "Delorax", "Deliban", "Colita", "Repisco", "Colano", "Repathe", "Tamiban", "Naporax", "Sacoron", "Deleros", "Halomia", "Sanorax", "Saculo", "Doveus", "Delano", "Tamulo", "Halulo", "Sacisco", "Delathe", "Tamisco", "Dovebos", "Delea", "Colina", "Denathe", "Saneros", "Saciban", "Tamulo", "Conulo", "Sanoron", "Repomia", "Indeus", "Multis",
// Galaxy 6
"Chomia", "Havoron", "Venedeia", "Endano", "Patoron", "Cryiban", "Furasa", "Cryebos", "Phorax", "Speorax", "Havorax", "Pateros", "Patina", "Pateus", "Lovulo", "Phulo", "Chebos", "Venomia", "Speomia", "Faliban", "Nomeros", "Haviban", "Patita", "Chedeia", "Nomulo", "Patedeia", "Chisco", "Speoron", "Furisco", "Fureus", "Falina", "Lovano", "Endebos", "Speathe", "Faloron", "Cheus", "Patea", "Patano", "Lovomia", "Speita", "Chea", "Arenosus", "Cheros", "Venorax", "Loveros", "Patulo", "Lovebos", "Chiban", "Haviban", "Falebos", "Venea", "Patea", "Phedeia", "Falina", "Furano", "Hiranuma", "Chiban", "Cryomia", "Patomia", "Pheros", "Speeros", "Enderos", "Havisco", "Speedeia","Speeus", "Nomina", "Nomano", "Falasa", "Patulo", "Obcidio", "Falina", "Chita", "Speea", "Falebos", "Veniban", "Venoron", "Speulo", "Lovomia", "Lovorax", "Cryeus", "Speasa", "Veneus", "Havorax", "Phisco", "Choron", "Speoron", "Furisco", "Ashida", "Cryedeia", "Venorax", "Cryisco", "Loviban", "Patomia", "Chita", "Dollfus", "Furebos", "Chathe", "Furisco", "Patorax", "Speathe", "Enderos", "Lovea", "Endina", "Endulo", "Nomano", "Faleros", "Speeus", "Cryea", "Havano", "Choron", "Speoron", "Lovoron", "Falano", "Falasa", "Endoron", "Phita", "Lovina", "Venina", "Cryulo", "Kaifu", "Venedeia", "Speulo", "Furano", "Speedeia", "Patomia", "Havisco", "Havisco", "Patina", "Havulo", "Havita", "Fureros", "Patea", "Chulo", "Havorax", "Cryulo", "Furedeia", "Furea", "Chorax", "Obuchi", "Furathe", "Furebos", "Lodoicea", "Fureros", "Lovisco", "Pheros", "Chedeia", "Lovomia", "Venathe", "Furasa", "Fureros", "Endisco", "Loveros", "Patomia", "Kishida", "Grendel", "Beowulf", "Themis", "Furasa", "Lovina", "Cryano", "Furasa", "Chulo", "Falathe", "Chebos", "Endomia", "Patomia", "Furisco", "Speebos", "Endina", "Falita", "Speomia", "Lovomia", "Furea", "Havulo", "Venebos", "Phina", "Venathe", "Furathe", "Endorax", "Havita", "Faleros", "Havulo", "Venina", "Venebos", "Fernndez", "Endisco", "Cryebos", "Lovebos", "Lovina", "Veneros", "Speita", "Patisco","Fureus", "Venoron", "Nomebos", "Speorax", "Havano", "Furiban", "Furorax", "Endita", "Fureus", "Havebos", "Fureros", "Endoron", "Havano", "Endoron", "Furasa", "Caedes", "Venisco", "Havebos", "Lovasa", "Pateus", "Furebos", "Faleus", "Nomisco", "Speina", "Nomina", "Phoron", "Veniban", "Cryorax", "Pickering", "Lovoron", "Falea", "Veneros", "Nomisco", "Venathe", "Nomisco", "Patorax", "Venita", "Lovasa", "Havebos", "Choron", "Faliban", "Speeros", "Nomeros", "Havoron", "Veneus", "Pheus", "Nomeus", "Patathe", "Endasa", "Furina", "Speathe", "Furebos", "Nomasa", "Patano", "Havulo", "Phano", "Lovorax", "Patasa", "Havedeia", "Patisco", "Falano", "Faledeia", "Havisco", "Patiban",
// Galaxy 7
"Denathe", "Napita", "Napomia", "Doveros", "Napasa", "Reporax", "Saciban", "Repiban", "Charnoz", "Tamathe", "Colano", "Dovea", "Dovorax", "Sanedeia", "Sacita", "Doviban", "Haledeia", "Tamorax", "Sacorax", "Denina", "Tamina", "Saceros", "Repisco", "Sacedeia", "Denorax", "Tamathe", "Sacina", "Napea", "Tamiban", "Denebos", "Deneus", "Indulo", "Sanina", "Napisco", "Conebos", "Sacomia", "Denea", "Conedeia", "Impetus", "Coneros", "Halano", "Delebos", "Deliban", "Sanasa", "Delorax", "Sanina", "Constituo", "Sanulo", "Indiban", "Tamisco", "Delathe", "Conulo", "Conorax", "Napisco", "Indebos", "Dovasa", "Denisco", "Tamebos", "Haleus", "Tamebos", "Indomia", "Repasa", "Halebos", "Saniban","Coledeia", "Napulo", "Indoron", "Tamulo", "Napebos", "Repomia", "Indano", "Sanasa", "Sacasa", "Napasa", "Repisco", "Repea", "Delina", "Conisco", "Repeus", "Coleros", "Saciban", "Napulo", "Conebos", "Denedeia", "Holman", "Denomia", "Tamina", "Sacebos", "Saculo", "Conomia", "Napisco", "Napebos", "Napisco", "Matula", "Deniban", "Colano", "Napea", "Napasa", "Sacina", "Delathe", "Conedeia", "Deneus", "Indasa", "Colano", "Campeche", "Dovita", "Multis", "Sacano", "Dovulo", "Indasa", "Haleros", "Halomia", "Napebos", "Halano", "Sanea", "Colisco", "Sacorax", "Reperos", "Dovisco", "Sacebos", "Dovathe", "Repina", "Conisco", "Saculo", "Sacina", "Sanomia", "Sanina", "Tamina", "Indano", "Napita", "Halisco", "Napeus", "Napulo", "Saculo", "Conulo", "Doveros", "Naperos", "Halulo", "Tamorax", "Scaphium", "Colano", "Dovina", "Campeche", "Halea", "Tameus", "Halathe", "Halasa", "Haloron", "Repisco", "Tamathe", "Delisco", "Sacomia", "Coloron", "Haledeia", "Delorax", "Napina", "Inderos", "Conulo", "Sanedeia", "Sacisco", "Coleus", "Repisco", "Saneros", "Sanisco", "Dovisco", "Repita", "Delathe", "Indea", "Tamisco", "Denulo", "Tamita", "Dovina", "Denoron", "Repathe", "Coloron", "Tameros", "Dovea", "Doveus", "Coloron", "Dovulo", "Sacathe", "Halisco", "Coniban", "Conisco", "Natatio", "Reperos", "Coliban", "Delea", "Delasa", "Inderos", "Indasa", "Repano","Dovomia", "Colasa", "Delasa", "Indedeia", "Tamedeia", "Denano", "Sanasa", "Halea", "Tamedeia", "Colano", "Denasa", "Delano", "Dovathe", "Conorax", "Denina", "Repisco", "Halano", "Napisco", "Conedeia", "Conomia", "Conea", "Repeus", "Saceros", "Napomia", "Delebos", "Gestito", "Delea", "Tamorax", "Conisco", "Deledeia", "Saneros", "Repano", "Halulo", "Haleus", "Indoron", "Denita", "Deledeia", "Haliban", "Porco", "Indano", "Denulo", "Napathe", "Deneus", "Sacomia", "Dovebos", "Delebos", "Indedeia", "Conulo", "Delina", "Reperos", "Tamomia", "Dovathe", "Conomia", "Deleros", "Naporax", "Denita", "Sacasa", "Conano", "Delulo", "Haleros", "Tamoron", "Dovorax", "Saniban", "Colomia",
// Galaxy 8
"Cryisco", "Furathe", "Havorax", "Patiban", "Endathe", "Phoron", "Loviban", "Cryathe", "Lovasa", "Furedeia", "Chomia", "Nomita", "Lovita", "Grendel", "Lovebos", "Havedeia", "Endorax", "Haveros", "Falina", "Patea", "Falebos", "Patasa", "Patomia", "Furomia", "Chiban", "Furathe", "Furebos", "Chano", "Havedeia", "Faleus", "Speomia", "Falita", "Haveros", "Endano", "Lovea", "Endoron", "Phea", "Falorax", "Speathe", "Speomia", "Speasa", "Patita", "Falorax", "Speeros", "Venedeia", "Cryeus", "Endita", "Falasa", "Cryano", "Cryeros", "Chomia", "Jacobson", "Speisco", "Endiban", "Endeus", "Furasa", "Cheus", "Endisco", "Cryea", "Cryano", "Havita", "Lovorax", "Chita", "Endano","Furorax", "Venano", "Pateus", "Haveros", "Venasa", "Nomeros", "Faliban", "Loveus", "Furina", "Endulo", "Patorax", "Furathe", "Cryorax", "Chea", "Patoron", "Phisco", "Furea", "Brozovic", "Patorax", "Nomeros", "Venathe", "Venebos", "Havasa", "Havomia", "Venisco", "Speita", "Phisco", "Nomeus", "Nomathe", "Furea", "Furoron", "Cryeros", "Cryathe", "Endulo", "Phita", "Endisco", "Harenosus", "Haveros", "Trucidatio", "Choron", "Loveus", "Lovedeia", "Falea", "Havulo", "Havea", "Lovoron", "Nomiban", "Patea", "Lovasa", "Speasa", "Tholen", "Pheros", "Cryedeia", "Methodium", "Nomorax", "Veniban", "Loveros", "Havulo", "Loveros", "Pateus", "Nomedeia", "Haveros", "Furita", "Venano", "Venasa", "Cryorax", "Endebos", "Furita", "Magnier", "Venisco", "Nomita", "Patasa", "Furina", "Endomia", "Venita", "Loveus", "Falebos", "Speina", "Endisco", "Fureus", "Patea", "Haveros", "Pheros", "Venulo", "Cryoron", "Phita", "Lovebos", "Endasa", "Loveus", "Lovedeia", "Pheus", "Speisco", "Furathe", "Havedeia", "Nomedeia", "Choron", "Furomia", "Cryeros", "Speomia", "Venasa", "Falea", "Enderos", "Phomia", "Speorax", "Venoron", "Chea", "Cryeus", "Phebos", "Speoron", "Venathe", "Furasa", "Endano", "Endedeia", "Nomoron", "Nomorax", "Venita", "Phita", "Patulo", "Lovulo", "Furasa", "Faleus", "Furea", "Havathe", "Havisco", "Patomia", "Veniban", "Themis", "Pheus","Venulo", "Lovomia", "Patoron", "Havebos", "Haveus", "Furomia", "Phomia", "Lovathe", "Phea", "Falano", "Nomebos", "Loveros", "Phoron", "Nomoron", "Patisco", "Endomia", "Cryano", "Falomia", "Patulo", "Phea", "Veneros", "Faloron", "Lovulo", "Chiban", "Patomia", "Endulo", "Chorax", "Havano", "Falano", "Speina", "Dicterium", "Patedeia", "Lovasa", "Chita", "Fureus", "Phoron", "Loveus", "Phisco", "Speorax", "Furano", "Chasa", "Cheus", "Havomia", "Patano", "Faleros", "Endebos", "Endea", "Patomia", "Nomebos", "Furita", "Phita", "Nomoron", "Phiban", "Furiban", "Venoron", "Faliban", "Venedeia", "Cryoron", "Pateus", "Patedeia", "Venita", "Venea", "Lovina", "Venathe",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Rubefacio"];

// Pools for naming Asteroids. (23 pools with 256 names per pool - 5,888 total).
this.rockpool1 = [
"Zeus", "Hera", "Poseidon", "Demeter", "Ares", "Athena", "Apollo", "Arthemis", "Hephaestus", "Aphrodite", "Hermes", "Talona", "Hades", "Hypnos", "Janus", "Nemesis", "Iris", "Hecate", "Tyche", "Fortuna", "Chronos", "Eros", "Gaia", "Hemera", "Nyx", "Nesoi", "Phanes", "Pontus", "Tartarus", "Alatus", "Cronus", "Hyperion",
"Prometheus", "Atlas", "Marinam", "Helios", "Dagon", "Pallas", "Styx", "Alcyoneus", "Damysus", "Mimas", "Odin", "Balder", "Loki", "Thor", "Heimdall", "Odinl", "Vidar", "Cthulhu", "Shoggoth", "Azathoth", "Bokrug", "Dagon", "Shaggai", "Shantak", "Gobogeg", "Hastar", "Yuggoth", "Osiris", "Nepit", "Aker", "Amum", "Khepri",
"Osiris", "Sobek", "Caturix", "Anhur", "Horus", "Kamenev", "Norton", "Thoth", "Amunet", "Hathor", "Odin", "Nepit", "Neit", "Ogma", "Tethra", "Achall", "Canola", "Niamh", "Cermait", "Clidna", "Belenus", "Caturix", "Raptus", "Leno", "Nemausus", "Niskus", "Ogmois", "Hesus", "Andraste", "Arito", "Erecura", "Urien",
"Abderus", "Acadermus", "Achilles", "Acrisius", "Carcharodon", "Agamemnon", "Alcon", "Alcyoneus", "Liquefacta", "Amazonius", "Andropompus", "Areclepius", "Asclepius", "Bellerophon", "Cadmus", "Castor", "Pollux", "Ceryx", "Diomedes", "Barbitium", "Erechtheus", "Fascinum", "Matusalem", "Cteatus", "Evander", "Heracles", "Hippothoon", "Hyacinth", "Iphigenia", "Leons", "Leucon", "Lycurgus",
"Menelaus", "Messene", "Muichus", "Myrtilus", "Odysseus", "Oedipus", "Orestes", "Palamedes", "Pandion", "Parrhasius", "Peleus", "Pelops", "Perseus", "Phalanthus", "Pleuron", "Podalirius", "Protesilaus", "Sostratus", "Theseus", "Trophonius", "Zarex", "Ajax", "Amgrim", "Bjaki", "Egil", "Helgi", "Northbrodd", "Loki", "Odin", "Starkad", "Bratus", "Pwyll",
"Honorius", "Cuchulainn", "Gwydion", "Odysseus", "Oisin", "Popularis", "Pwyll", "Sermo", "Ulysses", "Mulan", "Almos", "Laozi", "Spatiator", "Melonia", "Confusus", "Menhit", "Wukong", "Nezha", "Enkidu", "Marcus", "Hashimoto", "Hengist", "Horsa", "Scefa", "Tarchon", "Tyrrhenus", "Karna", "Arjuna", "Arash", "Rostam", "Sohrab", "Watonga",
"Bell", "Braben", "Ahruman", "Rodriguez", "Lemartes", "Walch", "Martinez", "Selezen", "McLane", "Hernandez", "Duval", "Lopez", "Mosser", "Clark", "Garcia", "Miller", "Ryder", "Holdstock", "Zetter", "Jameson", "Jackson", "Anderson", "Wilson", "McReno", "Taylor", "Moore", "McNab", "Thompson", "Asimov", "Havilland", "McJamefire", "Bowman",
"Robinson",  "Asher", "Livingstone", "Walker", "Hickman", "Wright", "Dent", "Baker", "Campbell", "Zorath", "Goldberg", "Pullman", "Weston", "Blake", "Carter", "Rimmer", "Lister", "Turner", "Saxton", "Kubrick", "Cook", "Ortiz", "Peterson", "Parker", "Kelly", "Watson", "Bennet", "Alvarez", "Stovin", "Fisher", "Carpenter", "McLaren",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Anakim"];

this.rockpool2 = [
"Rowlling", "Zahn", "Castillo", "Baldwin", "Tarrant", "Foster", "Aherne", "Tyler", "Jimenez", "Callaghan", "Callen", "Zheaton", "Clancey", "Silverberg", "Greenberg", "O'Neil", "Banfield", "Pinkman", "McGeavy", "Barker", "Baily", "Boden", "Sharrock", "Greenwood", "Silversmith", "Bowden", "Boylan", "Tarkin", "Capone", "Cahall", "Wexler", "Redfield",
"McCloud", "Dexter", "Haussmann", "McCartney", "Lennon", "Sangwan", "Wesker", "Cokeley", "Nielsen", "Dhillon", "Bunter", "Scoresby", "Goodwin", "Jenner", "Wodehouse", "Comerford", "Marple", "Hickson", "Hinchcliff", "Connally", "Wharton", "Darby", "Kapoor", "Kochavi", "Eagan", "Fitzgerald", "Jellico", "Feehan", "McTurk", "Grey", "Garrahan", "Lovecraft",
"Gaffey", "Karpov", "Ripley", "Walker", "Polard", "Gatchell", "Barton", "Goldrick", "Gosnell", "Paterson", "Doyle", "Johnson", "Goyne", "Dhal", "Pratchett", "Windham", "Haggerty", "Newman", "Halferty", "Halligan", "Spencer", "Hanifin", "Yadin", "Hanlon", "Laskov", "Timberman", "Hassan", "O'Rook", "Townsend", "Bryson", "O'Donald", "Heagerty",
"Newton", "Halley", "Copernicus", "Galilei", "Kepler", "Cavendish", "Lagrange", "Dalton", "Young", "Hamilton", "Earnshaw", "Liouville", "Drake", "Planck", "Schwarzschild", "Born", "Bohr", "Heffern", "Chapman", "Hogarty", "Oppengeimer", "Feynman", "Sakharov", "Lehmann", "Hubbard", "Militus", "Gottfried", "Otacon", "Fisher", "Hawking", "Binder", "Freeman",
"Cooper", "Dyson", "Sinclaire", "Mendel", "Keeling", "Boyle", "Hahn", "Mendeleev", "Lomonosov", "Ostwald", "Wegener", "Malpighi", "Fluxus", "Galvani", "Ettinger", "Starzl", "Freud", "Keller", "Teller", "Zhukobsky", "Cayley", "Kerans", "Curie", "Kissane", "Lemaitre", "Leacitt", "Hubble", "Plank", "Marvina", "Tsiolkovsky", "Oberth", "Gentiles",
"Lovelace", "Noether", "Bolyai", "Lobachevsky", "Cardano", "Fermat", "Pascal", "Huygems", "Pointcare", "Carwright", "Lorenz", "Wiener", "Noctua", "Zadeh", "Shannon", "Lafferty", "Keynes", "Koch", "Kanan", "Pasteur", "Lamore", "Aristotle", "Chekov", "Kilpatrick", "Blackwood", "McKay", "Anaximander", "Sarek", "Battula", "Koothrappali", "Heriot", "Ptolemy",
"Brooke", "Montgomery", "Lemesurier", "Wavell", "Gort", "Mohanty", "Dowding", "Cunningham", "Montbatten", "Lavell", "Juin", "Gamelin", "Wayland", "Darian", "Eisenhower", "MacArthur", "Bradley", "Lordan", "Patton", "Nimitz", "Halsey", "Fletcher", "Spruance", "Singh", "Eaker", "Nehru", "Zhukov", "Vasilevsky", "Kosovska", "Shaposhnikov", "Bagramyan", "Konev",
"Timoshenko", "Isakov", "Kuznetov", "Yamasee", "Khudyakov", "Shukia", "Pande", "Winkelman", "Kler", "McNaughton", "Rommel", "Cromwell", "Pym", "Fairfax", "Grant", "Sherman", "McCellan", "Jackson", "Washington", "Rawat", "Kosciuszko", "Pulaski", "Greene", "Knox", "Burgoyne", "Morgan", "Tarleton", "Stark", "Sharp", "Hamilton", "Lincoln", "Lowery",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Gibborim"];

this.rockpool3 = [
"Howe", "Caldwalader", "Ashe", "Haig", "Pasha", "Hindenburg", "Petain", "Foch", "Haller", "Falkenhagn", "Diaz", "Aleksegev", "Zhekov", "Schwarzkopf", "Yeosock", "Woodward", "Bonacieux", "Geronimo", "Pontiac", "Teloses", "Kintpuash", "Osceola", "Wovoka", "Wellington", "Murat", "Radetz", "Davout", "Marmont", "Saladin", "Charlemagne", "Ludden", "Saini",
"Lydon", "Macken", "Conrad", "Madden", "Michell", "Mannion", "Irwin", "Yong", "Mansfield", "Cernan", "Schmitt", "Borman", "Lovell", "Cantamen", "Gordon", "Haise", "Swigert", "Roosa", "Worden", "Mattingly", "Grissom", "McCahon", "Schirra", "McDivitt", "Stafford", "Eisele", "Schweickart", "McCally", "Longana", "Engle", "McAnnally", "McAuliffee",
"Resnik", "McNair", "McClearn", "Scobee", "Chawla", "Castaneis", "Sullivan", "McClenaghan", "McBreen", "Cobalus", "McCleave", "Hurley", "Melroy", "Hadfield", "Bowersox", "Shuttleworth", "Llewellyn", "Llwei", "Yang", "Yaping", "Heipeng", "Zhigang", "Junlong", "Booming", "Wang", "Xiaoguang", "Remek", "Gargarin", "Jahn", "Ivanov", "Tuan", "Shepard",
"Mendez", "Prunariu", "Cretien", "Sharma", "Garneau", "Vela", "Mohmand", "Kaleri", "Viktorenko", "Firmout", "Bella", "Pontes", "Mansouri", "Aimbetov", "Mogensen", "Shkor", "Fuglesang", "Ansari", "McEnery", "McGinity", "Wolowitz", "Hofstadter", "Floyd", "Chandra", "Cochrane", "Tsuno", "Taylor", "Urkel", "Grayson", "Simpson", "Sedikh", "McCauley",
"Menkar", "Puppis", "Nashira", "Transitio", "Nembus", "Nunki", "Ogma", "Solum", "Buckingham", "Plautos", "Plumatus", "Polaris", "Pollux", "Polis", "Haplo", "Rasalas", "Regor", "Regulus", "Norton", "Revalti", "Watsonl", "Saiph", "Sirius", "Solaris", "Terebeilum", "Theemin", "Sullust", "Zaniah", "Zaurak", "Canes", "Pegasus", "Delphinus",
"Tiberius", "Montgomery", "Hephaestus", "Vulcan", "Kirk", "Amakuni", "Argo", "Caleuche", "Noah", "Neptune", "Poseidon", "Odin", "Argonaut", "Asuka", "Campania", "Cussler", "Decolore", "Illustria", "Ishin", "Nakatomi", "Jackson", "Cithara", "Cutlass", "Grossadler", "Ramona", "Alameda", "Parker", "Amindra", "Angelina", "Arabella", "Aspen", "Atlantic",
"Ballantrae", "Barracuda", "Belafonte ", "Brandenburg", "Morgan", "Caine", "Caledonia", "Charleston", "Dexter", "Volante", "Devonshire", "Demos", "Corsair", "Copperfin", "Claridon", "Ahab", "Valhalla", "Atlantis", "Ulysses", "Titanic", "Sutherland", "Bismarck", "Solent", "Saxton", "Saratoga", "Saracen", "Proteus", "Orca", "Odessa", "Oakland", "Nereid", "Morsus", 
"Nemo", "Montana", "Liparus", "Lawton", "Kornblatt", "Normandy", "Henrietta", "Gray", "Goliath", "Glencairn", "Genesis", "Tuscarora", "Fenton", "Dulcibella", "Mason", "Delaware", "Claymore", "Calypso", "Khan", "Britannia", "Astrea", "Anchises", "Valparaiso", "Pacatus", "Medusa", "Scorpio", "Cascara", "Klondike", "Pandora", "Orcus", "Nemesis", "Abscido",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Alcyoneus"];

this.rockpool4 = [
"Liberian", "Levant", "Leviathan", "Ericson", "Langley", "Korund", "Jeroboam", "Iphigenia", "Polybotes", "Hesperus", "Hispaniola", "Porphyrion", "Kandahar", "Siranui", "Sutanto", "Trident", "Colonia", "Achates", "Atropos", "Hotspur", "Estrella", "Bernal", "Speedwell", "Konovalov", "Panache", "Ephialtes", "Jocasta", "Triton ", "Drinkwater", "Hellebore", "Melusine", "Patrician",
"Vestal", "Virago", "Dakota", "Pocahantas", "Arkansas", "Trenton", "Makepeace", "Valette", "Poppadum", "Georgetown", "Lexington", "Moldavia", "Persephone", "Isabella", "Antaeus", "Achilles", "Shackleton", "Solace", "Pampero", "Larsen", "Rusalka", "Palanquin", "Orpheus", "Narcissa", "Lucuraa", "Lorelei", "Amphitrite", "Crithania", "Jericho", "Jackdaw", "Daedalus", "Borealis",
"Beluga", "Terraria", "Pleiades", "Friede", "Mayflower", "Leonov", "Anastasia", "Messiah", "Rocinante", "Amaterasu", "Avalon", "Predacon", "Blackbird", "Milano", "Bretonia", "Hispania", "Kusari", "Rheinland", "Deucalion", "Narcissus", "Andromeda", "Clementine", "Akatsuki", "Buran", "Roton", "Skylon", "Adonis", "Vecchio", "Talos", "Tycho", "Dyson", "Ocellus",
"Lucius", "Andre", "Jenico", "Piers", "Klaus", "Stefan", "Walter", "Gustavus", "Mervyn", "Jurgen", "Karl", "Wentworth", "Ivor", "Janric", "Rupert", "Casper", "Archibald", "Nathaniel", "Laszio", "Peregrine", "Maximillian", "Quintin", "Hugo", "Herwald", "Bernardo", "Louis", "Aubin", "Francois", "Amable", "Ivan", "Igor", "Leonid",
"Abhay", "Ajay", "Akhil", "Amarjit", "Bhavesh", "Bhupinder", "Chandrajit", "Devendra", "Devesh", "Deepak", "Eswar", "Ganesh", "Ganpatrao", "Gurunath", "Hansraj", "Harish", "Ishana", "Jitendra", "Karthik", "Kishor", "Lakshan", "Mansukh", "Mohindra", "Munish", "Nirupam", "Prakash", "Pranav", "Rakesh", "Ramakant", "Ranbir", "Shishira", "Wasim",
"Arne", "Birger", "Bjon", "Gorm", "Halfdan", "Harald", "Knud", "Skarde", "Svend", "Torsten", "Leif", "Tygve", "Odger", "Bodil", "Frida", "Hilda", "Gudrun", "Helga", "Randi", "Signe", "Secunda", "Revna", "Tora", "Tove", "Thyra", "Thurid", "Yrsa", "Frode", "Ulfhild", "Njal", "Sune", "Troels",
"Alastair", "Arran", "Bram", "Caelan", "Clyde", "Ewan", "Graeme", "Lennox", "Malcolm", "Kampbell", "Keithen", "Tavish", "Aidan", "Beacun", "Blaine", "Branigan", "Brody", "Breccan", "Devin", "Cullen", "Cathal", "Darcy", "Eoin", "Ferris", "Fionn", "Egan", "Liam", "Lorcan", "Oscar", "Roan", "Rafferty", "Torin",
"Abbad", "Caden", "Daud", "Abdul", "Faisal", "Adham", "Kadeem", "Badi", "Muhsin",	"Gaffar",  "Bagher", "Hussein", "Imran", "Baha", "Djamal", "Faisal", "Rahim", "Daud", "Ehsanullah", "Fadel", "Farhat", "Farooq", "Ghanem", "Jabari", "Jameel", "Nabih", "Omar", "Zabit", "Rabia", "Osman", "Samir", "Qaid", "Wazir", "Yasser",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Dionysus"];

this.rockpool5 = [
"Akifumi", "Akitomo", "Bunta", "Chikao", "Daihachi", "Eisaku", "Fujio", "Fuyukichi", "Giichi", "Hakaru", "Harukichi", "Hiromoto", "Junnosuke", "Junto", "Kagetaka", "Kazumichi", "Masahiro", "Masakage", "Nariakira", "Okimoto", "Osamu", "Otohiko", "Rikiya", "Ryu", "Sadaharu", "Sadakatsu", "Shinta", "Tadaaki", "Tadamitsu", "Tsunehiko", "Tasuku", "Yashiro",
"Aurick", "Bernhard", "Christof", "Conrad", "Dagobert", "Egbert", "Felix", "Ferdinand", "Fritz", "Gerwin", "Gunther", "Gottfried", "Harald", "Heiner", "Ignatz", "Johann", "Kaspar", "Leopold", "Lorentz", "Ludwig", "Luther", "Magnus", "Otto", "Ottomar", "Siegfried", "Valter", "Vollrath", "Waldemar", "Wilhelm", "Ruprecht", "Wolfgang", "Xavier",
"Giovanni", "Antonio", "Luigi", "Francesco", "Angelo", "Vincenzo", "Pietro", "Salvatore", "Carlo", "Franco", "Michele", "Giorgio", "Aldo", "Sergio", "Luciano", "Domenico", "Jarno", "Anna", "Rosa", "Angela", "Carmela", "Caterina", "Giovanna", "Francesca", "Lucia",, "Antionetta", "Elena", "Carla", "Concetta", "Adrienne", "Amelie", "Brigitte",
"Interfector", "Jackdaw", "Bane", "Bluebird", "Zeus", "Capstone", "Shinobido", "Carnivores", "Tensei", "Katamari", "Bethesda", "Tesla", "Xenon", "Gotham", "Poseidon", "Diablo", "Hearthstone", "Apollo", "Genesis", "Onimusha", "Neptunia", "Ultima", "Kururin", "Zenonia", "Cybertron", "Wolfenstein", "Anachronox", "Kesmai", "Gradius", "Lionhead", "Bayonetta", "Dreamfall",
"Silverleaf", "Romulus", "Remus", "Enceladus", "Coriolanus", "Ardiente", "Maximilian", "Palpatine", "Oceania", "Aladeen", "Comstock", "Adami", "Daredevil", "Voldemort", "Osborne", "Wildflower", "Cersei", "Tarkin", "Abstergo", "Fontaine", "Hyperion", "Aesir", "Shinra", "Armitage", "Paleocene", "Honeypot", "Baratheon", "Sidious", "Morlock", "Amidala", "Odessa", "Bonaparte",
"Athena", "Trantor", "Anacreon", "Aurora", "Comporellon", "Gaia", "Kalgan", "Korell", "Santanni", "Sayshell", "Solaria", "Lilliput", "Blefuscu", "Laputa", "Lindalino", "Camelon", "Avalon", "Ancholme", "Badonicus", "Carmarthen", "Messina", "Lothian", "Bistrita", "Constanta", "Sereth", "Damasen", "Colchis", "Asterion", "Discordia", "Todash", "Candleton", "Empathica",
"Russell", "Grosvenor", "Fitzroy", "Vere", "Turner", "Conti", "Luca", "Costa", "Mancini", "Laurent", "Foch", "Fournier", "Geiss", "Braun", "Weiss", "Hartmann", "Berg", "Hansson", "Coleman", "Andersen", "Kempen", "Huisman", "Pieterson", "Kuiper", "Ramos", "Sanchez", "Lemartes", "Massana", "Vasiliev", "Katin", "Dementiev", "Kuznetsov",
"Timoren", "Rhyncha",  "Austral",  "Patagonus",  "Cognathus",  "Sordox",  "Maculata",  "Eupsitula", "Jandaya",  "Auricapillus",  "Couloni",  "Aratinga",  "Couloni",  "Auricollis",  "Primolius",  "Tescum", "Militaris",  "Gordova",  "Praesidium", "Gularis", "Chloropterus", "Ararauna", "Ambiguus", "Bechstein","Orthops", "Carolinensis", "Salvadori", "Guarouba", "Nobilis", "Icterotis",  "Panthera", "Hynchus",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Ares"];

this.rockpool6 = [
"Personatus","Reichenow","Fischer","Agapornis","Nithinae", "Agapor", "Oustalet", "Pontus", "Hombron", "Reichenbach", "Undulatus", "Melops", "Neopsitacus", "Arfaki", "Toxopei", "Amabilis", "Vereaux", "Diadema", "Notata", "Rubro", "Pulchella", "Placentis", "Papuan", "Palmarum","Palmlo", "Margarethae", "Josefinae", "Richsen", "Rocephala", "Peuviana", "Stepheni", "Australis", 
"Motacilla", "Citreola", "Calcarata", "Tomohon", "Tschut", "Schensis", "Flava", "Petronia", "Montanus", "Eurasia", "Passer", "Hispanica",  "Prunella", "Montanella", "Collaris", "Tempore","Modularis", "Oenanthe", "Leucopyga", "Ipsilou", "Melano", "Leuca", "Chanka",  "Harmonia", "Oenanthe", "Rubicola", "Subiaco", "Maurus", "Solitarius", "Saxatilis", "Phoenicurus", "Mousieri", 
"Aegyptius", "Caprimulgus", "Europaeus", "Funereus", "Tengmalm", "Asio", "Flammeus", "Otus", "Strix", "Noctua", "Surnia", "Scandiacus",  "Scops", "Tyto", "Mensura", "Americanus","Tytonidae", "Cuculus", "Canorus", "Clamator", "Glandarius", "Cuculidae", "Krameri",  "Turtur",  "Zenaida", "Macroura", "Orientalis", "Decaocto", "Columba", "Palumbus", "Oenas", "Columbidae", 
"Richelieu", "Noelle", "Gaelle", "Arnaude", "Sartre", "Pascale", "Langlois", "Laudine","Clotilde", "Honorine", "Flavie", "Janvier", "Albertine", "Comtois", "Berdine","Severine","Legrand", "Fabien", "Moulin", "Plamondon", "Anastaise", "Eustacia", "Doriane", "Bellerose","Armelle",  "Proulx", "Daniau", "Voclain", "Faucher", "Anouk", "Anastasia", "Capucine",
"Lamia", "Mara", "Agrona", "Medeia", "Layal", "Zelda", "Semele", "Lailah","Adrienne", "Persephone","Empusa", "Nishay", "Persefoni", "Loralai", "Mallory","Narkissa","Delaynie", "Lilitu", "Megaera", "Kakarauri", "Jezebeth", "Cecilia", "Melania", "Nimue","Alekto",  "Cessair",  "Tisiphone",  "Sarka",  "Morana",  "Libitina",  "Aeron",  "Hadria", 
"Gideon", "Jomei", "Pravit", "Chirag", "Horatius", "Geronimo", "Bevan", "Tlacelel", "Rostam", "Sinuhe","Luthais", "Raiden", "Calhoun", "Pharris", "Volanaro","Laertes", "Lortheim", "Partho", "Partho", "Ingvar", "Alih", "Lesedi", "Oran", "Fenyang","Sukhbataar", "Kulvir", "Kikosi", "Hyldeihera", "Aetheleorn", "Karamveer", "Omeet", "Oisin", 
"Kalil", "Reptans", "Lele", "Nobuo", "Bakarsi", "Nitis", "Elden", "Arluin","Greyn", "Daemyn","Iyayi", "Amit", "Kelvin", "Wynn", "Viator","Ortwin","Samiul", "Raham", "Besnik", "Ronan", "Amnon", "Takoda", "Tomomi", "Khalil","Samir", "Derwin", "Alfwin", "Auden", "Liesel", "Pamphilos", "Besnik", "Pamphilos",
"Ventris", "Crassus",  "Crypto", "Fuscicollis", "Rufi", "Rueppe", "Pacifica", "Delacroix", "Hoematotis","Calliptera","Demoiselle", "Orcesi", "Colombia", "Melanura", "Dicata", "Egregia", "Leucotis", "Peruviana", "Luciani", "Santarem", "Amazonum", "Caerulei", "Subandina", "Picta", "Molinae", "Lepida", "Perlata", "Devillei", "Frontalis", "Ochre", "Cruentata", "Courtois", 
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Goliath"];

this.rockpool7 = [
"Schlegel", "Ventris", "Occidentalis", "Neopsephotus", "Splendida", "Pulchella", "Petrophila", "Anthopeplus", "Desmarest", "Sortitio", "Vieillot", "Jonquil", "Aprosmictus", "Desperatus", "Scapularis", "Molucca","Nensis", "Amboi", "Alisterus", "Vernalis", "Pusillus",  "Stigmatus", "Taliabu", "Sclateri","Catamene", "Auranti", "Molucca", "Loriculus", "Nianus", "Pullarius", "Taranta", "Cunabula",
"Acanthis", "Flammea", "Carduelis", "Cabaret", "Spinus", "Eurasia", "Rostris", "Flavi", "Linaria", "Cannabina", "Linet", "Chloris", "Serinus",  "Serin", "Fringilla", "Coelebs", "Rubescens", "Anthus", "Oregon", "Spinoletta", "Petros", "Cervinus", "Pratens", "Gustavi", "Pechora",  "Triviallis", "Hodgsoni", "Campestris", "Concelebro", "Leucopsis", "Acilla", "Motacilla",
"Sayornis", "Dryobates", "Picoides", "Buntspecht", "Dendrocopos", "Sphyrapicus", "Viridis", "Varius", "Torquilla", "Jynx", "Picidae",  "Botbotik", "Upupa", "Epops", "Bucero", "Upupidae", "Coracias", "Apiaster", "Merops", "Persicus", "Alcyon", "Meropidae", "Megaceryle",  "Alcedo", "Alcedinidae", "Apus", "Tachymarptis", "Pacificus", "Palidus", "Chaetura", "Pelagica", "Hirundapus",
"Orabella", "Anouska", "Gileberte", "Oriane", "Moreau", "Nina", "Lunete", "Monet","Therese", "Mirabelle","Janvier", "Marian", "Amarante", "Giroux", "Lemieux","Adephe","Geneva", "Proulx", "Idette", "Thibault", "Odile", "Langlais", "Melisende", "Adelie","Amorette", "Laure", "Liane", "Celeste", "Ariane", "Fontaine", "Pascal", "Laurentine",
"Otway", "Luscinus", "Jemisha", "Amaya", "Otaktay", "Tanda", "Melantha", "Kasdeya","Delaynie", "Claustrum","Malvolia", "Laverna", "Layal", "Lamia", "Samara","Kiara","Rudianos", "Kasdeya", "Vespera", "Narkissa", "Melantha", "Persefoni", "Medea", "Vasta","Libitna", "Kakarauri", "Loralai",  "Quella", "Agrona", "Ernaline", "Soledad", "Dirce", 
"Sohrab", "Herakles", "Praveera", "Daya", "Bakavata", "Albern", "Roshaun", "Aiden", "Baudric", "Pharrell","Naois", "Amarveer", "Khalon", "Bakavta", "Pharris","Karamveer","Devasur", "Cerebrum", "Cassander", "Devasur", "Alois", "Diocese", "Ervar", "Omeet","Atal", "Asfand", "Neirin", "Aalock", "Arshama", "Kondo", "Abner", "Kamau", 
"Lamorak", "Anas", "Agenilda", "Besnik", "Elden", "Takoda", "Ghislain", "Reuel","Kalil", "Llieven","Leal", "Arlan", "Selwyn", "Pamphilos", "Mithra", "Herluin","Greyn", "Gladwin", "Liesel", "Mihael", "Treowe", "Iyayi", "Fidelis", "Thracian","Philomenes", "Naji", "Joyab", "Aluin",  "Gladwin", "Phylo", "Selwyn", "Tomomi",
"Mandrake", "Clovis","Saratoga","Mayflower","Boston","Denton","Bolesworth","Clearwell","Mereworth","Wentworth","Buckingham","Aspen","Hilfield","Kenwith","Stanhope","Vanbrugh","Wadhurst","Newbury","Broadway","Dunstall","Dinton","Dunstall","Mowbray","Radford","Speedwell","Luscombe", "Hadlow","Sundorne","Kimbolton","Clevedon","Wadhurst","Rothley",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Nephilim"];

this.rockpool8 = [
"Berlepsch", "Leptos", "Glaucous", "Salamanca", "Latham", "Scopili", "Surdus", "Praesidio", "Puratus", "Temminck", "Bavicus", "Touit", "Tepui", "Andean", "Dachilleae","lineola","Rufous", "Aymara", "Aurifrons", "Amoro", "Auri", "Taczanowski", "Xanthops", "Propositum","Linnaeus", "Modestus", "Coelestis", "Occidental", "Spicillatus", "Pitrinus", "Deroptyus", "Homerius",
"Solitarius", "Almeria", "Nucha", "Nochrous", "Hypoi", "Seram", "Haruku", "Saparua", "Domicella", "Forctis", "Versi", "Teuteles",  "Kakapo", "Strigops", "Notabilis", "Productus", "Nestor", "Nestoridae", "Rostris", "Tenui", "Sulphurea", "Sanguinea", "Nator", "Pasti",  "Ophthalmica", "Saparua", "Seram", "Moluc", "Censis", "Roselaar", "Yamdena", "Larat",
"Hausrot", "Phoeni", "Ficedula", "Albicollis", "Hypoleuca", "Parva", "Albicilla", "Luscinia", "Secica", "Nachti", "Hynchos",  "Ruribit", "Tarsiger", "Cyaus", "Irania", "Calliope", "Larviora", "Sibilans", "Cephei", "Rubecula", "Erithacus", "Muscicapa", "Striata", "Daurica", "Musci", "Cerco", "Trichas", "Migra", "Toria", "Vorus", "Joculator", "Iliacus", 
"Paradoxus", "Fratercula", "Arctica", "Antiquus", "Perdix", "Ramphus", "Impennis", "Alca", "Torda", "Aalge", "Paradisaea",  "Bengalensis", "Alphard", "Censis", "Tabularius", "Chlidonias", "Epotus", "Caspia", "Nilotica", "Albifrons", "Chelidon", "Sternula",  "Onychoprion", "Anaethetus", "Fuscata", "Sterna", "Aleutica", "Larus", "Marinus", "Glaucoides", "Sonianus", "Cachinan", 
"Cainhoe","Etonbury","Gobion","Odell","Podington","Renhold","Someries","Hampstead","Donnington","Windsor","Bolbec","Bradwell","Desborough","Lavendon","Kimble","Missenden", "Turville", "Wolverton","Boarstall","Aldreth","Bourn","Burwell","Cheveley","Eaton","Huntingdon","Rampton","Wisbech","Buckden","Elton","Kimbolton","Longthorpe","Woodcroft",
"Aldford","Dodlestone","Kingsley","Frodsham","Malpas","Nantwich","Newhall","Northwich","Pulford","Shipbrook","Shocklach","Shotwick","Warrington","Halton","Chester","Peckforton","Bishopton","Cotherstone","Dalden","Ludworth","Auckland", "Barnard","Lambton","Mortham","Scargill","Helston","Penstowe","Upton","Launceston","Pendennis","Trematon","Denebola",
"Tasman","Letum","Laccadive","Balearic","Aden","Celebes","Levantine","Caspian","Baltic","Arafura","Okhotsk","Sargasso","Scotia","Carpentaria","Futaleufu","Chilko","Upano","Gauley", "Zambezi","Karnali","Chattooga","Tuolumne","Clavey","Ghostrider","Cataract","Bidwell","Boyoma","Afonso","Vermilion","Niagara","Willamette","Kongou",
"Kootenai","Kaieteur","Rheinfall","Kalandula","Chaudiere","Nastapoca","Tuktu","Murchison","Dettifoss","Selfoss","Storforsen","Cohoes","Guaira","Celilo","Kettle","Marimbondo","Gibraltar","Zanclean","Bosphorus","Atchafalaya","Okavango","Everglades","Pantanal", "Tumba","Maindombe","Mossaka","Sangha","Jonglei","Okavango","Gueltas","Palearctic","Salamat",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Nimrod"];

this.rockpool9 = [
"Esteros", "Ibera","Irtysh","Parana","Chambeshi","Congo","Kherlen","Mekong","Brahmaputra","Condamine","Tocantins","Volga","Salween","Zambezi","Kolyma","Arkansas","Kasai","Orinoco","Tarim","Tigris","Songhua","Pechora","Kama","Limpopo","Volta","Tobol","Godavari", "Tocantins","Juruena","Rhine","Athabasca","Kapuas",
"Abstergo","Tyrell","Monarch","Ziodex","Rossum","Tricell","Khumalo","Hanso","Ecumena","Dharma","Zaibatsu","Weyland","Wayne","Veridian","Tamaribuchi","Shinra","Orlando","Matsumura","Hishii","Gadgetron","Cyberdyne","Conglom","Abstergo","Acme","Strickland","Springfield", "McCandless","Ewing","Enstein","Tangiers","Kaiba","Dragonfire",
"Vaillante","Soylent","Serrano","Tidis","Astromech","Sienar","Cinco","Caprica","Graystone","Delos","Gullichsen","Vandelay","Zorg","Torchwood","Stark","Sinclair","Seburo","Anaheim","Concordance","Liandri","Tagruato","Cloverfield","Benthic","Teldar","Gotham", "Wernham","Korova","Milliways","Lanford","Nervosa","Garak","Treadstone",
"Pentex","Fairview","Megadodo","Meade","Zorin","Incite","Daystrom","Contoso","Caliban","Initech","Armacham","Mohican","Aeromass","Ravenwood","Jericho","Goliath","Callister","Lacuna","Seldon","Moriarty","Moreau","Kramer","Koestler","Kafka","Bartok", "Cochrane","Soran","Mephesto","Nefario","Luthor","Osborn","Mobius",
"Ninon", "Modestine", "Euphemie", "Meraud", "Savatier", "Colombe", "Amarante", "Custance","Beaulieu", "Batilde","Marceline", "Delacroix", "Helene", "Guerin", "Moreau","Cunegonde","Leonne", "Andre", "Legrand", "Aimee", "Roche", "Deline", "Sibylle", "Igraine","Elodie", "Fabienne", "Marquite", "Toinette", "Jehovah", "Eugenie", "Solange", "Berthe", 
"Cessair", "Lamina", "Megaera", "Malvolia", "Esmeray", "Ambrosia", "Morana", "Lailah","Keres", "Quella","Empusa", "Semele", "Nerezza", "Kerrell", "Tisiphone","Tamisra","Morrigan", "Persefoni", "Ciara", "Corvina", "Tanda", "Delaynie", "Damia", "Kakarauri","Cessair", "Laverna",  "Melantha", "Hadria", "Samara", "Amaya", "Gorgo", "Adrienne", 
"Galtero", "Sigurd", "Naois", "Roshaun", "Vitrum", "Turbella", "Vespera", "Adelram","Glendin", "Orphee","Damion", "Doegel", "Keres", "Damballa", "Valdis","Alastor","Kritanta", "Kalakuta", "Vanesco", "Captura", "Anpu", "Cessair", "Dracul", "Cruentis","Gituku", "Revon", "Nirnasha", "Argo",  "Kritanta", "Alvah", "Teivel", "Laqueare", 
"Nitis", "Ghislain", "Mithra", "Mitra", "Daemyn", "Goswin", "Nobuo", "Tenuis","Beaulieu", "Orabelle","Cesar", "Celestin", "Adnet", "Zephyrine", "Thibault","Julliette","Alphonsine", "Agate",  "Opterus", "Flavie", "Euphemie", "Orianne", "Agrippine", "Alphosine","Langlois", "Plaisance", "Firmin", "Cyrille", "Delphine", "Baudin", "Salome", "Anouk", 
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Rephaite"];

this.rockpool10 = [
"Fachen","Balor","Cuchulain","Elatha","Homunculus","Tethra","Tarantula","Dandelion","Puffball","Medusa","Rbezahl","Monoceros","Butterfly","Perseus","Ophiuchus","Balrog","Snowball","Stingray","Cethlenn","Wyvern","Crab","Halo","Succubus","Banshee","Manticore", "Pelican","Necronomicon","Minotaur","Astutia","Sollertia","Serpent","Cockatrice",
"Kendal","Lammerside","Pennington","Liddel","Netherhall","Sedbergh","Whitehall","Wharton","Penrith","Pendragon","Naworth","Middleton","Lowther","Linstock","Kendal","Greystoke","Gleaston", "Dalton","Dacre","Corby","Clifton","Carlisle","Branthwaite","Beetham","Armathwaite","Appleby","Bakewell","Derby","Duffield","Glossop","Melbourne","Horsley",
"Riber","Peveril","Mackworth","Mackworth","Haddon","Codnor","Bolsover","Bampton","Barnstaple","Durpley","Heywood","Holwell","Torrington","Winkleigh","Watermouth","Tiverton","Salcombe","Marisco","Dartmouth","Compton","Pomeroy","Dorchester","Marshwood","Wareham", "Woodsford","Sherborne","Portland","Lulworth","Baynard","Hastings","Bodiam","Canfield",
"Rayleigh","Walden","Hadleigh","Colchester","Painswick","Gloucester","Winchcombe","Taynton","Ruardean","Thornbury","Sudeley","Berkeley","Greenwich","Baynard","Radcliffe","Buckton","Rochdale","Stockport","Ashley","Crondall","Merdon","Winchester","Southsea", "Southampton","Almeley","Ashton","Huntington","Stapleton","Pembridge","Hampton","Brampton","Hertford",
"Manchuria", "Anhui", "Fengtian","Zuolin","Manchukuo","Shanxi","Guominjun","Baoshan","Chahar","Kumul","Hanmin","Sichuan","Watamaro","Sanetomo","Nobunaga","Hidenobu","Iemitsu","Ienobu","Tsunenari", "Shikai","Nobunaga","Zuolin","Peifu","Nagato","Sandayu","Goemon","Hanzo","Chiyome","Kotaro","Kawakami","Jinichi","Hattori",
"Carisbrooke","Binbury","Brenchley","Newenden","Folkestone","Queenborough","Sandown","Thurnham","Walmer","Tonbridge","Sutton","Valence","Rochester","Penshurst","Leybourne","Kingsgate","Chilham","Canterbury","Allington","Arkholme","Penwortham","Turton", "Thurland","Lancaster","Hornby","Clitheroe","Borwick","Ashton","Donington","Shilton","Gilmorton","Whitwick",
"Leicester","Belvoir","Rutland","Carlton","Folkingham","Gainsborough","Goltho","Kinaird","Welbourn","Withern","Tothill","Sleaford","Stamford","Tattershall","Torksey","Somerton","Rochford","Lincoln","Grimsthorpe", "Bolingbroke","Brimstage","Leasowe","Liverpool","Buckenham","Dilham","Gresham","Horsford","Elmham","Thetford","Leeds","Kingsbury","Brent",
"Edison","Bell","Franklin","Tesla","Archimedes","Marconi","Watt","Morse","Baird","Gutenberg","Faraday","Whitney","Washington","Volta","Fleming","Latimer","Wozniak","Naismith","Whittle","Lumiere","Colt","Zeppelin","Turing", "Goodyear","Dyson","Fulton","Stephenson","Babbage","Hawking","Williams","Holdstock","Braben",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Buarainech"];

this.rockpool11 = [
"Nolibos","Aulteribe","Randan","Solidor","Josselin","Basilicata","Calabria","Campania","Lombardy","Marches","Piedmont","Sardinia","Nuoro","Oristano","Sassari","Sardinia","Vasto","Rosciano","Castellana","Altamura","Brindisi","Fontana","Lucera","Taranto","Vernole", "Bernalda","Matera","Caccuri","Amendolea","Lombardi","Faicchio","Telesino",
"Gomorrah","Omertas","Deschain","Novac","Norweb","Topeka","Bradberton","Wheaton","Waydon","Meresti","Talon","Dunwich","Arkham","Carcosa","Celephais","Hyperborean","Arkema","Brockest","Lockwood","Candleton","Cressia","Ashford","Debaria","Delain","Rorschach", "Empathica","Bosque","Gilead","Golgotha","Indrie","Ironwood","Jericho",
"Kashamin","Celanese","Mosaic","Mohaine","Covestro","Rotunda","Shardik","Tepachi","Indorama","Thunderclap","Todash","Fontaine","Sadler","Nielsen","Kantar","Formosa","Mitsubishi","Nutrien","Bachem","Buchanan","Elmwood","Excalibur","Fornaire","Keuthan","Maupin", "Samsung","Schleicher","Tamarind","Nauchno","Tulsa","Tiamat","Maxwell",
"Trinity","Barugon","Teagan","Catalina","Miranda","Siegfried","Vincent","Sophia","Isabella","Charlotte","Amelia","Abigail","Evelyn","Eleanor","Naomi","Caroline","Marianne","Valentina","Rosalie","Alice","Gabriella","Claire","Allison","Delilah","Annabelle","Adeline", "Emilio","Natalia","Alexandra","Fernando","Anastasia","Eloise",
"Zalagar","Repton","Zircon","Discus","Arowana","Limpkin","Kelpie","Hellebore","Tarragon","Wendigo","Orphic","Jellico","Astromech","Dinton","Andoran","Lustrix","Hellespont","Mendham","Sacrado","Texlos","Babylon","Drennan","Barcella","Constantin","Gorton", "Kingsley","Thorpe","Marshall","Goliath","Tokasha","Lootera","Olivetti",
"Ironhold","Tokasha","Mualang","Irece","Dharma","Galileo","Kirin","Mangon","Gargain","Sheridan","Mercer","Holden","Alshain","Buhallin","Bulldog","Midway","Daisho","Matabushi","Luthien","Samarkand","Raimei","Nissan","Turanian","Tanadi","Surinami","Kankoku", "Kurita","Banzai","Browning","Lexicon","Mendham","Laurent",
"Firebird","Whitman","Indenture","Beckman","Anatass","Rosenkov","Kassa","Rodam","Haribon","Kedar","Haliat","Gateway","Devlon","Cerberus","Batarian","Armax","Aldrin","Parohe","Nashan","Borkat","Hislop","Cision","Jenan","Krishna", "Burgat","Tiburon","Elanus", "Narhu","Merida","Kore","Sonax","Phoenix",
"Guanghui","Ashland","Skywire","Scopuli","Sirenum","Heleus","Isenberg","Insight","Saronis","Delumcore","Apex","Pyrena","Noveria","Baria","Janey","Micah","Cepheid","Heyuan","Genex","Sirta","Conatix","Bantam","Manatee","Ibex","Fenris","Palantir","Ragnarok","Warlock", "Chimera","Philomela","Amalthea","Nemus",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Brontes"];

this.rockpool12 = [
"Mosser","Darkes","Annalise","Berihn","Alioth","Ericsen","Nomura","Jannah","Rowan","Spartacus","Stenson","Vasquith","Dioscuri","Sheehan","Faust","Tanase","Corbeau","Draconis","Achenar","Rambert","Rasche","Dalibor","Pritchard","Arexack","Hansen", "Pradesh","Hesperus","Calliope","Zeinali","Altera","Saunders","Juanita",
"Kabden","Soladies","Munchausen","Onrira","Larais","Rhinitis","Acturan","Ruffalo","Nervosa","Keenan","Polyphemus","Laurentiis","Rafaella","Atreides","Stockwell","Rautha","Haderach","Kardashian","Hudson","Fukunaga","Leiter","Krasinki","Romanoff","Hamilton","Mobius", "Wahlberg","Banderas","Wachowski","Westwood","McLaren","Kronthaler","Versace",
"Kobol","Aerelon","Aquaria","Canceron","Caprica","Gemenon","Leonis","Libris","Bosporus","Aragona","Scorpia","Tauron","Virgon","Hibernia","Borgia","Baltar","Espenson","Atlanticus","Hestia","Pavia","Gramadas","Boucher","Queenstown","Minos","Zarek","Celeste","Hypatia", "Nagala","Celtan","Tamara","Kellan","Columbia",
"Archeron","Inviere","Roslin","Agathon","Thorne","Cecere","Kendra","Burton","Versace","Rihanna","Toronto","Zurich","Laurent","Harper","Kronthaler","Ahluwalia","Galliano","Beaton","Princeton","Gherardini","Planck","Cepheid","Florence","Ludovico","Vasari", "Gabriel","Caterina","Giocondo","Cecilia","Gallerani","Bernardino","Vercellina",
"Hyperion","Atlas","Maliwan","Dahl","Torgue","Tediore","Stingray","Geryon","Pandora","Marcus","Zoltan","Steropes","Eridian","Seraph","Dexidous","Lynchwood","Southpaw","Triquetra","Morphous","Archer", "Fremington", "Paragon", "Frostburn", "Lascaux", "Chulainn", "Foster", "Hammerlock", "Jackenstein", "Nakayama", "Harpoon","Vermion","Siren","Tundra",
"Thrall","Spycho","Firehawk","Tector","Hellfire","Bartlesby","Pitchfork","Jackpot","Longbow","Reinhart","Eridium","Hyperious","Rapier","Hornet","Thunderball","Logan","Sawtooth","Veruc","Mobley","McNally","Firefox","Seraphim","Seraph","Ahab","Deadwood","Stallion", "Maverick","Patriot","Falchion","Paritisan","Flamerock","Banbury","Jinx",
"Planck","Frankfurt","Konstanz","Heidelberg","Dresden","Rostock","Dusseldorf","Murdoch","Monash","Swinburne","Deakin","Javeriana","Sabana","Montreal","Autonoma","Hawkesbury","Panama","Ghana","Vienna","Laurentian","Ontario","Allahabad","Pradesh","Coimbatore","Ranchi", "Chennai","Dushanbe","Sukachev","Belarus","Nairobi","Namibia","Okinawa",
"Sukbok","Timmermann","Jinwoo","Heinrich","Seoul","Jinwoo","Kimoon","Granick","Govind","Ballabh","Dehradun","Ludhiana","Hopkins","Baltimore","Kanono","Cepheus","Kerala","Calicut","Mundur","Valiamala","Gandhi","Achuta","Kerala","Seattle","Hutchinson","Babraham","Earlham", "Rothamsted", "Chilbolton", "Daresbury","Rutherford", "Appleton",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Alcyoneus"];

this.rockpool13 = [
"Alverstoke","Farnborough","Malvern","Pershore","Salam","Lahore","Quetta","Karachi","Multan", "Sindh","Chihuahuan","Danforth","Lankenau","Rodale","Sanford","Burnham","Telemark","Bouchet","Synchrotron","Poincare","Oberwolfach","Nordic", "Smithsonian","Tiputini","Grunewald","Lokomotiv","Versuchsamt","Harvard","Oppengeimer","Lehmann","Sakharov", "Schwarzschild",
"Morlock","Moloch","Costello","Mendicant","Thanos","Ultron","Baldwin","Galactus","Genesis","Calamari","Halpern","Sandman","Cortana","Karnell","Xevious","Tritel","Castor","Zelda","Tenchu","Combine","Pitchford","Moriarty","Derinoe","Prometheus","Volkova", "Grayman","Kumbata","Fausta","Dedalus","Dalma","Aesop","Lazarus",
"Matatoa","Narcosis","Nicodemus","Nocturna","Proteus","Escabedo","Falcone","Odessa","Penitente","Falstaff","Calabrese","Ackerson","Imperiex","Celestris","Satanus","Veliathan","Solano","Faustus","Lashina","Panthea","Vartox","Prometheon","Cassandra", "Raptus","Briareos","Cadulo","Formicida","Ishida","Lockhart","Sinestro","Aldebaran","Polaris",
"Serin","Kadabra","Katmos","Kordax","Nereus","Lopis","Pomoxis","Triton","Vadum","Morbius","Shathra","Tenenbaum","Steinman","Comstock","Cornelius","Vakarian","Mordin","Samara","Morinth","Massani","Kasumi","Prothean","Kosta","Arterius","Thorian","Kenson", "Moreau","Khalisah","Anoleis","Armando","Kandros","Carmack",
"Copernicus","Amstrad","Macintosh","Commodore","Sinclair","Curie","Lovelace","Montbatten","Cromwell","Lincoln","Hindenburg","Lydon","Macken","Conrad","Madden","Michell","Mannion","Irwin","Shepard","Grissom","Armstrong","Lovell","Aldrin","Borman", "McCool","Gagarin","Vostok","Leonov","Tereshkova","Komarov","Holdstock","Wyndham",
"Bergmann","Schumpeter","Leontief","Becker","Skousen","Wicksell","Veblen","Thorstein","Krugman","Stanford","Cornell","Hopkins","Bensalah","Kabore","Fonseca","Touadera","Assoumani","Guelleh","Ambrose","Dlamini","Ondimba","Lesotho","Othmani","Buhari", "Ramaphosa","Rouhani","Akihito","Naruhito","Vorachith","Bhandari","Duterte","Rahmon",
"Langdon","Seldon","Krempe","Waldman","Pavlovich","Challenger","Ravelstein","Fletcher","Moriarty","Ransom","Aronnax","Faraday","Nemur","Keating","Abronsius","Spengler","Venkman","Higgins","Falconer","Octavius","Howland","Xavier","Yaffle","Bushwick","Chronotis", "Farnsworth","Fleming","Quatermass","Fowler","Summerfield","Fabian","Henshall",
"Paribas","Hapoalim","Generale","Belfius","Triodos","Kovanica","Ancoria","Piraeus","Libanais","Komeroni","Palatine","Galliano","Raiffeisen","Liechtenstein","Lombard","Kempen","Nordea","Funchal","Leumi","Bratislava","Resona","Clariden","Ceylon","Kleinwort","Raphael","Futaba","Consorcio","Ganadero","Parana","Bradesco","Falabella","Mitsubishi",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Athos"];

this.rockpool14 = [
"Occidente","Pichincha","Promerica","Lafise","Pacifico","Atlantida","Aliado","Fomento","Bancaribe","Descuento","Baroda","Vanuatu","Bahrain","Grameen","Rupali","Huaxia","Fushun","Canton","Bandhan","Karnataka","Mauritius","Vithal","Gomati","Dehradun", "Ludhiana","Ladaka","Pradesh","Maratratha","Kaltimtara","Karafarin","Mellat","Refah",
"Hokuto","Kanto","Tohoku","Lumbini","Karachi","Keppel","Kalashnik","Gaborone","Atlantico","Comoros","Oromia","Baroda","Mauritanie","Windhoek","Grindrod","Meknikov","Kleist","Holderlin","Vorona","Zhabin","Bushida","Molchalin","Pasternak","Rabinovich","Varkov","Mareschal","Volkov", "Zorkin","Fukushima","Aslanov","Borodin","Chaban",
"Colonia","Pleiades","Asura","Astrum","Canonnia","Carcosa","Carlota","Centralis","Deriso","Garuda", "Hephaestus","Kopernik","Luchtaine","Meretrida","Mobia","Rodentia","Petram","Sollaro","Eravate","Kremainn","Potriti","Felkan","Karis","Aspero","Zelano","Guaras","Antobri", "Mandhrithar","Leucos","Pomeche","Mandh","Firdaus",
"Gushiken","Naunei","Thrutis","Lalande","Achansa","Limapa","Wolfberg","Pomeche","Deciat","Mainani","Lembava","Hachisuka","Kamadhenu","Merope","Asterope","Duamta","Alioth","Parutis","Kamitra","Timbalderis","Eranin","Achenar","Arietis","Luhman","Piscium","Carener", "Narenses","Sameni","Rasmussen","Tucanae","Kushen","Berenices",
"Acihaut","Korwei","Okinura","Hashimoto","Mombaluma","Tiapalan","Tollan","Hagino","Taliesin","Aspelenie","Parutis","Denebola","Piscium","Corbenic","Carnoeck","Macalites","Mulachi","Hiraoka","Hambula","Pethes","Convoumia","Nornari","Fornacis","Hamasaki","Charonium", "Rhiannon", "Soturicari","Hanabusa","Liaedin","Marduk","Brahma","Velorum",
"Jameson","Galileo","Gorbachev","Columbus","Lincoln","Hutton","Miller","Haller","Jenner","Lomas","Powell","Patterson","Ichihara","Ikeda","Vesalius","Hurston","Darkes","Borman","Stafford","Davies","Gupta","Kirtley","Galton","Sanger","Weber","Hardwick","McCandless", "Rowley","Schneider","Mansfield","Gilmour","Imamura",
"Tepper","Malchiodi","McNair","Ashby","Qureshi","Mastracchio","Thurston","Kelleam","Needham","Kamei","Kamada","Buchli", "McDaniel","Godwin","Santos","Darboux","Stevenson","Kataoka","Rossum", "Garan", "Treshchov","Katayama","Kawabata","Kawasaki", "Rushworth","Kurosawa","Machida","Cartier","Nagata","Lerman","Garratt","Kennan",
"Shuttleworth","Molina","Dalton","Nakamura","Nishikawa","Kessel","Cabrera","Darkwater","Hackworth","Bresnik","Levinson","Thiele","Napier","Harrison","Waldeck","Karlsefni","Steiner","Tarelkin","Laumer","Khrenov","Matheson","Metcalf","Nishimura","Omori", "Norton","Okamoto","Crampton","Griffiths","Dixon","Sakurai","Dobson","Bentham",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Echion"];

this.rockpool15 = [
"Hadron","Innes","Moredun","Quadram","Franklin","Denhart","Heseinberg","Scully","Hardwick","Heinrich","Skinner","Spender","Kersh","Kennedy","Whitestone","Blacksand","Gibson","Mahler","Mandel","Neider","Rahman","Reinhart","Schaeffer","Rademaker","Ophoven","Waterman", "Bashar","Darwish","Hamdi","Kader","Khalid","Rahim",
"Ingman","Kafer","Kalbach","Kuehler","Mahler","Mulder","Armando","Bautista","Castellano","Florentino","Jaramillo","Lorenzo","Maduro","Mathias","Puerta","Sanchez","Santana","Valenciano","Riversong","Freeman","Abiodun","Adeleke","Chidubem","Obiakolam","Temitope", "Beltran","Gallardo","Maldonado","Pacheco","Palacios","Quintero","Velasco",
"Dawnstar","Barbeau","Bastien","Blanchet","Cadieux","Cartier","Chevalier","Comtois","Leroux","Richelieu","Rousseau","Sartre","Tavernier","Toussaint","Vachon","Voclain","Ferguson","Kendrick","Leishman","Napier","Florescu","Tarniceriu","Vacarescu","Corcoran","Deasun", "Flanagan","Kavanagh","Sullivan","Salverson","Thostenson","Athanasiou","Calimeris",
"Faucher","Frossard","Gagneux","Gaudin","Kaplan","Lambert","Langlois","Lemaitre","Spelaeum","Auchter","Blackwood","Butchart","Cameron","Crawford","Davidson","Dunsmore","Ardelean","Dascalu","Floarea","Lazarescu","Munteanu","Nectaria","Romanescu", "Tecuceanu", "Dempsey", "Donovan", "Driscoll", "Whelan","Bunderson", "Emanuelson", "Halvorson","Kolbeck",
"Gutamaya","Kinematic","Lakon","Kruger","Takada","Vodel","Zorgon","Peterson","Kavanagh","Anastasia","Chieftain","Galactica","Summit","Condor","Fonseca","Ocellus","Crusader","Rockforth","Diamondback","Kaine","Limpet","Brenquith","Rackham","Martineau","Aphelion", "Zenith","Nemo","Olmanova","Darrow","Ironflank","Ishanti","Laredo",
"Palisade","Redline","Santeau","Sarif","Tarsus","Xenon","Jensen","Pritchard","Sevchenko","Faridah","Keitner","Tarvos","Kevlar","Blackwater","Cowell","Aphid","Redback","Matsouka","Strelka","Trident","Gandara","Lacerda","Chameleon","Chloros","Diamandis","Katsaros","Matsouka", "Nephus","Othonos","Cardoso","Castro","Facundo",
"Barbosa","Bonaparte","Borlase","Buckland","Cookson","Dawson","Mantuani","Dreimanis","Hattersley","Hoffman","Kitson","Lapworth","McKenzie","Newberry","Osmolska","Patterson","Powell","Runcorn","Chardin","Werner","Bandura","Feldman","Cosmides","Davidson", "Madison","Gergen","Kagan","Loftus","Nadel","Posner","Rosch","Rutter",
"Schroger","Sternberg","Tavris","Petseri","Baltimore","Karplus","Penrose","Weinberg","Kandel","Montagnier","Penfold","Prusiner","Sudhof","Allansia", "Zanbar","Keystone","Mortvania","Balthor","Nicodemus","Karam","Ishtra","Malbordus","Mencius","Sargon","Balthazar", "Oldoran","Lomba","Machado","Medeiros","Pestana","Ribeiro","Sarmento",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Enceladus"];

this.rockpool16 = [
"Antiochus","Chabrias","Astaroth","Leontichus","Phanias","Alcamenes","Aracus","Aristeus","Brasidas","Cleandridas","Cinadon","Clearchus","Cleomenes","Diphridas","Hierax","Mindarus","Pausanias","Phoebidas","Sphodrias","Teleutias","Anaxibius","Antalcidas","Andromachus","Nearchus","Onesicritus","Proteas","Heraclides",
"Phormio","Protomachus","Themistocles","Tolmides","Amphoterus","Cleitus","Dioscurides","Antiochus","Proteas","Callicrates","Helenus","Patroclus","Seleucus","Theodorus","Cleonaeus","Atreids","Perseides","Menelaus","Orestes","Tisamenos","Aristodemos","Echestratus","Labotas", "Archelaus","Teleclus","Alcamenes","Leonidas","Cleomenes","Pausanias","Leonidas","Cleomenes","Charilaus",
"Cherokee","Apache","Cheyenne","Navajo","Pawnee","Sioux","Shawnee","Lakota","Modoc","Arikara","Quechan","Cahuilla","Serrano","Mandan", "Goshute","Missouria","Tulalip","Maidu","Chiricahua","Ponca","Geronimo","Tecumseh","Cochise","Brant","Cornplanter","Quanah","Victorio", "Washakie","Manuelito","Pushmataha","Dohasan","Denson",
"Atkinson","Whittle","Trevithick","Parsons","Hinton","Heaviside","Haslett","Gresley","Entwisle","Drummond","Brunel","Brindley","Boulton","Barlow","Philbrick","Phelps","Perkins","Peabody","Paddleford","Norden","Newhouse","Moloney","Molina","Melton","McNamara","Lynch","Lundin","Petrus","Lundeen","Lombard","Lieder","Lasker",
"Labram","Kruesi","Koester","Kassalen","Hutton","Huskey","Hurst","Huang","Hourani","Hornblower","Holman","Hobson","Hasbrook","Goldmark","Gandhi","Freedman","Foley","Flaherty","Fairburn","Evans","Emerson","Bowden","Whitefield","Crothers","Cushman","Copeman", "Collier", "Warrington","Carpenter","Christie","Moisseiff","Belmar",
"Cherkesov","Konev","Dvorkhin","Nikolayev","Gorshkov","Lavochkin","Shikov","Zhukov","Vrobiev","Medvedev","Makharov","Mikhailov","Popov","Rusakov","Tsarev","Salbiev","Serov","Zhdanov","Roman","Stepan","Yuri","Vladimir","Vyacheslav", "Svetlana","Tatiana","Viktoria","Valentina","Inna","Lillia","Carluccio","Trulli","Alboretto",
"Apparatchik","Dekulakization","Gosplan","Pyatiletka","Khozraschyot","Kulak","Likbez","Lysenkoism","Naukograd","Troika","Nomenklatura","Bolshevik","Partmaximum","Prodnalog","Prodrazvyorstka","Selsoviet","Shabashka","Sovkhozes","Kolkhoze","Sharashka","Shturmovshchina", "Sovietization","Sovkhoz","Stakhanovite","Uchraspred","Udarnik","Uskoreniye","Vsevobuch","Yevsektsiya","Psikhushka","Sanatoria","Uskoreniye",
"Kalinin","Voznesensky","Beria","Malenkov","Bulganin","Kaganovich","Saburov","Khrushchev","Kosygin","Brezhnev","Pavlov","Yeltsin","Osinsky","Zinoviev","Bazhanov","Mazurov","Polyansky","Kosygin","Kamenev","Sverdlov","Kalinin","Vladimirsky","Shvernik","Voroshilov","Mikoyan","Podgorny", "Kuznetsov","Andropov","Kuznetsov","Chernenko","Gromyko","Lukyanov",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Klytius"];

this.rockpool17 = [
"Kieopatra","Balam","Lempo","Sedna","Dietz","Atira","Bermuda","Mumbai","Bangalore","Jaipur","Bhopal","Karachi","Lahore","Multan","Larkana","Tokyo","Okazaki","Toyokawa","Tsushima","Beijing","Shanghai","Tianjin","Regulus","Eupheme","Horologii","Macau","Preroria", "Leonis","Saiph","Eirene","Hamilton","Greenock",
"Faponle","Waite","Conrad","Pulaski","Michell","Browne","Irwin","Yong","Pervaiz","Cernan","Schmitt","Borman","Lovell","Berenice","Gordon","Haise","Swigert","Adustio","Worden","Mattingly","Grissom","Abdikani","Schirra","McDivitt","Stafford","Eisele","Certamen","Cooper","Longana","Engle","Asher","McAuliffee",
"Alvarez","Romero","Delgado","Ramirez","Castillo","Brooke","Valdez","Chikuda","Daijou","Ide","Fujikawa","Gatou","Hakui","Kobayashi","Takagi","Yamamoto","Hidaka","Okuyama","Nakajima","Okazaki","Oikawa","Shirakawa","Sonoda","Terada","Taniguchi","Uchiyama","Takei","Ozawa","Saiki","Haig","Wavell","Tarchon",
"Beatriz","Josefina","Inocenta","Pepita","Crista","Saika","Saki","Yui",	"Yoko","Yuuka","Hortulana","Aya","Rin","Rina","Rafael","Julio","Sebastiano","Xavier","Orlando","Raul","Renaldo","Pierre","Stephane","Thierry","Loic","Napoleon","Rene","Alain","Frederic","Theo","Howard","Tredegar",
"Katina","Lizabeta","Natasha","Zasha","Marisha","Manya","Ekaterina","Elena","Galina","Nikolina","Nina","Miriam","Tanya","Tatiana","Sophia","Katerina","Jekaterina","Karina","Karolina","Kira","Raisa","Ruslana","Valentina","Valeria","Vasilisa","Viktoriya","Vlada","Xenia","Danica","Avdotya","Avelina","Zora",
"Brudenell","Cholmondley","Cavendish","Greco","Romano","Rizzo","Moretti","Pelamourges","Facheux","Dupiesse","Moreau","Werner","Kohler","Jung","Fuchs","Fischer","Scholz","Lonnquist","Knudsen","Odegard","Olsen","Parnevik","Rystrom","Sandstrom","Prins","Wever","Nowak","Kaminski","Berman","Jansen","Cheung","Yeung",
"Suen","Kueh","Koay","Quay","Quek","Cheang","Leong","Sung","Tong","Tang","Fung","Cheung","Tseung","Tuen","Meng","Sheung","Acharya","Agarwal","Khatri","Ahuja","Anand","Laghari","Bakshi","Arya","Banerjee","Varma","Dalal","Ahluwalia","Ganguly","Kapoor","Goswami","Mahajan",
"Brahma","Vednatha","Chaturmukha","Loricatorum","Praeda","Permano","Parvati","Durga","Kali","Bhumi","Merula","Saraswati","Gayatri","Ganga","Narmada","Yami","Sati","Shashthi","Savitri","Manasa","Svaha","Dakshina","Shiva","Vishnu","Narayana","Narayana","Thirumal","Perumal","Jagannatha","Hayagriva","Achyuta","Madhava",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Hekatonkheires"];

this.rockpool18 = [
"Menaka","Pramlocha","Rambha","Tara","Tilottama","Delambre","Adrika","Astika","Kaliya","Karkotaka","Susna","Shesha","Takshaka","Ulupi","Vasuki","Erawan","Gajasimha","Ganesha","Iravati","Vinayaki","Pundarika","Vamana","Kumunda","Supratika","Anjana", "Cultum","Kesari","Nala","Dentalia","Tara","Vishwakarma","Dhenu",
"Peyton","Julia","Reagan","Melanie","Eliza","Aubree","Adalynn","Kylie","Jasmine","Ashley","Alexandra","Amaya","Ariel","Emersyn","Josie","Daisy","Esther","Teagan","Sydney","Lauren","Cecilia","Trinity","Catalina","Freya","Eloise","Genevieve","Jordyn","Sienna","Andrea","Lucia","Kayla","Elliana",
"Ghazni","Medina","Damascus","Baghdad","Cairo","Timbuktu","Cordoba","Samarra","Hibabiya","Hamdallashi","Jerusalem","Bukhara","Mosul","Neyshabur","Harran","Sanctus","Decapolis","Edom","Gadara","Holon","Hebron","Jabbok","Legio","Madon", "Caerulus","Narbata","Naveh","Ramoth","Resen","Sabea","Luscus","Samaria",
"Memphis","Carthage","Alexandria","Benin","Kano","Laibela","Aksum","Djenne","Meroe","Tulum","Teotihuacan","Logos","Palenque","Uxmal","Calakul","Chacchoben","Cuicuico","Kabah","Labna","Mitla","Sayil","Xlapak","Yagul","Dwarka","Kalpi","Chirand","Jajpur", "Kannauj","Devkot","Lothal","Lashkar","Madurai",
"Ossian","Nashik","Sangrur","Praesens","Quilon","Sagala","Cococinel","Allahabad","Sopara","Taluk","Vidisha","Avanti","Vellore","Taxila","Uraiyur","Bhopal","Sapientia","Kanazawa","Kitsuki","Interstinctus","Usuki","Matsue","Uchiko","Tremere","Asuka","Sakurai","Bitchu","Takahashi","Kawagoe","Naramachi","Matsumoto","Kyoto",
"Aditi","Deepali", "Juhi","Deepika","Kanchana", "Akhila","Dhanishka",	"Indrani", "Amita","Kareena", "Madhuri","Ananyia","Leela", "Dhanishka", "Ankita", "Hemlata", "Kavita", "Anushree",	"Jesminder", "Binita","Deepti", "Latha", "Mallika", "Joshna","Devanshi","Harshita", "Indira", "Latika", 	"Gita", "Munira","Disha","Latha", "Mallika", "Nadia","Mira",
"Spilonotus", "Rani", "Astur", "Spectabilis", "Spilornis", "Holospilus", "Pectus", "Baluensis", "Rascens", "Circaetus", "Beaudouini", "Pectoralis", "Gallicus", "Tracheliotos", "Torgos", "Plebeius", "Occipitalis", "Sarcogyps", "Coprotheres", "Indicus", "Necrosyrtes", "Neophron", "Humilis", "Pelagicus", "Feroides", "Vocifer", "Sanfordi", "Sphenurus", "Ictinia", "Diodon", "Dentatus", "Hamatus", 
"Spurius", "Cephalus", "Purpurei", "Sandalium", "Zonarius", "Barnardius", "Zealandicus", "Antipodes", "Raiatea", "Ulietanus", "Malherbe", "Auriceps", "Ouvea", "Cornutus", "Kadavu", "Peale", "Splendens", "Taveuni", "Levu", "Vanua", "Tabuensis", "Personata", "Prosopeia", "Venustus", "Eximius", "Adscitus", "Delicium", "Voluptas", "lorikeet", "Mindanao", "Hartert", "Moluccanus", 
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Briareus"];

this.rockpool19 = [
"Pipilo", "Fabula", "Phalmus", "Icterid", "Quabin", "Towhee", "Melodia", "Pasculus", "Albicollis", "Trichia", "Zono", "Junco", "Hyemalis",  "Grammacus", "Jardin", "Emberiza", "Calandra", "Pallasi", "Schoeniclus", "Aureola", "Emberiza", "Pusilla", "Fucata", "Cretzschmar", "Ortolan", "Guara", "Aragon", "Hortulana","Nella", "Leucoce", "Passeri", "Cyanea", 
"Coronatus", "Aegithalos", "Caudatus", "Cecropis", "Daurica", "Rhalos", "Delichon", "Urbicum", "Hirundo", "Rustica", "Eurasia", "Progne",  "Cinericius", "Riparia", "Alpestris", "Eremophila", "Leucoptera", "Alauda", "Arvensis", "Lullula", "Arborea", "Galerida", "Cristata",  "Calandrella", "Rufe", "Andrella", "Corypha", "Melano", "Calandra", "Alaudi", "Panurus", "Periparus", 
"Aquaticus", "Falco", "Rusti", "Eleonorae", "Consilium", "Amurensis", "Vesper", "Pandion", "Aquila", "Clanga", "Intercisus", "Accipiter",  "Montagu", "Neophron", "Apivorus","Podiceps","Platalea", "Leucorodia", "Threskiorn", "Egretta", "Squacco", "Lenti", "Crispus", "Fregata", "Auritus", "Suliforme", "Morus", "Sulidae", "Phaethon", "Monorhis", "Oceanites", "Diomedea", 
"Coucha", "Oleucus", "Awashensi", "Parvus", "Dioecetes", "Beccari", "Elomys", "Lanosu", "Toides", "Rothschild", "Subal", "Aroaensis",  "Dacrima", "Mindanao", "Signatus", "Leptomys", "Conditor", "Leporil", "Domitian", "Sabanus", "Sundai", "Lenoth", "Rosalia", "Linula", "Turbulentus", "Komodo", "Okuensi", "Goliath", "Parvus", "Neatha", "Deniae", "Oppressio", 
"Brunneus", "Brevicauda", "Talamancae", "Aphrastus", "Alfari", "Melanops", "Simplex", "Nelsoni", "Dimidiatus", "Couesi", "Antillarum",  "Victus", "Vegetus", "Transitorius", "Stramineus", "Moojeni", "Magellan", "Chacoen", "Brendae", "Andinus", "Trinitatis", "Specios",  "Dandersoni", "Rutilus", "Phaeotis", "Cleberi", "Ingrami", "Mamorae", "Vespuccii", "Indefes", "Nimbosus", "Pectoralis", 
"Nyno", "Catalina", "Necci", "Orabella", "Gabriella", "Capricia", "Candreva", "Lucciano","Genevra", "Nereza","Monaldo", "Reluctor", "Mancini", "Monaldo", "Gartana","Trevisan","Bonfilia", "Diamante", "Piccio", "Allesi", "Angioletta", "Monaldo", "Cosima", "Milano","Donati", "Lombardi", "Nahara", "Valeria", "Loreto", "Melania", "Velia", "Ornella", 
"Evanna", "Nermana", "Isolde", "Tesha", "Halfrida", "Chimane", "Louella","Adamaris", "Edrei","Ingaberg", "Shahay", "Adamaris", "Makai", "Ingaberg","Halle", "Tehmina", "Adira", "Chiara", "Edrei", "Tanwen", "Audelia", "Inara", "Aithne","Durkhanai", "Ciandra", "Philomena", "Louella", "Jocelyn",  "Cymbre", "Brenna", "Aquila", "Danasur",
"Manar", "Vielma", "Bali", "Celia", "Tlachelel", "Cassander", "Partho", "Durbail", "Kovalan","Fuentes", "Ojore", "Marcella", "Lothar", "Fabliaux","Abhivira","Alois", "Alaois", "Osborn", "Jayvyn", "Dorian", "Fitela", "Kulvir", "Aryo", "Volanaro", "Pharrell", "Salvatore", "Saccularius", "Elior", "Kalva", "Ervar", "Kava", "Naois", 
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Discipulus"];

this.rockpool20 = [
"Guanabara","Morecambe","Banba","Manila","Chaleur","Galverson","Penobscot","Saginaw","Bohai","Frobisher","Tokyo","Saldanha","Guantanamo","Korea","Maputo","Hawke","Bothnian","Quinte","Moreton","Bengal","Mexico","Delagoa","Saldanha","Khambhat","Aqaba", "Subic","Tonkin","Carpentaria","Collier","Bonaparte","Keppel","Diemen",
"Alexei","Alexandr","Artem","Dmitri","Fyodor","Georgi","Ivan","Illya","Konstantin","Leonid","Maxim","Mikhail","Nikolai","Oleg","Pavel","Pyotr","Anastasia","Alexandra","Ekaterina","Elena","Dasha","Karyna", "Yulia","Ksenia","Elisaveta","Ludmilla","Irina","Venera","Marianna","Mirena","Natalia", "Natasha",
"Daichi","Kaito","Kamui","Naoki","Naoto","Aguri","Shou","Shinji","Takahiro", "Tsubasa","Riku","Taiki","Takuma","Ryu","Satoru","Tora","Sakon","Yuji","Yuzuki","Akane","Asuka","Ayaka","Chihiro","Haruka","Mai","Miho","Mizuki","Mokomo","Nanako","Reina","Riko","Sakura",
"Wilton","Whorlton","Snape","Skipton","Skelton","Ripley","Richmond","Ravensworth","Pickering","Nappa","Mulgrave","Middleham","Marmion","Knaresborough","Hornby","Helmsley","Hellifield","Hazlewood","Danby","Crayke","Middleham","Annesley","Aslockton","Bothamsall", "Laxton","Lowdham","Nottingham","Newark","Halloughton","Ardley","Ascot","Banbury",
"Norwich","Claxton","Caister","Baconsthorpe","Alderton","Benefield","Towcester","Farthingstone","Lilbourne","Houghton","Buckby","Northampton","Titchmarsh","Rockingham","Barnwell","Astwell","Waterville","Thorpe","Cornhill","Elsdon","Haggerston","Haltwhistle","Heiferlaw","Hepple", "Lilburn","Kyloe","Swinburne","Lowick","Welton","Hethpool","Howtel","Nafferton",
"Ponteland","Simonburn","Staward","Tarset","Thornton","Whitton","Warkworth","Northumberland","Thirlwall","Prudhoe","Norham","Morpeth","Lemmington","Langley","Horsley","Hexham","Haughton","Harbottle","Halton","Featherstone","Embleton","Elsdon","Edlingham","Dunstanburgh", "Dilston","Cresswell","Crawley","Craster","Coupland","Corbridge","Cockle","Cartington",
"Callaly","Bothal","Berwick","Bellister","Belsay","Beaufront","Barmoor","Bamburgh","Aydon","Alnwick","Alnham","Acklam","Burton","Lonsdale","Buttercrambe","Carlton","Levington","Duffield","Guisborough","Harsley","Kilton","Kirkby","Fleetham","Malton","Saxton", "Sigston","Tadcaster","Topcliffe","Ayton","Barden","Bolton","Danby",
"Brisbane","Sydney","Fremantle","Melbourne","Dampier","Wellington","Darwin","Adelaide","Newcastle","Houston","Angeles","Jersey","York","Georgia","Tacoma","Seattle","Virginia","Carolina","Charleston","Oakland","Miami","Rotterdam","Antwerp","Hamburg", "Valencia","Algeciras","Piraeus","Santos","Panama","Balboa","Cartagena","Manzanillo",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Ethniu"];

this.rockpool21 = [
"Beaumont","Brightwell","Chipping","Norton","Faringdon","Hinton","Leafield","Moreton","Waldrist","Radcot","Shirburn","Rotherfield","Oxford","Hanwell","Broughton","Bampton","Rutland","Burley","Woodhead","Oakham","Apley","Belan","Kinnerley","Buckhurst","Bucknell","Charlton","Cleobury","Colebatch","Fordhall","Holdgate","Minton","Rushbury",
"Ruyton","Stapleton","Soulton","Bretchel","Felton","Stokesay","Shropshire","Shrewsbury","Rowton","Quatford","Corbet","Moreton","Ludlow","Hopton","Broncroft","Alberbury","Burnell","Acton","Neroche","Cockroad","Montacute","Stowey","Walton","Taunton","Sutton", "Farleigh","Hungerford","Dunster","Beckington","Banwell","Doncaster","Thorne",
"Raddlett","Whatt","Pritney","Saud","Kruger","Spalder","Starblaze","Tumulus","Allutium","Tyley","Feynman","Berner","Wildeblood","Ferman","Socam","McGreavy","Irrikan","Rackham","Ichihara","Zieman","Mosser","Astrobe","Ayton","Ganelon","Saleza","Caducei","Dinamec", "Neurath","Firefly","Strelka","Ryder","Zetter",
"Conisbrough","Heighley","Tutbury","Tamworth","Stourton","Berenice","Eccleshall","Chartley","Caverswall","Alton","Denham","Freckenham","Ashfield","Haughley","Ipswich","Lidgate","Milden","Wingfield","Orford","Mettingham","Bungay","Framlingham","Abinger","Betchworth","Cranleigh", "Broomhall","Reigate","Starborough","Thunderfield","Walton","Farnham","Guildford",
"Burradon","Heaton","Tynemouth","Ravensworth","Hollinside","Newcastle","Warwickshire","Baginton","Beaudesert","Brailes","Brandon","Brinklow","Caludon","Halford","Ratley","Studley","Seckington","Warwick","Maxstoke","Kenilworth","Astley","Allesley","Bescot","Bromwich", "Caludon","Darlaston", "Wednesbury","Coventry","Dudley","Bramber","Arundel","Amberley",
"Halnaker","Almondbury","Bardsey","Barwick","Sowerby","Wakefield","Wetherby","Pontefract","Harewood","Ashton","Lewisham","Marlborough","Norwood","Stapleford","Ludgershall","Longford","Sarum","Elmley","Hanley","Tenbury","Worcester","Hartlebury", "Caldwall","Carlow","Tinnahinch","Cabra","Saunderson","Boston","Leamaneh","Dangan","Dough","Dromore",
"Doumely","Dreistein","Echelle","Pothees","Chatenois","Bernstein","Windstein","Ramstein","Andlau","Altkirch","Echery","Freundstein","Morimont","Ferrette","Landskron","Schwendi","Montmort","Vienne","Troissy","Grandville","Blamont","Mousson","Vaudemont","Ancerville", "Rodemack","Turquestein","Confolens","Richemont","Fouras","Montendre","Villeneuve","Cherveux",
"Auberoche","Aucors","Bellegarde","Bridoire","Brieudet","Filolie","Amsterdam","Berlin","Madrid", "Panoptes","London","Paris","Prague","Stockholm","Vienna","Athens","Belgrade","Budapest","Copenhagen","Dublin","Luxembourg","Minsk","Monaco","Nicosia","Valletta", "Warsaw","Vilnius","Blanquefort","Curton","Chabrol","Lastours","Montbrun",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Cacus"];

this.rockpool22 = [
"Pharris", "Conlan", "Goron", "Cassander", "Ariki", "Halbert", "Laertes","Kovalan", "Atal", "Siraj", "Radames", "Corentin", "Martyn", "Jonah","Carcharodon","Barbod", "Prabir", "Cauterium", "Leonor", "Catalina", "Laran", "Naishadh", "Lucian","Tamatoa", "Kiaskari", "Clarisa", "Tharris", "Durbail", "Sohrab", "Palatium", "Ingvar", "Arcelia", 
"Santin", "Ortegon","Cayo", "Carda", "Ingles", "Vasco", "Topete", "Salome", "Zarco", "Verda","Amparan", "Celio", "Silvestre", "Guiomar", "Ammissio", "Zevallos", "Futen", "Zambran", "Kannon", "Sangen", "Marici", "Vasilieva", "Tatsuta", "Klara", "Usodori", "Hisame", "Koshin", "Bosatsu", "Shaka", "Inari", "Takami", "Sashura", 
"Anthracinus", "Noctialis", "Leuco", "Occidentalis", "Plumbeus", "Nulatus", "Melanops", "Princeps", "Butastur", "Indicus", "Macrourus", "Radiatus", "Accipiter", "Virgatus", "Collaris", "Cephalus", "Tatus", "Soloensis", "Castanilius", "Tachiro", "Melierax", "Radiatus", "Typus", "Vorus", "Melanol", "Cinereous", "Cyaneus", "Murus", "Assimilis", "Buffoni", "Millardi", "Macrosceles", 
"Lafres", "Melanotis", "Fuertes", "Opsittaca", "Perodroma", "Puerto", "Rican", "Guadeloupe", "Violacea", "Vinaceous", "Vinacea", "Lucia", "Ventralis", "Tucumana", "Salvadori", "Pretrei", "Temminck", "Oratrix", "Ochrocephala", "Mercenarius", "Martinique", "Empidonax", "Dispensator", "Neophema","Farinae", "Mulga", "Varius", "Alexandrae", "Regulus", "Anthopeplus", "Naretha", "Lathamus", 
"Ellaria", "Leuco", "Pusilla", "Wilsonia", "Setophaga", "Dendroica",  "Petechia", "Castanea", "Magnolia", "Pancamo", "Parula", "Americana", "Tigrina", "Guatemala", "Ruticila", "Citrina", "Trichas", "Lanceo", "Seiurus","Acensis", "Aurocapilla", "Passeri", "Phoeniceus", "Agelaius", "Molothrus", "Vorus", "Passeri", "Torum", "Palida", "Dinax", "Aedon", "Iduna", 
"Nisoria", "Ibericus",  "Tochilus", "Oscopus", "Borealis", "Fuscatus", "Inornatus", "Tenel", "Terentius", "Pluvialis", "Apricaria", "Dominica", "Doterel", "Caspian", "Asiaticus", "Charadrius", "Alexandia", "Vociferus", "Palmatus", "Tundrae",  "Dubius", "Varanger", "Varum", "Amboselie", "Oedicnemus","Avocet", "Avosetta", "Otis", "Tarda", "Houbara", "Tetrax", "Otididae",
"Canaden","Gruidae", "Americana", "Fulica", "Porphyrio", "Phyrio", "Chloropus", "Zapornia", "Baillon", "Talaudium", "Spechti", "Rubicola", "Paveli", "Obiensis", "Manus", "Papua", "Lutillus", "Tambuai", "Leucogas", "Riama", "Seram",  "Fulgens", "Yamdena", "Fraterculus", "Manusela", "Dollmani", "Cooperae", "Burtoni", "Rossel", "Arcium", "Aerosus", "Mothrix",  
"Panglima","Pagensis", "Ochracei", "Inflatus", "Inas", "Myoides", "Baeodon", "Natalen", "Huberti", "Reithrodon", "Auritus", "Mordax", "Neotomys", "Euneomys", "Tapecua", "Delicatus", "Pericote", "Magister", "Limatus", "Definitus",  "Caprinus", "Bonaerense", "Pericote", "Andium", "Amicus", "Edithae", "Centralis", "Domorum", "Pericote", "Laucha", "Moreni",  "Tocantinsi",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Cottu"];

this.rockpool23 = [
"Pacificae","Uber","Protegat","Tumidus","Ferrum","Aurum","Armato","Occupatus","Districtus","Barberini ","Sophos","Sapiens","Amicissimum","Fidelis","Mortalis","Munificus","Fortis","Validus","Fortem","Animosus", "Insectum","Melculum","Concustodio","Domum","Collectivus","Oppidum","Municipium","Castra","Stratopedum","Custos","Regina","Villam",
"Officina","Vespa","Nidus","Cubile","Alvearium","Alvus","Terrenus","Civitas","Munificus","Largus","Benignus","Opulentos","Locuples","Venustus","Decorus","Lepidus","Tribolaios","Gestuosus","Cracens","Dulcis","Suavis","Dulcifer","Bellatulus","Gratissimum","Auxiliarius","Utibilis","Salataris","Gloria", "Cunabula","Castrum","Praesidium","Pugnaculum",
"Burgus","Concitatus","Emporium","Forum","Quintana","Permutatio","Collubus","Commercium","Mercatura","Nundinae","Quaestus","Studium","Tutela","Pabulatio","Stabulum","Cunabula","Eximius","Inlustris","Illustris","Splendidus","Mystica","Mysticus","Magus","Magicus","Pythonicus","Clarus","Vetus","Senex","Novus","Novellus","Argentum","Tripudium",
"Saltatus","Curabitur","Natatio","Sphaera","Tectum","Cunabulum","Cubile","Nidore","Odoratus","Olfacio","Subolfacio","Odoror","Adoleo","Subolfacio","Redoleo","Fragro","Olefacto","Cornu","Ascella","Pervolo","Apes","Colonia","Communis","Collectivus","Volubilis","Versura","Caelum","Coelum","Divum","Venerabilis","Reverendus","Verendus",
"Potens","Magnus","Validus","Immane","Pollens","Praepollens","Infigo","Metallum","Universitas","Nectare","Pecunia","Numus","Saltatio","Turba","Multitudo","Vulgus","Celebro","Classis","Mantellum","Circulus","Bronocalos","Multae","Forma","Vavis","Ficta","Conclamatus","Artium","Artificiosus","Artifex","Pulchra","Decoris","Formosus",
"Speciosus","Bellus","Floridus","Candidus","Praeclarus","Honestus","Spectatus","Auriolus","Ratis","Navigium","Sphaera","Globus","Lambo","Mathematica","Scientia","Studium","Agricola","Colonus","Arator","Redemptor","Cultor","Hortulanus","Topiarius","Collegium", "Luculenus","Subtiliter","Callidus","Ingeniosus","Astutus","Sollers","Vorsutus","Versutus","Dolosus",
"Trebax","Vafer","Luteus","Croceus","Flavens","Rubrum","Bombus","Conlegium","Aculeus","Morsus","Ictus","Spiculo","Uncinus","Hamus","Venenum","Toxicum","Veneno","Medico","Robus","Floreo","Floresco","Pervigeo","Statione","Dispono","Ordino","Constituo","Tempero","Adparo","Norma","Cessabit","Quies","Malacia",
"Tranquillo","Misericordiam","Benigne","Bene","Comiter","Amice","Benevole","Locus","Loco","Formo","Decretum","Praescribo","Bestiola","Volucris","Placo","Tabernam","Officina","Obficina","Opificina","Copona","Habitus","Celsitudo","Portus", "Benignus","Mitis","Remissus","Lenis","Calidum","Calidus","Tepidus","Calefacio","Iucundum", "Suavis",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Dulcis"];

// Name Arrays for Star Jellys. (256 names per Pool - Total of 512 with a re-roll of 256 male and 256 female names of the mixed name pools)
// Female Names.
this.femalejellypool = [
"Abigail","Cynthia","Georgina","Bronwyn","Alice","Bertha","Tarentus","Bridget","Donna","Claire","Edwina", "Amanda","Dorothy","Babette","Joan","Ethel","Chloe","Tracy","Christabel","Gemma","Sharon","Florence","Hannah","Diane","Louisa","Katie","Marianne","Isabel","Jane","Margaret","Laura","Sarah",
"Elizabeth","Victoria","Matilda","Eleanor","Catherine","Natalya","Anastasia","Ekaterina","Miriam","Veronica","Viktoriya","Adrienne","Elise","Fleur","Hermine","Isabella","Jacquelin","Juliette","Melanie","Nadia","Olivia","Heidi","Helena","Hildegard","Isabella","Johanna","Nadine","Rachel","Leopoldine","Karolina","Theresia","Cornelia",
"Sophia","Amelia","Augusta","Charlotte","Mary","Alexandrina","Josephine","Marie","Henrietta","Katharine","Beatrice","Margaret","Anne","Diana","Louise","Alice","Sarah","Camilla","Meghan","Sophie","Alberta","Lucy","Jane","Hayley","Claire","Aisling","Shauna","Siobhan","Imogen","Deirdre","Nessa","Adel",
"Emily","Lillian","Edith","Madeline","Harriette","Helen","Florence","Lillian","Mabel","Judith","Veronica","Zara","Dorothy","Nancy","Jill","Josephine","Isobel","Beryl","Barbara","Rosalina","Rachael","Ingrid","Carol","Averil","Judith","Sally","Geraldine","Clare","Jacqueline","Constance","Susan","Jane",
"Brigitte","Celine","Christiane","Charlotte","Danielle","Francoise","Marianne","Odette","Marie","Sabine","Valerie","Simone","Nicole","Agneta","Annalie","Adel","Brigitta","Judit","Ella","Karin","Klara","Kerstin","Maitilda","Sofia","Teresia","Viktoria","Alene","Arabella","Brechtje","Eline","Francisca","Helena",
"Elizabeth","Anne","Mary","Victoria","Sarah","Jane","Rebecca","Gemma","Shauna","Hayley","Helen","Clare","Sally","Shauna","Caroline","Usha","Lucy","Ajanta","Diane","Elaine","Emily","Eve","Ruth","Adel","Lisa","Louise","Sigourney","Suzanna","Tracey","Sylvia","Samantha","Emma",
"Catherine","Guinevere","Mavis","Diana","Sue","Jennifer","Coco","Pamela","Aisling","Holly","Sharon","Monica","Amanda","Arlette","Olive","Sara","Lisa","Mina","Janice","Charlotte","Gertrude","Virginia","Alberta","Zani","Adel","Gwen","Imogen","Laura","Francesca","Melanie","Sonal","Patrickkia",
"Lorraine","Amanda","Donna","Jessica","Lalla","Sally","Nicola","Alice","Dorothy","Edith","Narita","Navaz","Eleanor","Natalie","Cordelia","Janet","Rosie","Sandra","Siobhan","Danielle","Cecile","Celeste","Alison","Bernadette","Antoinette","Isabella","Savannah","Sophie","Ava","Jill","Caoimhe","Cara",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Josephine"];

// Male Names.
this.malejellypool = [       
"Richard","Andrew","Noah","Oliver","William","Elijah","Benjamin","Henry","Ethan","Alexander","Jacob","Michael","Daniel","Sebastian","Jack","Aiden","Owen","Samuel","Matthew","Joseph","Levi","David","John","Wyatt","Julian","Luke","Issac","Theodore","Gabriel","Anthony","Dylan","Christopher",
"Tom","Joshua","Peter","Ryan","Nathan","Adrian","Christian","Jaculus","Cameron","Santiago","Jeremiah","Ezekiel","Robert","Ian","Dominic","Metam","Austin","Adam","Xavier","Everett","Declan","Evan","Wesley","Kai","Bruce","Brody","Mark","Blaine","Aidan","Brennan","Brady","Brody",
"Sean","Patrick","Conor","Liam","Oscar","Callum","Aidan","Shane","Rory","Dara","Killian","Brian","Darren","Craig","Lorcan","Barry","Collin","Brendan","Fergal","Aeron","Evan","Dylan","Dafydd","Larry","Glyn","Gawain","Gavin","Maddox","Tegan","Terry","Paul","Justin",
"Lucius","Andre","Jenico","Piers","Klaus","Stefan","Walter","Gustavus","Mervyn","Jurgen","Karl","Wentworth","Ivor","Janric","Rupert","Casper","Archibald","Nathaniel","Laszio","Peregrine","Maximillian","Quintin","Hugo","Herwald","Bernardo","Louis","Aubin","Francois","Amable","Ivan","Igor","Leonid",
"Aurick","Bernhard","Christof","Conrad","Dagobert","Egbert","Felix","Ferdinand","Fritz","Gerwin","Gunther","Gottfried","Harald","Heiner","Ignatz","Johann","Kaspar","Leopold","Lorentz","Ludwig","Luther","Magnus","Otto","Ottomar","Siegfried","Valter","Vollrath","Waldemar","Wilhelm","Ruprecht","Wolfgang","Xavier",
"Mustafa","James","Amir","Mark","Dave","Adam","Adrian","Peter","David","Dave","Harold","Dinesh","Arnold","Aurel","Waqus","Gavin","Colin","Zack","Abid","Afran","Amed","Dean","Michael","Nigel","Raja","Raj","Sajad","Sudhakar","Bhabik","Abdi","Dan","Daniel",
"Abdul","Mike","Kai","Larry","Matthew","Owen","Jayanti","Rasab","Rick","Tahir", "Anthony","Tony","Gareth","Cliff","Sean","Dariusz","Bart","Kenton","Bob","Gavin","Tom","Digby","Charlie","Luke","Edward","Greg","Peter","Aphshai","Jamie","Joe","Xavier","Patrick",
"Clive","Timothy","Robbie","Ronald","Ronnie","Rory","Andy","Simon","Stan","Steve","Terry","Tim","Eric","Bill","Nathaniel","Homer","Walter","Ivan","Noel","Rudi","Oscar","Tarquin","Eddie","Derik","Basil","Manuel","Merlin","Yusuf","Nimesh","Tobias","Maximillian","Algernon",    
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Dave"];

// Mixed Names for Laval Jellies
this.larvaljellypool = [
"Noah", "Brody", "Declan", "Piper", "Quinn", "Christian", "Freya", "Bruce", "Josie", "Esther", "Oliver", "Peyton", "Gavin", "Terry", "Genevieve", "Eloise", "Larry", "Andrea", "Ezekiel", "Adeline", "Matthew", "Florence", "Cameron", "Wesley", "Abigail", "Mark", "Cecilia", "Wyatt", "Aidan", "Julia", "Evan", "Santiago", 
"Hannah", "Jane", "Tom", "Madelyn", "Wyatt", "Issac", "Patrick", "Edwina", "Katie", "Camila", "Ariel", "Andrea", "Ethan", "Sadie", "Everett", "Olivia", "Josephine", "Brian", "Daisy", "Bronwyn", "Adeline", "Edith", "Christian", "Adalynn", "Aidan", "Everett", "Catalina", "Liam", "Josephine", "Ethan", "Edith", "Adeline",
"Jasmine", "Aiden", "Alexandra", "Piper", "Sophia", "Daisy", "Skylar", "Aidan", "John", "Wesley", "Darren", "Edith", "Valentina", "Aaliyah", "Xavier", "Tegan", "Ethel", "John", "Kai", "Dara", "Glyn", "Richard", "Dominic", "Alexandra", "Ethel", "Dorothy", "Isabel", "Abigail", "Issac", "Darren", "Cora", "Naomi", "Sean", 
"Gemma", "Dylan", "Mark", "Brian", "Gemma", "Christian", "Cassandra", "Brendan", "Jeremiah", "Patrick", "Aubree", "Dara", "Craig", "Dafydd", "John", "Louisa", "Tom", "Aubree", "Nathan", "Olivia", "Sydney", "Madeline", "Darren", "Maddox", "Owen", "Richard", "Aeron", "Sean", "Charlotte", "Ezekiel", "Elliana", "Lillian", 
"Emma", "Ryan", "Tom", "Edwina", "Evan", "Xavier", "Lillian", "Anthony", "Laura", "Margaret", "Donna", "Mark", "Ethel", "Theodore", "Brady", "Cora", "Cora", "Piper", "Kayla", "Dylan", "Jeremiah", "Caroline", "Josie", "Valentina", "Melanie", "Peter", "Glyn", "Charlotte", "Christian", "Dylan", "William", "Paul", "Dara", 
"Ashley", "Owen", "Elijah", "Rory", "Adeline", "Julian", "Owen", "Maddox", "Dara", "Alice", "Katie", "Mark", "Fergal", "Cassandra", "Issac", "Robert", "Chloe", "Josie", "Madelyn", "David", "Larry", "Quinn", "Ezekiel", "Jane", "Freya", "Elliana", "Brody", "Rory", "Ian", "Adalynn","Aeron", "Cameron", "Stella", "Cassandra", 
"Aaron", "Brady", "Elijah", "Cecilia", "Brian", "Ariel", "Josie", "Dorothy", "Eliza", "Vivian", "Cora", "John", "Jane", "Lauren", "Adeline", "Jordyn", "Alexandra", "Willow", "Amanda", "Sarah", "Ethel", "Ian", "Evelyn", "Gemma", "Lydia", "Caroline", "Alice", "Florence", "Isabel", "Darren", "Sadie", "Skylar", "Louisa", 
"Esther", "Daniel", "Babette", "Caroline", "Gabriel", "Isabel", "Levi", "Piper", "Craig", "Anthony", "Josephine", "Santiago", "Valentina", "Brendan", "Wesley", "Edwina", "Emma", "Lorcan", "Josie", "Esther", "Blaine", "Bruce", "Julia", "John", "Aidan", "Marianne", "William",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Lilith"];

// Mixed Names for Unhatched Eggs.
this.mixedjellypool = [
"Stella", "Levi", "Lillian", "Naomi", "Melanie", "Bella", "Benjamin", "Aaliyah", "William", "Andrew", "Emersyn", "Owen", "Jacob", "Adrian", "Lydia", "Michael", "Aeron", "Bridget", "Emma", "Shane", "Dorothy", "Lorcan", "Collin", "Daniel", "Tegan", "Catalina", "Katie", "Alexandra", "Jane", "John", "Edith", "Bryony", 
"Jack", "Naomi", "Alexander", "Felicity", "Adam", "Patrick", "Jordyn", "Kylie", "Austin", "Jane", "Patrick", "Brody", "David", "Christabel", "Brody", "Felicity", "Benjamin", "Daisy", "Sadie", "Hannah", "Aubree", "Catalina", "Sienna", "Alexandra", "Mark", "Louisa", "Aeron", "Liam", "Adeline", "Naomi", "Lauren", "Patrick",
"Ethel", "Hannah", "Clara", "Kayla", "Ian", "Florence", "Aaliyah", "Brendan", "David", "Reagan", "Blaine", "Bryony", "Evan", "Rory", "Sarah", "Aidan", "Katie", "Sean", "Aaron", "Kylie", "Willow", "Cassandra", "Arya", "Sebastian", "Stella", "Vivian", "Joshua", "Trinity", "Lorcan", "Cora", "Matthew", "Caroline", "Stella", 
"Charlotte", "Barry", "Brian", "Gavin", "Andrew", "Julia", "Nevaeh", "Vivian", "Kai", "Sydney", "Peyton", "Dafydd", "Dara", "Naomi", "Cheryl", "Lauren", "Henry", "Madeline", "Andrew", "Christian", "Oscar", "Benjamin", "Christian", "Aaliyah", "Abigail", "Austin", "Edwina", "Marianne", "Dorothy", "Theodore", "Babette", 
"Samuel", "Penelope", "Elliana", "Brendan", "Santiago", "Maddox", "Gavin", "Ian", "Leonardo", "Sienna", "Jordyn", "Naomi", "Anthony", "Rory", "Samuel", "Stella", "Conor", "Edith", "Sienna", "Cheryl", "Dylan", "Emersyn", "Dylan", "Jasmine", "Fergal", "Brody", "Barry", "Valentina", "Andrew", "Charlotte", "Sydney", "Sebastian", 
"Ezekiel", "Aubree", "Lauren", "Amanda", "Andrew", "Cora", "Gavin", "Christian", "Barry", "Sophia", "Edith", "Esther", "Patrick", "Louisa", "Daisy", "Adrian", "Lucia", "John", "Larry", "Robert", "Trinity", "Aeron", "Tegan", "Teagan", "Ethan", "Terry", "Emma", "Teagan", "Sophia", "Christabel", "Brady", "Lydia","Bridget",
"Florence", "Aubree", "Oliver", "Anthony", "Adrian", "Catalina", "Ethel", "Peter", "Babette", "Sienna", "Ashley", "Brennan", "Sarah", "Aidan", "Nevaeh", "Santiago", "Aiden", "Maddox", "Olivia", "Violet", "Evan", "Adeline", "Daniel", "Bronwyn", "Elliana", "Dylan", "Owen", "Justin", "Brian", "Peyton", "Bronwyn", "Marianne", 
"Leonardo", "Benjamin", "Felicity", "Olivia", "Alexander", "Callum", "Ian", "Naomi", "Genevieve", "Samuel", "Naomi", "Gemma", "Aiden", "Cecilia", "Nevaeh", "Leonardo", "Gemma", "Luke", "Jane", "Samuel", "Brody", "Caroline", "Julian", "Dylan", "Killian", "Justin", "Evan", "Aiden", "Elijah", "Alexander", "Noah",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Bernard"];

// Names used for Stellar Serpents if another OXP adds more than one to the same system.
this.serpentoverflowpool = [
"Joseph", "Helena", "Louisa", "Freya", "Quinn", "Lydia", "Dara", "Bridget", "Ethan", "Richard", "Cheryl", "Emma", "Levi", "Lillian", "Blaine", "Babette", "Dominic", "Amanda", "Sadie", "Collin", "Willow", "Cassandra", "Wyatt", "Emma", "Lorcan", "Mark", "Lucia", "Adeline", "Bruce", "Wyatt", "Emma", "Everett", "Michael", 
"Marianne", "Wesley", "Nathan", "Ariel", "Valentina", "Camila", "Violet", "Adam", "Genevieve", "Levi", "Esther", "Christian", "Sienna", "Ezekiel", "Dorothy", "Elijah", "Cecilia", "Delilah", "Skylar", "Michael", "Jordyn", "Kayla", "Gavin", "Samuel", "Wyatt", "Lorcan", "Jane", "Henry", "Caroline", "Ezekiel", "Josie","Collin",
"Jeremiah", "Gawain", "Helena", "Cassandra", "Patrick", "Hannah", "Peyton", "Lucia", "Richard", "Alexander", "Christopher", "Fergal", "Babette", "Aubree", "Kai", "Josephine", "Alexandra", "Alexandra", "Edwina", "Eliza", "Adam", "Christabel", "Penelope", "Oscar", "Alexander", "Craig", "Josie", "Ashley", "Caroline", 
"Vivian", "Craig", "Nevaeh", "Brendan", "Cheryl", "Amanda", "Olivia", "Declan", "Barry", "Violet", "Kayla", "Nathan", "John", "Elliana", "Peyton", "Jacob", "Brody", "Richard", "Michael", "Cheryl", "Camila", "Daniel", "Dominic", "Aiden", "Sienna", "Aubree", "Michael", "Aaliyah", "Andrea", "Lillian", "Barry", "Kylie", "Liam",
"Bella", "Shane", "Jeremiah", "Matthew", "David", "Dorothy", "Melanie", "Gemma", "Margaret", "Madeline", "Olivia", "Sienna", "Laura", "Ian", "Gemma", "Emma", "Piper", "Evelyn", "Dorothy", "Delilah", "Paul", "Joshua", "Joshua", "Trinity", "Brody", "Brody", "Dylan", "Katie", "Christopher", "Gavin", "Elijah", "Hannah",
"Ashley", "Kai", "Alice", "Cecilia", "Delilah", "Amanda", "Margaret", "Sophia", "Tom", "Paul", "Chloe", "Bridget", "Leonardo", "Eliza", "Theodore", "Jordyn", "Sadie", "Bella", "Anthony", "Sadie", "Piper", "Ryan", "Callum", "Conor", "Catalina", "Benjamin", "Dominic", "Arya", "Babette", "Darren", "Oscar", "Peter", "Lauren",
"Ryan", "Richard", "Stella", "Sarah", "Santiago", "Sadie", "Oscar", "Leonardo", "Bryony", "Barry", "Conor", "Olivia", "Edwina", "Evelyn", "Clara", "Joseph", "Owen", "Matthew", "Peyton", "Evan", "William", "Cameron", "Declan", "Sophia", "Valentina", "Adalynn", "Isabel", "Elijah", "Matthew", "Josie", "Brian", "David", 
"Penelope", "Cora", "Carol", "Louisa", "Daniel", "Clara", "Brody", "Evan", "Henry", "Theodore", "Skylar", "Wesley", "Adalynn", "Collin", "Edith", "Dominic", "Aaliyah", "Blaine", "Emma", "Jeremiah", "Blaine", "Noah", "Hannah", "Louisa", "Andrew", "Gawain", "Amaya", "Daniel", "Adalynn", "Louisa", "Peyton", "Emma",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Cynthia"];

// Flavours for Space Pizzas (only used if another OXP spawns more than one in a system). Normally there are only 13 in the whole game.
// Up to 32 Additional Pizzas per system will be given individual flavours before looping.
this.pizzapool = [
"Hot & Spicy", "Chicken Supreme", "Cheese & Tomato", "Ham & Mushroom", "Mozzarella Melt", "Buffalo Chciken", "Gourmet Veggie", "Wombo Combo",
"Meat Treat", "Steak & Cheese", "Sausage & Pepperoni", "Wild Mushroom", "California Club", "Smokehouse Melt", "West Coast Combo", "Bacon Supreme",
"Mighty Meaty", "Chilli Freak", "Double Pepperoni", "Greek Feast", "All the Meats", "Mexican Passion", "Thai Chicken",  "Pepperoni Plus", 
"Meatball Feast",  "Chicken Fajita", "Bacon Club", "Meat Feast", "Aloha Chicken", "Eugene Supreme", "Chicken Club",  "Garlic Sizzler",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Margherita Melt"];

// Names for Space Pizzas Giftshops (only used if another OXP spawns more than one in a system). Normally there are only 13 in the whole game.
// Up to 32 Additional Giftshops per system will be given individual names before looping.
this.pizzabasepool = [
"The Alice Tai", "The Grand Slam", "The Italiano Cafe",  "The Papa Murphy", "The Peter Piper", "The Chuck E. Cheese", "The Hungry Howie", "The Chicago Grill",
"The Villa Fresh", "The Giordano Restaurant", "The Italian Eatery", "The Noble Roman", "The Johnny Brusco", "The Neapolitan Grill", "East of Chicago", "The Fresh Brother",
"The California Kitchen", "The Donatos Taproom", "The Italian Stallion", "The Big Cheese", "The Pepper Grinder", "The Bellacino Cafe", "The Minsky Bar", "The Salvatore Grill",
"The Mamma Ilardo", "The Malnati Parlour", "The Cassano Cafe", "The Pappa Antonio", "The Franco Manca", "The Bella Italia", "The Carluccio Grill", "La Porchetta",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"The Mexicana Cafe"];

// Overflow Pools - These Pools are not normally used. They would only be used if another OXP does somthing unexpected by spawning multiple types of a station where normally only one per Galaxy would be present
// Extra Names for RRS HQs. Normally only 1 Station per Galaxy would be present. 
this.overflowpool1 = [
"Boardman Observatory", "Shawshank Bay", "Hallorann Point", "Dufresne Outpost", "Andros Anchorage", "Goldsmith Point", "Port Hanscom", "Cunningham Orbiter", "Trenton Central", "Hatlen Anchorage", "Trenton Central", "Camp McGee", "Hanlon Harbour", "Fort Hallorann", "Camp Norton", "Chroner Point", "Camp Coffey", "Camp Shawshank", "Port Cunningham", "Port Hockstetter", "Hadley Citadel", "Port Shawshank", "Fort Boardman", "Dufresne Central", "Camp Norton", "Chroner Central", "Goldsmith Terminus", "Hatlen Orbiter", "Hanlon Central", "Norton Central", "Port McGee", "Fort Goldman",
"Chroner Observatory", "Hadley Anchorage", "Port Cunningham", "Boardman Anchorage", "Fort Barlow", "Denbrough Cove", "Fort Deschain", "Killian Terminus", "Bannerman Harbour", "Goldsmith Outpost", "Camp McGee", "Camp Callahan", "Shawshank Terminus", "Hanscom Orbiter", "Killian Harbour", "Deschain Terminus", "Bannerman Anchorage", "Port Hatlen", "Hatlen Outpost", "Fort Nolan", "Nolan Point", "Camp Tessio", "Ryerson Central", "Crandall Observatory", "Port Norton", "Hallorann Anchorage", "Camp Ryerson", "Fort Norton", "Tessio Terminus", "Fort Nolan", "Trenton Terminus", "Fort Dufresne",
"Fort Goldsmith", "Hatlen Harbour", "Deschain Citadel", "Fort Callahan", "Camp Cunningham", "Trenton Central", "Hatlen Point", "Deschain Observatory", "Coffey Citadel", "Camp Hanscom", "Goldsmith Terminus", "Stillson Observatory", "Goldman Point", "Fort Goldsmith", "Killian Observatory", "Camp Tessio", "Port Goldman", "Fort Crandall", "Goldman Citadel", "Chroner Central", "Killian Observatory", "Deschain Citadel", "Camp Hanscom", "Camp Callahan", "Andros Orbiter", "Hanlon Observatory", "Port Trenton", "Port Barlow", "Chroner Outpost", "Pascow Harbour", "Chroner Citadel", "Coffey Cove", 
"Henreid Anchorage", "Tessio Point", "Shawshank Harbour", "Coffey Outpost", "Hockstetter Central", "Camp Chroner", "Fort Barlow", "Port Nolan", "Barlow Point", "Boardman Outpost", "Tessio Central", "Camp Henreid", "Norton Outpost", "Hadley Point", "Trenton Central", "Ryerson Citadel", "Hatlen Citadel", "Port Hadley", "Port Nolan", "Barlow Cove", "Tessio Cove", "Tessio Anchorage", "Camp Hanscom", "Fort Pascow", "Fort Ryerson", "Hallorann Anchorage", "Hatlen Terminus", "Deschain Citadel", "Camp Goldsmith", "Coffey Anchorage", "Fort McGee", "Camp Coffey", "Dufresne Outpost", "Fort Hadley", 
"Port Henreid", "Port Callahan", "Fort Nolan", "Camp Chroner", "Port Crandall", "Camp Crandall", "Port Shawshank", "Goldman Harbour", "Port Cunningham", "Andros Orbiter", "Coffey Anchorage", "Port Bowers", "Hanlon Terminus", "Bannerman Anchorage", "Hadley Observatory", "Hanlon Point", "Camp Crandall", "Chroner Observatory", "Hatlen Anchorage", "Coffey Harbour", "Deschain Cove", "Henreid Central", "Tessio Outpost", "Norton Orbiter", "Hatlen Observatory", "Camp Henreid", "Fort Pascow", "Camp Barlow", "Bannerman Harbour", "Barlow Central", "Camp Trenton", "Coffey Citadel", "Denbrough Citadel", 
"Henreid Harbour", "Pascow Citadel", "Camp Dufresne", "Fort Hatlen", "Port Denbrough", "Hanscom Central", "Camp Chroner", "Hockstetter Observatory", "Boardman Observatory", "Hatlen Terminus", "Hallorann Outpost", "Fort Stillson", "Bowers Point", "Trenton Outpost", "Trenton Orbiter", "Fort Chroner", "Bannerman Terminus", "Boardman Observatory", "Dufresne Cove", "Camp Coffey", "Stillson Point", "Pascow Orbiter", "Port Hallorann", "Hallorann Central", "McGee Harbour", "Fort Trenton", "Boardman Outpost", "Camp Hanlon", "Hockstetter Anchorage","Dufresne Anchorage", "McGee Terminus", "Camp Goldman", 
"Camp Hanlon", "Fort Hockstetter", "Camp Hallorann", "Henreid Orbiter", "Norton Observatory", "Port Hanscom", "Nolan Orbiter", "Fort Deschain", "Port Ryerson", "Fort Denbrough", "Denbrough Citadel", "Fort Andros", "Chroner Citadel", "Henreid Point", "Port Shawshank", "Goldsmith Anchorage", "Hallorann Outpost", "Coffey Citadel", "Henreid Terminus", "Port Barlow", "Port Callahan", "Camp Barlow", "Nolan Point", "Hanlon Orbiter", "Camp Stillson", "Killian Outpost", "Shawshank Outpost", "Port Henreid", "Camp Hanscom", "Bowers Outpost", "Trenton Observatory", "Stillson Harbour", "Camp Shawshank", 
"Norton Citadel", "Killian Central", "Fort Cunningham", "Pascow Point", "Camp Hanscom", "Fort Goldman", "Camp Goldman", "Port Hatlen", "Bannerman Harbour", "Bannerman Harbour", "Dufresne Observatory", "Fort Trenton", "Port Hatlen", "Camp Stillson", "Goldsmith Observatory", "Stillson Point", "Port McGee", "Port Hockstetter", "Cunningham Citadel", "Port Crandall", "Cunningham Outpost", "Stillson Outpost", "Shawshank Terminus", "Hockstetter Central", "Hatlen Anchorage", "Ryerson Cove", "Camp Hallorann", "Hanlon Observatory",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"The Charging Goat"];

// Extra Names for Broadcast Arrays. Normally only 1 Station per Galaxy would be present. 
this.overflowpool2 = [
"Fort Friedman", "Kramer Harbour", "Port Hewitt", "Hersh Central", "Baldwin Orbiter", "Steinem Citadel", "Gellhorn Citadel", "Barlett Central", "Koppel Anchorage", "Mencken Cove", "McCarthy Citadel", "Steinem Anchorage", "Carson Central", "Fort Talese", "Felker Outpost", "Port Quindlen", "Koppel Cove", "Camp Harding", "Mitchell Orbiter", "Hersh Observatory", "Felker Citadel", "Brinkley Outpost", "Steinem Terminus", "Barlett Orbiter", "Mitchell Central", "Camp Koppel", "Bernstein Cove", "Gellhorn Observatory", "Camp Kramer", "Hewitt Harbour", "Woodward Terminus", "Steinbeck Orbiter", 
"Fort Brinkley", "Mitchell Outpost", "Hersh Cove", "Walters Central", "Harding Citadel", "Koppel Orbiter", "Rosenthal Orbiter", "Fort Trudeau", "Fort Sheehan", "Camp Steinbeck", "Koppel Anchorage", "Fort Pulitzer", "Fort Baldwin", "Harding Point", "Fort Trudeau", "Halberstam Harbour", "Remnick Terminus", "Baldwin Citadel", "Baldwin Terminus", "Hersh Orbiter", "Mencken Harbour", "Fort Walters", "Mencken Cove", "Quindlen Central", "McCarthy Harbour", "Amanpour Central", "Trudeau Anchorage", "Brinkley Anchorage", "Walters Anchorage", "Sanders Terminus", "Advorsus Outpost", "Baldwin Citadel",
"Friedman Observatory", "Gellhorn Point", "Rosenthal Terminus", "Advorsus Point", "Hewitt Orbiter", "Gellhorn Observatory", "Steinbeck Central", "Gellhorn Central", "Harding Observatory", "Port Woodward", "Quindlen Harbour", "Sheehan Terminus", "Carson Harbour", "Fort Amanpour", "Camp Pulitzer", "Carson Observatory", "Quindlen Observatory", "Harding Cove", "Sheehan Terminus", "Camp Mencken", "Pulitzer Outpost", "Carson Central", "Port Felker", "Fort Carson", "Kempton Terminus", "Camp Harding", "Halberstam Observatory", "Walters Anchorage", "Harding Citadel", "Fort Carson", "Hewitt Cove", 
"Friedman Orbiter", "Advorsus Harbour", "Felker Central", "Felker Point", "Steinbeck Point", "Hersh Point", "Carson Orbiter", "Port Friedman", "Remnick Observatory", "Wolfe Citadel", "Camp Advorsus", "Fort Brinkley", "Hewitt Cove", "Port Kramer", "Sanders Cove", "Fort Gellhorn", "Koppel Harbour", "Rosenthal Outpost", "Fort Mencken", "Fort Harding", "Fort Pulitzer", "Barlett Cove", "Bernstein Terminus", "Camp Brinkley", "Hersh Anchorage", "Camp Walters", "Barlett Outpost", "Walters Cove", "Port McCarthy", "Fort Brinkley", "Koppel Outpost", "Walters Harbour", "Steinem Cove", "Sheehan Observatory",
"Felker Bay", "Steinbeck Outpost", "Friedman Observatory", "Harding Terminus", "Port Gellhorn", "Halberstam Outpost", "Port Gellhorn", "Brinkley Observatory", "Port Quindlen", "Brinkley Point", "Camp Friedman", "Harding Citadel", "Walters Terminus", "Port Amanpour", "Trudeau Anchorage", "Port Quindlen", "Baldwin Terminus", "Port Hewitt", "Baldwin Observatory", "Mencken Point", "Port Brinkley", "Port Talese", "Amanpour Orbiter", "Mencken Observatory", "Remnick Observatory", "Walters Central", "Harding Observatory", "Fort Bernstein", "Gellhorn Observatory", "Fort Sanders", "Camp Brinkley", 
"Halberstam Cove", "Camp Harding", "Hersh Anchorage", "Baldwin Orbiter", "Mencken Central", "Halberstam Point", "Trudeau Point", "Talese Cove", "Carson Citadel", "Camp Gellhorn", "Bernstein Central", "Hewitt Point", "Port Amanpour", "Fort Quindlen", "Trudeau Point", "Talese Point", "Baldwin Point", "Fort Steinbeck", "Remnick Harbour", "Fort Koppel", "Fort Rosenthal", "Barlett Harbour", "Port Felker", "Woodward Terminus", "Port Walters", "Port Sanders", "Rosenthal Terminus", "Amanpour Cove", "Mencken Cove", "Fort Koppel", "Hewitt Harbour", "Rosenthal Outpost","Mitchell Orbiter", "Camp Steinbeck", 
"Amanpour Citadel", "Fort Hersh", "Camp Baldwin", "Fort Mencken", "Sheehan Central", "Amanpour Terminus", "Quindlen Central", "Port Kramer", "Harding Outpost", "Barlett Central", "Advorsus Citadel", "Port Quindlen", "Port Steinbeck", "Port McCarthy", "Gellhorn Harbour", "Camp Sanders", "Trudeau Anchorage", "McCarthy Harbour", "Port Bernstein", "Baldwin Cove", "Barlett Anchorage", "Port Baldwin", "Fort Steinem", "Camp Advorsus", "Walters Central", "Amanpour Point", "Hersh Citadel", "Port McCarthy", "Quindlen Point", "Fort Carson", "Port Amanpour", "Port McCarthy", "Port Koppel", "Halberstam Observatory",
"Koppel Citadel", "Brinkley Anchorage", "Talese Central", "Barlett Terminus", "Baldwin Anchorage", "Steinbeck Citadel", "Fort Walters", "Bernstein Cove", "Hersh Central", "Barlett Terminus", "Kramer Central", "Port Mencken", "Barlett Citadel", "Walters Terminus", "Fort Amanpour", "Port Kempton", "Mencken Cove", "Kempton Terminus", "Fort Steinbeck", "Harding Orbiter", "Amanpour Citadel", "Fort Gellhorn", "Port Steinem", "Hewitt Anchorage", "Mitchell Anchorage", "Bernstein Point", "Amanpour Point", "Port Mencken",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Hatfield Citadel"];

// Extra Names for Mandotech Stations. Normally only 1 Station per Galaxy would be present. 
this.overflowpool3 = [
"Clatterbuck Harbour", "Chilver Bay", "Rahman Central", "Stephenson Cove", "Fort Marconi", "Haslett Cove", "Rutan Orbiter", "Emerson Point", "Shilling Harbour", "Hinton Point", "Marconi Harbour", "Fort Esquivel", "Camp Wozniak", "Port Freedman", "Port Shilling", "Maxwell Observatory", "Fort Fairburn", "Camp Daimler", "Hobson Observatory", "Clatterbuck Observatory", "Entwisle Central", "Marconi Harbour", "Port Daimler", "Fort Esquivel", "Ayrton Terminus", "Fort Ayrton", "Hinton Harbour", "Fort Heaviside", "Clatterbuck Central", "Freedman Anchorage", "Fort Ayrton", "Camp Fairburn", 
"Freedman Anchorage", "Port Deatherage", "Fort Emerson", "Stephenson Harbour", "Port Esquivel", "Daimler Central", "Drummond Observatory", "Chervinsky Cove", "Fort Baird", "Camp Rutan", "Hobson Point", "Maxwell Observatory", "Fort Deatherage", "Haslett Orbiter", "Camp Ayrton", "Atkinson Harbour", "Hobson Citadel", "Hinton Central", "Port Freedman", "Port Shilling", "Camp Meikle", "Camp Entwisle", "Chervinsky Citadel", "Fort Chervinsky", "Wozniak Orbiter", "Port Haslett", "Fort Baird", "Eiffel Terminus", "Rutan Harbour", "Atkinson Citadel", "Meikle Anchorage", "Eiffel Terminus",
"Camp Hinton", "Rahman Central", "Camp Rahman", "Entwisle Harbour", "Port Honda", "Drummond Observatory", "Hinton Citadel", "Emerson Central", "Hobson Central", "Maxwell Point", "Port Hobson", "Baird Point", "Camp Chilver", "Camp Chilver", "Rahman Central", "Fort Shilling", "Deatherage Anchorage", "Chervinsky Outpost", "Hinton Harbour", "Port Brunel", "Daimler Point", "Heaviside Anchorage", "Camp Atkinson", "Daimler Point", "Heaviside Terminus", "Fairburn Point", "Maxwell Anchorage", "Camp Emerson", "Emerson Orbiter", "Atkinson Harbour", "Entwisle Point", "Fort Honda", "Fort Ayrton", 
"Fort Esquivel", "Hobson Point", "Freedman Outpost", "Fort Stephenson", "Boulton Cove", "Chervinsky Terminus", "Wozniak Cove", "Marconi Terminus", "Camp Esquivel", "Port Drummond", "Emerson Outpost", "Port Hinton", "Wozniak Terminus", "Fairburn Terminus", "Fort Haslett", "Camp Rutan", "Rahman Central", "Baird Observatory", "Fort Whitefield", "Honda Cove", "Parsons Cove", "Fort Haslett", "Fairburn Cove", "Port Haslett", "Port Emerson", "Camp Wozniak", "Fort Meikle", "Shilling Point", "Shilling Outpost", "Maxwell Central", "Entwisle Cove", "Shilling Central", "Ayrton Citadel", 
"Wozniak Central", "Chervinsky Anchorage", "Haslett Outpost", "Camp Eiffel", "Rutan Central", "Stephenson Cove", "Camp Brunel", "Fort Heaviside", "Emerson Cove", "Port Whitefield", "Camp Parsons", "Chervinsky Observatory", "Honda Anchorage", "Esquivel Terminus", "Daimler Harbour", "Ayrton Cove", "Fort Ayrton", "Entwisle Cove", "Atkinson Citadel", "Heaviside Central", "Entwisle Observatory", "Port Freedman", "Marconi Cove", "Brunel Terminus", "Fort Daimler", "Port Ayrton", "Clatterbuck Central", "Atkinson Anchorage", "Camp Haslett", "Fort Boulton", "Hobson Outpost", "Parsons Orbiter", 
"Hoffecker Citadel", "Freedman Anchorage", "Fairburn Point", "Fort Shilling", "Port Wozniak", "Ayrton Cove", "Shilling Point", "Port Baird", "Deatherage Outpost", "Daimler Orbiter", "Daimler Harbour", "Port Chilver", "Atkinson Point", "Hinton Anchorage", "Daimler Point", "Fairburn Citadel", "Fort Baird", "Shilling Harbour", "Fort Rahman", "Entwisle Cove", "Port Deatherage", "Fairburn Terminus", "Fort Marconi", "Wozniak Harbour", "Rutan Anchorage", "Drummond Central", "Port Hinton", "Port Clatterbuck", "Boulton Harbour", "Clatterbuck Harbour","Meikle Orbiter", "Camp Freedman", 
"Whitefield Citadel", "Atkinson Observatory", "Honda Citadel", "Fort Chervinsky", "Marconi Citadel", "Esquivel Observatory", "Honda Orbiter", "Daimler Cove", "Port Atkinson", "Fairburn Citadel", "Fort Chilver", "Fort Atkinson", "Maxwell Orbiter", "Wozniak Harbour", "Fort Brunel", "Whitefield Outpost", "Port Esquivel", "Fort Wozniak", "Rahman Central", "Hinton Citadel", "Daimler Observatory", "Atkinson Central", "Port Wozniak", "Port Hinton", "Baird Citadel", "Heaviside Central", "Stephenson Cove", "Fort Rutan", "Shilling Outpost", "Atkinson Cove", "Port Hinton", "Fort Fairburn", 
"Port Ayrton", "Brunel Harbour", "Meikle Terminus", "Port Whitefield", "Clatterbuck Point", "Drummond Central", "Port Boulton", "Maxwell Orbiter", "Drummond Cove", "Drummond Orbiter", "Camp Rutan", "Eiffel Orbiter", "Fort Brunel", "Maxwell Outpost", "Camp Drummond", "Honda Observatory", "Maxwell Anchorage", "Hobson Orbiter", "Camp Heaviside", "Deatherage Observatory", "Marconi Harbour", "Camp Emerson", "Fort Rahman", "Drummond Terminus", "Fairburn Observatory", "Haslett Point", "Daimler Outpost", "Chilver Anchorage", "Drummond Citadel", "Hobson Cove",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Holman Terminus"];

// Extra Names for Lave Academies. Normally only 1 to 7 Stations per Galaxy would be present. 
this.overflowpool4 = [
"Thaden Dockyard", "The Balchen Facility", "The Farman Foundation", "Port Darius", "Locklear Base", "Port Warner", "Camp Dornier", "Raiche City", "Camp Rousseau", "The Mermoz Foundation", "The Boeing Institute", "Lindbergh City", "The Raiche Foundation", "Warner Base", "Vacher Shipyard", "Sacadura Base", "Camp Darius", "The Beinhorn College", "The Rousseau Foundation", "Camp Dornier", "Camp Pilcher", "Warner Bay", "Dornier Dockyard", "The Boeing Foundation", "Port Acosta", "Warner Shipyard", "Camp Kadner", "Port Vacher", "The Bleriot Facility", "Port Cabral", "Earhart Bay", "Camp Cabral", "Camp Quimby", 
"The Earhart Polytechnic", "The Bleriot College", "The Raiche College", "Camp Rousseau", "The Farman College", "Bleriot City", "The Rousseau Facility", "Port Warner", "Garros Base", "Camp Fossett", "Camp Acosta", "Port Mermoz", "Cabral City", "Garros Dockyard", "The Sopwith Institute", "Camp Vacher", "Lankester Spaceport", "Fossett City", "Earhart Base", "Port Sopwith", "Port Cochran", "Camp Rousseau", "The Quimby College", "Camp Boeing", "Beinhorn Dockyard", "Kadner City", "Camp Kadner", "The Heinkel College", "The Cabral Foundation", "Port Darius", "Port Acosta","Camp Dornier", "Fossett Shipyard", 
"Earhart Dockyard", "Pilcher Base", "Port Thaden", "The Balchen University", "Camp Heinkel", "Port Dornier", "Camp Acosta", "Port Warner", "Dornier Base", "Kadner Base", "The Lindbergh University", "Bleriot Shipyard", "Fossett Base", "The Acosta Foundation", "Acosta Dockyard", "Port Cobham", "Beinhorn Shipyard", "Sopwith Spaceport", "Cobham Base", "Earhart Shipyard", "Port Pilcher", "The Bleriot Polytechnic", "Cobham Bay", "Port Cobham", "Port Garros", "The Earhart Institute", "The Vacher Foundation", "Camp Sacadura", "The Kadner Institute", "The Cabral University", "Port Heinkel", "Port Sacadura", 
"Heinkel Dockyard", "The Thaden University", "The Beinhorn Polytechnic", "The Garros University", "Camp Balchen", "The Cochran College", "Camp Warner", "Camp Darius", "The Bleriot Facility", "Port Thaden", "The Bleriot Foundation", "The Boeing University", "The Earhart Institute", "Camp Dornier", "The Cochran Facility", "Locklear Bay", "Warner City", "Lankester City", "Port Rousseau", "Port Bleriot", "The Dornier College", "The Cabral Polytechnic", "Camp Thaden", "Port Heinkel", "The Farman Facility", "Port Lankester", "The Lindbergh University", "Sacadura City", "Camp Quimby", "The Cobham Polytechnic", 
"The Sopwith Facility", "Warner Shipyard", "Lindbergh Bay", "Port Sopwith", "Henshaw Spaceport", "The Beinhorn Foundation", "The Locklear Polytechnic", "The Thaden Facility", "The Cabral University", "Port Thaden", "The Garros Institute", "Pilcher Bay", "Port Lindbergh", "The Acosta College", "The Dornier Polytechnic", "Camp Dornier", "Raiche Dockyard", "Port Fossett", "Fossett Base", "Locklear City", "The Thaden Polytechnic", "Port Darius", "The Mermoz University", "Mermoz City", "The Garros College", "The Darius Facility", "Camp Quimby", "Pilcher Spaceport", "The Darius Polytechnic", "Camp Pilcher", 
"The Warner Institute", "The Beinhorn Foundation", "The Acosta Polytechnic", "The Cabral College", "The Lankester Facility", "The Rousseau Foundation", "The Cabral College", "Port Thaden", "The Quimby Foundation", "The Lindbergh Foundation", "Camp Acosta", "Camp Heinkel", "Camp Balchen", "Rousseau Bay", "The Raiche University", "Camp Boeing", "Balchen Dockyard", "The Cobham College", "Port Earhart", "Rousseau Base", "The Heinkel College", "Camp Pilcher", "The Mermoz Foundation", "Boeing Spaceport", "The Garros Foundation", "The Raiche Polytechnic", "The Earhart Polytechnic", "Port Henshaw", "Camp Quimby", 
"Sacadura Dockyard", "The Fossett University", "The Heinkel Polytechnic", "The Rousseau Institute", "The Quimby Facility","Camp Cabral", "The Bleriot University", "Port Cobham", "Camp Cochran", "Port Cabral", "The Cobham Facility", "Camp Vacher", "The Farman Institute", "The Quimby University", "Port Boeing", "Boeing City", "The Pilcher College", "Camp Warner", "Camp Boeing", "Sacadura Spaceport", "The Cochran Institute", "The Raiche Foundation", "Balchen Base", "Thaden Base", "Locklear Dockyard", "The Darius College", "Pilcher Base", "Fossett Bay", "Port Cochran", "The Dornier University", 
"The Pilcher Foundation", "Quimby Base", "Camp Sacadura", "The Pilcher Institute", "Port Rousseau", "Camp Quimby", "Port Heinkel", "The Lindbergh Facility", "The Heinkel Institute", "The Farman College", "Camp Lankester", "Port Earhart", "The Kadner Facility", "Port Garros", "Port Warner", "Darius Bay", "Beinhorn Shipyard", "The Lankester University", "Warner Shipyard", "Cochran Shipyard", "Port Kadner", "The Quimby Institute", "The Fossett Facility", "Sacadura Bay", "Bleriot City", "Camp Dornier", "The Sacadura College", "The Acosta University", "The Kadner College", "Rousseau Shipyard", "Camp Boeing", 
"Vacher Spaceport", "Camp Earhart", "Camp Raiche", "The Beinhorn University", "The Dornier Institute", "The Sopwith Foundation", "Earhart City", "Port Boeing",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Cabral City"];

// Numbers for Planetary Satellites.
this.planetsatpool = [
"625", "766", "405", "824", "620", "510", "348", "944", "386", "517", "326", "581", "165", "834", "469", "243", "472", "527", "807", "245", "551", "865", "358", "500", "429", "480", "376", "499", "966", "382", "353", "750", "111", "991", "113", "997", "889", "508", "938", "351", "708", "806", "615", "256", "924", "379", "954", "777", "305", "992", "348", "668", "930", "808", "906", "274", "462", "831", "688", "905", "154", "220", "517", "474","138", "846", "619", "295", "953", "299", "832", "785", "568", "152", "143", "212", "755", "837", "767", "585", "838", "283", "895", "404", "413", "684", "855", "516", "202", "690", "937", "791", "779", "219", "132", "479", "643", "314", "365", "786", "434", "567", "979", "247", "679", "150", "102", "111", "510", "666", "189", "924", "867", "247", "729", "568", "922", "723", "861", "835", "740", "734", "312", "769", "724", "911", "789", "124", "840", "392", "553", "724", "832", "677", "564", "992", "583", "704", "627", "840", "965", "811", "622", "950", "430", "102", "546", "329", "455", "221", "433", "219", "318", "704", "151", "228", "746", "351", "366", "496", "476", "855", "799", "950", "491", "391", "567", "403", "200", "734", "475", "755", "256", "841", "360", "357", "885", "556", "293", "458", "556", "290", "934", "589", "209", "806", "776", "222", "337", "556", "927", "235","285", "813", "136", "352", "257", "556", "205", "830", "734", "225", "668", "183", "872", "698", "932", "383", "604", "172", "882", "778", "844", "105", "175", "301", "643", "962", "536", "915", "338", "730", "919", "244", "772", "965", "779", "619", "184", "639", "667", "677", "953", "464", "332", "708", "541", "494", "790", "148", "333", "174", "936", "121", "911", "919", "579", "230", "830", "227", "353", "509", "712", "937", "663", "551",
"411", "231", "516", "166", "970", "271", "490", "820", "423", "669", "130", "256", "202", "354", "160", "553", "938", "623", "473", "568", "765", "550", "218", "827", "936", "486", "510", "223", "111", "324", "302", "938", "207", "432", "641", "565", "736", "849", "427", "133", "977", "728", "876", "181", "905", "782", "992", "450", "530", "415", "458", "229", "235", "900", "636", "973", "649", "637", "674", "678", "470", "741", "892", "164","102", "498", "108", "590", "202", "832", "673", "413", "160", "159", "936", "190", "298", "895", "381", "989", "429", "160", "999", "676", "430", "825", "868", "856", "106", "189", "182", "145", "505", "981", "230", "571", "331", "394", "974", "545", "283", "318", "194", "305", "555", "569", "967", "381", "455", "565", "813", "284", "329", "922", "815", "701", "547", "805", "589", "275", "884", "592", "569", "713", "676", "577", "886", "945", "202", "363", "844", "680", "857", "163", "379", "633", "210", "828", "503", "854", "382", "506", "117", "982", "476", "734", "996", "925", "314", "629", "587", "851", "858", "210", "753", "341", "209", "715", "337", "770", "959", "768", "140", "215", "880", "149", "901", "880", "982", "316", "922", "707", "441", "951", "841", "821", "921", "685", "116", "657", "408", "502", "370", "444", "405", "699", "852", "938", "348", "161", "954", "387","171", "671", "578", "885", "548", "445", "536", "886", "627", "136", "471", "203", "147", "108", "174", "323", "299", "579", "714", "678", "813", "819", "825", "815", "793", "952", "838", "212", "676", "873", "259", "792", "584", "253", "573", "758", "637", "497", "891", "891", "824", "990", "455", "537", "175", "364", "795", "871", "607", "811", "661", "813", "864", "401", "738", "529", "479", "265", "783", "394", "190", "100", "897", "778",
"727", "763", "634", "976", "763", "752", "423", "607", "917", "334", "225", "923", "296", "915", "287", "424", "182", "286", "654", "817", "752", "397", "840", "615", "558", "342", "992", "292", "117", "293", "368", "198", "582", "855", "502", "722", "870", "679", "722", "379", "643", "902", "988", "537", "308", "731", "550", "446", "879", "796", "698", "515", "564", "833", "741", "132", "667", "527", "494", "116", "490", "100", "525", "616","720", "243", "806", "885", "219", "315", "449", "373", "316", "133", "695", "421", "669", "882", "873", "426", "739", "721", "127", "306", "125", "305", "151", "162", "542", "750", "662", "492", "290", "509", "533", "978", "634", "654", "223", "369", "522", "647", "764", "345", "517", "881", "827", "682", "751", "315", "303", "132", "327", "294", "888", "513", "131", "865", "165", "910", "405", "971", "952", "148", "798", "287", "379", "187", "692", "455", "129", "270", "556", "968", "811", "848", "552", "963", "735", "623", "258", "503", "353", "682", "545", "481", "243", "611", "718", "403", "208", "349", "136", "913", "661", "463", "430", "225", "278", "880", "451", "354", "197", "106", "396", "604", "505", "202", "354", "206", "214", "438", "498", "831", "601", "794", "953", "160", "223", "616", "337", "399", "259", "834", "927", "727", "876", "476", "725", "166", "138", "915","416", "449", "422", "872", "368", "825", "988", "866", "766", "807", "493", "203", "795", "821", "436", "336", "661", "468", "308", "227", "753", "298", "884", "456", "880", "145", "456", "698", "909", "892", "268", "336", "241", "635", "490", "208", "848", "605", "456", "804", "996", "220", "939", "583", "787", "452", "159", "373", "605", "315", "280", "270", "601", "300", "951", "445", "790", "408", "670", "995", "180", "293", "657", "781",
"507", "296", "603", "682", "795", "501", "535", "631", "716", "904", "672", "795", "965", "132", "496", "962", "391", "689", "931", "217", "742", "827", "387", "534", "538", "166", "962", "357", "839", "713", "241", "810", "818", "826", "811", "252", "231", "889", "595", "325", "217", "771", "851", "489", "862", "884", "710", "702", "309", "301", "528", "212", "500", "831", "310", "730", "495", "329", "207", "354", "836", "307", "151", "385","538", "597", "926", "950", "560", "363", "886", "741", "816", "139", "232", "629", "771", "550", "870", "924", "665", "691", "362", "132", "333", "213", "192", "824", "138", "612", "837", "313", "792", "639", "111", "440", "988", "567", "441", "839", "333", "716", "774", "747", "292", "289", "747", "844", "246", "481", "295", "463", "891", "540", "906", "595", "167", "831", "948", "706", "589", "403", "704", "938", "695", "114", "724", "755", "297", "432", "384", "506", "450", "620", "495", "911", "271", "878", "441", "336", "575", "933", "542", "716", "685", "988", "811", "992", "270", "921", "510", "506", "976", "699", "320", "775", "124", "617", "493", "417", "603", "265", "794", "752", "610", "958", "339", "372", "393", "171", "140", "198", "487", "296", "535", "448", "488", "930", "560", "506", "443", "649", "537", "175", "450", "685", "404", "236", "907", "587", "663", "873","308", "728", "379", "454", "247", "678", "837", "533", "376", "691", "185", "871", "520", "207", "243", "880", "987", "898", "543", "784", "367", "264", "810", "745", "270", "189", "641", "396", "376", "420", "726", "807", "293", "317", "320", "627", "101", "369", "895", "798", "495", "437", "797", "407", "248", "519", "393", "208", "212", "315", "261", "472", "730", "522", "261", "307", "965", "193", "139", "307", "751", "644", "285", "641",
"843", "440", "793", "936", "843", "839", "188", "937", "150", "366", "377", "586", "269", "965", "563", "424", "494", "841", "266", "464", "997", "647", "226", "832", "402", "533", "260", "163", "777", "224", "996", "854", "726", "375", "763", "525", "719", "316", "604", "202", "492", "431", "594", "867", "990", "418", "984", "160", "663", "522", "132", "929", "263", "275", "721", "971", "430", "476", "923", "514", "885", "704", "938", "306","879", "710", "282", "249", "469", "999", "524", "525", "831", "915", "256", "315", "972", "314", "672", "171", "422", "892", "229", "560", "208", "274", "480", "258", "514", "604", "781", "946", "892", "554", "219", "590", "169", "861", "745", "871", "670", "866", "897", "931", "612", "248", "860", "438", "268", "182", "571", "237", "609", "679", "681", "364", "166", "394", "833", "808", "716", "855", "957", "603", "492", "291", "482", "156", "878", "988", "448", "394", "926", "905", "629", "158", "855", "703", "166", "242", "937", "618", "897", "840", "912", "410", "494", "860", "742", "963", "939", "370", "186", "521", "515", "202", "658", "676", "390", "131", "475", "791", "209", "399", "972", "306", "231", "147", "151", "933", "415", "412", "252", "381", "460", "605", "635", "571", "653", "768", "778", "292", "402", "898", "355", "669", "573", "155", "181", "620", "943", "782","769", "233", "794", "556", "844", "292", "705", "736", "838", "592", "485", "711", "529", "409", "476", "196", "568", "329", "169", "411", "201", "768", "522", "981", "370", "871", "829", "719", "721", "725", "845", "995", "387", "553", "363", "328", "236", "492", "538", "813", "161", "603", "824", "353", "338", "455", "632", "744", "747", "619", "121", "220", "755", "769", "990", "288", "990", "394", "881", "201", "566", "496", "447", "929",
"509", "930", "367", "620", "364", "197", "205", "869", "961", "383", "118", "781", "902", "469", "431", "624", "699", "257", "875", "668", "498", "302", "603", "334", "995", "997", "379", "709", "974", "479", "214", "915", "367", "375", "563", "227", "385", "222", "348", "488", "233", "680", "813", "518", "449", "256", "739", "835", "352", "684", "669", "229", "138", "501", "832", "377", "851", "562", "174", "917", "170", "226", "937", "974","975", "578", "941", "560", "941", "694", "620", "990", "415", "988", "959", "873", "426", "742", "959", "315", "186", "926", "422", "904", "194", "852", "573", "629", "535", "264", "916", "352", "157", "585", "375", "491", "284", "563", "181", "867", "663", "862", "528", "583", "495", "523", "581", "230", "892", "829", "759", "738", "302", "336", "761", "526", "895", "732", "723", "318", "856", "419", "942", "326", "784", "975", "492", "109", "368", "453", "973", "970", "671", "712", "933", "672", "521", "334", "702", "140", "851", "881", "495", "676", "480", "774", "308", "929", "881", "280", "708", "358", "286", "556", "185", "517", "862", "879", "556", "628", "373", "306", "906", "938", "607", "801", "784", "361", "193", "641", "125", "344", "394", "817", "473", "997", "693", "305", "700", "514", "453", "287", "974", "877", "267", "478", "206", "164", "636", "266", "530", "260","966", "147", "169", "782", "763", "662", "460", "233", "887", "579", "557", "580", "469", "318", "173", "666", "857", "403", "292", "363", "982", "270", "857", "348", "896", "861", "928", "893", "793", "991", "357", "989", "232", "631", "379", "214", "854", "320", "958", "176", "450", "655", "908", "664", "780", "659", "623", "745", "431", "467", "996", "444", "496", "455", "932", "392", "581", "690", "116", "666", "972", "343", "826", "494",
"643", "251", "174", "892", "999", "846", "692", "647", "554", "670", "858", "738", "273", "257", "322", "283", "884", "733", "705", "334", "289", "196", "867", "298", "157", "620", "547", "291", "198", "786", "912", "820", "770", "715", "128", "241", "971", "105", "260", "971", "341", "753", "387", "211", "509", "215", "443", "409", "302", "259", "989", "992", "737", "862", "621", "795", "458", "561", "469", "823", "442", "449", "523", "137","890", "659", "144", "265", "824", "374", "751", "153", "314", "847", "932", "412", "972", "735", "623", "880", "231", "554", "830", "419", "702", "228", "893", "890", "687", "622", "763", "819", "965", "154", "429", "339", "282", "763", "296", "720", "561", "447", "150", "125", "190", "686", "635", "334", "608", "111", "325", "632", "426", "519", "545", "926", "509", "119", "715", "656", "969", "406", "742", "989", "298", "212", "806", "280", "482", "462", "961", "954", "274", "728", "691", "562", "388", "936", "563", "166", "884", "177", "912", "940", "514", "135", "516", "855", "840", "442", "178", "437", "479", "236", "658", "805", "245", "631", "679", "441", "879", "678", "480", "463", "545", "960", "760", "201", "105", "762", "277", "195", "127", "830", "829", "204", "936", "173", "590", "570", "407", "796", "883", "738", "660", "375", "832", "421", "737", "623", "904", "571","489", "565", "619", "383", "338", "536", "915", "774", "791", "525", "513", "696", "248", "743", "908", "589", "860", "801", "758", "785", "541", "100", "799", "633", "659", "117", "371", "963", "547", "764", "851", "826", "628", "913", "206", "767", "364", "427", "535", "760", "741", "151", "936", "248", "492", "256", "154", "552", "486", "242", "682", "626", "633", "464", "903", "271", "986", "352", "271", "568", "732", "554", "639", "515",
"567", "120", "778", "388", "758", "595", "662", "272", "284", "155", "859", "818", "162", "857", "409", "830", "881", "470", "110", "962", "272", "514", "591", "163", "375", "285", "758", "359", "366", "790", "499", "587", "967", "211", "658", "677", "469", "106", "754", "513", "612", "211", "232", "911", "785", "360", "857", "388", "521", "745", "413", "944", "135", "248", "338", "856", "932", "248", "227", "881", "780", "806", "186", "601","270", "986", "135", "444", "574", "217", "358", "652", "284", "257", "200", "792", "217", "853", "571", "939", "634", "693", "285", "594", "701", "606", "121", "245", "134", "267", "941", "966", "763", "896", "806", "236", "208", "168", "492", "988", "764", "445", "567", "349", "103", "672", "853", "626", "881", "412", "846", "382", "257", "822", "392", "163", "475", "822", "138", "547", "361", "584", "586", "448", "499", "163", "503", "525", "362", "106", "711", "739", "833", "275", "797", "120", "561", "480", "980", "847", "104", "237", "722", "689", "228", "523", "630", "707", "334", "944", "859", "278", "449", "810", "493", "395", "174", "150", "651", "295", "327", "928", "640", "676", "774", "839", "440", "134", "537", "901", "421", "817", "923", "498", "128", "631", "253", "594", "963", "642", "973", "155", "513", "674", "892", "667", "561", "707", "212", "226", "188", "107","775", "600", "654", "117", "475", "768", "592", "967", "436", "527", "839", "459", "734", "989", "219", "814", "885", "429", "516", "322", "517", "475", "249", "504", "169", "423", "404", "191", "385", "162", "274", "152", "240", "920", "294", "301", "392", "447", "332", "963", "985", "916", "314", "735", "444", "825", "407", "432", "841", "468", "824", "498", "606", "229", "889", "755", "625", "969", "544", "501", "529", "528", "713", "219",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"101"];

// Overflow Names for the Sodalite Station Defenders (64 in the Fleet - 80 are used in the pool for looping due to some being repeated with Roman Numerals)
this.pitviperoverflowpool = [
// Ths Pool always starts counting when used from a D20 dice roll position, to give 64 names before repeating.
// As 8 of these names may have been seen already on this visit to the system, the names below have roman numerals even if it is the
// first time they are appearing. Normally no more than 4 ships in total could be present, but a run-off of 64 is included  with 16 reused with further roman numerals to give a run off pool..
// Over-flow pool of 80 names. (Names a maximum of 84 ships before looping).
"Rising Swarm II", "Green Hornet IV", "Buzz Saw II", "Butterfly Effect III", "Army Ant III", "Sting in the Tail II", "The Green Baron IV", "Assassin Beatle V",
"Oncoming Swarm III", "Wings of Vengeance II", "Spider Queen IX", "Scarab Beatle III", "Madonna of Wasps II", "Winged Demon III", "Hammer of Coluber IV", "Swarm of Doom II",
"War Wasp III", "Hand of the Queen II", "Winged Justice X", "Floating Butterfly II", "Tiger Moth II", "Praying Mantis V", "Winged Queen II", "Red Scorpion IV",
"Death Stalker III", "Black Widow II", "Locust Plague V", "Atlas Moth IX", "Fire Ant II", "Funnel Web III", "Yellow Jacket IX", "Wolf Spider V",
"Tarantula Hawk II", "Bark Scorpion III", "Ant Lion IX", "Lace Wing V", "Bristle Tail II", "Moon Moth IV", "Painted Lady XI", "Red Admiral II",
"Adonis Blue III", "Purple Emperor IV", "Gypsy Moth II", "Silk Worm IX" , "White Witch III", "Scarlet Tiger II", "Death Watch IV", "Silk Worm V",
"Army Ant II", "Sting in the Tail IV", "The Green Baron II", "Assassin Beatle VI", "Oncoming Swarm II", "Wings of Vengeance X", "Spider Queen II", "Scarab Beatle II",
"Deadly Swarm III",  "Ariel Acrobat IV",  "Dark Queen II",  "Wasp Warrior IV", "Battle Beatle III", "Vespa of Vengeance II", "Return of the Firefly",  "Disturber of Picnics II",
"Madonna of Wasps III", "Winged Demon IV", "Hammer of Coluber II", "Swarm of Doom III", "War Wasp V", "Hand of the Queen IX", "Winged Justice II", "Floating Butterfly III",
"Taste of Venom V",  "Stringer of Sepa II",  "Protector of Corposes XI",  "Hunger of Shinchu II", "Venom of Omukade IV", "Deadly Dragonfly III",  "Shadow of Arachne V",  "Death from Above II",
// The Name below is only used if the pool needs to loop (See the Readme File for Details)
"Red Scorpion VI"];

// Names for the Fuel Processing Facilitys added by Resistance Commander OXP (256 names).
this.fuelfacpool = [
"Wandoo 607", "Nailsworth 249", "Hibernia 152", "Bream 281", "Ameland 158", "Nkossa 212", "Tern 295", "Morpeth 930", "Ameland 304", "Perdido 202", "Marlin 997", "Pickerill 264", "Ameland 948", "Forbes 185", "Bream 237", "Gullfaks 612", "Berkut 348", "Holstein 214", "Bullwinkle 402", "Forbes 346", "Markham 796", "Marlin 544", "Khalifa 392", "Galleon 287", "Berkut 381", "Galleon 694", "Markham 630", "Perdido 479", "Forbes 916", "Morpeth 974", "Matterhorn 413", "Khalifa 134", 
"Hewett 293", "Gullfaks 328", "Tern 438", "Berkut 448", "Tern 434", "Helder 426", "Oseberg 368", "Schooner 401", "Berkut 238", "Schooner 298", "Ameland 127", "Schooner 528", "Marlin 649", "Hewett 547", "Schooner 580", "Bream 208", "Matterhorn 623", "Nkossa 366", "Schooner 192", "Hibernia 881", "Pickerill 896", "Oseberg 902", "Galleon 604", "Boulton 814", "Matterhorn 833", "Tern 556", "Tern 414", "Fulmar 481", "Fulmar 633", "Forbes 392", "Leman 935", "Khalifa 186","Caister 241", 
"Gullfaks 876", "Marlin 290", "Khalifa 533", "Morpeth 682", "Perdido 381", "Forbes 570", "Caister 107", "Forbes 234", "Holstein 997", "Forbes 538", "Carrack 759", "Wandoo 123", "Galleon 317", "Carrack 411", "Galleon 321", "Tern 472", "Shearwater 600", "Helder 583", "Morpeth 681", "Galleon 951", "Bream 511", "Nkossa 499", "Carrack 927", "Bream 478", "Boulton 432", "Tern 611", "Marlin 437", "Nailsworth 729", "Carrack 743", "Hewett 723", "Nailsworth 405", "Shearwater 341", "Holstein 987", 
"Ketch 775", "Oseberg 251", "Helder 478", "Marlin 180", "Galleon 703", "Carrack 580", "Oseberg 634", "Marlin 938", "Gullfaks 197", "Morpeth 574", "Galleon 692", "Leman 218", "Marlin 322", "Ketch 703", "Nkossa 193", "Holstein 637", "Fulmar 420", "Ameland 367", "Fulmar 145", "Helder 334", "Fulmar 884", "Shearwater 622", "Ketch 301", "Nailsworth 534", "Markham 131", "Markham 492", "Wandoo 858", "Perdido 962", "Forbes 209", "Helder 560", "Oseberg 764", "Markham 751", 
"Shearwater 980", "Hewett 644", "Helder 363", "Forbes 701", "Pickerill 750", "Nkossa 271", "Perdido 403", "Caister 284", "Wandoo 282", "Wandoo 816", "Galleon 436", "Helder 154", "Forbes 684", "Pickerill 315", "Forbes 305", "Shearwater 587", "Gullfaks 529", "Nkossa 794", "Ketch 167", "Markham 851", "Schooner 955", "Berkut 655", "Helder 326", "Matterhorn 742", "Nkossa 348", "Matterhorn 842", "Hewett 691", "Nkossa 507", "Matterhorn 315", "Shearwater 259", "Morpeth 326", 
"Hewett 112", "Ketch 724", "Markham 448", "Hewett 665", "Holstein 830", "Morpeth 174", "Khalifa 443", "Forbes 292", "Bream 597", "Carrack 179", "Holstein 279", "Perdido 529", "Bullwinkle 629", "Ketch 266", "Leman 567", "Forbes 108", "Holstein 337", "Ameland 155", "Perdido 133", "Hibernia 161", "Leman 860", "Galleon 631", "Carrack 218", "Nailsworth 463", "Petronius 123", "Bream 338", "Khalifa 348", "Perdido 942", "Khalifa 839", "Nkossa 604", "Holstein 182","Khalifa 836", "Boulton 562", 
"Berkut 364", "Pickerill 393", "Ketch 289", "Fulmar 336", "Matterhorn 134", "Leman 376", "Bream 462", "Khalifa 461", "Matterhorn 224", "Holstein 840", "Matterhorn 408", "Helder 837", "Bullwinkle 445", "Bream 697", "Schooner 371", "Bullwinkle 866", "Bullwinkle 475", "Helder 705", "Ketch 331", "Perdido 989", "Forbes 524", "Forbes 513", "Perdido 616", "Forbes 651", "Schooner 605", "Hibernia 255", "Schooner 570", "Pickerill 142", "Pickerill 342", "Morpeth 466", "Galleon 787", "Tern 404", 
"Ketch 452", "Marlin 328", "Markham 339", "Bream 135", "Shearwater 124", "Fulmar 776", "Forbes 584", "Shearwater 464", "Holstein 110", "Matterhorn 163", "Galleon 307", "Oseberg 176", "Matterhorn 674", "Holstein 784", "Morpeth 833", "Galleon 278", "Hibernia 874", "Hewett 976", "Carrack 814", "Bream 234", "Ketch 304", "Marlin 187", "Ameland 713", "Fulmar 360", "Forbes 706", "Holstein 815", "Leman 580", "Hibernia 785", "Oseberg 559", "Ameland 418",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Shamrock 705"];

// Names for the Communications Stations added by Resistance Commander OXP (256 names).
this.gwcomspool = [
"Grumman 275", "Manitoba 655", "Iridium 648", "Northrop 985", "Alcatel 961", "Bertrand 777", "Valdes 929", "Artemis 359", "McGraw 427", "McGraw 466", "Rohde 738", "Iridium 857", "Korolev 127", "Artemis 238", "Symphonie 702", "Garcia 916", "Scotia 410", "Grumman 912", "Symphonie 882", "Astrium 645", "Alenia 683", "Rahman 133", "Pactor 665", "Symphonie 258", "Norilsk 785", "Weaver 721", "Courier 852", "Syncom 495", "Fielding 529", "Norilsk 866", "Jurrens 436", "Fielding 470",
"Astra 569", "Manitoba 343", "Scotia 273", "Jurrens 941", "Weaver 694", "Morse 589", "Astra 714", "Grumman 282", "Astrium 373", "Artemis 860", "Rohde 916", "Pactor 131", "Jurrens 922", "McGraw 349", "Symphonie 257", "Rohde 930", "Whitaker 719", "Alcatel 352", "Oscar 106", "Telstar 362", "Garcia 149", "Orbita 203", "Grumman 724", "Ekran 284", "Scotia 507", "Garcia 170", "Oscar 819", "Oscar 428", "Jurrens 634", "Manitoba 273", "Syncom 603", "Jurrens 677","Rohde 304", "Northrop 216", 
"Ekran 347", "Garcia 468", "Korolev 456", "Garcia 562", "Orbita 691", "Korolev 242", "Telstar 526", "Whitaker 963", "Fielding 913", "Iridium 222", "Syncom 468", "Alcatel 104", "Pactor 583", "Pactor 906", "Northrop 282", "Fielding 991", "Rohde 131", "Alenia 931", "Pactor 684", "Rohde 766", "Astra 366", "Artemis 989", "Norilsk 925", "Syncom 563", "Alcatel 523", "Korolev 701", "Norilsk 620", "Astrium 803", "Bertrand 804", "Bertrand 859", "Ekran 826", "Alcatel 524", "Whitaker 596", "Valdes 631", 
"Orbita 389", "Alcatel 593", "Manitoba 586", "Northrop 292", "Syncom 482", "Bertrand 146", "Alenia 242", "Norilsk 161", "Thales 932", "Weaver 263", "Courier 170", "Northrop 750", "Garcia 938", "Fielding 651", "Jurrens 299", "Astrium 414", "Astra 427", "Jurrens 717", "Telstar 165", "Astra 179", "Valdes 360", "Astra 641", "Orbita 329", "Northrop 887", "Astra 885", "Alcatel 743", "Rahman 235", "Weaver 898", "Whitaker 742", "Thales 407", "Morse 675", "Garcia 439", "Orbita 251", "Garcia 865", 
"Weaver 153", "Astrium 611", "Rahman 618", "Grumman 253", "Jurrens 392", "Grumman 365", "Thales 278", "Alenia 453", "Courier 576", "Northrop 284", "Telstar 861", "Orbita 379", "Weaver 646", "Rahman 698", "Telstar 921", "Pactor 858", "Ekran 688", "Orbita 704", "Oscar 548", "Orbita 920", "Norilsk 744", "Pactor 228", "Garcia 496", "Valdes 434", "Grumman 935", "Norilsk 686", "Northrop 873", "Jurrens 686", "Rohde 916", "Ekran 971", "Telstar 241", "Rohde 351", "Weaver 560", "Rahman 886", 
"Whitaker 542", "Pactor 316", "Syncom 294", "Alcatel 644", "Ekran 497", "Artemis 593", "Northrop 402", "Astrium 354", "Manitoba 127", "Manitoba 949", "Manitoba 381", "Jurrens 437", "Manitoba 711", "Rahman 289", "Astra 824", "Bertrand 877", "Fielding 550", "Thales 784", "Manitoba 505", "Telstar 911", "Morse 313", "Scotia 226", "Jurrens 248", "Artemis 473","Oscar 367", "Ekran 917", "Rahman 665", "Syncom 892", "Astrium 345", "Pactor 867", "Thales 290", "Northrop 632", "Norilsk 330", 
"Symphonie 497", "Bertrand 258", "Norilsk 689", "McGraw 950", "Courier 170", "Rohde 817", "Korolev 247", "Bertrand 604", "Korolev 712", "Artemis 582", "Bertrand 792", "Alcatel 877", "Courier 379", "Rahman 671", "Valdes 228", "Syncom 333", "Astra 925", "Korolev 565", "Telstar 514", "Telstar 489", "Courier 830", "Iridium 652", "Whitaker 890", "Courier 858", "Astrium 399", "Iridium 840", "Grumman 917", "McGraw 677", "Morse 575", "Symphonie 871", "Bertrand 672", "Scotia 210", "Garcia 432", 
"Rahman 740", "Artemis 286", "Manitoba 144", "Northrop 911", "Morse 205", "Garcia 484", "Pactor 663", "Alenia 222", "Courier 780", "McGraw 522", "Fielding 579", "Norilsk 213", "Astra 835", "Bertrand 178", "Pactor 296", "Korolev 176", "Thales 937", "Weaver 169", "Valdes 291", "Whitaker 326", "Northrop 256", "Astrium 802",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Clarke 505"];

// Names for Moon Composition Data (2,048 types).
this.moonStuffPool = [
// Galaxy 1
"Diopside", "Esperite", "Kermesite", "Vulcanite", "Pontite", "Silicate", "Mainly Roaldite", "Celestine", "Kanoite", "Pentlandite", "Saliotite", "Vlasovite", "Rozenite", "Wattersite", "Jadeite", "Ottrelite", "Saliotite", "Vermiculite", "Chiefly Dioptase", "Ichnusaite", "Rhodolite", "Bruceite", "Pearceite", "Bruceite", "Rhodolite", "Celestine", "Mostly Safflorite", "Kermesite", "Primarily Oregonite", "Alarsite", "Nobleite", "Sassolite", "Sabieite", "Mostly Rhodium", "Kobellite", "Icosahedrite", "Gordaite", "Idrialite", "Tausonite", "Bruceite", "Penroseite", "Greenalite", "Kermesite", "Hureaulite", "Hureaulite", "Nontronite", "Graftonite", "Saneroite", "Mariposite", "Jennite", "Gonnardite", "Huemulite", "Esperite", "Nontronite", "Nickeline", "Larnite", "Primarily Dolomite", "Primarily Cerussite", "Humite", "Larnite", "Alarsite", "Kanoite", "Sassolite", "Dolomite","Chiefly Euchroite", "Kernite", "Euclase", "Nontronite", "Allanite", "Veatchite", "Rhodolite", "Calcite", "Nontronite", "Vaterite", "Alamosite", "Pontite", "Lodestone", "Kesterite", "Kaolinite", "Goslarite", "Vladimirite", "Oregonite", "Primarily Lublinite", "Veatchite", "Nissonite", "Rozenite", "Roumanite", "Parsonsite", "Mainly Rhodolite", "Vesuvianite", "Nissonite", "Euclase", "Jaffeite", "Rameauite", "Sassolite", "Gonnardite", "Primarily Gormanite", "Perhamite", "Wavellite", "Kobellite", "Sassolite", "Penroseite", "Euchroite", "Linarite", "Ottrelite", "Vesuvianite", "Graftonite", "Primarily Kernite", "Dolomite", "Oldhamite", "Libethenite", "Panethite", "Linarite", "Celestine", "Nickeline", "Chiefly Krennerite", "Jarosite", "Pecoraite", "Bruceite", "Panethite", "Taenite", "Neptunite", "Caenlorn", "Cerium", "Euclase", "Karlite", "Kernite", "Huttonite", "Tausonite", "Larimar", "Rhodolite", "Chiefly Jalpaite", "Allanite", "Nobleite", "Kernite", "Ilmenite", "Larimar", "Cerussite", "Kaolinite", "Chiefly Rozenite", "Jadeite", "Rhodonite", "Lodestone", "Ichnusaite", "Celadonite", "Pearceite", "Gordaite", "Variscite", "Lublinite", "Mainly Pentlandite", "Tantalite", "Kernite", "Osumilite", "Rhodium", "Volborthite", "Mainly Palladium", "Gonnardite", "Gonnardite", "Jadeite", "Vlasovite", "Ottrelite", "Vladimirite", "Goslarite", "Gratonite", "Dioptase", "Primarily Sabatierite", "Rameauite", "Graftonite", "Mostly Dioptase", "Chiefly Gratonite", "Panethite", "Silicate", "Rhodolite", "Huttonite", "Aldermanite", "Nickeline", "Bruceite", "Icosahedrite", "Greenalite", "Jadarite", "Petalite", "Libethenite", "Ilmenite", "Lodestone", "Panethite", "Violarite", "Rhodolite", "Tausonite", "Jennite", "Meridianiite", "Kernite", "Oregonite","Vladimirite", "Kernite", "Nobleite", "Safflorite", "Gonnardite", "Panethite", "Palladium", "Safflorite", "Arcanite", "Jennite", "Perhamite", "Wavellite", "Veatchite", "Alamosite", "Graftonite", "Ilmenite", "Kesterite", "Euclase", "Primarily Vaterite", "Labradorite", "Arcanite", "Nichromite", "Linarite", "Pecoraite", "Allanite", "Parsonsite", "Taaffeite", "Jaffeite", "Pascoite", "Mostly Gordaite", "Kobellite", "Kostovite", "Palladium", "Aldermanite", "Kobellite", "Nissonite", "Ottrelite", "Euchroite", "Larnite", "Taaffeite", "Silicate", "Primarily Periclase", "Violarite", "Mostly Nissonite", "Nobleite", "Pontite", "Krennerite", "Euclase", "Rhodolite", "Meridianiite", "Taenite", "Periclase", "Mostly Icosahedrite", "Graftonite", "Saneroite", "Neptunite", "Sarabauite", "Laurionite", "Mesolite", "Esperite", "Dimorphite", "Sarabauite", "Variscite", "Gordaite",
// Galaxy 2
"Nichromite", "Taaffeite", "Vivianite", "Sabieite", "Alamosite", "Hureaulite", "Mainly Saneroite", "Linarite", "Saliotite", "Idrialite", "Dimorphite", "Krennerite", "Primarily Humite", "Ichnusaite", "Arcanite", "Karlite", "Messelite", "Kochite", "Wattersite", "Larnite", "Humite", "Lodestone", "Graftonite", "Sassolite", "Euchlorine", "Alarsite", "Primarily Jadeite", "Penroseite", "Vaterite", "Kernite", "Kesterite", "Dimorphite", "Taaffeite", "Huttonite", "Kobellite", "Neptunite", "Wattersite", "Mostly Gordaite", "Variscite", "Wavellite", "Rhodonite", "Idrialite", "Diopside", "Parsonsite", "Kaolinite", "Mostly Meridianiite", "Oregonite", "Arcanite", "Gordaite", "Meridianiite", "Celadonite", "Rhodolite", "Meridianiite", "Esperite", "Krotite", "Kochite", "Jarosite", "Bruceite", "Nissonite", "Larnite", "Sabieite", "Kochite", "Roumanite", "Linarite","Mariposite", "Ottrelite", "Kaolinite", "Oolite", "Nissonite", "Bruceite", "Kochite", "Lodestone", "Dimorphite", "Allanite", "Orpiment", "Pontite", "Vulcanite", "Mesolite", "Kernite", "Jadeite", "Variscite", "Roaldite", "Dimorphite", "Taaffeite", "Cesbronite", "Mariposite", "Pontite", "Celadonite", "Mostly Perhamite", "Tantalite", "Violarite", "Primarily Idrialite", "Chiefly Vaterite", "Vaterite", "Rhodium", "Larimar", "Rozenite", "Pentlandite", "Primarily Pectolite", "Diopside", "Calcite", "Parsonsite", "Kostovite", "Kernite", "Mostly Tausonite", "Kesterite", "Wavellite", "Pascoite", "Diopside", "Veatchite", "Mostly Kobellite", "Vulcanite", "Sabieite", "Linarite", "Nobleite", "Meridianiite", "Dimorphite", "Silicate", "Rhodonite", "Sassolite", "Palladium", "Mainly Violarite", "Wavellite", "Alamosite", "Huttonite", "Celestine", "Kermesite", "Jarosite", "Pentlandite", "Penroseite", "Penroseite", "Kermesite", "Meridianiite", "Ilmenite", "Euclase", "Cesbronite", "Chiefly Esperite", "Violarite", "Gratonite", "Taaffeite", "Alamosite", "Mostly Periclase", "Pecoraite", "Saneroite", "Volborthite", "Calcite", "Mostly Sabatierite", "Mostly Bruceite", "Veatchite", "Euchroite", "Jalpaite", "Idrialite", "Sabatierite", "Dioptase", "Ottrelite", "Dolomite", "Mostly Tantalite", "Vaterite", "Veatchite", "Pascoite", "Meridianiite", "Orpiment", "Panethite", "Linarite", "Reinerite", "Orpiment", "Wattersite", "Chiefly Cerium", "Ichnusaite", "Chiefly Vlasovite", "Euchlorine", "Vermiculite", "Ilmenite", "Rozenite", "Allanite", "Jadeite", "Mainly Kochite", "Dimorphite", "Volborthite", "Mostly Ottrelite", "Chiefly Cesbronite", "Roumanite", "Kesterite", "Rhodolite", "Penroseite", "Saliotite", "Hureaulite", "Pascoite", "Larnite", "Sarabauite", "Euchlorine", "Jaffeite","Rhodolite", "Chiefly Orpiment", "Kochite", "Dolomite", "Kanoite", "Euclase", "Mainly Kermesite", "Tantalite", "Mostly Jennite", "Wattersite", "Alamosite", "Larnite", "Jarosite", "Aldermanite", "Dolomite", "Primarily Jadeite", "Vesuvianite", "Kochite", "Vermiculite", "Lublinite", "Periclase", "Cerium", "Mariposite", "Euclase", "Tausonite", "Safflorite", "Gordaite", "Taaffeite", "Rozenite", "Euchlorine", "Mostly Kesterite", "Calcite", "Alamosite", "Ilmenite", "Perhamite", "Gratonite", "Primarily Orpiment", "Variscite", "Wavellite", "Lublinite", "Jadarite", "Nontronite", "Dolomite", "Linarite", "Cerussite", "Tarbuttite", "Vesuvianite", "Reinerite", "Celestine", "Sarabauite", "Humite", "Rhodonite", "Jaffeite", "Celestine", "Cervantite", "Pontite", "Mainly Pecoraite", "Mesolite", "Gratonite", "Kobellite", "Greenalite", "Allanite", "Rubicline", "Vlasovite",
// Galaxy 3
"Euchlorine", "Kaolinite", "Magnesia", "Jarosite", "Krennerite", "Ottrelite", "Dimorphite", "Kernite", "Goslarite", "Nissonite", "Cervantite", "Kesterite", "Taaffeite", "Libethenite", "Gonnardite", "Krotite", "Jaffeite", "Chiefly Palladium", "Alamosite", "Humite", "Panethite", "Variscite", "Larnite", "Jarosite", "Greenalite", "Chiefly Celestine", "Vulcanite", "Cerussite", "Humite", "Goslarite", "Mainly Vermiculite", "Humite", "Kochite", "Oolite", "Sassolite", "Jadeite", "Mesolite", "Primarily Messelite", "Goslarite", "Chiefly Wattersite", "Kermesite", "Palladium", "Oldhamite", "Dimorphite", "Sabieite", "Kobellite", "Sabatierite", "Larnite", "Oldhamite", "Arcanite", "Kermesite", "Vladimirite", "Primarily Kanoite", "Euchroite", "Taenite", "Kernite", "Tantalite", "Aldermanite", "Pectolite", "Larnite", "Mostly Nichromite", "Mariposite", "Lodestone", "Jalpaite","Labradorite", "Cerium", "Karlite", "Tantalite", "Dolomite", "Osumilite", "Sarabauite", "Libethenite", "Ichnusaite", "Dolomite", "Nissonite", "Icosahedrite", "Tantalite", "Violarite", "Chiefly Dioptase", "Krennerite", "Rhodium", "Alamosite", "Dolomite", "Veatchite", "Rubicline", "Roumanite", "Sarabauite", "Euclase", "Parsonsite", "Sabieite", "Primarily Magnesia", "Gormanite", "Gratonite", "Euchlorine", "Cerium", "Chiefly Wavellite", "Taaffeite", "Ichnusaite", "Mostly Jalpaite", "Vesuvianite", "Jennite", "Greenalite", "Euchlorine", "Jarosite", "Larnite", "Calcite", "Vladimirite", "Larimar", "Nissonite", "Greenalite", "Larimar", "Saliotite", "Volborthite", "Safflorite", "Rameauite", "Safflorite", "Saliotite", "Rhodolite", "Chiefly Pecoraite", "Laurionite", "Alloclasite", "Alloclasite", "Parsonsite", "Kanoite", "Nissonite", "Saliotite", "Saneroite", "Rhodium", "Icosahedrite", "Alloclasite", "Euchlorine", "Gormanite", "Kaolinite", "Huemulite", "Rhodium", "Kernite", "Wavellite", "Veatchite", "Rozenite", "Palladium", "Volborthite", "Mostly Icosahedrite", "Laurionite", "Larimar", "Roaldite", "Gratonite", "Pentlandite", "Mariposite", "Pontite", "Gormanite", "Euclase", "Mostly Gonnardite", "Mariposite", "Jaffeite", "Jaffeite", "Mainly Pectolite", "Pontite", "Cerium", "Jadeite", "Kermesite", "Aldermanite", "Linarite", "Kernite", "Pontite", "Rhodolite", "Kochite", "Messelite", "Karlite", "Primarily Kermesite", "Messelite", "Rameauite", "Oldhamite", "Cerium", "Petalite", "Palladium", "Lodestone", "Panethite", "Ichnusaite", "Mostly Ottrelite", "Primarily Sarabauite", "Cervantite", "Rozenite", "Rozenite", "Goslarite", "Reinerite", "Primarily Vivianite", "Mostly Lodestone", "Primarily Cesbronite", "Taenite", "Primarily Euclase", "Mostly Aldermanite", "Nissonite","Sassolite", "Dimorphite", "Nickeline", "Saneroite", "Allanite", "Chiefly Neptunite", "Volborthite", "Mariposite", "Gratonite", "Mainly Volborthite", "Mariposite", "Huttonite", "Laurionite", "Osumilite", "Allanite", "Oldhamite", "Pascoite", "Alloclasite", "Saneroite", "Tarbuttite", "Vivianite", "Volborthite", "Mainly Esperite", "Sabieite", "Panethite", "Kesterite", "Cerium", "Roumanite", "Bruceite", "Rozenite", "Orpiment", "Celsian", "Vivianite", "Calcite", "Idrialite", "Euchroite", "Kostovite", "Reinerite", "Cervantite", "Meridianiite", "Primarily Petalite", "Gormanite", "Nichromite", "Parsonsite", "Mostly Idrialite", "Mostly Tarbuttite", "Nontronite", "Periclase", "Esperite", "Alloclasite", "Cerium", "Kochite", "Primarily Allanite", "Nichromite", "Nickeline", "Larimar", "Labradorite", "Palladium", "Pontite", "Pontite", "Greenalite", "Chiefly Safflorite", "Gratonite", "Sabieite",
// Galaxy 4
"Krennerite", "Mariposite", "Perhamite", "Nontronite", "Euchlorine", "Chiefly Humite", "Chiefly Vulcanite", "Celsian", "Cerium", "Mainly Rozenite", "Alloclasite", "Ilmenite", "Perhamite", "Jennite", "Jennite", "Bruceite", "Ottrelite", "Penroseite", "Mostly Oolite", "Vermiculite", "Violarite", "Jarosite", "Celadonite", "Jadeite", "Sarabauite", "Vesuvianite", "Primarily Euchroite", "Tantalite", "Oldhamite", "Parsonsite", "Gratonite", "Violarite", "Larnite", "Gonnardite", "Palladium", "Panethite", "Orpiment", "Rameauite", "Jadeite", "Arcanite", "Mainly Roaldite", "Pontite", "Karlite", "Jadeite", "Labradorite", "Mainly Jadarite", "Linarite", "Saneroite", "Ichnusaite", "Mostly Taaffeite", "Roumanite", "Vaterite", "Gormanite", "Larnite", "Esperite", "Neptunite", "Jaffeite", "Sarabauite", "Mainly Pectolite", "Vermiculite", "Tantalite", "Huttonite", "Panethite", "Silicate","Kermesite", "Gormanite", "Bruceite", "Rhodium", "Tantalite", "Rameauite", "Labradorite", "Celadonite", "Chiefly Wavellite", "Cerium", "Sabieite", "Cerium", "Mostly Osumilite", "Kermesite", "Nobleite", "Rhodonite", "Variscite", "Libethenite", "Mesolite", "Chiefly Hureaulite", "Mostly Vaterite", "Magnesia", "Palladium", "Tarbuttite", "Pearceite", "Veatchite", "Sabieite", "Primarily Bruceite", "Krotite", "Chiefly Panethite", "Safflorite", "Krennerite", "Kochite", "Tarbuttite", "Periclase", "Labradorite", "Gordaite", "Roaldite", "Karlite", "Pearceite", "Kanoite", "Saliotite", "Calcite", "Ottrelite", "Euclase", "Rhodolite", "Mostly Rubicline", "Kesterite", "Vaterite", "Primarily Dolomite", "Oregonite", "Calcite", "Sassolite", "Kesterite", "Saliotite", "Euchroite", "Karlite", "Saneroite", "Krotite", "Nissonite", "Arcanite", "Greenalite", "Pearceite", "Rhodonite", "Cesbronite", "Graftonite", "Parsonsite", "Mainly Dioptase", "Nissonite", "Labradorite", "Periclase", "Laurionite", "Saliotite", "Volborthite", "Aldermanite", "Oolite", "Ilmenite", "Primarily Tarbuttite", "Mainly Pascoite", "Goslarite", "Rhodonite", "Palladium", "Rhodolite", "Graftonite", "Nissonite", "Euchroite", "Celadonite", "Arcanite", "Gordaite", "Krotite", "Mostly Roumanite", "Violarite", "Jarosite", "Sarabauite", "Graftonite", "Vermiculite", "Penroseite", "Jadeite", "Mainly Krotite", "Alloclasite", "Chiefly Gonnardite", "Kernite", "Osumilite", "Kanoite", "Nichromite", "Jennite", "Euclase", "Tausonite", "Primarily Nickeline", "Cerussite", "Ichnusaite", "Nickeline", "Tausonite", "Palladium", "Diopside", "Sabieite", "Saneroite", "Osumilite", "Safflorite", "Rhodium", "Osumilite", "Alamosite", "Libethenite", "Mostly Kaolinite", "Vlasovite", "Gordaite", "Meridianiite", "Humite","Libethenite", "Wavellite", "Gordaite", "Oolite", "Euchroite", "Kochite", "Chiefly Pecoraite", "Rameauite", "Mainly Ichnusaite", "Saneroite", "Pectolite", "Cesbronite", "Alarsite", "Kochite", "Mariposite", "Arcanite", "Vaterite", "Bruceite", "Cerussite", "Lublinite", "Hureaulite", "Pentlandite", "Vivianite", "Reinerite", "Vladimirite", "Nobleite", "Oldhamite", "Mostly Tausonite", "Petalite", "Cerium", "Dimorphite", "Saneroite", "Mainly Jalpaite", "Vladimirite", "Petalite", "Roaldite", "Greenalite", "Chiefly Vivianite", "Vesuvianite", "Rubicline", "Bruceite", "Vivianite", "Panethite", "Mainly Dolomite", "Veatchite", "Celadonite", "Mainly Labradorite", "Mainly Vesuvianite", "Larnite", "Sarabauite", "Karlite", "Alamosite", "Kochite", "Petalite", "Vaterite", "Celsian", "Vermiculite", "Larimar", "Orpiment", "Ottrelite", "Euchroite", "Dioptase", "Kanoite", "Mostly Labradorite",
// Galaxy 5
"Allanite", "Meridianiite", "Ottrelite", "Nobleite", "Gordaite", "Silicate", "Euchlorine", "Jalpaite", "Rubicline", "Greenalite", "Mostly Nontronite", "Vulcanite", "Nobleite", "Gordaite", "Nobleite", "Jennite", "Mainly Pascoite", "Vlasovite", "Silicate", "Variscite", "Primarily Euchlorine", "Mariposite", "Huttonite", "Larimar", "Mariposite", "Diopside", "Libethenite", "Mostly Kaolinite", "Kernite", "Krennerite", "Esperite", "Nickeline", "Labradorite", "Cervantite", "Palladium", "Ilmenite", "Huemulite", "Idrialite", "Calcite", "Mostly Euchroite", "Tantalite", "Oolite", "Petalite", "Jennite", "Roaldite", "Chiefly Gormanite", "Alamosite", "Laurionite", "Alloclasite", "Saneroite", "Rubicline", "Oregonite", "Cerussite", "Meridianiite", "Mostly Messelite", "Kochite", "Violarite", "Cerium", "Cerium", "Taenite", "Reinerite", "Mostly Cerussite", "Violarite", "Jarosite","Kostovite", "Alloclasite", "Kochite", "Icosahedrite", "Sassolite", "Palladium", "Ilmenite", "Nickeline", "Penroseite", "Roaldite", "Periclase", "Dolomite", "Jarosite", "Rhodonite", "Labradorite", "Pectolite", "Primarily Orpiment", "Orpiment", "Cerussite", "Vulcanite", "Idrialite", "Reinerite", "Pecoraite", "Celestine", "Laurionite", "Meridianiite", "Pascoite", "Tantalite", "Allanite", "Linarite", "Sabieite", "Jalpaite", "Gonnardite", "Petalite", "Mostly Kobellite", "Orpiment", "Alamosite", "Dolomite", "Jadeite", "Kesterite", "Rubicline", "Osumilite", "Kostovite", "Kaolinite", "Pectolite", "Volborthite", "Oldhamite", "Vlasovite", "Vulcanite", "Periclase", "Rameauite", "Libethenite", "Mostly Kermesite", "Dimorphite", "Petalite", "Roumanite", "Taaffeite", "Parsonsite", "Violarite", "Meridianiite", "Bruceite", "Primarily Wattersite", "Oolite", "Allanite", "Rhodonite", "Primarily Meridianiite", "Tausonite", "Taaffeite", "Idrialite", "Huttonite", "Karlite", "Kaolinite", "Mainly Saneroite", "Mostly Veatchite", "Rhodolite", "Perhamite", "Kaolinite", "Alarsite", "Panethite", "Cerussite", "Safflorite", "Aldermanite", "Orpiment", "Roaldite", "Primarily Hureaulite", "Allanite", "Mostly Wavellite", "Pectolite", "Humite", "Euchroite", "Chiefly Penroseite", "Aldermanite", "Neptunite", "Kermesite", "Nontronite", "Mainly Hureaulite", "Pontite", "Arcanite", "Chiefly Gordaite", "Gordaite", "Kanoite", "Ottrelite", "Oregonite", "Cerussite", "Jarosite", "Periclase", "Pascoite", "Taenite", "Dolomite", "Krotite", "Pectolite", "Jadarite", "Jennite", "Lublinite", "Tantalite", "Jadarite", "Panethite", "Gordaite", "Aldermanite", "Euchlorine", "Dimorphite", "Wavellite", "Diopside", "Euchlorine", "Ilmenite", "Dimorphite", "Chiefly Jadeite", "Laurionite","Laurionite", "Violarite", "Sarabauite", "Oldhamite", "Dioptase", "Mainly Vladimirite", "Nobleite", "Gordaite", "Orpiment", "Chiefly Sassolite", "Vivianite", "Primarily Jaffeite", "Jadeite", "Sabatierite", "Ottrelite", "Meridianiite", "Sabatierite", "Roaldite", "Euclase", "Penroseite", "Graftonite", "Larnite", "Perhamite", "Mainly Pectolite", "Sabatierite", "Rubicline", "Petalite", "Chiefly Jaffeite", "Mainly Libethenite", "Primarily Kobellite", "Neptunite", "Cervantite", "Penroseite", "Nichromite", "Aldermanite", "Cesbronite", "Taaffeite", "Jadeite", "Euchlorine", "Panethite", "Vesuvianite", "Tantalite", "Jarosite", "Diopside", "Cervantite", "Vivianite", "Sarabauite", "Nickeline", "Wattersite", "Esperite", "Mostly Diopside", "Lodestone", "Palladium", "Larnite", "Krotite", "Idrialite", "Kanoite", "Lublinite", "Sabieite", "Humite", "Arcanite", "Hureaulite", "Wattersite", "Primarily Libethenite",
// Galaxy 6
"Kobellite", "Magnesia", "Celadonite", "Jennite", "Bruceite", "Saliotite", "Tausonite", "Celsian", "Mesolite", "Vermiculite", "Gormanite", "Variscite", "Aldermanite", "Palladium", "Vesuvianite", "Dioptase", "Alamosite", "Rhodolite", "Rhodium", "Ichnusaite", "Diopside", "Allanite", "Gonnardite", "Alarsite", "Rozenite", "Alloclasite", "Ottrelite", "Icosahedrite", "Chiefly Safflorite", "Volborthite", "Vladimirite", "Osumilite", "Pascoite", "Alamosite", "Ottrelite", "Arcanite", "Mainly Euchroite", "Nickeline", "Primarily Jalpaite", "Lublinite", "Gratonite", "Oldhamite", "Mainly Larnite", "Sassolite", "Esperite", "Primarily Rhodolite", "Calcite", "Allanite", "Mainly Sarabauite", "Jalpaite", "Primarily Rhodonite", "Oregonite", "Alloclasite", "Veatchite", "Hureaulite", "Mostly Oolite", "Meridianiite", "Reinerite", "Tantalite", "Pecoraite", "Ichnusaite", "Vaterite", "Orpiment", "Cesbronite","Rubicline", "Variscite", "Jarosite", "Tantalite", "Labradorite", "Kanoite", "Veatchite", "Tarbuttite", "Kochite", "Krennerite", "Penroseite", "Humite", "Cerium", "Gratonite", "Graftonite", "Silicate", "Nobleite", "Calcite", "Silicate", "Alarsite", "Roumanite", "Krotite", "Dioptase", "Primarily Orpiment", "Rhodolite", "Kochite", "Mostly Alloclasite", "Oregonite", "Jalpaite", "Jadeite", "Petalite", "Roumanite", "Dimorphite", "Nobleite", "Humite", "Sabieite", "Lublinite", "Vaterite", "Neptunite", "Dioptase", "Larimar", "Chiefly Labradorite", "Mainly Jarosite", "Nissonite", "Linarite", "Variscite", "Idrialite", "Calcite", "Hureaulite", "Bruceite", "Pontite", "Krotite", "Calcite", "Reinerite", "Volborthite", "Petalite", "Chiefly Tausonite", "Roumanite", "Ilmenite", "Karlite", "Idrialite", "Saneroite", "Vesuvianite", "Magnesia", "Magnesia", "Larnite", "Primarily Mesolite", "Euclase", "Pontite", "Mostly Cerussite", "Laurionite", "Pearceite", "Roaldite", "Taaffeite", "Magnesia", "Mostly Nontronite", "Jalpaite", "Celadonite", "Nissonite", "Primarily Ottrelite", "Huemulite", "Vesuvianite", "Sassolite", "Idrialite", "Taaffeite", "Saneroite", "Esperite", "Sarabauite", "Periclase", "Veatchite", "Dioptase", "Euclase", "Ilmenite", "Pearceite", "Mainly Kaolinite", "Osumilite", "Idrialite", "Sabatierite", "Pecoraite", "Perhamite", "Mainly Rubicline", "Idrialite", "Pentlandite", "Reinerite", "Labradorite", "Rhodolite", "Messelite", "Messelite", "Bruceite", "Linarite", "Karlite", "Jadarite", "Humite", "Pascoite", "Calcite", "Karlite", "Goslarite", "Nobleite", "Tarbuttite", "Primarily Vesuvianite", "Silicate", "Rhodonite", "Calcite", "Gormanite", "Greenalite", "Variscite", "Vermiculite", "Dimorphite","Libethenite", "Idrialite", "Vaterite", "Mainly Magnesia", "Chiefly Aldermanite", "Roumanite", "Taaffeite", "Ichnusaite", "Aldermanite", "Chiefly Petalite", "Primarily Gratonite", "Alamosite", "Alamosite", "Nissonite", "Silicate", "Nickeline", "Larnite", "Veatchite", "Ilmenite", "Jennite", "Gonnardite", "Nissonite", "Arcanite", "Mainly Labradorite", "Volborthite", "Magnesia", "Pascoite", "Linarite", "Wattersite", "Kaolinite", "Roumanite", "Graftonite", "Veatchite", "Veatchite", "Safflorite", "Gratonite", "Alarsite", "Kermesite", "Pentlandite", "Wavellite", "Osumilite", "Tausonite", "Variscite", "Chiefly Idrialite", "Primarily Messelite", "Larnite", "Nobleite", "Variscite", "Silicate", "Gordaite", "Tantalite", "Vladimirite", "Volborthite", "Idrialite", "Kesterite", "Gordaite", "Ichnusaite", "Mostly Nontronite", "Ilmenite", "Celestine", "Nichromite", "Chiefly Parsonsite", "Parsonsite", "Periclase",
// Galaxy 7
"Mainly Ichnusaite", "Roumanite", "Rozenite", "Vlasovite", "Messelite", "Dimorphite", "Sassolite", "Pascoite", "Nobleite", "Euchlorine", "Gratonite", "Panethite", "Huttonite", "Huttonite", "Dimorphite", "Mostly Pearceite", "Roumanite", "Ottrelite", "Esperite", "Sabieite", "Rozenite", "Mariposite", "Primarily Rozenite", "Rameauite", "Alamosite", "Veatchite", "Larnite", "Dolomite", "Alloclasite", "Lodestone", "Safflorite", "Oldhamite", "Humite", "Ottrelite", "Mesolite", "Rhodonite", "Chiefly Veatchite", "Celadonite", "Ilmenite", "Primarily Pectolite", "Reinerite", "Ilmenite", "Wattersite", "Arcanite", "Karlite", "Messelite", "Humite", "Huttonite", "Krennerite", "Gonnardite", "Mainly Wattersite", "Calcite", "Pectolite", "Neptunite", "Periclase", "Allanite", "Rhodolite", "Aldermanite", "Libethenite", "Vlasovite", "Chiefly Dioptase", "Saliotite", "Periclase", "Chiefly Magnesia","Celestine", "Mariposite", "Graftonite", "Sarabauite", "Silicate", "Petalite", "Allanite", "Magnesia", "Alamosite", "Kermesite", "Vermiculite", "Nontronite", "Celestine", "Wavellite", "Kaolinite", "Mariposite", "Veatchite", "Tausonite", "Pearceite", "Sarabauite", "Diopside", "Dioptase", "Palladium", "Labradorite", "Chiefly Roumanite", "Primarily Penroseite", "Perhamite", "Mostly Oolite", "Mostly Meridianiite", "Jalpaite", "Taenite", "Saneroite", "Cesbronite", "Chiefly Aldermanite", "Larimar", "Ilmenite", "Rozenite", "Meridianiite", "Cervantite", "Vermiculite", "Perhamite", "Mostly Oolite", "Kesterite", "Saliotite", "Vaterite", "Kaolinite", "Greenalite", "Oolite", "Nickeline", "Graftonite", "Nobleite", "Oolite", "Aldermanite", "Kermesite", "Linarite", "Mainly Gonnardite", "Kochite", "Gormanite", "Mainly Tarbuttite", "Krotite", "Cervantite", "Gormanite", "Vladimirite", "Veatchite", "Chiefly Rhodonite", "Roumanite", "Gormanite", "Mostly Pecoraite", "Lublinite", "Alarsite", "Vaterite", "Variscite", "Hureaulite", "Pearceite", "Neptunite", "Chiefly Euchlorine", "Rubicline", "Nickeline", "Pecoraite", "Gormanite", "Chiefly Cerussite", "Libethenite", "Goslarite", "Kobellite", "Alarsite", "Kanoite", "Celadonite", "Taenite", "Jaffeite", "Celadonite", "Vaterite", "Mainly Vesuvianite", "Primarily Kochite", "Rhodonite", "Kernite", "Larimar", "Dolomite", "Laurionite", "Kostovite", "Magnesia", "Mostly Krotite", "Jaffeite", "Chiefly Palladium", "Alamosite", "Humite", "Panethite", "Variscite", "Larnite", "Jarosite", "Greenalite", "Chiefly Celestine", "Vulcanite", "Cerussite", "Humite", "Goslarite", "Mainly Vermiculite", "Humite", "Kochite", "Oolite", "Sassolite", "Jadeite", "Mesolite", "Primarily Messelite", "Goslarite", "Chiefly Wattersite", "Kermesite", "Palladium", "Oldhamite","Dimorphite", "Sabieite", "Kobellite", "Sabatierite", "Larnite", "Oldhamite", "Arcanite", "Kermesite", "Vladimirite", "Primarily Kanoite", "Euchroite", "Taenite", "Kernite", "Tantalite", "Aldermanite", "Pectolite", "Larnite", "Mostly Nichromite", "Mariposite", "Lodestone", "Jalpaite", "Labradorite", "Cerium", "Karlite", "Tantalite", "Dolomite", "Osumilite", "Sarabauite", "Libethenite", "Ichnusaite", "Dolomite", "Nissonite", "Icosahedrite", "Tantalite", "Violarite", "Chiefly Dioptase", "Krennerite", "Rhodium", "Alamosite", "Dolomite", "Veatchite", "Rubicline", "Roumanite", "Sarabauite", "Euclase", "Parsonsite", "Sabieite", "Primarily Magnesia", "Gormanite", "Gratonite", "Euchlorine", "Cerium", "Chiefly Wavellite", "Taaffeite", "Ichnusaite", "Mostly Jalpaite", "Vesuvianite", "Jennite", "Greenalite", "Euchlorine", "Jarosite", "Larnite", "Calcite", "Vladimirite",
// Galaxy 8
"Ottrelite", "Nobleite", "Pearceite", "Penroseite", "Karlite", "Graftonite", "Chiefly Sabatierite", "Gratonite", "Pascoite", "Gordaite", "Kanoite", "Jalpaite", "Mainly Celestine", "Vulcanite", "Primarily Bruceite", "Magnesia", "Mostly Idrialite", "Parsonsite", "Pectolite", "Chiefly Libethenite", "Laurionite", "Magnesia", "Mostly Lodestone", "Larnite", "Icosahedrite", "Nobleite", "Icosahedrite", "Oregonite", "Primarily Roumanite", "Goslarite", "Larimar", "Kobellite", "Magnesia", "Osumilite", "Primarily Ichnusaite", "Alloclasite", "Mostly Rameauite", "Pascoite", "Meridianiite", "Vesuvianite", "Taaffeite", "Safflorite", "Nickeline", "Penroseite", "Vladimirite", "Cesbronite", "Dimorphite", "Icosahedrite", "Arcanite", "Orpiment", "Chiefly Safflorite", "Gonnardite", "Vlasovite", "Euchlorine", "Rhodium", "Rhodolite", "Reinerite", "Rameauite", "Jarosite", "Jadarite", "Mainly Cerussite", "Chiefly Dioptase", "Graftonite", "Calcite","Rubicline", "Euchroite", "Primarily Palladium", "Krotite", "Saliotite", "Humite", "Jennite", "Tausonite", "Krennerite", "Nichromite", "Kanoite", "Kermesite", "Vermiculite", "Alarsite", "Pentlandite", "Vlasovite", "Bruceite", "Petalite", "Huemulite", "Jarosite", "Celsian", "Krennerite", "Chiefly Penroseite", "Nontronite", "Laurionite", "Roumanite", "Jadeite", "Nontronite", "Kernite", "Jennite", "Jadeite", "Nickeline", "Huemulite", "Roumanite", "Messelite", "Safflorite", "Pectolite", "Chiefly Sassolite", "Chiefly Euclase", "Taenite", "Ichnusaite", "Graftonite", "Graftonite", "Hureaulite", "Laurionite", "Volborthite", "Nontronite", "Rhodolite", "Mostly Huttonite", "Arcanite", "Nobleite", "Jadeite", "Esperite", "Mariposite", "Cervantite", "Kanoite", "Wattersite", "Sassolite", "Oldhamite", "Icosahedrite", "Linarite", "Idrialite", "Humite", "Dioptase", "Veatchite", "Taenite", "Bruceite", "Diopside", "Primarily Kobellite", "Osumilite", "Laurionite", "Gormanite", "Jaffeite", "Primarily Vesuvianite", "Alamosite", "Celestine", "Nichromite", "Huttonite", "Silicate", "Vladimirite", "Celsian", "Mesolite", "Tantalite", "Alloclasite", "Labradorite", "Primarily Lublinite", "Rubicline", "Petalite", "Kochite", "Ichnusaite", "Goslarite", "Vulcanite", "Calcite", "Nissonite", "Primarily Pontite", "Nissonite", "Krennerite", "Chiefly Petalite", "Primarily Allanite", "Sabatierite", "Gratonite", "Graftonite", "Rhodolite", "Mainly Pascoite", "Euclase", "Diopside", "Saneroite", "Nichromite", "Jarosite", "Mostly Rhodolite", "Violarite", "Taenite", "Alloclasite", "Tarbuttite", "Kochite", "Karlite", "Pentlandite", "Celestine", "Variscite", "Kochite", "Pearceite", "Roaldite", "Rhodonite", "Neptunite", "Orpiment", "Vesuvianite", "Dimorphite", "Gormanite","Lodestone", "Saliotite", "Osumilite", "Euchroite", "Wattersite", "Libethenite", "Neptunite", "Graftonite", "Parsonsite", "Taenite", "Sassolite", "Ilmenite", "Tarbuttite", "Humite", "Vermiculite", "Chiefly Vivianite", "Kochite", "Goslarite", "Gormanite", "Hureaulite", "Tarbuttite", "Oregonite", "Graftonite", "Celsian", "Wavellite", "Labradorite", "Pecoraite", "Neptunite", "Mostly Perhamite", "Osumilite", "Larimar", "Karlite", "Mostly Dimorphite", "Idrialite", "Cesbronite", "Mainly Huemulite", "Vivianite", "Palladium", "Panethite", "Variscite", "Vlasovite", "Cerium", "Pecoraite", "Reinerite", "Icosahedrite", "Wattersite", "Volborthite", "Kobellite", "Taaffeite", "Jennite", "Tausonite", "Jaffeite", "Perhamite", "Dolomite", "Wavellite", "Linarite", "Mostly Hureaulite", "Petalite", "Mariposite", "Allanite", "Mostly Vesuvianite", "Perhamite", "Cerium", "Penroseite",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Sabatierite"];

// Names for Planet Composition Data (2,048 types).
this.planetStuffPool = [
// Galaxy 1
"Breccia", "Nepheline", "Novaculite", "Basanite", "Jaspillite", "Litchfieldite", "Amphibolite", "Banalsite", "Gritstone", "Llanite", "Peridotite", "Hematite", "Arkose", "Pietersite", "Aphanite", "Amphibolite Core", "Breccia", "Calcflinta", "Carbonatite", "Pantellerite", "Tachylite", "Nepheline", "Granulite", "Arkose Core", "Benmoreite", "Geyserite", "Calcflinta", "Amphibolite", "Wehrlit Shell", "Calcflinta", "Mangerite", "Cohenite", "Pegmatite", "Appinite", "Microcline", "Delvauxite Surface", "Amphibolite", "Blueschist Shell", "Jasperoid", "Boninite", "Silicate", "Jaspillite", "Komatiite", "Luxullianite", "Kimberlite", "Tachylite", "Silicate", "Coquina", "Jasperoid", "Trachyte", "Kolbeckite Mantle", "Travertine", "Phonolite", "Litchfieldite", "Comendite", "Breccia", "Delvauxite", "Tachylite", "Scoria Core", "Shonkinite ", "Unakite", "Borolanite", "Taconite", "Evaporite","Jadeitite", "Comendite", "Limestone", "Basalt", "Obsidian", "Hematite", "Serpentinite", "Limestone", "Banalsite", "Carbonate", "Comendite", "Benmoreite", "Blueschist Core", "Novaculite", "Essexite", "Breccia", "Limestone", "Tachylyte", "Icelandite", "Kolbeckite", "Obsidian", "Turbidite", "Charnockite", "Komatiite", "Delvauxite Shell", "Anthracite", "Cataclasite", "Siltstone", "Evaporite", "Arkose Mantle", "Peridotite", "Serpentinite", "Nephelinite Surface", "Tonalite", "Epidosite", "Granulite", "Siltstone", "Nepheline", "Tachylite", "Vogesite", "Trachyte", "Theralite", "Banalsite", "Granulite", "Theralite", "Monzonite", "Silica", "Lamproite", "Meionite", "Lamproite", "Monzonite", "Jarosite", "Llanite Surface", "Teschenite", "Claystone", "Claystone", "Charnockite", "Felsite", "Banalsite", "Monzonite", "Nephelinite", "Essexite", "Carbonate", "Claystone", "Siltstone", "Anthracite", "Gossan", "Greenschist", "Essexite", "Litchfieldite", "Shonkinite", "Tachylyte", "Granite", "Boninite", "Silica", "Pantellerite Core", "Teschenite", "Theralite", "Gabbro", "Cataclasite", "Glauconite", "Shonkinite ", "Mudstone", "Anthracite", "Turbidite", "Boninite Surface", "Shonkinite ", "Aphanite", "Aphanite", "Breccia Shell", "Mudstone", "Evaporite", "Appinite", "Jasperoid", "Breccia", "Metasomatite", "Litchfieldite", "Mudstone", "Jarosite", "Mangerite", "Monzonite", "Jadeitite", "Unakite Core", "Monzonite", "Meionite", "Silicate", "Evaporite", "Jacobsite", "Boninite", "Unakite", "Carbonatite", "Serpentinite", "Dunite Core", "Ferroselite Mantle", "Gritstone", "Granite", "Granite", "Amphibolite", "Dunite", "Pietersite Shell", "Pumice Crust", "Amazonite Crust", "Phonolite", "Hematite Shell", "Monzonite Crust", "Banalsite", "Pegmatite", "Jaspillite","Aventurine", "Nephelinite", "Calcarenite", "Granulite Mantle", "Silica", "Shonkinite ", "Cataclasite", "Hawaiite Shell", "Shonkinite ", "Metapelite", "Teschenite", "Basalt", "Calcarenite", "Silicate", "Enderbite", "Claystone", "Nephelinite", "Pumice", "Troctolite", "Silica", "Tephrite Crust", "Komatiite", "Carbonatite", "Llanite", "Evaporite", "Kolbeckite", "Metapsammite", "Granite", "Andesite", "Dolomite", "Troctolite", "Vogesite", "Soapstone", "Travertine", "Lamprophyre", "Dunite", "Gritstone", "Larvikite", "Meionite Surface", "Anthracite", "Amazonite", "Charnockite", "Oldhamite Surface", "Quartzolite Core", "Danalite", "Ichnusaite", "Phosphorite", "Claystone", "Evaporite", "Mangerite", "Cohenite Surface", "Amazonite", "Aventurine", "Theralite", "Taconite", "Boninite", "Mudstone", "Mudstone", "Granulite", "Tectonite Surface", "Cataclasite", "Komatiite", "Arkose", "Breccia",
// Galaxy 2
"Litchfieldite", "Appinite", "Foidolite", "Granite", "Obsidian Mantle", "Adamellite", "Phonolite", "Blueschist Crust", "Shonkinite ", "Granite Mantle", "Hawaiite Surface", "Novaculite", "Larvikite", "Amphibolite", "Turbidite", "Benstonite Mantle", "Peridotite", "Silica", "Boninite", "Andesite", "Appinite", "Aventurine Mantle", "Aphanite", "Peridotite", "Monzonite", "Teschenite", "Anthracite", "Basanite", "Peridotite", "Borolanite", "Alabaster", "Unakite Surface", "Tachylyte", "Claystone", "Anthracite", "Litchfieldite", "Serpentinite", "Metasomatite Core", "Adamellite", "Cohenite", "Ferroselite", "Tectonite Mantle", "Ferroselite", "Jacobsite Surface", "Andesite", "Benmoreite", "Basanite", "Pumice", "Anthracite", "Felsite", "Theralite", "Foidolite", "Comendite", "Lamproite", "Ferroselite", "Shonkinite", "Limestone", "Jadeitite Mantle", "Arkose Mantle", "Itacolumite", "Jarosite", "Metasomatite", "Unakite", "Tonalite","Monzonite Surface", "Serpentinite", "Serpentinite", "Essexite Shell", "Hawaiite", "Jacobsite", "Jaspillite", "Foidolite", "Pantellerite", "Diamictite", "Granite", "Jasperoid", "Teschenite", "Borolanite", "Pumice", "Kolbeckite", "Jaspillite", "Cataclasite Mantle", "Jacobsite", "Litchfieldite Shell", "Danalite", "Foidolite", "Lamproite", "Banalsite Shell", "Aphanite", "Wehrlit", "Carbonatite Crust", "Cataclasite", "Mudstone", "Greenschist Shell", "Hopeite", "Pantellerite", "Itacolumite", "Wehrlit", "Dolerite", "Microcline", "Limestone Crust", "Jasperoid", "Turbidite Mantle", "Basanite", "Gossan", "Ichnusaite", "Carbonate", "Nepheline", "Coquina Surface", "Jacobsite", "Diamictite", "Comendite", "Komatiite", "Lamprophyre", "Taconite Surface", "Benmoreite", "Unakite Surface", "Carbonatite Mantle", "Hematite", "Llanite", "Comendite", "Lamproite", "Benmoreite", "Quartzolite", "Gritstone", "Epidosite", "Troctolite", "Glauconite", "Felsite Core", "Dolerite", "Siltstone", "Ichnusaite", "Jaspillite", "Boninite", "Basalt", "Turbidite", "Monzonite", "Variolite", "Granulite", "Tephrite", "Argillite", "Anthracite", "Taconite", "Variolite", "Ichnusaite", "Llanite", "Tachylyte", "Litchfieldite Surface", "Comendite", "Mudstone", "Felsite", "Danalite", "Carbonatite", "Peridotite", "Adamellite", "Breccia Crust", "Dolomite", "Mangerite", "Phosphorite", "Komatiite", "Icelandite", "Jarosite Core", "Pietersite Surface", "Microcline", "Geyserite", "Kimberlite", "Jasperoid", "Comendite", "Essexite", "Comendite", "Banalsite Crust", "Teschenite", "Cohenite", "Adamellite", "Basalt", "Borolanite", "Novaculite Crust", "Tachylite", "Benmoreite", "Limestone", "Litchfieldite", "Dolomite", "Comendite", "Coquina", "Amphibolite", "Pumice", "Unakite", "Claystone", "Serpentinite", "Jaspillite", "Kimberlite Crust", "Tachylyte","Danalite", "Serpentinite", "Hematite", "Icelandite", "Pegmatite", "Monzonite", "Pietersite Surface", "Calcarenite Surface", "Metapelite", "Oolite", "Limestone", "Kimberlite", "Quartzolite", "Aventurine", "Breccia", "Metapelite", "Epidosite", "Lamproite", "Teschenite", "Jacobsite", "Wehrlit", "Turbidite", "Carbonate", "Unakite", "Microcline", "Cataclasite", "Calcarenite", "Hopeite", "Jadeitite", "Glauconite", "Itacolumite", "Gossan Mantle", "Andesite", "Appinite", "Kimberlite", "Adamellite", "Benmoreite", "Evaporite", "Anthracite", "Tectonite", "Granulite", "Siltstone", "Calcflinta", "Variolite Core", "Cohenite", "Unakite", "Carbonite", "Diamictite", "Geyserite", "Delvauxite", "Dolomite", "Argillite", "Dunite", "Hopeite", "Phonolite Mantle", "Phosphorite", "Alabaster", "Anthracite", "Geyserite Mantle", "Carbonate", "Geyserite", "Obsidian", "Alabaster", "Boninite",
// Galaxy 3
"Theralite Mantle", "Basanite", "Limestone", "Quartzolite Crust", "Scoria", "Tachylyte", "Enderbite", "Larvikite", "Andesite", "Carbonatite", "Metasomatite", "Dunite", "Andesite", "Wehrlit", "Nepheline Crust", "Serpentinite", "Blueschist Surface", "Siltstone", "Tephrite", "Tectonite", "Granite", "Calcarenite", "Appinite", "Travertine Core", "Jaspillite", "Silica", "Basalt Shell", "Nepheline Mantle", "Kolbeckite", "Llanite", "Jarosite", "Ferroselite", "Monzonite", "Litchfieldite", "Enderbite", "Tachylite", "Obsidian", "Siltstone", "Aphanite", "Jarosite", "Amphibolite Shell", "Mangerite", "Limestone", "Felsite", "Turbidite", "Trachyte Surface", "Comendite", "Kimberlite Core", "Wehrlit", "Breccia", "Tachylite", "Nepheline", "Breccia", "Limestone", "Taconite Mantle", "Tonalite", "Mangerite", "Tephrite", "Variolite", "Ichnusaite", "Evaporite", "Shonkinite ", "Turbidite", "Quartzolite","Lamproite", "Limestone", "Peridotite", "Granite", "Siltstone", "Nephelinite Surface", "Vogesite", "Breccia", "Tectonite", "Hopeite", "Cataclasite", "Novaculite Core", "Pantellerite", "Shonkinite", "Variolite", "Adamellite", "Danalite", "Limestone", "Metasomatite", "Geyserite", "Pumice", "Tonalite", "Dunite", "Diatomite", "Obsidian", "Calcflinta", "Foidolite", "Aphanite", "Diatomite", "Gritstone", "Mudstone", "Coquina Mantle", "Microcline", "Cataclasite", "Luxullianite", "Granulite", "Calcarenite", "Icelandite", "Hawaiite", "Cataclasite", "Jadeitite", "Cataclasite", "Teschenite", "Kimberlite", "Pegmatite", "Icelandite Surface", "Kolbeckite", "Monzonite", "Geyserite", "Carbonatite", "Larvikite Crust", "Pegmatite", "Tonalite", "Danalite Core", "Pantellerite", "Shonkinite", "Phonolite", "Pumice Mantle", "Unakite", "Larvikite Crust", "Greenschist", "Cataclasite", "Silicate", "Adamellite", "Oolite", "Metasomatite", "Pietersite", "Travertine", "Pantellerite", "Glauconite", "Dolerite Crust", "Travertine", "Oolite", "Amazonite", "Andesite", "Kolbeckite Core", "Breccia", "Breccia", "Teschenite", "Granulite", "Hawaiite", "Dolerite", "Phonolite", "Appinite", "Tephrite Mantle", "Jaspillite", "Novaculite", "Adamellite", "Comendite", "Meionite Crust", "Pantellerite", "Jarosite", "Calcflinta", "Tephrite", "Nepheline", "Trachyte", "Silica", "Carbonite", "Wehrlit", "Carbonatite", "Larvikite", "Metapelite", "Cohenite", "Microcline", "Amphibolite", "Breccia", "Benmoreite", "Benmoreite", "Aventurine", "Monzonite", "Comendite", "Monzonite", "Appinite", "Essexite Shell", "Coquina", "Boninite", "Lamprophyre", "Trachyte", "Andesite", "Limestone", "Breccia", "Delvauxite", "Boninite", "Soapstone", "Phonolite", "Dolerite", "Luxullianite", "Cohenite","Travertine", "Tachylite", "Lamproite", "Pietersite", "Dolomite", "Danalite Crust", "Obsidian", "Alabaster Core", "Ichnusaite", "Quartzolite", "Aphanite", "Shonkinite ", "Basalt", "Appinite", "Claystone Crust", "Turbidite", "Hawaiite Crust", "Hopeite", "Troctolite", "Basanite", "Carbonite Core", "Mudstone", "Vogesite Core", "Variolite", "Phonolite", "Metapsammite Crust", "Serpentinite", "Itacolumite Mantle", "Theralite", "Laterite", "Wehrlit", "Scoria", "Diamictite", "Anthracite", "Kimberlite", "Jarosite", "Breccia", "Dolerite", "Scoria", "Granulite", "Blueschist", "Kimberlite", "Benstonite", "Trachyte", "Soapstone", "Benmoreite", "Hawaiite Surface", "Shonkinite", "Jasperoid", "Limestone Shell", "Limestone", "Aventurine", "Carbonite", "Jasperoid", "Ichnusaite", "Tectonite", "Pietersite", "Luxullianite", "Turbidite", "Dunite", "Silica", "Larvikite", "Claystone", "Litchfieldite",
// Galaxy 4
"Tachylite", "Kimberlite", "Pegmatite", "Tonalite", "Calcflinta Surface", "Soapstone", "Claystone", "Unakite", "Adamellite Core", "Limestone Shell", "Turbidite Core", "Wehrlit Surface", "Pegmatite", "Silica", "Ferroselite Surface", "Soapstone", "Granite", "Blueschist", "Blueschist", "Trachyte", "Siltstone", "Taconite", "Cohenite", "Metasomatite", "Boninite", "Pantellerite", "Tephrite", "Hawaiite", "Shonkinite ", "Metasomatite", "Gritstone", "Basalt", "Laterite", "Benmoreite", "Aphanite", "Tonalite", "Greenschist", "Geyserite Shell", "Ichnusaite Shell", "Variolite", "Obsidian", "Essexite Mantle", "Blueschist", "Soapstone", "Kimberlite", "Mudstone Surface", "Phosphorite", "Aphanite", "Limestone", "Meionite", "Aventurine", "Epidosite", "Mangerite Shell", "Cohenite", "Lamproite", "Anthracite", "Lamprophyre Mantle", "Siltstone", "Mangerite", "Jacobsite", "Breccia", "Serpentinite", "Foidolite Mantle", "Enderbite","Gossan", "Coquina Surface", "Anthracite", "Adamellite", "Jadeitite", "Turbidite", "Basalt", "Metasomatite", "Aphanite", "Benmoreite", "Quartzolite", "Luxullianite", "Tephrite Crust", "Oolite", "Mudstone", "Breccia", "Corsite Shell", "Kolbeckite", "Essexite", "Andesite", "Borolanite", "Dunite", "Tephrite Surface", "Vogesite", "Jasperoid Mantle", "Nepheline", "Carbonatite", "Jasperoid", "Litchfieldite", "Jadeitite", "Siltstone", "Borolanite", "Diamictite", "Silica", "Boninite Shell", "Silica", "Danalite Surface", "Gritstone", "Novaculite", "Calcarenite Shell", "Granulite", "Monzonite", "Trachyte Core", "Jasperoid", "Phosphorite", "Comendite", "Comendite", "Silicate", "Wehrlit", "Pegmatite", "Dolerite", "Unakite", "Jasperoid", "Gossan", "Quartzolite", "Mudstone", "Jadeitite", "Variolite", "Gabbro Mantle", "Granite", "Charnockite", "Metasomatite", "Calcflinta", "Diatomite", "Komatiite", "Hematite", "Jasperoid", "Quartzolite", "Wehrlit", "Turbidite", "Appinite", "Epidosite", "Corsite", "Jadeitite", "Amazonite", "Geyserite Crust", "Jaspillite", "Argillite", "Carbonate", "Glauconite", "Hopeite Crust", "Wehrlit", "Troctolite", "Breccia", "Cohenite", "Amazonite", "Vogesite", "Amazonite", "Breccia Shell", "Breccia", "Vogesite", "Jarosite", "Unakite", "Cataclasite", "Silica", "Pietersite", "Epidosite", "Troctolite", "Cohenite", "Anthracite", "Ichnusaite", "Monzonite Surface", "Blueschist", "Quartzolite", "Boninite", "Jasperoid Crust", "Troctolite Mantle", "Foidolite", "Blueschist", "Itacolumite", "Oolite", "Ichnusaite", "Monzonite", "Lamproite", "Cataclasite", "Lamproite", "Claystone", "Carbonate", "Breccia", "Jacobsite Surface", "Epidosite", "Banalsite", "Ferroselite", "Peridotite", "Granite Surface", "Amphibolite", "Borolanite", "Granite Core","Carbonatite", "Komatiite", "Travertine", "Komatiite", "Metapsammite", "Novaculite", "Diamictite", "Litchfieldite", "Kolbeckite", "Nepheline", "Turbidite", "Gritstone Surface", "Tachylyte", "Comendite", "Itacolumite", "Comendite", "Diamictite", "Silicate", "Geyserite", "Breccia", "Luxullianite", "Comendite", "Gabbro", "Metasomatite", "Banalsite", "Turbidite", "Argillite", "Breccia", "Llanite Shell", "Basanite", "Danalite Crust", "Jadeitite", "Claystone", "Felsite", "Corsite Surface", "Pantellerite", "Epidosite", "Calcarenite Mantle", "Felsite", "Llanite", "Cataclasite", "Andesite", "Nepheline", "Litchfieldite", "Meionite", "Essexite", "Monzonite", "Teschenite", "Nephelinite", "Appinite", "Benmoreite", "Benstonite", "Adamellite", "Blueschist", "Basanite", "Danalite Core", "Tectonite", "Calcflinta", "Llanite Shell", "Epidosite", "Borolanite Crust", "Hematite", "Komatiite", "Silicate",
// Galaxy 5
"Jasperoid", "Breccia", "Benmoreite", "Tephrite", "Tephrite", "Shonkinite", "Greenschist", "Felsite", "Carbonatite", "Jadeitite", "Cataclasite", "Teschenite", "Metapelite", "Siltstone", "Pantellerite", "Kimberlite", "Diamictite", "Jasperoid", "Meionite", "Turbidite", "Larvikite", "Jarosite", "Diatomite", "Carbonite Crust", "Pumice", "Tonalite Surface", "Granulite", "Breccia", "Greenschist", "Hawaiite", "Gritstone", "Cataclasite", "Amphibolite Mantle", "Carbonite", "Basalt", "Aventurine", "Cohenite", "Litchfieldite", "Taconite Mantle", "Gabbro", "Hopeite", "Amphibolite", "Turbidite", "Amphibolite", "Carbonite", "Theralite", "Granite", "Wehrlit", "Evaporite", "Ferroselite", "Ferroselite", "Siltstone", "Luxullianite", "Monzonite", "Glauconite", "Hawaiite", "Metapsammite", "Benstonite", "Dolomite", "Granulite", "Larvikite", "Kimberlite", "Jarosite", "Evaporite","Boninite Crust", "Troctolite", "Benmoreite Core", "Soapstone", "Oolite", "Enderbite", "Evaporite", "Jasperoid", "Ichnusaite", "Soapstone", "Aventurine", "Kimberlite", "Llanite", "Unakite", "Turbidite", "Tachylite Crust", "Foidolite", "Dolomite", "Claystone", "Corsite", "Amazonite", "Trachyte", "Theralite", "Obsidian", "Charnockite", "Microcline", "Charnockite Surface", "Pumice", "Andesite", "Tonalite", "Essexite", "Vogesite Core", "Shonkinite", "Limestone", "Turbidite", "Pegmatite", "Hawaiite", "Calcarenite", "Essexite", "Quartzolite", "Greenschist", "Amazonite", "Greenschist", "Cataclasite", "Quartzolite", "Oolite", "Quartzolite", "Silica Mantle", "Kimberlite", "Jadeitite", "Nephelinite", "Breccia", "Greenschist", "Larvikite", "Breccia", "Calcflinta", "Anthracite", "Wehrlit", "Microcline", "Amphibolite", "Adamellite", "Diamictite", "Vogesite", "Amphibolite", "Benstonite", "Boninite Crust", "Delvauxite", "Felsite Surface", "Benstonite", "Charnockite", "Jadeitite", "Breccia", "Cataclasite", "Phonolite", "Metapelite", "Oolite", "Larvikite Shell", "Phosphorite", "Monzonite", "Argillite", "Enderbite", "Peridotite", "Lamprophyre", "Basalt", "Aphanite", "Hopeite", "Tachylite", "Cohenite", "Metapsammite", "Aventurine", "Jarosite Mantle", "Carbonate", "Charnockite Shell", "Granite", "Limestone", "Obsidian", "Monzonite", "Epidosite Mantle", "Siltstone Crust", "Hopeite", "Microcline", "Silica", "Metapsammite", "Scoria", "Evaporite", "Quartzolite Shell", "Turbidite", "Jacobsite", "Gossan", "Monzonite", "Oolite", "Charnockite Crust", "Trachyte", "Shonkinite Shell", "Carbonite", "Turbidite", "Larvikite", "Coquina Crust", "Scoria", "Cohenite Crust", "Tachylite", "Basanite", "Gritstone", "Peridotite", "Metapsammite", "Evaporite", "Metapsammite", "Shonkinite","Ferroselite", "Nephelinite Shell", "Litchfieldite", "Phosphorite", "Basanite", "Travertine", "Serpentinite", "Kolbeckite", "Carbonate", "Epidosite Shell", "Carbonatite Surface", "Evaporite", "Essexite", "Limestone", "Cataclasite", "Oldhamite", "Pumice", "Tectonite Shell", "Epidosite", "Litchfieldite", "Metasomatite", "Obsidian", "Monzonite", "Appinite", "Jaspillite Core", "Phonolite", "Gabbro", "Tephrite Shell", "Travertine", "Turbidite Core", "Corsite", "Metapelite Surface", "Cohenite", "Litchfieldite", "Greenschist", "Theralite", "Silicate Mantle", "Metasomatite", "Gossan", "Amazonite", "Kimberlite", "Basanite", "Luxullianite", "Jaspillite", "Dunite", "Siltstone Mantle", "Metasomatite", "Calcarenite", "Kimberlite Mantle", "Aphanite", "Breccia", "Wehrlit", "Obsidian", "Theralite", "Carbonatite Mantle", "Coquina", "Argillite", "Oolite", "Turbidite", "Mudstone Crust", "Blueschist", "Metasomatite", "Granulite Mantle", "Breccia",
// Galaxy 6
"Dunite", "Meionite", "Nepheline", "Adamellite", "Diamictite Core", "Calcflinta Core", "Blueschist", "Vogesite", "Icelandite", "Travertine", "Teschenite Crust", "Pietersite", "Monzonite", "Calcflinta", "Epidosite", "Quartzolite", "Novaculite", "Amazonite", "Felsite", "Jasperoid", "Tephrite", "Argillite", "Glauconite", "Hawaiite", "Metapsammite", "Jacobsite", "Greenschist", "Nepheline", "Dolomite", "Novaculite", "Aphanite Crust", "Danalite", "Teschenite", "Kolbeckite", "Appinite", "Danalite", "Litchfieldite", "Epidosite", "Appinite", "Aventurine", "Greenschist", "Kolbeckite", "Monzonite", "Lamproite", "Delvauxite", "Borolanite Surface", "Jadeitite Shell", "Phonolite", "Serpentinite", "Blueschist", "Blueschist", "Litchfieldite", "Teschenite", "Silica", "Danalite", "Jarosite", "Pantellerite Crust", "Coquina", "Benstonite", "Appinite", "Phosphorite", "Shonkinite ", "Gritstone", "Felsite","Wehrlit", "Pegmatite", "Silicate", "Carbonate", "Metasomatite", "Soapstone", "Calcflinta", "Oolite", "Tachylyte", "Phonolite", "Metapsammite", "Laterite", "Breccia Shell", "Basalt", "Teschenite", "Anthracite", "Aphanite", "Hematite Shell", "Breccia", "Diatomite", "Amazonite", "Metapelite", "Carbonite", "Trachyte", "Dolomite", "Microcline", "Comendite", "Claystone", "Taconite", "Variolite Crust", "Icelandite", "Jacobsite", "Mangerite", "Serpentinite", "Amphibolite", "Benmoreite", "Vogesite", "Banalsite", "Kolbeckite Surface", "Banalsite", "Novaculite", "Anthracite Mantle", "Pietersite Core", "Kimberlite", "Cataclasite", "Blueschist", "Jarosite", "Benmoreite Crust", "Turbidite", "Laterite", "Nephelinite", "Amazonite", "Nepheline", "Komatiite Shell", "Benmoreite", "Phonolite", "Claystone", "Pumice", "Mangerite", "Jadeitite", "Glauconite", "Diatomite", "Pantellerite", "Mangerite", "Dolerite", "Gabbro", "Foidolite", "Alabaster", "Andesite", "Tonalite", "Jaspillite", "Anthracite", "Unakite", "Monzonite", "Basalt", "Travertine", "Wehrlit", "Hematite", "Alabaster", "Blueschist", "Charnockite", "Phonolite", "Pegmatite", "Tectonite", "Pumice", "Calcflinta", "Tephrite", "Jadeitite Shell", "Mangerite", "Amphibolite", "Anthracite", "Litchfieldite", "Pumice", "Oldhamite", "Blueschist", "Dolomite", "Shonkinite", "Taconite", "Corsite", "Alabaster", "Corsite Core", "Basalt", "Theralite", "Jadeitite", "Icelandite Shell", "Soapstone", "Itacolumite", "Trachyte Crust", "Troctolite", "Boninite", "Carbonatite", "Pantellerite", "Hawaiite", "Evaporite", "Corsite", "Dunite", "Carbonate", "Wehrlit", "Silica", "Luxullianite", "Peridotite", "Epidosite", "Quartzolite", "Aphanite", "Hopeite", "Limestone", "Shonkinite", "Metasomatite","Oldhamite Surface", "Jacobsite", "Shonkinite ", "Calcarenite", "Icelandite Core", "Hopeite", "Evaporite", "Ferroselite", "Greenschist", "Foidolite", "Komatiite", "Hopeite", "Tonalite", "Metasomatite", "Unakite Shell", "Itacolumite", "Carbonate", "Kimberlite", "Unakite", "Granite", "Aventurine", "Quartzolite", "Larvikite Crust", "Luxullianite", "Dolomite", "Calcflinta", "Granite", "Adamellite", "Nephelinite", "Monzonite", "Breccia Surface", "Greenschist", "Calcflinta Core", "Wehrlit Crust", "Amazonite", "Comendite", "Oolite", "Breccia", "Charnockite", "Limestone", "Benmoreite", "Anthracite", "Tachylite Shell", "Pumice", "Foidolite", "Monzonite Crust", "Microcline", "Komatiite", "Jarosite", "Metasomatite", "Jacobsite", "Silica", "Nephelinite", "Benmoreite", "Benmoreite", "Laterite Surface", "Mudstone", "Nepheline", "Hawaiite", "Pietersite", "Benmoreite", "Peridotite", "Tachylyte", "Benstonite",
// Galaxy 7
"Benmoreite", "Obsidian", "Charnockite", "Foidolite Surface", "Carbonite", "Shonkinite", "Breccia", "Turbidite", "Tephrite", "Pegmatite", "Mangerite", "Argillite Surface", "Carbonite", "Metasomatite", "Calcflinta", "Shonkinite", "Amazonite Mantle", "Danalite", "Jarosite", "Dunite", "Gritstone", "Shonkinite ", "Calcflinta", "Danalite", "Monzonite", "Calcarenite", "Larvikite", "Basanite", "Benstonite", "Limestone", "Carbonite", "Siltstone", "Borolanite", "Icelandite", "Granulite", "Obsidian Shell", "Benmoreite", "Benstonite", "Limestone", "Benstonite", "Epidosite", "Argillite Core", "Hawaiite", "Carbonite", "Pantellerite", "Cohenite Core", "Shonkinite ", "Metapelite", "Theralite", "Shonkinite ", "Laterite", "Hematite", "Kimberlite Core", "Litchfieldite", "Novaculite", "Phosphorite", "Aventurine", "Taconite", "Gritstone", "Boninite", "Tectonite", "Greenschist", "Soapstone", "Vogesite","Comendite Surface", "Comendite", "Cohenite", "Jacobsite", "Epidosite", "Gabbro", "Epidosite Crust", "Breccia", "Teschenite", "Claystone", "Nephelinite", "Icelandite", "Oldhamite", "Geyserite", "Larvikite", "Pumice Core", "Mangerite", "Benmoreite", "Evaporite", "Evaporite", "Phonolite", "Dunite", "Monzonite Surface", "Benmoreite", "Nepheline", "Lamprophyre", "Claystone", "Mangerite", "Carbonate", "Pegmatite", "Boninite", "Tectonite", "Aventurine", "Ferroselite", "Gabbro", "Ichnusaite", "Limestone", "Nepheline", "Foidolite", "Taconite", "Delvauxite", "Jacobsite Surface", "Andesite", "Geyserite", "Benmoreite", "Soapstone", "Dunite", "Corsite", "Diatomite", "Teschenite", "Larvikite", "Enderbite", "Comendite", "Calcarenite", "Metasomatite", "Komatiite", "Borolanite", "Arkose", "Jacobsite", "Phonolite Core", "Andesite", "Breccia", "Limestone", "Appinite", "Llanite", "Icelandite", "Basalt", "Lamprophyre", "Gossan", "Delvauxite", "Silica", "Silicate", "Hawaiite", "Benmoreite", "Ichnusaite", "Meionite", "Hematite", "Boninite Core", "Jaspillite", "Jacobsite", "Kolbeckite", "Peridotite", "Charnockite", "Benmoreite", "Larvikite", "Metapsammite", "Jarosite Core", "Cohenite", "Calcarenite", "Foidolite", "Larvikite Crust", "Quartzolite", "Peridotite", "Soapstone", "Metapelite", "Jadeitite", "Gossan", "Argillite Mantle", "Monzonite Surface", "Jarosite", "Hopeite", "Gossan", "Argillite", "Carbonatite", "Geyserite", "Lamproite", "Breccia", "Andesite", "Gabbro", "Hopeite Surface", "Calcarenite", "Icelandite Surface", "Delvauxite", "Calcflinta", "Travertine", "Litchfieldite Core", "Breccia", "Alabaster", "Jasperoid", "Danalite", "Gritstone Crust", "Mudstone", "Coquina", "Cataclasite Core", "Limestone", "Felsite", "Basanite", "Oldhamite","Geyserite", "Nepheline", "Ichnusaite", "Enderbite", "Phonolite", "Limestone", "Pietersite", "Delvauxite", "Adamellite", "Epidosite", "Variolite", "Comendite", "Adamellite", "Carbonatite", "Limestone", "Breccia", "Siltstone", "Jaspillite", "Shonkinite", "Laterite", "Siltstone", "Tectonite", "Jaspillite", "Appinite Shell", "Teschenite", "Teschenite", "Benmoreite", "Obsidian", "Silicate", "Oolite", "Siltstone Core", "Benstonite", "Limestone", "Andesite", "Borolanite Core", "Troctolite", "Taconite Crust", "Appinite", "Kimberlite", "Basanite", "Larvikite", "Kimberlite", "Gabbro", "Turbidite", "Ferroselite", "Blueschist", "Tachylite", "Hopeite", "Oolite Mantle", "Kimberlite", "Icelandite", "Jacobsite", "Epidosite Surface", "Itacolumite Shell", "Aventurine Crust", "Alabaster", "Gritstone", "Ferroselite", "Amazonite", "Breccia", "Itacolumite", "Peridotite", "Appinite", "Siltstone",
// Galaxy 8
"Jadeitite", "Jadeitite", "Theralite", "Diamictite", "Vogesite Surface", "Serpentinite", "Pantellerite", "Litchfieldite", "Danalite", "Pumice", "Kimberlite", "Monzonite", "Delvauxite", "Gabbro", "Hawaiite", "Calcarenite Surface", "Wehrlit", "Metapsammite", "Metapsammite Mantle", "Obsidian", "Laterite", "Oolite", "Boninite", "Taconite", "Metapelite Core", "Shonkinite  Mantle", "Hopeite", "Obsidian Surface", "Carbonatite Crust", "Borolanite", "Phonolite", "Nephelinite", "Itacolumite", "Arkose Shell", "Theralite", "Tectonite", "Granite", "Larvikite", "Gritstone", "Tephrite", "Hopeite", "Andesite Shell", "Llanite", "Monzonite", "Scoria", "Gossan", "Granulite", "Cohenite", "Aventurine", "Blueschist", "Benstonite", "Cohenite", "Breccia", "Jasperoid", "Metasomatite", "Calcarenite Core", "Mangerite", "Anthracite", "Phosphorite Crust", "Pietersite", "Gritstone", "Anthracite", "Trachyte", "Tachylyte","Borolanite Shell", "Kolbeckite", "Anthracite", "Charnockite Mantle", "Variolite", "Argillite", "Scoria", "Pantellerite", "Litchfieldite", "Dolerite", "Alabaster", "Jadeitite Surface", "Icelandite", "Aventurine", "Corsite", "Anthracite", "Blueschist Surface", "Hematite", "Amphibolite", "Luxullianite", "Argillite", "Felsite", "Diamictite", "Phonolite", "Aphanite", "Diamictite", "Scoria", "Hawaiite Shell", "Aventurine Crust", "Foidolite", "Litchfieldite", "Theralite", "Limestone", "Teschenite", "Lamprophyre", "Breccia", "Komatiite Shell", "Aphanite", "Amphibolite Core", "Breccia", "Calcflinta", "Carbonatite", "Pantellerite", "Tachylite", "Nepheline", "Granulite", "Arkose Core", "Benmoreite", "Geyserite", "Calcflinta", "Amphibolite", "Wehrlit Shell", "Calcflinta", "Mangerite", "Cohenite", "Pegmatite", "Appinite", "Microcline", "Delvauxite Surface", "Amphibolite", "Blueschist Shell", "Jasperoid", "Boninite", "Silicate", "Jaspillite", "Komatiite", "Luxullianite", "Kimberlite", "Tachylite", "Silicate", "Coquina", "Jasperoid", "Trachyte", "Kolbeckite Mantle", "Travertine", "Phonolite", "Litchfieldite", "Comendite", "Breccia", "Delvauxite", "Tachylite", "Scoria Core", "Shonkinite ", "Unakite", "Borolanite", "Taconite", "Evaporite", "Jadeitite", "Comendite", "Limestone", "Basalt", "Obsidian", "Hematite", "Serpentinite", "Limestone", "Banalsite", "Carbonate", "Comendite", "Benmoreite", "Blueschist Core", "Novaculite", "Essexite", "Breccia", "Limestone", "Tachylyte", "Icelandite", "Kolbeckite", "Obsidian", "Turbidite", "Charnockite", "Komatiite", "Delvauxite Shell", "Anthracite", "Cataclasite", "Siltstone", "Evaporite", "Arkose Mantle", "Peridotite", "Serpentinite", "Nephelinite Surface", "Tonalite", "Epidosite", "Granulite", "Siltstone", "Nepheline", "Tachylite", "Vogesite", "Trachyte","Theralite", "Banalsite", "Granulite", "Theralite", "Monzonite", "Silica", "Lamproite", "Meionite", "Lamproite", "Monzonite", "Jarosite", "Llanite Surface", "Teschenite", "Claystone", "Claystone", "Charnockite", "Felsite", "Banalsite", "Monzonite", "Nephelinite", "Essexite", "Carbonate", "Claystone", "Siltstone", "Anthracite", "Gossan", "Greenschist", "Essexite", "Litchfieldite", "Shonkinite", "Tachylyte", "Granite", "Boninite", "Silica", "Pantellerite Core", "Teschenite", "Theralite", "Gabbro", "Cataclasite", "Glauconite", "Shonkinite ", "Mudstone", "Anthracite", "Turbidite", "Boninite Surface", "Shonkinite ", "Aphanite", "Aphanite", "Breccia Shell", "Mudstone", "Evaporite", "Appinite", "Jasperoid", "Breccia", "Metasomatite", "Litchfieldite", "Mudstone", "Jarosite", "Mangerite", "Monzonite", "Jadeitite", "Unakite Core", "Monzonite", "Meionite",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Vlasovite"];

// Names for Star Composition Data (2,048 types).
this.starStuffPool = [
// Galaxy 1
"H:76% He:18% Li: 4% O: 2%", "H:72% He:23% Si: 3% O: 2%", "H:80% He:15% S: 3% Na: 2%", "H:76% He:20% Ne: 2% N: 1%", "H:75% He:22% O: 2% Fe: 1%", "H:80% He:14% Xe: 4% K: 2%", "H:84% He:6% Na: 6% Xe: 4%", "H:79% He:18% O: 2% B: 1%", "H:69% He:19% Ar: 7% C: 5%", "H:65% He:24% S: 6% Mg: 5%", "H:83% He:14% F: 2% Ar: 1%", "H:85% He:12% C: 2% Ar: 1%", "H:73% He:22% Ne: 4% F: 1%", "H:72% He:24% Li: 3% S: 1%", "H:65% He:24% S: 6% Mg: 5%", "H:69% He:20% O: 8% Na: 3%", "H:83% He:6% Xe: 7% Si: 4%", "H:76% He:18% Li: 4% O: 2%", "H:85% He:10% K: 4% Xe: 1%", "H:75% He:22% O: 2% Fe: 1%", "H:84% He:7% Ar: 6% Mg: 3%", "H:80% He:15% S: 3% Na: 2%", "H:68% He:21% C: 7% Ar: 4%", "H:67% He:15% Mg: 9% S: 9%", "H:71% He:18% O: 6% Li: 5%", "H:78% He:17% O: 3% Ar: 2%", "H:74% He:21% Fe: 3% B: 2%", "H:71% He:24% S: 3% Si: 2%", "H:77% He:22% Xe: 1% O: 1%", "H:90% He:7% Fe: 2% Ar: 1%", "H:70% He:20% N: 7% Ne: 3%", "H:75% He:22% P: 2% K: 1%", "H:65% He:24% S: 6% Mg: 5%", "H:84% He:6% Na: 6% Xe: 4%", "H:76% He:22% C: 1% Ne: 1%", "H:74% He:18% Ar: 5% O: 3%", "H:87% He:10% S: 2% Xe: 1%", "H:79% He:18% N: 2% Fe: 1%", "H:78% He:20% F: 2% Mg: 2%", "H:75% He:22% O: 2% Fe: 1%", "H:68% He:17% Si: 8% O: 7%", "H:88% He:10% S: 1% Kr: 1%", "H:76% He:20% Ne: 2% N: 1%", "H:81% He:13% O: 3% Si: 3%", "H:84% He:9% Li: 5% Kr: 2%", "H:74% He:21% Fe: 3% B: 2%", "H:85% He:12% C: 2% Ar: 1%", "H:65% He:24% S: 6% Mg: 5%", "H:84% He:9% Li: 5% Kr: 2%", "H:82% He:14% B: 2% Na: 2%", "H:70% He:15% Si: 9% O: 6%", "H:80% He:14% Xe: 4% K: 2%", "H:83% He:6% Xe: 7% Si: 4%", "H:67% He:22% K: 9% Fe: 2%", "H:69% He:27% B: 3% Kr: 1%", "H:78% He:20% F: 2% Mg: 2%", "H:78% He:16% S: 5% Ne: 1%", "H:71% He:18% O: 6% Li: 5%", "H:76% He:21% Li: 2% O: 1%", "H:76% He:21% Ne: 2% S: 1%", "H:70% He:20% Fe: 8% C: 2%", "H:78% He:13% C: 5% O: 4%", "H:78% He:17% C: 3% Na: 2%", "H:85% He:13% C: 1% N: 1%","H:68% He:26% F: 4% Na: 2%", "H:78% He:20% F: 2% Mg: 2%", "H:74% He:23% C: 2% O: 1%", "H:88% He:9% Kr: 2% Fe: 1%", "H:68% He:19% F: 7% Ke: 6%", "H:82% He:12% Mg: 4% N: 2%", "H:86% He:7% Ne: 4% Li: 3%", "H:73% He:22% Ne: 4% F: 1%", "H:67% He:22% K: 9% Fe: 2%", "H:68% He:21% C: 7% Ar: 4%", "H:83% He:9% Xe: 4% Li: 4%", "H:73% He:23% P: 3% Na: 1%", "H:75% He:23% Mg: 1% S: 1%", "H:89% He:9% Si: 1% Mg: 1%", "H:88% He:9% Kr: 2% Fe: 1%", "H:73% He:19% Fe: 5% C: 3%", "H:84% He:9% Li: 5% Kr: 2%", "H:73% He:23% Fe: 3% P: 1%", "H:68% He:22% Kr: 6% K: 4%", "H:70% He:21% Fe: 6% P: 3%", "H:73% He:23% P: 3% Na: 1%", "H:77% He:12% P: 8% Na: 3%", "H:87% He:8% Si: 3% Kr: 2%", "H:85% He:13% C: 1% N: 1%", "H:71% He:21% O: 6% Xe: 2%", "H:73% He:23% Fe: 3% P: 1%", "H:70% He:18% O: 8% Ne: 4%", "H:81% He:14% O: 4% Na: 1%", "H:76% He:22% Ar: 1% C: 1%", "H:69% He:20% O: 8% Na: 3%", "H:78% He:20% F: 2% Mg: 2%", "H:89% He:9% Fe: 1% Ar: 1%", "H:76% He:19% B: 3% S: 2%", "H:71% He:21% O: 6% Xe: 2%", "H:75% He:22% O: 2% Fe: 1%", "H:68% He:19% F: 7% Ke: 6%", "H:72% He:22% P: 5% Fe: 1%", "H:68% He:19% F: 7% Ke: 6%", "H:77% He:21% O: 1% Fe: 1%", "H:74% He:21% Fe: 3% B: 2%", "H:77% He:12% P: 8% Na: 3%", "H:79% He:18% O: 2% B: 1%", "H:74% He:21% Fe: 3% B: 2%", "H:73% He:18% B: 6% Ar: 3%", "H:84% He:7% Ar: 6% Mg: 3%", "H:70% He:18% O: 8% Ne: 4%", "H:76% He:16% C: 5% Kr: 3%", "H:74% He:23% C: 2% Ne: 1%", "H:68% He:26% F: 4% Na: 2%", "H:82% He:14% B: 2% Na: 2%", "H:72% He:24% Li: 3% S: 1%", "H:87% He:8% Si: 3% Kr: 2%", "H:74% He:23% C: 2% O: 1%", "H:68% He:21% C: 7% Ar: 4%", "H:79% He:18% B: 2% Kr: 1%", "H:80% He:15% S: 3% Na: 2%", "H:75% He:21% N: 2% Li: 2%", "H:69% He:19% Ar: 7% C: 5%", "H:87% He:10% F: 2% O: 1%", "H:75% He:19% C: 4% Xe: 2%", "H:85% He:10% Na: 3% S: 2%", "H:82% He:14% B: 2% Na: 2%", "H:76% He:21% Ne: 2% S: 1%", "H:74% He:18% Ar: 5% O: 3%", "H:85% He:13% Si: 1% B: 1%", "H:77% He:16% F: 4% B: 3%", "H:85% He:13% C: 1% N: 1%", "H:72% He:17% Xe: 6% F: 5%", "H:76% He:19% B: 3% S: 2%", "H:67% He:22% K: 9% Fe: 2%", "H:73% He:18% B: 6% Ar: 3%", "H:72% He:17% Ar: 7% C: 4%", "H:73% He:18% Si: 6% C: 3%", "H:73% He:19% Fe: 5% C: 3%", "H:72% He:17% Xe: 6% F: 5%", "H:75% He:23% Mg: 1% S: 1%", "H:66% He:24% C: 6% Si: 4%", "H:74% He:21% Fe: 3% B: 2%", "H:76% He:22% Ar: 1% C: 1%", "H:71% He:24% K: 3% Ne: 2%", "H:70% He:18% O: 8% Ne: 4%", "H:84% He:6% Na: 6% Xe: 4%", "H:77% He:22% Xe: 1% O: 1%", "H:83% He:6% Xe: 7% Si: 4%", "H:89% He:9% Si: 1% Mg: 1%", "H:75% He:19% C: 4% Xe: 2%", "H:89% He:9% Si: 1% Mg: 1%", "H:78% He:16% S: 5% Ne: 1%", "H:73% He:23% P: 3% Na: 1%", "H:86% He:11% O: 2% Fe: 1%", "H:78% He:20% F: 2% Mg: 2%", "H:71% He:23% Kr: 5% K: 1%", "H:73% He:25% K: 1% O: 1%", "H:74% He:23% C: 2% Ne: 1%", "H:79% He:18% O: 2% B: 1%", "H:67% He:15% Mg: 9% S: 9%", "H:65% He:24% S: 6% Mg: 5%", "H:78% He:20% F: 2% Mg: 2%", "H:70% He:20% Fe: 8% C: 2%", "H:73% He:21% F: 4% K: 2%", "H:73% He:25% K: 1% O: 1%", "H:76% He:22% Ar: 1% C: 1%", "H:71% He:16% Ne: 8% B: 5%", "H:77% He:21% O: 1% Fe: 1%", "H:73% He:22% Ne: 4% F: 1%", "H:67% He:15% Mg: 9% S: 9%", "H:73% He:25% K: 1% O: 1%", "H:75% He:22% O: 2% Fe: 1%", "H:88% He:10% C: 1% Si: 1%", "H:76% He:22% C: 1% Ne: 1%", "H:72% He:24% Li: 3% S: 1%", "H:72% He:23% Si: 3% O: 2%", "H:76% He:20% Ne: 2% N: 1%", "H:80% He:11% C: 5% Ar: 4%", "H:72% He:17% Xe: 6% F: 5%", "H:71% He:18% O: 6% Li: 5%", "H:82% He:14% B: 2% Na: 2%", "H:89% He:9% Fe: 1% Ar: 1%", "H:74% He:21% Fe: 3% B: 2%", "H:76% He:18% Li: 4% O: 2%", "H:79% He:18% O: 2% B: 1%", "H:74% He:18% Ar: 5% O: 3%", "H:77% He:22% Xe: 1% O: 1%", "H:81% He:14% O: 4% Na: 1%", "H:74% He:23% C: 2% Ne: 1%", "H:75% He:19% C: 4% Xe: 2%", "H:77% He:12% P: 8% Na: 3%", "H:73% He:22% K: 3% Ar: 2%","H:81% He:13% O: 3% Si: 3%", "H:78% He:13% C: 5% O: 4%", "H:88% He:9% Kr: 2% Fe: 1%", "H:71% He:23% Kr: 5% K: 1%", "H:72% He:20% Si: 7% O: 1%", "H:76% He:20% Ne: 2% N: 1%", "H:74% He:23% C: 2% Ne: 1%", "H:76% He:21% Ne: 2% S: 1%", "H:77% He:16% F: 4% B: 3%", "H:76% He:19% B: 3% S: 2%", "H:76% He:20% Ne: 2% N: 1%", "H:77% He:12% P: 6% Li: 5%", "H:72% He:23% B: 3% Fe: 2%", "H:75% He:21% N: 2% Li: 2%", "H:72% He:23% C: 4% Xe: 1%", "H:68% He:26% F: 4% Na: 2%", "H:78% He:8% Fe: 9% Ar: 5%", "H:74% He:20% C: 4% Li: 2%", "H:76% He:16% C: 5% Kr: 3%", "H:77% He:12% P: 8% Na: 3%", "H:76% He:20% Ne: 2% N: 1%", "H:74% He:20% C: 4% Li: 2%", "H:88% He:9% Kr: 2% Fe: 1%", "H:65% He:24% S: 6% Mg: 5%", "H:66% He:24% C: 6% Si: 4%", "H:74% He:24% O: 1% C: 1%", "H:77% He:12% P: 6% Li: 5%", "H:87% He:8% Mg: 3% Xe: 2%", "H:76% He:20% Ne: 2% N: 1%", "H:71% He:16% Ne: 8% B: 5%", "H:74% He:18% Ar: 5% O: 3%", "H:76% He:22% C: 1% Ne: 1%", "H:71% He:17% O: 8% Kr: 4%", "H:78% He:17% O: 3% Ar: 2%", "H:73% He:19% Fe: 5% C: 3%", "H:77% He:16% F: 4% B: 3%", "H:87% He:10% F: 2% O: 1%", "H:88% He:9% Kr: 2% Fe: 1%", "H:75% He:20% Na: 4% K: 1%", "H:68% He:22% Kr: 6% K: 4%", "H:76% He:22% C: 1% Ne: 1%", "H:71% He:21% O: 6% Xe: 2%", "H:73% He:21% F: 4% K: 2%", "H:78% He:16% S: 5% Ne: 1%", "H:89% He:8% Kr: 2% Na: 1%", "H:74% He:18% Ar: 5% O: 3%", "H:71% He:16% Ne: 8% B: 5%", "H:87% He:10% F: 2% O: 1%", "H:77% He:21% O: 1% Fe: 1%", "H:72% He:17% Ar: 7% C: 4%", "H:73% He:25% O: 1% Li: 1%", "H:89% He:8% Kr: 2% Na: 1%", "H:71% He:23% Kr: 5% K: 1%", "H:88% He:10% C: 1% Si: 1%", "H:83% He:9% Xe: 4% Li: 4%", "H:83% He:12% F: 4% Ne: 1%", "H:75% He:19% C: 4% Xe: 2%", "H:72% He:24% Li: 3% S: 1%", "H:71% He:18% O: 6% Li: 5%", "H:84% He:6% Na: 6% Xe: 4%", "H:79% He:18% B: 2% Kr: 1%", "H:83% He:6% Xe: 7% Si: 4%", "H:79% He:18% O: 2% B: 1%", "H:73% He:23% P: 3% Na: 1%",
// Galaxy 2
"H:70% He:27% C: 2% Ar: 1%", "H:81% He:14% O: 4% Na: 1%", "H:70% He:20% N: 7% Ne: 3%", "H:85% He:13% Si: 1% B: 1%", "H:69% He:20% O: 8% Na: 3%", "H:73% He:24% Na: 2% O: 1%", "H:79% He:15% K: 4% Ar: 2%", "H:75% He:21% N: 2% Li: 2%", "H:76% He:21% Ne: 2% S: 1%", "H:83% He:14% F: 2% Ar: 1%", "H:66% He:24% C: 6% Si: 4%", "H:74% He:21% O: 3% Fe: 2%", "H:76% He:19% B: 3% S: 2%", "H:80% He:11% C: 5% Ar: 4%", "H:87% He:10% F: 2% O: 1%", "H:88% He:8% Xe: 3% Mg: 1%", "H:83% He:14% F: 2% Ar: 1%", "H:76% He:22% Ar: 1% C: 1%", "H:74% He:20% C: 4% Li: 2%", "H:73% He:19% K: 4% Ne: 4%", "H:74% He:19% Kr: 5% B: 2%", "H:69% He:20% O: 8% Na: 3%", "H:72% He:17% Ar: 7% C: 4%", "H:80% He:18% O: 1% Fe: 1%", "H:86% He:11% O: 2% Fe: 1%", "H:70% He:20% N: 7% Ne: 3%", "H:84% He:7% Ar: 6% Mg: 3%", "H:73% He:19% K: 4% Ne: 4%", "H:81% He:13% O: 3% Si: 3%", "H:76% He:19% B: 3% S: 2%", "H:89% He:9% Fe: 1% Ar: 1%", "H:76% He:22% Ar: 1% C: 1%", "H:68% He:26% F: 4% Na: 2%", "H:67% He:22% K: 9% Fe: 2%", "H:67% He:24% Ne: 6% S: 3%", "H:86% He:7% Ne: 4% Li: 3%", "H:66% He:20% Fe: 1% S: 1%", "H:69% He:20% O: 8% Na: 3%", "H:74% He:18% Ar: 5% O: 3%", "H:65% He:24% S: 6% Mg: 5%", "H:77% He:22% Xe: 1% O: 1%", "H:79% He:15% K: 4% Ar: 2%", "H:71% He:16% Ne: 8% B: 5%", "H:75% He:20% Na: 4% K: 1%", "H:77% He:21% O: 1% Fe: 1%", "H:66% He:20% Fe: 1% S: 1%", "H:69% He:19% Ar: 7% C: 5%", "H:85% He:7% Mg: 5% Ar: 3%", "H:70% He:20% Fe: 8% C: 2%", "H:73% He:22% K: 3% Ar: 2%", "H:71% He:16% Ne: 8% B: 5%", "H:75% He:22% Xe: 2% K: 1%", "H:70% He:15% Si: 9% O: 6%", "H:70% He:15% Si: 9% O: 6%", "H:70% He:21% Fe: 6% P: 3%", "H:68% He:22% Kr: 6% K: 4%", "H:71% He:21% O: 6% Xe: 2%", "H:74% He:18% Ar: 5% O: 3%", "H:75% He:23% Mg: 1% S: 1%", "H:68% He:21% C: 7% Ar: 4%", "H:75% He:22% P: 2% K: 1%", "H:80% He:11% C: 5% Ar: 4%", "H:83% He:14% F: 2% Ar: 1%", "H:72% He:23% C: 4% Xe: 1%","H:81% He:14% O: 4% Na: 1%", "H:71% He:24% K: 3% Ne: 2%", "H:81% He:13% O: 3% Si: 3%", "H:74% He:21% O: 3% Fe: 2%", "H:77% He:12% P: 6% Li: 5%", "H:73% He:19% K: 4% Ne: 4%", "H:77% He:21% O: 1% Fe: 1%", "H:73% He:25% O: 1% Li: 1%", "H:68% He:22% Kr: 6% K: 4%", "H:89% He:9% Fe: 1% Ar: 1%", "H:76% He:19% B: 3% S: 2%", "H:74% He:24% O: 1% C: 1%", "H:75% He:22% Xe: 2% K: 1%", "H:73% He:24% Fe: 2% C: 1%", "H:80% He:16% Ne: 2% O: 2%", "H:83% He:6% Xe: 7% Si: 4%", "H:75% He:21% N: 2% Li: 2%", "H:71% He:24% K: 3% Ne: 2%", "H:73% He:18% B: 6% Ar: 3%", "H:87% He:10% F: 2% O: 1%", "H:77% He:12% P: 8% Na: 3%", "H:76% He:21% Li: 2% O: 1%", "H:72% He:20% Si: 7% O: 1%", "H:85% He:13% C: 1% N: 1%", "H:67% He:15% Mg: 9% S: 9%", "H:81% He:14% O: 4% Na: 1%", "H:87% He:8% Mg: 3% Xe: 2%", "H:86% He:7% Ne: 4% Li: 3%", "H:68% He:21% C: 7% Ar: 4%", "H:72% He:24% Li: 3% S: 1%", "H:68% He:17% Si: 8% O: 7%", "H:73% He:24% Fe: 2% C: 1%", "H:81% He:14% O: 4% Na: 1%", "H:72% He:22% P: 5% Fe: 1%", "H:87% He:10% S: 2% Xe: 1%", "H:80% He:18% O: 1% Fe: 1%", "H:77% He:12% P: 8% Na: 3%", "H:73% He:19% F: 3% Fe: 3%", "H:73% He:22% Ne: 4% F: 1%", "H:68% He:19% F: 7% Ke: 6%", "H:76% He:21% Ne: 2% S: 1%", "H:73% He:24% Fe: 2% C: 1%", "H:87% He:10% F: 2% O: 1%", "H:88% He:10% S: 1% Kr: 1%", "H:77% He:16% F: 4% B: 3%", "H:79% He:18% N: 2% Fe: 1%", "H:71% He:21% O: 6% Xe: 2%", "H:74% He:23% C: 2% Ne: 1%", "H:73% He:22% Ne: 4% F: 1%", "H:68% He:26% F: 4% Na: 2%", "H:75% He:22% P: 2% K: 1%", "H:67% He:15% Mg: 9% S: 9%", "H:85% He:13% C: 1% N: 1%", "H:79% He:18% N: 2% Fe: 1%", "H:73% He:24% Na: 2% O: 1%", "H:71% He:16% Ne: 8% B: 5%", "H:73% He:22% Ne: 4% F: 1%", "H:73% He:25% O: 1% Li: 1%", "H:85% He:13% Si: 1% B: 1%", "H:85% He:7% Mg: 5% Ar: 3%", "H:69% He:19% Ar: 7% C: 5%", "H:77% He:16% F: 4% B: 3%", "H:76% He:20% Ne: 2% N: 1%", "H:74% He:23% C: 2% Ne: 1%", "H:85% He:10% K: 4% Xe: 1%", "H:84% He:11% K: 3% Mg: 2%", "H:73% He:19% K: 4% Ne: 4%", "H:81% He:13% O: 3% Si: 3%", "H:73% He:24% Na: 2% O: 1%", "H:87% He:10% S: 2% Xe: 1%", "H:69% He:20% O: 8% Na: 3%", "H:73% He:19% Fe: 5% C: 3%", "H:74% He:20% C: 4% Li: 2%", "H:73% He:24% Na: 2% O: 1%", "H:82% He:12% Mg: 4% N: 2%", "H:80% He:11% C: 5% Ar: 4%", "H:73% He:21% F: 4% K: 2%", "H:75% He:22% P: 2% K: 1%", "H:69% He:27% B: 3% Kr: 1%", "H:73% He:22% Ne: 4% F: 1%", "H:88% He:9% Kr: 2% Fe: 1%", "H:78% He:17% O: 3% Ar: 2%", "H:65% He:24% S: 6% Mg: 5%", "H:76% He:22% Ar: 1% C: 1%", "H:68% He:22% Kr: 6% K: 4%", "H:73% He:19% K: 4% Ne: 4%", "H:76% He:20% Ne: 2% N: 1%", "H:72% He:24% Li: 3% S: 1%", "H:83% He:9% Xe: 4% Li: 4%", "H:68% He:17% Si: 8% O: 7%", "H:90% He:7% Fe: 2% Ar: 1%", "H:72% He:23% C: 4% Xe: 1%", "H:77% He:12% P: 8% Na: 3%", "H:78% He:16% S: 5% Ne: 1%", "H:71% He:23% Kr: 5% K: 1%", "H:73% He:23% Fe: 3% P: 1%", "H:85% He:10% Na: 3% S: 2%", "H:70% He:20% Fe: 8% C: 2%", "H:75% He:21% N: 2% Li: 2%", "H:76% He:18% Li: 4% O: 2%", "H:72% He:23% Si: 3% O: 2%", "H:80% He:15% S: 3% Na: 2%", "H:76% He:20% Ne: 2% N: 1%", "H:75% He:22% O: 2% Fe: 1%", "H:80% He:14% Xe: 4% K: 2%", "H:84% He:6% Na: 6% Xe: 4%", "H:79% He:18% O: 2% B: 1%", "H:69% He:19% Ar: 7% C: 5%", "H:65% He:24% S: 6% Mg: 5%", "H:83% He:14% F: 2% Ar: 1%", "H:85% He:12% C: 2% Ar: 1%", "H:73% He:22% Ne: 4% F: 1%", "H:72% He:24% Li: 3% S: 1%", "H:65% He:24% S: 6% Mg: 5%", "H:69% He:20% O: 8% Na: 3%", "H:83% He:6% Xe: 7% Si: 4%", "H:76% He:18% Li: 4% O: 2%", "H:85% He:10% K: 4% Xe: 1%", "H:75% He:22% O: 2% Fe: 1%", "H:84% He:7% Ar: 6% Mg: 3%", "H:80% He:15% S: 3% Na: 2%", "H:68% He:21% C: 7% Ar: 4%", "H:67% He:15% Mg: 9% S: 9%", "H:71% He:18% O: 6% Li: 5%", "H:78% He:17% O: 3% Ar: 2%", "H:74% He:21% Fe: 3% B: 2%", "H:71% He:24% S: 3% Si: 2%", "H:77% He:22% Xe: 1% O: 1%","H:90% He:7% Fe: 2% Ar: 1%", "H:70% He:20% N: 7% Ne: 3%", "H:75% He:22% P: 2% K: 1%", "H:65% He:24% S: 6% Mg: 5%", "H:84% He:6% Na: 6% Xe: 4%", "H:76% He:22% C: 1% Ne: 1%", "H:74% He:18% Ar: 5% O: 3%", "H:87% He:10% S: 2% Xe: 1%", "H:79% He:18% N: 2% Fe: 1%", "H:78% He:20% F: 2% Mg: 2%", "H:75% He:22% O: 2% Fe: 1%", "H:68% He:17% Si: 8% O: 7%", "H:88% He:10% S: 1% Kr: 1%", "H:76% He:20% Ne: 2% N: 1%", "H:81% He:13% O: 3% Si: 3%", "H:84% He:9% Li: 5% Kr: 2%", "H:74% He:21% Fe: 3% B: 2%", "H:85% He:12% C: 2% Ar: 1%", "H:65% He:24% S: 6% Mg: 5%", "H:84% He:9% Li: 5% Kr: 2%", "H:82% He:14% B: 2% Na: 2%", "H:70% He:15% Si: 9% O: 6%", "H:80% He:14% Xe: 4% K: 2%", "H:83% He:6% Xe: 7% Si: 4%", "H:67% He:22% K: 9% Fe: 2%", "H:69% He:27% B: 3% Kr: 1%", "H:78% He:20% F: 2% Mg: 2%", "H:78% He:16% S: 5% Ne: 1%", "H:71% He:18% O: 6% Li: 5%", "H:76% He:21% Li: 2% O: 1%", "H:76% He:21% Ne: 2% S: 1%", "H:70% He:20% Fe: 8% C: 2%", "H:78% He:13% C: 5% O: 4%", "H:78% He:17% C: 3% Na: 2%", "H:85% He:13% C: 1% N: 1%", "H:68% He:26% F: 4% Na: 2%", "H:78% He:20% F: 2% Mg: 2%", "H:74% He:23% C: 2% O: 1%", "H:88% He:9% Kr: 2% Fe: 1%", "H:68% He:19% F: 7% Ke: 6%", "H:82% He:12% Mg: 4% N: 2%", "H:86% He:7% Ne: 4% Li: 3%", "H:73% He:22% Ne: 4% F: 1%", "H:67% He:22% K: 9% Fe: 2%", "H:68% He:21% C: 7% Ar: 4%", "H:83% He:9% Xe: 4% Li: 4%", "H:73% He:23% P: 3% Na: 1%", "H:75% He:23% Mg: 1% S: 1%", "H:89% He:9% Si: 1% Mg: 1%", "H:88% He:9% Kr: 2% Fe: 1%", "H:73% He:19% Fe: 5% C: 3%", "H:84% He:9% Li: 5% Kr: 2%", "H:73% He:23% Fe: 3% P: 1%", "H:68% He:22% Kr: 6% K: 4%", "H:70% He:21% Fe: 6% P: 3%", "H:73% He:23% P: 3% Na: 1%", "H:77% He:12% P: 8% Na: 3%", "H:87% He:8% Si: 3% Kr: 2%", "H:85% He:13% C: 1% N: 1%", "H:71% He:21% O: 6% Xe: 2%", "H:73% He:23% Fe: 3% P: 1%", "H:70% He:18% O: 8% Ne: 4%", "H:81% He:14% O: 4% Na: 1%", "H:76% He:22% Ar: 1% C: 1%",
// Galaxy 3
"H:76% He:21% Ne: 2% S: 1%", "H:73% He:23% Fe: 3% P: 1%", "H:67% He:25% O: 5% Li: 3%", "H:73% He:21% F: 4% K: 2%", "H:80% He:18% O: 1% Fe: 1%", "H:66% He:20% Fe: 1% S: 1%", "H:71% He:16% Ne: 8% B: 5%", "H:79% He:18% B: 2% Kr: 1%", "H:73% He:19% K: 4% Ne: 4%", "H:89% He:9% Fe: 1% Ar: 1%", "H:76% He:18% Li: 4% O: 2%", "H:67% He:24% Ne: 6% S: 3%", "H:85% He:10% K: 4% Xe: 1%", "H:77% He:12% P: 6% Li: 5%", "H:67% He:24% Ne: 6% S: 3%", "H:80% He:11% C: 5% Ar: 4%", "H:73% He:23% P: 3% Na: 1%", "H:65% He:24% S: 6% Mg: 5%", "H:85% He:13% Si: 1% B: 1%", "H:76% He:21% Ne: 2% S: 1%", "H:72% He:23% B: 3% Fe: 2%", "H:84% He:7% Ar: 6% Mg: 3%", "H:84% He:6% Na: 6% Xe: 4%", "H:74% He:20% C: 4% Li: 2%", "H:78% He:16% S: 5% Ne: 1%", "H:78% He:17% O: 3% Ar: 2%", "H:73% He:18% Si: 6% C: 3%", "H:72% He:22% P: 5% Fe: 1%", "H:80% He:18% O: 1% Fe: 1%", "H:86% He:7% Ne: 4% Li: 3%", "H:76% He:22% C: 1% Ne: 1%", "H:75% He:23% Mg: 1% S: 1%", "H:81% He:13% O: 3% Si: 3%", "H:70% He:21% Fe: 6% P: 3%", "H:72% He:23% C: 4% Xe: 1%", "H:82% He:14% B: 2% Na: 2%", "H:83% He:6% Xe: 7% Si: 4%", "H:73% He:21% F: 4% K: 2%", "H:75% He:22% P: 2% K: 1%", "H:85% He:13% C: 1% N: 1%", "H:89% He:9% Fe: 1% Ar: 1%", "H:87% He:10% F: 2% O: 1%", "H:71% He:21% O: 6% Xe: 2%", "H:85% He:13% Si: 1% B: 1%", "H:71% He:24% S: 3% Si: 2%", "H:79% He:15% K: 4% Ar: 2%", "H:70% He:20% S: 6% P: 4%", "H:73% He:21% F: 4% K: 2%", "H:69% He:20% O: 8% Na: 3%", "H:79% He:18% O: 2% B: 1%", "H:81% He:14% O: 4% Na: 1%", "H:72% He:23% Si: 3% O: 2%", "H:88% He:10% S: 1% Kr: 1%", "H:73% He:19% F: 3% Fe: 3%", "H:76% He:22% Ar: 1% C: 1%", "H:72% He:17% Ar: 7% C: 4%", "H:83% He:9% Xe: 4% Li: 4%", "H:77% He:12% P: 6% Li: 5%", "H:65% He:24% S: 6% Mg: 5%", "H:71% He:21% O: 6% Xe: 2%", "H:85% He:10% Na: 3% S: 2%", "H:73% He:18% Si: 6% C: 3%", "H:71% He:24% S: 3% Si: 2%", "H:73% He:23% Fe: 3% P: 1%","H:84% He:7% Ar: 6% Mg: 3%", "H:80% He:11% C: 5% Ar: 4%", "H:74% He:19% Kr: 5% B: 2%", "H:79% He:15% K: 4% Ar: 2%", "H:80% He:18% O: 1% Fe: 1%", "H:80% He:18% O: 1% Fe: 1%", "H:70% He:15% Si: 9% O: 6%", "H:84% He:11% K: 3% Mg: 2%", "H:76% He:21% Li: 2% O: 1%", "H:77% He:22% Xe: 1% O: 1%", "H:79% He:18% B: 2% Kr: 1%", "H:78% He:20% F: 2% Mg: 2%", "H:73% He:24% Na: 2% O: 1%", "H:86% He:11% O: 2% Fe: 1%", "H:75% He:20% Na: 4% K: 1%", "H:75% He:22% Xe: 2% K: 1%", "H:68% He:22% Kr: 6% K: 4%", "H:89% He:8% Kr: 2% Na: 1%", "H:78% He:17% C: 3% Na: 2%", "H:72% He:17% Ar: 7% C: 4%", "H:83% He:12% F: 4% Ne: 1%", "H:73% He:23% P: 3% Na: 1%", "H:77% He:12% P: 8% Na: 3%", "H:73% He:24% Fe: 2% C: 1%", "H:77% He:16% F: 4% B: 3%", "H:87% He:10% F: 2% O: 1%", "H:75% He:20% Na: 3% B: 2%", "H:77% He:12% P: 8% Na: 3%", "H:66% He:20% Fe: 1% S: 1%", "H:69% He:19% Ar: 7% C: 5%", "H:88% He:10% C: 1% Si: 1%", "H:77% He:12% P: 8% Na: 3%", "H:78% He:20% F: 2% Mg: 2%", "H:71% He:16% Ne: 8% B: 5%", "H:82% He:12% Mg: 4% N: 2%", "H:79% He:18% N: 2% Fe: 1%", "H:73% He:18% B: 6% Ar: 3%", "H:87% He:8% Si: 3% Kr: 2%", "H:75% He:22% Xe: 2% K: 1%", "H:74% He:19% Kr: 5% B: 2%", "H:74% He:23% C: 2% O: 1%", "H:67% He:22% K: 9% Fe: 2%", "H:77% He:22% Xe: 1% O: 1%", "H:73% He:19% K: 4% Ne: 4%", "H:80% He:15% S: 3% Na: 2%", "H:78% He:17% C: 3% Na: 2%", "H:85% He:13% Si: 1% B: 1%", "H:73% He:23% Fe: 3% P: 1%", "H:74% He:19% Kr: 5% B: 2%", "H:77% He:12% P: 6% Li: 5%", "H:76% He:21% Li: 2% O: 1%", "H:67% He:22% K: 9% Fe: 2%", "H:67% He:15% Mg: 9% S: 9%", "H:73% He:22% K: 3% Ar: 2%", "H:81% He:13% O: 3% Si: 3%", "H:85% He:13% C: 1% N: 1%", "H:69% He:20% O: 8% Na: 3%", "H:76% He:20% Ne: 2% N: 1%", "H:79% He:18% O: 2% B: 1%", "H:85% He:13% C: 1% N: 1%", "H:89% He:9% Fe: 1% Ar: 1%", "H:67% He:24% Ne: 6% S: 3%", "H:71% He:21% O: 6% Xe: 2%", "H:87% He:10% F: 2% O: 1%", "H:72% He:22% P: 5% Fe: 1%", "H:86% He:11% O: 2% Fe: 1%", "H:88% He:8% Xe: 3% Mg: 1%", "H:71% He:24% S: 3% Si: 2%", "H:75% He:23% Mg: 1% S: 1%", "H:85% He:12% C: 2% Ar: 1%", "H:73% He:18% Si: 6% C: 3%", "H:87% He:8% Si: 3% Kr: 2%", "H:73% He:19% F: 3% Fe: 3%", "H:80% He:11% C: 5% Ar: 4%", "H:88% He:10% S: 1% Kr: 1%", "H:67% He:15% Mg: 9% S: 9%", "H:69% He:19% Ar: 7% C: 5%", "H:74% He:18% Ar: 5% O: 3%", "H:78% He:20% F: 2% Mg: 2%", "H:72% He:17% Xe: 6% F: 5%", "H:84% He:6% Na: 6% Xe: 4%", "H:79% He:15% K: 4% Ar: 2%", "H:69% He:27% B: 3% Kr: 1%", "H:72% He:20% Si: 7% O: 1%", "H:72% He:23% B: 3% Fe: 2%", "H:72% He:17% Ar: 7% C: 4%", "H:68% He:22% Kr: 6% K: 4%", "H:85% He:10% K: 4% Xe: 1%", "H:79% He:18% N: 2% Fe: 1%", "H:87% He:8% Si: 3% Kr: 2%", "H:84% He:6% Na: 6% Xe: 4%", "H:76% He:22% Ar: 1% C: 1%", "H:79% He:18% B: 2% Kr: 1%", "H:83% He:14% F: 2% Ar: 1%", "H:70% He:18% O: 8% Ne: 4%", "H:75% He:22% Xe: 2% K: 1%", "H:72% He:24% Li: 3% S: 1%", "H:75% He:21% N: 2% Li: 2%", "H:67% He:15% Mg: 9% S: 9%", "H:87% He:10% F: 2% O: 1%", "H:74% He:24% O: 1% C: 1%", "H:76% He:22% C: 1% Ne: 1%", "H:80% He:16% Ne: 2% O: 2%", "H:76% He:20% Ne: 2% N: 1%", "H:69% He:20% O: 8% Na: 3%", "H:87% He:8% Si: 3% Kr: 2%", "H:74% He:23% C: 2% O: 1%", "H:75% He:22% O: 2% Fe: 1%", "H:80% He:18% O: 1% Fe: 1%", "H:82% He:14% B: 2% Na: 2%", "H:72% He:20% Si: 7% O: 1%", "H:87% He:10% S: 2% Xe: 1%", "H:75% He:23% Mg: 1% S: 1%", "H:70% He:15% Si: 9% O: 6%", "H:85% He:13% C: 1% N: 1%", "H:69% He:20% O: 8% Na: 3%", "H:68% He:21% C: 7% Ar: 4%", "H:79% He:18% N: 2% Fe: 1%", "H:70% He:27% C: 2% Ar: 1%", "H:73% He:23% P: 3% Na: 1%", "H:88% He:8% Xe: 3% Mg: 1%", "H:74% He:20% C: 4% Li: 2%", "H:69% He:20% O: 8% Na: 3%", "H:75% He:20% Na: 4% K: 1%", "H:74% He:20% C: 4% Li: 2%", "H:75% He:22% Xe: 2% K: 1%", "H:72% He:24% Li: 3% S: 1%", "H:78% He:17% O: 3% Ar: 2%","H:73% He:22% Ne: 4% F: 1%", "H:70% He:18% O: 8% Ne: 4%", "H:73% He:18% Si: 6% C: 3%", "H:82% He:14% B: 2% Na: 2%", "H:83% He:14% F: 2% Ar: 1%", "H:70% He:21% Fe: 6% P: 3%", "H:75% He:21% N: 2% Li: 2%", "H:73% He:22% K: 3% Ar: 2%", "H:84% He:9% Li: 5% Kr: 2%", "H:76% He:22% C: 1% Ne: 1%", "H:88% He:10% S: 1% Kr: 1%", "H:73% He:23% Fe: 3% P: 1%", "H:86% He:7% Ne: 4% Li: 3%", "H:76% He:22% C: 1% Ne: 1%", "H:86% He:11% O: 2% Fe: 1%", "H:73% He:23% Fe: 3% P: 1%", "H:73% He:22% Ne: 4% F: 1%", "H:80% He:16% Ne: 2% O: 2%", "H:89% He:9% Fe: 1% Ar: 1%", "H:87% He:10% F: 2% O: 1%", "H:75% He:22% O: 2% Fe: 1%", "H:68% He:19% F: 7% Ke: 6%", "H:72% He:22% P: 5% Fe: 1%", "H:73% He:25% O: 1% Li: 1%", "H:73% He:23% Fe: 3% P: 1%", "H:76% He:19% B: 3% S: 2%", "H:70% He:21% Fe: 6% P: 3%", "H:76% He:20% Ne: 2% N: 1%", "H:71% He:24% K: 3% Ne: 2%", "H:73% He:24% Na: 2% O: 1%", "H:74% He:24% O: 1% C: 1%", "H:76% He:22% Ar: 1% C: 1%", "H:77% He:12% P: 6% Li: 5%", "H:70% He:27% C: 2% Ar: 1%", "H:80% He:16% Ne: 2% O: 2%", "H:83% He:9% Xe: 4% Li: 4%", "H:76% He:19% B: 3% S: 2%", "H:85% He:12% C: 2% Ar: 1%", "H:68% He:22% Kr: 6% K: 4%", "H:83% He:9% Xe: 4% Li: 4%", "H:71% He:16% Ne: 8% B: 5%", "H:73% He:22% Ne: 4% F: 1%", "H:70% He:15% Si: 9% O: 6%", "H:89% He:9% Si: 1% Mg: 1%", "H:76% He:22% Ar: 1% C: 1%", "H:67% He:15% Mg: 9% S: 9%", "H:71% He:17% O: 8% Kr: 4%", "H:73% He:24% Na: 2% O: 1%", "H:79% He:15% K: 4% Ar: 2%", "H:74% He:23% C: 2% O: 1%", "H:81% He:13% O: 3% Si: 3%", "H:81% He:14% O: 4% Na: 1%", "H:86% He:11% O: 2% Fe: 1%", "H:74% He:20% C: 4% Li: 2%", "H:85% He:13% C: 1% N: 1%", "H:90% He:7% Fe: 2% Ar: 1%", "H:72% He:19% S: 7% Xe: 2%", "H:80% He:15% S: 3% Na: 2%", "H:75% He:20% Na: 4% K: 1%", "H:72% He:19% S: 7% Xe: 2%", "H:73% He:25% O: 1% Li: 1%", "H:88% He:10% C: 1% Si: 1%", "H:85% He:13% C: 1% N: 1%", "H:73% He:23% Fe: 3% P: 1%",
// Galaxy 4
"H:71% He:17% O: 8% Kr: 4%", "H:73% He:25% K: 1% O: 1%", "H:76% He:22% C: 1% Ne: 1%", "H:75% He:21% N: 2% Li: 2%", "H:74% He:23% C: 2% Ne: 1%", "H:82% He:14% B: 2% Na: 2%", "H:80% He:16% Ne: 2% O: 2%", "H:84% He:6% Na: 6% Xe: 4%", "H:68% He:17% Si: 8% O: 7%", "H:77% He:21% O: 1% Fe: 1%", "H:80% He:16% Ne: 2% O: 2%", "H:76% He:19% B: 3% S: 2%", "H:71% He:24% S: 3% Si: 2%", "H:88% He:9% Kr: 2% Fe: 1%", "H:77% He:21% O: 1% Fe: 1%", "H:84% He:11% K: 3% Mg: 2%", "H:76% He:20% Ne: 2% N: 1%", "H:67% He:15% Mg: 9% S: 9%", "H:66% He:20% Fe: 1% S: 1%", "H:73% He:18% B: 6% Ar: 3%", "H:70% He:15% Si: 9% O: 6%", "H:65% He:24% S: 6% Mg: 5%", "H:80% He:11% C: 5% Ar: 4%", "H:73% He:22% Ne: 4% F: 1%", "H:78% He:13% C: 5% O: 4%", "H:69% He:20% O: 8% Na: 3%", "H:71% He:18% O: 6% Li: 5%", "H:81% He:13% O: 3% Si: 3%", "H:67% He:24% Ne: 6% S: 3%", "H:73% He:25% K: 1% O: 1%", "H:73% He:18% B: 6% Ar: 3%", "H:74% He:23% C: 2% O: 1%", "H:75% He:22% Xe: 2% K: 1%", "H:73% He:25% O: 1% Li: 1%", "H:73% He:24% Na: 2% O: 1%", "H:71% He:18% O: 6% Li: 5%", "H:76% He:20% Ne: 2% N: 1%", "H:73% He:25% O: 1% Li: 1%", "H:73% He:18% B: 6% Ar: 3%", "H:73% He:22% Ne: 4% F: 1%", "H:73% He:19% F: 3% Fe: 3%", "H:70% He:20% N: 7% Ne: 3%", "H:81% He:14% O: 4% Na: 1%", "H:75% He:22% O: 2% Fe: 1%", "H:74% He:24% O: 1% C: 1%", "H:83% He:9% Xe: 4% Li: 4%", "H:72% He:24% Li: 3% S: 1%", "H:74% He:23% C: 2% Ne: 1%", "H:73% He:25% O: 1% Li: 1%", "H:74% He:23% C: 2% O: 1%", "H:72% He:17% Ar: 7% C: 4%", "H:87% He:10% F: 2% O: 1%", "H:85% He:12% C: 2% Ar: 1%", "H:80% He:11% C: 5% Ar: 4%", "H:68% He:21% C: 7% Ar: 4%", "H:75% He:23% Mg: 1% S: 1%", "H:85% He:13% Si: 1% B: 1%", "H:75% He:19% C: 4% Xe: 2%", "H:80% He:16% Ne: 2% O: 2%", "H:77% He:21% O: 1% Fe: 1%", "H:73% He:24% Na: 2% O: 1%", "H:72% He:23% Si: 3% O: 2%", "H:77% He:16% F: 4% B: 3%", "H:74% He:18% Ar: 5% O: 3%","H:83% He:6% Xe: 7% Si: 4%", "H:66% He:20% Fe: 1% S: 1%", "H:67% He:25% O: 5% Li: 3%", "H:76% He:22% C: 1% Ne: 1%", "H:87% He:10% S: 2% Xe: 1%", "H:72% He:22% P: 5% Fe: 1%", "H:71% He:21% O: 6% Xe: 2%", "H:77% He:16% F: 4% B: 3%", "H:82% He:12% Mg: 4% N: 2%", "H:71% He:24% K: 3% Ne: 2%", "H:83% He:6% Xe: 7% Si: 4%", "H:85% He:13% C: 1% N: 1%", "H:85% He:7% Mg: 5% Ar: 3%", "H:88% He:10% S: 1% Kr: 1%", "H:73% He:22% K: 3% Ar: 2%", "H:84% He:6% Na: 6% Xe: 4%", "H:70% He:20% S: 6% P: 4%", "H:85% He:12% C: 2% Ar: 1%", "H:80% He:11% C: 5% Ar: 4%", "H:79% He:18% O: 2% B: 1%", "H:78% He:17% O: 3% Ar: 2%", "H:82% He:12% Mg: 4% N: 2%", "H:76% He:22% C: 1% Ne: 1%", "H:79% He:18% O: 2% B: 1%", "H:73% He:25% K: 1% O: 1%", "H:74% He:21% Fe: 3% B: 2%", "H:72% He:17% Xe: 6% F: 5%", "H:89% He:9% Fe: 1% Ar: 1%", "H:73% He:18% B: 6% Ar: 3%", "H:81% He:14% O: 4% Na: 1%", "H:65% He:24% S: 6% Mg: 5%", "H:79% He:18% N: 2% Fe: 1%", "H:80% He:14% Xe: 4% K: 2%", "H:68% He:19% F: 7% Ke: 6%", "H:73% He:19% K: 4% Ne: 4%", "H:70% He:20% S: 6% P: 4%", "H:67% He:22% K: 9% Fe: 2%", "H:76% He:21% Li: 2% O: 1%", "H:69% He:27% B: 3% Kr: 1%", "H:84% He:9% Li: 5% Kr: 2%", "H:73% He:25% K: 1% O: 1%", "H:83% He:9% Xe: 4% Li: 4%", "H:81% He:13% O: 3% Si: 3%", "H:68% He:26% F: 4% Na: 2%", "H:70% He:18% O: 8% Ne: 4%", "H:75% He:19% C: 4% Xe: 2%", "H:74% He:19% Kr: 5% B: 2%", "H:73% He:19% Fe: 5% C: 3%", "H:71% He:24% K: 3% Ne: 2%", "H:71% He:16% Ne: 8% B: 5%", "H:76% He:22% C: 1% Ne: 1%", "H:72% He:17% Ar: 7% C: 4%", "H:77% He:12% P: 6% Li: 5%", "H:85% He:10% K: 4% Xe: 1%", "H:73% He:19% Fe: 5% C: 3%", "H:79% He:18% N: 2% Fe: 1%", "H:87% He:10% F: 2% O: 1%", "H:80% He:16% Ne: 2% O: 2%", "H:72% He:22% P: 5% Fe: 1%", "H:71% He:21% O: 6% Xe: 2%", "H:69% He:19% Ar: 7% C: 5%", "H:67% He:25% O: 5% Li: 3%", "H:70% He:20% S: 6% P: 4%", "H:77% He:12% P: 8% Na: 3%", "H:74% He:23% C: 2% O: 1%", "H:78% He:17% C: 3% Na: 2%", "H:80% He:11% C: 5% Ar: 4%", "H:74% He:18% Ar: 5% O: 3%", "H:85% He:12% C: 2% Ar: 1%", "H:90% He:7% Fe: 2% Ar: 1%", "H:67% He:24% Ne: 6% S: 3%", "H:84% He:7% Ar: 6% Mg: 3%", "H:76% He:18% Li: 4% O: 2%", "H:71% He:17% O: 8% Kr: 4%", "H:73% He:19% Fe: 5% C: 3%", "H:74% He:20% C: 4% Li: 2%", "H:79% He:18% B: 2% Kr: 1%", "H:75% He:23% Mg: 1% S: 1%", "H:85% He:7% Mg: 5% Ar: 3%", "H:76% He:22% Ar: 1% C: 1%", "H:78% He:17% C: 3% Na: 2%", "H:73% He:19% F: 3% Fe: 3%", "H:88% He:10% C: 1% Si: 1%", "H:74% He:21% Fe: 3% B: 2%", "H:87% He:8% Si: 3% Kr: 2%", "H:85% He:12% C: 2% Ar: 1%", "H:80% He:11% C: 5% Ar: 4%", "H:65% He:24% S: 6% Mg: 5%", "H:72% He:23% Si: 3% O: 2%", "H:69% He:27% B: 3% Kr: 1%", "H:89% He:9% Si: 1% Mg: 1%", "H:69% He:27% B: 3% Kr: 1%", "H:89% He:9% Si: 1% Mg: 1%", "H:77% He:12% P: 6% Li: 5%", "H:80% He:16% Ne: 2% O: 2%", "H:73% He:24% Fe: 2% C: 1%", "H:84% He:11% K: 3% Mg: 2%", "H:85% He:13% Si: 1% B: 1%", "H:73% He:18% Si: 6% C: 3%", "H:66% He:20% Fe: 1% S: 1%", "H:69% He:20% O: 8% Na: 3%", "H:78% He:16% S: 5% Ne: 1%", "H:89% He:8% Kr: 2% Na: 1%", "H:78% He:17% O: 3% Ar: 2%", "H:73% He:25% K: 1% O: 1%", "H:76% He:21% Ne: 2% S: 1%", "H:80% He:11% C: 5% Ar: 4%", "H:67% He:22% K: 9% Fe: 2%", "H:70% He:18% O: 8% Ne: 4%", "H:75% He:23% Mg: 1% S: 1%", "H:73% He:22% K: 3% Ar: 2%", "H:75% He:23% Mg: 1% S: 1%", "H:74% He:21% O: 3% Fe: 2%", "H:90% He:7% Fe: 2% Ar: 1%", "H:70% He:20% Fe: 8% C: 2%", "H:73% He:24% Fe: 2% C: 1%", "H:85% He:12% C: 2% Ar: 1%", "H:82% He:12% Mg: 4% N: 2%", "H:71% He:21% O: 6% Xe: 2%", "H:87% He:10% F: 2% O: 1%", "H:65% He:24% S: 6% Mg: 5%", "H:73% He:19% Fe: 5% C: 3%", "H:81% He:13% O: 3% Si: 3%", "H:89% He:9% Fe: 1% Ar: 1%", "H:67% He:24% Ne: 6% S: 3%", "H:70% He:15% Si: 9% O: 6%", "H:73% He:24% Fe: 2% C: 1%", "H:68% He:19% F: 7% Ke: 6%","H:76% He:21% Li: 2% O: 1%", "H:75% He:22% O: 2% Fe: 1%", "H:74% He:21% O: 3% Fe: 2%", "H:66% He:20% Fe: 1% S: 1%", "H:70% He:20% Fe: 8% C: 2%", "H:74% He:19% Kr: 5% B: 2%", "H:75% He:23% Mg: 1% S: 1%", "H:71% He:23% Kr: 5% K: 1%", "H:73% He:25% K: 1% O: 1%", "H:88% He:9% Kr: 2% Fe: 1%", "H:80% He:18% O: 1% Fe: 1%", "H:72% He:23% C: 4% Xe: 1%", "H:81% He:14% O: 4% Na: 1%", "H:76% He:20% Ne: 2% N: 1%", "H:86% He:7% Ne: 4% Li: 3%", "H:84% He:11% K: 3% Mg: 2%", "H:66% He:24% C: 6% Si: 4%", "H:78% He:20% F: 2% Mg: 2%", "H:79% He:18% B: 2% Kr: 1%", "H:68% He:22% Kr: 6% K: 4%", "H:83% He:14% F: 2% Ar: 1%", "H:88% He:10% C: 1% Si: 1%", "H:76% He:21% Li: 2% O: 1%", "H:68% He:21% C: 7% Ar: 4%", "H:80% He:18% O: 1% Fe: 1%", "H:71% He:18% O: 6% Li: 5%", "H:70% He:20% Fe: 8% C: 2%", "H:85% He:10% K: 4% Xe: 1%", "H:70% He:20% Fe: 8% C: 2%", "H:73% He:19% Fe: 5% C: 3%", "H:70% He:20% N: 7% Ne: 3%", "H:83% He:14% F: 2% Ar: 1%", "H:72% He:17% Xe: 6% F: 5%", "H:84% He:9% Li: 5% Kr: 2%", "H:76% He:22% Ar: 1% C: 1%", "H:72% He:23% Si: 3% O: 2%", "H:74% He:19% Kr: 5% B: 2%", "H:66% He:24% C: 6% Si: 4%", "H:80% He:14% Xe: 4% K: 2%", "H:67% He:22% K: 9% Fe: 2%", "H:76% He:21% Ne: 2% S: 1%", "H:80% He:18% O: 1% Fe: 1%", "H:68% He:21% C: 7% Ar: 4%", "H:72% He:23% C: 4% Xe: 1%", "H:70% He:18% O: 8% Ne: 4%", "H:73% He:22% K: 3% Ar: 2%", "H:87% He:10% S: 2% Xe: 1%", "H:76% He:18% Li: 4% O: 2%", "H:73% He:23% P: 3% Na: 1%", "H:90% He:7% Fe: 2% Ar: 1%", "H:69% He:27% B: 3% Kr: 1%", "H:72% He:24% Li: 3% S: 1%", "H:68% He:21% C: 7% Ar: 4%", "H:67% He:24% Ne: 6% S: 3%", "H:67% He:15% Mg: 9% S: 9%", "H:69% He:20% O: 8% Na: 3%", "H:85% He:13% C: 1% N: 1%", "H:73% He:24% Na: 2% O: 1%", "H:75% He:23% Mg: 1% S: 1%", "H:78% He:17% C: 3% Na: 2%", "H:82% He:14% B: 2% Na: 2%", "H:85% He:13% C: 1% N: 1%", "H:70% He:20% Fe: 8% C: 2%", "H:80% He:11% C: 5% Ar: 4%",
// Galaxy 5
"H:74% He:23% C: 2% O: 1%", "H:68% He:21% C: 7% Ar: 4%", "H:79% He:18% B: 2% Kr: 1%", "H:80% He:15% S: 3% Na: 2%", "H:75% He:21% N: 2% Li: 2%", "H:69% He:19% Ar: 7% C: 5%", "H:87% He:10% F: 2% O: 1%", "H:75% He:19% C: 4% Xe: 2%", "H:85% He:10% Na: 3% S: 2%", "H:82% He:14% B: 2% Na: 2%", "H:76% He:21% Ne: 2% S: 1%", "H:74% He:18% Ar: 5% O: 3%", "H:85% He:13% Si: 1% B: 1%", "H:77% He:16% F: 4% B: 3%", "H:85% He:13% C: 1% N: 1%", "H:72% He:17% Xe: 6% F: 5%", "H:76% He:19% B: 3% S: 2%", "H:67% He:22% K: 9% Fe: 2%", "H:73% He:18% B: 6% Ar: 3%", "H:72% He:17% Ar: 7% C: 4%", "H:73% He:18% Si: 6% C: 3%", "H:73% He:19% Fe: 5% C: 3%", "H:72% He:17% Xe: 6% F: 5%", "H:75% He:23% Mg: 1% S: 1%", "H:66% He:24% C: 6% Si: 4%", "H:74% He:21% Fe: 3% B: 2%", "H:76% He:22% Ar: 1% C: 1%", "H:71% He:24% K: 3% Ne: 2%", "H:70% He:18% O: 8% Ne: 4%", "H:84% He:6% Na: 6% Xe: 4%", "H:77% He:22% Xe: 1% O: 1%", "H:83% He:6% Xe: 7% Si: 4%", "H:89% He:9% Si: 1% Mg: 1%", "H:75% He:19% C: 4% Xe: 2%", "H:89% He:9% Si: 1% Mg: 1%", "H:78% He:16% S: 5% Ne: 1%", "H:73% He:23% P: 3% Na: 1%", "H:86% He:11% O: 2% Fe: 1%", "H:78% He:20% F: 2% Mg: 2%", "H:71% He:23% Kr: 5% K: 1%", "H:73% He:25% K: 1% O: 1%", "H:74% He:23% C: 2% Ne: 1%", "H:79% He:18% O: 2% B: 1%", "H:67% He:15% Mg: 9% S: 9%", "H:65% He:24% S: 6% Mg: 5%", "H:78% He:20% F: 2% Mg: 2%", "H:70% He:20% Fe: 8% C: 2%", "H:73% He:21% F: 4% K: 2%", "H:73% He:25% K: 1% O: 1%", "H:76% He:22% Ar: 1% C: 1%", "H:71% He:16% Ne: 8% B: 5%", "H:77% He:21% O: 1% Fe: 1%", "H:73% He:22% Ne: 4% F: 1%", "H:67% He:15% Mg: 9% S: 9%", "H:73% He:25% K: 1% O: 1%", "H:75% He:22% O: 2% Fe: 1%", "H:88% He:10% C: 1% Si: 1%", "H:76% He:22% C: 1% Ne: 1%", "H:72% He:24% Li: 3% S: 1%", "H:72% He:23% Si: 3% O: 2%", "H:76% He:20% Ne: 2% N: 1%", "H:80% He:11% C: 5% Ar: 4%", "H:72% He:17% Xe: 6% F: 5%", "H:71% He:18% O: 6% Li: 5%","H:82% He:14% B: 2% Na: 2%", "H:89% He:9% Fe: 1% Ar: 1%", "H:74% He:21% Fe: 3% B: 2%", "H:76% He:18% Li: 4% O: 2%", "H:79% He:18% O: 2% B: 1%", "H:74% He:18% Ar: 5% O: 3%", "H:77% He:22% Xe: 1% O: 1%", "H:81% He:14% O: 4% Na: 1%", "H:74% He:23% C: 2% Ne: 1%", "H:75% He:19% C: 4% Xe: 2%", "H:77% He:12% P: 8% Na: 3%", "H:73% He:22% K: 3% Ar: 2%", "H:81% He:13% O: 3% Si: 3%", "H:78% He:13% C: 5% O: 4%", "H:88% He:9% Kr: 2% Fe: 1%", "H:71% He:23% Kr: 5% K: 1%", "H:72% He:20% Si: 7% O: 1%", "H:76% He:20% Ne: 2% N: 1%", "H:74% He:23% C: 2% Ne: 1%", "H:76% He:21% Ne: 2% S: 1%", "H:77% He:16% F: 4% B: 3%", "H:76% He:19% B: 3% S: 2%", "H:76% He:20% Ne: 2% N: 1%", "H:77% He:12% P: 6% Li: 5%", "H:72% He:23% B: 3% Fe: 2%", "H:75% He:21% N: 2% Li: 2%", "H:72% He:23% C: 4% Xe: 1%", "H:68% He:26% F: 4% Na: 2%", "H:78% He:8% Fe: 9% Ar: 5%", "H:74% He:20% C: 4% Li: 2%", "H:76% He:16% C: 5% Kr: 3%", "H:77% He:12% P: 8% Na: 3%", "H:76% He:20% Ne: 2% N: 1%", "H:74% He:20% C: 4% Li: 2%", "H:88% He:9% Kr: 2% Fe: 1%", "H:65% He:24% S: 6% Mg: 5%", "H:66% He:24% C: 6% Si: 4%", "H:74% He:24% O: 1% C: 1%", "H:77% He:12% P: 6% Li: 5%", "H:87% He:8% Mg: 3% Xe: 2%", "H:76% He:20% Ne: 2% N: 1%", "H:71% He:16% Ne: 8% B: 5%", "H:74% He:18% Ar: 5% O: 3%", "H:76% He:22% C: 1% Ne: 1%", "H:71% He:17% O: 8% Kr: 4%", "H:78% He:17% O: 3% Ar: 2%", "H:73% He:19% Fe: 5% C: 3%", "H:77% He:16% F: 4% B: 3%", "H:87% He:10% F: 2% O: 1%", "H:88% He:9% Kr: 2% Fe: 1%", "H:75% He:20% Na: 4% K: 1%", "H:68% He:22% Kr: 6% K: 4%", "H:76% He:22% C: 1% Ne: 1%", "H:71% He:21% O: 6% Xe: 2%", "H:73% He:21% F: 4% K: 2%", "H:78% He:16% S: 5% Ne: 1%", "H:89% He:8% Kr: 2% Na: 1%", "H:74% He:18% Ar: 5% O: 3%", "H:71% He:16% Ne: 8% B: 5%", "H:87% He:10% F: 2% O: 1%", "H:77% He:21% O: 1% Fe: 1%", "H:72% He:17% Ar: 7% C: 4%", "H:73% He:25% O: 1% Li: 1%", "H:89% He:8% Kr: 2% Na: 1%", "H:71% He:23% Kr: 5% K: 1%", "H:88% He:10% C: 1% Si: 1%", "H:83% He:9% Xe: 4% Li: 4%", "H:83% He:12% F: 4% Ne: 1%", "H:75% He:19% C: 4% Xe: 2%", "H:72% He:24% Li: 3% S: 1%", "H:71% He:18% O: 6% Li: 5%", "H:84% He:6% Na: 6% Xe: 4%", "H:79% He:18% B: 2% Kr: 1%", "H:83% He:6% Xe: 7% Si: 4%", "H:79% He:18% O: 2% B: 1%", "H:73% He:23% P: 3% Na: 1%", "H:89% He:9% Fe: 1% Ar: 1%", "H:85% He:13% Si: 1% B: 1%", "H:89% He:9% Si: 1% Mg: 1%", "H:68% He:26% F: 4% Na: 2%", "H:75% He:22% P: 2% K: 1%", "H:72% He:17% Xe: 6% F: 5%", "H:80% He:11% C: 5% Ar: 4%", "H:78% He:20% F: 2% Mg: 2%", "H:71% He:16% Ne: 8% B: 5%", "H:75% He:22% Xe: 2% K: 1%", "H:73% He:18% B: 6% Ar: 3%", "H:75% He:22% P: 2% K: 1%", "H:87% He:10% F: 2% O: 1%", "H:72% He:17% Ar: 7% C: 4%", "H:89% He:9% Si: 1% Mg: 1%", "H:74% He:21% O: 3% Fe: 2%", "H:75% He:22% Xe: 2% K: 1%", "H:72% He:24% Li: 3% S: 1%", "H:87% He:10% S: 2% Xe: 1%", "H:80% He:18% O: 1% Fe: 1%", "H:87% He:8% Si: 3% Kr: 2%", "H:82% He:12% Mg: 4% N: 2%", "H:71% He:23% Kr: 5% K: 1%", "H:67% He:25% O: 5% Li: 3%", "H:80% He:18% O: 1% Fe: 1%", "H:71% He:23% Kr: 5% K: 1%", "H:85% He:10% Na: 3% S: 2%", "H:76% He:22% C: 1% Ne: 1%", "H:87% He:8% Si: 3% Kr: 2%", "H:73% He:21% F: 4% K: 2%", "H:70% He:20% S: 6% P: 4%", "H:78% He:13% C: 5% O: 4%", "H:85% He:13% C: 1% N: 1%", "H:75% He:20% Na: 4% K: 1%", "H:77% He:22% Xe: 1% O: 1%", "H:72% He:24% Li: 3% S: 1%", "H:70% He:21% Fe: 6% P: 3%", "H:86% He:7% Ne: 4% Li: 3%", "H:75% He:19% C: 4% Xe: 2%", "H:73% He:25% O: 1% Li: 1%", "H:74% He:19% Kr: 5% B: 2%", "H:72% He:17% Ar: 7% C: 4%", "H:87% He:10% S: 2% Xe: 1%", "H:80% He:15% S: 3% Na: 2%", "H:67% He:15% Mg: 9% S: 9%", "H:73% He:23% P: 3% Na: 1%", "H:72% He:23% B: 3% Fe: 2%", "H:69% He:19% Ar: 7% C: 5%", "H:70% He:20% S: 6% P: 4%", "H:70% He:21% Fe: 6% P: 3%", "H:75% He:23% Mg: 1% S: 1%", "H:82% He:12% Mg: 4% N: 2%","H:70% He:20% Fe: 8% C: 2%", "H:75% He:23% Mg: 1% S: 1%", "H:88% He:8% Xe: 3% Mg: 1%", "H:74% He:24% O: 1% C: 1%", "H:68% He:22% Kr: 6% K: 4%", "H:72% He:24% Li: 3% S: 1%", "H:88% He:10% S: 1% Kr: 1%", "H:72% He:17% Xe: 6% F: 5%", "H:86% He:11% O: 2% Fe: 1%", "H:78% He:17% C: 3% Na: 2%", "H:76% He:20% Ne: 2% N: 1%", "H:74% He:21% O: 3% Fe: 2%", "H:88% He:9% Kr: 2% Fe: 1%", "H:75% He:22% P: 2% K: 1%", "H:88% He:8% Xe: 3% Mg: 1%", "H:83% He:6% Xe: 7% Si: 4%", "H:85% He:10% Na: 3% S: 2%", "H:76% He:22% C: 1% Ne: 1%", "H:74% He:21% O: 3% Fe: 2%", "H:75% He:22% P: 2% K: 1%", "H:72% He:23% C: 4% Xe: 1%", "H:75% He:23% Mg: 1% S: 1%", "H:85% He:13% Si: 1% B: 1%", "H:72% He:17% Ar: 7% C: 4%", "H:72% He:22% P: 5% Fe: 1%", "H:77% He:12% P: 6% Li: 5%", "H:89% He:9% Fe: 1% Ar: 1%", "H:77% He:12% P: 6% Li: 5%", "H:77% He:21% O: 1% Fe: 1%", "H:74% He:23% C: 2% O: 1%", "H:88% He:8% Xe: 3% Mg: 1%", "H:77% He:12% P: 8% Na: 3%", "H:72% He:20% Si: 7% O: 1%", "H:69% He:27% B: 3% Kr: 1%", "H:74% He:20% C: 4% Li: 2%", "H:87% He:10% S: 2% Xe: 1%", "H:73% He:25% K: 1% O: 1%", "H:65% He:24% S: 6% Mg: 5%", "H:72% He:17% Xe: 6% F: 5%", "H:77% He:12% P: 8% Na: 3%", "H:73% He:23% Fe: 3% P: 1%", "H:86% He:11% O: 2% Fe: 1%", "H:68% He:26% F: 4% Na: 2%", "H:77% He:12% P: 8% Na: 3%", "H:80% He:14% Xe: 4% K: 2%", "H:85% He:12% C: 2% Ar: 1%", "H:65% He:24% S: 6% Mg: 5%", "H:87% He:10% F: 2% O: 1%", "H:74% He:21% O: 3% Fe: 2%", "H:83% He:9% Xe: 4% Li: 4%", "H:71% He:16% Ne: 8% B: 5%", "H:87% He:10% F: 2% O: 1%", "H:88% He:9% Kr: 2% Fe: 1%", "H:75% He:23% Mg: 1% S: 1%", "H:84% He:11% K: 3% Mg: 2%", "H:73% He:22% Ne: 4% F: 1%", "H:80% He:14% Xe: 4% K: 2%", "H:87% He:8% Mg: 3% Xe: 2%", "H:68% He:22% Kr: 6% K: 4%", "H:76% He:16% C: 5% Kr: 3%", "H:72% He:20% Si: 7% O: 1%", "H:79% He:18% B: 2% Kr: 1%", "H:76% He:21% Ne: 2% S: 1%", "H:74% He:23% C: 2% Ne: 1%",
// Galaxy 6
"H:85% He:13% Si: 1% B: 1%", "H:73% He:23% Fe: 3% P: 1%", "H:74% He:19% Kr: 5% B: 2%", "H:77% He:12% P: 6% Li: 5%", "H:76% He:21% Li: 2% O: 1%", "H:67% He:22% K: 9% Fe: 2%", "H:67% He:15% Mg: 9% S: 9%", "H:73% He:22% K: 3% Ar: 2%", "H:81% He:13% O: 3% Si: 3%", "H:85% He:13% C: 1% N: 1%", "H:69% He:20% O: 8% Na: 3%", "H:76% He:20% Ne: 2% N: 1%", "H:79% He:18% O: 2% B: 1%", "H:85% He:13% C: 1% N: 1%", "H:89% He:9% Fe: 1% Ar: 1%", "H:67% He:24% Ne: 6% S: 3%", "H:71% He:21% O: 6% Xe: 2%", "H:87% He:10% F: 2% O: 1%", "H:72% He:22% P: 5% Fe: 1%", "H:86% He:11% O: 2% Fe: 1%", "H:88% He:8% Xe: 3% Mg: 1%", "H:71% He:24% S: 3% Si: 2%", "H:75% He:23% Mg: 1% S: 1%", "H:85% He:12% C: 2% Ar: 1%", "H:73% He:18% Si: 6% C: 3%", "H:87% He:8% Si: 3% Kr: 2%", "H:73% He:19% F: 3% Fe: 3%", "H:80% He:11% C: 5% Ar: 4%", "H:88% He:10% S: 1% Kr: 1%", "H:67% He:15% Mg: 9% S: 9%", "H:69% He:19% Ar: 7% C: 5%", "H:74% He:18% Ar: 5% O: 3%", "H:78% He:20% F: 2% Mg: 2%", "H:72% He:17% Xe: 6% F: 5%", "H:84% He:6% Na: 6% Xe: 4%", "H:79% He:15% K: 4% Ar: 2%", "H:69% He:27% B: 3% Kr: 1%", "H:72% He:20% Si: 7% O: 1%", "H:72% He:23% B: 3% Fe: 2%", "H:72% He:17% Ar: 7% C: 4%", "H:68% He:22% Kr: 6% K: 4%", "H:85% He:10% K: 4% Xe: 1%", "H:79% He:18% N: 2% Fe: 1%", "H:87% He:8% Si: 3% Kr: 2%", "H:84% He:6% Na: 6% Xe: 4%", "H:76% He:22% Ar: 1% C: 1%", "H:79% He:18% B: 2% Kr: 1%", "H:83% He:14% F: 2% Ar: 1%", "H:70% He:18% O: 8% Ne: 4%", "H:75% He:22% Xe: 2% K: 1%", "H:72% He:24% Li: 3% S: 1%", "H:75% He:21% N: 2% Li: 2%", "H:67% He:15% Mg: 9% S: 9%", "H:87% He:10% F: 2% O: 1%", "H:74% He:24% O: 1% C: 1%", "H:76% He:22% C: 1% Ne: 1%", "H:80% He:16% Ne: 2% O: 2%", "H:76% He:20% Ne: 2% N: 1%", "H:69% He:20% O: 8% Na: 3%", "H:87% He:8% Si: 3% Kr: 2%", "H:74% He:23% C: 2% O: 1%", "H:75% He:22% O: 2% Fe: 1%", "H:80% He:18% O: 1% Fe: 1%", "H:82% He:14% B: 2% Na: 2%","H:72% He:20% Si: 7% O: 1%", "H:87% He:10% S: 2% Xe: 1%", "H:75% He:23% Mg: 1% S: 1%", "H:70% He:15% Si: 9% O: 6%", "H:85% He:13% C: 1% N: 1%", "H:69% He:20% O: 8% Na: 3%", "H:68% He:21% C: 7% Ar: 4%", "H:79% He:18% N: 2% Fe: 1%", "H:70% He:27% C: 2% Ar: 1%", "H:73% He:23% P: 3% Na: 1%", "H:88% He:8% Xe: 3% Mg: 1%", "H:74% He:20% C: 4% Li: 2%", "H:69% He:20% O: 8% Na: 3%", "H:75% He:20% Na: 4% K: 1%", "H:74% He:20% C: 4% Li: 2%", "H:75% He:22% Xe: 2% K: 1%", "H:72% He:24% Li: 3% S: 1%", "H:78% He:17% O: 3% Ar: 2%", "H:73% He:22% Ne: 4% F: 1%", "H:70% He:18% O: 8% Ne: 4%", "H:73% He:18% Si: 6% C: 3%", "H:82% He:14% B: 2% Na: 2%", "H:83% He:14% F: 2% Ar: 1%", "H:70% He:21% Fe: 6% P: 3%", "H:75% He:21% N: 2% Li: 2%", "H:73% He:22% K: 3% Ar: 2%", "H:84% He:9% Li: 5% Kr: 2%", "H:76% He:22% C: 1% Ne: 1%", "H:88% He:10% S: 1% Kr: 1%", "H:73% He:23% Fe: 3% P: 1%", "H:86% He:7% Ne: 4% Li: 3%", "H:76% He:22% C: 1% Ne: 1%", "H:86% He:11% O: 2% Fe: 1%", "H:73% He:23% Fe: 3% P: 1%", "H:73% He:22% Ne: 4% F: 1%", "H:80% He:16% Ne: 2% O: 2%", "H:89% He:9% Fe: 1% Ar: 1%", "H:87% He:10% F: 2% O: 1%", "H:75% He:22% O: 2% Fe: 1%", "H:68% He:19% F: 7% Ke: 6%", "H:72% He:22% P: 5% Fe: 1%", "H:73% He:25% O: 1% Li: 1%", "H:73% He:23% Fe: 3% P: 1%", "H:76% He:19% B: 3% S: 2%", "H:70% He:21% Fe: 6% P: 3%", "H:76% He:20% Ne: 2% N: 1%", "H:71% He:24% K: 3% Ne: 2%", "H:73% He:24% Na: 2% O: 1%", "H:74% He:24% O: 1% C: 1%", "H:76% He:22% Ar: 1% C: 1%", "H:77% He:12% P: 6% Li: 5%", "H:70% He:27% C: 2% Ar: 1%", "H:80% He:16% Ne: 2% O: 2%", "H:83% He:9% Xe: 4% Li: 4%", "H:76% He:19% B: 3% S: 2%", "H:85% He:12% C: 2% Ar: 1%", "H:68% He:22% Kr: 6% K: 4%", "H:83% He:9% Xe: 4% Li: 4%", "H:71% He:16% Ne: 8% B: 5%", "H:73% He:22% Ne: 4% F: 1%", "H:70% He:15% Si: 9% O: 6%", "H:89% He:9% Si: 1% Mg: 1%", "H:76% He:22% Ar: 1% C: 1%", "H:67% He:15% Mg: 9% S: 9%", "H:71% He:17% O: 8% Kr: 4%", "H:73% He:24% Na: 2% O: 1%", "H:79% He:15% K: 4% Ar: 2%", "H:74% He:23% C: 2% O: 1%", "H:81% He:13% O: 3% Si: 3%", "H:81% He:14% O: 4% Na: 1%", "H:86% He:11% O: 2% Fe: 1%", "H:74% He:20% C: 4% Li: 2%", "H:85% He:13% C: 1% N: 1%", "H:90% He:7% Fe: 2% Ar: 1%", "H:72% He:19% S: 7% Xe: 2%", "H:80% He:15% S: 3% Na: 2%", "H:75% He:20% Na: 4% K: 1%", "H:72% He:19% S: 7% Xe: 2%", "H:73% He:25% O: 1% Li: 1%", "H:88% He:10% C: 1% Si: 1%", "H:85% He:13% C: 1% N: 1%", "H:73% He:23% Fe: 3% P: 1%", "H:68% He:26% F: 4% Na: 2%", "H:84% He:11% K: 3% Mg: 2%", "H:78% He:17% C: 3% Na: 2%", "H:70% He:15% Si: 9% O: 6%", "H:77% He:12% P: 8% Na: 3%", "H:71% He:17% O: 8% Kr: 4%", "H:75% He:22% O: 2% Fe: 1%", "H:70% He:18% O: 8% Ne: 4%", "H:81% He:14% O: 4% Na: 1%", "H:73% He:19% F: 3% Fe: 3%", "H:85% He:12% C: 2% Ar: 1%", "H:67% He:22% K: 9% Fe: 2%", "H:73% He:21% F: 4% K: 2%", "H:74% He:23% C: 2% Ne: 1%", "H:80% He:11% C: 5% Ar: 4%", "H:67% He:25% O: 5% Li: 3%", "H:73% He:19% Fe: 5% C: 3%", "H:87% He:10% S: 2% Xe: 1%", "H:66% He:24% C: 6% Si: 4%", "H:70% He:20% N: 7% Ne: 3%", "H:83% He:9% Xe: 4% Li: 4%", "H:72% He:20% Si: 7% O: 1%", "H:78% He:8% Fe: 9% Ar: 5%", "H:84% He:6% Na: 6% Xe: 4%", "H:73% He:22% K: 3% Ar: 2%", "H:80% He:14% Xe: 4% K: 2%", "H:88% He:10% S: 1% Kr: 1%", "H:77% He:12% P: 8% Na: 3%", "H:70% He:15% Si: 9% O: 6%", "H:72% He:20% Si: 7% O: 1%", "H:67% He:15% Mg: 9% S: 9%", "H:72% He:19% S: 7% Xe: 2%", "H:73% He:22% Ne: 4% F: 1%", "H:75% He:19% C: 4% Xe: 2%", "H:76% He:18% Li: 4% O: 2%", "H:78% He:17% C: 3% Na: 2%", "H:78% He:20% F: 2% Mg: 2%", "H:72% He:24% Li: 3% S: 1%", "H:67% He:25% O: 5% Li: 3%", "H:75% He:22% O: 2% Fe: 1%", "H:74% He:20% C: 4% Li: 2%", "H:71% He:24% S: 3% Si: 2%", "H:70% He:20% Fe: 8% C: 2%", "H:70% He:15% Si: 9% O: 6%", "H:79% He:18% B: 2% Kr: 1%", "H:70% He:15% Si: 9% O: 6%","H:73% He:23% Fe: 3% P: 1%", "H:79% He:18% N: 2% Fe: 1%", "H:72% He:17% Ar: 7% C: 4%", "H:82% He:12% Mg: 4% N: 2%", "H:75% He:21% N: 2% Li: 2%", "H:78% He:8% Fe: 9% Ar: 5%", "H:68% He:22% Kr: 6% K: 4%", "H:78% He:13% C: 5% O: 4%", "H:70% He:27% C: 2% Ar: 1%", "H:80% He:11% C: 5% Ar: 4%", "H:70% He:27% C: 2% Ar: 1%", "H:83% He:12% F: 4% Ne: 1%", "H:71% He:17% O: 8% Kr: 4%", "H:69% He:27% B: 3% Kr: 1%", "H:70% He:27% C: 2% Ar: 1%", "H:79% He:18% N: 2% Fe: 1%", "H:68% He:17% Si: 8% O: 7%", "H:84% He:6% Na: 6% Xe: 4%", "H:73% He:24% Na: 2% O: 1%", "H:75% He:20% Na: 3% B: 2%", "H:71% He:17% O: 8% Kr: 4%", "H:79% He:18% B: 2% Kr: 1%", "H:76% He:22% Ar: 1% C: 1%", "H:73% He:18% Si: 6% C: 3%", "H:66% He:24% C: 6% Si: 4%", "H:87% He:10% F: 2% O: 1%", "H:83% He:12% F: 4% Ne: 1%", "H:76% He:21% Ne: 2% S: 1%", "H:69% He:19% Ar: 7% C: 5%", "H:75% He:20% Na: 3% B: 2%", "H:74% He:23% C: 2% O: 1%", "H:70% He:20% Fe: 8% C: 2%", "H:73% He:18% Si: 6% C: 3%", "H:77% He:12% P: 8% Na: 3%", "H:71% He:18% O: 6% Li: 5%", "H:83% He:6% Xe: 7% Si: 4%", "H:88% He:10% C: 1% Si: 1%", "H:67% He:15% Mg: 9% S: 9%", "H:73% He:24% Fe: 2% C: 1%", "H:73% He:23% Fe: 3% P: 1%", "H:67% He:22% K: 9% Fe: 2%", "H:73% He:23% Fe: 3% P: 1%", "H:85% He:12% C: 2% Ar: 1%", "H:75% He:21% N: 2% Li: 2%", "H:69% He:27% B: 3% Kr: 1%", "H:78% He:20% F: 2% Mg: 2%", "H:68% He:19% F: 7% Ke: 6%", "H:83% He:6% Xe: 7% Si: 4%", "H:72% He:17% Xe: 6% F: 5%", "H:80% He:14% Xe: 4% K: 2%", "H:71% He:24% K: 3% Ne: 2%", "H:89% He:9% Fe: 1% Ar: 1%", "H:90% He:7% Fe: 2% Ar: 1%", "H:82% He:12% Mg: 4% N: 2%", "H:80% He:11% C: 5% Ar: 4%", "H:85% He:13% Si: 1% B: 1%", "H:77% He:21% O: 1% Fe: 1%", "H:89% He:9% Fe: 1% Ar: 1%", "H:69% He:20% O: 8% Na: 3%", "H:74% He:24% O: 1% C: 1%", "H:81% He:14% O: 4% Na: 1%", "H:89% He:9% Fe: 1% Ar: 1%", "H:68% He:22% Kr: 6% K: 4%", "H:84% He:6% Na: 6% Xe: 4%",
// Galaxy 7
"H:89% He:8% Kr: 2% Na: 1%", "H:72% He:24% Li: 3% S: 1%", "H:80% He:16% Ne: 2% O: 2%", "H:85% He:13% C: 1% N: 1%", "H:80% He:16% Ne: 2% O: 2%", "H:73% He:22% K: 3% Ar: 2%", "H:73% He:24% Fe: 2% C: 1%", "H:73% He:19% F: 3% Fe: 3%", "H:74% He:18% Ar: 5% O: 3%", "H:85% He:12% C: 2% Ar: 1%", "H:86% He:7% Ne: 4% Li: 3%", "H:82% He:14% B: 2% Na: 2%", "H:73% He:19% K: 4% Ne: 4%", "H:73% He:24% Na: 2% O: 1%", "H:75% He:20% Na: 4% K: 1%", "H:65% He:24% S: 6% Mg: 5%", "H:79% He:18% B: 2% Kr: 1%", "H:86% He:11% O: 2% Fe: 1%", "H:70% He:15% Si: 9% O: 6%", "H:75% He:22% Xe: 2% K: 1%", "H:68% He:21% C: 7% Ar: 4%", "H:88% He:9% Kr: 2% Fe: 1%", "H:86% He:7% Ne: 4% Li: 3%", "H:87% He:10% S: 2% Xe: 1%", "H:71% He:17% O: 8% Kr: 4%", "H:74% He:23% C: 2% O: 1%", "H:70% He:20% N: 7% Ne: 3%", "H:86% He:7% Ne: 4% Li: 3%", "H:76% He:19% B: 3% S: 2%", "H:83% He:14% F: 2% Ar: 1%", "H:72% He:23% C: 4% Xe: 1%", "H:77% He:12% P: 8% Na: 3%", "H:72% He:23% C: 4% Xe: 1%", "H:74% He:23% C: 2% O: 1%", "H:76% He:19% B: 3% S: 2%", "H:68% He:22% Kr: 6% K: 4%", "H:84% He:11% K: 3% Mg: 2%", "H:87% He:10% S: 2% Xe: 1%", "H:88% He:10% C: 1% Si: 1%", "H:73% He:25% O: 1% Li: 1%", "H:86% He:11% O: 2% Fe: 1%", "H:86% He:7% Ne: 4% Li: 3%", "H:77% He:16% F: 4% B: 3%", "H:87% He:10% F: 2% O: 1%", "H:70% He:27% C: 2% Ar: 1%", "H:72% He:19% S: 7% Xe: 2%", "H:73% He:24% Na: 2% O: 1%", "H:71% He:23% Kr: 5% K: 1%", "H:84% He:6% Na: 6% Xe: 4%", "H:79% He:18% O: 2% B: 1%", "H:73% He:24% Na: 2% O: 1%", "H:74% He:23% C: 2% Ne: 1%", "H:88% He:10% C: 1% Si: 1%", "H:82% He:14% B: 2% Na: 2%", "H:73% He:21% F: 4% K: 2%", "H:81% He:14% O: 4% Na: 1%", "H:75% He:22% Xe: 2% K: 1%", "H:75% He:20% Na: 3% B: 2%", "H:76% He:22% Ar: 1% C: 1%", "H:82% He:14% B: 2% Na: 2%", "H:75% He:20% Na: 3% B: 2%", "H:73% He:24% Fe: 2% C: 1%", "H:70% He:27% C: 2% Ar: 1%", "H:75% He:23% Mg: 1% S: 1%","H:86% He:11% O: 2% Fe: 1%", "H:73% He:21% F: 4% K: 2%", "H:73% He:22% Ne: 4% F: 1%", "H:78% He:17% O: 3% Ar: 2%", "H:89% He:8% Kr: 2% Na: 1%", "H:71% He:16% Ne: 8% B: 5%", "H:69% He:27% B: 3% Kr: 1%", "H:76% He:22% Ar: 1% C: 1%", "H:68% He:21% C: 7% Ar: 4%", "H:78% He:8% Fe: 9% Ar: 5%", "H:79% He:15% K: 4% Ar: 2%", "H:76% He:19% B: 3% S: 2%", "H:75% He:20% Na: 3% B: 2%", "H:87% He:8% Mg: 3% Xe: 2%", "H:76% He:22% C: 1% Ne: 1%", "H:74% He:20% C: 4% Li: 2%", "H:84% He:9% Li: 5% Kr: 2%", "H:66% He:24% C: 6% Si: 4%", "H:78% He:8% Fe: 9% Ar: 5%", "H:74% He:18% Ar: 5% O: 3%", "H:75% He:20% Na: 4% K: 1%", "H:70% He:27% C: 2% Ar: 1%", "H:73% He:19% K: 4% Ne: 4%", "H:76% He:21% Ne: 2% S: 1%", "H:76% He:20% Ne: 2% N: 1%", "H:67% He:15% Mg: 9% S: 9%", "H:90% He:7% Fe: 2% Ar: 1%", "H:84% He:7% Ar: 6% Mg: 3%", "H:75% He:20% Na: 4% K: 1%", "H:85% He:12% C: 2% Ar: 1%", "H:76% He:21% Li: 2% O: 1%", "H:68% He:17% Si: 8% O: 7%", "H:75% He:23% Mg: 1% S: 1%", "H:87% He:10% F: 2% O: 1%", "H:79% He:18% N: 2% Fe: 1%", "H:75% He:21% N: 2% Li: 2%", "H:68% He:17% Si: 8% O: 7%", "H:72% He:24% Li: 3% S: 1%", "H:77% He:12% P: 6% Li: 5%", "H:76% He:21% Ne: 2% S: 1%", "H:73% He:19% K: 4% Ne: 4%", "H:78% He:8% Fe: 9% Ar: 5%", "H:67% He:24% Ne: 6% S: 3%", "H:76% He:22% C: 1% Ne: 1%", "H:67% He:15% Mg: 9% S: 9%", "H:73% He:18% Si: 6% C: 3%", "H:77% He:21% O: 1% Fe: 1%", "H:79% He:18% N: 2% Fe: 1%", "H:85% He:10% Na: 3% S: 2%", "H:73% He:25% K: 1% O: 1%", "H:85% He:12% C: 2% Ar: 1%", "H:85% He:12% C: 2% Ar: 1%", "H:73% He:25% O: 1% Li: 1%", "H:78% He:17% O: 3% Ar: 2%", "H:76% He:18% Li: 4% O: 2%", "H:68% He:22% Kr: 6% K: 4%", "H:75% He:22% O: 2% Fe: 1%", "H:74% He:23% C: 2% Ne: 1%", "H:80% He:16% Ne: 2% O: 2%", "H:87% He:10% F: 2% O: 1%", "H:71% He:16% Ne: 8% B: 5%", "H:76% He:20% Ne: 2% N: 1%", "H:76% He:21% Li: 2% O: 1%", "H:68% He:22% Kr: 6% K: 4%", "H:80% He:14% Xe: 4% K: 2%", "H:72% He:20% Si: 7% O: 1%", "H:72% He:23% C: 4% Xe: 1%", "H:83% He:14% F: 2% Ar: 1%", "H:77% He:16% F: 4% B: 3%", "H:73% He:22% K: 3% Ar: 2%", "H:87% He:8% Si: 3% Kr: 2%", "H:65% He:24% S: 6% Mg: 5%", "H:89% He:8% Kr: 2% Na: 1%", "H:73% He:18% Si: 6% C: 3%", "H:78% He:13% C: 5% O: 4%", "H:81% He:13% O: 3% Si: 3%", "H:72% He:19% S: 7% Xe: 2%", "H:74% He:18% Ar: 5% O: 3%", "H:68% He:21% C: 7% Ar: 4%", "H:67% He:15% Mg: 9% S: 9%", "H:83% He:14% F: 2% Ar: 1%", "H:72% He:23% B: 3% Fe: 2%", "H:73% He:19% Fe: 5% C: 3%", "H:75% He:20% Na: 4% K: 1%", "H:73% He:19% Fe: 5% C: 3%", "H:88% He:9% Kr: 2% Fe: 1%", "H:66% He:20% Fe: 1% S: 1%", "H:82% He:14% B: 2% Na: 2%", "H:78% He:13% C: 5% O: 4%", "H:83% He:12% F: 4% Ne: 1%", "H:80% He:16% Ne: 2% O: 2%", "H:75% He:20% Na: 4% K: 1%", "H:70% He:20% N: 7% Ne: 3%", "H:82% He:14% B: 2% Na: 2%", "H:88% He:9% Kr: 2% Fe: 1%", "H:77% He:12% P: 6% Li: 5%", "H:72% He:23% Si: 3% O: 2%", "H:84% He:9% Li: 5% Kr: 2%", "H:77% He:22% Xe: 1% O: 1%", "H:76% He:22% Ar: 1% C: 1%", "H:85% He:12% C: 2% Ar: 1%", "H:74% He:23% C: 2% O: 1%", "H:81% He:14% O: 4% Na: 1%", "H:77% He:22% Xe: 1% O: 1%", "H:84% He:7% Ar: 6% Mg: 3%", "H:87% He:8% Mg: 3% Xe: 2%", "H:66% He:24% C: 6% Si: 4%", "H:80% He:14% Xe: 4% K: 2%", "H:73% He:18% B: 6% Ar: 3%", "H:79% He:18% O: 2% B: 1%", "H:73% He:22% Ne: 4% F: 1%", "H:75% He:22% P: 2% K: 1%", "H:78% He:8% Fe: 9% Ar: 5%", "H:81% He:14% O: 4% Na: 1%", "H:78% He:20% F: 2% Mg: 2%", "H:88% He:9% Kr: 2% Fe: 1%", "H:81% He:13% O: 3% Si: 3%", "H:66% He:20% Fe: 1% S: 1%", "H:74% He:21% O: 3% Fe: 2%", "H:74% He:23% C: 2% Ne: 1%", "H:77% He:21% O: 1% Fe: 1%", "H:73% He:21% F: 4% K: 2%", "H:84% He:6% Na: 6% Xe: 4%", "H:72% He:17% Xe: 6% F: 5%", "H:74% He:19% Kr: 5% B: 2%", "H:78% He:8% Fe: 9% Ar: 5%", "H:80% He:18% O: 1% Fe: 1%", "H:68% He:19% F: 7% Ke: 6%","H:79% He:15% K: 4% Ar: 2%", "H:73% He:23% Fe: 3% P: 1%", "H:75% He:21% N: 2% Li: 2%", "H:70% He:21% Fe: 6% P: 3%", "H:66% He:20% Fe: 1% S: 1%", "H:87% He:8% Si: 3% Kr: 2%", "H:70% He:27% C: 2% Ar: 1%", "H:75% He:21% N: 2% Li: 2%", "H:83% He:6% Xe: 7% Si: 4%", "H:73% He:25% K: 1% O: 1%", "H:71% He:21% O: 6% Xe: 2%", "H:80% He:16% Ne: 2% O: 2%", "H:82% He:12% Mg: 4% N: 2%", "H:69% He:19% Ar: 7% C: 5%", "H:84% He:9% Li: 5% Kr: 2%", "H:71% He:21% O: 6% Xe: 2%", "H:87% He:8% Mg: 3% Xe: 2%", "H:83% He:6% Xe: 7% Si: 4%", "H:67% He:24% Ne: 6% S: 3%", "H:67% He:25% O: 5% Li: 3%", "H:80% He:14% Xe: 4% K: 2%", "H:75% He:22% Xe: 2% K: 1%", "H:67% He:15% Mg: 9% S: 9%", "H:83% He:9% Xe: 4% Li: 4%", "H:72% He:23% B: 3% Fe: 2%", "H:76% He:20% Ne: 2% N: 1%", "H:76% He:22% Ar: 1% C: 1%", "H:84% He:6% Na: 6% Xe: 4%", "H:75% He:20% Na: 3% B: 2%", "H:68% He:17% Si: 8% O: 7%", "H:88% He:9% Kr: 2% Fe: 1%", "H:70% He:20% N: 7% Ne: 3%", "H:78% He:13% C: 5% O: 4%", "H:85% He:12% C: 2% Ar: 1%", "H:75% He:19% C: 4% Xe: 2%", "H:73% He:18% Si: 6% C: 3%", "H:78% He:17% O: 3% Ar: 2%", "H:84% He:6% Na: 6% Xe: 4%", "H:75% He:20% Na: 4% K: 1%", "H:90% He:7% Fe: 2% Ar: 1%", "H:78% He:16% S: 5% Ne: 1%", "H:78% He:17% O: 3% Ar: 2%", "H:71% He:18% O: 6% Li: 5%", "H:90% He:7% Fe: 2% Ar: 1%", "H:75% He:23% Mg: 1% S: 1%", "H:72% He:23% Si: 3% O: 2%", "H:85% He:12% C: 2% Ar: 1%", "H:76% He:21% Li: 2% O: 1%", "H:85% He:12% C: 2% Ar: 1%", "H:82% He:14% B: 2% Na: 2%", "H:74% He:23% C: 2% Ne: 1%", "H:73% He:22% K: 3% Ar: 2%", "H:82% He:14% B: 2% Na: 2%", "H:71% He:18% O: 6% Li: 5%", "H:83% He:6% Xe: 7% Si: 4%", "H:79% He:18% O: 2% B: 1%", "H:78% He:8% Fe: 9% Ar: 5%", "H:71% He:23% Kr: 5% K: 1%", "H:83% He:9% Xe: 4% Li: 4%", "H:83% He:6% Xe: 7% Si: 4%", "H:68% He:26% F: 4% Na: 2%", "H:75% He:20% Na: 4% K: 1%", "H:84% He:6% Na: 6% Xe: 4%", "H:73% He:18% B: 6% Ar: 3%",	
// Galaxy 8
"H:76% He:21% Li: 2% O: 1%", "H:71% He:23% Kr: 5% K: 1%", "H:77% He:22% Xe: 1% O: 1%", "H:86% He:7% Ne: 4% Li: 3%", "H:80% He:15% S: 3% Na: 2%", "H:70% He:20% N: 7% Ne: 3%", "H:70% He:27% C: 2% Ar: 1%", "H:85% He:10% Na: 3% S: 2%", "H:75% He:21% N: 2% Li: 2%", "H:73% He:21% F: 4% K: 2%", "H:75% He:22% Xe: 2% K: 1%", "H:65% He:24% S: 6% Mg: 5%", "H:67% He:22% K: 9% Fe: 2%", "H:70% He:21% Fe: 6% P: 3%", "H:81% He:14% O: 4% Na: 1%", "H:89% He:9% Si: 1% Mg: 1%", "H:85% He:12% C: 2% Ar: 1%", "H:65% He:24% S: 6% Mg: 5%", "H:77% He:16% F: 4% B: 3%", "H:66% He:24% C: 6% Si: 4%", "H:72% He:24% Li: 3% S: 1%", "H:77% He:12% P: 8% Na: 3%", "H:83% He:6% Xe: 7% Si: 4%", "H:86% He:7% Ne: 4% Li: 3%", "H:81% He:13% O: 3% Si: 3%", "H:88% He:10% C: 1% Si: 1%", "H:74% He:20% C: 4% Li: 2%", "H:72% He:19% S: 7% Xe: 2%", "H:70% He:21% Fe: 6% P: 3%", "H:78% He:20% F: 2% Mg: 2%", "H:79% He:18% B: 2% Kr: 1%", "H:74% He:21% O: 3% Fe: 2%", "H:73% He:25% K: 1% O: 1%", "H:71% He:16% Ne: 8% B: 5%", "H:70% He:15% Si: 9% O: 6%", "H:76% He:21% Ne: 2% S: 1%", "H:73% He:22% K: 3% Ar: 2%", "H:69% He:20% O: 8% Na: 3%", "H:66% He:20% Fe: 1% S: 1%", "H:75% He:22% O: 2% Fe: 1%", "H:73% He:21% F: 4% K: 2%", "H:75% He:21% N: 2% Li: 2%", "H:78% He:8% Fe: 9% Ar: 5%", "H:73% He:19% K: 4% Ne: 4%", "H:83% He:9% Xe: 4% Li: 4%", "H:70% He:20% N: 7% Ne: 3%", "H:85% He:10% Na: 3% S: 2%", "H:74% He:23% C: 2% Ne: 1%", "H:85% He:7% Mg: 5% Ar: 3%", "H:88% He:10% S: 1% Kr: 1%", "H:73% He:23% Fe: 3% P: 1%", "H:71% He:18% O: 6% Li: 5%", "H:75% He:19% C: 4% Xe: 2%", "H:90% He:7% Fe: 2% Ar: 1%", "H:75% He:22% O: 2% Fe: 1%", "H:70% He:20% N: 7% Ne: 3%", "H:75% He:23% Mg: 1% S: 1%", "H:78% He:17% C: 3% Na: 2%", "H:87% He:10% F: 2% O: 1%", "H:73% He:19% K: 4% Ne: 4%", "H:85% He:12% C: 2% Ar: 1%", "H:81% He:14% O: 4% Na: 1%", "H:70% He:27% C: 2% Ar: 1%", "H:81% He:13% O: 3% Si: 3%","H:77% He:22% Xe: 1% O: 1%", "H:72% He:23% C: 4% Xe: 1%", "H:76% He:22% Ar: 1% C: 1%", "H:88% He:10% S: 1% Kr: 1%", "H:74% He:23% C: 2% O: 1%", "H:83% He:6% Xe: 7% Si: 4%", "H:89% He:9% Si: 1% Mg: 1%", "H:76% He:22% Ar: 1% C: 1%", "H:85% He:12% C: 2% Ar: 1%", "H:88% He:10% C: 1% Si: 1%", "H:72% He:17% Xe: 6% F: 5%", "H:71% He:18% O: 6% Li: 5%", "H:83% He:9% Xe: 4% Li: 4%", "H:87% He:10% S: 2% Xe: 1%", "H:77% He:21% O: 1% Fe: 1%", "H:68% He:22% Kr: 6% K: 4%", "H:80% He:18% O: 1% Fe: 1%", "H:72% He:23% C: 4% Xe: 1%", "H:79% He:18% B: 2% Kr: 1%", "H:72% He:23% Si: 3% O: 2%", "H:70% He:20% Fe: 8% C: 2%", "H:83% He:12% F: 4% Ne: 1%", "H:69% He:27% B: 3% Kr: 1%", "H:88% He:10% C: 1% Si: 1%", "H:68% He:17% Si: 8% O: 7%", "H:75% He:22% P: 2% K: 1%", "H:72% He:23% B: 3% Fe: 2%", "H:70% He:20% N: 7% Ne: 3%", "H:74% He:18% Ar: 5% O: 3%", "H:74% He:23% C: 2% O: 1%", "H:73% He:22% K: 3% Ar: 2%", "H:80% He:14% Xe: 4% K: 2%", "H:75% He:21% N: 2% Li: 2%", "H:80% He:16% Ne: 2% O: 2%", "H:74% He:23% C: 2% Ne: 1%", "H:87% He:8% Si: 3% Kr: 2%", "H:77% He:21% O: 1% Fe: 1%", "H:66% He:20% Fe: 1% S: 1%", "H:68% He:17% Si: 8% O: 7%", "H:68% He:26% F: 4% Na: 2%", "H:80% He:14% Xe: 4% K: 2%", "H:86% He:7% Ne: 4% Li: 3%", "H:66% He:24% C: 6% Si: 4%", "H:67% He:25% O: 5% Li: 3%", "H:73% He:25% O: 1% Li: 1%", "H:90% He:7% Fe: 2% Ar: 1%", "H:70% He:27% C: 2% Ar: 1%", "H:75% He:19% C: 4% Xe: 2%", "H:87% He:8% Mg: 3% Xe: 2%", "H:78% He:13% C: 5% O: 4%", "H:68% He:19% F: 7% Ke: 6%", "H:74% He:19% Kr: 5% B: 2%", "H:86% He:11% O: 2% Fe: 1%", "H:74% He:24% O: 1% C: 1%", "H:69% He:20% O: 8% Na: 3%", "H:89% He:8% Kr: 2% Na: 1%", "H:73% He:19% Fe: 5% C: 3%", "H:65% He:24% S: 6% Mg: 5%", "H:89% He:8% Kr: 2% Na: 1%", "H:72% He:24% Li: 3% S: 1%", "H:80% He:16% Ne: 2% O: 2%", "H:85% He:13% C: 1% N: 1%", "H:80% He:16% Ne: 2% O: 2%", "H:73% He:22% K: 3% Ar: 2%", "H:73% He:24% Fe: 2% C: 1%", "H:73% He:19% F: 3% Fe: 3%", "H:74% He:18% Ar: 5% O: 3%", "H:85% He:12% C: 2% Ar: 1%", "H:86% He:7% Ne: 4% Li: 3%", "H:82% He:14% B: 2% Na: 2%", "H:73% He:19% K: 4% Ne: 4%", "H:73% He:24% Na: 2% O: 1%", "H:75% He:20% Na: 4% K: 1%", "H:65% He:24% S: 6% Mg: 5%", "H:79% He:18% B: 2% Kr: 1%", "H:86% He:11% O: 2% Fe: 1%", "H:70% He:15% Si: 9% O: 6%", "H:75% He:22% Xe: 2% K: 1%", "H:68% He:21% C: 7% Ar: 4%", "H:88% He:9% Kr: 2% Fe: 1%", "H:86% He:7% Ne: 4% Li: 3%", "H:87% He:10% S: 2% Xe: 1%", "H:71% He:17% O: 8% Kr: 4%", "H:74% He:23% C: 2% O: 1%", "H:70% He:20% N: 7% Ne: 3%", "H:86% He:7% Ne: 4% Li: 3%", "H:76% He:19% B: 3% S: 2%", "H:83% He:14% F: 2% Ar: 1%", "H:72% He:23% C: 4% Xe: 1%", "H:77% He:12% P: 8% Na: 3%", "H:72% He:23% C: 4% Xe: 1%", "H:74% He:23% C: 2% O: 1%", "H:76% He:19% B: 3% S: 2%", "H:68% He:22% Kr: 6% K: 4%", "H:84% He:11% K: 3% Mg: 2%", "H:87% He:10% S: 2% Xe: 1%", "H:88% He:10% C: 1% Si: 1%", "H:73% He:25% O: 1% Li: 1%", "H:86% He:11% O: 2% Fe: 1%", "H:86% He:7% Ne: 4% Li: 3%", "H:77% He:16% F: 4% B: 3%", "H:87% He:10% F: 2% O: 1%", "H:70% He:27% C: 2% Ar: 1%", "H:72% He:19% S: 7% Xe: 2%", "H:73% He:24% Na: 2% O: 1%", "H:71% He:23% Kr: 5% K: 1%", "H:84% He:6% Na: 6% Xe: 4%", "H:79% He:18% O: 2% B: 1%", "H:73% He:24% Na: 2% O: 1%", "H:74% He:23% C: 2% Ne: 1%", "H:88% He:10% C: 1% Si: 1%", "H:82% He:14% B: 2% Na: 2%", "H:73% He:21% F: 4% K: 2%", "H:81% He:14% O: 4% Na: 1%", "H:75% He:22% Xe: 2% K: 1%", "H:75% He:20% Na: 3% B: 2%", "H:76% He:22% Ar: 1% C: 1%", "H:82% He:14% B: 2% Na: 2%", "H:75% He:20% Na: 3% B: 2%", "H:73% He:24% Fe: 2% C: 1%", "H:70% He:27% C: 2% Ar: 1%", "H:75% He:23% Mg: 1% S: 1%", "H:86% He:11% O: 2% Fe: 1%", "H:73% He:21% F: 4% K: 2%", "H:73% He:22% Ne: 4% F: 1%", "H:78% He:17% O: 3% Ar: 2%", "H:89% He:8% Kr: 2% Na: 1%", "H:71% He:16% Ne: 8% B: 5%","H:69% He:27% B: 3% Kr: 1%", "H:76% He:22% Ar: 1% C: 1%", "H:68% He:21% C: 7% Ar: 4%", "H:78% He:8% Fe: 9% Ar: 5%", "H:79% He:15% K: 4% Ar: 2%", "H:76% He:19% B: 3% S: 2%", "H:75% He:20% Na: 3% B: 2%", "H:87% He:8% Mg: 3% Xe: 2%", "H:76% He:22% C: 1% Ne: 1%", "H:74% He:20% C: 4% Li: 2%", "H:84% He:9% Li: 5% Kr: 2%", "H:66% He:24% C: 6% Si: 4%", "H:78% He:8% Fe: 9% Ar: 5%", "H:74% He:18% Ar: 5% O: 3%", "H:75% He:20% Na: 4% K: 1%", "H:70% He:27% C: 2% Ar: 1%", "H:73% He:19% K: 4% Ne: 4%", "H:76% He:21% Ne: 2% S: 1%", "H:76% He:20% Ne: 2% N: 1%", "H:67% He:15% Mg: 9% S: 9%", "H:90% He:7% Fe: 2% Ar: 1%", "H:84% He:7% Ar: 6% Mg: 3%", "H:75% He:20% Na: 4% K: 1%", "H:85% He:12% C: 2% Ar: 1%", "H:76% He:21% Li: 2% O: 1%", "H:68% He:17% Si: 8% O: 7%", "H:75% He:23% Mg: 1% S: 1%", "H:87% He:10% F: 2% O: 1%", "H:79% He:18% N: 2% Fe: 1%", "H:75% He:21% N: 2% Li: 2%", "H:68% He:17% Si: 8% O: 7%", "H:72% He:24% Li: 3% S: 1%", "H:77% He:12% P: 6% Li: 5%", "H:76% He:21% Ne: 2% S: 1%", "H:73% He:19% K: 4% Ne: 4%", "H:78% He:8% Fe: 9% Ar: 5%", "H:67% He:24% Ne: 6% S: 3%", "H:76% He:22% C: 1% Ne: 1%", "H:67% He:15% Mg: 9% S: 9%", "H:73% He:18% Si: 6% C: 3%", "H:77% He:21% O: 1% Fe: 1%", "H:79% He:18% N: 2% Fe: 1%", "H:85% He:10% Na: 3% S: 2%", "H:73% He:25% K: 1% O: 1%", "H:85% He:12% C: 2% Ar: 1%", "H:85% He:12% C: 2% Ar: 1%", "H:73% He:25% O: 1% Li: 1%", "H:78% He:17% O: 3% Ar: 2%", "H:76% He:18% Li: 4% O: 2%", "H:68% He:22% Kr: 6% K: 4%", "H:75% He:22% O: 2% Fe: 1%", "H:74% He:23% C: 2% Ne: 1%", "H:80% He:16% Ne: 2% O: 2%", "H:87% He:10% F: 2% O: 1%", "H:71% He:16% Ne: 8% B: 5%", "H:76% He:20% Ne: 2% N: 1%", "H:76% He:21% Li: 2% O: 1%", "H:68% He:22% Kr: 6% K: 4%", "H:80% He:14% Xe: 4% K: 2%", "H:72% He:20% Si: 7% O: 1%", "H:72% He:23% C: 4% Xe: 1%", "H:83% He:14% F: 2% Ar: 1%", "H:77% He:16% F: 4% B: 3%", "H:73% He:22% K: 3% Ar: 2%",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"H:81% He:13% O: 3% Si: 3%"];

// Names for Iceteroid Composition Data (256 types).
this.iceteroidpool = [
"Ice & Taenite", "Frozen Hydrocarbons", "Water & Plessite", "Mostly Hydrocarbons", "Chiefly Hydrocarbons", "Impure Hydrocarbons", "Chiefly Water", "Mainly Hydrocarbons", "Water & Brianite", "Chiefly Hydrocarbons", "Mainly Water", "Ice & Iron", "Mostly Water", "Majorite & Hydrocarbons", "Frozen Ice", "Mainly Ice", "Primarily Ice", "Cohenite & Hydrocarbons", "Frozen Water", "Mainly Water", "Stone & Hydrocarbons", "Irradiated Ice", "Water & Carbonite", "Mainly Water", "Irradiated Water", "Rocks & Hydrocarbons", "Primarily Ice", "Roaldite & Water", "Water & Plessite", "Impure Water", "Brianite & Ice", "Hydrocarbons & Magnesium", 
"Irradiated Hydrocarbons", "Grossite & Ice", "Frozen Hydrocarbons", "Mostly Ice", "Carbonite & Ice", "Copper & Hydrocarbons", "Roaldite & Water", "Mainly Hydrocarbons", "Cohenite & Hydrocarbons", "Ice & Panethite", "Irradiated Ice", "Olivine & Hydrocarbons", "Chiefly Hydrocarbons", "Olivine & Hydrocarbons", "Irradiated Hydrocarbons", "Stone & Water", "Taenite & Hydrocarbons", "Stone & Water", "Ice & Grossite", "Grossite & Hydrocarbons", "Frozen Ice", "Chiefly Ice", "Hapkeite & Hydrocarbons", "Silicates & Water", "Mostly Ice", "Chiefly Water", "Irradiated Water", "Water & Panethite", "Water & Chondrites", "Chiefly Ice", 
"Ice & Panethite", "Rocks & Hydrocarbons","Grossite & Ice", "Hydrocarbons & Stone", "Iron & Hydrocarbons", "Ice & Kamacite", "Magnesium & Ice", "Irradiated Hydrocarbons", "Nickel & Water", "Chladniite & Ice", "Ice & Silicates", "Ice & Chondrites", "Cohenite & Ice", "Water & Kamacite", "Water & Plessite", "Chladniite & Ice", "Ice & Roaldite", "Mostly Ice", "Water & Hapkeite", "Water & Magnesium", "Mostly Water", "Palladium & Water", "Magnesium & Water", "Mostly Hydrocarbons", "Silicates & Water", "Mainly Water", "Taenite & Water", "Iridium & Water", "Mainly Hydrocarbons", "Ice & Chondrites", "Water & Oolites", "Water & Magnesium", 
"Irradiated Water", "Hydrocarbons & Majorite", "Water & Copper", "Hydrocarbons & Palladium", "Grossite & Water", "Water & Rocks", "Primarily Hydrocarbons", "Water & Oolites", "Nickel & Hydrocarbons", "Carbonite & Ice", "Hydrocarbons & Chladniite", "Water & Oolites", "Primarily Hydrocarbons", "Rocks & Hydrocarbons", "Ores & Hydrocarbons", "Minerals & Hydrocarbons", "Panethite & Water", "Ice & Carbonite", "Water & Cohenite", "Water & Chondrites", "Chiefly Hydrocarbons", "Mainly Water", "Impure Ice", "Water & Iridium", "Copper & Hydrocarbons", "Primarily Hydrocarbons", "Minerals & Water", "Primarily Hydrocarbons", 
"Stone & Hydrocarbons", "Frozen Water", "Ice & Rocks", "Ice & Panethite", "Brianite & Ice", "Water & Sinoite", "Sinoite & Ice", "Ice & Roaldite", "Grossite & Hydrocarbons", "Hydrocarbons & Chondrites", "Impure Water", "Ice & Oolites", "Hydrocarbons & Magnesium", "Minerals & Water", "Plessite & Ice", "Iridium & Hydrocarbons", "Impure Ice", "Water & Troilite", "Majorite & Hydrocarbons", "Iridium & Water", "Impure Ice", "Hydrocarbons & Cohenite", "Hapkeite & Hydrocarbons", "Minerals & Ice", "Carbonite & Water", "Nickel & Ice", "Impure Ice", "Irradiated Hydrocarbons", "Ice & Silicates", "Plessite & Ice", "Chladniite & Water", 
"Plessite & Ice", "Hydrocarbons & Kamacite", "Mainly Ice", "Nickel & Water", "Hydrocarbons & Hapkeite", "Primarily Water", "Frozen Hydrocarbons", "Chiefly Ice", "Hydrocarbons & Iridium", "Water & Stone", "Majorite & Water", "Mainly Water", "Chiefly Ice", "Mostly Ice", "Ice & Grossite", "Primarily Hydrocarbons", "Ice & Rocks", "Impure Hydrocarbons", "Chiefly Water", "Iridium & Water", "Plessite & Ice", "Impure Hydrocarbons", "Mostly Water", "Magnesium & Ice", "Mainly Hydrocarbons", "Chiefly Hydrocarbons", "Ice & Grossite", "Impure Hydrocarbons", "Ice & Nickel", "Water & Chondrites", "Irradiated Ice", "Irradiated Hydrocarbons", 
"Irradiated Ice", "Hydrocarbons & Grossite", "Hydrocarbons & Grossite", "Impure Water", "Ice & Rocks", "Ice & Taenite", "Water & Stone","Frozen Water", "Primarily Water", "Impure Water", "Water & Minerals", "Cohenite & Water", "Ice & Chondrites", "Chiefly Ice", "Rocks & Ice", "Ice & Haxonite", "Impure Hydrocarbons", "Frozen Water", "Ice & Roaldite", "Irradiated Hydrocarbons", "Frozen Water", "Hydrocarbons & Rocks", "Hydrocarbons & Cobalt", "Irradiated Ice", "Kamacite & Hydrocarbons", "Copper & Ice", "Ice & Palladium", "Hydrocarbons & Silicates", "Carbonite & Ice", "Water & Roaldite", "Primarily Hydrocarbons", 
"Frozen Ice", "Majorite & Hydrocarbons", "Hydrocarbons & Taenite", "Chiefly Water", "Irradiated Ice", "Hydrocarbons & Panethite", "Frozen Ice", "Frozen Water", "Palladium & Ice", "Frozen Hydrocarbons", "Rocks & Ice", "Mainly Ice", "Primarily Ice", "Irradiated Hydrocarbons", "Impure Hydrocarbons", "Hydrocarbons & Troilite", "Water & Stone", "Mostly Ice", "Ice & Roaldite", "Mostly Ice", "Water & Iron", "Panethite & Water", "Cohenite & Ice", "Hydrocarbons & Magnesium", "Hydrocarbons & Silicates", "Nickel & Hydrocarbons", "Frozen Hydrocarbons", "Oolites & Water", "Cobalt & Water", "Frozen Ice", "Frozen Ice", "Olivine & Hydrocarbons", 
"Water & Magnesium", "Oolites & Water", "Impure Water", "Mainly Water", "Troilite & Ice", "Ice & Grossite", "Brianite & Ice", "Brianite & Ice",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Heavy Water"];

// Names List for paired jump gates (256 names in each Pool)
this.pairedjumpgatepool1 = [
// 32 Names in each line.
"Alethius",  "Dervenin", "Zaphod", "Trillion", "Palanthas", "Caramon", "Dalamar", "Elistan", "Gilthanas", "Neloren", "Kitiara", "Palthainon", "Silvara", "Darlantan", "Gellidus", "Starbuck", "Papius", "Katraine", "Denethor", "Numenorean", "Glorfindel", "Doriath", "Theoden", "Beorn", "Elrond", "Celebrimbor", "Bombadil", "Silmarillion", "Valinor", "Lothlorien", "Druedain", "Elendil", 
"Vanielle", "Temeria", "Pavetta", "Eithne", "Chireadan", "Denesle", "Redania", "Cirilla","Jaskier", "Melitele","Voleth", "Tissaia", "Sarandos", "Musial", "Canaria","Belousova","Ostinelli", "Faldrus", "Garthar", "Telendas", "Salvarus", "Monostor", "Fultheim", "Tullius", "Lothaire", "Jesper", "Gauldur", "Kematu", "Caesennius", "Gemane", "Kornalus", "Gelebros",
"Arwen", "Bard", "Bilbo",  "Gollum",  "Boromir",  "Noldor",  "Gondor",  "Frodo",  "Beren",  "Gandalf",  "Gimli",  "Grma",  "Isildur",  "Legolas",  "Maedhros",  "Radagast",  "Samwise",  "Istari",  "Smeagol",  "Earendil",  "Silmaril",  "Meriadoc",  "Turambar",  "Eomer",  "Thrain",  "Baggins",  "Dwalin",  "Gloin",  "Dain",  "Bombur",  "Eowyn",  "Thranduil", 
"Valen", "Satai", "Talia",  "Lennier",  "Turhan",  "Londo",  "Vintari",  "Kosh",  "Lorien",  "Zathras",  "Adama",  "Serina",  "Komma",  "Shand",  "Lortha",  "Tusken",  "Rodian",  "Sierra",  "Ceccoli",  "Naranek",  "Sorell",  "Costley",  "Adelle",  "Chiana",  "Noranti",  "Gilina",  "Selto",  "Jothee",  "Maldis",  "Nandi",  "Vorlon",  "Mollari",
"Salvati", "Vandal", "Maseo",  "Panettiere",  "Masahashi",  "Petrelli",  "Suresh",  "Vertigo",  "Mohinder",  "Caspar",  "Hachiro",  "Ballantine",  "Altrusians",  "Sobel",  "Lachesis",  "Nafessa",  "Pasdar",  "Vigilante",  "Malina",  "Temuera",  "Varnado",  "Koresh",  "Smoak",  "Elsbeth",  "Alisha",  "Klamar",  "Nathalie",  "Della",  "Keaner",  "Sarab",  "Morty",  "Metallo",
"Paracelsus", "Alchemist", "Immortality",  "Kosan",  "Martino",  "Akecheta",  "Musashi",  "Philomon",  "Thorean",  "Womack",  "Kasuf",  "Amaunet",  "Desala",  "Koskoff",  "Pendrell",  "Toothpick",  "Airiam",  "Culber",  "Guinan",  "Janeway",  "Narissa",  "Deanna",  "Tomalak",  "Wildman",  "Leland",  "Barshon",  "Octarus",  "Sathari",  "Kalderash",  "Thelonious",  "Buchanon",  "Kahler",
"Batman", "Scar", "Mufasa",  "Speedy",  "Outsider",  "Vitani",  "Nirmala",  "Hadithi",  "Fahari",  "Kitendo",  "Polina",  "Nabasu",  "Mohatu",  "Andrina",  "Urchin",  "Sharla",  "Kuchimba",  "Catfish",  "Gertrude",  "Snowman",  "Jaws",  "Cutter",  "Seahorse",  "Mushu",  "Waypoint",  "Maleficent",  "Hubert",  "Gothel",  "Shorty",  "Bruiser",  "Varian",  "Sahasi",
"Prankster", "Repute", "Jumbo",  "Teacup",  "Katana",  "Buckley",  "Cedar",  "Darth",  "Seance",  "Booker",  "Meta",  "Credibility",  "Roamer",  "Overwatch",  "Boomer",  "Slugger",  "Interloper",  "Anachronism",  "Thinker",  "Regular",  "Painless",  "Mauler",  "Translucency",  "Slasher",  "Fallout",  "Trapper",  "Slacker",  "Trespasser",  "Pepsi",  "Rover",  "Ping",  "Tick",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Belethor"];

this.pairedjumpgatepool2 = [
// 32 Names in each line.
"Marit",  "Samah", "Brenuin", "Redleaf", "Snowdrop", "Metilius", "Kleitus", "Ventura", "Kovarian", "Romana", "Malohkeh", "Vastra", "Bracewell", "Sabalom", "Luckham", "Valeyard", "Slitheen", "Mirabelle", "Jenassa", "Leonara", "Matlara", "Valentia", "Shavari", "Petreia", "Tremellia", "Atheron", "Silana", "Thaena", "Falion", "Karliah", "Serana", "Vukovich", 
"Guthrum", "Madanach", "Jondrelle", "Nurelion", "Onmund", "Valerius", "Melaran", "Seloth","Decimius", "Madesi","Gestor", "Carvain", "Ondolemar", "Navale", "Malborn","Verethi","Salvius", "Rondach", "Drenim", "Marcurio", "Sarthis", "Orthorn", "Trebatius", "Stalleo","Mathies", "Thalmor", "Salvianus", "Valdar", "Loreius", "Junius", "Sondas", "Orchendor",
"Galion", "Eriador", "Lannister",  "Stark",  "Daenerys",  "Mormont",  "Sansa",  "Theon",  "Sandor",  "Tyrion",  "Baelish",  "Melisandre",  "Brienne",  "Naharis",  "Missandei",  "Cassel",  "Septon",  "Talisa",  "Girion",  "Martell",  "Targaryen",  "Mordane",  "Jorah",  "Davos",  "Tormund",  "Stannis",  "Ramsay",  "Dorne",  "Maester",  "Balon",  "Joffrey",  "Tarth", 
"Adelei", "Saffron", "Atherton",  "Yolanda",  "Savitar",  "Thawne",  "Cicada",  "Norvok",  "Ambres",  "Simcoe",  "Varley",  "Arahida",  "Rudolf",  "Quinones",  "Astrid",  "Kibner",  "Thelonious",  "Doucette",  "Manfredi",  "Antoine",  "Kasius",  "Sinara",  "Deaver",  "Reiter",  "Taiana",  "Alena",  "Vertigo",  "Bertinelli",  "Sousa",  "Kodiak",  "Phaedra",  "Adachi",
"Tricia", "Snuffles", "Lange",  "Bigfoot",  "Freelander",  "Bloome",  "Corrine",  "Durst",  "Janitor",  "Tesseract",  "Friction",  "Inquiry",  "Ralston",  "Kubiak",  "Danvers",  "Marsdin",  "Cromartie",  "Terissa",  "Homelander",  "Firecracker",  "Translucent",  "Shockwave",  "Gunpowder",  "Watergate",  "Exposition",  "Tubman",  "Murrieta",  "Trooper",  "Gunslinger",  "Mutant",  "Oraclon",  "Transgressor",
"Nahbi", "Achmed", "Lumiere",  "Enchantress",  "Chandeleria",  "Hamada",  "Tadashi",  "Sergeant",  "Voltage",  "Ramone",  "Skipper",  "Ishani",  "Chupacabra",  "Avalanche",  "Blackout",  "Mayday",  "Cinderella",  "Tremaine",  "Pacha",  "Chicha",  "Malina",  "Sweetie",  "Matchmaker",  "Lalala",  "Apprentice",  "Sunflower",  "Tatasciore",  "Philoctetes",  "Roshan",  "Cretaceous",  "Simba",  "Sparky",
"Robin", "Monty", "Canardist",  "Demanitus",  "Saporia",  "Tromus",  "Splinter",  "Ninja",  "Sombrero",  "Archer",  "Patrician",  "Ruffian",  "Malefactor",  "Vagabond",  "Desperado",  "Scarecrow",  "Poltergeist",  "Mariner",  "Remembrance",  "Adrienne",  "Viola",  "Melita",  "Juanita",  "Repose",  "Courtesy",  "Vietor",  "Santiago",  "Cesaris",  "Hubris",  "Fallout",  "Trillium",  "Amelie",
"Nandi", "Saffron", "Atherton",  "Saucer",  "Lucille",  "Padre",  "Monocle",  "Vader",  "Ishida",  "Gunichi",  "Isamu",  "Jotaro",  "Katsuichi",  "Shambles",  "Manakin",  "Creeper",  "Stalemate",  "Inhibitor",  "Neutrality",  "Uber",  "Blagger",  "Zarm",  "Hulk",  "Hedgehog",  "Satire",  "Snapper",  "Coronation",  "Succession",  "Cola",  "Komori",  "Pong",  "Tock",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Anoriath"];

// Overflow Pool - Normally only 2 Gates appear in a given system. - Only used if another OXZ Spawns extra gates.
this.pairedjumpgatepool3 = [
// 8 Names in each line.
"Sarethi", "Bothela", "Merilis", "Cairine", "Drascua", "Endarie", "Marence", "Brelas",
"Rolaine", "Jordis", "Carcette", "Laelette", "Oriella", "Reldith", "Madena", "Karita",
"Nimphaneth", "Vinicia", "Jurard", "Larina", "Marethi", "Baenius", "Voada", "Ronthil",
"Morthal", "Lavinia", "Durak", "Florentius", "Beleval", "Faendal", "Barbas", "Adelaisa",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Viarmo"];

// Pools to name Pirate Coves (2,048 names in each Pool).
this.piratecovepool1 = [
// Galaxy 1
"Demon Cave", "Skull Point", "Midnight Point", "Demon Harbour", "Blackbird Bay", "Dragon Bay", "Serpent Island", "Dracula Hollow", "Raven Reef", "Sparrow Cave", "Bluebird Mine", "Nightmare Mine", "Manticore Wharf", "Talon Hollow", "Skeleton Point", "Skull Grotto", "Claw Anchorage", "Lucifer Grotto", "Manticore Bay", "Starling Harbour", "Blackbird Cave", "Goblin Bay", "Lovecraft Cave", "Wolf Wharf", "Lovecraft Wharf", "Hourglass Island", "Gollum Anchorage", "Dragon Harbour", "Eastwood Bay", "Dragon Anchorage", "Blood Harbour", "Hourglass Anchorage", "Gollum Bay", "Albatross Cave", "Siren Harbour", "Raptor Bay", "Demon Hollow", "Sunrise Cave", "Dreadnaught Grotto", "Nightingale Point", "Nightingale Hollow", "Fireball Bay", "Pale Wharf", "Eastwood Grotto", "Bluebeard Island", "Dreadnaught Grotto", "Blood Hollow", "Lovecraft Hollow", "Imogen Bay", "Pale Wharf", "Fleming Wharf", "Bluebird Anchorage", "Sunset Anchorage", "Hourglass Point", "Hourglass Cave", "Gunsmoke Point", "Torchwood Mine", "Wolf Island", "Firebird Grotto", "Werewolf Hollow", "Thrush Grotto", "Dragon Anchorage", "Starling Hollow", "Midnight Mine","Raptor Bay", "Albatross Bay", "Necronomicon Reef", "Talon Mine", "Goblin Cave", "Dragon Island", "Serpent Grotto", "Skeleton Anchorage", "Cutlass Island", "Werewolf Point", "Bluebird Anchorage", "Starlight Grotto", "Bluebeard Bay", "Dragon Harbour", "Hellcat Wharf", "Banshee Cave", "Goblin Reef", "Goblin Cave", "Fang Cave", "Albatross Harbour", "Manticore Bay", "Shady Grotto", "Dracula Bay", "Raptor Grotto", "Pale Harbour", "Skull Harbour", "Sparrow Mine", "Cutlass Anchorage", "Dracula Bay", "Nightingale Bay", "Wolf Bay", "Fireball Mine", "Mordor Island", "Gunsmoke Hollow", "Raven Cave", "Skull Point", "Lucifer Reef", "Bluebeard Hollow", "Talon Anchorage", "Firebird Point", "Doubloon Point", "Skull Harbour", "Firebird Mine", "Goblin Island", "Manticore Harbour", "Nightingale Hollow", "Starlight Hollow", "Siren Bay", "Banshee Reef", "Imogen Anchorage", "Demon Grotto", "Claw Anchorage", "Balrog Point", "Bluebeard Bay", "Mordor Grotto", "Scorpio Hollow", "Starlight Cave", "Midnight Anchorage", "Midnight Hollow", "Bluebeard Wharf", "Bluebell Mine", "Dracula Harbour", "Dragon Mine", "Goblin Wharf", "Fireball Reef", "Raptor Point", "Bluebird Cave", "Midnight Grotto", "Albatross Bay", "Claw Reef", "Sleepy Cave", "Necronomicon Bay", "Blackbird Hollow", "Shady Point", "Werewolf Hollow", "Thrush Harbour", "Manticore Mine", "Moonrise Grotto", "Shady Cave", "Mordor Cave", "Dragon Anchorage", "Moonrise Island", "Bluebeard Bay", "Eastwood Cave", "Thrush Wharf", "Werewolf Bay", "Werewolf Island", "Serpent Reef", "Albatross Wharf", "Scorpio Cave", "Midnight Hollow", "Gollum Hollow", "Iron Reef", "Pale Harbour", "Dragon Island", "Frankenstein Grotto", "Iron Anchorage", "Gollum Cave", "Serpent Wharf", "Wolf Anchorage", "Hellcat Island", "Nightingale Cave", "Phoenix Island", "Hourglass Bay", "Shady Mine", "Thrush Bay", "Bluebell Harbour", "Thrush Grotto", "Lovecraft Island", "Blood Anchorage", "Pale Cave", "Bluebeard Bay", "Manticore Island", "Frankenstein Bay", "Frankenstein Cave", "Demon Reef", "Sleepy Harbour", "Bluebeard Grotto", "Raven Wharf", "Nightingale Hollow", "Phoenix Mine", "Mordor Anchorage", "Bluebeard Point", "Sparrow Point", "Imogen Reef", "Skeleton Anchorage", "Blood Point", "Bluebird Bay","Gunsmoke Island", "Cutlass Cave", "Sleepy Harbour", "Sleepy Bay", "Demon Anchorage", "Zodiac Grotto", "Sunset Harbour", "Eastwood Island", "Talon Grotto", "Phoenix Cave", "Demon Bay", "Talon Mine", "Siren Island", "Serpent Island", "Balrog Island", "Sleepy Hollow", "Talon Hollow", "Raven Mine", "Banshee Island", "Sunrise Hollow", "Iron Grotto", "Thrush Hollow", "Bluebeard Point", "Hourglass Point", "Pale Hollow", "Lovecraft Anchorage", "Frankenstein Bay", "Phoenix Island", "Raptor Hollow", "Skeleton Anchorage", "Bluebeard Wharf", "Mordor Mine", "Shady Bay", "Bluebird Cave", "Fang Point", "Cutlass Mine", "Torchwood Bay", "Talon Hollow", "Doubloon Reef", "Phoenix Reef", "Claw Bay", "Goblin Bay", "Goblin Island", "Doubloon Hollow", "Banshee Harbour", "Shady Harbour", "Sunrise Mine", "Mordor Harbour", "Iron Anchorage", "Sunrise Island", "Imogen Anchorage", "Manticore Mine", "Lucifer Hollow", "Scorpio Island", "Moonrise Bay", "Banshee Harbour", "Starling Bay", "Frankenstein Grotto", "Hourglass Anchorage", "Sunset Anchorage", "Pale Island", "Grogan Grotto", "Banshee Mine", "Gollum Wharf",
// Galaxy 2
"Jansen Chateau", "Easton Warehouse", "Schouten Canyon", "Brasiliano Bunker", "Genthus Warehouse", "Kristoffer Base", "Guartem Waystation", "Heinason Chateau", "Bradish Bunker", "Canoot Chateau", "Easton Manor", "Calico Springs", "Preston Keep", "Drake Redoubt", "Charpin Depot", "Marteen Depot", "Space Monster", "Cornelius Base", "Cavendish Manor", "Critchett Keep", "Oxenham Canyon", "Herriot Springs", "Pompeius Keep", "Barbarossa Bunker", "Oxenham Waystation", "Torrance Chateau", "Shackleton Redoubt", "Mansfield Chateau", "Brasiliano Warehouse", "Bradish Chateau", "Fernando Waystation", "Vanclein Waystation", "Heinason Keep", "Torrance Bunker", "Easton Chateau", "Cornelius Redoubt", "Easton Bunker", "Torrance Springs", "Hawkins Springs", "Schouten Chateau", "Guartem Warehouse", "Cavendish Canyon", "Bradish Redoubt", "Barbarossa Keep", "Anicetus Waystation", "Pechlin Redoubt", "Gerlofs Chateau", "Gerlofs Waystation", "Heinason Manor", "Heinason Manor", "Calico Redoubt", "Marteen Warehouse", "Henson Canyon", "Guartem Canyon", "Genthus Depot", "Shirahama Waystation", "Cockram Canyon", "Hawkins Base", "Montauban Springs", "Shirahama Keep", "Easton Waystation", "Fletcher Bunker", "Shackleton Canyon", "Vanclein Springs","Pomerania Waystation", "Fernando Springs", "Hendrick Base", "Oxenham Redoubt", "Critchett Depot", "Brasiliano Chateau", "Hendrick Waystation", "Herriot Keep", "Gerlofs Warehouse", "Eduardo Warehouse", "Shackleton Redoubt", "Canoot Chateau", "Hendrick Canyon", "Oxenham Chateau", "Drake Canyon", "Pothorst Manor", "Teuta Depot", "Takanobu Waystation", "Barnim Keep", "Torrance Keep", "Donia Chateau", "Cockram Base", "Herriot Springs", "Genthus Chateau", "Brasiliano Manor", "Matsura Redoubt", "Drake Manor", "Jansen Manor", "Pechlin Base", "Drake Warehouse", "Pardal Keep", "Jackson Depot", "Kenki Keep", "Mansfield Springs", "Guartem Depot", "Cavendish Chateau", "Takanobu Redoubt", "Trondson Canyon", "Jackson Canyon", "Canoot Manor", "Jacobsen Redoubt", "Raveneau Chateau", "Mansfield Depot", "Jackson Depot", "Mendoza Depot", "Vanclein Waystation", "Eduardo Depot", "Preston Springs", "Maintenon Chateau", "Anicetus Bunker", "Critchett Manor", "Pompeius Bunker", "Peterson Canyon", "Donia Bunker", "Pugwash Waystation", "Garcia Depot", "Pomerania Base", "Brasiliano Warehouse", "Gerlofs Keep", "Torrance Manor", "Mansfield Warehouse", "Raveneau Redoubt", "Jacobsen Base", "Jacobsen Warehouse", "Critchett Manor", "Bradish Warehouse", "Eduardo Keep", "Kenki Chateau", "Howell Base", "Kristoffer Manor", "Easton Waystation", "Barton Depot", "Demetrius Depot", "Kenki Manor", "Pompeius Redoubt", "Teuta Keep", "Eduardo Warehouse", "Herriot Canyon", "Bradish Manor", "Ashworth Bunker", "Jacobsen Springs", "Pompeius Canyon", "Death Dance", "Jansen Springs", "Kristoffer Springs", "Trondson Manor", "Pugwash Canyon", "Lonely Rock", "Friend or Foe", "Demetrius Warehouse", "Mansfield Keep", "Escape Artist", "Howell Warehouse", "Eduardo Warehouse", "Demetrius Canyon", "Blomar Depot", "Cockram Warehouse", "Genthus Canyon", "Charpin Base", "Takanobu Chateau", "Raveneau Chateau", "Oxenham Chateau", "Takanobu Manor", "Cockram Canyon", "Eduardo Waystation", "Calico Keep", "Raveneau Base", "Calico Canyon", "Genthus Springs", "Mansfield Base", "Marteen Manor", "Pothorst Bunker", "Critchett Base", "Pugwash Warehouse", "Pomerania Keep", "Cornelius Keep", "Montauban Keep", "Drake Springs", "Torrance Waystation", "Shadow on the Sea", "Barnim Depot", "Waking the Dragon", "Peterson Chateau", "Dregs of Mankind", "Pothorst Warehouse", "Kenki Springs", "Hendrick Redoubt", "Takanobu Base","Jacobsen Waystation", "Kenki Base", "Critchett Keep", "Kenki Keep", "Bradish Redoubt", "Marteen Chateau", "Ashworth Bunker", "Cornelius Warehouse", "Mendoza Manor", "Guartem Manor", "Easton Keep", "Schouten Redoubt", "Kenki Warehouse", "Trondson Bunker", "Pechlin Manor", "Jansen Base", "Anicetus Bunker", "Mendoza Warehouse", "Anicetus Canyon", "Fletcher Canyon", "Cornelius Springs", "Jacobsen Springs", "Cockram Warehouse", "Barton Base", "Net Runner", "Jansen Springs", "Profit Pincher", "Pugwash Redoubt", "Garcia Springs", "Matsura Waystation", "Fernando Keep", "Pompeius Waystation", "Anicetus Keep", "Preston Warehouse", "Matsura Bunker", "Rochussen Base", "Eduardo Springs", "Charpin Canyon", "Garcia Warehouse", "Schouten Bunker", "Pardal Manor", "Donia Bunker", "Barton Springs", "Threats to Kill", "Pompeius Canyon", "Teuta Warehouse", "Charpin Depot", "Charpin Base", "Pomerania Base", "Barbarossa Springs", "Kenki Canyon", "Easton Springs", "Jansen Chateau", "Cavendish Bunker", "Mendoza Redoubt", "Mansfield Keep", "Beyond the Grave", "Jackson Waystation", "Mansfield Keep", "Montauban Keep", "Jansen Bunker", "Fletcher Bunker", "Pechlin Chateau", "Pompeius Warehouse",
// Galaxy 3
"Hourglass Island", "Serpent Reef", "Imogen Island", "Pale Anchorage", "Skeleton Point", "Lucifer Bay", "Pale Cave", "Phoenix Anchorage", "Lovecraft Hollow", "Mermaid Harbour", "Balrog Anchorage", "Skeleton Bay", "Manticore Wharf", "Moonrise Cave", "Bluebeard Wharf", "Nightingale Hollow", "Blood Wharf", "Lucifer Reef", "Lovecraft Harbour", "Werewolf Wharf", "Eastwood Harbour", "Dragon Wharf", "Tallow Point", "Mermaid Hollow", "Firebird Cave", "Talon Hollow", "Starling Reef", "Dreadnaught Bay", "Werewolf Island", "Frankenstein Wharf", "Bluebeard Mine", "Shady Anchorage", "Skeleton Anchorage", "Starling Point", "Dreadnaught Harbour", "Torchwood Grotto", "Valentine Point", "Dragon Grotto", "Banshee Harbour", "Doubloon Island", "Phoenix Bay", "Talon Point", "Albatross Anchorage", "Firebird Grotto", "Sunrise Island", "Moonrise Bay", "Cutlass Mine", "Serpent Island", "Scorpio Wharf", "Moonrise Grotto", "Siren Cave", "Hellcat Wharf", "Raptor Cave", "Firebird Anchorage", "Imogen Wharf", "Werewolf Mine", "Lucifer Bay", "Raven Harbour", "Claw Mine", "Scorpio Bay", "Firebird Hollow", "Mermaid Bay", "Pale Bay", "Shady Island","Balrog Grotto", "Demon Wharf", "Gunsmoke Grotto", "Bluebell Mine", "Necronomicon Hollow", "Claw Reef", "Bluebell Wharf", "Thrush Point", "Balrog Bay", "Lucifer Wharf", "Firebird Anchorage", "Pale Point", "Doubloon Island", "Sparrow Harbour", "Demon Hollow", "Gunsmoke Cave", "Nightmare Anchorage", "Mordor Anchorage", "Zodiac Bay", "Valentine Anchorage", "Claw Island", "Demon Cave", "Zodiac Cave", "Blackbird Wharf", "Imogen Anchorage", "Werewolf Harbour", "Blood Mine", "Thrush Hollow", "Skeleton Hollow", "Werewolf Anchorage", "Skeleton Wharf", "Manticore Mine", "Skeleton Point", "Pale Anchorage", "Thrush Anchorage", "Starlight Harbour", "Scorpio Point", "Bluebird Island", "Cutlass Bay", "Bluebeard Hollow", "Serpent Harbour", "Gollum Anchorage", "Gollum Island", "Bluebird Cave", "Pale Point", "Skeleton Point", "Nightingale Island", "Blackbird Hollow", "Bluebird Cave", "Gunsmoke Harbour", "Manticore Anchorage", "Skull Cave", "Skeleton Harbour", "Blackbird Island", "Midnight Hollow", "Fireball Grotto", "Shady Point", "Lucifer Hollow", "Sunrise Grotto", "Talon Harbour", "Iron Anchorage", "Fireball Hollow", "Demon Cave", "Sleepy Reef", "Moonrise Anchorage", "Blackbird Reef", "Lucifer Hollow", "Torchwood Reef", "Balrog Grotto", "Dracula Reef", "Blood Harbour", "Thrush Mine", "Valentine Island", "Tallow Wharf", "Nightingale Anchorage", "Wolf Island", "Starlight Wharf", "Gollum Wharf", "Torchwood Cave", "Iron Reef", "Hellcat Anchorage", "Necronomicon Point", "Talon Point", "Midnight Anchorage", "Hellcat Anchorage", "Sparrow Hollow", "Skeleton Bay", "Scorpio Cave", "Manticore Reef", "Midnight Island", "Albatross Wharf", "Bluebeard Reef", "Dragon Anchorage", "Cutlass Bay", "Nightingale Bay", "Albatross Wharf", "Lucifer Harbour", "Demon Anchorage", "Scorpio Wharf", "Fireball Point", "Talon Anchorage", "Sunset Anchorage", "Dracula Mine", "Torchwood Anchorage", "Cutlass Hollow", "Balrog Reef", "Moonrise Grotto", "Siren Point", "Iron Grotto", "Bluebeard Reef", "Demon Bay", "Goblin Island", "Imogen Cave", "Hourglass Island", "Blood Mine", "Banshee Anchorage", "Mordor Bay", "Sunset Grotto", "Banshee Anchorage", "Skull Cave", "Bluebird Bay", "Lovecraft Wharf", "Tallow Harbour", "Manticore Harbour", "Eastwood Wharf", "Scorpio Point", "Lucifer Mine", "Lovecraft Cave","Dracula Harbour", "Pale Cave", "Starlight Reef", "Manticore Island", "Tallow Grotto", "Lovecraft Hollow", "Sunset Bay", "Manticore Mine", "Talon Grotto", "Raptor Point", "Dracula Harbour", "Skeleton Grotto", "Thrush Anchorage", "Bluebeard Cave", "Bluebeard Reef", "Wolf Reef", "Frankenstein Island", "Iron Point", "Goblin Hollow", "Hourglass Bay", "Frankenstein Point", "Claw Reef", "Fleming Wharf", "Bluebird Wharf", "Wolf Cave", "Dracula Wharf", "Werewolf Island", "Fireball Reef", "Sparrow Island", "Bluebell Point", "Fleming Cave", "Werewolf Cave", "Lovecraft Harbour", "Starling Reef", "Midnight Bay", "Phoenix Anchorage", "Raptor Wharf", "Doubloon Reef", "Lucifer Cave", "Grogan Wharf", "Torchwood Hollow", "Sunset Wharf", "Sunset Hollow", "Sparrow Reef", "Shady Island", "Skeleton Reef", "Hellcat Wharf", "Goblin Point", "Starling Mine", "Iron Harbour", "Mordor Hollow", "Cutlass Bay", "Goblin Mine", "Albatross Harbour", "Sunrise Bay", "Sunset Bay", "Bluebell Cave", "Iron Harbour", "Sparrow Bay", "Starlight Bay", "Imogen Bay", "Hourglass Point", "Sparrow Wharf", "Manticore Reef",
// Galaxy 4
"Pomerania Waystation", "Hawkins Warehouse", "Garcia Springs", "Brasiliano Bunker", "Mansfield Manor", "Vanclein Base", "Critchett Base", "Jackson Keep", "Peterson Base", "Demetrius Warehouse", "Brasiliano Manor", "Jackson Manor", "Pomerania Redoubt", "Maintenon Base", "Takanobu Springs", "Fletcher Depot", "Pothorst Bunker", "Matsura Bunker", "Takanobu Base", "Matsura Redoubt", "Drake Depot", "Matsura Waystation", "Pomerania Base", "Pothorst Base", "Oxenham Springs", "Schouten Waystation", "Preston Warehouse", "Heinason Keep", "Herriot Bunker", "Anicetus Springs", "Shirahama Base", "Shirahama Warehouse", "Preston Manor", "Pomerania Waystation", "Matsura Waystation", "Guartem Warehouse", "Pomerania Bunker", "Preston Manor", "Mansfield Springs", "Drake Base", "Shackleton Manor", "Matsura Springs", "Pomerania Warehouse", "Canoot Bunker", "Gerlofs Chateau", "Kenki Waystation", "Howell Bunker", "Mendoza Chateau", "Teuta Springs", "Barnim Base", "Gerlofs Bunker", "Brasiliano Manor", "Jansen Canyon", "Hendrick Base", "Pomerania Canyon", "Howell Bunker", "Marteen Canyon", "Cockram Chateau", "Blomar Canyon", "Fletcher Springs", "Pothorst Depot", "Peterson Warehouse", "Barbarossa Redoubt", "Guartem Base","Henson Warehouse", "Oxenham Redoubt", "Shirahama Redoubt", "Marteen Manor", "Barnim Canyon", "Trondson Base", "Eduardo Waystation", "Teuta Waystation", "Canoot Base", "Trondson Base", "Garcia Bunker", "Matsura Keep", "Schouten Manor", "Drake Canyon", "Canoot Warehouse", "Kristoffer Redoubt", "Cornelius Canyon", "Pugwash Base", "Heinason Keep", "Guartem Keep", "Kristoffer Redoubt", "Howell Springs", "Brasiliano Base", "Schouten Redoubt", "Gerlofs Waystation", "Teuta Base", "Jacobsen Base", "Blomar Depot", "Marteen Base", "Heinason Bunker", "Cockram Canyon", "Hendrick Chateau", "Barton Waystation", "Barnim Chateau", "Cornelius Canyon", "Brasiliano Keep", "Pechlin Warehouse", "Maintenon Manor", "Montauban Warehouse", "Fletcher Depot", "Cavendish Base", "Critchett Keep", "Jacobsen Chateau", "Cavendish Base", "Shackleton Manor", "Preston Keep", "Raveneau Redoubt", "Barbarossa Springs", "Drake Springs", "Pardal Redoubt", "Schouten Waystation", "Howell Depot", "Raveneau Manor", "Blomar Springs", "Pomerania Manor", "Oxenham Canyon", "Drake Warehouse", "Barbarossa Chateau", "Raveneau Bunker", "Jacobsen Keep", "Drake Depot", "Teuta Chateau", "Torrance Waystation", "Blomar Springs", "Matsura Chateau", "Pothorst Base", "Herriot Manor", "Herriot Canyon", "Henson Canyon", "Charpin Warehouse", "Barnim Waystation", "Pechlin Bunker", "Montauban Keep", "Charpin Waystation", "Demetrius Canyon", "Ashworth Redoubt", "Preston Redoubt", "Henson Manor", "Blomar Redoubt", "Takanobu Warehouse", "Gerlofs Canyon", "Garcia Warehouse", "Rochussen Waystation", "Ashworth Manor", "Takanobu Manor", "Raveneau Springs", "Easton Canyon", "Canoot Keep", "Donia Base", "Torrance Redoubt", "Hawkins Canyon", "Howell Manor", "Fernando Redoubt", "Marteen Bunker", "Jacobsen Redoubt", "Jacobsen Bunker", "Garcia Canyon", "Kenki Warehouse", "Matsura Canyon", "Trondson Redoubt", "Pechlin Waystation", "Easton Depot", "Barnim Springs", "Critchett Bunker", "Heinason Keep", "Pechlin Depot", "Kristoffer Springs", "Mendoza Keep", "Jacobsen Keep", "Rochussen Manor", "Barnim Springs", "Garcia Keep", "Oxenham Keep", "Maintenon Keep", "Montauban Waystation", "Garcia Redoubt", "Drake Canyon", "Cockram Base", "Jackson Keep", "Raveneau Base", "Matsura Base", "Fletcher Redoubt", "Brasiliano Depot", "Garcia Bunker", "Shackleton Redoubt", "Pechlin Springs", "Henson Warehouse", "Preston Warehouse","Oxenham Chateau", "Cornelius Canyon", "Gerlofs Base", "Raveneau Base", "Pugwash Manor", "Pompeius Redoubt", "Matsura Base", "Shirahama Depot", "Matsura Springs", "Pompeius Warehouse", "Crabbe Depot", "Hawkins Bunker", "Raveneau Depot", "Jackson Depot", "Kristoffer Waystation", "Barbarossa Chateau", "Shirahama Canyon", "Jackson Bunker", "Torrance Keep", "Fernando Keep", "Jackson Redoubt", "Barton Warehouse", "Pompeius Canyon", "Trondson Depot", "Barton Manor", "Teuta Canyon", "Shirahama Redoubt", "Pomerania Manor", "Fernando Canyon", "Genthus Bunker", "Fernando Warehouse", "Oxenham Canyon", "Pothorst Canyon", "Easton Redoubt", "Kristoffer Redoubt", "Trondson Base", "Fernando Chateau", "Jacobsen Canyon", "Pechlin Bunker", "Mendoza Manor", "Mendoza Chateau", "Barnim Canyon", "Jansen Keep", "Kristoffer Chateau", "Heinason Base", "Henson Keep", "Cockram Canyon", "Fernando Waystation", "Heinason Waystation", "Pothorst Base", "Montauban Base", "Donia Redoubt", "Pomerania Redoubt", "Matsura Warehouse", "Anicetus Redoubt", "Teuta Warehouse", "Preston Chateau", "Peterson Redoubt", "Mendoza Canyon", "Cornelius Manor", "Herriot Base", "Pugwash Keep", "Shackleton Keep", "Torrance Bunker",
// Galaxy 5
"Frankenstein Harbour", "Moonrise Island", "Demon Cave", "Mermaid Anchorage", "Dracula Harbour", "Sleepy Grotto", "Pale Wharf", "Imogen Hollow", "Fang Bay", "Wolf Reef", "Fang Reef", "Dragon Reef", "Gollum Island", "Claw Anchorage", "Fleming Mine", "Claw Wharf", "Bluebird Cave", "Thrush Bay", "Eastwood Reef", "Valentine Mine", "Manticore Island", "Scorpio Harbour", "Eastwood Anchorage", "Zodiac Point", "Starling Hollow", "Eastwood Cave", "Necronomicon Anchorage", "Balrog Harbour", "Moonrise Mine", "Siren Reef", "Albatross Harbour", "Midnight Mine", "Frankenstein Cave", "Imogen Wharf", "Fang Reef", "Tallow Grotto", "Balrog Point", "Skull Island", "Pale Bay", "Banshee Mine", "Claw Wharf", "Starlight Cave", "Hellcat Grotto", "Dragon Harbour", "Cutlass Point", "Starling Anchorage", "Blood Reef", "Serpent Mine", "Necronomicon Hollow", "Torchwood Island", "Starlight Hollow", "Banshee Hollow", "Raptor Point", "Sunrise Reef", "Midnight Mine", "Torchwood Reef", "Thrush Bay", "Starling Mine", "Tallow Hollow", "Sunrise Cave", "Manticore Point", "Skull Reef", "Dracula Mine", "Firebird Anchorage","Raven Mine", "Sunset Harbour", "Dracula Hollow", "Bluebeard Wharf", "Serpent Reef", "Midnight Cave", "Bluebell Wharf", "Blackbird Mine", "Lovecraft Grotto", "Mermaid Island", "Siren Cave", "Dracula Harbour", "Blood Reef", "Pale Hollow", "Valentine Reef", "Grogan Anchorage", "Frankenstein Grotto", "Starlight Reef", "Talon Grotto", "Mermaid Point", "Raptor Point", "Albatross Cave", "Scorpio Reef", "Dragon Bay", "Werewolf Reef", "Fireball Bay", "Necronomicon Reef", "Grogan Cave", "Valentine Island", "Shady Cave", "Moonrise Wharf", "Banshee Point", "Raven Island", "Pale Reef", "Pale Mine", "Frankenstein Hollow", "Grogan Cave", "Serpent Point", "Starling Point", "Dreadnaught Cave", "Shady Anchorage", "Demon Hollow", "Albatross Harbour", "Firebird Cave", "Lucifer Anchorage", "Demon Island", "Hourglass Harbour", "Necronomicon Harbour", "Blackbird Island", "Valentine Mine", "Sleepy Island", "Torchwood Wharf", "Lucifer Point", "Claw Mine", "Manticore Grotto", "Starling Anchorage", "Albatross Harbour", "Albatross Cave", "Scorpio Harbour", "Starlight Bay", "Demon Mine", "Shady Cave", "Raptor Bay", "Fang Wharf", "Siren Island", "Claw Hollow", "Thrush Bay", "Doubloon Hollow", "Scorpio Point", "Eastwood Bay", "Lucifer Reef", "Starling Bay", "Dracula Wharf", "Grogan Hollow", "Blackbird Bay", "Gunsmoke Reef", "Sunrise Mine", "Demon Grotto", "Iron Point", "Siren Mine", "Fireball Point", "Dreadnaught Point", "Gunsmoke Grotto", "Serpent Hollow", "Bluebeard Hollow", "Iron Wharf", "Gollum Harbour", "Shady Wharf", "Dreadnaught Cave", "Bluebell Cave", "Hourglass Harbour", "Dracula Grotto", "Mordor Hollow", "Lucifer Island", "Mermaid Bay", "Scorpio Reef", "Goblin Cave", "Valentine Mine", "Sunrise Reef", "Necronomicon Bay", "Claw Island", "Lovecraft Point", "Banshee Anchorage", "Raptor Grotto", "Wolf Reef", "Sunset Wharf", "Talon Island", "Claw Harbour", "Moonrise Point", "Mermaid Mine", "Sunrise Harbour", "Zodiac Bay", "Sunset Island", "Doubloon Point", "Starling Wharf", "Necronomicon Island", "Hourglass Wharf", "Tallow Mine", "Tallow Island", "Hellcat Anchorage", "Midnight Anchorage", "Demon Grotto", "Fireball Cave", "Blackbird Island", "Cutlass Point", "Blood Hollow", "Gollum Grotto", "Dreadnaught Anchorage","Blackbird Grotto", "Mermaid Wharf", "Hellcat Hollow", "Albatross Harbour", "Mordor Reef", "Gollum Bay", "Bluebeard Mine", "Pale Mine", "Shady Hollow", "Fireball Harbour", "Shady Anchorage", "Tallow Point", "Zodiac Harbour", "Zodiac Anchorage", "Grogan Island", "Firebird Cave", "Starling Point", "Tallow Island", "Raven Hollow", "Thrush Reef", "Frankenstein Point", "Imogen Reef", "Doubloon Island", "Iron Island", "Balrog Anchorage", "Sunset Hollow", "Frankenstein Anchorage", "Gollum Mine", "Blood Grotto", "Gollum Reef", "Claw Grotto", "Fleming Harbour", "Dracula Harbour", "Zodiac Island", "Bluebird Grotto", "Starling Island", "Albatross Bay", "Cutlass Reef", "Necronomicon Island", "Talon Grotto", "Gunsmoke Wharf", "Midnight Harbour", "Imogen Hollow", "Valentine Grotto", "Dragon Grotto", "Torchwood Harbour", "Eastwood Anchorage", "Cutlass Mine", "Serpent Grotto", "Midnight Bay", "Grogan Island", "Werewolf Hollow", "Tallow Reef", "Necronomicon Hollow", "Sunrise Bay", "Scorpio Mine", "Fireball Wharf", "Sparrow Reef", "Phoenix Mine", "Frankenstein Point", "Claw Point", "Bluebeard Anchorage", "Eastwood Cave", "Firebird Mine",
// Galaxy 6
"Charpin Waystation", "Barton Waystation", "Maintenon Manor", "Shirahama Depot", "Fernando Springs", "Fletcher Manor", "Marteen Depot", "Jansen Depot", "Kenki Manor", "Fletcher Redoubt", "Barnim Waystation", "Crabbe Manor", "Oxenham Manor", "Fletcher Warehouse", "Cavendish Base", "Mansfield Chateau", "Oxenham Depot", "Pugwash Base", "Pomerania Depot", "Drake Redoubt", "Cavendish Redoubt", "Kristoffer Springs", "Guartem Bunker", "Raveneau Depot", "Trondson Keep", "Guartem Chateau", "Charpin Base", "Schouten Redoubt", "Brasiliano Bunker", "Maintenon Base", "Bradish Chateau", "Howell Depot", "Marteen Depot", "Jackson Warehouse", "Genthus Canyon", "Gerlofs Canyon", "Pothorst Chateau", "Pardal Redoubt", "Charpin Keep", "Charpin Depot", "Critchett Redoubt", "Pomerania Depot", "Easton Redoubt", "Raveneau Canyon", "Demetrius Bunker", "Anicetus Bunker", "Jackson Springs", "Critchett Depot", "Pomerania Chateau", "Matsura Waystation", "Canoot Keep", "Eduardo Bunker", "Easton Chateau", "Trondson Bunker", "Pugwash Canyon", "Oxenham Canyon", "Fernando Bunker", "Genthus Depot", "Pothorst Manor", "Eduardo Manor", "Cockram Warehouse", "Pardal Manor", "Brasiliano Chateau", "Shackleton Redoubt","Peterson Base", "Canoot Canyon", "Torrance Canyon", "Crabbe Depot", "Kristoffer Redoubt", "Easton Depot", "Crabbe Keep", "Howell Springs", "Marteen Chateau", "Torrance Waystation", "Pomerania Bunker", "Canoot Depot", "Torrance Manor", "Bradish Bunker", "Pardal Springs", "Teuta Manor", "Fernando Redoubt", "Oxenham Canyon", "Montauban Waystation", "Peterson Keep", "Shirahama Redoubt", "Pomerania Keep", "Vanclein Keep", "Gerlofs Waystation", "Mansfield Keep", "Barnim Base", "Preston Keep", "Barbarossa Keep", "Barnim Warehouse", "Pugwash Base", "Calico Warehouse", "Peterson Canyon", "Cavendish Depot", "Barnim Warehouse", "Jansen Springs", "Cornelius Canyon", "Maintenon Redoubt", "Mendoza Canyon", "Marteen Depot", "Mansfield Canyon", "Hendrick Springs", "Shirahama Bunker", "Fletcher Depot", "Genthus Keep", "Pomerania Keep", "Pompeius Manor", "Heinason Waystation", "Guartem Waystation", "Drake Waystation", "Kenki Springs", "Jacobsen Canyon", "Fletcher Depot", "Shirahama Redoubt", "Drake Depot", "Blomar Bunker", "Pechlin Depot", "Mendoza Waystation", "Maintenon Chateau", "Oxenham Springs", "Shirahama Keep", "Raveneau Waystation", "Pompeius Waystation", "Calico Manor", "Mendoza Bunker", "Critchett Base", "Cornelius Chateau", "Mendoza Redoubt", "Canoot Springs", "Oxenham Redoubt", "Teuta Warehouse", "Jansen Manor", "Jackson Keep", "Barnim Warehouse", "Trondson Bunker", "Herriot Base", "Gerlofs Warehouse", "Barton Keep", "Barbarossa Springs", "Easton Keep", "Guartem Manor", "Cavendish Depot", "Howell Springs", "Marteen Warehouse", "Howell Canyon", "Schouten Waystation", "Preston Keep", "Demetrius Chateau", "Kenki Redoubt", "Pomerania Springs", "Cockram Redoubt", "Kristoffer Redoubt", "Barton Springs", "Preston Springs", "Pechlin Redoubt", "Peterson Bunker", "Eduardo Bunker", "Garcia Warehouse", "Jansen Base", "Trondson Redoubt", "Barnim Canyon", "Easton Bunker", "Cornelius Redoubt", "Guartem Base", "Pugwash Base", "Heinason Keep", "Fernando Manor", "Donia Manor", "Herriot Waystation", "Takanobu Waystation", "Torrance Canyon", "Guartem Warehouse", "Mansfield Keep", "Barbarossa Manor", "Montauban Canyon", "Garcia Depot", "Pechlin Canyon", "Kristoffer Base", "Peterson Bunker", "Shirahama Redoubt", "Mansfield Canyon", "Critchett Warehouse", "Fernando Chateau", "Pothorst Manor", "Anicetus Keep", "Pompeius Canyon", "Preston Canyon", "Howell Keep", "Guartem Chateau","Marteen Warehouse", "Mendoza Warehouse", "Heinason Depot", "Heinason Redoubt", "Barnim Canyon", "Pechlin Waystation", "Jansen Springs", "Rochussen Chateau", "Henson Depot", "Kristoffer Waystation", "Mendoza Keep", "Rochussen Manor", "Shackleton Manor", "Barnim Depot", "Brasiliano Redoubt", "Guartem Springs", "Gerlofs Chateau", "Demetrius Canyon", "Barton Warehouse", "Charpin Chateau", "Torrance Depot", "Fletcher Waystation", "Kristoffer Waystation", "Easton Redoubt", "Torrance Springs", "Cornelius Chateau", "Pothorst Base", "Hendrick Redoubt", "Pomerania Depot", "Trondson Chateau", "Drake Waystation", "Henson Bunker", "Howell Waystation", "Guartem Depot", "Crabbe Bunker", "Shackleton Warehouse", "Barbarossa Bunker", "Rochussen Keep", "Howell Base", "Maintenon Waystation", "Genthus Keep", "Heinason Depot", "Teuta Manor", "Mendoza Canyon", "Jacobsen Redoubt", "Pomerania Canyon", "Canoot Chateau", "Oxenham Warehouse", "Pothorst Keep", "Charpin Keep", "Guartem Redoubt", "Mendoza Depot", "Teuta Base", "Demetrius Base", "Bradish Warehouse", "Garcia Base", "Easton Base", "Brasiliano Chateau", "Genthus Keep", "Garcia Redoubt", "Charpin Depot", "Genthus Base", "Pardal Warehouse", "Charpin Depot",
// Galaxy 7
"Fleming Reef", "Nightmare Anchorage", "Starling Grotto", "Siren Cave", "Goblin Harbour", "Imogen Wharf", "Dragon Reef", "Hourglass Harbour", "Goblin Cave", "Eastwood Reef", "Starling Grotto", "Dreadnaught Mine", "Pale Bay", "Bluebird Wharf", "Dracula Bay", "Fleming Bay", "Sleepy Harbour", "Blackbird Hollow", "Tallow Anchorage", "Pale Mine", "Dragon Harbour", "Gollum Island", "Serpent Hollow", "Hourglass Island", "Serpent Island", "Starling Bay", "Fireball Hollow", "Balrog Hollow", "Fleming Mine", "Phoenix Mine", "Banshee Hollow", "Frankenstein Reef", "Bluebell Bay", "Scorpio Anchorage", "Fireball Harbour", "Phoenix Mine", "Blackbird Island", "Skull Anchorage", "Skull Wharf", "Mermaid Bay", "Grogan Hollow", "Starling Point", "Firebird Grotto", "Dragon Harbour", "Werewolf Bay", "Skull Wharf", "Doubloon Mine", "Fleming Wharf", "Tallow Hollow", "Nightmare Mine", "Phoenix Reef", "Hourglass Harbour", "Cutlass Island", "Tallow Harbour", "Serpent Wharf", "Thrush Reef", "Necronomicon Reef", "Albatross Grotto", "Necronomicon Point", "Starlight Cave", "Tallow Bay", "Wolf Harbour", "Claw Mine", "Sparrow Anchorage","Nightingale Cave", "Claw Island", "Torchwood Point", "Shady Wharf", "Eastwood Point", "Siren Wharf", "Sunset Point", "Moonrise Cave", "Doubloon Harbour", "Fleming Cave", "Blood Cave", "Serpent Island", "Nightmare Bay", "Wolf Point", "Bluebell Hollow", "Doubloon Mine", "Fireball Wharf", "Banshee Wharf", "Mermaid Reef", "Nightmare Hollow", "Thrush Wharf", "Raven Mine", "Bluebeard Harbour", "Mordor Reef", "Iron Hollow", "Bluebell Mine", "Sparrow Point", "Nightingale Anchorage", "Skull Hollow", "Sunrise Anchorage", "Skull Hollow", "Lucifer Mine", "Starling Cave", "Bluebell Mine", "Dreadnaught Anchorage", "Blackbird Bay", "Necronomicon Anchorage", "Frankenstein Anchorage", "Iron Harbour", "Skeleton Reef", "Pale Mine", "Wolf Hollow", "Shady Harbour", "Blackbird Hollow", "Sparrow Island", "Bluebeard Hollow", "Bluebeard Hollow", "Banshee Wharf", "Midnight Wharf", "Fireball Cave", "Phoenix Reef", "Demon Harbour", "Thrush Wharf", "Hellcat Reef", "Torchwood Bay", "Hourglass Island", "Midnight Hollow", "Talon Harbour", "Scorpio Point", "Wolf Reef", "Bluebeard Reef", "Sleepy Harbour", "Werewolf Mine", "Raven Harbour", "Pale Grotto", "Claw Cave", "Skull Anchorage", "Pale Island", "Bluebell Hollow", "Nightingale Island", "Raven Harbour", "Fleming Island", "Bluebird Harbour", "Skull Anchorage", "Hellcat Mine", "Tallow Point", "Shady Cave", "Lucifer Hollow", "Frankenstein Wharf", "Thrush Bay", "Torchwood Island", "Dragon Bay", "Lovecraft Anchorage", "Sunrise Reef", "Manticore Harbour", "Bluebeard Grotto", "Goblin Bay", "Iron Reef", "Raptor Anchorage", "Dragon Bay", "Goblin Mine", "Gollum Harbour", "Hellcat Cave", "Banshee Mine", "Zodiac Point", "Lovecraft Point", "Scorpio Point", "Serpent Bay", "Firebird Anchorage", "Iron Cave", "Nightmare Cave", "Fleming Island", "Nightingale Anchorage", "Lucifer Anchorage", "Talon Island", "Starling Cave", "Imogen Point", "Shady Bay", "Sunrise Anchorage", "Fang Hollow", "Fireball Grotto", "Banshee Island", "Cutlass Island", "Mordor Bay", "Lovecraft Point", "Albatross Bay", "Hourglass Cave", "Mermaid Bay", "Necronomicon Anchorage", "Bluebird Island", "Mordor Anchorage", "Fleming Bay", "Imogen Mine", "Hourglass Grotto", "Talon Point", "Torchwood Cave", "Albatross Point", "Dragon Harbour","Bluebeard Mine", "Dracula Wharf", "Grogan Grotto", "Wolf Island", "Raven Point", "Imogen Reef", "Wolf Hollow", "Scorpio Hollow", "Bluebird Cave", "Blood Anchorage", "Bluebird Island", "Talon Anchorage", "Nightingale Mine", "Manticore Reef", "Skeleton Wharf", "Frankenstein Bay", "Wolf Island", "Sparrow Mine", "Mermaid Harbour", "Bluebell Grotto", "Lucifer Cave", "Raven Harbour", "Thrush Anchorage", "Fang Anchorage", "Firebird Harbour", "Starlight Bay", "Blood Wharf", "Lovecraft Harbour", "Balrog Hollow", "Dragon Point", "Hellcat Bay", "Manticore Cave", "Pale Wharf", "Torchwood Island", "Lucifer Anchorage", "Bluebeard Point", "Iron Harbour", "Talon Mine", "Frankenstein Reef", "Manticore Hollow", "Sunrise Reef", "Mordor Mine", "Midnight Mine", "Tallow Harbour", "Sunrise Hollow", "Dreadnaught Hollow", "Moonrise Bay", "Phoenix Cave", "Valentine Wharf", "Necronomicon Reef", "Manticore Island", "Dragon Island", "Cutlass Island", "Albatross Hollow", "Mordor Harbour", "Fleming Cave", "Claw Harbour", "Blackbird Bay", "Wolf Point", "Gunsmoke Grotto", "Raven Anchorage", "Gunsmoke Harbour", "Frankenstein Bay", "Skull Harbour",
// Galaxy 8
"Pomerania Bunker", "Guartem Depot", "Anicetus Chateau", "Heinason Waystation", "Rochussen Base", "Calico Warehouse", "Herriot Redoubt", "Easton Redoubt", "Mendoza Canyon", "Blomar Waystation", "Pechlin Depot", "Peterson Springs", "Vanclein Keep", "Hawkins Chateau", "Heinason Depot", "Herriot Keep", "Guartem Keep", "Vanclein Canyon", "Raveneau Depot", "Garcia Warehouse", "Jacobsen Chateau", "Raveneau Springs", "Genthus Waystation", "Peterson Redoubt", "Garcia Springs", "Pompeius Redoubt", "Calico Waystation", "Anicetus Waystation", "Shackleton Bunker", "Ashworth Depot", "Donia Canyon", "Brasiliano Manor", "Maintenon Manor", "Guartem Base", "Brasiliano Redoubt", "Mendoza Base", "Brasiliano Warehouse", "Kenki Keep", "Heinason Warehouse", "Kristoffer Warehouse", "Gerlofs Waystation", "Howell Canyon", "Bradish Manor", "Raveneau Chateau", "Fletcher Waystation", "Critchett Springs", "Maintenon Warehouse", "Raveneau Depot", "Preston Bunker", "Drake Warehouse", "Drake Canyon", "Oxenham Waystation", "Henson Depot", "Henson Springs", "Jansen Depot", "Jacobsen Waystation", "Schouten Waystation", "Gerlofs Keep", "Torrance Base", "Kristoffer Warehouse", "Pugwash Springs", "Montauban Redoubt", "Bradish Redoubt", "Jackson Redoubt","Peterson Canyon", "Jacobsen Manor", "Jansen Waystation", "Barnim Chateau", "Henson Chateau", "Maintenon Canyon", "Jacobsen Chateau", "Matsura Manor", "Fletcher Canyon", "Howell Base", "Critchett Chateau", "Teuta Depot", "Heinason Keep", "Trondson Waystation", "Pardal Depot", "Schouten Warehouse", "Pomerania Depot", "Cavendish Bunker", "Kristoffer Chateau", "Demetrius Redoubt", "Brasiliano Redoubt", "Howell Keep", "Pomerania Springs", "Pugwash Base", "Rochussen Waystation", "Herriot Springs", "Charpin Springs", "Jacobsen Waystation", "Brasiliano Keep", "Genthus Chateau", "Mansfield Redoubt", "Jackson Base", "Howell Canyon", "Barton Keep", "Canoot Base", "Easton Manor", "Teuta Chateau", "Peterson Manor", "Rochussen Manor", "Howell Depot", "Raveneau Warehouse", "Barton Warehouse", "Pothorst Manor", "Charpin Waystation", "Schouten Redoubt", "Pomerania Redoubt", "Oxenham Waystation", "Crabbe Redoubt", "Ashworth Keep", "Calico Depot", "Charpin Waystation", "Barnim Springs", "Anicetus Canyon", "Gerlofs Canyon", "Easton Redoubt", "Pothorst Keep", "Shirahama Manor", "Cornelius Chateau", "Heinason Canyon", "Charpin Springs", "Teuta Springs", "Rochussen Depot", "Peterson Keep", "Schouten Keep", "Garcia Depot", "Marteen Keep", "Herriot Keep", "Herriot Redoubt", "Guartem Bunker", "Matsura Warehouse", "Torrance Manor", "Pothorst Chateau", "Hendrick Bunker", "Drake Canyon", "Pugwash Canyon", "Garcia Waystation", "Shackleton Depot", "Guartem Bunker", "Fletcher Warehouse", "Barbarossa Manor", "Henson Base", "Ashworth Manor", "Canoot Redoubt", "Howell Manor", "Fletcher Canyon", "Pothorst Waystation", "Drake Chateau", "Pechlin Keep", "Gerlofs Chateau", "Demetrius Base", "Hendrick Springs", "Raveneau Canyon", "Charpin Keep", "Barton Keep", "Pechlin Bunker", "Pechlin Depot", "Calico Chateau", "Hendrick Base", "Barbarossa Depot", "Blomar Springs", "Drake Waystation", "Charpin Manor", "Raveneau Waystation", "Pechlin Bunker", "Oxenham Redoubt", "Teuta Base", "Blomar Manor", "Pomerania Base", "Trondson Base", "Critchett Depot", "Pothorst Redoubt", "Pechlin Bunker", "Donia Warehouse", "Brasiliano Springs", "Pechlin Keep", "Pechlin Canyon", "Mansfield Waystation", "Barton Bunker", "Schouten Depot", "Kenki Canyon", "Bradish Bunker", "Barton Depot", "Charpin Warehouse", "Canoot Bunker", "Bradish Canyon", "Bradish Bunker", "Henson Depot", "Anicetus Depot","Guartem Waystation", "Demetrius Bunker", "Kristoffer Base", "Jacobsen Bunker", "Jacobsen Springs", "Heinason Warehouse", "Maintenon Bunker", "Pechlin Redoubt", "Crabbe Redoubt", "Gerlofs Warehouse", "Shackleton Redoubt", "Barton Redoubt", "Cockram Bunker", "Shackleton Springs", "Calico Depot", "Fernando Base", "Ashworth Warehouse", "Pomerania Depot", "Cockram Waystation", "Pothorst Keep", "Pompeius Warehouse", "Demetrius Chateau", "Shackleton Chateau", "Preston Springs", "Fernando Base", "Cornelius Warehouse", "Fernando Base", "Fletcher Chateau", "Eduardo Chateau", "Guartem Base", "Barbarossa Canyon", "Montauban Depot", "Kristoffer Warehouse", "Drake Bunker", "Barton Redoubt", "Pompeius Waystation", "Heinason Depot", "Torrance Springs", "Brasiliano Warehouse", "Montauban Manor", "Kristoffer Warehouse", "Pardal Springs", "Kristoffer Warehouse", "Trondson Manor", "Matsura Manor", "Crabbe Warehouse", "Barton Bunker", "Takanobu Springs", "Critchett Waystation", "Maintenon Manor", "Maintenon Base", "Brasiliano Redoubt", "Rochussen Manor", "Demetrius Base", "Trondson Base", "Preston Base", "Demetrius Bunker", "Herriot Depot", "Barbarossa Chateau", "Gerlofs Canyon", "Crabbe Warehouse", "Shirahama Manor", "Kenki Springs", "Pardal Canyon",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Black Dog"];

// Pools to name Pirate Coves (2,048 names in each Pool).
this.piratecovepool2 = [
// Galaxy 1
"Donia Waystation", "Pothorst Manor", "Montauban Redoubt", "Raveneau Springs", "Shackleton Keep", "Fletcher Keep", "Jacobsen Springs", "Teuta Bunker", "Hendrick Warehouse", "Henson Base", "Shackleton Manor", "Canoot Canyon", "Trondson Manor", "Gerlofs Redoubt", "Hawkins Springs", "Vanclein Chateau", "Herriot Keep", "Teuta Canyon", "Howell Canyon", "Vanclein Keep", "Genthus Base", "Heinason Waystation", "Torrance Warehouse", "Demetrius Waystation", "Critchett Redoubt", "Herriot Base", "Pugwash Bunker", "Mendoza Bunker", "Genthus Chateau", "Blomar Redoubt", "Shirahama Depot", "Barton Depot", "Anicetus Redoubt", "Blomar Waystation", "Canoot Keep", "Heinason Redoubt", "Brasiliano Base", "Pothorst Keep", "Peterson Warehouse", "Raveneau Keep", "Kenki Springs", "Henson Chateau", "Barnim Base", "Pomerania Depot", "Howell Bunker", "Canoot Keep", "Torrance Springs", "Teuta Canyon", "Mansfield Chateau", "Cornelius Base", "Critchett Warehouse", "Teuta Springs", "Maintenon Bunker", "Torrance Springs", "Easton Base", "Matsura Base", "Teuta Depot", "Raveneau Bunker", "Critchett Bunker", "Pardal Base", "Heinason Keep", "Kenki Waystation", "Pompeius Base", "Raveneau Springs","Gerlofs Bunker", "Marteen Bunker", "Preston Keep", "Shackleton Manor", "Pomerania Base", "Crabbe Springs", "Kristoffer Warehouse", "Schouten Depot", "Preston Waystation", "Eduardo Keep", "Peterson Keep", "Hendrick Depot", "Charpin Canyon", "Pugwash Depot", "Trondson Keep", "Maintenon Manor", "Schouten Manor", "Easton Warehouse", "Cockram Waystation", "Critchett Canyon", "Mansfield Waystation", "Shackleton Depot", "Maintenon Depot", "Eduardo Canyon", "Barton Canyon", "Barnim Springs", "Barbarossa Redoubt", "Cockram Springs", "Canoot Depot", "Shirahama Keep", "Ashworth Redoubt", "Guartem Canyon", "Hendrick Base", "Pardal Keep", "Fernando Keep", "Pomerania Warehouse", "Peterson Warehouse", "Howell Depot", "Heinason Waystation", "Preston Redoubt", "Pardal Waystation", "Crabbe Chateau", "Barton Springs", "Blomar Waystation", "Vanclein Canyon", "Pomerania Springs", "Ashworth Bunker", "Drake Keep", "Donia Base", "Torrance Warehouse", "Garcia Manor", "Cockram Chateau", "Pugwash Bunker", "Trondson Redoubt", "Fernando Base", "Crabbe Keep", "Matsura Keep", "Cavendish Warehouse", "Schouten Chateau", "Teuta Bunker", "Critchett Keep", "Cavendish Base", "Pechlin Chateau", "Brasiliano Base", "Vanclein Springs", "Genthus Bunker", "Oxenham Waystation", "Donia Waystation", "Brasiliano Warehouse", "Drake Springs", "Charpin Redoubt", "Pechlin Chateau", "Crabbe Waystation", "Gerlofs Keep", "Charpin Springs", "Maintenon Depot", "Genthus Chateau", "Critchett Keep", "Calico Springs", "Critchett Keep", "Torrance Redoubt", "Trondson Depot", "Blomar Waystation", "Montauban Keep", "Crabbe Warehouse", "Montauban Keep", "Barnim Base", "Canoot Waystation", "Raveneau Chateau", "Jackson Waystation", "Canoot Bunker", "Blomar Depot", "Blomar Keep", "Mansfield Bunker", "Shackleton Depot", "Preston Manor", "Pompeius Springs", "Demetrius Manor", "Jackson Bunker", "Teuta Redoubt", "Mansfield Warehouse", "Pompeius Chateau", "Charpin Manor", "Pompeius Bunker", "Donia Warehouse", "Hawkins Canyon", "Pothorst Keep", "Teuta Canyon", "Jansen Base", "Pardal Warehouse", "Barnim Keep", "Maintenon Depot", "Jacobsen Chateau", "Blomar Warehouse", "Easton Springs", "Barbarossa Chateau", "Torrance Waystation", "Barnim Manor", "Peterson Warehouse", "Mendoza Depot", "Heinason Chateau", "Jackson Keep", "Demetrius Redoubt", "Gerlofs Canyon", "Heinason Waystation", "Raveneau Warehouse", "Jackson Waystation", "Pardal Manor","Hawkins Redoubt", "Fernando Manor", "Easton Manor", "Mendoza Base", "Hendrick Keep", "Howell Springs", "Vanclein Manor", "Easton Depot", "Hawkins Canyon", "Schouten Redoubt", "Howell Springs", "Vanclein Manor", "Cavendish Depot", "Trondson Springs", "Crabbe Bunker", "Anicetus Chateau", "Matsura Keep", "Herriot Canyon", "Marteen Canyon", "Torrance Base", "Pugwash Keep", "Herriot Keep", "Kristoffer Manor", "Shirahama Chateau", "Genthus Base", "Oxenham Keep", "Cavendish Depot", "Hawkins Bunker", "Peterson Canyon", "Heinason Base", "Peterson Warehouse", "Calico Springs", "Vanclein Bunker", "Hawkins Chateau", "Calico Canyon", "Barbarossa Bunker", "Barton Waystation", "Pechlin Warehouse", "Torrance Springs", "Kristoffer Keep", "Charpin Warehouse", "Torrance Manor", "Pechlin Waystation", "Jackson Chateau", "Kenki Waystation", "Pompeius Chateau", "Pugwash Bunker", "Jacobsen Canyon", "Brasiliano Keep", "Pompeius Redoubt", "Barton Canyon", "Pardal Springs", "Gerlofs Springs", "Demetrius Depot", "Raveneau Keep", "Pomerania Keep", "Pechlin Manor", "Preston Keep", "Barnim Waystation", "Garcia Warehouse", "Canoot Redoubt", "Jackson Keep", "Montauban Keep", "Kenki Keep",
// Galaxy 2
"Nightmare Island", "Valentine Bay", "Sleepy Point", "Imogen Point", "Werewolf Mine", "Dracula Mine", "Frankenstein Wharf", "Cutlass Grotto", "Tallow Mine", "Manticore Harbour", "Bluebell Mine", "Lovecraft Wharf", "Skull Point", "Grogan Island", "Sparrow Reef", "Hellcat Anchorage", "Dracula Point", "Nightmare Harbour", "Balrog Hollow", "Cutlass Cave", "Bluebell Grotto", "Bluebell Island", "Skull Island", "Imogen Reef", "Albatross Hollow", "Blood Hollow", "Fang Island", "Blackbird Island", "Shady Hollow", "Pale Harbour", "Zodiac Harbour", "Wolf Anchorage", "Blackbird Anchorage", "Doubloon Island", "Claw Anchorage", "Demon Cave", "Shady Grotto", "Wolf Bay", "Bluebeard Hollow", "Pale Grotto", "Raven Hollow", "Talon Mine", "Fleming Mine", "Demon Harbour", "Gollum Wharf", "Dracula Wharf", "Balrog Wharf", "Bluebeard Bay", "Torchwood Reef", "Doubloon Anchorage", "Raven Hollow", "Dracula Hollow", "Dragon Wharf", "Cutlass Wharf", "Nightmare Cave", "Demon Bay", "Scorpio Anchorage", "Nightingale Hollow", "Midnight Wharf", "Talon Hollow", "Skull Hollow", "Skull Anchorage", "Grogan Island", "Moonrise Hollow","Midnight Mine", "Bluebeard Grotto", "Balrog Hollow", "Tallow Island", "Nightmare Hollow", "Necronomicon Hollow", "Sunrise Island", "Wolf Bay", "Dracula Anchorage", "Torchwood Island", "Hellcat Anchorage", "Tallow Point", "Talon Wharf", "Thrush Cave", "Cutlass Point", "Mordor Point", "Doubloon Reef", "Skeleton Island", "Nightmare Island", "Blackbird Cave", "Fireball Wharf", "Lucifer Cave", "Eastwood Grotto", "Dracula Grotto", "Raven Hollow", "Dragon Reef", "Balrog Mine", "Raptor Hollow", "Dreadnaught Bay", "Sparrow Island", "Wolf Island", "Midnight Cave", "Siren Hollow", "Sunset Grotto", "Zodiac Mine", "Dragon Bay", "Valentine Hollow", "Werewolf Mine", "Sunset Anchorage", "Sparrow Reef", "Fireball Hollow", "Zodiac Bay", "Bluebeard Cave", "Blood Reef", "Gunsmoke Bay", "Midnight Mine", "Blood Bay", "Mordor Island", "Albatross Cave", "Fleming Grotto", "Raven Hollow", "Gollum Reef", "Wolf Point", "Moonrise Harbour", "Grogan Mine", "Zodiac Point", "Banshee Harbour", "Demon Reef", "Skull Cave", "Sunset Harbour", "Werewolf Cave", "Zodiac Point", "Eastwood Bay", "Werewolf Reef", "Starling Wharf", "Fang Bay", "Frankenstein Harbour", "Zodiac Cave", "Scorpio Anchorage", "Starlight Reef", "Siren Reef", "Dragon Island", "Midnight Grotto", "Starlight Cave", "Sunrise Bay", "Albatross Reef", "Dreadnaught Hollow", "Sunrise Bay", "Thrush Harbour", "Sleepy Island", "Serpent Cave", "Blackbird Cave", "Valentine Mine", "Sunset Island", "Bluebeard Cave", "Blood Bay", "Moonrise Harbour", "Necronomicon Grotto", "Cutlass Point", "Sleepy Cave", "Pale Hollow", "Bluebeard Bay", "Midnight Hollow", "Dracula Wharf", "Werewolf Harbour", "Necronomicon Island", "Goblin Wharf", "Siren Bay", "Tallow Reef", "Starlight Bay", "Mermaid Hollow", "Midnight Grotto", "Cutlass Cave", "Midnight Point", "Wolf Grotto", "Raptor Cave", "Thrush Hollow", "Moonrise Wharf", "Dracula Bay", "Necronomicon Anchorage", "Torchwood Grotto", "Doubloon Island", "Albatross Point", "Balrog Anchorage", "Midnight Hollow", "Cutlass Island", "Goblin Anchorage", "Torchwood Grotto", "Raptor Bay", "Sleepy Island", "Serpent Grotto", "Zodiac Point", "Doubloon Bay", "Moonrise Cave", "Imogen Hollow", "Dragon Anchorage", "Dragon Grotto", "Thrush Reef","Dreadnaught Mine", "Tallow Island", "Fang Reef", "Gunsmoke Reef", "Sunrise Bay", "Lovecraft Bay", "Mordor Harbour", "Hourglass Grotto", "Gunsmoke Wharf", "Lucifer Harbour", "Dreadnaught Wharf", "Thrush Harbour", "Blood Wharf", "Cutlass Cave", "Grogan Mine", "Siren Hollow", "Tallow Reef", "Shady Island", "Nightingale Anchorage", "Wolf Hollow", "Grogan Anchorage", "Lovecraft Hollow", "Shady Harbour", "Thrush Anchorage", "Shady Point", "Dreadnaught Mine", "Blood Wharf", "Iron Grotto", "Fleming Mine", "Moonrise Cave", "Starling Reef", "Raven Island", "Manticore Bay", "Tallow Bay", "Torchwood Harbour", "Bluebeard Mine", "Demon Harbour", "Nightmare Island", "Bluebeard Anchorage", "Goblin Reef", "Sunrise Grotto", "Thrush Bay", "Torchwood Harbour", "Grogan Point", "Werewolf Wharf", "Wolf Harbour", "Iron Island", "Lovecraft Bay", "Hellcat Grotto", "Dracula Wharf", "Albatross Reef", "Raptor Wharf", "Mordor Harbour", "Grogan Reef", "Talon Mine", "Raven Point", "Serpent Bay", "Hourglass Point", "Moonrise Point", "Hellcat Bay", "Gollum Cave", "Firebird Hollow", "Scorpio Reef", "Valentine Point",
// Galaxy 3
"Guartem Base", "Ashworth Redoubt", "Mansfield Bunker", "Charpin Warehouse", "Anicetus Redoubt", "Calico Chateau", "Teuta Warehouse", "Hawkins Springs", "Hendrick Depot", "Torrance Manor", "Mendoza Base", "Preston Chateau", "Pomerania Springs", "Henson Base", "Peterson Depot", "Herriot Waystation", "Mendoza Chateau", "Canoot Chateau", "Crabbe Base", "Barbarossa Keep", "Heinason Canyon", "Heinason Warehouse", "Pothorst Bunker", "Crabbe Springs", "Teuta Depot", "Pomerania Depot", "Jacobsen Base", "Mendoza Keep", "Eduardo Manor", "Cavendish Redoubt", "Heinason Canyon", "Preston Canyon", "Oxenham Keep", "Barnim Canyon", "Henson Warehouse", "Pugwash Chateau", "Oxenham Manor", "Kenki Manor", "Schouten Waystation", "Genthus Base", "Demetrius Manor", "Peterson Manor", "Vanclein Waystation", "Mansfield Warehouse", "Henson Depot", "Marteen Keep", "Drake Depot", "Hendrick Keep", "Fernando Manor", "Pomerania Waystation", "Pompeius Redoubt", "Pomerania Warehouse", "Easton Waystation", "Pardal Springs", "Mendoza Bunker", "Hawkins Manor", "Canoot Manor", "Maintenon Springs", "Teuta Waystation", "Easton Keep", "Peterson Canyon", "Barton Waystation", "Eduardo Chateau", "Teuta Warehouse","Hawkins Canyon", "Henson Manor", "Raveneau Redoubt", "Pomerania Chateau", "Blomar Depot", "Shirahama Springs", "Mansfield Redoubt", "Eduardo Chateau", "Matsura Depot", "Vanclein Depot", "Trondson Depot", "Donia Redoubt", "Bradish Manor", "Marteen Canyon", "Henson Warehouse", "Ashworth Warehouse", "Hendrick Springs", "Howell Redoubt", "Charpin Canyon", "Maintenon Waystation", "Jansen Springs", "Cavendish Warehouse", "Crabbe Bunker", "Calico Redoubt", "Kenki Bunker", "Herriot Springs", "Garcia Chateau", "Cavendish Manor", "Hendrick Base", "Pugwash Chateau", "Vanclein Canyon", "Maintenon Waystation", "Fletcher Redoubt", "Matsura Keep", "Jacobsen Keep", "Howell Depot", "Blomar Manor", "Pugwash Redoubt", "Barbarossa Bunker", "Gerlofs Manor", "Cavendish Waystation", "Jansen Canyon", "Shackleton Canyon", "Cornelius Depot", "Matsura Redoubt", "Jansen Keep", "Peterson Canyon", "Bradish Manor", "Hawkins Keep", "Hendrick Chateau", "Pechlin Base", "Guartem Keep", "Brasiliano Waystation", "Pomerania Redoubt", "Drake Springs", "Easton Warehouse", "Raveneau Manor", "Montauban Manor", "Demetrius Chateau", "Canoot Depot", "Calico Keep", "Anicetus Base", "Oxenham Canyon", "Peterson Keep", "Howell Manor", "Teuta Bunker", "Henson Bunker", "Raveneau Keep", "Garcia Bunker", "Jackson Manor", "Easton Waystation", "Shirahama Warehouse", "Howell Canyon", "Cockram Springs", "Cavendish Canyon", "Kristoffer Bunker", "Takanobu Redoubt", "Pompeius Manor", "Cavendish Chateau", "Teuta Redoubt", "Pompeius Springs", "Preston Waystation", "Pechlin Chateau", "Garcia Springs", "Cockram Warehouse", "Jackson Canyon", "Pechlin Depot", "Shirahama Springs", "Teuta Warehouse", "Easton Canyon", "Oxenham Depot", "Shirahama Warehouse", "Easton Depot", "Anicetus Springs", "Demetrius Canyon", "Brasiliano Canyon", "Fernando Keep", "Gerlofs Base", "Montauban Depot", "Garcia Bunker", "Montauban Keep", "Brasiliano Keep", "Pompeius Waystation", "Shirahama Depot", "Barton Base", "Marteen Base", "Demetrius Chateau", "Pomerania Waystation", "Easton Waystation", "Trondson Chateau", "Cornelius Canyon", "Rochussen Base", "Barton Waystation", "Cornelius Base", "Hendrick Canyon", "Pardal Springs", "Gerlofs Warehouse", "Bradish Chateau", "Marteen Canyon", "Eduardo Warehouse", "Demetrius Keep", "Donia Depot", "Cornelius Warehouse", "Montauban Canyon", "Bradish Manor", "Drake Keep", "Mansfield Base", "Cavendish Keep","Vanclein Canyon", "Fletcher Waystation", "Herriot Manor", "Jansen Canyon", "Easton Redoubt", "Cornelius Base", "Bradish Warehouse", "Howell Keep", "Ashworth Base", "Barbarossa Chateau", "Barnim Depot", "Matsura Chateau", "Pothorst Depot", "Pompeius Canyon", "Barbarossa Base", "Henson Base", "Ashworth Waystation", "Mendoza Keep", "Pompeius Depot", "Heinason Manor", "Garcia Chateau", "Matsura Base", "Peterson Manor", "Cavendish Springs", "Maintenon Base", "Henson Warehouse", "Herriot Springs", "Garcia Keep", "Shirahama Waystation", "Jackson Manor", "Teuta Waystation", "Demetrius Depot", "Ashworth Chateau", "Pugwash Waystation", "Gerlofs Chateau", "Barnim Warehouse", "Pechlin Base", "Brasiliano Redoubt", "Barbarossa Waystation", "Jacobsen Redoubt", "Blomar Redoubt", "Kristoffer Waystation", "Pomerania Depot", "Bradish Springs", "Schouten Manor", "Guartem Redoubt", "Brasiliano Springs", "Peterson Chateau", "Easton Canyon", "Montauban Waystation", "Ashworth Springs", "Ashworth Keep", "Pugwash Keep", "Maintenon Warehouse", "Cavendish Redoubt", "Hawkins Springs", "Shackleton Warehouse", "Drake Warehouse", "Charpin Redoubt", "Jansen Chateau", "Pothorst Bunker", "Jackson Manor", "Donia Warehouse", "Trondson Chateau",
// Galaxy 4
"Imogen Hollow", "Bluebird Cave", "Pale Cave", "Blackbird Wharf", "Talon Mine", "Banshee Hollow", "Nightmare Mine", "Bluebird Harbour", "Frankenstein Hollow", "Banshee Cave", "Imogen Grotto", "Valentine Bay", "Banshee Mine", "Nightingale Point", "Sunrise Reef", "Starlight Mine", "Nightmare Grotto", "Balrog Mine", "Skull Grotto", "Werewolf Reef", "Valentine Harbour", "Valentine Anchorage", "Necronomicon Reef", "Lucifer Grotto", "Grogan Anchorage", "Doubloon Mine", "Dragon Cave", "Dreadnaught Bay", "Demon Point", "Tallow Cave", "Demon Harbour", "Eastwood Reef", "Talon Island", "Midnight Island", "Cutlass Hollow", "Albatross Bay", "Grogan Wharf", "Gunsmoke Island", "Bluebeard Point", "Werewolf Bay", "Hellcat Grotto", "Bluebeard Bay", "Bluebird Reef", "Tallow Cave", "Fireball Mine", "Moonrise Hollow", "Moonrise Anchorage", "Cutlass Point", "Albatross Hollow", "Blackbird Wharf", "Iron Hollow", "Shady Bay", "Lovecraft Mine", "Skull Island", "Fireball Harbour", "Necronomicon Hollow", "Sleepy Anchorage", "Fleming Mine", "Gollum Mine", "Albatross Mine", "Nightmare Bay", "Claw Anchorage", "Raptor Wharf", "Goblin Harbour","Hourglass Wharf", "Nightingale Wharf", "Bluebeard Harbour", "Shady Cave", "Demon Grotto", "Nightingale Wharf", "Moonrise Point", "Balrog Harbour", "Necronomicon Hollow", "Phoenix Point", "Goblin Cave", "Gollum Reef", "Bluebeard Wharf", "Mermaid Point", "Moonrise Cave", "Sunrise Anchorage", "Thrush Anchorage", "Skull Point", "Talon Hollow", "Claw Wharf", "Eastwood Island", "Serpent Anchorage", "Lovecraft Harbour", "Thrush Point", "Scorpio Mine", "Albatross Reef", "Bluebeard Mine", "Thrush Point", "Midnight Mine", "Hellcat Hollow", "Scorpio Harbour", "Midnight Island", "Hellcat Bay", "Starling Cave", "Dracula Wharf", "Skeleton Hollow", "Firebird Wharf", "Mordor Grotto", "Banshee Bay", "Valentine Grotto", "Moonrise Hollow", "Phoenix Harbour", "Valentine Grotto", "Dreadnaught Island", "Iron Point", "Nightingale Point", "Skeleton Grotto", "Bluebeard Anchorage", "Zodiac Bay", "Mordor Point", "Siren Island", "Sparrow Hollow", "Zodiac Cave", "Demon Island", "Valentine Hollow", "Raven Anchorage", "Skeleton Wharf", "Imogen Cave", "Imogen Mine", "Starlight Island", "Fang Anchorage", "Wolf Hollow", "Grogan Cave", "Gollum Bay", "Lovecraft Harbour", "Mermaid Island", "Sunrise Wharf", "Mordor Bay", "Mordor Point", "Fang Reef", "Shady Hollow", "Manticore Bay", "Blood Hollow", "Blackbird Anchorage", "Pale Mine", "Werewolf Cave", "Cutlass Island", "Manticore Cave", "Shady Anchorage", "Mordor Harbour", "Raven Mine", "Werewolf Cave", "Grogan Anchorage", "Demon Anchorage", "Hourglass Grotto", "Werewolf Point", "Moonrise Hollow", "Lucifer Grotto", "Lovecraft Wharf", "Sunset Bay", "Eastwood Hollow", "Mermaid Bay", "Hellcat Point", "Talon Anchorage", "Zodiac Hollow", "Bluebeard Point", "Imogen Grotto", "Talon Harbour", "Bluebeard Harbour", "Bluebeard Point", "Firebird Bay", "Zodiac Cave", "Dracula Reef", "Dragon Mine", "Gollum Bay", "Bluebell Point", "Goblin Cave", "Tallow Wharf", "Moonrise Mine", "Pale Reef", "Doubloon Anchorage", "Siren Anchorage", "Starling Mine", "Bluebeard Cave", "Valentine Reef", "Skeleton Anchorage", "Banshee Grotto", "Sunset Cave", "Skeleton Hollow", "Claw Grotto", "Wolf Harbour", "Doubloon Mine", "Fireball Harbour", "Talon Island", "Zodiac Cave", "Mermaid Island", "Eastwood Harbour", "Iron Hollow","Siren Point", "Raven Island", "Moonrise Harbour", "Shady Reef", "Bluebeard Hollow", "Dreadnaught Wharf", "Frankenstein Harbour", "Gollum Island", "Bluebird Harbour", "Talon Mine", "Banshee Bay", "Necronomicon Reef", "Firebird Reef", "Hourglass Reef", "Tallow Bay", "Talon Bay", "Scorpio Grotto", "Serpent Anchorage", "Fireball Grotto", "Raptor Island", "Goblin Anchorage", "Iron Island", "Firebird Harbour", "Sleepy Anchorage", "Gunsmoke Hollow", "Scorpio Mine", "Raptor Mine", "Frankenstein Grotto", "Scorpio Hollow", "Sparrow Cave", "Serpent Cave", "Balrog Hollow", "Blackbird Cave", "Albatross Island", "Scorpio Island", "Bluebeard Bay", "Serpent Harbour", "Bluebell Island", "Nightingale Bay", "Siren Point", "Dreadnaught Bay", "Dracula Reef", "Werewolf Cave", "Pale Mine", "Bluebird Cave", "Cutlass Island", "Talon Harbour", "Midnight Hollow", "Eastwood Mine", "Bluebeard Wharf", "Torchwood Grotto", "Frankenstein Wharf", "Goblin Mine", "Midnight Mine", "Blood Island", "Imogen Anchorage", "Scorpio Wharf", "Dreadnaught Island", "Midnight Bay", "Demon Wharf", "Serpent Harbour", "Demon Grotto", "Grogan Bay", "Necronomicon Island",
// Galaxy 5
"Pompeius Bunker", "Donia Keep", "Torrance Canyon", "Montauban Keep", "Kenki Keep", "Brasiliano Waystation", "Cavendish Redoubt", "Genthus Base", "Genthus Manor", "Kristoffer Springs", "Cavendish Bunker", "Genthus Depot", "Crabbe Canyon", "Guartem Keep", "Pechlin Manor", "Pugwash Depot", "Heinason Keep", "Canoot Canyon", "Fernando Warehouse", "Kenki Keep", "Easton Depot", "Jackson Manor", "Marteen Canyon", "Garcia Base", "Kristoffer Springs", "Fernando Bunker", "Blomar Chateau", "Guartem Base", "Cockram Chateau", "Canoot Keep", "Ashworth Keep", "Shackleton Base", "Canoot Redoubt", "Jacobsen Canyon", "Charpin Redoubt", "Rochussen Keep", "Calico Bunker", "Trondson Manor", "Pomerania Keep", "Takanobu Waystation", "Takanobu Warehouse", "Takanobu Base", "Herriot Bunker", "Henson Chateau", "Cornelius Base", "Jacobsen Manor", "Hendrick Springs", "Raveneau Redoubt", "Crabbe Springs", "Charpin Waystation", "Pothorst Manor", "Bradish Chateau", "Eduardo Warehouse", "Heinason Warehouse", "Trondson Canyon", "Mendoza Keep", "Marteen Warehouse", "Pothorst Chateau", "Rochussen Base", "Matsura Bunker", "Eduardo Warehouse", "Bradish Keep", "Herriot Waystation", "Maintenon Springs","Maintenon Bunker", "Charpin Chateau", "Blomar Keep", "Cockram Warehouse", "Drake Depot", "Donia Manor", "Blomar Chateau", "Charpin Base", "Barton Redoubt", "Vanclein Warehouse", "Barnim Manor", "Eduardo Springs", "Canoot Redoubt", "Maintenon Bunker", "Guartem Warehouse", "Shirahama Manor", "Barton Manor", "Schouten Waystation", "Matsura Manor", "Schouten Manor", "Cornelius Redoubt", "Montauban Bunker", "Eduardo Keep", "Canoot Canyon", "Matsura Base", "Pomerania Bunker", "Fletcher Base", "Anicetus Redoubt", "Hendrick Canyon", "Herriot Bunker", "Jackson Chateau", "Genthus Warehouse", "Montauban Keep", "Garcia Redoubt", "Preston Warehouse", "Jacobsen Base", "Pechlin Warehouse", "Jacobsen Bunker", "Ashworth Base", "Pompeius Bunker", "Pomerania Canyon", "Ashworth Redoubt", "Fernando Bunker", "Jacobsen Warehouse", "Trondson Manor", "Charpin Waystation", "Jacobsen Keep", "Raveneau Canyon", "Jacobsen Canyon", "Fletcher Bunker", "Preston Depot", "Eduardo Chateau", "Kenki Base", "Barnim Bunker", "Marteen Redoubt", "Charpin Redoubt", "Shackleton Manor", "Jacobsen Springs", "Crabbe Base", "Fernando Springs", "Barnim Bunker", "Maintenon Base", "Kristoffer Redoubt", "Peterson Canyon", "Heinason Waystation", "Rochussen Waystation", "Pardal Depot", "Pechlin Depot", "Pardal Warehouse", "Schouten Canyon", "Bradish Base", "Montauban Canyon", "Maintenon Bunker", "Oxenham Bunker", "Brasiliano Waystation", "Barton Waystation", "Jackson Bunker", "Barbarossa Manor", "Critchett Manor", "Brasiliano Manor", "Heinason Warehouse", "Gerlofs Waystation", "Vanclein Bunker", "Calico Keep", "Barton Redoubt", "Teuta Bunker", "Blomar Warehouse", "Jansen Bunker", "Bradish Warehouse", "Hawkins Depot", "Jackson Base", "Barton Waystation", "Pugwash Base", "Demetrius Keep", "Takanobu Depot", "Raveneau Warehouse", "Cornelius Depot", "Hawkins Depot", "Pomerania Chateau", "Raveneau Chateau", "Oxenham Manor", "Heinason Keep", "Barnim Base", "Pugwash Redoubt", "Pechlin Canyon", "Barton Springs", "Howell Chateau", "Cockram Waystation", "Kenki Canyon", "Hendrick Keep", "Vanclein Springs", "Torrance Bunker", "Raveneau Chateau", "Takanobu Depot", "Cockram Bunker", "Maintenon Warehouse", "Fernando Springs", "Cavendish Canyon", "Cavendish Depot", "Fletcher Springs", "Jacobsen Base", "Pechlin Manor", "Pomerania Chateau", "Howell Redoubt", "Maintenon Chateau", "Donia Springs", "Jacobsen Keep", "Pechlin Redoubt","Jansen Warehouse", "Teuta Canyon", "Genthus Manor", "Montauban Canyon", "Guartem Chateau", "Mansfield Base", "Mendoza Warehouse", "Crabbe Chateau", "Charpin Manor", "Mansfield Manor", "Rochussen Warehouse", "Anicetus Canyon", "Jansen Keep", "Barnim Canyon", "Marteen Springs", "Mendoza Bunker", "Easton Warehouse", "Shirahama Canyon", "Barton Springs", "Shirahama Base", "Hawkins Base", "Demetrius Manor", "Maintenon Keep", "Pomerania Bunker", "Pugwash Manor", "Blomar Bunker", "Hawkins Waystation", "Ashworth Chateau", "Pomerania Keep", "Barbarossa Warehouse", "Cornelius Waystation", "Donia Redoubt", "Schouten Bunker", "Teuta Bunker", "Blomar Manor", "Pardal Waystation", "Marteen Canyon", "Pomerania Canyon", "Pardal Chateau", "Howell Canyon", "Cavendish Keep", "Pothorst Springs", "Shirahama Waystation", "Henson Depot", "Matsura Canyon", "Kristoffer Redoubt", "Gerlofs Waystation", "Kenki Chateau", "Calico Bunker", "Demetrius Springs", "Maintenon Bunker", "Cornelius Springs", "Jackson Redoubt", "Hendrick Manor", "Genthus Depot", "Cavendish Bunker", "Fernando Chateau", "Pardal Depot", "Blomar Chateau", "Schouten Canyon", "Charpin Bunker", "Pompeius Redoubt", "Barbarossa Warehouse", "Hawkins Chateau",
// Galaxy 6
"Shady Grotto", "Scorpio Wharf", "Dragon Cave", "Mordor Anchorage", "Banshee Grotto", "Mermaid Bay", "Nightingale Reef", "Bluebeard Point", "Lucifer Bay", "Phoenix Mine", "Necronomicon Mine", "Bluebeard Hollow", "Goblin Wharf", "Thrush Island", "Sleepy Point", "Grogan Wharf", "Fireball Cave", "Mermaid Mine", "Balrog Point", "Imogen Wharf", "Blood Reef", "Tallow Point", "Thrush Wharf", "Shady Mine", "Mermaid Reef", "Bluebird Bay", "Grogan Island", "Phoenix Harbour", "Lucifer Mine", "Manticore Harbour", "Scorpio Island", "Mermaid Grotto", "Iron Reef", "Necronomicon Bay", "Lucifer Cave", "Sunset Reef", "Goblin Wharf", "Dracula Wharf", "Dreadnaught Cave", "Nightmare Island", "Dragon Grotto", "Iron Reef", "Hourglass Anchorage", "Siren Point", "Iron Reef", "Claw Point", "Werewolf Island", "Nightmare Island", "Dragon Wharf", "Cutlass Grotto", "Manticore Wharf", "Bluebeard Anchorage", "Bluebeard Cave", "Skeleton Anchorage", "Moonrise Bay", "Werewolf Grotto", "Serpent Reef", "Lovecraft Island", "Imogen Cave", "Serpent Grotto", "Cutlass Cave", "Goblin Bay", "Wolf Cave", "Fang Island","Fireball Anchorage", "Hourglass Hollow", "Grogan Reef", "Fireball Anchorage", "Dreadnaught Point", "Doubloon Bay", "Frankenstein Anchorage", "Phoenix Mine", "Raven Wharf", "Doubloon Anchorage", "Claw Hollow", "Hellcat Bay", "Raven Island", "Nightmare Point", "Sunrise Grotto", "Fireball Harbour", "Blackbird Island", "Doubloon Point", "Manticore Hollow", "Zodiac Harbour", "Mermaid Bay", "Serpent Harbour", "Siren Reef", "Claw Grotto", "Zodiac Mine", "Gunsmoke Island", "Claw Island", "Firebird Cave", "Zodiac Anchorage", "Blood Reef", "Fleming Wharf", "Phoenix Island", "Starlight Wharf", "Moonrise Hollow", "Fireball Wharf", "Banshee Island", "Cutlass Point", "Mordor Reef", "Dracula Point", "Torchwood Hollow", "Dracula Reef", "Werewolf Point", "Albatross Grotto", "Zodiac Grotto", "Doubloon Reef", "Blackbird Island", "Eastwood Harbour", "Fang Mine", "Frankenstein Cave", "Scorpio Harbour", "Blood Grotto", "Mermaid Wharf", "Scorpio Bay", "Raptor Hollow", "Phoenix Point", "Zodiac Island", "Lucifer Wharf", "Raven Mine", "Skeleton Wharf", "Moonrise Bay", "Scorpio Harbour", "Necronomicon Reef", "Raven Harbour", "Sunrise Anchorage", "Dracula Harbour", "Mordor Grotto", "Frankenstein Bay", "Sparrow Mine", "Firebird Mine", "Manticore Mine", "Blackbird Mine", "Dreadnaught Reef", "Raptor Bay", "Doubloon Anchorage", "Firebird Point", "Balrog Wharf", "Bluebell Point", "Sleepy Reef", "Werewolf Grotto", "Shady Island", "Werewolf Point", "Zodiac Island", "Necronomicon Bay", "Lovecraft Wharf", "Firebird Bay", "Mordor Hollow", "Wolf Island", "Bluebeard Island", "Goblin Hollow", "Claw Cave", "Doubloon Cave", "Gunsmoke Wharf", "Starlight Reef", "Midnight Wharf", "Banshee Island", "Skull Grotto", "Moonrise Grotto", "Skull Island", "Moonrise Point", "Raven Anchorage", "Fireball Harbour", "Dracula Anchorage", "Sunrise Reef", "Claw Grotto", "Hellcat Reef", "Firebird Anchorage", "Werewolf Reef", "Moonrise Point", "Manticore Point", "Frankenstein Hollow", "Balrog Bay", "Thrush Cave", "Sleepy Anchorage", "Wolf Hollow", "Tallow Cave", "Raven Cave", "Siren Wharf", "Necronomicon Island", "Claw Anchorage", "Pale Point", "Hellcat Bay", "Nightmare Anchorage", "Torchwood Mine", "Mermaid Anchorage", "Demon Harbour", "Torchwood Point", "Mermaid Grotto", "Serpent Cave","Bluebeard Mine", "Midnight Mine", "Sleepy Hollow", "Fang Cave", "Mermaid Island", "Goblin Bay", "Bluebird Wharf", "Mordor Anchorage", "Phoenix Wharf", "Albatross Bay", "Nightmare Hollow", "Skull Reef", "Zodiac Mine", "Scorpio Reef", "Sunrise Harbour", "Torchwood Anchorage", "Eastwood Grotto", "Moonrise Reef", "Necronomicon Grotto", "Balrog Anchorage", "Albatross Grotto", "Grogan Hollow", "Frankenstein Point", "Bluebeard Island", "Eastwood Mine", "Nightmare Reef", "Mermaid Wharf", "Gollum Harbour", "Lovecraft Island", "Gunsmoke Grotto", "Valentine Hollow", "Sunset Harbour", "Nightingale Wharf", "Starling Reef", "Hourglass Island", "Nightmare Island", "Imogen Island", "Talon Anchorage", "Raptor Cave", "Skull Grotto", "Torchwood Grotto", "Sunrise Reef", "Nightmare Wharf", "Hourglass Anchorage", "Scorpio Point", "Hellcat Bay", "Shady Grotto", "Manticore Hollow", "Doubloon Point", "Talon Hollow", "Scorpio Point", "Starling Reef", "Bluebird Mine", "Midnight Harbour", "Dragon Cave", "Starlight Mine", "Manticore Mine", "Demon Wharf", "Lucifer Hollow", "Skull Grotto", "Albatross Anchorage", "Frankenstein Island", "Dreadnaught Point", "Necronomicon Bay",
// Galaxy 7
"Drake Keep", "Cornelius Waystation", "Maintenon Waystation", "Drake Canyon", "Takanobu Manor", "Cornelius Redoubt", "Jackson Chateau", "Shirahama Springs", "Schouten Depot", "Henson Chateau", "Brasiliano Warehouse", "Blomar Bunker", "Marteen Manor", "Heinason Manor", "Peterson Bunker", "Oxenham Springs", "Hendrick Warehouse", "Charpin Springs", "Pompeius Base", "Pomerania Canyon", "Howell Waystation", "Critchett Depot", "Herriot Bunker", "Raveneau Chateau", "Takanobu Canyon", "Fletcher Waystation", "Barnim Canyon", "Henson Manor", "Donia Base", "Guartem Bunker", "Hawkins Keep", "Henson Keep", "Crabbe Manor", "Raveneau Bunker", "Cockram Depot", "Maintenon Canyon", "Brasiliano Keep", "Blomar Chateau", "Preston Keep", "Marteen Warehouse", "Pomerania Springs", "Oxenham Depot", "Pomerania Canyon", "Critchett Manor", "Cockram Canyon", "Pardal Chateau", "Pothorst Chateau", "Mansfield Base", "Pomerania Depot", "Montauban Springs", "Gerlofs Redoubt", "Crabbe Warehouse", "Gerlofs Warehouse", "Maintenon Base", "Schouten Chateau", "Hawkins Waystation", "Shackleton Springs", "Barbarossa Chateau", "Peterson Manor", "Raveneau Keep", "Pompeius Redoubt", "Kristoffer Warehouse", "Fernando Waystation", "Demetrius Keep","Drake Redoubt", "Barbarossa Bunker", "Trondson Springs", "Pomerania Keep", "Rochussen Bunker", "Bradish Redoubt", "Calico Depot", "Ashworth Keep", "Gerlofs Depot", "Jacobsen Warehouse", "Bradish Depot", "Cornelius Chateau", "Vanclein Chateau", "Genthus Manor", "Jansen Canyon", "Shirahama Springs", "Kristoffer Redoubt", "Henson Waystation", "Charpin Waystation", "Cavendish Depot", "Anicetus Waystation", "Shackleton Bunker", "Mendoza Depot", "Eduardo Waystation", "Cornelius Waystation", "Cavendish Redoubt", "Bradish Waystation", "Jackson Redoubt", "Peterson Warehouse", "Mendoza Springs", "Pomerania Canyon", "Maintenon Bunker", "Shirahama Keep", "Calico Bunker", "Oxenham Waystation", "Brasiliano Manor", "Cornelius Manor", "Guartem Canyon", "Pomerania Manor", "Fletcher Manor", "Donia Bunker", "Schouten Depot", "Ashworth Depot", "Guartem Canyon", "Pardal Keep", "Eduardo Keep", "Gerlofs Waystation", "Matsura Bunker", "Mendoza Bunker", "Barnim Warehouse", "Donia Base", "Canoot Bunker", "Brasiliano Bunker", "Oxenham Depot", "Drake Canyon", "Shirahama Manor", "Hawkins Bunker", "Demetrius Depot", "Matsura Warehouse", "Drake Bunker", "Shirahama Springs", "Kenki Keep", "Fernando Canyon", "Jacobsen Base", "Guartem Canyon", "Schouten Redoubt", "Henson Base", "Pomerania Bunker", "Demetrius Warehouse", "Canoot Chateau", "Vanclein Warehouse", "Demetrius Depot", "Brasiliano Chateau", "Pomerania Canyon", "Preston Bunker", "Howell Manor", "Cornelius Redoubt", "Takanobu Chateau", "Kenki Warehouse", "Bradish Keep", "Easton Keep", "Peterson Base", "Donia Redoubt", "Pugwash Manor", "Schouten Redoubt", "Mendoza Base", "Fernando Base", "Barton Base", "Pechlin Bunker", "Hawkins Base", "Peterson Chateau", "Hendrick Waystation", "Gerlofs Redoubt", "Schouten Base", "Preston Canyon", "Pechlin Depot", "Fletcher Keep", "Mansfield Redoubt", "Jansen Manor", "Teuta Chateau", "Donia Canyon", "Vanclein Manor", "Maintenon Bunker", "Pomerania Chateau", "Fernando Manor", "Demetrius Keep", "Guartem Depot", "Barton Bunker", "Hendrick Springs", "Anicetus Bunker", "Matsura Manor", "Barbarossa Chateau", "Canoot Base", "Shackleton Canyon", "Kristoffer Canyon", "Pothorst Base", "Pothorst Canyon", "Heinason Waystation", "Pugwash Keep", "Guartem Keep", "Mansfield Manor", "Takanobu Base", "Montauban Depot", "Henson Keep", "Barnim Canyon", "Anicetus Springs", "Shirahama Manor", "Mendoza Warehouse","Matsura Depot", "Drake Base", "Donia Manor", "Fernando Warehouse", "Demetrius Base", "Bradish Manor", "Pechlin Chateau", "Jacobsen Base", "Takanobu Redoubt", "Eduardo Chateau", "Barbarossa Bunker", "Fernando Chateau", "Fernando Bunker", "Fernando Base", "Kristoffer Springs", "Montauban Warehouse", "Anicetus Bunker", "Vanclein Canyon", "Ashworth Bunker", "Fernando Warehouse", "Cavendish Waystation", "Fletcher Chateau", "Schouten Keep", "Pompeius Depot", "Bradish Manor", "Brasiliano Base", "Calico Springs", "Pothorst Depot", "Mansfield Redoubt", "Pomerania Springs", "Bradish Manor", "Pechlin Redoubt", "Howell Manor", "Jackson Springs", "Jackson Redoubt", "Charpin Warehouse", "Drake Chateau", "Bradish Warehouse", "Kenki Warehouse", "Torrance Warehouse", "Mendoza Depot", "Barton Keep", "Rochussen Springs", "Jansen Springs", "Pompeius Base", "Matsura Redoubt", "Herriot Warehouse", "Schouten Depot", "Critchett Warehouse", "Peterson Bunker", "Pomerania Depot", "Jansen Redoubt", "Ashworth Warehouse", "Marteen Waystation", "Demetrius Base", "Demetrius Springs", "Guartem Bunker", "Calico Redoubt", "Calico Warehouse", "Drake Warehouse", "Rochussen Springs", "Oxenham Warehouse", "Vanclein Bunker", "Jackson Canyon",
// Galaxy 8
"Tallow Wharf", "Scorpio Anchorage", "Blood Hollow", "Bluebeard Mine", "Skull Hollow", "Skeleton Cave", "Valentine Harbour", "Lovecraft Anchorage", "Cutlass Wharf", "Necronomicon Wharf", "Eastwood Hollow", "Mermaid Island", "Iron Bay", "Zodiac Harbour", "Sunrise Hollow", "Doubloon Anchorage", "Shady Harbour", "Hellcat Hollow", "Bluebird Anchorage", "Gollum Cave", "Starlight Grotto", "Phoenix Bay", "Serpent Hollow", "Necronomicon Point", "Bluebeard Hollow", "Zodiac Anchorage", "Mermaid Grotto", "Scorpio Hollow", "Serpent Wharf", "Nightingale Island", "Skull Hollow", "Hellcat Anchorage", "Banshee Bay", "Zodiac Bay", "Goblin Grotto", "Bluebell Hollow", "Phoenix Harbour", "Cutlass Bay", "Skeleton Grotto", "Fleming Mine", "Sunrise Reef", "Midnight Point", "Bluebell Point", "Midnight Hollow", "Gunsmoke Bay", "Starlight Point", "Blood Mine", "Werewolf Mine", "Fang Wharf", "Fireball Harbour", "Werewolf Cave", "Albatross Point", "Firebird Mine", "Tallow Island", "Gollum Island", "Doubloon Wharf", "Fleming Point", "Blood Grotto", "Raptor Grotto", "Sparrow Mine", "Phoenix Point", "Sleepy Hollow", "Dreadnaught Harbour", "Werewolf Point","Bluebird Anchorage", "Necronomicon Reef", "Valentine Cave", "Thrush Harbour", "Gollum Island", "Banshee Cave", "Eastwood Mine", "Wolf Cave", "Lovecraft Grotto", "Bluebell Harbour", "Mordor Point", "Imogen Island", "Scorpio Point", "Thrush Anchorage", "Lucifer Mine", "Serpent Island", "Fleming Grotto", "Cutlass Point", "Eastwood Wharf", "Hourglass Anchorage", "Siren Anchorage", "Shady Island", "Iron Anchorage", "Starling Bay", "Hourglass Bay", "Firebird Point", "Bluebeard Wharf", "Starlight Grotto", "Phoenix Wharf", "Nightmare Point", "Manticore Grotto", "Tallow Cave", "Fleming Grotto", "Blood Grotto", "Imogen Point", "Tallow Mine", "Raven Bay", "Hourglass Point", "Iron Anchorage", "Mordor Grotto", "Fleming Harbour", "Lovecraft Grotto", "Iron Mine", "Iron Mine", "Hourglass Hollow", "Gunsmoke Cave", "Skeleton Bay", "Imogen Harbour", "Manticore Bay", "Imogen Harbour", "Bluebell Island", "Banshee Bay", "Starlight Point", "Bluebeard Point", "Pale Island", "Nightmare Wharf", "Fleming Reef", "Blood Mine", "Hellcat Grotto", "Midnight Harbour", "Thrush Hollow", "Dracula Hollow", "Midnight Anchorage", "Dreadnaught Hollow", "Mordor Harbour", "Tallow Grotto", "Gunsmoke Harbour", "Wolf Harbour", "Mermaid Mine", "Manticore Bay", "Goblin Bay", "Firebird Bay", "Mermaid Cave", "Skeleton Mine", "Lucifer Mine", "Lucifer Island", "Midnight Hollow", "Banshee Mine", "Iron Harbour", "Bluebell Cave", "Banshee Mine", "Dragon Island", "Skeleton Point", "Scorpio Anchorage", "Midnight Hollow", "Siren Island", "Doubloon Bay", "Manticore Cave", "Sunset Harbour", "Lovecraft Cave", "Fleming Island", "Starlight Wharf", "Nightingale Bay", "Sleepy Mine", "Starling Bay", "Fleming Wharf", "Fleming Harbour", "Shady Island", "Lovecraft Harbour", "Goblin Grotto", "Valentine Mine", "Sleepy Mine", "Valentine Harbour", "Torchwood Grotto", "Phoenix Island", "Mermaid Harbour", "Gunsmoke Mine", "Tallow Mine", "Sunset Grotto", "Sunrise Anchorage", "Dreadnaught Anchorage", "Mordor Island", "Thrush Cave", "Valentine Mine", "Hourglass Island", "Bluebird Mine", "Nightingale Point", "Nightmare Grotto", "Manticore Mine", "Blood Point", "Grogan Anchorage", "Hourglass Bay", "Talon Wharf", "Starlight Harbour", "Bluebird Wharf", "Lovecraft Hollow", "Moonrise Reef", "Starlight Bay","Skeleton Harbour", "Thrush Cave", "Raptor Hollow", "Gollum Cave", "Raven Point", "Siren Island", "Dreadnaught Point", "Siren Grotto", "Hellcat Bay", "Bluebird Bay", "Imogen Mine", "Bluebird Harbour", "Valentine Wharf", "Sunset Wharf", "Fang Point", "Valentine Cave", "Scorpio Grotto", "Bluebird Grotto", "Skull Island", "Scorpio Hollow", "Skeleton Harbour", "Gunsmoke Bay", "Grogan Hollow", "Necronomicon Cave", "Sunset Mine", "Dracula Anchorage", "Frankenstein Harbour", "Fleming Island", "Raptor Bay", "Iron Bay", "Bluebeard Grotto", "Thrush Mine", "Scorpio Anchorage", "Goblin Wharf", "Dracula Island", "Frankenstein Harbour", "Raptor Hollow", "Thrush Reef", "Dragon Harbour", "Claw Cave", "Zodiac Wharf", "Nightmare Reef", "Doubloon Point", "Mermaid Harbour", "Thrush Reef", "Tallow Mine", "Cutlass Mine", "Raptor Reef", "Firebird Point", "Raven Point", "Pale Mine", "Sunrise Anchorage", "Hourglass Mine", "Frankenstein Reef", "Wolf Anchorage", "Sunrise Cave", "Valentine Wharf", "Fleming Reef", "Talon Bay", "Blackbird Point", "Talon Harbour", "Sleepy Grotto", "Albatross Reef", "Lovecraft Cave",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Toad Hall"];

// Overflow Pool for Pirate Coves (256 Names).
this.piratecovepool3 = [
"Urbina Point", "Dampier Keep", "Morales Bunker", "Gustavo Keep", "Chalbaud Anchorage", "Urbina Grotto", "Machado Depot", "Nancupel Base", "Merideth Island", "Diabolito Keep", "Penner Wharf", "Chalbaud Bunker", "Merideth Base", "Dampier Anchorage", "Almeida Wharf", "Candish Anchorage", "Machado Hollow", "Dampier Chateau", "Nancupel Keep", "Almeida Chateau", "Rackham Point", "Candish Mine", "Copeland Keep", "Sutton Wharf", "Vidal Canyon", "Plantain Bunker", "Lafitte Grotto", "Gustavo Grotto", "Cofresi Reef", "Candish Redoubt", "Sutton Warehouse", "Merideth Base", "Sutton Bunker", "Beluche Point", "Merideth Chateau", "Nancupel Depot", "Beluche Grotto", "Candish Mine", "Gustavo Bunker", "Narciso Keep", "Copeland Hollow", "Thurber Harbour", "Diabolito Depot", "Cofresi Depot", "Penner Canyon", "Neumann Springs", "Rackham Warehouse", "Merideth Bay", "Sutton Hollow", "Almeida Mine", "Copeland Reef", "Rackham Canyon", "Hamidou Island", "Dampier Base", "Hamidou Waystation", "Harper Warehouse", "Penner Grotto", "Gustavo Base", "Thurber Warehouse", "Hamidou Springs", "Bouchard Island", "Neumann Harbour", "Almeida Grotto", "Chalbaud Reef","Neumann Hollow", "Almeida Redoubt", "Vidal Warehouse", "Harper Canyon", "Morales Base", "Thurber Base", "Neumann Mine", "Rackham Anchorage", "Dampier Waystation", "Machado Point", "Penner Island", "Nancupel Hollow", "Dampier Mine", "Beluche Depot", "Harper Grotto", "Neumann Hollow", "Penner Canyon", "Neumann Manor", "Jordan Island", "Merideth Chateau", "Copeland Island", "Bouchard Bay", "Bertram Wharf", "Narciso Point", "Nancupel Waystation", "Lafitte Mine", "Merideth Hollow", "Almeida Warehouse", "Penner Point", "Nancupel Base", "Sutton Base", "Tuanku Island", "Miranda Depot", "Almeida Harbour", "Nancupel Chateau", "Vidal Bay", "Plantain Manor", "Beluche Bay", "Nancupel Grotto", "Candish Keep", "Gustavo Manor", "Tuanku Grotto", "Thurber Wharf", "Plantain Island", "Jordan Hollow", "Bouchard Wharf", "Morales Redoubt", "Nancupel Springs", "Copeland Hollow", "Neumann Base", "Penner Hollow", "Beluche Chateau", "Weaver Depot", "Dampier Wharf", "Gambi Mine", "Lafitte Hollow", "Tuanku Waystation", "Urbina Harbour", "Gustavo Depot", "Hamidou Reef", "Tuanku Harbour", "Bertram Chateau", "Sutton Hollow", "Gambi Mine", "Thurber Keep", "Bouchard Mine", "Sutton Bunker", "Gambi Chateau", "Weaver Keep", "Diabolito Hollow", "Almeida Harbour", "Diabolito Bunker", "Almeida Wharf", "Nancupel Base", "Diabolito Hollow", "Urbina Wharf", "Copeland Depot", "Urbina Chateau", "Bertram Bay", "Narciso Cave", "Jordan Point", "Chalbaud Mine", "Almeida Bunker", "Lafitte Keep", "Tuanku Warehouse", "Chalbaud Point", "Machado Mine", "Chalbaud Manor", "Rackham Warehouse", "Dampier Wharf", "Hamidou Manor", "Thurber Reef", "Gustavo Redoubt", "Morales Anchorage", "Bertram Redoubt", "Rackham Reef", "Hamidou Springs", "Vidal Anchorage", "Sutton Depot", "Vidal Bunker", "Rackham Reef", "Penner Point", "Vidal Keep", "Vidal Bunker", "Sutton Point", "Machado Cave", "Merideth Reef", "Merideth Anchorage", "Weaver Wharf", "Chalbaud Bunker", "Vidal Bunker", "Bouchard Harbour", "Cofresi Redoubt", "Neumann Manor", "Tuanku Warehouse", "Miranda Island", "Thurber Canyon", "Lafitte Grotto", "Thurber Warehouse", "Diabolito Bay", "Nancupel Anchorage", "Sutton Redoubt", "Rackham Keep", "Jordan Cave", "Nancupel Keep", "Gambi Reef", "Bertram Bay", "Plantain Island","Gambi Bay", "Sutton Canyon", "Chalbaud Chateau", "Gambi Anchorage", "Bertram Grotto", "Candish Island", "Chalbaud Point", "Chalbaud Springs", "Chalbaud Bay", "Diabolito Mine", "Sutton Canyon", "Machado Hollow", "Hamidou Reef", "Diabolito Grotto", "Harper Harbour", "Penner Manor", "Rackham Grotto", "Cofresi Base", "Lafitte Wharf", "Merideth Wharf", "Miranda Hollow", "Chalbaud Redoubt", "Miranda Grotto", "Bertram Grotto", "Copeland Manor", "Thurber Cave", "Neumann Island", "Miranda Keep", "Penner Bay", "Copeland Canyon", "Bouchard Springs", "Plantain Bunker", "Machado Chateau", "Gambi Cave", "Jordan Island", "Narciso Reef", "Copeland Redoubt", "Gambi Depot", "Machado Redoubt", "Lafitte Mine", "Chalbaud Wharf", "Hamidou Bay", "Morales Grotto", "Tuanku Cave", "Rackham Chateau", "Harper Anchorage", "Weaver Keep", "Sutton Bunker", "Plantain Island", "Gambi Harbour", "Hamidou Canyon", "Hamidou Hollow", "Sutton Anchorage", "Machado Springs", "Miranda Reef", "Urbina Canyon", "Neumann Cave", "Nancupel Canyon", "Almeida Wharf", "Gustavo Manor", "Nancupel Point", "Neumann Waystation", "Neumann Bay", "Neumann Mine",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Jameson Keep"];

// Autoname Pool 1
this.autonamepool1 = [
// Galaxy 1 
"Fighting Talk", "The Bell Ringer", "Death and Rebirth", "War Mind", "City of the Ancients", "Medal of Excellence", "Run for the Hills", "Master of Mankind", "Sherriff of Nottingham", "Way Out West", "Star Forge", "All Those Who Wander", "Cause and Effect", "Bride of Ash", "Call of the Freeman", "Kicking and Screaming", "Rim of the World", "House of Night", "The Truth is Out There", "The Tyler Durden", "Bubble of Bliss", "Darkness and Light", "Shroud of the Avatar", "Spear of the Empress", "Demon Hunter", "Rude Awakening", "Shadow of Silence", "Day of the Moon", "Before Midnight", "Genius at Work", "Palace of Solitude", "Fist of Demetrius", "Snow in the Desert", "The White Whale", "The Vincent Price", "Outside the Box", "A Fine Mess", "Deal with the Devil", "The Ghost Knight", "Stairway to Nowhere", "Quest for Destiny", "Path of the Bear", "Tournament of Nobles", "Momentary Darkness", "Legacies of Betrayal", "Hand of the Fates", "Flesh and Steel", "Shaken Sanity", "Kneejerk Reaction", "Sinclaire Citadel", "Steel Rain", "Opening Gambit", "Flying Without Wings", "School of Thought", "Cradle of Light", "Storm Seer", "Under the Influence", "Summer Heat", "The Genuine Article", "Selective Memory", "No Questions Asked", "When the Going Gets Tough", "Water on the Sun", "The Iron Cyclops", "Relative Safety", "Lantern in the Dark", "Beyond the Galactic Rim", "Tales from Canterbury", "Light in the Forest", "The Overseer", "Clash of Equals", "The Winged Gremlin", "The Empty Child", "War Master", "Not of This World", "Acceptable Loses", "Food for Thought", "State of the Nation", "Brotherhood of Ruin", "Quality Street", "The Grey Man", "Deathly Silence", "The Twice Dead King", "Unicorn in the Garden", "Design for Scandal", "Company of Men", "The Random Number God", "Smell of Money", "Reused Assets", "Cuckoo in the Nest", "Raven Wing", "House of Mirth", "Asking for a Friend", "Flicker of Hope", "Lucky Charm", "Stellar Evolution", "Summer on the Wind", "Foolish Questions", "Coiled Dragon", "Cry of the Hunted", "Palace of Lenin", "Rule of the Party", "Eye of the Cyclops", "Blood on the Sands", "The Money Printer", "Day of the Lord", "Chain of Command", "Glory of the Revolution", "Sense of Irony", "Sound of the Underground", "Bottle Rocket", "State of Nature", "Beyond the Worlds End", "Heaven Sent", "Life On Mars", "Just Not Cricket", "Patron of the Arts", "Path to Ascension", "Mirror to the World", "Detroit City", "Keeper of the Flame", "Summer Holiday", "The Fighting Cockrel", "Castle of Riddles", "Dark Heresy", "The Flesh Works", "Falling on Deaf Ears", "Thunder in the East", "Release the Hounds", "Change in the Wind", "Road to Recovery", "Nexus Six", "Heirs of the Dragon", "Sporting Chance", "Across the Pond", "The Lost City", "When Dusk Falls", "Privity of Contract", "The Drowned Giant", "Trouble at the Mill", "Blood and Tears", "Art Project", "Romance in the Rain", "Dead by Daylight", "Golden Comet", "Color of Paradise", "The Kessel Run", "Grim Repast", "Edge of Midnight", "Son of the Forge", "Purple Heart", "Reasons Unknown", "Across the Mersey", "The Broken City", "Mask of Medusa", "Nearly Perfect", "Essence of Life", "Storm of Silence", "Shadow of Perfection", "Kingdom of the Blind", "Twisted Logic", "The Last Request", "Turning the Tables", "The Wise Old Bird", "Basement Dweller", "Soviet Sunrise", "Rogue Element", "Music of the Spheres", "Corporate Warrior", "Point of View", "Favourable Odds", "Belt and Braces", "Cat in the Cradle", "Form and Substance", "In the Wild", "Mistaken Valour", "Hammer of the Underworld", "Shroud of Industry", "Day to Remember", "In From the Cold", "Beneath a Blood Moon", "Liquid Lunch", "Twist in the Tale", "Aged like Milk", "Breaking the Mould", "Opus of Madness", "Justice League", "Picking up the Pieces", "Dark between the Stars", "March of Time", "The Red Planet", "But the Flesh Is Weak","Knave or Fool", "Lovelace Anchorage", "House of the Dragon", "Lonely as a Cloud", "Voyage into the Unknown", "Haunting Melody", "Looking for Trouble", "Old Sins", "Night of the Juggler", "Deal Maker", "Signs of Intelligence", "Ride the Wild Surf", "Child of Chaos", "Ghost of Christmas", "Something Completely Different", "Into the Shadows", "Nefarious Intentions", "Smoke Gets in Your Eyes", "Shadow of the Beast", "Limited Edition", "Rain Master", "Sands of the Desert", "Master of Games", "Sentimental Reasons", "Act of Kindness", "The Last Key", "Trial and Error", "The Unseen Hand", "Fork in the Path", "The Clone Lord", "Safe and Sound", "Occupied Territory", "Sothern Rain", "Treading Softly", "Ashes of War", "Blood Angel", "Flowers on the Wall", "Eye of the Underworld", "The Last Giant", "Countdown to Heaven", "Between the Worlds", "Garden of Stone", "Lord of the Tides", "The Red Frog", "Passage to India", "Center Stage", "Comic Relief", "Lord of the Edge", "Different Point of View", "Tea and Sympathy", "Planet of the Apes", "Land of the Giants", "Deacon of Wounds", "Drawing of the Dark", "Made Of Stone", "Nil by Mouth", "Fallen from Grace", "Strength from Sweetness", "Perfect Gentleman", "Soul of Cinder", "Modern Legend", "Tomb of the Giants", "Class Warfare", "Fit for a King",
// Galaxy 2
"Calculus of Angels", "Touch of God", "McArthur City", "Saxton Terminus", "Port Richards", "Rolling Rock", "Camp Lavell", "Port Lombardo", "Machado Spaceport", "Rimmer World", "Lorden Anchorage", "Camp Clarkson", "Zetter City", "Jackson Central", "Decker City", "Camp McNaughton", "Strawberries and Cream", "Sacrado Citadel", "Banfield Spaceport", "Limpkin Anchorage", "Nissan Starbase", "Carson Central", "Port Teloses", "Durden City", "Goliath Citadel", "When Duty Calls", "Orlando Anchorage", "Lexicon Starbase", "Camp Rawall", "Port Winkelman", "Master Plan", "In and Out", "Banfield Terminus", "Camp Gustavo", "Bank Run", "Fear of Missing Out", "Naramachi City", "Mildly Amusing", "Upon a Rocky Road", "McNab Starbase", "Thorpe City", "Zandore Spaceport", "Racham Dockyard", "Of Honour and Iron", "Watching the World", "Denton Central", "Repton City", "Push Not the River", "Mercer Terminus", "The Last Ditch", "Port Barker", "McJamefire City", "Clancey Central", "Harper Central", "Camp Nimitz", "Narbata Citadel", "In The Face Of Beauty", "Buhallin City", "Matsue Anchorage", "Dress to Impress", "Wall of Sleep", "Bhopal Anchorage", "Jerusalem City", "Naramachi Citadel","Star Maiden", "Mensa Starbase", "Banzai City", "God Only Knows", "Moon Cat", "Jajpur Citadel", "Port Halsey", "The Eric Walch", "Call of the Void", "Know Your Place", "Zahn Compound", "Port Juin", "Kawagoe City", "Mark of Calth", "Queen's Landing", "Mosser Citadel", "Quick to Anger", "Galileo Landing", "Port Robert", "Cloudy Days", "Camp Caldwalader", "Residence of Evil", "Spirit of the Night", "Call of the Rose", "Port Naveh", "Zheaton Anchorage", "Camp Bell", "Calvain Citadel", "Gone to the Beach", "Rider of Kelpies", "The Cheese Factory", "Cook Harbour", "Damascus City", "Amazon Starbase", "Almeida Citadel", "Jackson Central", "Prizes and Plunder", "Bowman Central", "Archon City", "Castillo Terminus", "Vidisha Spaceport", "Mualang City", "One Bad Apple", "Ossian Landing", "Kurita Citidel", "Morales Starbase", "Love in a Revolution", "Pleasures of Xanadu", "Nancupel Central", "McLane City", "Camp Copeland", "Midway Anchorage", "The Wicked Will Rise", "Gadara City", "Caster Terminus", "Lafittle Spaceport", "Abandoned Dream", "Camp Vasile", "Serious Tone", "Watson Spaceport", "Baker City", "Camp Wavell", "Port Davout", "Matabushi Starbase", "Samarra Terminus", "Kurita Anchorage", "Zetter City", "Dawson Citadel", "Port Washington", "Face in the Shadows", "The Goblin King", "Hurricane Season", "Field of View", "A Wolf by the Ears", "Kelpie Rider", "Staying the Course", "Diabolito City", "Narciso Terminus", "Mendham Starbase", "Sin of Damnation", "Tarkin City", "Petty Cash", "Sacrado Anchorage", "Camp Bertram", "Port Darian", "Baghdad City", "Chalbaud Starbase", "Latent Heat", "Dharma Central", "Port Rachame", "Feather in the Wind", "The Last Kingdom", "The Flame Bearer", "Just about Managing", "Wexler Starbase", "Winter Storm", "Camp Kingsley", "Jerusalem Starbase", "Hellebore Citadel", "Narbata City", "Hebron Terminus", "Machadore Anchorage", "Zircon Starport", "Madurai Central", "Camp Sutton", "Rackman Starbase", "Bennet City", "Barcella Terminus", "Camp Weaver", "Port Dowding", "Angel of Mercy", "Something in the Garden", "Camp Roland", "Jackson Terminus", "Barker Central", "Critique of Reason", "Dianolito Citadel", "Mask of Rage", "Silent Hunter", "Cheat Code", "By the Gods Beloved", "Dial of Destiny", "Lord of Caliban", "Dragon Rider", "Silverberg City", "Before the Wind", "Thick as Thieves", "Under the Sun","Samare City", "Port Tokasha", "Chalbaud City", "Cook Harbour", "Camp Kuznetov", "Last of the Lost", "Camp McCellan", "Blood Gorgon", "Tarrant Central", "Port Gaffey", "Chirand City", "Robinson Central", "Edom Spaceport", "Hope of the People", "Port Knox", "Luthien City", "Davout Terminus", "Camp Jackson", "Water on Stone", "The Ethan Winters", "Laurent Citadel", "Ghost Train", "Port Lombardo", "Petain Anchorage", "Hard Wired", "Village of Shadows", "Water Rat", "Camp Copeland", "Not to be Trusted", "Port Penner", "Surviving in Horror", "Flame of Anor", "Taxila Starbase", "The John Watson", "Vellore City", "Change of Tone", "The Mixed Bag", "Edge of Reality", "The Mother Miranda", "Sharrock City", "Camp William", "Comfort Zone", "Shadow Point", "Delicate Balance", "Port Rosemary", "Wild Rider", "Lavell City", "Dinton Central", "Port McNaughton", "Gadara Spaceport", "Mercer Citadel", "Jameson Central", "Port Albertine", "Let Me Entertain You", "The Empty Throne", "The Greater Good", "Operating Profit", "Memphis City", "Footsteps in the Sand", "Port Felix", "Bold and Ambitious", "Lessons of History", "City of Babylon", "Beyond Two Souls",
// Galaxy 3
"Portent of Judgment", "Darwin Base", "Whitaker Anchorage", "The Glyn O'Donald", "Valley of Empathy", "Plain of Souls", "Armory of Enlightement", "Norton Base", "Armory of Souls", "Sea of Fear", "Chasm of Concord", "The Xavier Campbell", "Ocean of Riches", "Pemberton Depot", "Tower of Trade", "Plateau of Certitude", "The Quinn Taylor", "Sea of Shadow", "The Mavis Scoresby", "Athena Base", "Lake of Judgment", "Isle of Cernunnos", "The Penelope Greenberg", "Valley of Integrity", "Spring of Shiva", "The Collin Duval", "The Wyatt Bennet", "Cartmel Depot", "Sea of Eternity", "Tower of Eternity", "Bellerose Depot", "Ocean of Portents", "Rowlands Anchorage", "Isle of Imagination", "McMillen Towers", "Cookson Depot", "The Last Watchtower", "The Nick Lambon", "Oyster Bay", "Plateau of Dreams", "Portent of Libitina", "The Bruce McCartney", "Sea of Redemption", "The Alice O'Donald", "Pamphilos Base", "Spring of Partho", "The David Whitaker", "Firestone Base", "Ocean of Intuition", "Absence of Foresight", "Plateau of Happiness", "The Laura Palmer", "Lake of Wisdom", "Pemberton Depot", "The Adeline McJamefire", "Lake of Tranquility", "Rise of Zelda", "The Edwina Walch", "Valley of Reflection", "The Robert Holmes", "Sea of Serenity", "Bay of Valor", "The Liam Pullman", "Beneath Calm Waters","The Luke Wright", "Tower of Cteatus", "Spring of Delaynie", "The John Phillips", "Tower of Amunet", "The Rory Carter", "Mosser Depot", "Tower of Osiris", "Ocean of Enterprise", "The Wyatt Heagerty", "Armory of Wisdom", "Sea of Mist", "Valley of Doom", "Theseus Base", "Chasm of Despair", "Valley of Courage", "Sea of Resolution", "The Babette McCloud", "Tower of Cartmel", "Plateau of Grace", "The Reagan Anderson", "Williams Depot", "The Nathan Karpov", "Mara Base", "The Josephine Robinson", "The Jane Yadin", "Sea of Insight", "Hills of Grace", "Laudine Base", "Cavern of Despair", "Ocean of Perception", "Cavern of Concord", "Plain of Empathy", "The Camila Goyne", "Armory of Wealth", "Abyss of Discord", "Bay of Judgment", "Canyon of Bliss", "The David Selezen", "The Adrian Alvarez", "Canyon of Valor", "The Owen Goldberg", "Portman Base", "Spring of Knowledge", "The Edwina Baldwin", "The Kylie Walch", "Abundance of Riches", "The Hannah O'Donald", "Sea of Sentience", "The Anthony Read", "Flash of Brilliance", "Derwin Bay", "Canyon of Cordiality", "Ocean of Time", "Plateau of Fortune", "The Simon Winstone", "Legrand Depot", "Abyss of Storms", "Ambrosia Anchorage", "Armory of Integrity", "Pascale Depot", "The Emma Freud", "Mountain of Riches", "Saratoga Anchorage", "Plain and Simple", "Mountain of Discord", "Vamana Depot", "The Sienna Clark", "Isle of Chivalry", "Chasm of Daring", "Cavern of Perdistence", "Palamedes Base", "Isle of Nostalgia", "Wilson Base", "The Ethan Cahall", "Spring of Pramlocha", "Ocean of Chivalry", "The Kylie Hassan", "Tower of Menaka", "Isle of Storms", "The Larry Gosnell", "The Collin McGeavy", "The Dara Doyle", "The Broken Chalice", "The Brady Bennet", "The Peyton Kelly", "Arsenal of Wealth", "Barcella Depot", "Broken Lance", "The Peyton Jameson", "Ocean of Silence", "Isle of Euphoria", "The Caroline Haggerty", "The Florence Tarrant", "Tower of Nemausus", "Bouchard Depot", "Lake of Gloom", "The Jasmine Lovecraft", "Hide and Go Seek", "Sea of Clidna", "Isle of Persephone", "The John Jimenez", "The Carol Darby", "Phalanthus Depot", "Mountain of Resolution", "The Sarah Anderson", "Teatime of the Soul", "Tyranny of Choice", "The Julia Boylan", "The Margaret Silverberg", "The Jack O'Donald", "Ocean of Resolve", "The Bargain Bin", "The Laura Gaffey", "The Wesley Asimov", "Diabolito Depot", "The Daisy Baldwin", "Spring of Medeia", "The Matthew Halferty", "The Darren Grey", "Ocean of Passion", "Tower of Eyes", "Mountain of Regret", "The Lindsey Alford", "McQueen Base", "The Caroline Henry", "Bay of Lilitu", "Chasm of Resolve","Sea of Eternity", "Spring of Inspiration", "The Joshua Carpenter", "Life is Strange", "Portent of Commerce", "Tower of Enterprise", "Copeland Depot", "The Melanie Foster", "The Lucia Gatchell", "Manasa Base", "Cookson Bay", "Whitaker Terminus", "The Valentina Wilson", "Portent of Fortune", "Sea of Intuition", "Armory of Secrets", "Tower of Authority", "The Brady Boden", "Neilson Base", "Arsenal of Liberty", "Ryder Base", "Tower of Resolution", "The Derek Ritchie", "Spring of Foresight", "Lake of Obscurity", "The Richard Cookson", "Beneath Twin Pines", "Derwin Base", "Armory of the Forsworn", "The Stonecutter", "Fairweather Base", "The Dorothy Turner", "The John Phillips", "Wave of Serenity", "Flush of Relief", "Summer Days", "Armory of Foresight", "Pity of Demons", "Cahall Depot", "Sea of Silence", "Lake of Fire", "Spring of Enterprise", "The Bruce Goodwin", "Mountains of Intuition", "Treasures of the Snow", "The Brian Minchin", "The Liam Zetter", "Anderson Base", "Rosette of Enterprise", "Narmada Base", "Cavern of Twilight", "Rostam Anchorage", "Spring of Commerce", "The Eliza Castillo", "Hardeon Depot", "The Shortcut", "The Andrea Marple", "Eustacia Base", "East until Dawn", "The Joshua Jellico", "Dreams of Purpose", "Pamphilos Base", "The Terrance Dicks", "Edge of Reflection",
// Galaxy 4 
"Moral Bastian", "Colorado City", "Citadel of Integrity", "Fortress of Virtue", "Palace of Shadows", "Columbus Base", "Hamilton Depot", "Citadel of Honesty", "Larson Depot", "Carolinensis City", "Stoneman Terminus", "The Windy City", "Skyfall Depot", "Shuttleworth Anchorage", "Kepler Base", "Personatus City", "Hint of Irony", "Grunt Work", "McCally Base", "Casper Central", "Sunderland Dockyard", "Castle of Credit", "Fortress of Finance", "Leicester Base", "Hall of Fire", "Baxter Depot", "Fortress of Honour", "Keep of Caution", "Severus Base", "Stockholm City", "Business Trip", "Westminster Terminus", "Seattle Shipyard", "Palace of Wonder", "City of Worcester", "Chelmsford Terminus", "Deal of the Decade", "Teller Depot", "Swansea Shipyard", "Bastian of Endurance", "Happy Returns", "Palace of Honesty", "Diadema City", "Hall of Adventure", "Trafalgar Central", "Atheros Terminus", "Maculata Base", "Sheffield City", "Bastian of Enlightenment", "City of Texas", "Mannion Base", "Berlin Depot", "Passing into Darkness", "City of Portland", "Melano Citadel", "Keeling Anchorage", "Grissom Base", "City of Madrid", "Memphis Base", "Palumbus City", "House of the North", "Paris in the Spring", "Worcester City", "Keep of Fealty","Kansas Central", "City of the Sun", "Hendon Central", "Chequered Past", "Tombstone City", "Citadel of Bravery", "City of Bradford", "Palace of Piety", "Borman Base", "Castle of Contemplation", "Hall of Heroism", "Citadel of Reflection", "Chicago Base", "Fortress of Adventure", "Houston Terminus", "Cochrane City", "Respect for the Dead", "Castle of Fortitude", "Dalton Depot", "Palace of Perfection", "Solitarius Terminus", "McCloud City", "Europaeus Base", "City of York", "Fortress of Daring", "Day Shift", "The Golden Bear", "Sinclaire Depot", "Sniffer Dog", "City of Canterbury", "Columbus City", "Scent of the Wind", "Chateau of Bravery", "Keep of Audacity", "Birmingham City", "Macao Terminus", "The Final Chapter", "City of Amsterdam", "Palomino Central", "Palace of Grace", "Fortress of Courage", "Citadel of Valour", "City of Salisbury", "Hall of Grace", "Handly Depot", "Durham City", "Bastian of Nobility", "Eupsitula Depot", "Stafford Central", "Liouville Base", "Palmarum City", "Maurus Central", "Keeper of the Night", "Americanus City", "Fortress of Courage", "Palace of Fortitude", "Sutton Central", "Chicago Depot", "Key to the Castle", "Canberra Depot", "Orientalis Central", "Macedonia Depot", "Fortress of Fealty", "Flammeus Central", "Sunderland Depot", "The Last Meal", "Castle of Integrity", "Chateau of Fortitude", "Lafferty Anchorage", "Bristol City", "Drake Departing", "Hall of Bravery", "Fortress of Noctua", "Bastian of Temperance", "Citadel of Stars", "Eternal Light", "Palace of Enlightenment", "Melops Central", "Bastian of Grace", "Eupsitula Citadel", "Rackham Terminus", "Citadel of Stoicism", "The Caged Canary", "Sharma Depot", "Keep of Endurance", "Placentis Central", "Plenner Base", "Fortress of Courage", "Bastian of Honesty", "Fine Weather", "McCauley Depot", "Atlanta Anchorage", "Chateau of Valour", "Noether Base", "Winchester Terminus", "City of Stoicism", "Castle in the Sky", "Atlanta Base", "Palace of Tomorrow", "Memphis Nights", "Colorado City", "Flight of the Owl", "Preston Central", "Pothole in the Road", "Do Not Pass Go", "Colorado Base", "Diabolito Terminus", "Castle of Echos", "Chekov Depot", "Noether Central", "Bastian of Honour", "Webster Base", "Palace of Opportunity", "Hall of Trade", "Temperance Base", "Southampton Docks", "Notata Terminus", "Canberra Depot", "Carless Talk", "Dalton Base", "Hall of Nobility", "Bastian of Virtue", "Barrier of Faith", "Conrad Terminus", "The Giant Claw", "Keep of Heroism", "Canterbury Depot", "Sheffield Central","The Bleeding Chalice", "One Chance Only", "Whisp in the Wind", "Limited Options", "Keep of Bravery", "City of Silence", "Memory Game", "Citadel of Stoicism", "Keep of Fortune", "Palace of Nobility", "City of Canterbury", "Lantern in Hand", "Bastian of Grace", "Palace of Inspiration", "Harp of Memphis", "Keeper of the Key", "Salisbury City", "Castle of Bravery", "But Not Forgotten", "McCally Base", "Bastian of Daring", "Grissom Base", "City of Moscow", "Palomino Base", "Palace of Audacity", "City of Athens", "Palace of Ascension", "Hereford Central", "Prince of Wounds", "Hall of the Fallen", "Harper City", "Chateau of Fortitude", "Calcarata Central", "The Last Page", "Palmlo City", "Around Here Somewhere", "The Save Room", "Sordox Central", "Keep of Temperance", "Almeida Depot", "Portland City", "Citadel of the Moon", "Palace of Asclepius", "Path of the Crow", "Lonely is the Night", "Kindness of Friends", "Man of the Hour", "Houston Base", "Bastian of Audacity", "Citadel of Courage", "Kindness of Friends", "Fortress of Bravery", "Evil Genius", "Hall of Adventure", "Chapman City", "Castle of Courage", "Palumbus Terminus", "Almost Right", "Notes from Earth", "Mannion Depot", "Shadow on the Wall", "Sleeping Beauty", "Chase Sequence", "Moscow Central",
// Galaxy 5 
"Under the Lake", "The Rebel Flesh", "Partner in Crime", "Wrong Turn", "The Long Game", "The Alexander Ryder", "Army of Ghosts", "Spring of Daniau", "Valley of Obscurity", "Lake of Serenity", "Bay of Resolution", "The Victor Pemberton", "Sun Maker", "Mountains of Utopia", "The William Lennon", "Spring of Insight", "The Justin Barton", "Four to Doomsday", "The Unquiet Dead", "Name of the Doctor", "Robin of Sherwood", "Lake of Doubt", "The Sarah Baldwin", "Hell Bent", "Click Bait", "Isle of Judgment", "Lesedi Depot", "The Scarecrow", "Lake of Gallantry", "Nielsen Terminus", "Knights Watch", "Waters of the Womb", "Tower of Brilliance", "Lake of Creation", "Sea of Eternity", "The Riddler", "The Silken Spider", "Spring of Grace", "Protesilaus Depot", "The Evelyn Miller", "Wall of Text", "Ocean of Nostalgia", "Son of Man", "The Sebastian Livingstone", "The Imperceptible Man", "Sea of Solicitude", "Plain of Glory", "Calamity Jane", "Death Rattle", "The Joshua Tree", "Other side of the Coin", "The Elemental Man", "The Caroline Pratchett", "View from Afar", "Plain of Wisdom", "The Sean Ryder", "Isle of Serenity", "Sea of Regret", "Valley of Harmony", "Plateau of Shadow", "Madame Zodiac", "Hint of Insight", "Benefit of Hindsight", "The Dave Cockrum","Eater of Souls", "Tower of Daring", "The Adam Pinkman", "Monarch of Menace", "The Rainbow Beast", "The Bearded Dragon", "Spring of Certitude", "Older than Dirt", "Bay of Enterprise", "The Lisa Bowden", "Zodiac Master", "Plateau of Grace", "Tower of Temptation", "Sea of Perception", "Plateau of Empathy", "Council of Spiders", "Bridge of Endurance", "League of Smiles", "Master of Disaster", "Sea of Glory", "Tower of Insight", "Plain of Silence", "The Christian Jenner", "The Aiden Ryder", "Vale of Empathy", "Penitente Depot", "The Sheldon Moldoff", "Shadow of the Bat", "Palamedes Base", "Heart of the World", "Legend of the Dark", "Gotham by Midnight", "Tower of Zelda", "Night Wing", "The Justin Greenberg", "Untold Legend", "The Gavin Sharrock", "Medeia Base", "Well of Destiny", "The David Paterson", "Cry of the Huntress", "The Patrick Halligan", "World of Hurt", "Plain of Fate", "Lake of Regret", "The Sarah Comerford", "Ocean of Silence", "The Julia Newman", "Comtois Base", "Truth Serum", "Tower of Intuition", "Heimdall Base", "The Owen O'Donald", "The Long Halloween", "Ocean of Concord", "Meat and Drink", "Ground Zero", "Lake of Concord", "Auden Base", "The Eloise Zahn", "Guardian of Gotham", "Fabien Towers", "Valley of Gloom", "Plateau of Fortitude", "Cry for Blood", "Cecilia Springs", "Orpheus Rising", "Death and the Maiden", "Journey into Night", "The Trinity Turner", "Deadly Serious", "Goldrick Base", "Bride of the Demon", "Master of the Future", "Seduction of the Gun", "Sostratus Base", "Helios Depot", "Assemble with Care", "The Oliver McCartney", "Ocean of Obscurity", "The Clara Wharton", "Night on Earth", "Melania Depot", "The Gawain Pinkman", "Plain of Obscurity", "Fortuna Base", "Must Try Harder", "Follow the Money", "The Larry Jackson", "Earth One", "Bridge of Destiny", "The Aeron Wesker", "Podalirius Depot", "Lake of Cordiality", "Dreams of Empire", "The Brian Lovecraft", "Fear the Reaper", "The Peter Jackson", "Bay of Madness", "Well of Cordiality", "Blind Justice", "Spiritual Successor", "As the Crow Flies", "The Sebastian Garcia", "Long Shadow", "Plateau of Valor", "Well of Foresight", "Valley of Perfection", "Wexler Depot", "Lovers and Madmen", "Perseus Base", "Dead to Rights", "Claws of the Cat", "Cessair Base", "The Tom Lopez", "Tower of Solicitude", "Masks and Monsters", "The Julia Fisher", "Last Knight on Earth", "Isle of Despair", "Inside Out", "Strange Apparition", "Under the Cowl", "The Luke Weston", "The Carmine Infantino", "Well of Perdistence", "Spring of Nostalgia", "Cost of Living","Court of Owls", "Deluxe Edition", "Battle Plan", "The Oliver Jameson", "Prometheus Unchained", "Lake of Madness", "The Cassandra Braben", "Turtle Soup", "Behind the Curtain", "The Terry McReno", "After the Fire", "Industrial Revolution", "Man of Tomorrow", "The Charlotte Swan", "Mark of the Phantasm", "Lake of Solitude", "The Andrea Wilson", "Albertine Depot", "The Final Joke", "Valley of Tranquility", "Divide and Conquer", "The Trinity Garcia", "The Lorcan Braben", "Plain of Symphathy", "Isle of Silence", "Friends and Enemies", "Quality of Life", "Out of Reach", "Plains of Time", "Well of Enterprise", "Tethra Terminus", "Tower of Endurance", "Sweet Charity", "Tower of Reflection", "The Mark Greenberg", "Web of Romance", "Libitina Base", "The Norman Osborn", "Bay of Trepidation", "Parallel Lives", "The Joan Hickson", "Spirits of the Earth", "Identity Crisis", "Gathering of Five", "Birth of Venom", "Maximum Carnage", "One More Day", "Election Day", "The Sandman", "Lake of Utopia", "Grim Hunt", "One Moment in Time", "Flying Blind", "Trouble on the Horizon", "Dying Wish", "The David Michelinie", "Ghosts of the Past", "Master of the Ring", "Tower of Discord", "The Final Curtain", "Trials and Tribulations", "Wild Blue Yonder", "Secrets and Rumors", "Last Days of Magic",
// Galaxy 6 
"Port Alexander", "Hail to the King", "Camp Cromwell", "Way of the Blade", "Trial by Combat", "Lord of the Dance", "McMillan Starbase", "Capone Central", "Blades in the Dark", "Port Bradley", "Safe Space", "Boden Terminus", "Scary Thought", "City of Commerce", "Carless Talk", "Camp Carlton", "Matter of State", "Lurking in the Dark", "Snow on the Moon", "Camp Saladin", "Citadel of Quilon", "The Burnt God", "Port Howe", "Vision of Paradise", "Port Blake", "Panic Attack", "Holborn City", "Question of Faith", "Port Murat", "Forest of the Mind", "Local Hero", "Turbulent Times", "Camp Victoria", "Port Turanian", "Camp Cunningham", "Silver Waters", "Citadel of Time", "The Long Term", "Camp Brooke", "Pride of Andromeda", "Port Davout", "Camp Jackson", "Callen Central", "Minding the Shop", "City of Fortitude", "Lady of Grain", "Sculpted from Marble", "Port Odessa", "Seventh Knight", "Commander of the Watch", "Pay to Win", "Citadel of Order", "Forgotten Origins", "Baldwin Central", "Holdstock Starbase", "All Good Things", "Camp Pande", "Cat in the Box", "The Old Nag", "Goliath Spaceport", "City of Serenity", "Conventional Morality", "Cornelius City", "Port Lincoln","The Red Line", "Repton City", "Jameson Central", "Port Banfield", "Mendham Starbase", "Citadel of Andore", "The High Ground", "Desperate Times", "Port Thompson", "Light of the Morning", "Goldberg City", "Charlemagne Central", "Port Baldwin", "The Ancient Sentinel", "April Rain", "Family Business", "Blood in the Water", "Port Andore", "Citadel of Maximums", "The Long Shot", "Spartacus Starbase", "Blood of the Coven", "Port Miranda", "City of Giants", "The Flying Scotsman", "Port Jameson", "The Sacred Band", "Best of the Best", "Ironside Starbase", "Camp Cooper", "The Gallant Goat", "Port Jackson", "City of Reflection", "Camp Concord", "Broken Hope", "Song of Logic", "Wonder of the Ancients", "Port Baxter", "Lonesome Road", "Lexicon City", "Camp Callen", "Behind the Mirror", "Port Watson", "Chirand City", "Camp Callen", "Port Braben", "Clear as a Bell", "McJamefire City", "Church of Atom", "Camp Fletcher", "Port Matilda", "Sidney Harbour", "The Last Crusade", "Fire in the East", "Moment in History", "The Farthest Frontier", "Ryder City", "Hunting Ground", "Sky Drake", "Port Stanley", "Citadel of Dreams", "Goliath City", "Camp Halsey", "The Manhattan Project", "On a North Wind", "Artistic Licence", "Port Halsey", "Lady of the Night", "Jellico City", "Camp Custer", "Port Saladin", "McNab City", "Call of the Sea", "After Hours", "Light in the Window", "Port Tanadi", "Camp Willson", "City of the Wise", "Thorn of the Rose", "River of Riches", "Port Wesker", "Samaria City", "Heart of Winter", "Rhyme and Reason", "Camp Pontiac", "City on the Edge", "Holone City", "Baily Central", "Shadow of the Poet", "Camp Sharp", "Morton City", "Echo of Reason", "The Witcher", "Thirst for Knowledge", "City of Fortune", "Port MacArthur", "Beyond the Red Door", "The Ginger Cat", "Aherne Central", "Camp Howard", "Port Ludden", "Madison Starbase", "Lore and Order", "The Hanged Son", "Dream Sequencel", "On a Rollt", "Jameson Central", "Medusa Anchorage", "Camp Turner", "Instant Khama", "Luthien City", "Tiered and Emotional", "The Calico Cat", "Camp Talon", "The Glowing City", "The Kings Colours", "Port Pontiac", "Rhapsody in Blue", "Camp Conrad", "The Control Room", "Carson City", "Port Tarrant", "Cat and Mouse Game", "City of Garcia", "Playing the Fool", "Camp Robinson", "Fast and Lose", "The Dark Descent","Into the Depths", "City of Intrigue", "Babylon One", "City of Goats", "Camp Clarkson", "Port Pullman", "Saxton Starbase", "Master of All Trades", "Port Foster", "Shadow of the Dragon", "Eye for a Bargain", "Gathering of Shadows", "Port Parker", "Beyond Saturn's Rings", "Camp Watson", "Haller City", "City of Samaria", "Port Geronimo", "Princess of Babylon", "Port Lincoln", "Bowman Central", "Babylon City", "Out of Thin Air", "Edge of Existance", "The Red Raven", "Mendham City", "Thorpe Central", "Neilson Starbase", "Age of Mammals", "Babylon Eight", "City of Tricksters", "Port Felix", "Regrettable Incident", "Money to Burn", "Camp Justin", "The Great Oak", "Port Dent", "Mercer City", "Sacrado Starbase", "City of Devils", "Beggar of Belief", "Port Murat", "Churchill Spaceport", "City of Cats", "Artistic Endeavour", "Port Greenberg", "Thought for the Day", "Light of the Evening", "Naveh City", "Saw it Coming", "Port Sheba", "Written in the Stars", "Deep Space Four", "City of Alexandria", "Port Lombardo", "Kurita City", "More than Human", "Rule of Mortality", "Redfield City", "The One Who Knocks", "Nothing is Confirmed", "Realm of Reality", "Work in Progress", "Port Marshall",
// Galaxy 7
"Modularis Depot", "City of Madrid", "Palace of Westminster", "Fortress of Daring", "City of Belfast", "Hall of Fortune", "Morton Depot", "Castle of Chivalry", "City of Intrigue", "Undecided for Now", "Carson Depot", "Lichfield Base", "Bastian of Integrity", "City of Edinburgh", "Many a True Word", "Gun to a Knife Fight", "Lancaster City", "Halls of Contemplation", "Dream Quest", "Austral Depot", "Fortress of Integrity", "Citadel of Snow", "Linnaeus Depot", "Oenas City", "Mander Terminus", "Hawking City", "City of Carlisle", "Emontional Damage", "Perfect Blue", "Palace of Discovery", "Citadel of Adventure", "City of Sacramento", "A Job Well Done", "Bastian of Temperance", "Variety of Options", "Delicious Irony", "Fortress of Daring", "Citadel of Nobility", "Wounded Pride", "Written in the Sand", "Keep of Chivalry", "March of History", "The Bored Ape", "Citadel of Stoicism", "Fortress of Adventure", "Terminus of Souls", "Bastian of Adventure", "Trouble at Sea", "Beyond the Peopled Shores", "City of Plymouth", "Keep of Audacity", "Unity of Purpose", "City of the Awoken", "McEnery Depot", "Fortress of Bravery", "Leicester City", "Citadel of Amabilis", "Feeding the Wind", "Nobilis City", "Pulse of the Machine", "City of Portland", "Unusual Interests", "Keep of Honesty", "Hamilton Central","Perk of the Job", "Silent Knight", "The Snowman", "Chateau of Audacity", "City of Belgrade", "Signs of Life", "Dock of the Bay", "Off the Peg", "Palace of Contemplation", "Citadel of Honesty", "End of the Day", "Sacramento City", "Dodged a Bullet", "Palace of Meditation", "City of Acheron", "Out of the Park", "Mendel Depot", "Forged in Flame", "Hot Chocolate", "City of Prague", "Keep of Heroism", "Fortress of Finance", "Game of Goats", "Chateau of Fortune", "City of Rome", "Liechtenstein Central", "McEnery Base", "Worden Anchorage", "Icing on the Cake", "Castle of Fealty", "The Grand Revolution", "Whale of a Time", "Caught in the Crossfire", "Keep of Endurance", "Pattens in the Wind", "Innocent Bystander", "Keep of Nobility", "City of Nottingham", "Shadow of the Gorgon", "City of Sheffield", "Gold Rush", "The Jimmy Hoffa", "Bastian of Mirth", "The Crowbar", "Chateau of Enlightenment", "The Red Swan", "Carlton Central", "Personatus Depot", "City of Berlin", "Chateau of Gallantry", "Snow Blind", "Chateau of Fortitude", "City of Athens", "Worse for Wear", "The General Store", "Harsh Words", "Chapman Central", "Bellman Depot", "Melano City", "Citadel of Daring", "Palace of Integrity", "Lake City", "Hall of Integrity", "Law of the Sea", "Vault of Terra", "City of Bristol", "Hadfield Central", "Hubble City", "Blackwood Terminus", "City of Texas", "Citadel of Intellect", "Derby City", "Palace of Endurance", "Critical Thinking", "Castle of Fortitude", "Fortress of Daring", "Monsters of the Deep", "Fortress of Audacity", "Castle of Nobility", "Liquid Assets", "City of Lancaster", "Wounded Knee", "Face in the Water", "Trash and Treasures", "Newtonian Motion", "Voice from the Shadows", "Blackwood Depot", "Arrow in the Knee", "Solitarius City", "Castle of Amabilis", "Fortress of Nobility", "Cool for Cats", "City of Portland", "Dublin City", "In Cold Blood", "Lady in Waiting", "Palace of Integrity", "Denver City", "When in Rome", "Chateau of Valour", "Without a Trace", "Bastian of Fortitude", "Hall of Grace", "Hitting the Road", "Light in the Wilderness", "Childhood Memories", "Worth the Risk", "Kansas City", "Dawn of Reason", "Letters to Alice", "Hall of Fealty", "Hamilton Base", "Fortress of Integrity", "Situational Awareness", "The Rusty Spoon", "In the Background", "Lovell City", "Palace of Daring", "Freeman Terminus", "Castle of Honesty", "City of Columbus", "From a High Window", "Scholar of the Stone", "Back in the Future", "Fortress of Bravery", "Bastian of Chivalry", "The Barbarian", "Human Error","Hall of Fortitude", "Change of Pace", "Palace of Fealty", "Motacilla Depot", "City of Personatus", "Born to Win", "Not Real Life", "Redemption of Fate", "Lamore Depot", "The Stephanie Marks", "Castle of Stoicism", "Keep of Honour", "Boss Fight", "The Jessica Drake", "Keep of Daring", "The Whisky Tree", "Rock Bottom", "Keep of Endurance", "City of Boston", "Off the Bat", "City of Perth", "Castle of Daring", "Dallas by Daylight", "Palace of Chivalry", "City of Lisbon", "Keeper of Honour", "Brotherhood of the Listener", "The Watchful Peace", "Columbus Depot", "Bastian of Integrity", "Radically Different", "Tranquillity Base", "Solitarius City", "Abondance of Riches", "Hall of Daring", "The Sleeping Dog", "The Lazy Hen", "Life of Earth", "Bastian of Honesty", "City of Winchester", "Sarcasm of Angels", "Citadel of Solitude", "Fortress of Fealty", "Triumph of Trade", "Flame of the North", "Keep of Courage", "No Fixed Abode", "Fire in the Dark", "Palace of Fortitude", "The Oldest Question", "Skeleton in the Cupboard", "Place of Safety", "Amongst the Stars", "Bellman Depot", "Cat Amongst the Pigeons", "Lisburn Depot", "Snow Upon the Moon", "Dirty Work", "The Great Filter", "Time Conquers All", "Hall of Nobility", "Weight of Numbers", "Lottery of Life", "Castle of Courage",
// Galaxy 8
"Palace of Commerce", "Horse to Water", "Palmarum City", "Lichfield Base", "City of Houston", "Bastian of Trade", "Spirit Guide", "Somewhere in a Crowd", "Ticket to Happiness", "Clean Sweep", "Chaos in the Rockery", "Keep of Gallantry", "Setting the Pace", "Cathedral City", "Between Two Frontiers", "Citadel of Temperance", "Chateau of Honour", "End of the Bridge", "Winchester City", "Lemaitre Base", "What the Stars Foretell", "Material Evidence", "Perchance to Sail", "Castle of Chivalry", "The Quiet One", "Citadel of Desmarest", "Keep of Stoicism", "Bastian of Honesty", "To the Devil a Daughter", "Castle of Courage", "Demons of the Imagination", "Straight On till Morning", "Carolinensis City", "Night Creature", "Hound of the Baskervilles", "Palace of Fortune", "Glandarius City", "Mask of Dust", "Race for Life", "The Black Glove", "Five Days in Summer", "Four Sided Triangle", "Never Look Back", "Lady in the Fog", "Song of Freedom", "Memphis City", "Broadway After Dark", "Below the Line", "Kansas City", "The Amanda Wheeler", "Seven Sinners", "One Stolen Night", "Bastian of Audacity", "Love and the Devil", "City of Athens", "Desert Song", "Bastian of Courage", "Time and Place", "Song of the West", "Lancaster City", "On the Border", "Under a Texas Moon", "Song of the Flame", "Back Pay","Rough Waters", "Hall of Valour", "Sweethearts and Wives", "Way of All Men", "Dallas City", "Right of Way", "Children of Dreams", "Stranger in Town", "Honor of the Family", "Collaris City", "Palace of Valour", "Safe in Hell", "One Way Passage", "Hall of Fortitude", "Scarlet Dawn", "City of Canterbury", "Easy to Love", "As the World Turns", "Paris in Winter", "Singer of Naples", "Fortress of Heroism", "Moonlight in the Forest", "Garden of the Moon", "Keep of Honesty", "Comet Over Broadway", "Moscow City", "Son of the Sea", "Footsteps in the Dark", "Out of the Fog", "The Smiling Ghost", "Columba City", "Shadows on the Stairs", "Palace of Audacity", "Exeter City", "Nine Lives Are Not Enough", "One Foot in Heaven", "Steel Against the Sky", "Chateau of Honour", "Between Two Worlds", "Voice of the Turtle", "Silver River", "Beyond the Forest", "April in Paris", "Gloucester City", "Duel in the Jungle", "Castle of Stoicism", "Lightning Strikes Twice", "Chateau of Adventure", "Cardiff City", "Strangers on a Shuttle", "Trouble Along the Way", "Bastian of Heroism", "Keep of Honour", "Plunder of the Sun", "City of Oxford", "Fortress of Endurance", "Thunder Over the Plains", "Miracle in the Rain", "Keep of Heroism", "Castle of Honour", "Leicester City", "Rising of the Moon", "Story of Mankind", "City of Detroit", "Fever in the Blood", "Keep of Daring", "Splendor in the Grass", "Castle of Endurance", "Fortress of Honour", "Keep of Grace", "Lichfield City", "Distant Trumpet", "None but the Brave", "Reflections in a Golden Eye", "The Lonely Hunter", "Castle of Gallantry", "Fortress of Audacity", "Promises in the Dark", "Eyes of a Stranger", "Under the Rainbow", "Castle of Fortitude", "Body Heat", "Deal of the Century", "Beyond the Walls", "Fortress of Adventure", "Seven Minutes in Heaven", "Under the Cherry Moon", "Swansea City", "Heartbreak Ridge", "Bastian of Fortune", "Instant Justice", "Citadel of Nobility", "Columba City", "Full Metal Jacket", "Quest for Peace", "Fortress of Integrity", "Boston Terminus", "Citadel of Enlightenment", "Empire of the Stars", "Clean and Sober", "Stealing Home", "Solitarius City", "Tequila Sunrise", "Reversal of Fortune", "The Sheltering Hand", "Out for Justice", "City of Leeds", "Born to Ride", "Sky Crawler", "City of Memphis", "Citadel of Virtue", "Keep of Valour", "Body of Lies", "Pride and Glory", "Dalton City", "Nightmare on Elm Street", "Wrath of the Titans", "Manchester City", "Measuring the World", "Hall of Enlightenment", "Columbus City", "Dancing with Jackals", "Desolation of Smaug", "Rise of an Empire", "Citadel of Honour", "Into the Storm", "Hall of Daring", "Hot Pursuit","Heart of the Sea", "Palumbus City", "Trees in the Snow", "Keep of Daring", "End of the Tunnel", "Lincoln City", "Age of Shadows", "Castle of Chivalry", "Wolves at the Door", "Daughter of Battle", "City of Amsterdam", "Blinded by the Light", "Palace of Daring", "Face the Music", "Fortress of Stoicism", "The Lost King", "The Sundance Kid", "Hall of Stoicism", "The Scenic Route", "Handful of Dust", "Out of the Dark", "Night on Mars", "Bristol City", "The Dark Wind", "Castle of Fealty", "Keep of Grace", "Deep Cover", "Live Wire", "Monkey Trouble", "Above the Rim", "Westminster City", "Chateau of Daring", "Endless Summer", "The Grass Harp", "In Love and War", "Chateau of Honesty", "Head Above Water", "The Night Flier", "Hall of Audacity", "Price of Glory", "After the Sunset", "Palace of Heroism", "Upside of Anger", "Castle of Stoicism", "Belfast City", "Citadel of Stoicism", "Going the Distance", "Battle of the Five Armies", "Castle of Audacity", "Saint of Newark", "Turtles All the Way Down", "Bastian of Honesty", "Song of the South", "Of Stars and Men", "Palace of Daring", "Beyond the Moon", "Cosmic Eye", "The Swan Princess", "Veil of Mists", "Rise of Humanity", "Waking Life", "Return to Never Land", "Son of Aladdin", "Over the Hedge",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Lost in Time"];

// Autoname Pool 2 - To Do.
this.autonamepool2 = [
// Galaxy 1
"Teething Troubles", "First Impressions", "The Petrified Cockatrice", "Just for Laughs", "In the Beginning", "Gaelle Point", "Red Shift", "Snowball in Hell", "Only the Lonely", "Call of the Flesh", "Watcher in the Mist", "Where Suffering Cannot Reach", "Servant of Purpose", "Cadmus Terminus", "Steady under Fire", "The Rumour Mill", "Offering to the Storm", "The Outcast Dead", "The Fox Mulder", "Whispers from Beyond", "Gene Stealer", "Diamond in the Rough", "Hero of the People", "The Aidan Greenwood", "Moment of Stillness", "Tunnel Vision", "Blind Justice", "The Penelope Thompson", "Merchant of Doubt", "The Stone Knight", "Ghost on the Bridge", "Faith and Fire", "Robust Advice", "Strangely Calm", "Jump Scare", "Rug Pull", "White Water", "Golden Oldie", "The Platonic Sweetheart", "Spiral Dawn", "Alone in the Abyss", "Memory of Honour", "Garden of Atlantis", "Might of the People", "The Last Phoenix", "Popularity Contest", "Cavern of Hope", "Dark Fracture", "Courting Disaster", "Ring of Kether", "Back in Action", "Flexible Ethics", "Pure and Simple", "Mood Swing", "Rivers of Babylon", "Hills of Intuition", "Other Side of the Wind", "Last One Standing", "Pinch of Salt", "Known Unto God", "Angels in the Outfield", "Genie in a Bottle", "Fallen Order", "Father of the Bride","Stick in the Mud", "Mocking Bird", "Lost in Shadow", "Daughter of Eve", "Wisdom of Athena", "The Soap Bubble", "Shoot for the Stars", "Perfect Accord", "White Unicorn", "Fist of the Imperium", "Bread Upon the Water", "Clash of Clans", "The Risen Moon", "Behind the Scenes", "At the Heart of it All", "Road to Romance", "Remember the Titans", "Moving the Goalposts", "Night Bringer", "Rust and Bones", "Fingers at the Window", "Burnt by the Sun", "Imitation of Life ", "Bells and Whistles", "Ready Player One", "One Year Later", "Courage and Honour", "Breakfast on Pluto", "River God", "Tainted Dawn", "Man on the Run", "Sculpture of Creation", "Body Image", "Battle of the Bands", "Free and Easy", "The Merry Widow", "Hall of the People", "Passion for Revolution", "French Kiss", "Farewell Tour", "Bay of Horror", "Caught by a Wave", "Voices on the Wind", "Life or Death", "Coming of the Night", "Swimming Against the Tide", "Extreme Measures", "Beer and Sandwiches", "Old Tobey", "Pearls before Swine", "Rolling in the Isles", "The Wicket Gate", "Cat Call", "Sense of Responsibility", "Realms of Possibility", "Whiff of Profit", "Above Suspicion", "Intruder in the Dust", "War Bird", "Moment of Calm", "Side Quest", "Burning Star", "Thunder in the Night", "Hanging by a Thread", "Creme De La Creme", "Isle of Fortitude", "Trend Setter", "Broken Window Theory", "City of Dreams", "Hope of Success", "Friendly Competition", "Wrong Side of the Line", "Room for Error", "Threads of Reality", "Living in the Shadows", "Flag of the People", "Proclamation of Innocence", "Shadow of Mars", "Day of Grace", "Echoes in Eternity", "Elephant in the Room", "Just Looking", "Southern Belle", "Eye of Diso", "Shadow of the Ring", "Acquired Taste", "Bitter Moon", "Secrets of the Shire", "Twist and Shout", "No Second Chances", "The First Heretic", "Myrtilus Terminus", "The Ready Room", "Sisterhood of Battle", "Prayer at Twilight", "Howls in the Dark", "Christmas in the Trenches", "Before Winter Comes", "On Silver Wings", "The Golden Pearch", "Once In a While", "Paradise Surpassed", "Culture Shock", "Mustering Point", "Beyond Imagination", "Cat in the Hat", "Near and Far", "Lucky Seven", "Daisey in the Sunshine", "Lonely God", "After the Hype", "Enchanted Earth", "Council of Fools", "Wall of Fog", "Verging on the Absurd", "Tropical Storm", "Thief in the Shadows", "Playing the System", "Hard Liquor", "Time of Redemption", "All You Need is Love", "Guys and Dolls", "Distant Fires", "Laughing at Misfortune", "Inner Struggle", "Crash Course", "Risk and Reward", "Mortal Storm","Hunter Gatherer", "Wandering Shadow", "Strange Thoughts", "Judgement Call", "Damage Control", "Silent Treatment", "Things Change", "The King Arthur", "Modern Romance", "Age of Dragons", "Strange Magic", "Trouble with Angels", "Urien Dockyard", "Beyond the Forbidden Zone", "Jacks in the Hand", "Late Shift", "Rise of Rasputin", "Legend of Shadow", "Trail of Slime", "City of Logopolis", "Alice in Chains", "Shadow of the Cat", "Beyond the Edge", "Tree in the Meadow", "Living in the Past", "Better by Design", "Crude Humour", "Natural Asset", "Rats in a Sack", "Hit the Deck", "Ghost of the Past", "Raw Meat", "Sping of Hope", "The Final Countdown", "Man of the People", "Talon of Horus", "Trick of the Light", "Source of the Nile", "Rogues Gallery", "Kingdom of Clouds", "Careless Whisper", "The Frogs of War", "The Rogue Prince", "The Shy Maiden", "One of the Guys", "Own the Night", "The Lunatic Fringe", "Jackson Heights", "Not What It Looks Like", "Cat on a Hot Tin Roof", "Watch Over Me", "The Fall Guy", "For Want of a Nail", "Fire in the Hand", "Aetheleorn Armory", "Friend of the Deceased", "Bottom of the Bottle", "Touching Distance", "Gathering of Magic", "Under the Counter", "The Long Sunset", "Inappropriate Content", "All things must Pass", "Cavern of Sentience",
// Galaxy 2 (HERE!)
"Caress of Twilight", "Leaf on the Water", "Bay of Shadow", "The Donna Garcia", "Plain of Inspiration", "Style over Substance", "Hills of Storms", "Plain of Madness", "Castor Anchorage", "Whispers in the Graveyard", "Anouk Watchtower", "The Alexander Paterson", "The Amanda Lovecraft", "Sea of Dismay", "Andropompus Waystation", "Flavie Watchtower", "Kiss To The Curb", "Arjuna Depot", "Lake of Light", "The Skylar Dhal", "Niamh Dockyard", "The Sadie Kapoor", "Pramlocha Terminus", "Abyss of Symphathy", "Lake of Utopia", "Canyon of Storms", "The Lorcan Zetter", "Odin Dockyard", "Ortwin Palisade", "Neit Terminus", "Every Second Counts", "Ramming Speed", "Plateau of Reason", "Gideon Point", "Dreamer of Dreams", "Cheaper by the Dozen", "Asclepius Dockyard", "Astral Projection", "Paranoid and Accusatory", "Tethra Terminus", "The Aiden Silverberg", "Plain of Symphathy", "Sartre Base", "Richelieu Redoubt", "Lost in a Dream", "Tethra Anchorage", "Yami Anchorage", "Rage Against Heaven", "The Abigail Foster", "Ceryx Waystation", "Helgi Depot", "Gideon Point", "Ocean of Doom", "Partho Watchtower", "Plain of Fear", "Bay of Regret", "Oisin Waystation", "Pharris Armory", "Mulan Warehouse", "Playing it by Ear", "Bay of Despair", "Chasm of Doom", "Oswin Towers", "Perseus Dockyard","Isle of Dedication", "The Gawain Parker", "The Aaliyah Foster", "Canyon of Decay", "Faucher Springs", "Tisiphone Redoubt", "Bay of Discord", "Persephone Redoubt", "The Lead Pipe", "Lake of Certitude", "Hills of Rapture", "Amnon Arsenal", "Shennony Terminus", "What Dreams May Come", "The Charlotte Barker", "Palamedes Waystation", "Clotilde Palisade", "Leno Waystation", "Pandion Warehouse", "Surfing on Sunshine", "Jezebeth Base", "The Aubree Silversmith", "Phanes Warehouse", "Cut Content", "Pandion Anchorage", "Nobuo Bunker", "Lamia Springs", "Hills of Intellect", "Agent of the People", "Cessair Bunker", "Rat Pack", "Canyon of Devotion", "The Richard Lopez", "Ocean of Silence", "Abyss of Destiny", "The Michael Selezen", "Those Who Trespass", "The Alice Haggerty", "Shaggai Warehouse", "Fabien Base", "The Adalynn Havilland", "Sea of Daring", "Bad Faith", "Elden Bunker", "Nuwa Outpost", "Lake of Solicitude", "The Next Passage", "Deep Waters", "Scefa Warehouse", "Nishay Outpost", "Kalil Bunker", "Tisiphone Base", "Kelvin Base", "Ajax Depot", "Medeia Base", "The Evelyn Pullman", "Pollux Terminus", "The Lucia Ahruman", "Nobuo Redoubt", "Lesedi Bunker", "Lele Palisade", "Tethra Warehouse", "The Dara Hickman", "Isle of Terror", "The Jack Tarrant", "Hills of Grace", "Lake of Discord", "Enkidu Outpost", "Abyss of Fortitude", "Sleepless Night", "Hold That Thought", "Frolic of the Beasts", "Daniau Bunker", "When the Road Ends", "Comtois Palisade", "On a Steel Breeze", "Amnon Arsenal", "Abyss of Courage", "Canyon of Audacity", "Raiden Base", "Valley of Stoicism", "Tears of the Kingdom", "Lamia Base", "The Benjamin Callaghan", "The Katie Parker", "Ahruman Depot", "Isle of Solicitude", "Do Not Adjust Your Set", "Lamia Arsenal", "Palamedes Anchorage", "Hussle Culture", "The Sinead O'Connor", "Twelve Angry Men", "No Explanation Necessary", "Horsa Anchorage", "Hidden Income", "Loki Dockyard", "The Peter Thompson", "Samiul Outpost", "Bay of Storms", "Valley of Dreams", "The Dara O'Donald", "Kikosi Arsenal", "Partho Watchtower", "Kulvir Towers", "Cronus Outpost", "The Trinity Martinez", "The Joseph Paterson", "The Robert Walker", "Lake of Uncertainty", "Honour Bound", "Rogue Leader", "Cavern of Euphoria", "The Jeremiah Bennet", "Jomei Point", "Doriane Redoubt", "Odysseus Warehouse", "Chasm of Discord", "Zelda Redoubt", "Where the Dragons Went", "A Man Lies Dreaming", "Man with a Plan", "Isle of Reason", "Persefoni Base", "The Adam Newman", "Lake of Adventure", "Winter of the Witch", "Night Shade","Erechtheus Warehouse", "Areclepius Warehouse", "Bay of Daring", "Arnaude Armory", "Kulvir Towers", "Plateau of Doubt", "Cessair Outpost", "Sea of Destiny", "Balder Outpost", "Ocean of Wisdom", "The Brennan Garrahan", "Tlacelel Towers", "Prometheus Depot", "The Traveling Salesman", "The Aaron Walker", "Lake of Dread", "The Sienna Zorath", "Chronos Depot", "Whispers in the Corn", "Bump in the Road", "Lake of Dreams", "Moonlight on the Waters", "Tlacelel Armory", "The Lucia Dhal", "The Prevailing Narrative", "According to the Son", "The Gloves Come Off", "Valley of Grace", "They Made Me Do It", "Bay of Empathy", "Mara Point", "Gideon Springs", "The Aeron O'Donald", "Castle in the Air", "The Marianne Turner", "There is No Spoon", "Plain of Decay", "In the Next Chapter", "Orestes Dockyard", "Mountains of Utopia", "Plain of Accord", "Isle of Stoicism", "Sea of Chivalry", "Neither Here Nor There", "Mountains of Harmony", "Night Lord", "Ocean of Despair", "Sohrab Waystation", "Khalil Palisade", "Odin Waystation", "Ingvar Palisade", "Thor Depot", "Isle of Grace", "King of Cool", "Libitina Base", "Canyon of Creation", "Taking Care of Business", "The Josephine Livingstone", "Chariot of Fire", "Chasm of Storms", "Auden Arsenal", "Parvati Dockyard", "The Glyn Nielsen", "Here Come the Drums",
// Galaxy 3
"Decaocto Citadel", "Flammeus City", "Melano City", "Timoren City", "Valletta Depot", "Inverness Waystation", "Bohr Outpost", "Koch Base", "Citadel of Audacity", "Prunella Township", "Gloucester Dockyard", "Ettinger Shipyard", "Castle of Gallantry", "Dublin Outpost", "Durham Depot", "Fortress of Gallantry", "Sacramento Dockyard", "Manchester Outpost", "York Waystation", "Mendeleev Warehouse", "Rome Base", "Nobilis Township", "Lichfield Waystation", "Sedikh Terminus", "Dublin Docks", "Couloni City", "Solitarius Central", "Wiener Terminus", "Palace of Virtue", "Valletta Terminus", "Pasteur Terminus", "York Waystation", "Birmingham Base", "Saxatilis Township", "Papuan Township", "Citadel of Gallantry", "Schwarzschild Waystation", "Leeds Terminus", "Kissane Warehouse", "Fortress of Enlightenment", "Helsinki Waystation", "Jandaya Terminus", "Bastian of Enlightenment", "Bastian of Fortitude", "Hall of Endurance", "Bristol Terminus", "Tytonidae Township", "Inverness Base", "Chateau of Grace", "Plank Docks", "Keep of Integrity", "Palace of Temperance", "Citadel of Honour", "Drake Warehouse", "Plank Waystation", "Margarethae City", "Keep of Chivalry", "Heffern Depot", "Palace of Fortune", "Citadel of Honour", "Hall of Adventure", "Ipsilou City", "Sordox Terminus", "Derby Waystation","Texas Warehouse", "Fortress of Heroism", "Dallas Docks", "Pasteur Waystation", "Castle of Fortune", "McBreen Depot", "Feynman Terminus", "Orthops Citadel", "Mendeleev Depot", "Boston Dockyard", "Leucopyga Township", "Kingston Anchorage", "Hall of Grace", "Zadeh Terminus", "Glandarius City", "Schensis Central", "Swansea Terminus", "Eupsitula City", "Deserti Central", "Cardiff Base", "McAuliffee Base", "Agapor City", "Tomohon Terminus", "McCauley Depot", "Macroura Terminus", "Fortress of Stoicism", "Reichenbach Terminus", "Palace of Adventure", "Belfast Outpost", "Prague Docks", "Llewellyn Shipyard", "Lamore Outpost", "Castle of Serenity", "Palace of Gallantry", "Roosa Warehouse", "Hall of Valour", "Huygems Base", "Castle of Honour", "Atlanta Base", "Columbus Waystation", "Tarawa Base", "Bella Base", "Detroit Dockyard", "Derby Dockyard", "Fortress of Adventure", "Viktorenko Warehouse", "Baltimore Base", "Schensis Terminus", "Memphis Anchorage", "Belfast Anchorage", "Toxopei City", "Keep of Temperance", "Pristina Outpost", "Chawla Terminus", "Shannon Depot", "Hall of Integrity", "Calcarata City", "Pristina Waystation", "Wiener Shipyard", "Carlisle Anchorage", "Chateau of Courage", "Palace of Enlightenment", "Amabilis City", "Fortress of Integrity", "Kansas Dockyard", "Boyle Terminus", "Keep of Honour", "Modularis Citadel", "Galilei Terminus", "Hispanica Terminus", "Chekov Waystation", "Toxopei Terminus", "Peuviana City", "Oppengeimer Shipyard", "Cernan Waystation", "Canberra Shipyard", "Montanus City", "Citadel of Enlightenment", "Nithinae City", "Kazakhstan Terminus", "Bastian of Integrity", "Plank Base", "Kazakhstan Outpost", "Icterotis Township", "Fortress of Heroism", "Teller Base", "Leeds Waystation", "Fortress of Integrity", "Chateau of Integrity", "Glandarius Citadel", "Keep of Fealty", "Firmout Waystation", "York Depot", "Chateau of Chivalry", "Couloni Citadel", "Hall of Valour", "Tschut City", "Sunderland Shipyard", "Otacon Shipyard", "Junlong Depot", "McClearn Base", "McKay Docks", "Dyson Shipyard", "Brand Warehouse", "Planck Outpost", "Clamator Township", "Hereford Base", "Lisburn Docks", "McClearn Shipyard", "Leeds Base", "Neopsitacus Terminus", "Canberra Warehouse", "Hall of Grace", "Oxford Base", "Cohn Dockyard", "Americanus Central", "Strix City", "Palace of Bravery", "Citadel of Heroism", "Caprimulgus Township", "Oenanthe Terminus", "Colorado Dockyard", "Castle of Valour", "Fortress of Temperance", "Hereford Outpost", "Castle of Adventure", "Bastian of Nobility", "Kissane Base","Ipsilou City", "Hall of Heroism", "Halley Waystation", "Howley Warehouse", "Warsaw Warehouse", "Palace of Daring", "Westminster Terminus", "Undulatus Citadel", "Firmout Waystation", "Agapornis Township", "Worcester Anchorage", "Chateau of Nobility", "Rocephala Township", "Castle of Endurance", "Shannon Shipyard", "Estonia Anchorage", "Cayley Depot", "Cuculidae Central", "Aratinga Citadel", "Leuca Terminus", "Galilei Waystation", "Liechtenstein Base", "Heriot Base", "Keep of Fortitude", "Athens Depot", "Taylor Outpost", "Bradford Shipyard", "Otacon Outpost", "Curie Anchorage", "Citadel of Honour", "Dublin Terminus", "Canorus Central", "Nottingham Base", "Belgium Depot", "Oustalet City", "Chichester Anchorage", "Flammeus Central", "Chateau of Fortitude", "Bolyai Warehouse", "Stockholm Base", "Chichester Terminus", "Hall of Fortitude", "Oxford Anchorage", "Fortress of Bravery", "Petronia Township", "Zadeh Warehouse", "Galilei Depot", "Fortress of Fortune", "Mogensen Waystation", "Lobachevsky Docks", "Taylor Warehouse", "Amabilis Township", "Noctua Terminus", "Toxopei Terminus", "Hahn Terminus", "Oustalet Township", "Fortress of Honesty", "Mattingly Outpost", "Fortress of Heroism", "Oustalet City", "Chanka Central", "Ambiguus Central", "Keynes Base", "Militaris Central",
// Galaxy 4
"Wegener Dockyard", "Prague Terminus", "Columba Terminus", "Chelmsford Anchorage", "Saxicola Township", "Fortress of Honour", "Bastian of Fortune", "Kazakhstan Warehouse", "Australis Citadel", "Atlanta Docks", "McAuliffee Anchorage", "Chateau of Enlightenment", "Tytonidae City", "Yaping Dockyard", "Notata Citadel", "Lydon Waystation", "Vela Outpost", "Canberra Shipyard", "Norwich Anchorage", "Fortress of Stoicism", "Lafferty Anchorage", "Fortress of Courage", "Denver Docks", "Palace of Temperance", "Bastian of Virtue", "Cuculidae Citadel", "Citadel of Enlightenment", "Prague Depot", "McCahon Shipyard", "Caprimulgus City", "Young Depot", "Born Outpost", "Keep of Honour", "Phoenicurus Central", "Keep of Virtue", "Grayson Outpost", "Sheffield Dockyard", "Huygems Warehouse", "Chateau of Endurance", "Cuculus Central", "Citadel of Fortune", "Freeman Anchorage", "Castle of Endurance", "Fortress of Stoicism", "Gargarin Waystation", "Leicester Terminus", "Ankara Dockyard", "Belgrade Depot", "Atlanta Anchorage", "Texas Docks", "Salvadori Central", "Chateau of Fortitude", "Heriot Shipyard", "Cretien Anchorage", "Palace of Fortune", "Plymouth Outpost", "Castle of Gallantry", "Palace of Adventure", "Fortress of Endurance", "Citadel of Valour", "Fortress of Enlightenment", "Chloropterus City", "Hall of Heroism", "Stafford Warehouse","Bastian of Enlightenment", "Kissane Warehouse", "Hubbard Dockyard", "Salisbury Shipyard", "Hombron Terminus", "Chateau of Valour", "Mendez Docks", "Canterbury Shipyard", "Norwich Shipyard", "Prague Base", "Anaximander Base", "Palace of Endurance", "Montanus City", "Swigert Base", "Ararauna Central", "Lamore Shipyard", "Palace of Gallantry", "Ipsilou Township", "Cardiff Depot", "Fisher Terminus", "Asio Terminus", "Pristina Shipyard", "Madrid Depot", "Shepard Dockyard", "Palace of Fortune", "Colorado Waystation", "Pulchella Central", "Melano Citadel", "Grayson Shipyard", "Hombron Citadel", "Krameri Central", "Ankara Terminus", "Ptolemy Dockyard", "Oslo Shipyard", "Chicago Base", "Tsuno Dockyard", "Columba Township", "Canberra Terminus", "Nashville Waystation", "Belgrade Shipyard", "Leuca City", "Fortress of Daring", "Melops City", "Tsuno Docks", "Born Shipyard", "Keep of Honour", "Sedikh Shipyard", "Collaris Township", "Lamore Anchorage", "Sacramento Outpost", "Petronia Central", "Hall of Valour", "Malpighi Dockyard", "Garneau Dockyard", "Tyto City", "Teller Shipyard", "Curie Dockyard", "Castle of Chivalry", "Castle of Nobility", "Palace of Insight", "Dyson Warehouse", "Castle of Bravery", "Palace of Redemption", "Primolius City", "Oppengeimer Shipyard", "Margarethae Central", "Salisbury Depot", "Birmingham Anchorage", "Madrid Anchorage", "Bohr Terminus", "Auricollis Citadel", "Sordox Central", "Castle of Temperance", "Mogensen Shipyard", "Hubble Anchorage", "Macao Township", "Saxatilis City", "Palace of Grace", "Asio Township", "Booming Terminus", "Lovelace Base", "Fortress of Fortitude", "Orthops Township", "Chateau of Nobility", "Lovell Shipyard", "Dallas Outpost", "Sacramento Docks", "Palace of Fealty", "Citadel of Audacity", "Bowersox Dockyard", "Fisher Anchorage", "Newton Base", "Keep of Virtue", "Liouville Warehouse", "Oustalet Township", "Chateau of Daring", "Cardano Anchorage", "Maculata Central", "Estonia Warehouse", "Scandiacus Terminus", "Southampton Warehouse", "Sunderland Shipyard", "Turing Base", "Kingston Warehouse", "Wolowitz Outpost", "Bechstein Township", "Paris Waystation", "Westminster Anchorage", "Decaocto Central", "Hall of Courage", "Heipeng Terminus", "Vela Warehouse", "Lisbon Docks", "Notata Citadel", "Guarouba Township", "Bradford Depot", "London Waystation", "Agapor Township", "Arfaki Township", "Gargarin Terminus", "Keep of Adventure", "Oenanthe Township", "Chateau of Fortitude", "Aratinga City", "Oenanthe Terminus", "Bastian of Chivalry", "Citadel of Honour", "Decaocto Terminus","Otus Central", "Hall of Bravery", "Cohn Outpost", "Hereford Terminus", "Hall of Bravery", "Agapor Terminus", "Palumbus Citadel", "Leacitt Shipyard", "Chateau of Bravery", "Chichester Base", "Resnik Base", "Josefinae City", "Pointcare Shipyard", "Leucopyga Township", "Kazakhstan Base", "Fortress of Grace", "Melano Central", "Teller Base", "Mannion Base", "Castle of Adventure", "Chichester Base", "Keep of Courage", "Simpson Dockyard", "Keep of Enlightenment", "Detroit Terminus", "Macroura Central", "Hall of Bravery", "Denver Outpost", "Palace of Heroism", "Palace of Grace", "Neopsitacus City", "Bastian of Grace", "Josefinae City", "Llwei Dockyard", "Lincoln Dockyard", "Garneau Dockyard", "Leeds Anchorage", "Nottingham Dockyard", "Margarethae Terminus", "Militaris Township", "Lisbon Base", "Rubicola Central", "Citadel of Gallantry", "Westminster Terminus", "Malpighi Dockyard", "Macao Central", "McDivitt Warehouse", "Castle of Daring", "Castle of Chivalry", "Portland Outpost", "Durham Depot", "Americanus Central", "Citadel of Endurance", "Texas Warehouse", "Cayley Terminus", "Valletta Anchorage", "Sharma Outpost", "Citadel of Valour", "Palace of Valour", "Palace of Virtue", "Keep of Gallantry", "Hispanica City", "Citadel of Valour", "McGinity Waystation",
// Galaxy 5
"Camp Saladin", "Port Isakov", "Camp Eaker", "Peterson Spaceport", "McNab Citadel", "Port Foch", "Camp Khudyakov", "Raimei Cosmodrome", "Limpkin Harbour", "Gargain Township", "Labna Citadel", "Banzai Starbase", "Peterson Central", "Walch Spaceport", "Gorton Metropolis", "Migdol Citadel", "McNab Central", "Wright Starbase", "Kelly Terminus", "Taluk Spaceport", "Bitchu Dockyard", "Cairo Metropolis", "Camp Kosovska", "Port Lombardo", "Raimei Landing", "Carter Terminus", "Teotihuacan Township", "Alvarez Harbour", "Holdstock Terminus", "Kingsley Astrodome", "Tyler Citadel", "Camp Kuznetov", "Bulldog Dockyard", "Hernandez Central", "Mendham Dockyard", "Port Dowding", "Uxmal Harbour", "Camp Pulaski", "Avanti Harbour", "Camp Montgomery", "Daisho Metropolis", "Port Lincoln", "Thorpe Spaceport", "Camp Lombardo", "Camp Caldwalader", "McNab Terminus", "Jajpur Township", "Zircon Citadel", "Lister Terminus", "Camp Wellington", "Dwarka Spaceport", "Mosul Harbour", "Port Mohanty", "Sakurai Dockyard", "Dent Terminus", "Baily Central", "Cordoba Harbour", "Sakurai Cosmodrome", "Port Gamelin", "Camp Pontiac", "Peterson Harbour", "Camp Gamelin", "Kelly Citadel", "Bennet Harbour","Jerusalem Township", "Aksum Starbase", "Port Halsey", "Callaghan Central", "Wexler Terminus", "Port Spaatz", "Camp Fletcher", "Timbuktu Cosmodrome", "Limpkin Astrodome", "Midway Astrodome", "Goliath Dockyard", "Madon Spaceport", "Tyler Harbour", "Stovin Central", "Kelly Harbour", "Resen Landing", "Baghdad Harbour", "Port Rawat", "Memphis Harbour", "Camp Saini", "Bulldog Astrodome", "Walch Compound", "Orphic Citadel", "Naramachi Township", "Asher Harbour", "Takahashi Starbase", "Meroe Citadel", "Hibabiya Spaceport", "Calakul Harbour", "Boden Harbour", "Rowlling Central", "Kirin Metropolis", "Port Rawat", "Zircon Citadel", "Port Sherman", "Matabushi Astrodome", "Arowana Anchorage", "Camp Petain", "O'Neil Terminus", "Stovin Compound", "Samaria City", "Rimmer Compound", "Browning Landing", "Camp McDonald", "Camp Bagramyan", "Port Ludden", "Robinson Spaceport", "Devkot City", "Kelly Compound", "Rimmer Citadel", "Camp Darian", "Camp Burgoyne", "Matabushi Cosmodrome", "Repton Harbour", "Walker Compound", "Selezen Terminus", "Zircon Dockyard", "Camp Hindenburg", "Mualang Dockyard", "Tokasha Township", "Port Washington", "Wendigo Harbour", "Camp Burgoyne", "Callen Citadel", "Kurita Dockyard", "Havilland Harbour", "Jellico Astrodome", "Drennan Metropolis", "Port McNaughton", "Alexandria Metropolis", "Tokasha Spaceport", "Port Lincoln", "Duval Spaceport", "Port Haig", "Wright Central", "Ghazni Astrodome", "Martinez Central", "Capone Central", "Jackson Compound", "Camp Foch", "Mitla Cosmodrome", "Astromech Harbour", "Wright Central", "Miller Compound", "Marshall Astrodome", "Cordoba Citadel", "Port Ashe", "McJamefire Citadel", "Constantin Citadel", "Sakurai Metropolis", "Thompson Compound", "Cairo Starbase", "Bukhara Metropolis", "Stovin Terminus", "Madurai Cosmodrome", "Camp Washington", "Aksum Dockyard", "Vellore Spaceport", "Port Fletcher", "Port Washington", "Rowlling Harbour", "Neyshabur Township", "Takahashi Citadel", "Labna Citadel", "Port Haller", "Sacrado Harbour", "Port Haig", "Mualang Anchorage", "Tulum Anchorage", "Port Winkelman", "Uraiyur City", "Taylor Terminus", "Gargain Citadel", "Port Pulaski", "Camp Rawat", "Mangon Dockyard", "Camp Falkenhagn", "Port Isakov", "Port Murat", "Port Hamilton", "Sakurai Harbour", "Silverberg Central", "Limpkin Cosmodrome", "Sheridan Dockyard", "Kelpie Citadel", "Port Singh", "Camp Bagramyan", "Ironhold Spaceport","Goliath Metropolis", "Edom Starbase", "Port Singh", "Mitla Spaceport", "Port Kler", "Nashik Dockyard", "Bitchu Starbase", "Camp Aleksegev", "Zalagar Harbour", "Naramachi Harbour", "Greenberg Central", "Zorath Harbour", "Port Isakov", "Ryder Harbour", "McLane Compound", "Sayil Citadel", "Kurita Starbase", "Camp Rommel", "Walker Compound", "Bhopal Astrodome", "Mualang Spaceport", "Drennan Township", "Kankoku Starbase", "Kingsley Spaceport", "Bulldog Harbour", "Camp Petain", "Babylon Astrodome", "Matabushi City", "Gorton Astrodome", "Mualang Township", "Cordoba Landing", "Port Darian", "Meroe Landing", "Clancey Landing", "Legio Anchorage", "Cairo City", "Tarkin Landing", "Midway Township", "Irece City", "Meroe Harbour", "Ghazni Citadel", "Midway Landing", "Livingstone Harbour", "Camp Shukia", "Port Eaker", "Sacrado Dockyard", "Cairo Spaceport", "Camp Alexander", "Port Darian", "Jellico Cosmodrome", "Xochicalco Dockyard", "Callaghan Central", "Goliath Dockyard", "Palenque Cosmodrome", "Foster Central", "Port Gamelin", "Silversmith Terminus", "Laurent Cosmodrome", "Tulum Township", "Baker Compound", "Camp Hamilton", "Browning Dockyard", "Zircon Cosmodrome", "Zorath City",
// Galaxy 6
"Leons Outpost", "Osiris Terminus", "Bjaki Dockyard", "Ocean of Obscurity", "Abyss of Aptitude", "Cronus Outpost", "The Madelyn Nielsen", "The Luke Peterson", "Honorine Arsenal", "Helgi Warehouse", "Scipdagr Anchorage", "The Collin Capone", "The Lorcan Tarkin", "The Mark Greenberg", "Nishay Point", "Libitina Outpost", "The Dylan McJamefire", "Bay of Trepidation", "Ulysses Anchorage", "The Jordyn Hickson", "Cermait Terminus", "Honorine Base", "Damysus Warehouse", "Egil Waystation", "Eynostus Outpost", "Belenus Terminus", "Hayagriva Anchorage", "Odin Depot", "Lake of Utopia", "The Tegan Aherne", "Lilitu Outpost", "Ulysses Outpost", "Demeter Anchorage", "Raham Springs", "Loki Waystation", "Mulan Depot", "Gaelle Springs", "Canyon of Discord", "The Collin Karpov", "Egil Outpost", "Akio Palisade", "Auden Armory", "The Jordyn Greenberg", "Iravati Dockyard", "Valley of Courage", "The Christian O'Donald", "The Abigail Zahn", "Watonga Terminus", "Amazonius Outpost", "Jomei Armory", "Gaelle Towers", "Mountains of Trepidation", "The Oscar Moore", "Isle of Twilight", "The Babette Paterson", "Pwyll Warehouse", "Hills of Courage", "Ceryx Outpost", "Loralai Palisade", "The Cecilia Grey", "Armelle Towers", "The Collin Laskov", "Tisiphone Armory", "Hemera Anchorage","Bay of Silence", "The Daniel Turner", "Plain of Rage", "Tara Outpost", "Fabien Armory", "Armelle Point", "Isle of Decay", "Isle of Stoicism", "Ogmois Depot", "The Terry Fitzgerald", "The Elliana McLane", "The Elijah Halferty", "Voclain Outpost", "The Josephine Gosnell", "Auden Armory", "Sea of Dread", "The Maddox Miller", "Trophonius Anchorage", "Plain of Doom", "Mountains of Rapture", "The Ryan Marple", "Hypnos Dockyard", "Anhur Waystation", "Abyss of Tranquility", "The Jeremiah Nielsen", "The Sean Paterson", "The Ashley Spencer", "Layal Watchtower", "The Henry Bell", "Sea of Perception", "Derwin Armory", "Starkad Depot", "Lesedi Bunker", "The Cassandra Silverberg", "Achilles Dockyard", "Langlois Armory", "Zelda Towers", "The Aidan Goldberg", "Bay of Rage", "The Willow Pinkman", "The Adam Haggerty", "The Robert Bryson", "Lake of Intellect", "Chasm of Uncertainty", "Rostam Towers", "Narayana Outpost", "Doriane Springs", "Richelieu Redoubt", "Vishnu Depot", "The Jacob Dent", "Helgi Waystation", "Medeia Towers", "Janvier Palisade", "Mountains of Valor", "Anouk Armory", "Agrona Arsenal", "The Eliza Barker", "Sukhbataar Watchtower", "Rosette Bunker", "Laudine Bunker", "Ocean of Absolution", "The Abigail Kochavi", "Canyon of Time", "Gobogeg Anchorage", "Alcyoneus Waystation", "The Catalina Havilland", "The Sophia Bowman", "Bay of Enterprise", "Canyon of Tenacity", "Isle of Doom", "Ocean of Terror", "The Abigail Livingstone", "The Joshua Zorath", "Tethys Anchorage", "The Kai Haussmann", "Cteatus Depot", "The Terry Jimenez", "The Joseph Boden", "The Joshua Sangwan", "Oisin Towers", "The Andrew Rodriguez", "Capucine Towers", "The Cheryl Goldrick", "Egil Depot", "The Genevieve Dexter", "Norton Warehouse", "Plamondon Armory", "The Adam Wilson", "The Gabriel Windham", "Vamana Dockyard", "Horsa Outpost", "The Felicity Ortiz", "Amazonius Anchorage", "Horsa Dockyard", "Raguel Outpost", "Phalanthus Terminus", "The Callum Lovecraft", "Melania Outpost", "The Peyton Wesker", "The Peter Walker", "The Wesley Hassan", "Belenus Anchorage", "Plateau of Fate", "Hera Waystation", "The Wyatt Castillo", "Karamveer Towers", "Plateau of Accord", "The Emma Yadin", "Vishnu Dockyard", "Vidar Anchorage", "Liesel Point", "Cavern of Doubt", "Canola Outpost", "Jezebeth Point", "The Teagan Bowman", "The Brady Gosnell", "The Daisy Darby", "Sea of Tranquility", "Egil Anchorage", "The Christian Taylor", "Pramlocha Terminus", "Ocean of Integrity", "Evander Outpost", "The Emma Halferty", "Luken Bunker", "The Reagan Stovin", "Elden Point", "Sea of Utopia","Plateau of Solicitude", "Abyss of Dedication", "Shesha Terminus", "The David Clancey", "Ares Anchorage", "Chasm of Elation", "Kelvin Arsenal", "Karna Dockyard", "The Elliana Bennet", "The Gavin McCloud", "The Reagan Hanlon", "Bay of Dread", "Tarchon Dockyard", "The Maddox Carpenter", "Supratika Waystation", "The Madelyn Jackson", "Isle of Resolve", "Sohrab Waystation", "Canyon of Dedication", "Aeron Redoubt", "The Margaret Gaffey", "Ocean of Tranquility", "Lesedi Base", "Isle of Wisdom", "Isle of Intellect", "Valley of Devotion", "Hills of Discord", "Menelaus Anchorage", "Besnik Armory", "Vedagarbha Anchorage", "Sobek Terminus", "Lake of Brilliance", "Canyon of Tranquility", "Abyss of Equity", "Hippothoon Warehouse", "Isle of Intellect", "The Jane Paterson", "Oswin Springs", "The Melanie Bunter", "The Glyn Rimmer", "Cuchulainn Terminus", "Chasm of Madness", "The Camila Cahall", "The Jasmine Rodriguez", "The Bella Pratchett", "The Brady Braben", "Palamedes Waystation", "Ganesha Anchorage", "Plain of Inspiration", "Cavern of Light", "The Maddox Marple", "Hills of Courage", "Voclain Point", "Canyon of Dedication", "The Benjamin Tarkin", "Bevan Point", "The Brian Hassan", "The Adam Thompson", "Chirag Bunker", "Pryderi Dockyard", "Alekto Palisade", "Valley of Fortune", "The Jordyn Moore", "Raguel Springs",
// Galaxy 7
"Kazakhstan Docks", "Chester Anchorage", "Wakefield Waystation", "Lisburn Base", "Citadel of Honour", "Bastian of Adventure", "Fortress of Grace", "McEnery Docks", "Urkel Docks", "Fortress of Gallantry", "Tyto Central", "Gloucester Base", "Shkor Base", "York Base", "Valletta Base", "Preston Shipyard", "Keep of Fortitude", "Ripon Outpost", "Citadel of Honour", "Citadel of Enlightenment", "Citadel of Honour", "Palace of Fortune", "Derby Base", "Amsterdam Dockyard", "Funereus City", "Columba City", "Columbus Waystation", "Mendel Dockyard", "Battula Dockyard", "Citadel of Fortitude", "Palace of Stoicism", "Vela Dockyard", "Turtur Central", "Xiaoguang Anchorage", "Fortress of Adventure", "Chloropterus Citadel", "McClenaghan Waystation", "Palace of Honesty", "Dallas Docks", "Colorado Terminus", "Galvani Shipyard", "Madden Depot", "Nashville Docks", "Hispanica City", "Bastian of Valour", "Houston Anchorage", "Citadel of Adventure", "Carlisle Terminus", "Tsiolkovsky Dockyard", "Montanus Terminus", "Montanus Township", "Carlisle Warehouse", "Hispanica Citadel", "Lisburn Base", "Militaris Terminus", "Canberra Dockyard", "Stafford Terminus", "Chicago Anchorage", "Oenanthe Central", "Melano Citadel", "Columba Terminus", "Castle of Temperance", "Booming Warehouse", "Chateau of Grace","Orthops Central", "Castle of Stoicism", "Macedonia Outpost", "Hall of Gallantry", "Chateau of Audacity", "Carwright Anchorage", "Lincoln Terminus", "Hadfield Waystation", "Dyson Warehouse", "Lincoln Base", "Kilpatrick Dockyard", "Conrad Docks", "Atlanta Anchorage", "Tschut Township", "Estonia Waystation", "Phoenicurus Terminus", "Cuculidae Township", "Auricollis City", "Personatus Citadel", "Castle of Courage", "Hahn Anchorage", "Deserti Township", "Fortress of Honesty", "Pascal Anchorage", "Patagonus Citadel", "Bastian of Stoicism", "Placentis Central", "York Shipyard", "Fischer Township", "Minsk Warehouse", "Belfast Anchorage", "Palace of Virtue", "Birmingham Base", "Gloucester Outpost", "Arfaki Central", "Bastian of Adventure", "Asio Township", "Ivanov Depot", "Wiener Docks", "Rome Docks", "Hall of Bravery", "Tengmalm City", "Bastian of Grace", "Hofstadter Outpost", "Berlin Depot", "Chateau of Bravery", "Zadeh Base", "Lobachevsky Docks", "Keep of Adventure", "Belgrade Docks", "Bastian of Grace", "Aimbetov Depot", "Madden Warehouse", "Mendel Waystation", "Bastian of Daring", "Hereford Waystation", "York Shipyard", "Wolowitz Outpost", "Vereaux Township", "Asio City", "Clamator Terminus", "Leeds Docks", "Kazakhstan Waystation", "Fortress of Honour", "Cuculidae City", "Castle of Valour", "Castle of Enlightenment", "Washington Waystation", "Citadel of Virtue", "Castle of Virtue", "Chateau of Honour", "Tarawa Outpost", "Noether Base", "Oslo Waystation", "Citadel of Integrity", "Cardano Terminus", "Bella Depot", "Austral City", "Mendeleev Dockyard", "Brussels Docks", "Cochrane Depot", "Palace of Fortune", "Keep of Adventure", "Boston Warehouse", "Oenanthe City", "Cuculidae Terminus", "Blackwood Terminus", "Columbus Base", "Plank Shipyard", "Swigert Shipyard", "Turing Depot", "Bowersox Warehouse", "Bastian of Fortune", "Citadel of Courage", "Chateau of Fealty", "Aristotle Depot", "Hall of Valour", "Kerans Base", "Tomohon Central", "Ambiguus Central", "Oenanthe Township", "Boston Outpost", "Saxicola Central", "Saxicola Central", "Roosa Docks", "Gordon Anchorage", "Deserti Terminus", "Hall of Bravery", "Hall of Audacity", "Finland Base", "Hereford Waystation", "Blackwood Docks", "Tomohon City", "Carlisle Base", "Chester Docks", "Jandaya Central", "Finland Shipyard", "Tengmalm Terminus", "Ripon Waystation", "Fortress of Fortune", "Hall of Endurance", "Leicester Docks", "Bastian of Courage", "Citadel of Grace", "Fortress of Fealty", "Bechstein Township", "The Jay Middleton", "Shkor Dockyard","Warsaw Base", "Oxford Anchorage", "Ognor Citadel", "Halley Dockyard", "Tengmalm City", "Cognathus Central", "York Terminus", "Chateau of Daring", "Auricollis City", "McGinity Warehouse", "Hynchus Citadel", "Bastian of Fortitude", "Saxatilis City", "Palace of Gallantry", "Oslo Outpost", "Americanus Township", "Clamator Central", "Cambridge Depot", "Caprimulgus Terminus", "Lichfield Warehouse", "Madrid Anchorage", "Scops Citadel", "Hall of Courage", "Castle of Temperance", "Liechtenstein Shipyard", "Cretien Waystation", "Europaeus Citadel", "Lisburn Depot", "McCauley Outpost", "Otus Citadel", "Palace of Fealty", "Memphis Depot", "London Shipyard", "Palace of Grace", "Boyle Dockyard", "McAnnally Outpost", "Sarajevo Depot", "Fortress of Nobility", "Gularis Terminus", "Berlin Docks", "Schensis Central", "McAnnally Docks", "Bastian of Virtue", "Columbus Terminus", "Hamilton Depot", "Citadel of Honesty", "Chawla Warehouse", "Carolinensis City", "Citreola Terminus", "Neopsitacus Terminus", "Hofstadter Waystation", "Shuttleworth Anchorage", "Kepler Outpost", "Personatus Citadel", "Saxicola City", "Chawla Shipyard", "McCally Base", "Neopsitacus Central", "Sunderland Docks", "Citreola City", "Sarajevo Warehouse", "Leicester Base", "Cognathus Citadel", "McDivitt Waystation",
// Galaxy 8
"Banzai Metropolis", "Taxila Astrodome", "Kankoku City", "Camp Ludden", "Buhallin Landing", "Sopara Starbase", "Andoran Spaceport", "Buhallin Township", "Vidisha Starbase", "Arowana Cosmodrome", "Constantin Citadel", "Resen City", "McReno Compound", "Ossian Starbase", "Livingstone Terminus", "Stovin Citadel", "Turanian Landing", "Clancey Terminus", "Camp Ludden", "Fisher Compound", "Texlos Harbour", "Vidisha Dockyard", "Camp Wellington", "Dharma Landing", "Benin Citadel", "Baker Citadel", "Mosul Anchorage", "Rimmer Harbour", "Kingsley Astrodome", "Camp Lowery", "McLaren Harbour", "Ramoth Cosmodrome", "Asuka Spaceport", "Usuki City", "Wendigo Harbour", "Camp Yeosock", "Narbata Metropolis", "Silverberg Citadel", "Port Juin", "Samarra Astrodome", "Port Darian", "Camp Wellington", "Moore Harbour", "Raimei Harbour", "Perez Terminus", "McLaren Central", "Jerusalem Dockyard", "Andoran Anchorage", "Zircon Citadel", "Lustrix Township", "Moore Terminus", "Camp Brooke", "Pinkman Terminus", "Texlos City", "Laurent Township", "Quilon Anchorage", "Avanti Metropolis", "Kawagoe Astrodome", "Sarid Metropolis", "Mendham City", "Saxton Central", "Port Kler", "Chirand Astrodome", "Camp Lavell","Port Lombardo", "Port Sharp", "Rimmer Harbour", "Laibela Anchorage", "Camp Kintpuash", "Zetter Terminus", "Jackson Harbour", "Aksum City", "Camp McNaughton", "Legio Township", "Sacrado Citadel", "Banfield Compound", "Limpkin Anchorage", "Nissan Metropolis", "Selezen Compound", "Port Teloses", "Kitsuki Township", "Goliath Citadel", "Meroe Landing", "Hellespont Harbour", "Lexicon Astrodome", "Camp Rawat", "Port Winkelman", "Naramachi Harbour", "Hibabiya Dockyard", "Banfield Compound", "Camp Wavell", "Uraiyur City", "Sabea Astrodome", "Naramachi Township", "Port Pontiac", "Ironhold Landing", "McNab Compound", "Thorpe City", "Kalpi Metropolis", "Thorpe Dockyard", "Devkot Astrodome", "Port Yeosock", "Dent Citadel", "Repton Township", "Port Diaz", "Mercer Dockyard", "Rowlling Compound", "Barker Compound", "McJamefire Compound", "Clancey Harbour", "Kankoku Dockyard", "Camp Nimitz", "Narbata Citadel", "O'Neil Harbour", "Buhallin City", "Matsue Anchorage", "Nissan Spaceport", "Sopara Citadel", "Bhopal Astrodome", "Jerusalem City", "Naramachi Citadel", "Clark Terminus", "Calakul Astrodome", "Banzai City", "Camp Knox", "Wendigo Township", "Jajpur Citadel", "Port Halsey", "Walch Central", "O'Neil Central", "Camp Charlemagne", "Zahn Citadel", "Port Juin", "Kawagoe City", "Marshall Metropolis", "Mangon Landing", "Mosser Central", "Ryder Citadel", "Galileo Landing", "Port Radetz", "Djenne Cosmodrome", "Camp Caldwalader", "Port Mohanty", "Camp Eisenhower", "Ossian Harbour", "Naveh Spaceport", "Zheaton Compound", "Bell Central", "Kyoto Cosmodrome", "Camp Pym", "Kelpie Spaceport", "Camp Charlemagne", "Cook Compound", "Damascus Metropolis", "Arowana Starbase", "Perez Compound", "Jackson Terminus", "Port Shukia", "Bowman Terminus", "Tulum Anchorage", "Castillo Citadel", "Vidisha Harbour", "Mualang City", "Port Cromwell", "Ossian Landing", "Kurita Cosmodrome", "Dent Terminus", "McLaren Terminus", "Port Shaposhnikov", "Xochicalco Metropolis", "McLane Harbour", "Port Foch", "Midway Cosmodrome", "Port Petain", "Gadara City", "Kyoto Cosmodrome", "Neyshabur Cosmodrome", "Taluk Astrodome", "Camp Kramer", "Watson Central", "Kankoku Spaceport", "Baker Terminus", "Camp Wavell", "Port Davout", "Matabushi Metropolis", "Samarra Landing", "Kurita Anchorage", "Zetter Harbour", "Harran Anchorage", "Port Washington", "Dent Harbour", "Cuicuico Astrodome","Mercer Astrodome", "Mercer Harbour", "Port Petain", "Kelpie Spaceport", "Sanctus Dockyard", "Arowana Township", "Selezen Harbour", "Mendham Starbase", "Olivetti Township", "Tarkin Central", "Camp Darian", "Sacrado Harbour", "Legio Cosmodrome", "Port Darian", "Baghdad Spaceport", "Port Shukia", "Tokasha Astrodome", "Dharma Dockyard", "Lister Harbour", "Camp Rommel", "Banzai Township", "McLane Central", "Zalagar Cosmodrome", "Wexler Terminus", "Mitla Metropolis", "Kingsley Anchorage", "Jerusalem Starbase", "Hellebore Citadel", "Narbata Cosmodrome", "Hebron Harbour", "Taxila Anchorage", "Zircon Metropolis", "Madurai Metropolis", "Laibela Astrodome", "Palenque Starbase", "Bennet Compound", "Barcella Starbase", "Xlapak Metropolis", "Port Dowding", "Allahabad Metropolis", "Rajapura Spaceport", "Camp Kler", "Jackson Central", "Barker Terminus", "Kitsuki Harbour", "Camp Yeosock", "Port Yeosock", "Asuka Starbase", "Tanadi Astrodome", "Port Geronimo", "Edom Landing", "Kankoku Spaceport", "Mosul Harbour", "Silverberg Compound", "Uxmal Township", "Camp Woodward", "Arowana Cosmodrome", "Samarkand Township", "Tokasha Dockyard", "Sopara Citadel", "Cook Terminus", "Camp Kuznetov", "Hamdallashi City", "Camp McCellan",
// The Name below is only used if the pool needs to loop (See the Readme File for Details).
"Bowden Citadel"];

// Scripting Code to Run the OXP starts HERE!

//Some mission variables are temporary and don't need saving. - Tidy up before the game is saved.
this.playerWillSaveGame = function() {
// Reset the Sun to the Default Name before saving - Changes are made by the Random Station Names Script, so no need to store Overwrites in the save file.
if (system.sun) system.info.sun_name  = null;
// Tidy up tempary variables  which do not need to be saved.
delete missionVariables.random_station_names_pointer;
delete missionVariables.random_station_names_next_setting;
delete missionVariables.random_station_names_oprions;
delete missionVariables.random_station_names_page1 ;
delete missionVariables.random_station_names_page2 ;
delete missionVariables.random_station_names_page3 ;
delete missionVariables.random_station_names_page4 ;
delete missionVariables.random_station_names_page5 ;
delete missionVariables.random_station_names_page6 ;
delete missionVariables.random_station_names_page7 ;
delete missionVariables.random_station_names_page8 ;
delete missionVariables.random_station_names_page9 ;
delete missionVariables.random_station_names_page10 ;
delete missionVariables.random_station_names_page11 ;
delete missionVariables.random_station_names_page12 ;
delete missionVariables.random_station_names_page13 ;
delete missionVariables.random_station_names_page14 ;
delete missionVariables.random_station_names_page15 ;
delete missionVariables.random_station_names_page16 ;
delete missionVariables.random_station_names_page17 ;
delete missionVariables.random_station_names_page18 ;
delete missionVariables.random_station_names_page19 ;
delete missionVariables.random_station_names_page20 ;
delete missionVariables.random_station_names_pagenumber;
delete missionVariables.random_station_names_stationpages;
delete missionVariables.random_station_names_pageloop;
delete missionVariables.random_station_names_describe;
delete missionVariables.random_station_names_station_singlepage;
delete missionVariables.random_station_names_header1;
delete missionVariables.random_station_names_header2;
delete missionVariables.random_station_names_header3;
delete missionVariables.random_station_names_header4;
delete missionVariables.random_station_names_header5;
delete missionVariables.random_station_names_header6;
delete missionVariables.random_station_names_header7;
delete missionVariables.random_station_names_planetpages;
delete missionVariables.random_station_names_planet_singlepage;
delete missionVariables.random_station_names_mfd_worlddescribe;
delete missionVariables.random_station_names_mfd_orbitaldescribe;
delete missionVariables.random_station_names_mfd_displayTL;
delete missionVariables.random_station_names_mfd_almanacGovDisplay;
delete missionVariables.random_station_names_mfd_almanacEcoDisplay;
delete missionVariables.random_station_names_mfd_almanacInhabitantsDisplay;
delete missionVariables.random_station_names_mfd_almanacWPdisplay;
delete missionVariables.random_station_names_mfd_almanacsunDisplay; 
delete missionVariables.random_station_names_mfd_almanacsunobjectDataName;
delete missionVariables.random_station_names_mfd_almanacsunobjectDetails;
delete missionVariables.random_station_names_mfd_unit;
delete missionVariables.random_station_names_mfd_unitBase;
delete missionVariables.random_station_names_mfd_rounding; 
delete missionVariables.random_station_names_mfd_almanacDisplayTarget;
delete missionVariables.random_station_names_mfd_objectType;
delete missionVariables.random_station_names_mfd_objectDataName;
delete missionVariables.random_station_names_mfd_objectDetails;
delete missionVariables.random_station_names_mfd_almanac_last_target;
delete missionVariables.random_station_names_mfd_almanacDisplayTarget_alert;
delete missionVariables.random_station_names_mfd_availability_state;
delete missionVariables.random_station_names_mfd_availability_state_launch;
delete missionVariables.random_station_names_mfd_telescope_spoof;

// HERE! - delete the counting variables

}
// Clear Variables for OXZ Sun and Planet adding OXZs
this.startUp = function() {
delete missionVariables.random_station_names_compress;
delete missionVariables.random_station_names_distantsuns;
delete missionVariables.random_station_names_distantstars;
delete missionVariables.random_station_names_news_installed;
delete missionVariables.random_station_names_telescope_installed;
delete missionVariables.random_station_names_systemredux_installed;
delete missionVariables.random_station_names_jukebox_installed;
delete missionVariables.random_station_names_sungear;
delete missionVariables.random_station_names_planetengine;
delete missionVariables.random_station_names_spawnmoons;
delete missionVariables.random_station_names_spawnstation;
delete missionVariables.random_station_names_orbits;
delete missionVariables.random_station_names_stranger_populated_system;
delete missionVariables.random_station_names_warning_given;
delete missionVariables.random_station_names_planatary_compass;
}
this.systemWillPopulate = function() {
// Clear counting variables,.
this.ResetAllCounters ();
// When first installed the Random Stations News Variables (used to give the Welcome Message, Update Messages and Galatic News Articles) will be undified. Set to 0..
if (!missionVariables.random_station_names_news) missionVariables.random_station_names_news = 0;
if (!missionVariables.random_station_names_news_intro_given) missionVariables.random_station_names_news_intro_given = 0;
if (!missionVariables.random_station_names_timer) missionVariables.random_station_names_timer = 0;
if (!missionVariables.random_station_names_expenses_timer && missionVariables.random_station_names_news < 48) missionVariables.random_station_names_expenses_timer = 0;
if (!missionVariables.random_station_names_looper_intro_given) missionVariables.random_station_names_looper_intro_given = "No";
// Set a 20 sided dice roll as a variable on installing which is re-rolled on each jump.
// This is used to script delays in News Broadcasts and when a random variable needs to remain the same for everything in the same system.
if (!missionVariables.random_station_names_local_d20_diceroll) missionVariables.random_station_names_local_d20_diceroll = expandDescription("[named_stations_twenty_sided_dice_roll]");
// Set Up Names for Stellar Serpent.
// If the current Serpent has died then delete it's name.
if (missionVariables.stellarSerpents_status === "NO_SERPENT") delete missionVariables.random_station_names_serpent_name;
// If a new serpert has appeared and it is not already named then name it with a name from the list of Male & Female Names.
// The name stays the same until the Serpent dies and a new one appears.
if (missionVariables.stellarSerpents_status === "SERPENT" && !missionVariables.random_station_names_serpent_name) missionVariables.random_station_names_serpent_name = expandDescription("[named_stations_random_name_generater_list_of_all_first_names]");
//When First Installed set the Background Screen, Units and Naming and the Random Name Generator Function On / Off Toggles to the Defaults..
if (!missionVariables.random_station_names_screen) missionVariables.random_station_names_screen = "BGS Background Style";
if (!missionVariables.random_station_names_units) missionVariables.random_station_names_units = "Kilometres"; 
if (!missionVariables.random_station_names_stars) missionVariables.random_station_names_stars = "On"; 
if (!missionVariables.random_station_names_planets) missionVariables.random_station_names_planets = "On"; 
if (!missionVariables.random_station_names_rocks) missionVariables.random_station_names_rocks = "On"; 
if (!missionVariables.random_station_names_witchpoint) missionVariables.random_station_names_witchpoint = "On"; 
if (!missionVariables.random_station_names_main) missionVariables.random_station_names_main = "On"; 
if (!missionVariables.random_station_names_oxps) missionVariables.random_station_names_oxps = "On"; 
if (!missionVariables.random_station_names_generator) missionVariables.random_station_names_generator = "Off"; 
if (!missionVariables.random_station_names_mfd_rounding) missionVariables.random_station_names_mfd_rounding = 3;
// Name stars, planets and moons.
this.namestars();
{ this.scriptDelay_planetsandmoons = new Timer(this, this.nameplanetsandmoons, 0.20); }
{ this.scriptDelay_mainplanet = new Timer(this, this.namemainplanet, 0.30); }
// Set Up the MFD on Start Up.
this.almanacinterval = 1; // Refresh frequency in Seconds.
// Timer for display update.
this.almanacdistanceTimer = new Timer(this,this.almanacupdateDistance,0,this.almanacinterval);
this.almanacdistanceTimer.stop();
// Symbols for Govenments.
this.almanacgovs = new Array();
for (var i = 0; i < 8 ; i++) {
this.almanacgovs.push(String.fromCharCode(i));
}
// Symbols for Economies.
this.almanacecos = new Array();
for (i = 0; i < 8 ; i++) {
this.almanacecos.push(String.fromCharCode(23 - i));
}
// Name the Main Station if the Name Main Stations Option is On.
if (missionVariables.random_station_names_main === "On") {
// Name the Main Station in the system the player has just entered.
var ms = system.mainStation; // Checks that a Main Station is actually present. The only time it wouldn't be is on a mis-jump where the player is in Intersteller Space.
if (!ms || !ms.isValid) return; // If there is no Main Station present then don't run the function.
// Checks for Galaxy so the correct part of the array to name the stations in that Galaxy is read.
var mainGrid = Math.floor(system.ID+(256 * galaxyNumber));
// If a Habitat replaces the main station then its name and beacon is set to that of the Main Station rather than being named from the Kiota Pools.
// This isn't needed with any other OXP Stations which replace the main station as without a beacon set Oolite automatically sets the beacon to the Main Station.
// As the Habitats have their own beacon even when replacing the main station a manual set up is needed for it.
if(ms.displayName === "Kiota Habitat" || ms.displayName === "Kiota Mega Habitat") {
ms.beaconLabel = ms.displayName+": "+main[mainGrid&2047];;
}
// Similar check for KHS and KOS Stations.
if(ms.displayName.indexOf("KHS-") >= 0 || ms.displayName.indexOf("KOS-") >= 0) {
ms.beaconLabel = ms.displayName+": "+main[mainGrid&2047];;
}
// Names the Main Station with the name for that station contained in the array.
// Numbering for system.ID starts at 0 so the last name in the array is number 2047 rather than 2048.
// As the Easter Egg Mission allows the player to rename Lave Station, a check is made depending on whether the mission has been completed or not.
// If not definied - always name from the main station array.
if (!missionVariables.random_station_names_easter_egg_name) {
ms.shipUniqueName = ms.shipUniqueName+""+main[mainGrid&2047]; 
}
// if definied then name using the main station array as normal unless at Lave.
if (missionVariables.random_station_names_easter_egg_name) {
var mainstationname = main[mainGrid&2047];
if (system.ID === 7 && galaxyNumber === 0) var mainstationname = missionVariables.random_station_names_easter_egg_name;
ms.shipUniqueName = ms.shipUniqueName+""+mainstationname;
}
}
// Closing Bracket for the this system will populate function.
}
this.startUpComplete = function ()
{
// Delete variables which check for other OXPs being installed so a new check is made on Loading (in case the OXP had been installed  or removed since the last load).
delete missionVariables.random_station_names_compress;
delete missionVariables.random_station_names_distantsuns;
delete missionVariables.random_station_names_distantstars;
delete missionVariables.random_station_names_news_installed;
delete missionVariables.random_station_names_telescope_installed;
delete missionVariables.random_station_names_systemredux_installed;
delete missionVariables.random_station_names_jukebox_installed;
delete missionVariables.random_station_names_sungear;
delete missionVariables.random_station_names_planetengine;
delete missionVariables.random_station_names_spawnmoons;
delete missionVariables.random_station_names_spawnstation;
delete missionVariables.random_station_names_orbits;
delete missionVariables.random_station_names_stranger_populated_system;
delete missionVariables.random_station_names_warning_given;
delete missionVariables.random_station_names_planatary_compass;

// Starting with Beta 1.5 an installed Version Check is done and the current version of the OXZ is saved as a mission vriable.
// This just makes it easier to Tidy Up uneeded variables from previous versions (if the player had them installed)
// Each Version from Beta 1.5 unwards will also add more News Broacasts. On an update the timer is set back to 0, so that a short delay occours in the broadcasts.
// This is also so that if playing through from the Start the New Broadcasts do not immedatley appear as they only start once the News Variable has reach 12 (ie you've seen the ones from the old version).
// Version Clean Up - HERE!
if (!missionVariables.random_station_names_oxz_version_number || missionVariables.random_station_names_oxz_version_number < 0.92) {
// Reset the Jump Counter timer to Zero.
missionVariables.random_station_names_timer = 0;
// Set the mfd update to zero - Each time in real life the MFD Database is upsated you get a Console Message in Game.
if (!missionVariables.random_station_names_mfd_intro_given) missionVariables.random_station_names_mfd_intro_given = 0;
// Tidy Up of Redundant Save File Variables.
delete missionVariables.random_station_names_mfd_availability_state_docked_name;
delete missionVariables.random_station_names_diceroll;
delete missionVariables.random_station_names_compass;
if (missionVariables.random_station_names_units === "Orthodox Units") missionVariables.random_station_names_units = "Ostronomical Units";

// Set the Version Number Variable to the Current Version.
missionVariables.random_station_names_oxz_version_number = 0.92; 
// Closing Bracked for Version Check.
}
// If Distant Suns Installed, Disable it's  F7 Screen text adding code to use a tweaked version from Random Station Names.
// If the Name Stars Option in Random Station Names is switched Off then the Stars are named by Distant Suns (if Installed).
// If the Name Stars Option is On then all other functions of Distant Suns run normally, but the Star Name is assigned by Random Station Names.
// Check to see if the Compressed F7 Screen OXZ is installed. If so Flag this with a temporary variable.
if (worldScripts.CompressedF7Layout) {
missionVariables.random_station_names_compress = "Yes";
}
// Check to see if Distant Suns is installed. If so Flag this with a temporary variable.
if (worldScripts.Stars) {
missionVariables.random_station_names_distantsuns = "Yes";
worldScripts.Stars.$overrideGUI = worldScripts.Stars.guiScreenChanged;
delete worldScripts.Stars.guiScreenChanged;
}
// Check for Distant Stars is installed. If so Flag this with a temporary variable.
if (worldScripts.Spectroscope) {
missionVariables.random_station_names_distantstars = "Yes";
worldScripts.Spectroscope.$overrideGUI = worldScripts.Spectroscope.guiScreenChanged;
delete worldScripts.Spectroscope.guiScreenChanged;
}
// Check for Stranger's World Sun Gear is Installed. If so flag this with a temporary variable.
if (worldScripts.SunSpectralAnalyzer) {
missionVariables.random_station_names_sungear = "Yes";
worldScripts.SunSpectralAnalyzer.$overrideGUI = worldScripts.SunSpectralAnalyzer.guiScreenChanged;
delete worldScripts.SunSpectralAnalyzer.guiScreenChanged;
}
// Check to see if Stranger's World Planetary Systems is installed.
if (worldScripts.PlanetEngine) {
missionVariables.random_station_names_planetengine = "Yes";
}
// Check to see if Stranger's World Moons is installed.
if (worldScripts.SpawnMoons) {
missionVariables.random_station_names_spawnmoons = "Yes";
}
// Check to see if Stranger's World Orbital Stations is installed.
if (worldScripts.spawn_station) {
missionVariables.random_station_names_spawnstation = "Yes";
}
// Check to see if GNN or Snoopers is installed.
if (worldScripts.snoopers) {
missionVariables.random_station_names_news_installed = "Yes";
}
if (worldScripts.GNN) {
missionVariables.random_station_names_news_installed = "Yes";
}
// Check to see if Telescope is installed.
if (worldScripts.telescope) {
missionVariables.random_station_names_telescope_installed = "Yes";
}
// Check to see if Contextual Jukebox is installed.
if (worldScripts.Contextual_Jukebox) {
missionVariables.random_station_names_jukebox_installed = "Yes";
}
// Check to see if System Redux is installed.
if (worldScripts.stations_for_extra_planets) {
missionVariables.random_station_names_systemredux_installed = "Yes";
}
// Check to see if Orbits is installed.
if (worldScripts.Orbits) {
missionVariables.random_station_names_orbits = "Yes";
}
// Check to see if Planetary Compass is installed.
if(worldScriptNames.length > 0) {
missionVariables.random_station_names_planatary_compass = "Yes";
}



// JUMP!
// Temporary Station Adder HERE! - Uncomment to test stations.
// The shipdate file contains a like ship of a Buoy with 99999 energy and Station Scan Class.
// These can be spawed for testing of the auto naming code by adding large numbers to a system without slowing Oolite down by adding loads of actual stations.
//system.addShips("random_station_names_test_dummy", 1);

// Add the Mining Facility - Odd Job - to the Rarere system in Galaxy 1. This is visted in the Easter Egg Mission, but the station is always present at Rarere. 
if (system.ID === 119 && galaxyNumber === 0) {
system.addShipsToRoute("random_station_names_easter_egg1", 1, 0.9, "sw");
}
// Uncomment to write names from decriptions to the Save File
//missionVariables.random_station_names_diceroll = expandDescription("[random_station_names_roll256]");

// Clear counting variables.
this.ResetAllCounters ();
// When first installed the Random Stations News Variables (used to give the Welcome Message, Update Messages and Galatic News Articles) will be undified. Set to 0..
if (!missionVariables.random_station_names_news) missionVariables.random_station_names_news = 0;
if (!missionVariables.random_station_names_news_intro_given) missionVariables.random_station_names_news_intro_given = 0;
if (!missionVariables.random_station_names_timer) missionVariables.random_station_names_timer = 0;
if (!missionVariables.random_station_names_expenses_timer && missionVariables.random_station_names_news < 48) missionVariables.random_station_names_expenses_timer = 0;
if (!missionVariables.random_station_names_looper_intro_given) missionVariables.random_station_names_looper_intro_given = "No";
if (!missionVariables.random_station_names_mfd_intro_given) missionVariables.random_station_names_mfd_intro_given = 0;
// Set a 20 sided dice roll as a variable on installing which is re-rolled on each jump.
// This is used to script delays in News Broadcasts and when a random variable needs to remain the same for everything in the same system.
if (!missionVariables.random_station_names_local_d20_diceroll) missionVariables.random_station_names_local_d20_diceroll = expandDescription("[named_stations_twenty_sided_dice_roll]");
// Set Up Names for Stellar Serpent.
// If the current Serpent has died then delete it's name.
if (missionVariables.stellarSerpents_status === "NO_SERPENT") delete missionVariables.random_station_names_serpent_name;
// If a new serpert has appeared and it is not already named then name it with a name from the list of Male & Female Names.
// The name stays the same until the Serpent dies and a new one appears.
if (missionVariables.stellarSerpents_status === "SERPENT" && !missionVariables.random_station_names_serpent_name) missionVariables.random_station_names_serpent_name = expandDescription("[named_stations_random_name_generater_list_of_all_first_names]");
//When First Installed set the Background Screen, Units and Naming and the Random Name Generator Function On / Off Toggles to the Defaults..
if (!missionVariables.random_station_names_screen) missionVariables.random_station_names_screen = "BGS Background Style";
if (!missionVariables.random_station_names_units) missionVariables.random_station_names_units = "Kilometres"; 
if (!missionVariables.random_station_names_stars) missionVariables.random_station_names_stars = "On"; 
if (!missionVariables.random_station_names_planets) missionVariables.random_station_names_planets = "On"; 
if (!missionVariables.random_station_names_rocks) missionVariables.random_station_names_rocks = "On"; 
if (!missionVariables.random_station_names_witchpoint) missionVariables.random_station_names_witchpoint = "On"; 
if (!missionVariables.random_station_names_main) missionVariables.random_station_names_main = "On"; 
if (!missionVariables.random_station_names_oxps) missionVariables.random_station_names_oxps = "On"; 
if (!missionVariables.random_station_names_generator) missionVariables.random_station_names_generator = "Off"; 
if (!missionVariables.random_station_names_mfd_rounding) missionVariables.random_station_names_mfd_rounding = 3;
//This function is run as soon as Oolite Starts from a saved game and so is defined here.
this.shipDockedWithStation(player.ship.dockedStation);
this.almanacdistanceTimer.stop();
// Delete the temporay variable to run the ASC set up as we only want this bit of the name planets and moons function to run on jumping and launching from a loaded game..
delete missionVariables.random_station_names_setupASC;
this.namestars();
{ this.scriptDelay_planetsandmoons = new Timer(this, this.nameplanetsandmoons, 0.20); }
{ this.scriptDelay_mainplanet = new Timer(this, this.namemainplanet, 0.30); }
// Closing Bracket for Whole Function.
}
this.shipExitedWitchspace = function ()
{
this.namestars();
{ this.scriptDelay_planetsandmoons = new Timer(this, this.nameplanetsandmoons, 0.20); }
{ this.scriptDelay_mainplanet = new Timer(this, this.namemainplanet, 0.28); }
{ this.scriptDelay_setupmfd = new Timer(this, this.SetUpAlmanacMFD, 0.29); }
this.almanacdistanceTimer.start();
// Uncomment to write names from decriptions to the Save File - HERE!
//missionVariables.random_station_names_diceroll = expandDescription("[random_station_names_roll256]");
// Clear counting variables.
this.ResetAllCounters ();
// Name Planets, Moons & Stars and Set Up the ASC with the names of Stars, Planets and Moons.
// When the set up ASC is run it will set the variable to Yes and run the setUp ASC part of the Planets and Moons function.
// Having run though the variable is set to Run. The ASC set code will not therefore run  again until a jump is made.
// We only want it to run when the player first launches from a saved game as we only want to run this once per system.
// The function checks that the variable is undefined. As it is only delated on loading and jumping, it never runs twice in the same system.
// Delete the temporay variable to run the ASC set up as we only want this bit of the name planets and moons function to run on jumping and launching.
delete missionVariables.random_station_names_setupASC;
{ this.scriptDelay = new Timer(this, this.setUpASC, 0.21); }
// If the Procedural Name Generator Mode is turned on, Log 256 randomly generated names to the Lastest Log  each time a Hyperspace Jump is made.
if (missionVariables.random_station_names_generator === "On") {
var namegenerationlist = expandDescription("[random_stations_generator_list_output_to_latest_log]");
log(this.name, "The Galactic Almanac OXP Procedural Generator is Enabled.  256 names have been generated. Names Array : "+namegenerationlist);
}
 // As soon as the OXP is installed, the player recieves a message from GalCop telling them that the GAL-ID software (handwave to why stations now have names) has been updated to show Station Names.
// To script a short delay between the new system coming on-line and Snooper's reporting on the new system, the 1st Snoopers Broadcast is sent for display once the player has made 1 hyperspace jump since installing the OXP.
// Once the 1st Snoopers Broadcast has been seen, a jump timer is used.. This is rest to zero each time a Broadcast is sent to GNN.
// The first is sent after making 1 jump.. The counter then resets.
missionVariables.random_station_names_timer ++;
// Reset the Counter if it reaches 100.
if (missionVariables.random_station_names_timer > 99) missionVariables.random_station_names_timer = 0;
// The easter egg mission will pay you credits in expenses equal to the number of jumps you made to complete it (capped at a maximum of 250 Credits).
// This timer is therefore incremeded only once you are on the mission. Unlike the news timer it is not reset.
if (missionVariables.random_station_names_news > 21 && missionVariables.random_station_names_news < 48) {
missionVariables.random_station_names_expenses_timer++;
}
// Roll a 20 sided die and save the result for the system. This is used for dice rolls which need to stay the same for everything in the system and to script delays in the News Broadcasts.
missionVariables.random_station_names_local_d20_diceroll = expandDescription("[named_stations_twenty_sided_dice_roll]");
// If GNN or Snoopers is installed then send  periodic news broadcasts.
if (missionVariables.random_station_names_news_installed === "Yes") {
// Send the 1st (Snoopers) Broadcast to GNN.- Is Sent as a Prioity 1 as soon as 1 hyperspace jump is made. As long as you have space in your News Box, you'll see this ping up when you dock at a main station after making 1 jump.
if (missionVariables.random_station_names_news === 1 &&  missionVariables.random_station_names_timer > 0) {
missionVariables.random_station_names_timer = 0;
var news = new Object;
news.ID = this.name;
news.Message = expandDescription("[random_station_names_1_news]");
news.Agency = 3;
news.Priority = 1;
this.passScreen(news,1); 
// Run a Check that there is space in the GNN Box. If there is then the Broadcast is sent to GNN and the mision variable for counting News Broadscasts is advanced.
// If not the mission variable for counting News Broadcasts stays the same and the OXP will check again on the next jump.
// Wheather the Broadcast went to GNN okay or not the timer is always set back to 0. when the conditions for sending the News Broadcast are met.
// If the Broadcast went to GNN then the mission variable was advanced to check for Broadcast 2 so the code won't check again for the 1st Message.
// If it didn't as the buffer was full then the mission variable wasn't advanced. With the timer set back 0, the OXP will loop back to this code on the next jump as both statements remain true.
//Random Stations names will keep trying to send the Broadcasts to GNN until GNN comfirms it has accepted it as the player has emptied his News Box.
//If you've been playing with a full News Box, then Random Station Names won't start sending out its Broadcasts until you have the space in your News Box to recieve them.
//You won't miss any News Broadcasts if your in box is full as the timer will stay at 0 and the mission variable stay at  1 for the first Broadcast. Once you have space it will start adding them
//over the same time peroid you would have seen them as if you had installed with an empty inbox.
}
// Send the 2nd (Rooters) Broadcast to GNN.- Is Sent as a Prioity 1 once 4 jumps have been made since Broadcast 1 was sent.
if (missionVariables.random_station_names_news === 2 &&  missionVariables.random_station_names_timer > 3) {
missionVariables.random_station_names_timer = 0;
var news = new Object;
news.ID = this.name;
news.Message = expandDescription("[random_station_names_2_news]");
news.Agency = 2;
news.Priority = 1;
this.passScreen(news,1); 
// The same method is used as above.
}
// Send the 3rd (Tionisla Chronicle) Broadcast to GNN.- Is Sent as a Prioity 1 once 6 jumps have been made since Broadcast 2 was sent.
if (missionVariables.random_station_names_news === 3 &&  missionVariables.random_station_names_timer > 5) {
missionVariables.random_station_names_timer = 0;
var news = new Object;
news.ID = this.name;
news.Message = expandDescription("[random_station_names_3_news]");
news.Agency = 4;
news.Priority = 1;
this.passScreen(news,1); 
// The same method is used as above.
}
// Send the 4th (GNN) Broadcast to GNN.- Is Sent as a Prioity 1 once 5 jumps have been made since Broadcast 3 was sent.
if (missionVariables.random_station_names_news === 4 &&  missionVariables.random_station_names_timer > 4) {
missionVariables.random_station_names_timer = 0;
var news = new Object;
news.ID = this.name;
news.Message = expandDescription("[random_station_names_4_news]");
news.Agency = 1;
news.Priority = 1;
this.passScreen(news,1); 
// The same method is used as above.
}
// Send the 5th (GNN) Broadcast to GNN.- Is Sent as a Prioity 1 once 2 jumps have been made since Broadcast 4 was sent.
if (missionVariables.random_station_names_news === 5 &&  missionVariables.random_station_names_timer > 1) {
missionVariables.random_station_names_timer = 0;
var news = new Object;
news.ID = this.name;
news.Message = expandDescription("[random_station_names_5_news]");
news.Agency = 1;
news.Priority = 1;
this.passScreen(news,1); 
// The same method is used as above.
}
// Send the 6th (GNN) Broadcast to GNN.- Is Sent as a Prioity 1 once 1 jump has been made since Broadcast 5 was sent.
if (missionVariables.random_station_names_news === 6 &&  missionVariables.random_station_names_timer > 0) {
missionVariables.random_station_names_timer = 0;
var news = new Object;
news.ID = this.name;
news.Message = expandDescription("[random_station_names_6_news]");
news.Agency = 1;
news.Priority = 1;
this.passScreen(news,1); 
// The same method is used as above.
}
// Send the 7th (GNN) Broadcast to GNN.- Is Sent as a Prioity 1 once 1 jump has been made since Broadcast 6 was sent.
if (missionVariables.random_station_names_news === 7 &&  missionVariables.random_station_names_timer > 0) {
missionVariables.random_station_names_timer = 0;
var news = new Object;
news.ID = this.name;
news.Message = expandDescription("[random_station_names_7_news]");
news.Agency = 1;
news.Priority = 1;
this.passScreen(news,1); 
// The same method is used as above.
}
// Send the 8th (GNN) Broadcast to GNN.- Is Sent as a Prioity 1 once 2 jumps have been made since Broadcast 7 was sent.
if (missionVariables.random_station_names_news === 8 &&  missionVariables.random_station_names_timer > 1) {
missionVariables.random_station_names_timer = 0;
var news = new Object;
news.ID = this.name;
news.Message = expandDescription("[random_station_names_8_news]");
news.Agency = 1;
news.Priority = 1;
this.passScreen(news,1); 
// The same method is used as above.
}
// Send the 9th (GNN) Broadcast to GNN.- Is Sent as a Prioity 1 once 3 jumps have been made since Broadcast 8 was sent.
if (missionVariables.random_station_names_news === 9 &&  missionVariables.random_station_names_timer > 2) {
missionVariables.random_station_names_timer = 0;
var news = new Object;
news.ID = this.name;
news.Message = expandDescription("[random_station_names_9_news]");
news.Agency = 1;
news.Priority = 1;
this.passScreen(news,1); 
// The same method is used as above.
}
// When the News Variable reachs 10 the player recieves an FTL email from the new Chief Cartographer.
// The code for this is below as this message uses the mission screen rather than the News Networks.
// Once the FTL email has been seen, the News Variable is advanced to 11.
// Send the 10th (Snoopers) Broadcast to GNN.- Is Sent as a Prioity 1 once 5 jumps have been made since the FTL email was sent.
if (missionVariables.random_station_names_news === 11 &&  missionVariables.random_station_names_timer > 4) {
missionVariables.random_station_names_timer = 0;
var news = new Object;
news.ID = this.name;
news.Message = expandDescription("[random_station_names_10_news]");
news.Agency = 3;
news.Priority = 1;
this.passScreen(news,1); 
// The same method is used as above.
}
// Additional News Broadcasts added by Beta 1.5. 35 Jumps were required to trigger all the previous broadcasts.
// Beween Beta Realeases the OXZ will wait for new stuff to be added.
// If played through from the start the messages always come up in the same order.
// Send the 11th ((Rooters) Broadcast to GNN.- Is Sent as a Prioity 1 once 5 jumps have been made since the 10th News Message was sent.
if (missionVariables.random_station_names_news === 12 &&  missionVariables.random_station_names_timer > 4) {
missionVariables.random_station_names_timer = 0;
var news = new Object;
news.ID = this.name;
news.Message = expandDescription("[random_station_names_11_news]");
news.Agency = 2;
news.Priority = 1;
this.passScreen(news,1); 
// The same method is used as above.
}
// Send the 12th ((Rooters) Broadcast to GNN.- Is Sent as a Prioity 1 once 3 jumps have been made since the 11th News Message was sent.
if (missionVariables.random_station_names_news === 13 &&  missionVariables.random_station_names_timer > 2) {
missionVariables.random_station_names_timer = 0;
var news = new Object;
news.ID = this.name;
news.Message = expandDescription("[random_station_names_12_news]");
news.Agency = 2;
news.Priority = 1;
this.passScreen(news,1); 
// The same method is used as above.
}
// Send the 13th ((Rooters) Broadcast to GNN.- Is Sent as a Prioity 1 once 2 jumps have been made since the 12th News Message was sent.
if (missionVariables.random_station_names_news === 14 &&  missionVariables.random_station_names_timer > 1) {
missionVariables.random_station_names_timer = 0;
var news = new Object;
news.ID = this.name;
news.Message = expandDescription("[random_station_names_13_news]");
news.Agency = 2;
news.Priority = 1;
this.passScreen(news,1); 
// The same method is used as above.
}
// End of News Broadcasts added by Beta 1.5 - 10 more jumps are required to see all three messages.
// 45 Jumps in total since installing needed to see all current messages.
// News Broadcasts added by Beta 1.7 (none were added in Beta 1.6).
// These are scean setters for the OXZ's mission.
// Send the 14th (Tionisla Chronicle) Broadcast to GNN.- Is Sent as a Prioity 1 once 6 jumps have been made since the 13th News Message was sent.
if (missionVariables.random_station_names_news === 15 &&  missionVariables.random_station_names_timer > 5) {
missionVariables.random_station_names_timer = 0;
var news = new Object;
news.ID = this.name;
news.Message = expandDescription("[random_station_names_14_news]");
news.Agency = 4;
news.Priority = 1;
this.passScreen(news,1); 
// The same method is used as above.
}
// Send the 15th (Snoopers) Broadcast to GNN.- Is Sent as a Prioity 1 once 1 jump has been made since the 14th News Message was sent.
if (missionVariables.random_station_names_news === 16 &&  missionVariables.random_station_names_timer > 0) {
missionVariables.random_station_names_timer = 0;
var news = new Object;
news.ID = this.name;
news.Message = expandDescription("[random_station_names_15_news]");
news.Agency = 3;
news.Priority = 1;
this.passScreen(news,1); 
// The same method is used as above.
}
// Send the 16th (Tionisla Chronicle) Broadcast to GNN.- Is Sent as a Prioity 1 once 3 jumps have been made since the 15th News Message was sent.
if (missionVariables.random_station_names_news === 17 &&  missionVariables.random_station_names_timer > 2) {
missionVariables.random_station_names_timer = 0;
var news = new Object;
news.ID = this.name;
news.Message = expandDescription("[random_station_names_16_news]");
news.Agency = 4;
news.Priority = 1;
this.passScreen(news,1); 
// The same method is used as above.
}
// Send the 17th (Snoopers) Broadcast to GNN.- Is Sent as a Prioity 1 once 5 jumps have been made since the 16th News Message was sent.
if (missionVariables.random_station_names_news === 18 &&  missionVariables.random_station_names_timer > 4) {
missionVariables.random_station_names_timer = 0;
var news = new Object;
news.ID = this.name;
news.Message = expandDescription("[random_station_names_17_news]");
news.Agency = 3;
news.Priority = 1;
this.passScreen(news,1); 
// The same method is used as above.
}
// 15 Further Jumps are required to see the 4 further broadcasts added by Beta 7 (V0.7) with 60 jumps total being required to see all 17 broadcasts.
// Once 3 jumps have been made since Broadcast 17 has been seen and the new variable has reached 19, the player will recieve an incomming message asking them to go to Zadies.
// This is handled by missions screens in the code below.
// Whether any further News Broadcasts are shown depends on progess through the optional Easter Egg Mission.
// You will only see Broadcast 18 if you completed the Easter Egg mission and chose to rename Lave Main Station as your reward.
// To complete the mission you would have needed to make a minium of 104 jumps and travel a minium of 541.9 Light Years travelling to all the places required to complete the Easter Egg mission.
// The 18th Broadcast is sent 3 jumps after you complet the mission.
// A total of 167 jumps is the minium needed to see all of Broadcasts 1 through 18.
// Send the 18th (Snoopers) Broadcast to GNN.- Is Sent as a Prioity 1 once 3 jumps have been made since the Easter Egg mission was completed, but only if the player also chose to rename Lave Station.
if (missionVariables.random_station_names_news === 49 && missionVariables.random_station_names_timer > 2) {
missionVariables.random_station_names_timer = 0;
var news = new Object;
news.ID = this.name;
news.Message = expandDescription("[random_station_names_18_news]");
news.Agency = 3;
news.Priority = 1;
this.passScreen(news,1); 
// The same method is used as above.
} 
// News Broadcasts added by V0.90 - Must have completed the Easter Egg Mission to see them.
// Send the 19th (Tionisla Chronicle) Broadcast to GNN.- Is Sent as a Prioity 1 once 30 jumps have been made since the 18th Broadcast was sent.
if (missionVariables.random_station_names_news === 50 && missionVariables.random_station_names_timer > 29) {
missionVariables.random_station_names_timer = 0;
var news = new Object;
news.ID = this.name;
news.Message = expandDescription("[random_station_names_19_news]");
news.Agency = 4;
news.Priority = 1;
this.passScreen(news,1); 
// The same method is used as above.
} 
// News Broadcasts added by V0.92 - Must have completed the Easter Egg Mission to see them.
// Send the 20th (Snoopers) Broadcast to GNN.- Is Sent as a Prioity 1 once 10 jumps have been made since the 19th Broadcast was sent.
if (missionVariables.random_station_names_news === 51 && missionVariables.random_station_names_timer > 9) {
missionVariables.random_station_names_timer = 0;
var news = new Object;
news.ID = this.name;
news.Message = expandDescription("[random_station_names_20_news]");
news.Agency = 3;
news.Priority = 1;
this.passScreen(news,1); 
// The same method is used as above.
} 
// Send the 21st (Snoopers) Broadcast to GNN.- Is Sent as a Prioity 1 once 3 jumps have been made since the 20th Broadcast was sent.
if (missionVariables.random_station_names_news === 52 && missionVariables.random_station_names_timer > 2) {
missionVariables.random_station_names_timer = 0;
var news = new Object;
news.ID = this.name;
news.Message = expandDescription("[random_station_names_21_news]");
news.Agency = 3;
news.Priority = 1;
this.passScreen(news,1); 
// The same method is used as above.
} 





// Total 210 jumps.






// NEWS - HERE!

// Closing bracket for News Messages Function.
}

// JUMP!
// Spawn a station near the Whitchpoint when making a jump you want to test. Commented Out. Uncomment to spawn a station with the role you state in every system in the game. - Meant to help playtesting.
// Temporary Station Adder HERE!
// The shipdate file contains a like ship of a Buoy with 99999 energy and Station Scan Class.
// These can be spawed for testing of the auto naming code by adding large numbers to a system without slowing Oolite down by adding loads of actual stations.
//system.addShips("random_station_names_test_dummy", 1);

// Mark Zadies if the Easter Egg Mission Intro Message was given in another Galaxy and the player is only now returning to Galaxy 1.
if (galaxyNumber === 0 && missionVariables.random_station_names_news === 20) {
missionVariables.random_station_names_news = 21;
mission.markSystem({system: 131, markerColor: "cyanColor", markerScale: 1.5, markerShape: "MARKER_DIAMOND"}); 
}
// Add the Mining Facility - Odd Job - to the Rarere system in Galaxy 1. This is visted in the Easter Egg Mission, but the station is always present at Rarere. 
if (system.ID === 119 && galaxyNumber === 0) {
system.addShipsToRoute("random_station_names_easter_egg1", 1, 0.9, "sw");
}

// Closing Bracket for the Whole Exiting Hyperspace Function.
}
// If a news message has been sent, check that there is space in GNN's News Box..
// If so send the News Broacast to GNN. If it is full then Random Station Names will try again after 1 to 6 hyperspace jumps have been made.
this.passScreen = function(news,mode)
{var a = worldScripts.GNN._insertNews(news);
if(!a){ if(mode) missionVariables.random_station_names_news++;  // If GNN conforms sucess, advance the News Counting variable to the next Broadcast.
return;
} else {if(a<0){ // If the buffer was full then the mission variable counting the News Broadcasts wasn't advanced. Once the player has made the required number of jumps Random Station names will check again.
return;
}}}
// Random Stations Naming Code - All Stations (and Asteroids) are named here. - HERE! JUMP!
// Suns, Moons Planets and Gas Gas Giants are named under Start Up - running the separate this.namestars and this nameplanetsandmoons functions. 
// Ideally the check would be run under this.systemwillpopulate as then the check would never have to be done in flight.
// However, some OXPs add their station only on launching or exiting hyperspace, so a check has to be done when the object spawns.
// To optimise the code therefore, the code is bracketed off so the long lists in the code are only looked at if the thing spawning is a station that Random Station Names needs to name.
this.shipSpawned = function(ship)
{
// If an OXZ has set the Almanac Naming to Off with a Script Info Key, then the whole naming code is skipped for this Station or Ship.
if (ship.scriptInfo.almanac_object_naming !== "Off") {
// Opening Bracket for Naming Not being set to Off.
// All of the Naming Script is ignored for objects spawning that do not need checking for naming.
if (ship.scanClass !== "CLASS_MISSILE"  && ship.scanClass !== "CLASS_MINE"  && ship.scanClass !== "CLASS_THARGOID"  
&& ship.name !== "Metal Fragment"  && ship.name !== "Cargo Container"  && ship.name !== "Escape Capsule"
&& ship.name !== "Boulder" && ship.name !== "Splinter" && ship.name !== "Wreckage"  && ship.name !== "Ice Boulder" ) 
//Opening Bracket for Things to Check.
{
// Not yet Optimised.
if(ship.displayName === "Mark" ) {
ship.displayName = "Emergency Distress Marker";
ship.beaconLabel = ship.displayName;
}
// Consistent naming for both versions of abandoned hermits.
if(ship.name === "Abandoned hermit" ) {
ship.displayName = "Abandoned Rock Hermit: No Transponder";
}
// Renegade Becaon for Testing. Take out before release - HERE!
if(ship.hasRole("anarchies_renegade_station")) ship.beaconLabel = "Renegade Station: "+renegadepool [system.ID&255]; // Turn on Beacon for Playtesting.
// End of Not yet Optimised.

// 1) Special Cases for the HoOpy Casino and Sodalite Coluber Defence Ships (as these are Ships rather than Stations)
// Name HoOpy Cassino.
if(ship.hasRole("casinoship") && missionVariables.random_station_names_oxps === "On") {
missionVariables.random_station_names_local_casinoship_count ++;
if (missionVariables.random_station_names_local_casinoship_count ===1) ship.displayName = ship.displayName+": "+hoopypool[system.ID&255]; // Name the Station.
// As the first station is named by its system ID, we want the next to be named by the next name in the array. So take off 1 from System ID so the next name is always SystemID+ number of extra stations.
var hoopyGrid = Math.floor(system.ID-1+missionVariables.random_station_names_local_casinoship_count);
if (missionVariables.random_station_names_local_casinoship_count > 1 )ship.displayName = ship.displayName+": "+hoopypool[hoopyGrid&255];// If more than one is unexpectedly present name from the next name in the pool.
ship.beaconLabel = ship.displayName; // Add Station Name to the ASC display.
}
// Special Case - Check for Sodalite Coluber Defence Ships
// As an Easter Egg Unique Insect Theamed Names are added o the Sodalite Coluber Defence Ships. 
if(ship.hasRole("coluberguard")) {
missionVariables.random_station_names_local_coluberguard_count ++;
if (missionVariables.random_station_names_local_coluberguard_count === 1 && missionVariables.random_station_names_local_d20_diceroll <11) ship.displayName = "Pit Viper Guard: "+expandDescription("[named_stations_sodalite1]");
if (missionVariables.random_station_names_local_coluberguard_count === 1 && missionVariables.random_station_names_local_d20_diceroll >10) ship.displayName = "Pit Viper Guard: "+expandDescription("[named_stations_sodalite5]");
if (missionVariables.random_station_names_local_coluberguard_count === 2 && missionVariables.random_station_names_local_d20_diceroll <11) ship.displayName = "Pit Viper Guard: "+expandDescription("[named_stations_sodalite2]");
if (missionVariables.random_station_names_local_coluberguard_count === 2 && missionVariables.random_station_names_local_d20_diceroll >10) ship.displayName = "Pit Viper Guard: "+expandDescription("[named_stations_sodalite6]");
if (missionVariables.random_station_names_local_coluberguard_count === 3 && missionVariables.random_station_names_local_d20_diceroll <11) ship.displayName = "Pit Viper Guard: "+expandDescription("[named_stations_sodalite3]");
if (missionVariables.random_station_names_local_coluberguard_count === 3 && missionVariables.random_station_names_local_d20_diceroll >10) ship.displayName = "Pit Viper Guard: "+expandDescription("[named_stations_sodalite7]");
if (missionVariables.random_station_names_local_coluberguard_count === 4 && missionVariables.random_station_names_local_d20_diceroll <11) ship.displayName = "Pit Viper Guard: "+expandDescription("[named_stations_sodalite4]");
if (missionVariables.random_station_names_local_coluberguard_count === 4 && missionVariables.random_station_names_local_d20_diceroll >10) ship.displayName = "Pit Viper Guard: "+expandDescription("[named_stations_sodalite8]");
var pitviperGrid =  Math.floor(missionVariables.random_station_names_local_d20_diceroll+missionVariables.random_station_names_local_coluberguard_count);
if (missionVariables.random_station_names_local_coluberguard_count > 5) ship.displayName = "Pit Viper Guard: "+pitviperoverflowpool[pitviperGrid &79];
}
// 2) BRACKETED IF CONDITION FOR ROCK SCAN CLASS
// Names Asteroids, Stellar Serpents, Space Pizzas and Star Jellys if Name Asteroids is turned On.
if (ship.scanClass === "CLASS_ROCK" && missionVariables.random_station_names_rocks === "On" ) {
// Name Asteroids if the Name Asteroids  and Star Jellies if the Name Asteroids Option is turned On.
if(ship.hasRole("asteroid") && ship.displayName !== ("Big Boulder") && ship.displayName !== ("Abandoned Rock Hermit: No Transponder") && ship.displayName !== ("Astromine Penal Colony") 
&& ship.displayName !== ("Big boulder"))  {
// As each asteroid spawns the counter is advanced. The name is then reaad by System ID+1. So the first asteroid is given the first name in the array, the second from the second position and so on.
missionVariables.random_station_names_local_rock_count ++;
// Interstellar Space is classified as System -1. We don't want the names to be the same therefore each time the player is at System -1 as in terms of gameplay the areas you enter on each miss jump are light years appart.
// Asteroids do not normally appear in  interstellar space, but if another OXP spawns asteroids  in interstella space, then names are procedurally generated on the fly.
if (system.isInterstellarSpace) {
if (missionVariables.random_station_names_local_rock_count <100)  var asteroidnumber = "0";
if (missionVariables.random_station_names_local_rock_count <10)  var asteroidnumber = "00";
if (missionVariables.random_station_names_local_rock_count  >99)  var asteroidnumber = "";
 ship.displayName = ship.displayName+": "+expandDescription("[named_stations_rocks_interstellar]")+" "+asteroidnumber+missionVariables.random_station_names_local_rock_count;
 }
// 23 different pools of names are used for Asteroids. Each will name up to 256 asteroids. If more than 256 asteroids are present in a system, then it will loop.
// The name pool is set by system number so 12 systems per Galaxy use the same list of names.
// However, the starting point from which each array is read is set by system number, so each system has a different selection of names.
// Oolite starts counting from Zero, so if at planet 0, then the array position for planet zero is read for the first object to spawn, so that the list starts looping from the start.
if(system.ID === 0  && missionVariables.random_station_names_local_rock_count === 1 && ship.displayName !== ("Female Star-Jelly") &&  ship.displayName !== ("Male Star-Jelly") && ship.displayName !== ("Star-Jelly egg") && ship.displayName !== ("Star-Jelly larva")) {
if (missionVariables.random_station_names_local_rock_count <100)  var asteroidnumber = "0";
if (missionVariables.random_station_names_local_rock_count <10)  var asteroidnumber = "00";
if (missionVariables.random_station_names_local_rock_count  >99)  var asteroidnumber = "";
ship.displayName = ship.displayName+": "+rockpool1 [system.ID&255]+" "+asteroidnumber+missionVariables.random_station_names_local_rock_count; 
}
// Read any further asteroids from position 1 onwards, but shuffle the pool to read from depending on the system number.
if(system.ID >  0  && missionVariables.random_station_names_local_rock_count > 1 && ship.displayName !== ("Female Star-Jelly") &&  ship.displayName !== ("Male Star-Jelly") && ship.displayName !== ("Star-Jelly egg") && ship.displayName !== ("Star-Jelly larva")) {
var rockGrid = Math.floor(system.ID+missionVariables.random_station_names_local_rock_count);
if (missionVariables.random_station_names_local_rock_count <100)  var asteroidnumber = "0";
if (missionVariables.random_station_names_local_rock_count <10)  var asteroidnumber = "00";
if (missionVariables.random_station_names_local_rock_count  >99)  var asteroidnumber = "";
var rockGrid = Math.floor(system.ID+missionVariables.random_station_names_local_rock_count);
var rockname = rockpool1[rockGrid&255]; // Default for systems 0 to 12.
if(system.ID >  11  && system.ID < 23) var rockname = rockpool2[rockGrid&255];
if(system.ID >  22  && system.ID < 34) var rockname = rockpool3[rockGrid&255];
if(system.ID >  33  && system.ID < 45) var rockname = rockpool4[rockGrid&255];
if(system.ID >  44  && system.ID < 56) var rockname = rockpool5[rockGrid&255];
if(system.ID > 55  && system.ID < 67) var rockname = rockpool6[rockGrid&255];
if(system.ID >  66  && system.ID < 78) var rockname = rockpool7[rockGrid&255];
if(system.ID >  77  && system.ID < 89) var rockname = rockpool8[rockGrid&255];
if(system.ID >  88  && system.ID < 100) var rockname = rockpool9[rockGrid&255];
if(system.ID >  99  && system.ID < 111) var rockname = rockpool10[rockGrid&255];
if(system.ID >  110  && system.ID < 122) var rockname = rockpool11[rockGrid&255];
if(system.ID >  121  && system.ID < 133) var rockname = rockpool12[rockGrid&255];
if(system.ID >  132  && system.ID < 144) var rockname = rockpool13[rockGrid&255];
if(system.ID >  143  && system.ID < 155) var rockname = rockpool14[rockGrid&255];
if(system.ID >  154  && system.ID < 166) var rockname = rockpool15[rockGrid&255];
if(system.ID >  165  && system.ID < 177) var rockname = rockpool16[rockGrid&255];
if(system.ID >  176  && system.ID < 188) var rockname = rockpool17[rockGrid&255];
if(system.ID >  187  && system.ID < 199) var rockname = rockpool18[rockGrid&255];
if(system.ID >  198  && system.ID < 210) var rockname = rockpool19[rockGrid&255];
if(system.ID >  209  && system.ID < 221) var rockname = rockpool20[rockGrid&255];
if(system.ID >  220  && system.ID < 232) var rockname = rockpool21[rockGrid&255];
if(system.ID >  231  && system.ID < 243) var rockname = rockpool22[rockGrid&255];
if(system.ID >  242) var rockname = rockpool23[rockGrid&255];
ship.displayName = ship.displayName +": "+rockname+" "+asteroidnumber+missionVariables.random_station_names_local_rock_count ;
}
// End Bracket for Name Asteroids.
}
// Name the Stellar Serpents.
if(ship.hasRole("stellarSerpents_head") || ship.hasRole("stellarSerpents_body"))  {
if(ship.hasRole("stellarSerpents_head")) missionVariables.random_station_names_local_stellarSerpent_count ++;
// If this is the actual mission serpent the player is hunting then give it the saved name for the current target serpent.
if (missionVariables.stellarSerpents_status === "SERPENT" && missionVariables.random_station_names_local_stellarSerpent_count === 1) ship.displayName = missionVariables.random_station_names_serpent_name+" (Stellar Serpent)";
if (missionVariables.stellarSerpents_status !== "SERPENT" && missionVariables.random_station_names_local_stellarSerpent_count === 1) {
ship.displayName = serpentoverflowpool[system.ID&255]+" (Stellar Serpent)";
}
// If more than one Serpent is present then name by looping the list of 256 overflow names.
if (missionVariables.random_station_names_local_stellarSerpent_count > 1) {
var serpentGrid = Math.floor(system.ID+missionVariables.random_station_names_local_stellarSerpent_count);
ship.displayName = serpentoverflowpool[serpentGrid&255]+" (Stellar Serpent)";}
if(ship.hasRole("stellarSerpents_body"))  ship.displayName = "Serpent Body";
}
// Name Space Pizzas.
// Normally there are only 13 Space Pizzas in the whole game. Each Pizza is given an individual flavour.
// 45 Pizzas will be given indivual flavours before looping.
if(ship.hasRole("smivs_space_pizza")) {
missionVariables.random_station_names_local_pizza_count++;
// if this is an extra PIzza being spawned by another OXP at a system where a Pizza would not normally be present, give it a flavour from the Overflow Pool.
if (missionVariables.random_station_names_local_pizza_count ===1) {
var pizzaname = pizzapool[system.ID&31]; // Assigne a Name by SystemID if this is an extra Pizza (up to 32 Pizzas per system).
// If only one Pizza is present and in its normal location then it is the Pizza normally added so it gets an Individual Name.
if (galaxyNumber === 0 && system.ID === 152)  var pizzaname = "Vegan Chilli";
if (galaxyNumber === 0 && system.ID === 238)  var pizzaname = "Pepperoni Passion";
if (galaxyNumber === 1 && system.ID === 192)  var pizzaname = "Goat & Garlic";
if (galaxyNumber === 2 && system.ID === 56)  var pizzaname = "Poet & Parmesan";
if (galaxyNumber === 3 && system.ID === 134)  var pizzaname = "Tandori Hot";
if (galaxyNumber === 3 && system.ID === 189)  var pizzaname = "Spicy Meatball";
if (galaxyNumber === 4 && system.ID === 50)  var pizzaname = "Chicken Caesar";
if (galaxyNumber === 5 && system.ID === 193)  var pizzaname = "Toasted Trumble";
if (galaxyNumber === 6 && system.ID === 150)  var pizzaname = "Hula Hawaiian";
if (galaxyNumber === 6 && system.ID === 158)  var pizzaname = "Moth & Mozzarella";
if (galaxyNumber === 6 && system.ID === 205)  var pizzaname = "American Hot";
if (galaxyNumber === 7 && system.ID === 13)  var pizzaname = "Smokehouse Melt";
if (galaxyNumber === 7 && system.ID === 168)  var pizzaname = "Wolf Surprise";
}
if (missionVariables.random_station_names_local_pizza_count > 1) {
// if more than one station is present regardless of location then this is an extra station added by another OXP. Assign a name (up to 256 per system) from Overflow Pool 1.
var pizzaGrid = Math.floor(system.ID+missionVariables.random_station_names_local_pizza_count);
var pizzaname = pizzapool[pizzaGrid&31];
}
ship.displayName = ship.displayName+" ("+pizzaname+")"; // Add the Pizza's Flavour.
ship.beaconLabel = ship.displayName;
}
//End of Rock Scan Class Check
}

// 3) BRACKETED IF CONDITION FOR CARO SCAN CLASS (Star Jellies)
if (ship.scanClass === "CLASS_CARGO") {
// Name Star Jellies
if(ship.hasRole("star-jelly1")) {
missionVariables.random_station_names_local_jelly_count ++;
var jellyGrid = Math.floor(system.ID+missionVariables.random_station_names_local_jelly_count);
ship.displayName = ""+femalejellypool[jellyGrid&255]+" (Female Star Jelly)";}
if(ship.hasRole("star-jelly2")) {
missionVariables.random_station_names_local_jelly_count ++;
var jellyGrid = Math.floor(system.ID+missionVariables.random_station_names_local_jelly_count);
ship.displayName = ""+malejellypool[jellyGrid&255]+" (Male Star Jelly)";}
if(ship.hasRole("star-jelly-egg")) {
missionVariables.random_station_names_local_jelly_count ++;
var jellyGrid = Math.floor(system.ID+missionVariables.random_station_names_local_jelly_count);
ship.displayName = ""+mixedjellypool[jellyGrid&255]+" (Unhatched Star Jelly)";}
if(ship.hasRole("star-jelly-larva")) {
missionVariables.random_station_names_local_jelly_count ++;
var jellyGrid = Math.floor(system.ID+missionVariables.random_station_names_local_jelly_count);
ship.displayName = ""+larvaljellypool[jellyGrid&255]+" (Larval Star Jelly)";}
// Tidy up for Case Sensitity.
if (ship.displayName === "Cargo container") ship.displayName = "Cargo Container";
//End of Cargo Scan Class Check
}

// 4) BRACKETED IF CONDITION FOR STATION & BUOY NAMING (INCLUDES WITCHPOINTS, PLANETFALL LANDING SITES & PLANETARY SATELLITES)
if (ship.hasRole("RSsatellite") || ship.hasRole("planetFall_surface") || ship.hasRole("taxi_billboard") || ship.isStation || ship.scanClass === "CLASS_STATION"  
|| ship.scanClass === "CLASS_BUOY" ) {
// Name Witchpoints - Only Run if the ship Spawning is a Witchpoint Beacon and Name Witchpoints is turned On.
if (ship.hasRole("buoy-witchpoint") || ship.hasRole("repaired-grs-buoy") && missionVariables.random_station_names_witchpoint === "On") {
var buoynumber = system.ID;
var buoygalaxy = galaxyNumber ;
buoygalaxy++;
if (buoynumber >99)  var buoydisplay = "";
if (buoynumber <100)  var buoydisplay = "0";
if (buoynumber <10)  var buoydisplay = "00";
ship.displayName = "Witchpoint Beacon: " +buoypool[system.ID&255]+buoygalaxy+"-"+buoydisplay+buoynumber;  // Name Witchpoint Buoys with an ID Code Style Name.
// But if at System Zero in any Galaxy the Witchpoint the Buoy is described as the Meridian for the Galaxy.
if(galaxyNumber  === 0 && system.ID === 0) ship.displayName = "Witchpoint Beacon: The Prime Meridian" ;
if(galaxyNumber  === 1 && system.ID === 0) ship.displayName = "Witchpoint Beacon: The Hartnell Meridian" ;
if(galaxyNumber  === 2 && system.ID === 0) ship.displayName = "Witchpoint Beacon: The Copernicus Meridian" ;
if(galaxyNumber  === 3 && system.ID === 0) ship.displayName = "Witchpoint Beacon: The Inner Meridian" ;
if(galaxyNumber  === 4 && system.ID === 0) ship.displayName = "Witchpoint Beacon: The Holdstock Meridian" ;
if(galaxyNumber  === 5 && system.ID === 0) ship.displayName = "Witchpoint Beacon: The Armistice Meridian" ;
if(galaxyNumber  === 6 && system.ID === 0) ship.displayName = "Witchpoint Beacon: The Sithis Meridian" ;
if(galaxyNumber  === 7 && system.ID === 0) ship.displayName = "Witchpoint Beacon: The Outer Meridian" ;
ship.beaconLabel = ship.displayName; // Add the Buoy Name to the ASC display.
}
// Name Stations and their Buoys - Only Run if Station Naming is On and the Object is a Station..
if (missionVariables.random_station_names_oxps === "On") {
// Small Monkey Patch of my own Random Hits.
// Tweeked the Space Bars names to appear in the same naming format as all the other Stations and their names appear on the ASC.
// Adds the words "Space Bar: " before the name (so you can tell it is a Space Bar on the ASC) and adds a beacon lable.
// Has to be done on spawning rather than by ShipData Overrides as Random Hits own script sets the display name.
if(ship.hasRole("random_hits_any_spacebar")) 
{ 
ship.beaconLabel = "Space Bar: "+ship.displayName;
}
// Name Black Monk Stations.
if(ship.hasRole("blackmonk_monastery"))  {
missionVariables.random_station_names_local_monk_count ++;
if (missionVariables.random_station_names_local_monk_count ===1) ship.displayName = ship.displayName+": "+monkpool[system.ID&255]; // Name the Station.
if (missionVariables.random_station_names_local_monk_count ===1) ship.beaconLabel = "Monastery: "+monkpool[system.ID&255]; // Add Station Name to the ASC display.
// As the first station is named by its system ID, we want the next to be named by the next name in the array. So take off 1 from System ID so the next name is always SystemID+ number of extra stations.
var monkGrid = Math.floor(system.ID-1+missionVariables.random_station_names_local_monk_count);
if (missionVariables.random_station_names_local_monk_count > 1 )ship.displayName = ship.displayName+": "+monkpool[monkGrid&255];// If more than one is unexpectedly present name from the next name in the pool.
if (missionVariables.random_station_names_local_monk_count > 1) ship.beaconLabel = "Monastery: "+monkpool[monkGrid&255]; // Add Station Name to the ASC display.
}
// Name Con Store Stations.
if(ship.hasRole("constore") || ship.hasRole("GW-constore"))  {
missionVariables.random_station_names_local_constore_count ++;
if (missionVariables.random_station_names_local_constore_count ===1) ship.displayName = ship.displayName+": "+storepool[system.ID&255]; // Name the Station.
// As the first station is named by its system ID, we want the next to be named by the next name in the array. So take off 1 from System ID so the next name is always SystemID+ number of extra stations.
var storeGrid = Math.floor(system.ID-1+missionVariables.random_station_names_local_constore_count);
if (missionVariables.random_station_names_local_constore_count > 1 )ship.displayName = ship.displayName+": "+storepool[storeGrid&255];// If more than one is unexpectedly present name from the next name in the pool.
}
// Name Con Store Buoys.
if(ship.hasRole("constore-buoy"))  {
missionVariables.random_station_names_local_constore_buoy_count ++;
if (missionVariables.random_station_names_local_constore_buoy_count ===1) ship.displayName = ship.displayName+": "+storepool[system.ID&255]; // Name the Station.
// As the first station is named by its system ID, we want the next to be named by the next name in the array. So take off 1 from System ID so the next name is always SystemID+ number of extra stations.
var storeGrid = Math.floor(system.ID-1+missionVariables.random_station_names_local_constore_buoy_count);
if (missionVariables.random_station_names_local_constore_buoy_count > 1 )ship.displayName = ship.displayName+": "+storepool[storeGrid&255];// If more than one is unexpectedly present name from the next name in the pool.
ship.beaconLabel = ship.displayName; // Add Station Name to the ASC display.
}
// Name Super Hub Stations.
if(ship.hasRole("pagroove_superhub"))  {
missionVariables.random_station_names_local_pagroove_superhub_count ++;
if (missionVariables.random_station_names_local_pagroove_superhub_count ===1) ship.displayName = ship.displayName+": "+hubpool[system.ID&255]; // Name the Station.
if (missionVariables.random_station_names_local_pagroove_superhub_count ===1) ship.beaconLabel = "Super Hub: "+hubpool[system.ID&255]; // Add Station Name to the ASC display.
// As the first station is named by its system ID, we want the next to be named by the next name in the array. So take off 1 from System ID so the next name is always SystemID+ number of extra stations.
var hubGrid = Math.floor(system.ID-1+missionVariables.random_station_names_local_pagroove_superhub_count);
if (missionVariables.random_station_names_local_pagroove_superhub_count > 1 )ship.displayName = ship.displayName+": "+hubpool[hubGrid&255];// If more than one is unexpectedly present name from the next name in the pool.
if (missionVariables.random_station_names_local_pagroove_superhub_count > 1) ship.beaconLabel = "Super Hub: "+hubpool[hubGrid&255]; // Add Station Name to the ASC display.
}
// Name Galactic Taxi Stations.
if(ship.hasRole("taxi_station"))  {
missionVariables.random_station_names_local_taxi_station_count ++;
if (missionVariables.random_station_names_local_taxi_station_count ===1) ship.displayName = ship.displayName+": "+taxipool[system.ID&255]; // Name the Station.
// As the first station is named by its system ID, we want the next to be named by the next name in the array. So take off 1 from System ID so the next name is always SystemID+ number of extra stations.
var taxiGrid = Math.floor(system.ID-1+missionVariables.random_station_names_local_taxi_station_count);
if (missionVariables.random_station_names_local_taxi_station_count > 1 )ship.displayName = ship.displayName+": "+taxipool[taxiGrid&255];// If more than one is unexpectedly present name from the next name in the pool.
}
// Name Taxi Station Buoys.
if(ship.hasRole("taxi_billboard"))  {
missionVariables.random_station_names_local_taxi_billboard_count ++;
if (missionVariables.random_station_names_local_taxi_billboard_count  ===1) ship.displayName = ship.displayName+": "+taxipool[system.ID&255]; // Name the Buoy.
// As the first station is named by its system ID, we want the next to be named by the next name in the array. So take off 1 from System ID so the next name is always SystemID+ number of extra stations.
var taxiGrid = Math.floor(system.ID-1+missionVariables.random_station_names_local_taxi_billboard_count );
if (missionVariables.random_station_names_local_taxi_billboard_count  > 1 )ship.displayName = ship.displayName+": "+taxipool[taxiGrid&255];// If more than one is unexpectedly present name from the next name in the pool.
ship.beaconLabel = ship.displayName; // Add Station Name to the ASC display.
}
// Name Rescue Stations
if(ship.hasRole("rescue_station"))  {
missionVariables.random_station_names_local_rescue_station_count ++;
if (missionVariables.random_station_names_local_rescue_station_count ===1) ship.displayName = ship.displayName+": "+rrspool[system.ID&255]; // Name the Station.
// As the first station is named by its system ID, we want the next to be named by the next name in the array. So take off 1 from System ID so the next name is always SystemID+ number of extra stations.
var rrsGrid = Math.floor(system.ID-1+missionVariables.random_station_names_local_rescue_station_count);
if (missionVariables.random_station_names_local_rescue_station_count > 1 )ship.displayName = ship.displayName+": "+rrspool[rrsGrid&255];// If more than one is unexpectedly present name from the next name in the pool.
ship.beaconLabel = ship.displayName; // Add Station Name to the ASC display.
}
// Name RSS Mining Outposts..
if(ship.hasRole("rrsfl-mining-outpost"))  {
missionVariables.random_station_names_local_rrsfl_mining_outpost_count ++;
if (missionVariables.random_station_names_local_rrsfl_mining_outpost_count ===1) ship.displayName = ship.displayName+": "+minepool[system.ID&255]; // Name the Station.
// As the first station is named by its system ID, we want the next to be named by the next name in the array. So take off 1 from System ID so the next name is always SystemID+ number of extra stations.
var mineGrid = Math.floor(system.ID-1+missionVariables.random_station_names_local_rrsfl_mining_outpost_count);
if (missionVariables.random_station_names_local_rrsfl_mining_outpost_count > 1 )ship.displayName = ship.displayName+": "+minepool[mineGrid&255];// If more than one is unexpectedly present name from the next name in the pool.
ship.beaconLabel = ship.displayName; // Add Station Name to the ASC display.
}
// Name RSS Mining Outposts when Called as Infected Plague Mines (with the warning to Stay Away as added by RSS OXP normally when called as a mission station).
if(ship.hasRole("rrs-plague-mine"))  {
missionVariables.random_station_names_local_rrs_plague_mine_count ++;
if (missionVariables.random_station_names_local_rrs_plague_mine_count ===1) ship.displayName = "Mining Outpost (Plague Infection - Stay Away!): "+minepool2[system.ID&31]; // Name the Station.
// As the first station is named by its system ID, we want the next to be named by the next name in the array. So take off 1 from System ID so the next name is always SystemID+ number of extra stations.
var mine2Grid = Math.floor(system.ID-1+missionVariables.random_station_names_local_rrs_plague_mine_count);
if (missionVariables.random_station_names_local_rrs_plague_mine_count > 1 )ship.displayName = "Mining Outpost (Plague Infection - Stay Away!): "+minepool2[mine2Grid&31]; // If more than one is unexpectedly present name from the next name in the pool.
ship.beaconLabel = ship.displayName; // Add Station Name to the ASC display.
}
// Name RSS Mining Outposts when called as Slaver Bases by RSS - No Beacon on this version as RSS does not add a beacon to Slaver Bases. These are bad guys who do not comply with any of GalCop's Regulations!
if(ship.hasRole("rrs_slaverbase"))  {
missionVariables.random_station_names_local_rrs_slaverbase_count ++;
if (missionVariables.random_station_names_local_rrs_slaverbase_count ===1) ship.displayName = ship.displayName+": "+minepool3[system.ID&31]; // Name the Station.
// As the first station is named by its system ID, we want the next to be named by the next name in the array. So take off 1 from System ID so the next name is always SystemID+ number of extra stations.
var mineGrid3 = Math.floor(system.ID-1+missionVariables.random_station_names_local_rrs_slaverbase_count);
if (missionVariables.random_station_names_local_rrs_slaverbase_count > 1 )ship.displayName = ship.displayName+": "+minepool3[mineGrid3&31];// If more than one is unexpectedly present name from the next name in the pool.
}
// Name Free Trade Zone Stations.
if(ship.hasRole("free_trade_zone"))  {
missionVariables.random_station_names_local_free_trade_zone_count++;
if (missionVariables.random_station_names_local_free_trade_zone_count===1) ship.displayName = ship.displayName+": "+ftzpool[system.ID&255]; // Name the Station.
// As the first station is named by its system ID, we want the next to be named by the next name in the array. So take off 1 from System ID so the next name is always SystemID+ number of extra stations.
var ftzGrid = Math.floor(system.ID-1+missionVariables.random_station_names_free_trade_zone_count);
if (missionVariables.random_station_names_local_free_trade_zone_count> 1 )ship.displayName = ship.displayName+": "+ftzpool[ftzGrid&255];// If more than one is unexpectedly present name from the next name in the pool.
ship.beaconLabel = ship.displayName; // Add Station Name to the ASC display.
}
// Name GRS Buoy Factory Stations.
if(ship.hasRole("repaired-buoy-station"))  {
missionVariables.random_station_names_local_repaired_buoy_station_count ++;
if (missionVariables.random_station_names_local_repaired_buoy_station_count ===1) ship.displayName = ship.displayName+": "+grspool[system.ID&255]; // Name the Station.
// As the first station is named by its system ID, we want the next to be named by the next name in the array. So take off 1 from System ID so the next name is always SystemID+ number of extra stations.
var grsGrid = Math.floor(system.ID-1+missionVariables.random_station_names_local_repaired_buoy_station_count);
if (missionVariables.random_station_names_local_repaired_buoy_station_count > 1 )ship.displayName = ship.displayName+": "+grspool[grsGrid&255];// If more than one is unexpectedly present name from the next name in the pool.
}
// Name GRS Buoy Factory Buoys.
if(ship.hasRole("grs-factory-buoy"))  {
missionVariables.random_station_names_local_grs_factory_buoy_count ++;
if (missionVariables.random_station_names_local_grs_factory_buoy_count ===1) ship.displayName = "GRS Station Buoy: "+grspool[system.ID&255]; // Name the Station.
// As the first station is named by its system ID, we want the next to be named by the next name in the array. So take off 1 from System ID so the next name is always SystemID+ number of extra stations.
var grsGrid = Math.floor(system.ID-1+missionVariables.random_station_names_local_grs_factory_buoy_count);
if (missionVariables.random_station_names_local_grs_factory_buoy_count > 1 ) ship.displayName = "GRS Station Buoy: "+grspool[grsGrid&255];// If more than one is unexpectedly present name from the next name in the pool.
ship.beaconLabel = ship.displayName; // Add Station Name to the ASC display.
}
// Name Darkside Moonshine Saloons
if(ship.hasRole("darkside-moonshine-saloon"))  {
missionVariables.random_station_names_local_darkside_moonshine_saloon_count ++;
if (missionVariables.random_station_names_local_darkside_moonshine_saloon_count ===1) ship.displayName = ship.displayName+": "+darkpool1[system.ID&255]; // Name the Station.
// As the first station is named by its system ID, we want the next to be named by the next name in the array. So take off 1 from System ID so the next name is always SystemID+ number of extra stations.
var darkpool1Grid = Math.floor(system.ID-1+missionVariables.random_station_names_local_darkside_moonshine_saloon_count);
if (missionVariables.random_station_names_local_darkside_moonshine_saloon_count > 1 ) ship.displayName = ship.displayName+": "+darkpool1[darkpool1Grid&255];// If more than one is unexpectedly present name from the next name in the pool.
if (missionVariables.random_station_names_local_darkside_moonshine_saloon_count ===1) ship.beaconLabel = "Saloon: "+darkpool1 [system.ID&255];  // Add Station Name to the ASC display.
if (missionVariables.random_station_names_local_darkside_moonshine_saloon_count > 1 ) ship.beaconLabel = "Saloon: "+darkpool1[darkpool1Grid&255] // Add Station Name to the ASC display.
}
// Name the Darkside Moonshine Distillerys.
if(ship.hasRole("darkside-moonshine-distillery"))  {
missionVariables.random_station_names_local_darkside_moonshine_distillery_count ++;
if (missionVariables.random_station_names_local_darkside_moonshine_distillery_count ===1) ship.displayName = ship.displayName+": "+darkpool2[system.ID&255]; // Name the Station.
// As the first station is named by its system ID, we want the next to be named by the next name in the array. So take off 1 from System ID so the next name is always SystemID+ number of extra stations.
var darkpool2Grid = Math.floor(system.ID-1+missionVariables.random_station_names_local_darkside_moonshine_distillery_count);
if (missionVariables.random_station_names_local_darkside_moonshine_distillery_count > 1 ) ship.displayName = ship.displayName+": "+darkpool2[darkpool2Grid&255];// If more than one is unexpectedly present name from the next name in the pool.
if (missionVariables.random_station_names_local_darkside_moonshine_distillery_count ===1) ship.beaconLabel = "Distillery: "+darkpool2 [system.ID&255];  // Add Station Name to the ASC display.
if (missionVariables.random_station_names_local_darkside_moonshine_distillery_count > 1 ) ship.beaconLabel = "Distillery: "+darkpool2[darkpool2Grid&255] // Add Station Name to the ASC display.
}
// Name the Royal Hunting Lodges.
if(ship.hasRole("feudal-hunting-lodge"))  {
missionVariables.random_station_names_local_feudal_hunting_lodge_count ++;
if (missionVariables.random_station_names_local_feudal_hunting_lodge_count ===1) ship.displayName = "Royal Lodge: "+lodgepool[system.ID&255]; // Name the Station.
// As the first station is named by its system ID, we want the next to be named by the next name in the array. So take off 1 from System ID so the next name is always SystemID+ number of extra stations.
var lodgepoolGrid = Math.floor(system.ID-1+missionVariables.random_station_names_local_feudal_hunting_lodge_count);
if (missionVariables.random_station_names_local_feudal_hunting_lodge_count > 1 ) ship.displayName = "Royal Lodge: "+lodgepool[lodgepoolGrid&255];// If more than one is unexpectedly present name from the next name in the pool.
if (missionVariables.random_station_names_local_feudal_hunting_lodge_count ===1) ship.beaconLabel = "Royal Lodge: "+lodgepool [system.ID&255];  // Add Station Name to the ASC display.
if (missionVariables.random_station_names_local_feudal_hunting_lodge_count > 1 ) ship.beaconLabel = "Royal Lodge: "+lodgepool[lodgepoolGrid&255] // Add Station Name to the ASC display.
// Hunting Lodges Over-rides.
// Although there are only 51 Hunting Lodges in the game, the same Planet Numbers are reused quite a bit.
// To prevent Lodges in different Galaxies having the same name, the 11 Lodges sharing Planet numbers are manually assigned different names.
// Galaxy 3 Over-rides.
if (galaxyNumber === 2) { 
// Avoid the same name for the Hunting Lodge being used at Rabiarce in G2 and at Ceorat in G3.
if (system.ID === 142) {ship.displayName = "Royal Lodge: Canticle of Sir Robin"; ship.beaconLabel = "Royal Lodge: Canticle of Sir Robin";}
// Avoid the same name for Orverace in G2 and Erinain in G3
if (system.ID === 158) {ship.displayName = "Royal Lodge: Blood and Honour"; ship.beaconLabel = "Royal Lodge: Blood and Honour";}
// Avoid the same name for Arries in G2 and Sogeve in G3
if (system.ID === 238) {ship.displayName = "Royal Lodge: The Gorge of Eternal Peril"; ship.beaconLabel = "Royal Lodge: The Gorge of Eternal Peril";}
// Avoid the same name for Oneded in G2 and Enbirare in G3
if (system.ID === 254) {ship.displayName = "Royal Lodge: The Bridge of Death";ship.beaconLabel = "Royal Lodge: The Bridge of Death";}
// Avoid the same name for Issoinen in G2 and  Teususdi in G3
if (system.ID === 222) {ship.displayName = "Royal Lodge: The Round Table"; ship.beaconLabel = "Royal Lodge: The Round Table";}
// Close of Galaxy 3 Check.
}
// Galaxy 5 Over-rides.
if (galaxyNumber === 4) {
// Avoid the same name for Israra in G2 and Zagearbe in G5
if (system.ID === 219) {ship.displayName = "Royal Lodge: Conquest of Camelot"; ship.beaconLabel = "Royal Lodge: Conquest of Camelot";}
// Avoid the same name for Arries in G2 and Rizace in G5
if (system.ID === 238) {ship.displayName = "Royal Lodge: Ties of Blood and Affection"; ship.beaconLabel = "Royal Lodge: Ties of Blood and Affection";}
// Close of Galaxy 5 Check.
}
// Galaxy 6 Over-rides.
if (galaxyNumber === 5) {
// Avoid the same name for Digebiti in G1 and Onertius in G6
if (system.ID === 96) {ship.displayName = "Royal Lodge: Kingdom of Hamil"; ship.beaconLabel = "Royal Lodge: Kingdom of Hamil";}
// Avoid the same name for Gelaed in G1 and Dierlabe in G6
if (system.ID === 127) {ship.displayName = "Royal Lodge: The Fisher King"; ship.beaconLabel = "Royal Lodge: The Fisher King";}
// Avoid the same name for Ededleen in G1 and Onente in G6
if (system.ID === 138) {ship.displayName = "Royal Lodge: The Questing Beast"; ship.beaconLabel = "Royal Lodge: The Questing Beast";}
// Avoid the same name for Edzaon in G1 and Rileaa in G6
if (system.ID === 159) {ship.displayName = "Royal Lodge: Book of Taliesin"; ship.beaconLabel = "Royal Lodge: Book of Taliesin";}
// Close of Galaxy 6 Check.
}
// Ending Bracket for Hunting Lodges.
}
// Name the Astro Factories.
if(ship.hasRole("astrofactory") || ship.hasRole("GW-astrofactory"))  {
missionVariables.random_station_names_local_astrofactory_count ++;
if (missionVariables.random_station_names_local_astrofactory_count ===1) ship.displayName = ship.displayName+": "+astropool[system.ID&255]; // Name the Station.
// As the first station is named by its system ID, we want the next to be named by the next name in the array. So take off 1 from System ID so the next name is always SystemID+ number of extra stations.
var astropoolGrid = Math.floor(system.ID-1+missionVariables.random_station_names_local_astrofactory_count);
if (missionVariables.random_station_names_local_astrofactory_count > 1 ) ship.displayName = ship.displayName+": "+astropool[astropoolGrid&255];// If more than one is unexpectedly present name from the next name in the pool.
if (missionVariables.random_station_names_local_astrofactory_count ===1) ship.beaconLabel = "Imperial AstroFactory: "+astropool [system.ID&255];  // Add Station Name to the ASC display.
if (missionVariables.random_station_names_local_astrofactory_count > 1 ) ship.beaconLabel = "Imperial AstroFactory: "+astropool[astropoolGrid&255] // Add Station Name to the ASC display.
}
// Name the Collective SLAPU Stations.
if(ship.hasRole("comslapu") || ship.hasRole("GW-slapu"))  {
missionVariables.random_station_names_local_comslapu_count ++;
if (missionVariables.random_station_names_local_comslapu_count ===1) ship.displayName = ship.displayName+": "+slapupool[system.ID&255]; // Name the Station.
// As the first station is named by its system ID, we want the next to be named by the next name in the array. So take off 1 from System ID so the next name is always SystemID+ number of extra stations.
var slapupoolGrid = Math.floor(system.ID-1+missionVariables.random_station_names_local_comslapu_count);
if (missionVariables.random_station_names_local_comslapu_count > 1 ) ship.displayName = ship.displayName+": "+slapupool[slapupoolGrid&255];// If more than one is unexpectedly present name from the next name in the pool.
if (missionVariables.random_station_names_local_comslapu_count ===1) ship.beaconLabel = "Collective SLAPU: "+slapupool [system.ID&255];  // Add Station Name to the ASC display.
if (missionVariables.random_station_names_local_comslapu_count > 1 ) ship.beaconLabel = "Collective SLAPU: "+slapupool[slapupoolGrid&255] // Add Station Name to the ASC display.
}
// Name the Collective ZGF Stations.
if(ship.hasRole("comczgf") || ship.hasRole("GW-factory"))  {
missionVariables.random_station_names_local_comczgf_count ++;
if (missionVariables.random_station_names_local_comczgf_count ===1) ship.displayName = ship.displayName+": "+zgfpool[system.ID&255]; // Name the Station.
// As the first station is named by its system ID, we want the next to be named by the next name in the array. So take off 1 from System ID so the next name is always SystemID+ number of extra stations.
var zgfpoolGrid = Math.floor(system.ID-1+missionVariables.random_station_names_local_comczgf_count);
if (missionVariables.random_station_names_local_comczgf_count > 1 ) ship.displayName = ship.displayName+": "+zgfpool[zgfpoolGrid&255];// If more than one is unexpectedly present name from the next name in the pool.
if (missionVariables.random_station_names_local_comczgf_count ===1) ship.beaconLabel = "Collective ZGF: "+zgfpool [system.ID&255];  // Add Station Name to the ASC display.
if (missionVariables.random_station_names_local_comczgf_count > 1 ) ship.beaconLabel = "Collective ZGF: "+zgfpool[zgfpoolGrid&255] // Add Station Name to the ASC display.
}
// Name the Salvage Gang Stations.
if(ship.hasRole("anarchies_salvage_gang"))  {
missionVariables.random_station_names_local_anarchies_salvage_gang_count ++;
if (missionVariables.random_station_names_local_anarchies_salvage_gang_count ===1) ship.displayName = ship.displayName+": "+salvagepool[system.ID&255]; // Name the Station.
// As the first station is named by its system ID, we want the next to be named by the next name in the array. So take off 1 from System ID so the next name is always SystemID+ number of extra stations.
var salvagepoolGrid = Math.floor(system.ID-1+missionVariables.random_station_names_local_anarchies_salvage_gang_count);
if (missionVariables.random_station_names_local_anarchies_salvage_gang_count > 1 )ship.displayName = ship.displayName+": "+salvagepool[salvagepoolGrid&255];// If more than one is unexpectedly present name from the next name in the pool.
ship.beaconLabel = ship.displayName; // Add Station Name to the ASC display.
}
// Name the Renegade Stations (No Beacon)
if(ship.hasRole("anarchies_renegade_station"))  {
missionVariables.random_station_names_local_anarchies_renegade_station_count ++;
if (missionVariables.random_station_names_local_anarchies_renegade_station_count ===1) ship.displayName = ship.displayName+": "+renegadepool [system.ID&255]; // Name the Station.
// As the first station is named by its system ID, we want the next to be named by the next name in the array. So take off 1 from System ID so the next name is always SystemID+ number of extra stations.
var renegadeGrid = Math.floor(system.ID-1+missionVariables.random_station_names_local_anarchies_renegade_station_count);
if (missionVariables.random_station_names_local_anarchies_renegade_station_count > 1 )ship.displayName = ship.displayName+": "+renegadepool [renegadeGrid&255];// If more than one is unexpectedly present name from the next name in the pool.
}
// Name the Sentinel Stations.
if(ship.hasRole("anarchies_sentinel_station"))  {
missionVariables.random_station_names_local_anarchies_sentinel_station_count ++;
if (missionVariables.random_station_names_local_anarchies_sentinel_station_count ===1) ship.displayName = ship.displayName+": "+sentinelpool[system.ID&255]; // Name the Station.
// As the first station is named by its system ID, we want the next to be named by the next name in the array. So take off 1 from System ID so the next name is always SystemID+ number of extra stations.
var sentinelGrid = Math.floor(system.ID-1+missionVariables.random_station_names_local_anarchies_sentinel_station_count);
if (missionVariables.random_station_names_local_anarchies_sentinel_station_count > 1 )ship.displayName = ship.displayName+": "+sentinelpool[sentinelGrid&255];// If more than one is unexpectedly present name from the next name in the pool.
ship.beaconLabel = ship.displayName; // Add Station Name to the ASC display.
}
// Name the Nuit, Hathor and Nephthys Stations (Uses the Sential Pool as Sentinals are very rare and connot appear in the same system as either Hathor and Nephthys Stations.
// 256 names before looping
if(ship.hasRole("KW_hathor") || ship.hasRole("KW_nephthys") || ship.hasRole("nuit_space_station")) {
missionVariables.random_station_names_local_hathor_nephthys_count++;
// Name the first station to appear in the system (Usually only 1 is present)
// First Station of either type uses the Sentinal Pool (as they cannot appear together).
if (missionVariables.random_station_names_local_hathor_nephthys_count === 1) {
ship.displayName = ship.displayName+": "+sentinelpool[system.ID&255]; // Name the Station.
ship.beaconLabel = ship.displayName; // Add Station Name to the ASC display.
}
// It is unusual for two stations to appear in the same system so a Galaxy Shifted read from Extra Stations Pool 2 is used.
// 2,048 names before looping.
if (missionVariables.random_station_names_local_hathor_nephthys_count >1) {
var shiftGrid = Math.floor(system.ID+(256 * galaxyNumber));
var shiftGrid = Math.floor(shiftGrid+1024+missionVariables.random_station_names_local_hathor_nephthys_count);
if (system.ID <128) ship.displayName = ship.displayName+": "+extrapool2[shiftGrid&2047];
if (system.ID >127) ship.displayName = ship.displayName+": "+extrapool1[shiftGrid&2047];
ship.beaconLabel = ship.displayName; // Add Station Name to the ASC display.
}
// Closing Backet for Hathor and Nephthys Stations.
}
// Name the Hacker Outposts (Note Anarchies OXP only spawns these stations if certain pre-conditions are met. Random Station Names will only name them if they exist in the player's game).
if(ship.hasRole("anarchies_hacker_outpost"))  {
missionVariables.random_station_names_local_anarchies_hacker_outpost_count ++;
if (missionVariables.random_station_names_local_anarchies_hacker_outpost_count ===1) ship.displayName = ship.displayName+": "+hackerpool[system.ID&63]; // Name the Station.
// As the first station is named by its system ID, we want the next to be named by the next name in the array. So take off 1 from System ID so the next name is always SystemID+ number of extra stations.
var hackerpoolGrid = Math.floor(system.ID-1+missionVariables.random_station_names_local_anarchies_hacker_outpost_count);
if (missionVariables.random_station_names_local_anarchies_hacker_outpost_count > 1 ) ship.displayName = ship.displayName+": "+hackerpool[hackerpoolGrid&63];// If more than one is unexpectedly present name from the next name in the pool.
if (missionVariables.random_station_names_local_anarchies_hacker_outpost_count ===1) ship.beaconLabel = "Hacker Outpost: "+hackerpool [system.ID&63];  // Add Station Name to the ASC display.
if (missionVariables.random_station_names_local_anarchies_hacker_outpost_count > 1 ) ship.beaconLabel = "Hacker Outpost: "+hackerpool[hackerpoolGrid&63] // Add Station Name to the ASC display.
}
// Name the Zieman Habitats.
if(ship.hasRole("habmk2"))  {
missionVariables.random_station_names_local_habmk2_count ++;
if (missionVariables.random_station_names_local_habmk2_count ===1) ship.displayName = ship.displayName+": "+ziemanpool [system.ID&255]; // Name the Station.
// As the first station is named by its system ID, we want the next to be named by the next name in the array. So take off 1 from System ID so the next name is always SystemID+ number of extra stations.
var ziemanpoolGrid  = Math.floor(system.ID-1+missionVariables.random_station_names_local_habmk2_count);
if (missionVariables.random_station_names_local_habmk2_count > 1 )ship.displayName = ship.displayName+": "+ziemanpool [ziemanpoolGrid &255];// If more than one is unexpectedly present name from the next name in the pool.
ship.beaconLabel = ship.displayName; // Add Station Name to the ASC display.
}
// Name Saber's BioSpheres. 
if(ship.hasRole("biosphere"))  {
missionVariables.random_station_names_local_biosphere_count ++;
if (missionVariables.random_station_names_local_biosphere_count ===1) ship.displayName = ship.displayName+": "+saberpool [system.ID&255]; // Name the Station.
// As the first station is named by its system ID, we want the next to be named by the next name in the array. So take off 1 from System ID so the next name is always SystemID+ number of extra stations.
var saberpoolGrid  = Math.floor(system.ID-1+missionVariables.random_station_names_local_biosphere_count);
if (missionVariables.random_station_names_local_biosphere_count > 1 )ship.displayName = ship.displayName+": "+saberpool [saberpoolGrid &255];// If more than one is unexpectedly present name from the next name in the pool.
ship.beaconLabel = ship.displayName; // Add Station Name to the ASC display.
}
// Name the Fuel Processing Facilitys added by Resistance Commander OXP.
if(ship.hasRole("GW-fuel-processor"))  {
missionVariables.random_station_names_local_gw_fuelfac_count ++;
if (missionVariables.random_station_names_local_gw_fuelfac_count ===1) ship.displayName = ship.displayName+": "+fuelfacpool[system.ID&255]; // Name the Station.
// As the first station is named by its system ID, we want the next to be named by the next name in the array. So take off 1 from System ID so the next name is always SystemID+ number of extra stations.
var fuelfacGrid = Math.floor(system.ID-1+missionVariables.random_station_names_local_gw_fuelfac_count);
if (missionVariables.random_station_names_local_gw_fuelfac_count > 1 )ship.displayName = ship.displayName+": "+fuelfacpool[fuelfacGrid&255];// If more than one is unexpectedly present name from the next name in the pool.
}
// Name the Communications Stations added by Resistance Commander OXP.
if(ship.hasRole("GW-comms-station"))  {
missionVariables.random_station_names_local_gw_comms_count ++;
if (missionVariables.random_station_names_local_gw_comms_count ===1) ship.displayName = ship.displayName+": "+gwcomspool[system.ID&255]; // Name the Station.
// As the first station is named by its system ID, we want the next to be named by the next name in the array. So take off 1 from System ID so the next name is always SystemID+ number of extra stations.
var gwcommsGrid = Math.floor(system.ID-1+missionVariables.random_station_names_local_gw_comms_count);
if (missionVariables.random_station_names_local_gw_comms_count > 1 )ship.displayName = ship.displayName+": "+gwcomspool[gwcommsGrid&255];// If more than one is unexpectedly present name from the next name in the pool.
}
// Names the SIRF Stations 
if(ship.hasRole("SIRF-YARD")) {
missionVariables.random_station_names_local_sirif_yard_count++;
// Check for Galaxy and System ID.
// First Station is named by its normal Grid Position set by Galaxy and System ID.
var sirfGrid = Math.floor(system.ID+(256 * galaxyNumber));
if (missionVariables.random_station_names_local_sirif_yard_count > 1) {
var advance = Math.floor(missionVariables.random_station_names_local_sirif_yard_count*64);
var sirfGrid = Math.floor(advance+system.ID+(256 * galaxyNumber));
var sirfGrid = Math.floor(sirfGrid+missionVariables.random_station_names_local_sirif_yard_count);
}
ship.displayName = ship.displayName+": "+sirfpool[sirfGrid&2047]; // Name the SIRIF Stations.
ship.beaconLabel = ship.displayName; // Add Station Name to the ASC display.
}
// Name the Habitat & Mega Habitat Stations (Pooled together as they cannot appear together in the same system).
// 2,048 names before looping.
if(ship.hasRole("wildShips_kiota4Ring" ) || ship.hasRole("wildShips_kiota4RingV" ) || ship.hasRole("wildShips_kiota2Ring" ) || ship.hasRole("wildShips_kiota8Ring" ) || ship.hasRole("wildships_kiota8RingV" ) ) {
// These stations can replace the Main Station and also appear as an extra station. So to check we are counting up the number of extra stations and not including the
// main station in the Count if it has been replaced with a Habitat. Only if it's an extra station will it's display name be unchanged as if it was the Main Station, it would
// already have been named under Start Up before the spawn frunction runs.
if(ship.displayName === "Kiota Habitat" || ship.displayName === "Kiota Mega Habitat") {
missionVariables.random_station_names_local_habitat_count++;
// Check for Galaxy and System ID.
// First Station is named by its normal Grid Position set by Galaxy and System ID.
var multiGrid = Math.floor(system.ID+(256 * galaxyNumber));
if (missionVariables.random_station_names_local_habitat_count > 1) {
// Name extra stations spawned up to the pools maximum of 2,048 names. Then Loop.
var advance = Math.floor(missionVariables.random_station_names_local_habitat_count*64);
var multiGrid = Math.floor(advance+system.ID+(256 * galaxyNumber));
var multiGrid = Math.floor(multiGrid+missionVariables.random_station_names_local_habitat_count);
}
ship.displayName = ship.displayName+": "+habitatrpool[multiGrid&2047]; // Name the Station.
ship.beaconLabel = ship.displayName; // Add Station Name to the ASC display.
}
// If the Habbit Station being checked was the Main Stations then the code just exits here without doing anything.
}
// Name the Bio Spheres & Manufacturing Stations (Pooled together as they cannot appear together in the same system).
// 2,048 names before looping.
if(ship.hasRole("wildShips_kiota2Disc" ) || ship.hasRole("wildShips_kiota4Disc" ) || ship.hasRole("wildShips_kiota4Sphere" ) || ship.hasRole("wildShips_kiota2Sphere" ) ) {
missionVariables.random_station_names_local_manufacturing_count++;
// Check for Galaxy and System ID.
// First Station is named by its normal Grid Position set by Galaxy and System ID.
var multiGrid = Math.floor(system.ID+(256 * galaxyNumber));
if (missionVariables.random_station_names_local_manufacturing_count > 1) {
// Name extra stations spawned up to the pools maximum of 2,048 names. Then Loop.
var advance = Math.floor(missionVariables.random_station_names_local_manufacturing_count*64);
var multiGrid = Math.floor(advance+system.ID+(256 * galaxyNumber));
var multiGrid = Math.floor(multiGrid+missionVariables.random_station_names_local_manufacturing_count);
}
ship.displayName = ship.displayName+": "+biopool[multiGrid&2047]; // Name the Station.
ship.beaconLabel = ship.displayName; // Add Station Name to the ASC display.
}
// Name the Solar Stations
// 2,048 names before looping
if(ship.hasRole("wildShips_kiota4Solar" ) || ship.hasRole("wildShips_kiota2Solar" ) ) {
missionVariables.random_station_names_local_solar_count++;
// Check for Galaxy and System ID.
// First Station is named by its normal Grid Position set by Galaxy and System ID.
var multiGrid = Math.floor(system.ID+(256 * galaxyNumber));
if (missionVariables.random_station_names_local_solar_count > 1) {
// Name extra stations spawned up to the pools maximum of 2,048 names. Then Loop.
var advance = Math.floor(missionVariables.random_station_names_local_solar_count*64);
var multiGrid = Math.floor(advance+system.ID+(256 * galaxyNumber));
var multiGrid = Math.floor(multiGrid+missionVariables.random_station_names_local_solar_count);
}
ship.displayName = ship.displayName+": "+solarpool[multiGrid&2047]; // Name the Station.
ship.beaconLabel = ship.displayName; // Add Station Name to the ASC display.
}
// Name the Solar Harvest Stations
// 2,048 names before looping (Uses Extra Planets Pools 1 & 2 with the Stating point advanced by 2 Galaxies).
if(ship.hasRole("solar_station" )) {
missionVariables.random_station_names_local_harvest_count++;
// Check for Galaxy and System ID.
// First Station is named by its normal Grid Position set by Galaxy and System ID.
var multiGrid = Math.floor(system.ID+(256 * galaxyNumber));
var multiGrid = Math.floor(multiGrid+512);
if (missionVariables.random_station_names_local_harvest_count > 1) {
// Name extra stations spawned up to the pools maximum of 2,048 names. Then Loop.
var advance = Math.floor(missionVariables.random_station_names_local_harvest_count*64);
var multiGrid = Math.floor(multiGrid+advance+missionVariables.random_station_names_local_harvest_count);
}
if (system.ID <128) ship.displayName = ship.displayName+": "+extrapool1[multiGrid&2047];
if (system.ID >127) ship.displayName = ship.displayName+": "+extrapool2[multiGrid&2047];
ship.beaconLabel = ship.displayName; // Add Station Name to the ASC display.
}
// Name the Research Stations.
// 2,048 names before looping
if(ship.hasRole("wildShips_kiota2Spur" ) || ship.hasRole("wildShips_kiota4Spur" ) ) {
missionVariables.random_station_names_local_research_count++;
// Check for Galaxy and System ID.
// First Station is named by its normal Grid Position set by Galaxy and System ID.
var multiGrid = Math.floor(system.ID+(256 * galaxyNumber));
if (missionVariables.random_station_names_local_research_count > 1) {
// Name extra stations spawned up to the pools maximum of 2,048 names. Then Loop.
var advance = Math.floor(missionVariables.random_station_names_local_research_count*64);
var multiGrid = Math.floor(advance+system.ID+(256 * galaxyNumber));
var multiGrid = Math.floor(multiGrid+missionVariables.random_station_names_local_research_count);
}
ship.displayName = ship.displayName+": "+sciencepool[multiGrid&2047]; // Name the Station.
ship.beaconLabel = ship.displayName; // Add Station Name to the ASC display.
}
// Name the Relay Stations.
// 2,048 names before looping
if(ship.hasRole("wildShips_kiota4Comms" ) || ship.hasRole("wildShips_kiota2Comms" ) ) {
missionVariables.random_station_names_local_relay_count++;
// Check for Galaxy and System ID.
// First Station is named by its normal Grid Position set by Galaxy and System ID.
var multiGrid = Math.floor(system.ID+(256 * galaxyNumber));
if (missionVariables.random_station_names_local_relay_count > 1) {
// Name extra stations spawned up to the pools maximum of 2,048 names. Then Loop.
var advance = Math.floor(missionVariables.random_station_names_local_relay_count*64);
var multiGrid = Math.floor(advance+system.ID+(256 * galaxyNumber));
var multiGrid = Math.floor(multiGrid+missionVariables.random_station_names_local_relay_count);
}
ship.displayName = ship.displayName+": "+relaypool[multiGrid&2047]; // Name the Station.
ship.beaconLabel = ship.displayName; // Add Station Name to the ASC display.
}
// Name the Jump Gates (named in pairs reading from a list of 512 names).
if(ship.hasRole("gates_jumpGate"))  {
missionVariables.random_station_names_local_paired_jumpgate_count ++;
var displaynumbertext = missionVariables.random_station_names_local_paired_jumpgate_count; 
if (missionVariables.random_station_names_local_paired_jumpgate_count <10)  var displaynumbertext = "0"+missionVariables.random_station_names_local_paired_jumpgate_count;
if (missionVariables.random_station_names_local_paired_jumpgate_count ===1) ship.displayName = ship.displayName+" "+displaynumbertext+": "+pairedjumpgatepool1[system.ID&255]; // Name the Gate.
if (missionVariables.random_station_names_local_paired_jumpgate_count ===2) ship.displayName = ship.displayName+" "+displaynumbertext+": "+pairedjumpgatepool2[system.ID&255]; // Name the Second Gate.
// Normally only two gates per system will be present, but if another OXZ spawns additional gates they are named from Pool 3, giving at total of 32 additional names per system..
// As the first station is named by its system ID, we want the next to be named by the next name in the array. So take off 1 from System ID so the next name is always SystemID+ number of extra stations.
var pairedjumpgateGrid = Math.floor(system.ID-1+missionVariables.random_station_names_local_paired_jumpgate_count);
if (missionVariables.random_station_names_local_paired_jumpgate_count > 2) ship.displayName = ship.displayName+": "+pairedjumpgatepool3[pairedjumpgateGrid&31];// If more than one is unexpectedly present name from the next name in the pool.
ship.beaconLabel = ship.displayName; // Add Station Name to the ASC display.
}
// Name Fuel Stations
// 10,240 names before looping.
// As no more than 3 Fuel Stations can normally appear, 5 pools are used as the names are very simple.
// If more than 5 stations are present the code will loop through to name them using pools from other galaxies.
if(ship.hasRole("fuelStation_station")) {
missionVariables.random_station_names_local_fuel_station_count++;
var fuelGrid = Math.floor(system.ID+(256 * galaxyNumber));
if (missionVariables.random_station_names_local_fuel_station_count === 1) var fueldisplay = fuelpool1[fuelGrid&2047];
if (missionVariables.random_station_names_local_fuel_station_count === 2) var fueldisplay = fuelpool2[fuelGrid&2047];
if (missionVariables.random_station_names_local_fuel_station_count === 3) var fueldisplay = fuelpool3[fuelGrid&2047];
if (missionVariables.random_station_names_local_fuel_station_count === 4) var fueldisplay = fuelpool4[fuelGrid&2047];
if (missionVariables.random_station_names_local_fuel_station_count === 5) var fueldisplay = fuelpool5[fuelGrid&2047];
// If more than 5 stations are present, start Looking 2 Galaxies ahead of the current location. If in G7 or G8 this will loop back to G1 / G2.
if (missionVariables.random_station_names_local_fuel_station_count >  5 && missionVariables.random_station_names_local_fuel_station_count < 11)  var fueljumpGrid = Math.floor(512+fuelGrid);
// Then Look 3 Galaxies ahead of the current location.
if (missionVariables.random_station_names_local_fuel_station_count > 10 && missionVariables.random_station_names_local_fuel_station_count < 16) var fueljumpGrid = Math.floor(768+fuelGrid);
// Then Look 4 Galaxies ahead of the current location.
if (missionVariables.random_station_names_local_fuel_station_count > 15 && missionVariables.random_station_names_local_fuel_station_count < 21) var fueljumpGrid = Math.floor(1024+fuelGrid);
// Then Look 5 Galaxies ahead of the current location.
if (missionVariables.random_station_names_local_fuel_station_count > 20 && missionVariables.random_station_names_local_fuel_station_count < 26) var fueljumpGrid = Math.floor(1280+fuelGrid);
// Then Look 6 Galaxies ahead of the current location.
if (missionVariables.random_station_names_local_fuel_station_count > 25 && missionVariables.random_station_names_local_fuel_station_count < 31) var fueljumpGrid = Math.floor(1536+fuelGrid);
// If more than 30 Stations are present, then Loop a pool, 7 Galaxies away, giving 256 further names per system.
if (missionVariables.random_station_names_local_fuel_station_count > 30) var fueljumpGrid = Math.floor(1792+fuelGrid+missionVariables.random_station_names_local_fuel_station_count );
if (missionVariables.random_station_names_local_fuel_station_count === 6) var fueldisplay = fuelpool1[fueljumpGrid&2047];
if (missionVariables.random_station_names_local_fuel_station_count === 7) var fueldisplay = fuelpool2[fueljumpGrid&2047];
if (missionVariables.random_station_names_local_fuel_station_count === 8) var fueldisplay = fuelpool3[fueljumpGrid&2047];
if (missionVariables.random_station_names_local_fuel_station_count === 9) var fueldisplay = fuelpool4[fueljumpGrid&2047];
if (missionVariables.random_station_names_local_fuel_station_count === 10) var fueldisplay = fuelpool5[fueljumpGrid&2047];
if (missionVariables.random_station_names_local_fuel_station_count === 11) var fueldisplay = fuelpool1[fueljumpGrid&2047];
if (missionVariables.random_station_names_local_fuel_station_count === 12) var fueldisplay = fuelpool2[fueljumpGrid&2047];
if (missionVariables.random_station_names_local_fuel_station_count === 13) var fueldisplay = fuelpool3[fueljumpGrid&2047];
if (missionVariables.random_station_names_local_fuel_station_count === 14) var fueldisplay = fuelpool4[fueljumpGrid&2047];
if (missionVariables.random_station_names_local_fuel_station_count === 15) var fueldisplay = fuelpool5[fueljumpGrid&2047];
if (missionVariables.random_station_names_local_fuel_station_count === 16) var fueldisplay = fuelpool1[fueljumpGrid&2047];
if (missionVariables.random_station_names_local_fuel_station_count === 17) var fueldisplay = fuelpool2[fueljumpGrid&2047];
if (missionVariables.random_station_names_local_fuel_station_count === 18) var fueldisplay = fuelpool3[fueljumpGrid&2047];
if (missionVariables.random_station_names_local_fuel_station_count === 19) var fueldisplay = fuelpool4[fueljumpGrid&2047];
if (missionVariables.random_station_names_local_fuel_station_count === 20) var fueldisplay = fuelpool5[fueljumpGrid&2047];
if (missionVariables.random_station_names_local_fuel_station_count === 21) var fueldisplay = fuelpool1[fueljumpGrid&2047];
if (missionVariables.random_station_names_local_fuel_station_count === 22) var fueldisplay = fuelpool2[fueljumpGrid&2047];
if (missionVariables.random_station_names_local_fuel_station_count === 23) var fueldisplay = fuelpool3[fueljumpGrid&2047];
if (missionVariables.random_station_names_local_fuel_station_count === 24) var fueldisplay = fuelpool4[fueljumpGrid&2047];
if (missionVariables.random_station_names_local_fuel_station_count === 25) var fueldisplay = fuelpool5[fueljumpGrid&2047];
if (missionVariables.random_station_names_local_fuel_station_count === 26) var fueldisplay = fuelpool1[fueljumpGrid&2047];
if (missionVariables.random_station_names_local_fuel_station_count === 27) var fueldisplay = fuelpool2[fueljumpGrid&2047];
if (missionVariables.random_station_names_local_fuel_station_count === 28) var fueldisplay = fuelpool3[fueljumpGrid&2047];
if (missionVariables.random_station_names_local_fuel_station_count === 29) var fueldisplay = fuelpool4[fueljumpGrid&2047];
if (missionVariables.random_station_names_local_fuel_station_count === 30) var fueldisplay = fuelpool5[fueljumpGrid&2047];
//To persistently pick a consistent pool, choose the pool to loop based on systemID if more than 30 stations are present.
if( missionVariables.random_station_names_local_fuel_station_count > 30 && system.ID <  51) var fueldisplay = fuelpool1[fueljumpGrid&2047];
if( missionVariables.random_station_names_local_fuel_station_count > 30 && system.ID >  50 && system.ID < 101) var fueldisplay = fuelpool2[fueljumpGrid&2047];
if( missionVariables.random_station_names_local_fuel_station_count > 30 && system.ID >  100 && system.ID <151) var fueldisplay = fuelpool3[fueljumpGrid&2047];
if( missionVariables.random_station_names_local_fuel_station_count > 30 && system.ID >  150 && system.ID <201) var fueldisplay = fuelpool4[fueljumpGrid&2047];
if( missionVariables.random_station_names_local_fuel_station_count > 30 && system.ID >  200) var fueldisplay = fuelpool5[fueljumpGrid&2047];
ship.displayName = ship.displayName+": "+fueldisplay;
ship.beaconLabel = ship.displayName; // Add Station Name to the ASC display.
}
// Name the Planatary Orbital Satellites.
if(ship.hasRole("RSsatellite"))  {
missionVariables.random_station_names_local_RSsatellite_count ++;
var planetsatGrid = Math.floor(system.ID+missionVariables.random_station_names_local_RSsatellite_count)
// There are normally no more than 15 Satalites Present, but as I have a long list of names in rockpool, this is reused.
// However, each Satalite to spawn up to 22 takes its name from a different rockpool, so the names of Asteroids and Satalites
// are always different in the same system.
var planetsatnumberGrid = Math.floor(missionVariables.random_station_names_local_RSsatellite_count+system.ID+(256 * galaxyNumber));
var planetsatnumberdisplay = planetsatpool[planetsatnumberGrid&2047];
if (missionVariables.random_station_names_local_RSsatellite_count === 1) var planetsatname = rockpool1[planetsatGrid&255];
if (missionVariables.random_station_names_local_RSsatellite_count === 2) var planetsatname = rockpool2[planetsatGrid&255];
if (missionVariables.random_station_names_local_RSsatellite_count === 3) var planetsatname = rockpool3[planetsatGrid&255];
if (missionVariables.random_station_names_local_RSsatellite_count === 4) var planetsatname = rockpool4[planetsatGrid&255];
if (missionVariables.random_station_names_local_RSsatellite_count === 5) var planetsatname = rockpool5[planetsatGrid&255];
if (missionVariables.random_station_names_local_RSsatellite_count === 6) var planetsatname = rockpool6[planetsatGrid&255];
if (missionVariables.random_station_names_local_RSsatellite_count === 7) var planetsatname = rockpool7[planetsatGrid&255];
if (missionVariables.random_station_names_local_RSsatellite_count === 8) var planetsatname = rockpool8[planetsatGrid&255];
if (missionVariables.random_station_names_local_RSsatellite_count === 9) var planetsatname = rockpool9[planetsatGrid&255];
if (missionVariables.random_station_names_local_RSsatellite_count === 10) var planetsatname = rockpool10[planetsatGrid&255];
if (missionVariables.random_station_names_local_RSsatellite_count === 11) var planetsatname = rockpool11[planetsatGrid&255];
if (missionVariables.random_station_names_local_RSsatellite_count === 12) var planetsatname = rockpool12[planetsatGrid&255];
if (missionVariables.random_station_names_local_RSsatellite_count === 13) var planetsatname = rockpool13[planetsatGrid&255];
if (missionVariables.random_station_names_local_RSsatellite_count === 14) var planetsatname = rockpool14[planetsatGrid&255];
if (missionVariables.random_station_names_local_RSsatellite_count === 15) var planetsatname = rockpool15[planetsatGrid&255];
if (missionVariables.random_station_names_local_RSsatellite_count === 16) var planetsatname = rockpool16[planetsatGrid&255];
if (missionVariables.random_station_names_local_RSsatellite_count === 17) var planetsatname = rockpool17[planetsatGrid&255];
if (missionVariables.random_station_names_local_RSsatellite_count === 18) var planetsatname = rockpool18[planetsatGrid&255];
if (missionVariables.random_station_names_local_RSsatellite_count === 19) var planetsatname = rockpool19[planetsatGrid&255];
if (missionVariables.random_station_names_local_RSsatellite_count === 20) var planetsatname = rockpool20[planetsatGrid&255];
if (missionVariables.random_station_names_local_RSsatellite_count === 21) var planetsatname = rockpool21[planetsatGrid&255];
if (missionVariables.random_station_names_local_RSsatellite_count === 22) var planetsatname = rockpool22[planetsatGrid&255];
// Loop through Pool 23 if more than 22 are spawned.
if (missionVariables.random_station_names_local_RSsatellite_count > 22) var planetsatname = rockpool23[planetsatGrid&255];
ship.displayName = ship.displayName +": "+planetsatname+" "+planetsatnumberdisplay;
ship.beaconLabel = ship.displayName;
}
// Name Fuel Satellites.
// 10,240 names before looping.
// As no more than 3 Fuel Satellites can normally appear, 5 pools are used as the names are very simple.
// If more than 5 stations are present the code will loop through to name them using pools from other galaxies.
if(ship.hasRole("fuelStation_satellite")) {
missionVariables.random_station_names_local_fuel_sat_station_count++;
var satGrid  = Math.floor(system.ID+(256 * galaxyNumber));
if (missionVariables.random_station_names_local_fuel_sat_station_count === 1) var satdisplay = satpool1[satGrid &2047];
if (missionVariables.random_station_names_local_fuel_sat_station_count === 2) var satdisplay = satpool2[satGrid &2047];
if (missionVariables.random_station_names_local_fuel_sat_station_count === 3) var satdisplay = satpool3[satGrid &2047];
if (missionVariables.random_station_names_local_fuel_sat_station_count === 4) var satdisplay = satpool4[satGrid &2047];
if (missionVariables.random_station_names_local_fuel_sat_station_count === 5) var satdisplay = satpool5[satGrid &2047];
// If more than 5 stations are present, start Looking 2 Galaxies ahead of the current location. If in G7 or G8 this will loop back to G1 / G2.
if (missionVariables.random_station_names_local_fuel_sat_station_count >  5 && missionVariables.random_station_names_local_fuel_sat_station_count < 11)  var fuelsatjumpGrid = Math.floor(512+satGrid );
// Then Look 3 Galaxies ahead of the current location.
if (missionVariables.random_station_names_local_fuel_sat_station_count > 10 && missionVariables.random_station_names_local_fuel_sat_station_count < 16) var fuelsatjumpGrid = Math.floor(768+satGrid );
// Then Look 4 Galaxies ahead of the current location.
if (missionVariables.random_station_names_local_fuel_sat_station_count > 15 && missionVariables.random_station_names_local_fuel_sat_station_count < 21) var fuelsatjumpGrid = Math.floor(1024+satGrid );
// Then Look 5 Galaxies ahead of the current location.
if (missionVariables.random_station_names_local_fuel_sat_station_count > 20 && missionVariables.random_station_names_local_fuel_sat_station_count < 26) var fuelsatjumpGrid = Math.floor(1280+satGrid );
// Then Look 6 Galaxies ahead of the current location.
if (missionVariables.random_station_names_local_fuel_sat_station_count > 25 && missionVariables.random_station_names_local_fuel_sat_station_count < 31) var fuelsatjumpGrid = Math.floor(1536+satGrid );
// If more than 30 Stations are present, then Loop a pool, 7 Galaxies away, giving 256 further names per system.
if (missionVariables.random_station_names_local_fuel_sat_station_count > 30) var fuelsatjumpGrid = Math.floor(1792+satGrid +missionVariables.random_station_names_local_fuel_sat_station_count );
if (missionVariables.random_station_names_local_fuel_sat_station_count === 6) var satdisplay = satpool1[fuelsatjumpGrid&2047];
if (missionVariables.random_station_names_local_fuel_sat_station_count === 7) var satdisplay = satpool2[fuelsatjumpGrid&2047];
if (missionVariables.random_station_names_local_fuel_sat_station_count === 8) var satdisplay = satpool3[fuelsatjumpGrid&2047];
if (missionVariables.random_station_names_local_fuel_sat_station_count === 9) var satdisplay = satpool4[fuelsatjumpGrid&2047];
if (missionVariables.random_station_names_local_fuel_sat_station_count === 10) var satdisplay = satpool5[fuelsatjumpGrid&2047];
if (missionVariables.random_station_names_local_fuel_sat_station_count === 11) var satdisplay = satpool1[fuelsatjumpGrid&2047];
if (missionVariables.random_station_names_local_fuel_sat_station_count === 12) var satdisplay = satpool2[fuelsatjumpGrid&2047];
if (missionVariables.random_station_names_local_fuel_sat_station_count === 13) var satdisplay = satpool3[fuelsatjumpGrid&2047];
if (missionVariables.random_station_names_local_fuel_sat_station_count === 14) var satdisplay = satpool4[fuelsatjumpGrid&2047];
if (missionVariables.random_station_names_local_fuel_sat_station_count === 15) var satdisplay = satpool5[fuelsatjumpGrid&2047];
if (missionVariables.random_station_names_local_fuel_sat_station_count === 16) var satdisplay = satpool1[fuelsatjumpGrid&2047];
if (missionVariables.random_station_names_local_fuel_sat_station_count === 17) var satdisplay = satpool2[fuelsatjumpGrid&2047];
if (missionVariables.random_station_names_local_fuel_sat_station_count === 18) var satdisplay = satpool3[fuelsatjumpGrid&2047];
if (missionVariables.random_station_names_local_fuel_sat_station_count === 19) var satdisplay = satpool4[fuelsatjumpGrid&2047];
if (missionVariables.random_station_names_local_fuel_sat_station_count === 20) var satdisplay = satpool5[fuelsatjumpGrid&2047];
if (missionVariables.random_station_names_local_fuel_sat_station_count === 21) var satdisplay = satpool1[fuelsatjumpGrid&2047];
if (missionVariables.random_station_names_local_fuel_sat_station_count === 22) var satdisplay = satpool2[fuelsatjumpGrid&2047];
if (missionVariables.random_station_names_local_fuel_sat_station_count === 23) var satdisplay = satpool3[fuelsatjumpGrid&2047];
if (missionVariables.random_station_names_local_fuel_sat_station_count === 24) var satdisplay = satpool4[fuelsatjumpGrid&2047];
if (missionVariables.random_station_names_local_fuel_sat_station_count === 25) var satdisplay = satpool5[fuelsatjumpGrid&2047];
if (missionVariables.random_station_names_local_fuel_sat_station_count === 26) var satdisplay = satpool1[fuelsatjumpGrid&2047];
if (missionVariables.random_station_names_local_fuel_sat_station_count === 27) var satdisplay = satpool2[fuelsatjumpGrid&2047];
if (missionVariables.random_station_names_local_fuel_sat_station_count === 28) var satdisplay = satpool3[fuelsatjumpGrid&2047];
if (missionVariables.random_station_names_local_fuel_sat_station_count === 29) var satdisplay = satpool4[fuelsatjumpGrid&2047];
if (missionVariables.random_station_names_local_fuel_sat_station_count === 30) var satdisplay = satpool5[fuelsatjumpGrid&2047];
//To persistently pick a consistent pool, choose the pool to loop based on systemID if more than 30 stations are present.
if( missionVariables.random_station_names_local_fuel_sat_station_count > 30 && system.ID <  51) var satdisplay = satpool1[fuelsatjumpGrid&2047];
if( missionVariables.random_station_names_local_fuel_sat_station_count > 30 && system.ID >  50 && system.ID < 101) var satdisplay = satpool2[fuelsatjumpGrid&2047];
if( missionVariables.random_station_names_local_fuel_sat_station_count > 30 && system.ID >  100 && system.ID <151) var satdisplay = satpool3[fuelsatjumpGrid&2047];
if( missionVariables.random_station_names_local_fuel_sat_station_count > 30 && system.ID >  150 && system.ID <201) var satdisplay = satpool4[fuelsatjumpGrid&2047];
if( missionVariables.random_station_names_local_fuel_sat_station_count > 30 && system.ID >  200) var satdisplay = satpool5[fuelsatjumpGrid&2047];
ship.displayName = ship.displayName+": "+satdisplay;
ship.beaconLabel = ship.displayName; // Add Station Name to the ASC display.
}
// Code for naming the Sothis Stations and Wasp Nests.
// 10,240 names before looping.
// If more than 5 stations are present the code will loop through to name them using pools from other galaxies.
if(ship.hasRole("sothis") || ship.hasRole("nest")) {
missionVariables.random_station_names_local_sothis_station_count++;
var sothisGrid  = Math.floor(system.ID+(256 * galaxyNumber));
if (missionVariables.random_station_names_local_sothis_station_count === 1) var sothisdisplay = sothispool1[sothisGrid &2047];
if (missionVariables.random_station_names_local_sothis_station_count === 2) var sothisdisplay = sothispool2[sothisGrid &2047];
if (missionVariables.random_station_names_local_sothis_station_count === 3) var sothisdisplay = sothispool3[sothisGrid &2047];
if (missionVariables.random_station_names_local_sothis_station_count === 4) var sothisdisplay = sothispool4[sothisGrid &2047];
if (missionVariables.random_station_names_local_sothis_station_count === 5) var sothisdisplay = sothispool5[sothisGrid &2047];
// If more than 5 stations are present, start Looking 2 Galaxies ahead of the current location. If in G7 or G8 this will loop back to G1 / G2.
if (missionVariables.random_station_names_local_sothis_station_count >  5 && missionVariables.random_station_names_local_sothis_station_count < 11)  var sothisjumpGrid = Math.floor(512+sothisGrid );
// Then Look 3 Galaxies ahead of the current location.
if (missionVariables.random_station_names_local_sothis_station_count > 10 && missionVariables.random_station_names_local_sothis_station_count < 16) var sothisjumpGrid = Math.floor(768+sothisGrid );
// Then Look 4 Galaxies ahead of the current location.
if (missionVariables.random_station_names_local_sothis_station_count > 15 && missionVariables.random_station_names_local_sothis_station_count < 21) var sothisjumpGrid = Math.floor(1024+sothisGrid );
// Then Look 5 Galaxies ahead of the current location.
if (missionVariables.random_station_names_local_sothis_station_count > 20 && missionVariables.random_station_names_local_sothis_station_count < 26) var sothisjumpGrid = Math.floor(1280+sothisGrid );
// Then Look 6 Galaxies ahead of the current location.
if (missionVariables.random_station_names_local_sothis_station_count > 25 && missionVariables.random_station_names_local_sothis_station_count < 31) var sothisjumpGrid = Math.floor(1536+sothisGrid );
// If more than 30 Stations are present, then Loop a pool, 7 Galaxies away, giving 256 further names per system.
if (missionVariables.random_station_names_local_sothis_station_count > 30) var sothisjumpGrid = Math.floor(1792+sothisGrid +missionVariables.random_station_names_local_sothis_station_count );
if (missionVariables.random_station_names_local_sothis_station_count === 6) var sothisdisplay = sothispool1[sothisjumpGrid&2047];
if (missionVariables.random_station_names_local_sothis_station_count === 7) var sothisdisplay = sothispool2[sothisjumpGrid&2047];
if (missionVariables.random_station_names_local_sothis_station_count === 8) var sothisdisplay = sothispool3[sothisjumpGrid&2047];
if (missionVariables.random_station_names_local_sothis_station_count === 9) var sothisdisplay = sothispool4[sothisjumpGrid&2047];
if (missionVariables.random_station_names_local_sothis_station_count === 10) var sothisdisplay = sothispool5[sothisjumpGrid&2047];
if (missionVariables.random_station_names_local_sothis_station_count === 11) var sothisdisplay = sothispool1[sothisjumpGrid&2047];
if (missionVariables.random_station_names_local_sothis_station_count === 12) var sothisdisplay = sothispool2[sothisjumpGrid&2047];
if (missionVariables.random_station_names_local_sothis_station_count === 13) var sothisdisplay = sothispool3[sothisjumpGrid&2047];
if (missionVariables.random_station_names_local_sothis_station_count === 14) var sothisdisplay = sothispool4[sothisjumpGrid&2047];
if (missionVariables.random_station_names_local_sothis_station_count === 15) var sothisdisplay = sothispool5[sothisjumpGrid&2047];
if (missionVariables.random_station_names_local_sothis_station_count === 16) var sothisdisplay = sothispool1[sothisjumpGrid&2047];
if (missionVariables.random_station_names_local_sothis_station_count === 17) var sothisdisplay = sothispool2[sothisjumpGrid&2047];
if (missionVariables.random_station_names_local_sothis_station_count === 18) var sothisdisplay = sothispool3[sothisjumpGrid&2047];
if (missionVariables.random_station_names_local_sothis_station_count === 19) var sothisdisplay = sothispool4[sothisjumpGrid&2047];
if (missionVariables.random_station_names_local_sothis_station_count === 20) var sothisdisplay = sothispool5[sothisjumpGrid&2047];
if (missionVariables.random_station_names_local_sothis_station_count === 21) var sothisdisplay = sothispool1[sothisjumpGrid&2047];
if (missionVariables.random_station_names_local_sothis_station_count === 22) var sothisdisplay = sothispool2[sothisjumpGrid&2047];
if (missionVariables.random_station_names_local_sothis_station_count === 23) var sothisdisplay = sothispool3[sothisjumpGrid&2047];
if (missionVariables.random_station_names_local_sothis_station_count === 24) var sothisdisplay = sothispool4[sothisjumpGrid&2047];
if (missionVariables.random_station_names_local_sothis_station_count === 25) var sothisdisplay = sothispool5[sothisjumpGrid&2047];
if (missionVariables.random_station_names_local_sothis_station_count === 26) var sothisdisplay = sothispool1[sothisjumpGrid&2047];
if (missionVariables.random_station_names_local_sothis_station_count === 27) var sothisdisplay = sothispool2[sothisjumpGrid&2047];
if (missionVariables.random_station_names_local_sothis_station_count === 28) var sothisdisplay = sothispool3[sothisjumpGrid&2047];
if (missionVariables.random_station_names_local_sothis_station_count === 29) var sothisdisplay = sothispool4[sothisjumpGrid&2047];
if (missionVariables.random_station_names_local_sothis_station_count === 30) var sothisdisplay = sothispool5[sothisjumpGrid&2047];
//To persistently pick a consistent pool, choose the pool to loop based on systemID if more than 30 stations are present.
if( missionVariables.random_station_names_local_sothis_station_count > 30 && system.ID <  51) var sothisdisplay = sothispool1[sothisjumpGrid&2047];
if( missionVariables.random_station_names_local_sothis_station_count > 30 && system.ID >  50 && system.ID < 101) var sothisdisplay = sothispool2[sothisjumpGrid&2047];
if( missionVariables.random_station_names_local_sothis_station_count > 30 && system.ID >  100 && system.ID <151) var sothisdisplay = sothispool3[sothisjumpGrid&2047];
if( missionVariables.random_station_names_local_sothis_station_count > 30 && system.ID >  150 && system.ID <201) var sothisdisplay = sothispool4[sothisjumpGrid&2047];
if( missionVariables.random_station_names_local_sothis_station_count > 30 && system.ID >  200) var sothisdisplay = sothispool5[sothisjumpGrid&2047];
ship.displayName = ship.displayName+": "+sothisdisplay;
ship.beaconLabel = ship.displayName; // Add Station Name to the ASC display.
}
// Add the Sothis Station name to its buoy.
// Same method but both objects have to be located with their own counts in order to match the names if more than one station is present.
if(ship.hasRole("sothisbuoy")) {
missionVariables.random_station_names_local_sothis_station_buoy_count++;
var sothisbuoyGrid  = Math.floor(system.ID+(256 * galaxyNumber));
if (missionVariables.random_station_names_local_sothis_station_buoy_count === 1) var sothisbuoydisplay = sothispool1[sothisbuoyGrid &2047];
if (missionVariables.random_station_names_local_sothis_station_buoy_count === 2) var sothisbuoydisplay = sothispool2[sothisbuoyGrid &2047];
if (missionVariables.random_station_names_local_sothis_station_buoy_count === 3) var sothisbuoydisplay = sothispool3[sothisbuoyGrid &2047];
if (missionVariables.random_station_names_local_sothis_station_buoy_count === 4) var sothisbuoydisplay = sothispool4[sothisbuoyGrid &2047];
if (missionVariables.random_station_names_local_sothis_station_buoy_count === 5) var sothisbuoydisplay = sothispool5[sothisbuoyGrid &2047];
// If more than 5 stations are present, start Looking 2 Galaxies ahead of the current location. If in G7 or G8 this will loop back to G1 / G2.
if (missionVariables.random_station_names_local_sothis_station_buoy_count >  5 && missionVariables.random_station_names_local_sothis_station_buoy_count < 11)  var sothisbuoyjumpGrid = Math.floor(512+sothisbuoyGrid );
// Then Look 3 Galaxies ahead of the current location.
if (missionVariables.random_station_names_local_sothis_station_buoy_count > 10 && missionVariables.random_station_names_local_sothis_station_buoy_count < 16) var sothisbuoyjumpGrid = Math.floor(768+sothisbuoyGrid );
// Then Look 4 Galaxies ahead of the current location.
if (missionVariables.random_station_names_local_sothis_station_buoy_count > 15 && missionVariables.random_station_names_local_sothis_station_buoy_count < 21) var sothisbuoyjumpGrid = Math.floor(1024+sothisbuoyGrid );
// Then Look 5 Galaxies ahead of the current location.
if (missionVariables.random_station_names_local_sothis_station_buoy_count > 20 && missionVariables.random_station_names_local_sothis_station_buoy_count < 26) var sothisbuoyjumpGrid = Math.floor(1280+sothisbuoyGrid );
// Then Look 6 Galaxies ahead of the current location.
if (missionVariables.random_station_names_local_sothis_station_buoy_count > 25 && missionVariables.random_station_names_local_sothis_station_buoy_count < 31) var sothisbuoyjumpGrid = Math.floor(1536+sothisbuoyGrid );
// If more than 30 Stations are present, then Loop a pool, 7 Galaxies away, giving 256 further names per system.
if (missionVariables.random_station_names_local_sothis_station_buoy_count > 30) var sothisbuoyjumpGrid = Math.floor(1792+sothisbuoyGrid +missionVariables.random_station_names_local_sothis_station_buoy_count );
if (missionVariables.random_station_names_local_sothis_station_buoy_count === 6) var sothisbuoydisplay = sothispool1[sothisbuoyjumpGrid&2047];
if (missionVariables.random_station_names_local_sothis_station_buoy_count === 7) var sothisbuoydisplay = sothispool2[sothisbuoyjumpGrid&2047];
if (missionVariables.random_station_names_local_sothis_station_buoy_count === 8) var sothisbuoydisplay = sothispool3[sothisbuoyjumpGrid&2047];
if (missionVariables.random_station_names_local_sothis_station_buoy_count === 9) var sothisbuoydisplay = sothispool4[sothisbuoyjumpGrid&2047];
if (missionVariables.random_station_names_local_sothis_station_buoy_count === 10) var sothisbuoydisplay = sothispool5[sothisbuoyjumpGrid&2047];
if (missionVariables.random_station_names_local_sothis_station_buoy_count === 11) var sothisbuoydisplay = sothispool1[sothisbuoyjumpGrid&2047];
if (missionVariables.random_station_names_local_sothis_station_buoy_count === 12) var sothisbuoydisplay = sothispool2[sothisbuoyjumpGrid&2047];
if (missionVariables.random_station_names_local_sothis_station_buoy_count === 13) var sothisbuoydisplay = sothispool3[sothisbuoyjumpGrid&2047];
if (missionVariables.random_station_names_local_sothis_station_buoy_count === 14) var sothisbuoydisplay = sothispool4[sothisbuoyjumpGrid&2047];
if (missionVariables.random_station_names_local_sothis_station_buoy_count === 15) var sothisbuoydisplay = sothispool5[sothisbuoyjumpGrid&2047];
if (missionVariables.random_station_names_local_sothis_station_buoy_count === 16) var sothisbuoydisplay = sothispool1[sothisbuoyjumpGrid&2047];
if (missionVariables.random_station_names_local_sothis_station_buoy_count === 17) var sothisbuoydisplay = sothispool2[sothisbuoyjumpGrid&2047];
if (missionVariables.random_station_names_local_sothis_station_buoy_count === 18) var sothisbuoydisplay = sothispool3[sothisbuoyjumpGrid&2047];
if (missionVariables.random_station_names_local_sothis_station_buoy_count === 19) var sothisbuoydisplay = sothispool4[sothisbuoyjumpGrid&2047];
if (missionVariables.random_station_names_local_sothis_station_buoy_count === 20) var sothisbuoydisplay = sothispool5[sothisbuoyjumpGrid&2047];
if (missionVariables.random_station_names_local_sothis_station_buoy_count === 21) var sothisbuoydisplay = sothispool1[sothisbuoyjumpGrid&2047];
if (missionVariables.random_station_names_local_sothis_station_buoy_count === 22) var sothisbuoydisplay = sothispool2[sothisbuoyjumpGrid&2047];
if (missionVariables.random_station_names_local_sothis_station_buoy_count === 23) var sothisbuoydisplay = sothispool3[sothisbuoyjumpGrid&2047];
if (missionVariables.random_station_names_local_sothis_station_buoy_count === 24) var sothisbuoydisplay = sothispool4[sothisbuoyjumpGrid&2047];
if (missionVariables.random_station_names_local_sothis_station_buoy_count === 25) var sothisbuoydisplay = sothispool5[sothisbuoyjumpGrid&2047];
if (missionVariables.random_station_names_local_sothis_station_buoy_count === 26) var sothisbuoydisplay = sothispool1[sothisbuoyjumpGrid&2047];
if (missionVariables.random_station_names_local_sothis_station_buoy_count === 27) var sothisbuoydisplay = sothispool2[sothisbuoyjumpGrid&2047];
if (missionVariables.random_station_names_local_sothis_station_buoy_count === 28) var sothisbuoydisplay = sothispool3[sothisbuoyjumpGrid&2047];
if (missionVariables.random_station_names_local_sothis_station_buoy_count === 29) var sothisbuoydisplay = sothispool4[sothisbuoyjumpGrid&2047];
if (missionVariables.random_station_names_local_sothis_station_buoy_count === 30) var sothisbuoydisplay = sothispool5[sothisbuoyjumpGrid&2047];
//To persistently pick a consistent pool, choose the pool to loop based on systemID if more than 30 stations are present.
if( missionVariables.random_station_names_local_sothis_station_buoy_count > 30 && system.ID <  51) var sothisbuoydisplay = sothispool1[sothisbuoyjumpGrid&2047];
if( missionVariables.random_station_names_local_sothis_station_buoy_count > 30 && system.ID >  50 && system.ID < 101) var sothisbuoydisplay = sothispool2[sothisbuoyjumpGrid&2047];
if( missionVariables.random_station_names_local_sothis_station_buoy_count > 30 && system.ID >  100 && system.ID <151) var sothisbuoydisplay = sothispool3[sothisbuoyjumpGrid&2047];
if( missionVariables.random_station_names_local_sothis_station_buoy_count > 30 && system.ID >  150 && system.ID <201) var sothisbuoydisplay = sothispool4[sothisbuoyjumpGrid&2047];
if( missionVariables.random_station_names_local_sothis_station_buoy_count > 30 && system.ID >  200) var sothisbuoydisplay = sothispool5[sothisbuoyjumpGrid&2047];
ship.displayName = ship.displayName+": "+sothisbuoydisplay;
ship.beaconLabel = ship.displayName; // Add Station Name to the Buoy on the ASC display.
}
// Code for naming the AstroMine Pena Colonies.
// 10,240 names before looping.
// If more than 5 stations are present the code will loop through to name them using pools from other galaxies.
// As the stations are created by turning Rock Hermits in Commie Systems into Penal Colonys, the test is made by Display Name rather than role.
// This test only renames the Astromine Penal Colonys therefore rather than renaming all rock hermits.
if(ship.displayName === "Astromine Penal Colony") {
missionVariables.random_station_names_local_astro_station_count++;
var comGrid  = Math.floor(system.ID+(256 * galaxyNumber));
if (missionVariables.random_station_names_local_astro_station_count === 1) var comdisplay = commiepool1[comGrid &2047];
if (missionVariables.random_station_names_local_astro_station_count === 2) var comdisplay = commiepool2[comGrid &2047];
if (missionVariables.random_station_names_local_astro_station_count === 3) var comdisplay = commiepool3[comGrid &2047];
if (missionVariables.random_station_names_local_astro_station_count === 4) var comdisplay = commiepool4[comGrid &2047];
if (missionVariables.random_station_names_local_astro_station_count === 5) var comdisplay = commiepool5[comGrid &2047];
// If more than 5 stations are present, start Looking 2 Galaxies ahead of the current location. If in G7 or G8 this will loop back to G1 / G2.
if (missionVariables.random_station_names_local_astro_station_count >  5 && missionVariables.random_station_names_local_astro_station_count < 11)  var commiejumpGrid = Math.floor(512+comGrid );
// Then Look 3 Galaxies ahead of the current location.
if (missionVariables.random_station_names_local_astro_station_count > 10 && missionVariables.random_station_names_local_astro_station_count < 16) var commiejumpGrid = Math.floor(768+comGrid );
// Then Look 4 Galaxies ahead of the current location.
if (missionVariables.random_station_names_local_astro_station_count > 15 && missionVariables.random_station_names_local_astro_station_count < 21) var commiejumpGrid = Math.floor(1024+comGrid );
// Then Look 5 Galaxies ahead of the current location.
if (missionVariables.random_station_names_local_astro_station_count > 20 && missionVariables.random_station_names_local_astro_station_count < 26) var commiejumpGrid = Math.floor(1280+comGrid );
// Then Look 6 Galaxies ahead of the current location.
if (missionVariables.random_station_names_local_astro_station_count > 25 && missionVariables.random_station_names_local_astro_station_count < 31) var commiejumpGrid = Math.floor(1536+comGrid );
// If more than 30 Stations are present, then Loop a pool, 7 Galaxies away, giving 256 further names per system.
if (missionVariables.random_station_names_local_astro_station_count > 30) var commiejumpGrid = Math.floor(1792+comGrid +missionVariables.random_station_names_local_astro_station_count );
if (missionVariables.random_station_names_local_astro_station_count === 6) var comdisplay = commiepool1[commiejumpGrid&2047];
if (missionVariables.random_station_names_local_astro_station_count === 7) var comdisplay = commiepool2[commiejumpGrid&2047];
if (missionVariables.random_station_names_local_astro_station_count === 8) var comdisplay = commiepool3[commiejumpGrid&2047];
if (missionVariables.random_station_names_local_astro_station_count === 9) var comdisplay = commiepool1[commiejumpGrid&2047];
if (missionVariables.random_station_names_local_astro_station_count === 10) var comdisplay = commiepool2[commiejumpGrid&2047];
if (missionVariables.random_station_names_local_astro_station_count === 11) var comdisplay = commiepool3[commiejumpGrid&2047];
if (missionVariables.random_station_names_local_astro_station_count === 12) var comdisplay = commiepool1[commiejumpGrid&2047];
if (missionVariables.random_station_names_local_astro_station_count === 13) var comdisplay = commiepool2[commiejumpGrid&2047];
if (missionVariables.random_station_names_local_astro_station_count === 14) var comdisplay = commiepool3[commiejumpGrid&2047];
if (missionVariables.random_station_names_local_astro_station_count === 15) var comdisplay = commiepool1[commiejumpGrid&2047];
if (missionVariables.random_station_names_local_astro_station_count === 16) var comdisplay = commiepool2[commiejumpGrid&2047];
if (missionVariables.random_station_names_local_astro_station_count === 17) var comdisplay = commiepool3[commiejumpGrid&2047];
if (missionVariables.random_station_names_local_astro_station_count === 18) var comdisplay = commiepool1[commiejumpGrid&2047];
if (missionVariables.random_station_names_local_astro_station_count === 19) var comdisplay = commiepool2[commiejumpGrid&2047];
if (missionVariables.random_station_names_local_astro_station_count === 20) var comdisplay = commiepool3[commiejumpGrid&2047];
if (missionVariables.random_station_names_local_astro_station_count === 21) var comdisplay = commiepool1[commiejumpGrid&2047];
if (missionVariables.random_station_names_local_astro_station_count === 22) var comdisplay = commiepool2[commiejumpGrid&2047];
if (missionVariables.random_station_names_local_astro_station_count === 23) var comdisplay = commiepool3[commiejumpGrid&2047];
if (missionVariables.random_station_names_local_astro_station_count === 24) var comdisplay = commiepool1[commiejumpGrid&2047];
if (missionVariables.random_station_names_local_astro_station_count === 25) var comdisplay = commiepool2[commiejumpGrid&2047];
if (missionVariables.random_station_names_local_astro_station_count === 26) var comdisplay = commiepool3[commiejumpGrid&2047];
if (missionVariables.random_station_names_local_astro_station_count === 27) var comdisplay = commiepool1[commiejumpGrid&2047];
if (missionVariables.random_station_names_local_astro_station_count === 28) var comdisplay = commiepool2[commiejumpGrid&2047];
if (missionVariables.random_station_names_local_astro_station_count === 29) var comdisplay = commiepool3[commiejumpGrid&2047];
if (missionVariables.random_station_names_local_astro_station_count === 30) var comdisplay = commiepool1[commiejumpGrid&2047];
//To persistently pick a consistent pool, choose the pool to loop based on systemID if more than 30 stations are present.
if( missionVariables.random_station_names_local_astro_station_count > 30 && system.ID <  85) var comdisplay = commiepool1[commiejumpGrid&2047];
if( missionVariables.random_station_names_local_astro_station_count > 30 && system.ID >  84 && system.ID < 170) var comdisplay = commiepool2[commiejumpGrid&2047];
if( missionVariables.random_station_names_local_astro_station_count > 30 && system.ID >  169) var comdisplay = commiepool3[commiejumpGrid&2047];
ship.displayName = ship.displayName+": "+comdisplay;
ship.beaconLabel = "Penal Colony: "+comdisplay;
}
// Code for naming Stations added by Extra Stations for Extra Planets.
// 8,192 names before looping.
// If more than 4 stations are present the code will loop through to name them using pools from other galaxies.
if(ship.hasRole("sfep_station")) {
missionVariables.random_station_names_local_extra_station_count++;
var extraGrid  = Math.floor(system.ID+(256 * galaxyNumber));
if (missionVariables.random_station_names_local_extra_station_count === 1) var extradisplay = extrapool1[extraGrid &2047];
if (missionVariables.random_station_names_local_extra_station_count === 2) var extradisplay = extrapool2[extraGrid &2047];
if (missionVariables.random_station_names_local_extra_station_count === 3) var extradisplay = extrapool3[extraGrid &2047];
if (missionVariables.random_station_names_local_extra_station_count === 4) var extradisplay = extrapool4[extraGrid &2047];
// Looping for these Stations is done in a different way to other stations to ensure that names from different styles are always added on looping.
// Extra Stations for Extra Planets does not add a Station to every planet as it rolls its own dice and takes account of the system tech level.
// Almost all of the names in Pools 1 and 2 will be used somewhere in the 8 Galaxies, but most names from Pool 3 are not used.
// Only a very small number of names in Pool 4 are used as 4 Stations only appear when 5 or 6 planets are present (which is unusual).
// Pool 4 is used for looping therefore as these names will only be seen at a few systeAvis Oculusms 4 galaxies away.
// If more than 4 stations are present, all 2,048 names in pool4 are looped.
// Different names for station 5 onwards are used in each Galaxy therefore and the OXP will name 2,052 stations in a single system before repeating.
if (missionVariables.random_station_names_local_extra_station_count> 4) {
var extrastart = Math.floor(missionVariables.random_station_names_local_extra_station_count-5);
var advance = Math.floor(extrastart*64);
var extrajumpGrid = Math.floor(advance+system.ID+(256 * galaxyNumber));
// Look 4 Galaxies ahead (So G1 pairs with G5, G2 with G6 and so on).
var extrajumpPosition = Math.floor(extrajumpGrid+1024+missionVariables.random_station_names_local_extra_station_count);
var extradisplay = extrapool4[extrajumpPosition &2047];
}
ship.displayName = ship.displayName+": "+extradisplay;
ship.beaconLabel = ship.displayName; // Add Station Name to the ASC display.
}
// Name the Extra Stations buoys using the same method.
// Spara adds the buoys for his stations in Extra Stations for Extra Planets by spawning a standard Oolite Buoy and changing the display name to the type of station
// the buoy has been added next to. This is a unique way to add buoys as all other OXPs add a buoy by giving it a unique role (which means I can test for role as done
// above). I can't test just for the role buoy as this is a standard Oolite role. Due to the name change on spawn, Spara's buoys are the only ones not to have the
// Default display name of "Navigation Buoy". Might be better if someone is planning to update Extra Planets for Extra Stations to chnage this to a unique role as a side
// effect of the way Extra Stations adds its buoys is that if someone else were to release a new buoy and also summon it with the role Buoy then both OXPs would be
// calling objects by the same names and Spara's buoys would appear instead of the other OXPs and visa versa.
// Random Station Names gets round this by testing for the display name as well as the role and so can tell the difference between the buoys on the Extra Stations and
// Buoys add by the standard role to any other object or station in the game.
if(ship.hasRole("buoy")  && ship.displayName !== "Navigation Buoy" && ship.displayName !== "Korshkov Test Facility Buoy" )  {
// Double Check by name that this buoy is being spawned by Extra Stations for Extra Planets
if(ship.displayName.indexOf("CK-I1 Dodecahedron") >= 0  || ship.displayName.indexOf("Mayan Dodecahedron") >= 0  || ship.displayName.indexOf("CK-A1 Dodecahedron") >= 0  || ship.displayName.indexOf("N-A1 Coriolis") >= 0  
|| ship.displayName.indexOf("N-X1 Dodecahedron") >= 0  || ship.displayName.indexOf("S-A1 Coriolis") >= 0  || ship.displayName.indexOf("S-A1 Dodecahedron") >= 0  || ship.displayName.indexOf("S-A1 Icosahedron") >= 0 
|| ship.displayName.indexOf("DS-A1 Coriolis") >= 0  || ship.displayName.indexOf("DS-A1 Dodecahedron") >= 0  || ship.displayName.indexOf("DS-A1 Icosahedron") >= 0  || ship.displayName.indexOf("Greenline Coriolis") >= 0 
|| ship.displayName.indexOf("Metaforce Coriolis") >= 0  || ship.displayName.indexOf("RaTech Coriolis") >= 0  || ship.displayName.indexOf("RedTec Coriolis") >= 0  || ship.displayName.indexOf("SolarTec Coriolis") >= 0 
|| ship.displayName.indexOf("Waspline Coriolis") >= 0  || ship.displayName.indexOf("Axtech Dodecahedron") >= 0  || ship.displayName.indexOf("GASE Dodecahedron") >= 0  || ship.displayName.indexOf("LX5 Dodecahedron") >= 0 
|| ship.displayName.indexOf("Trontech Dodecahedron") >= 0  || ship.displayName.indexOf("G-X1 Icosahedron") >= 0  || ship.displayName.indexOf("PG-C1 Icosahedron") >= 0  || ship.displayName.indexOf("PG-W1 Icosahedron") >= 0 
|| ship.displayName.indexOf("PG-W2 Icosahedron") >= 0  || ship.displayName.indexOf("G-Z1 Tetrahedron") >= 0  || ship.displayName.indexOf("G-Z1 Octahedron") >= 0  || ship.displayName.indexOf("G-X1 Coriolis") >= 0 
|| ship.displayName.indexOf("G-Z1 Dodecahedron") >= 0  || ship.displayName.indexOf("G-Z1 Icosahedron") >= 0  || ship.displayName.indexOf("M-G2 Globe") >= 0  || ship.displayName.indexOf("M-G3 Globe") >= 0 
|| ship.displayName.indexOf("M-T1 Torus") >= 0  || ship.displayName.indexOf("M-T2 Torus") >= 0  || ship.displayName.indexOf("G-Z2 Tetrahedron") >= 0  || ship.displayName.indexOf("G-Z2 Octahedron") >= 0 
|| ship.displayName.indexOf("Super Hub") >= 0  || ship.displayName.indexOf("Habitat Mark II") >= 0  || ship.displayName.indexOf("Trade Outpost") >= 0 ) {
missionVariables.random_station_names_local_buoy_count++;
var buoyGrid  = Math.floor(system.ID+(256 * galaxyNumber));
if (missionVariables.random_station_names_local_buoy_count === 1) var buoydisplay = extrapool1[buoyGrid &2047];
if (missionVariables.random_station_names_local_buoy_count === 2) var buoydisplay = extrapool2[buoyGrid &2047];
if (missionVariables.random_station_names_local_buoy_count === 3) var buoydisplay = extrapool3[buoyGrid &2047];
if (missionVariables.random_station_names_local_buoy_count === 4) var buoydisplay = extrapool4[buoyGrid &2047];
if (missionVariables.random_station_names_local_buoy_count> 4) {
var extrabuoystart = Math.floor(missionVariables.random_station_names_local_buoy_count-5);
var buoyadvance = Math.floor(extrabuoystart*64);
var extrabuoyjumpGrid = Math.floor(buoyadvance+system.ID+(256 * galaxyNumber));
var extrabuoyjumpPosition = Math.floor(extrabuoyjumpGrid+1024+missionVariables.random_station_names_local_buoy_count);
var buoydisplay = extrapool4[extrabuoyjumpPosition &2047];
}
ship.displayName = ship.displayName+": "+buoydisplay;
ship.beaconLabel = ship.displayName; // Add Station Name to the ASC display.
}
}
// Name the Orbiters from Stanger's World.
// Since you cannot have both Extra Stations for Extra Planets and Strangers World installed as they are mutually exclusive, the same pool is used for both.
// This means that whatever OXZ you are using to add orbiters around OXZ planets the names will be the same for all players of the game.
// As a future-proofing in case the two OXZ are later made compatable, the code tests for both scripts. If both are running then to avoid two stations in the same system possibley having the same name, the counter is jumped 3 Galaxies ahead.
if (ship.hasRole("kos_kiota4Ring_orbiter") || ship.hasRole("kos_kiota2Ring_orbiter") || ship.hasRole("kos_kiota8Ring_orbiter") || ship.hasRole("kos_kiota4Spur_jovian_orbiter") || ship.hasRole("kos_kiota2Spur2Sphere_martian_orbiter") 
|| ship.hasRole("kos_kiota2Spur2Sphere_terran_orbiter") || ship.hasRole("kos_kiota2Spur2Sphere_superterran_orbiter") || ship.hasRole("kos_kiota2Disc2Solar_lunar_orbiter") || ship.hasRole("kos_kiota2Spur2Solar_solar_orbiter")) {
var namestation = "Yes";
// Check that this is not a KOS Station which had replaced the Main Station, so we don't name it twice.
if (ship.displayName.indexOf(": ") >= 0) var namestation = "No";
if (namestation === "Yes") {
missionVariables.random_station_names_local_stranger_count++;
var strangerGrid  = Math.floor(system.ID+(256 * galaxyNumber));
// Check to see if Extra Stations for Extra Planets is installed (normally incompatable but just in case}.
// If both OXZs are installed then advance the counter by three galaxies, so the KOS stations have different names to the Extra Stations fot Extra Planets ones.
if (missionVariables.random_station_names_systemredux_installed === "Yes") var strangerGrid = Math.floor(strangerGrid+768);
if (missionVariables.random_station_names_local_stranger_count === 1) var strangerdisplay = extrapool1[strangerGrid &2047];
if (missionVariables.random_station_names_local_stranger_count === 2) var strangerdisplay = extrapool2[strangerGrid &2047];
if (missionVariables.random_station_names_local_stranger_count === 3) var strangerdisplay = extrapool3[strangerGrid &2047];
if (missionVariables.random_station_names_local_stranger_count === 4) var strangerdisplay = extrapool4[strangerGrid &2047];
if (missionVariables.random_station_names_local_stranger_count> 4) {
var strangerstart = Math.floor(missionVariables.random_station_names_local_stranger_count-5);
var strangeradvance = Math.floor(strangerstart*64);
var strangerjumpGrid = Math.floor(strangeradvance+system.ID+(256 * galaxyNumber));
// Look 4 Galaxies ahead (So G1 pairs with G5, G2 with G6 and so on).
var strangerjumpPosition = Math.floor(strangerjumpGrid+1024+missionVariables.random_station_names_local_stranger_count);
var strangerdisplay = extrapool4[strangerjumpPosition &2047];
}
ship.displayName = ship.displayName+": "+strangerdisplay;
ship.beacon = ship.displayName;
ship.beaconLabel = ship.displayName; // Add Station Name to the ASC display.  
}
// Closing Bracket for Main Station Test.
}
//Name Unusual Stations.
// Name Space Pizzas Gift Shops..
// Normally there are only 13 Gift Shops in the whole game. Each is given an individual name.
// 45 Gift Shops will be given indivualnames before looping.
if(ship.hasRole("smivs_pizza_giftshop")) {
missionVariables.random_station_names_local_pizza_base_count++;
// if this is an extra Gift Sjop being spawned by another OXP at a system where a Gift Shop would not normally be present, give it a name from the Overflow Pool.
if (missionVariables.random_station_names_local_pizza_base_count ===1) {
var pizzabasename = pizzabasepool[system.ID&31]; // Assigne a Name by SystemID if this is an extra Gift Shop (up to 32 Gift Shops per system).
// If only one Giftshop is present and in its normal location then it is the Giftshop normally added so it gets an Individual Name.
if (galaxyNumber === 0 && system.ID === 152)  var pizzabasename = "The Stuffed Crust";
if (galaxyNumber === 0 && system.ID === 238)  var pizzabasename = "Old Chicago";
if (galaxyNumber === 1 && system.ID === 192)  var pizzabasename = "The Little Caesar";
if (galaxyNumber === 2 && system.ID === 56)  var pizzabasename = "The Mellow Mushroom";
if (galaxyNumber === 3 && system.ID === 134)  var pizzabasename = "The Papa John";
if (galaxyNumber === 3 && system.ID === 189)  var pizzabasename = "The Italian Kitchen";
if (galaxyNumber === 4 && system.ID === 50)  var pizzabasename = "The Famous Famiglia";
if (galaxyNumber === 5 && system.ID === 193)  var pizzabasename = "The Cottage Inn";
if (galaxyNumber === 6 && system.ID === 150)  var pizzabasename = "The New Yorker";
if (galaxyNumber === 6 && system.ID === 158)  var pizzabasename = "The Rocky Rococo";
if (galaxyNumber === 6 && system.ID === 205)  var pizzabasename = "The Snappy Tomato";
if (galaxyNumber === 7 && system.ID === 13)  var pizzabasename = "The Domino Hut";
if (galaxyNumber === 7 && system.ID === 168)  var pizzabasename = "The Waldorf Salad";
}
if (missionVariables.random_station_names_local_pizza_base_count > 1) {
// if more than one station is present regardless of location then this is an extra station added by another OXP. Assign a name (up to 256 per system) from Overflow Pool 1.
var pizzabaseGrid = Math.floor(system.ID+missionVariables.random_station_names_local_pizza_base_count);
var pizzabasename = pizzabasepool[pizzabaseGrid&31];
}
ship.displayName = ship.displayName+": "+pizzabasename; // Add the Gift Shop's Name.
ship.beaconLabel = ship.displayName;
}
// Name the RRS HQ Stations.
// Only one RRS HQ Station is added per Galaxy (8 in the whole game). These stations are therefore assigned names manually.
if(ship.hasRole("rrs_galactic_hq")) {
missionVariables.random_station_names_local_rrs_galactic_hq_count++;
// if this is an extra station being spawned by another OXP at a system where an HQ would not normally be present, give it a name from Overflow Pool 1.
if (missionVariables.random_station_names_local_rrs_galactic_hq_count ===1) {
var hqname = overflowpool1[system.ID&255]; // Assigne a Name by SystemID if this is an extra station.
// If only one station is present and in its normal location then it is the Station normally added as 1 per Galaxy by the RSS OXP so it gets an Individual Name.
if (galaxyNumber === 0 && system.ID === 237)  var hqname = "The Lady Penelope";
if (galaxyNumber === 1 && system.ID === 98) var hqname = "Tracy Island";
if (galaxyNumber === 2 && system.ID === 5) var hqname = "Red Arrow";
if (galaxyNumber === 3 && system.ID === 149) var hqname = "Fire Flash";
if (galaxyNumber === 4 && system.ID === 35) var hqname = "Thunderbird Rising";
if (galaxyNumber === 5 && system.ID === 213) var hqname = "Intrepid Pioneer";
if (galaxyNumber === 6 && system.ID === 66) var hqname = "The Inimitable Parker";
if (galaxyNumber === 7 && system.ID === 7) var hqname = "Tiger Moth";
}
if (missionVariables.random_station_names_local_rrs_galactic_hq_count > 1) {
// if more than one station is present regardless of location then this is an extra station added by another OXP. Assign a name (up to 256 per system) from Overflow Pool 1.
var hqGrid = Math.floor(system.ID-1+missionVariables.random_station_names_local_rrs_galactic_hq_count);
var hqname = overflowpool1[hqGrid&255];
}
ship.displayName = ship.displayName+": "+hqname; // Name the HQ.
}
// Name the RRS HQ Station Buoy.
// Same as Code above, but this time searching for the Buoy.
if(ship.hasRole("rrs-hq-buoy")) {
missionVariables.random_station_names_local_hq_buoy_count++;
if (missionVariables.random_station_names_local_hq_buoy_count ===1) {
var hqname = overflowpool1[system.ID&255]; 
if (galaxyNumber === 0 && system.ID === 237)  var hqname = "The Lady Penelope";
if (galaxyNumber === 1 && system.ID === 98) var hqname = "Tracy Island";
if (galaxyNumber === 2 && system.ID === 5) var hqname = "Red Arrow";
if (galaxyNumber === 3 && system.ID === 149) var hqname = "Fire Flash";
if (galaxyNumber === 4 && system.ID === 35) var hqname = "Thunderbird Rising";
if (galaxyNumber === 5 && system.ID === 213) var hqname = "Intrepid Pioneer";
if (galaxyNumber === 6 && system.ID === 66) var hqname = "The Inimitable Parker";
if (galaxyNumber === 7 && system.ID === 7) var hqname = "Tiger Moth";
}
if (missionVariables.random_station_names_local_hq_buoy_count > 1) {
var hqGrid = Math.floor(system.ID-1+missionVariables.random_station_names_local_hq_buoy_count);
var hqname = overflowpool1[hqGrid&255];
}
ship.displayName = "RRS Headquarters Buoy: "+hqname; // Also add the name of the station to the buoy.
ship.beaconLabel = ship.displayName; // Add Station Name to the ASC display.
}
// Name the Tionisla Chronicle Arrays
// Only one Array is added per Galaxy (8 in the whole game). These stations are therefore assigned names manually.
if(ship.hasRole("broadcast_array")) {
missionVariables.random_station_names_local_broadcast_array_count++;
// if this is an extra station being spawned by another OXP at a system where an Array would not normally be present, give it a name from Overflow Pool 2.
if (missionVariables.random_station_names_local_broadcast_array_count ===1) {
var newsname = overflowpool2[system.ID&255]; // Assigne a Name by SystemID if this is an extra station.
// If only one station is present and in its normal location then it is the Station normally added as 1 per Galaxy by the Tionisla Chronicle OXP so it gets an Individual Name.
if (galaxyNumber === 0 && system.ID === 124)  var newsname = "News Hound";
if (galaxyNumber === 1 && system.ID === 103) var newsname = "Hot Gossip";
if (galaxyNumber === 2 && system.ID === 197) var newsname = "Chroma Key";
if (galaxyNumber === 3 && system.ID === 58) var newsname = "Perpetual Indignation";
if (galaxyNumber === 4 && system.ID === 211) var newsname = "Anchor Man";
if (galaxyNumber === 5 && system.ID === 225) var newsname = "Breaking News";
if (galaxyNumber === 6 && system.ID === 184) var newsname = "Racing Certainty";
if (galaxyNumber === 7 && system.ID === 206) var newsname = "Media Circus";
}
if (missionVariables.random_station_names_local_broadcast_array_count > 1) {
// if more than one station is present regardless of location then this is an extra station added by another OXP. Assign a name (up to 256 per system) from Overflow Pool 2.
var newsGrid = Math.floor(system.ID-1+missionVariables.random_station_names_local_broadcast_array_count);
var newsname = overflowpool2[newsGrid&255];
}
ship.displayName = ship.displayName+": "+newsname; // Name the Array.
ship.beaconLabel = ship.displayName; // Add Station Name to the ASC display
}
// Name the Tionisla Chronicle Arrays Buoys.
if(ship.hasRole("broadcast_array_beacon")) {
missionVariables.random_station_names_local_broadcast_array_beacon_count++;
if (missionVariables.random_station_names_local_broadcast_array_beacon_count ===1) {
var newsname = overflowpool2[system.ID&255]; 
if (galaxyNumber === 0 && system.ID === 124)  var newsname = "News Hound";
if (galaxyNumber === 1 && system.ID === 103) var newsname = "Hot Gossip";
if (galaxyNumber === 2 && system.ID === 197) var newsname = "Chroma Key";
if (galaxyNumber === 3 && system.ID === 58) var newsname = "Perpetual Indignation";
if (galaxyNumber === 4 && system.ID === 211) var newsname = "Anchor Man";
if (galaxyNumber === 5 && system.ID === 225) var newsname = "Breaking News";
if (galaxyNumber === 6 && system.ID === 184) var newsname = "Racing Certainty";
if (galaxyNumber === 7 && system.ID === 206) var newsname = "Media Circus";
}
if (missionVariables.random_station_names_local_broadcast_array_beacon_count > 1) {
var newsGrid = Math.floor(system.ID-1+missionVariables.random_station_names_local_broadcast_array_beacon_count);
var newsname = overflowpool2[newsGrid&255];
}
ship.displayName = ship.displayName+": "+newsname; // Name the Buoy.
ship.beaconLabel = ship.displayName; // Add Station Name to the ASC display
}
// Name the Mandotech Stations
// Only one Station is added per Galaxy (8 in the whole game). These stations are therefore assigned names manually.
if(ship.hasRole("mandotech-main-station")) {
missionVariables.random_station_names_local_mandotech_main_station_count++;
// if this is an extra station being spawned by another OXP at a system where a Station would not normally be present, give it a name from Overflow Pool 3.
if (missionVariables.random_station_names_local_mandotech_main_station_count ===1) {
var manoname = overflowpool3[system.ID&255]; // Assigne a Name by SystemID if this is an extra station.
// If only one station is present and in its normal location then it is the Station normally added as 1 per Galaxy by the Mandotech OXP so it gets an Individual Name.
if (galaxyNumber === 0 && system.ID === 232)  var manoname = "Out of the Darkness";
if (galaxyNumber === 1 && system.ID === 39) var manoname = "The Butterfly Effect";
if (galaxyNumber === 2 && system.ID === 5) var manoname = "When a Star Falls";
if (galaxyNumber === 3 && system.ID === 141) var manoname = "Pacific Rim";
if (galaxyNumber === 4 && system.ID === 39) var manoname = "Edge of Tomorrow";
if (galaxyNumber === 5 && system.ID === 6) var manoname = "Dark Continent";
if (galaxyNumber === 6 && system.ID === 53) var manoname = "Figures of the Night";
if (galaxyNumber === 7 && system.ID === 251) var manoname = "Last Days on Mars";
}
if (missionVariables.random_station_names_local_mandotech_main_station_count > 1) {
// if more than one station is present regardless of location then this is an extra station added by another OXP. Assign a name (up to 256 per system) from Overflow Pool 3.
var manoGrid = Math.floor(system.ID-1+missionVariables.random_station_names_local_mandotech_main_station_count);
var manoname = overflowpool3[manoGrid&255];
}
ship.displayName = ship.displayName+": "+manoname; // Name the Station.
ship.beaconLabel = ship.displayName; // Add Station Name to the ASC display
}
// Name the Mandotech Stations Buoys.
if(ship.hasRole("mandotech-buoy")) {
missionVariables.random_station_names_local_mandotech_buoy_count++;
if (missionVariables.random_station_names_local_mandotech_buoy_count ===1) {
var manoname = overflowpool3[system.ID&255]; // Assigne a Name by SystemID if this is an extra station.
if (galaxyNumber === 0 && system.ID === 232)  var manoname = "Out of the Darkness";
if (galaxyNumber === 1 && system.ID === 39) var manoname = "The Butterfly Effect";
if (galaxyNumber === 2 && system.ID === 5) var manoname = "When a Star Falls";
if (galaxyNumber === 3 && system.ID === 141) var manoname = "Pacific Rim";
if (galaxyNumber === 4 && system.ID === 39) var manoname = "Edge of Tomorrow";
if (galaxyNumber === 5 && system.ID === 6) var manoname = "Dark Continent";
if (galaxyNumber === 6 && system.ID === 53) var manoname = "Figures of the Night";
if (galaxyNumber === 7 && system.ID === 251) var manoname = "Last Days on Mars";
}
if (missionVariables.random_station_names_local_mandotech_buoy_count > 1) {
var manoGrid = Math.floor(system.ID-1+missionVariables.random_station_names_local_mandotech_buoy_count);
var manoname = overflowpool3[manoGrid&255];
}
ship.displayName = ship.displayName+": "+manoname; // Name the Buoy.
ship.beaconLabel = ship.displayName; // Add Station Name to the ASC display
}
// Name the Lave Academies
// Nprmally between 1 and 5 Acadamies are added to each Galaxy  depending on settings (Maximum of 42 in the whole game). These stations are therefore assigned names manually.
if(ship.hasRole("laveAcademy_academy")) {
missionVariables.random_station_names_local_laveAcademy_academy_count++;
// if this is an extra station being spawned by another OXP at a system where an Acadamy would not normally be present, give it a name from Overflow Pool 4.
if (missionVariables.random_station_names_local_laveAcademy_academy_count ===1) {
var academyname = overflowpool4[system.ID&255]; // Assigne a Name by SystemID if this is an extra station.
// If only one station is present and in its normal location then it is the Station normally added as 1 per Galaxy by the Lave Acadamy OXP so it gets an Individual Name.
if (galaxyNumber === 0 && system.ID === 7) var academyname = "Galactic Empress";
if (galaxyNumber === 0 && system.ID === 173) var academyname = "Battle of Fleurus";
if (galaxyNumber === 0 && system.ID === 168) var academyname = "Sky Lantern";
if (galaxyNumber === 0 && system.ID === 133) var academyname = "Gypsy Moth";
if (galaxyNumber === 0 && system.ID === 4) var academyname = "Hazard Pay";
if (galaxyNumber === 1 && system.ID === 24) var academyname = "The Buzz Aldrin";
if (galaxyNumber === 1 && system.ID === 92) var academyname = "Knowledge is Power";
if (galaxyNumber === 1 && system.ID === 210) var academyname = "The Iron Ass";
if (galaxyNumber === 1 && system.ID === 56) var academyname = "Reach for the Sky";
if (galaxyNumber === 1 && system.ID === 194) var academyname = "White Witch";
if (galaxyNumber === 2 && system.ID === 58) var academyname = "Symbiotic Relationship";
if (galaxyNumber === 2 && system.ID === 165) var academyname = "Gene Pool";
if (galaxyNumber === 2 && system.ID === 106) var academyname = "Darwinism in Acton";
if (galaxyNumber === 2 && system.ID === 198) var academyname = "Bucking Broncho";
if (galaxyNumber === 2 && system.ID === 164) var academyname = "Soul Herder ";
if (galaxyNumber === 3 && system.ID === 13) var academyname = "Sea of Grass";
if (galaxyNumber === 3 && system.ID === 47) var academyname = "Smoky Mountain";
if (galaxyNumber === 3 && system.ID === 130) var academyname = "Wisdom of Curruthers";
if (galaxyNumber === 3 && system.ID === 18) var academyname = "Book of Souls";
if (galaxyNumber === 3 && system.ID === 122) var academyname = "Steel Magnolia";
if (galaxyNumber === 4 && system.ID === 16) var academyname = "Burning Bridges";
if (galaxyNumber === 4 && system.ID === 193) var academyname = "Call of the Forest";
if (galaxyNumber === 4 && system.ID === 231) var academyname = "Great Balls of Fire";
if (galaxyNumber === 4 && system.ID === 92) var academyname = "Summer School";
if (galaxyNumber === 4 && system.ID === 9) var academyname = "The Douglas Bader";
if (galaxyNumber === 5 && system.ID === 151) var academyname = "Bristol Bulldog";
if (galaxyNumber === 5 && system.ID === 6) var academyname = "Battle of Britain";
if (galaxyNumber === 5 && system.ID === 85) var academyname = "Spirit of Lave";
if (galaxyNumber === 5 && system.ID === 146) var academyname = "The Peter Jameson";
if (galaxyNumber === 5 && system.ID === 240) var academyname = "Milk Run";
if (galaxyNumber === 6 && system.ID === 189) var academyname = "The Wright Brothers";
if (galaxyNumber === 6 && system.ID === 146) var academyname = "Apollo Thirteen";
if (galaxyNumber === 6 && system.ID === 130) var academyname = "Hawker College";
if (galaxyNumber === 6 && system.ID === 118) var academyname = "Cold Sweat";
if (galaxyNumber === 6 && system.ID === 37) var academyname = "White Lightning";
if (galaxyNumber === 7 && system.ID === 177) var academyname = "Flash Gordon";
if (galaxyNumber === 7 && system.ID === 31) var academyname = "Masked Avenger";
if (galaxyNumber === 7 && system.ID === 211) var academyname = "Missing in Action";
if (galaxyNumber === 7 && system.ID === 157) var academyname = "The Right Stuff";
if (galaxyNumber === 7 && system.ID === 20) var academyname = "Top Gun";
}
if (missionVariables.random_station_names_local_laveAcademy_academy_count > 1) {
// if more than one station is present regardless of location then this is an extra station added by another OXP. Assign a name (up to 256 per system) from Overflow Pool 4.
var laveGrid = Math.floor(system.ID-1+missionVariables.random_station_names_local_laveAcademy_academy_count);
var academyname = overflowpool4[laveGrid&255];
}
ship.displayName = system.name+" Academy: "+academyname;  // Name the Academys.
ship.beaconLabel = ship.displayName; // Add Station Name to the ASC display
}
// Name the Navy Bases from Coyotes Run.
if(galaxyNumber === 4 && ship.displayName === "Navy Base" ) {
if (system.ID === 25) ship.displayName = "Navy Base: Prairie Wolf";
if (system.ID === 39) ship.displayName = "Navy Base: Lest Darkness Fall";
if (system.ID === 40) ship.displayName = "Navy Base: McKinley Station";
if (system.ID === 89) ship.displayName = "Navy Base: Fort Lauderdale";
if (system.ID === 124) ship.displayName = "Navy Base: Camp Cathcart";
}
// Name the Space Stations orbiting the Assassins OXP planets.
if(galaxyNumber  === 6 && ship.hasRole("xyzstat") ) {
if (system.ID === 107) ship.displayName = "Dodecahedron Station: Corpse Bride"; 
if (system.ID === 73) ship.displayName = "The Soin Family Burrow";
if (system.ID === 194) ship.displayName = "The Galactic Cup Stadium";
if (system.ID === 81) ship.displayName = "Dodecahedron Station: House of Blue Leaves";
ship.beaconLabel = ship.displayName;
}
// Name the HMSN Stations and Outposts..
// The OXZ adds persitant stations in Witchspace and in normal space, but can also call non-persitant stations in witchspace.
// Separate tests are made depending on whether in normal space or witchspace.
if(ship.hasRole("himsn_station")) {
missionVariables.random_station_names_local_navy_station_count++;
var navystartpool = [
"HMS ", "GSS ", "ISS ", "HMS ", "GSS ", "ISS ",
// Not Used - 6 Names in the Pool.
"HMS "];
var navystartname = navystartpool[missionVariables.random_station_names_local_navy_station_count&5];
// Name stations in normal space.
if (!system.isInterstellarSpace) {
// Normally stations are only added at Birera (G3) and Xeer (G1).
// In case additional stations are added in the future however a provisional name is set for all systems in the game.
// Bank of 256 reserve names (not yet used by any OXZ).
var navynamepool = [
// Blocks of 32 Names.
"Enterprise", "Hood", "Reliant", "Melbourne", "Defiant", "Indefatigable", "Equinox", "Imperious", "Leopard", "Philomena", "Tummel", "Garcia", "Antrim", "Odierne", "Mongoose", "Firebird",  "Nemesis", "Adventure", "Laburnum", "Musketeer", "Prevost", "Narcissus", "Lightning", "Nairana",  "Ladybird", "Hogarth", "Newport", "Malouine", "Nimble", "Oracle", "Boisdale", "Locust", 
"Wainwright", "Irwin", "Rucker", "Carson", "Leavenworth", "Buchanan", "Pendleton", "Quantico", "Coronado", "Lemoore", "Baumholder", "Pensacola", "Yokosuka", "Lakehurst", "Eielson", "Aberdeen", "Mayport", "Bremerton", "Monthan", "Anacostia", "Grissom", "Richardson", "Newport", "London", "Hanscom", "Columbus", "Benelux", "Meridian", "Kirtland", "Bavaria", "Ellsworth", "Sheppard", 
"Ramstein", "Kadena", "Molesworth", "Baltimore", "Constitution", "Firebolt", "Hurricane", "Petaluma", "Nimitz", "Portland", "Rushmore", "Earhart", "Vermont", "Tempest", "Churchill", "Decatur", "Washington", "Lummus", "Normandy", "Devastator", "Pioneer", "Whirlwind", "Thunderbolt", "Apache", "Bismarck", "Dextrous", "Impeccable", "Ericsson", "Lenthall", "Mendonca", "Pathfinder", "Springfield", 
"Williams", "Soderman", "Firefly", "Zeus", "Champion", "Armstrong", "Seminole", "Bellatrix", "Chapman", "Altair", "Badger", "Mohican", "Trenton", "Girardeau", "Kennedy", "Spearhead", "Orlando", "Trinity", "Wrath", "Denebola", "Unity", "Pollux", "Antares", "Trident", "Freedom", "Peleliu", "Resolute", "Bullfrog", "Apalachicola", "Cherokee", "Beloit", "Independence", 
"Deception", "Petersen", "Basilone", "Massachusetts", "Anishinabek", "Savannah", "Constellation", "Lenape", "Galileo", "Sirena", "Franklin", "Prometheus", "Nebula", "Excelsior", "Scimitar", "Kelvin", "Discovery", "Simanek", "Nomad", "Falcon", "Nantucket", "Mantis", "Shadow", "Narada", "Repulse", "Phantom", "Venator", "Infiltrator", "Razor", "Calamari", "Malevolence", "Radiant", 
"Windham", "Liberator", "Babylon", "Seraphim", "Lexington", "Valen", "Sharlin", "Lumati", "Aurora", "Condor", "Helios", "Genesis", "Mariner", "Sputnik", "Venera", "Sheridan", "Weasel", "Cassini", "Akatsuki", "Phobos", "Beagle", "Rosetta", "Odyssey", "Amundsen", "Tianwen", "Perseverance", "Mathilde", "Stardust", "Horizon", "Watchman", "Slayer", "Opportunity", 
"Kepler", "Gaia", "Euclid", "Aladdin", "Diamant", "Thorn", "Juno", "Asterix", "Calsphere", "Kucharski", "Jackdaw", "Meteor", "Pitchfork", "Atlantis", "Endeavour", "Buran", "Orion", "Compton", "Destiny", "Scorpio", "Barcelona", "Inspiration", "Eclipse", "Solstice", "Concordia", "Fortuna", "Boudicca", "Serenity", "Delphin", "Olympia", "Mauretania", "Balmoral", 
"Dolphin", "Falchion", "Armonia", "Oriana", "Sapphire", "Yorktown", "Legend", "Albatross", "Polaris", "Corona", "Zenith", "Athena", "Excellence", "Stargazer", "Conquest", "Lucania", "Imperator", "Richelieu", "Colbert", "Solaris", "Mauretania", "Amsterdam", "Campania", "Eureka", "Galatea", "Britannia", "Newton", "Tenacious", "Solano", "Hermione", "Cambridge", "Lusitania", 
// Not Used - 256 Names in the Pool.
"Bulldog"];
var navyGrid = Math.floor(system.ID+missionVariables.random_station_names_local_navy_station_count);
var navyendname = navynamepool[navyGrid&255]
// Set the Default name to cover additional stations appearing.
// A Default name is used for all stations, so that the Almanac has names ready to use for every system in case either the original authors or another OXZ adds more stations in the future.
// Although only 2 stations would normally appear in nomal space, a bank of 256 names as held in reserve for cover the situation if further stations are added.
var navydisplayname = ": "+navystartname+navyendname;
// For the Two Stations Scripted to appear, overwrite to set Custom Names.
// The Backup Script above would only be used if in future more of these stations are added.
if (galaxyNumber === 0 && system.ID === 150) var navydisplayname = ": Windsor Castle"; // Xeer - Galaxy 1.
if (galaxyNumber === 2 && system.ID === 36) var navydisplayname = ": Redstone Arsenal"; // Birera - Galaxy 3.
// Closing bracket for normal space.
}
// Name Stations in Interstellar Space
if (system.isInterstellarSpace) {
// HMSN OXZ adds a chance of a rogue planet appearing in interstellar space with a chance of a navy station in orbit.
// When scripted to appear the station is not persitant (the player is afterall appearing in different locations in interstellar space).
// The name is generated from descriptions therefore for the first station to appear.
if (missionVariables.random_station_names_local_navy_station_count === 1) {
var navydisplayname = ": "+expandDescription("[named_stations_hmsn_interstellar]");
// Set to Persistant Names for the Stations at Fixed Points in Interstella Space.
if (galaxyNumber == 0) {
if (player.ship.targetSystem == 224 || player.ship.targetSystem == 26) var navydisplayname = ": Carlisle Barracks";
}
if (galaxyNumber == 2) {
if (player.ship.targetSystem == 123 || player.ship.targetSystem == 4) var navydisplayname = ": Saratoga Springs";
}
if (galaxyNumber == 3) {
if (player.ship.targetSystem == 221 || player.ship.targetSystem == 217) var navydisplayname = ": Little Creek";
}
if (galaxyNumber == 4) {
if (player.ship.targetSystem == 161 || player.ship.targetSystem == 70) var navydisplayname = ": Fairford Citadel";
}
if (galaxyNumber == 7) {
if (player.ship.targetSystem == 247 || player.ship.targetSystem == 144) var navydisplayname = ": The Last Hope";
}
// Closing Bracket for Naming the First Station to Appear.
}
// Normally only one station will appear. If a second station did appear then it is named using a grid with the target system ID as the starting position.
if (missionVariables.random_station_names_local_navy_station_count > 1)  {
var navynamepool2 = [
"Harpy", "Furious", "Reaper", "Antelope", "Centurion", "Hornet", "Cerberus", "Benbow",
"Marigold", "Nestor", "Onslaught", "Lennox", "Erisort", "Coulside", "Osprey", "Phoenix", 
"Nicodemus", "Patriot", "Relentless", "Mashona", "Oracle", "Sentinel", "Pelican", "Leverton", 
"Lusitania", "Marksman", "Oberon", "Petulant", "Neuchatel", "Leocadia", "Ophelia", "Medusa", 
"Strenuous", "Tireless",
// Not Used - 34 Names in the Pool.
"Sampson"];
var navyGrid2 = Math.floor(missionVariables.random_station_names_local_d20_diceroll+missionVariables.random_station_names_local_navy_station_count);
var navyendname = navynamepool2[navyGrid2&33]
var navydisplayname = ": "+navystartname+navyendname;
}
// Closing bracket for Interstellar Space
}
// Set the Display Name - No Beacon is set as these stations are Secret.
ship.displayName = ship.displayName+navydisplayname;
// Closing bracket for test for navy station role.
}
// Name Pirate Coves.
if(ship.hasRole("pirate-cove")) {
var namecove = "Yes";
// Check that it has not already been named as a Rock Hermit or Penal Colony
if (ship.displayName.indexOf(": ") >= 0) var namecove = "No";
if (namecove === "Yes") {
missionVariables.random_station_names_local_pirate_cove_count++;
var piratecoveGrid  = Math.floor(system.ID+(256 * galaxyNumber));
if (missionVariables.random_station_names_local_pirate_cove_count === 1) var piratecovedisplay = piratecovepool1[piratecoveGrid &2047];
if (missionVariables.random_station_names_local_pirate_cove_count === 2) var piratecovedisplay = piratecovepool2[piratecoveGrid &2047];
if (missionVariables.random_station_names_local_pirate_cove_count> 2) {
var piratecoveGrid  = Math.floor(system.ID+missionVariables.random_station_names_local_pirate_cove_count);
var piratecovedisplay = piratecovepool3[piratecoveGrid &255];
}
ship.displayName = ship.displayName+": "+piratecovedisplay;
}
// Closing Bracket for Pirate Coves.
}
// Planet Fall Landing Sites. As there are a lot of these they are bracketed off from the main station naming script with the common role check.
if(ship.hasRole("planetFall_surface")) {
// Set Up the Display Names for Planetfall OXP Landing Points..
// PlanetFall simulates a Landing by Spawning an invistable docking slit very close to the planet / moon's surface.
// The code below detects which type of Landing Site the player has landed at and gives it an approprate name.
// The Landing Sites generated by Planet Fall are random each time the player lands, so a check for consitancy is not needed (as the landing sites are not persitant anyway).
// For this type of 'station' only therefore, names are generated on the fly directly from the Descriptions File, but with a different style for each of PlanetFalls Landing sites.
// Capital Cities
if(ship.hasRole("planetFall_mainSurface_capitalCity")) ship.displayName = ""+expandDescription("[named_stations_planetFall_mainSurface_capitalCity_name]");
// Shipyards - Main Planet Version 
if(ship.hasRole("planetFall_mainSurface_shipYard")) ship.displayName = ""+expandDescription("[named_stations_planetFall_mainSurface_shipYard_name]");
// Shipyards - OXP Planet Version
if(ship.hasRole("planetFall_subSurface_shipYard")) ship.displayName = ""+expandDescription("[named_stations_planetFall_subSurface_shipYard_name]");
// Military Bases - Main Planet Version
if(ship.hasRole("planetFall_mainSurface_militaryBase")) ship.displayName = ""+expandDescription("[named_stations_planetFall_mainSurface_militaryBase_name]");
// Military Bases - OXP Planet Version 
if(ship.hasRole("planetFall_subSurface_militaryBase")) ship.displayName = ""+expandDescription("[named_stations_planetFall_subSurface_militaryBase_name]");
// Surface Based Royal Hunting Lodges (only added to the Main Planet in Feudal Systems with a Tech Level of 7+ and only if Feudal States and Planetfall are installed)
if(ship.hasRole("planetFall_mainSurface_FSRoyalCourt")) ship.displayName = ""+expandDescription("[named_stations_planetFall_mainSurface_FSRoyalCourt_name]");
// Surface Based Black Monk Stations. These can only appear if you have all three of Black Monks, Planet Fall and the Black Monks Add On to PlanetFall installed.
// PlanetFall rolls its own dice from all the templates it uses, so even if you meet the installed OXP requirements, there is only a 1 in 20 to 1 in 25 chance that you
// land at a Surface Based Black Monk Station. Ground based Monk Stations are however named in a different style and from a different pool to Orbital Monk Stations.
// If both an orbital and ground based Monk Station are present in the same system they do therefore always have different names in different styles.
if(ship.hasRole("planetFall_mainSurface_blackMonks")) ship.displayName = ""+expandDescription("[planetFall_Surface_blackMonks_name]");
if(ship.hasRole("planetFall_subSurface_blackMonks")) ship.displayName = ""+expandDescription("[planetFall_Surface_blackMonks_name]");
if(ship.hasRole("planetFall_moonSurface_blackMonks")) ship.displayName = ""+expandDescription("[planetFall_Surface_blackMonks_name]");
// Surface Based HoOpy Casinos. These appear under the same circumstances as Black Monk Surface Stations above and so are handled the same way.
// You must have HoOpy Casino, PlanetFalll and the HoOpy Casino PlanetFall AddOn installed for these Landing Sites to appear.
// As with Black Monks, the ground based Casinos are named from a different pool and in a different style to orbital HoOpy Casinos.
if(ship.hasRole("planetFall_mainSurface_hoopyCasino")) ship.displayName = ""+expandDescription("[planetFall_Surface_hoopy_name]");
if(ship.hasRole("planetFall_subSurface_hoopyCasino")) ship.displayName = ""+expandDescription("[planetFall_Surface_hoopy_name]");
if(ship.hasRole("planetFall_moonSurface_hoopyCasino")) ship.displayName = ""+expandDescription("[planetFall_Surface_hoopy_name]");
// Seedy Space Bars - Main Planet, OXP Planet and Moon Versions 
// Same Method. A different pool of Bar Names though is used for the Main Planet, OXP Planet and Moon Versions.
// Names are selected from a different pool of names to the ones included in Random Hits.
// Ground Based Space Bars always have different names therefore to the Orbital versions.
if(ship.hasRole("planetFall_mainSurface_seedyBar")) this.barName = expandDescription('[named_stations_planetFall_mainSurface_seedyBar_name]');
if(ship.hasRole("planetFall_subSurface_seedyBar")) this.barName = expandDescription('[named_stations_planetFall_mainSurface_seedyBar_name]');
if(ship.hasRole("planetFall_moonSurface_seedyBar")) this.barName = expandDescription('[named_stationsplanetFall_moonSurface_seedyBar_name]');
if(ship.hasRole("planetFall_mainSurface_seedyBar")) ship.displayName = ""+barName;
if(ship.hasRole("planetFall_subSurface_seedyBar")) ship.displayName = ""+barName;
if(ship.hasRole("planetFall_moonSurface_seedyBar")) ship.displayName = ""+barName;
// Leisure Complexes
if(ship.hasRole("planetFall_mainSurface_leisureComplex")) ship.displayName = ""+expandDescription("[named_stations_planetFall_mainSurface_leisureComplex_name]");
if(ship.hasRole("planetFall_subSurface_leisureComplex")) ship.displayName = ""+expandDescription("[named_stations_planetFall_mainSurface_leisureComplex_name]");
if(ship.hasRole("planetFall_moonSurface_leisureDome")) ship.displayName = ""+expandDescription("[named_stations_planetFall_mainSurface_leisureComplex_name]");
// Factories 
if(ship.hasRole("planetFall_mainSurface_factory")) ship.displayName = ""+expandDescription("[named_stations_planetFall_mainSurface_factory_name]");
if(ship.hasRole("planetFall_subSurface_factory")) ship.displayName = ""+expandDescription("[named_stations_planetFall_mainSurface_factory_name]");
// Farms
if(ship.hasRole("planetFall_mainSurface_farm")) ship.displayName = ""+expandDescription("[named_stations_planetFall_mainSurface_farm_name]");
if(ship.hasRole("planetFall_subSurface_farm")) ship.displayName = ""+expandDescription("[named_stations_planetFall_mainSurface_farm_name]");
// Fields
if(ship.hasRole("planetFall_mainSurface_fields")) ship.displayName = ""+expandDescription("[named_stations_planetFall_mainSurface_fields_name]");
if(ship.hasRole("planetFall_subSurface_fields")) ship.displayName = ""+expandDescription("[named_stations_planetFall_mainSurface_fields_name]");
// Rubbish Dumps
if(ship.hasRole("planetFall_subSurface_dump")) ship.displayName = ""+expandDescription("[named_stations_planetFall_subSurface_dump_name]");
if(ship.hasRole("planetFall_subSurface_dump")) ship.displayName = ""+expandDescription("[named_stations_planetFall_subSurface_dump_name]");
// OO-Haul Distribution Centre
if(ship.hasRole("planetFall_mainSurface_oohaul")) ship.displayName = ""+expandDescription("[named_stations_planetFall_mainSurface_oohaul_name]");
// Colonies
if(ship.hasRole("planetFall_subSurface_colony")) ship.displayName = ""+expandDescription("[named_stations_planetFall_subSurface_colony_name]");
// Luna Domes.
if(ship.hasRole("planetFall_moonSurface_dome")) ship.displayName = ""+expandDescription("[named_stations_planetFall_moonSurface_dome_name]");
// Luna Mines 
if(ship.hasRole("planetFall_moonSurface_mine")) ship.displayName = ""+expandDescription("[named_stations_planetFall_moonSurface_mine_name]");
// Luna Prisons
if(ship.hasRole("planetFall_moonSurface_prison")) ship.displayName = ""+expandDescription("[named_stations_planetFall_moonSurface_prison_name]");
// Luna Research Complexs
if(ship.hasRole("planetFall_moonSurface_researchComplex")) ship.displayName = ""+expandDescription("[named_stations_planetFall_moonSurface_researchComplex_name]");
// Luna Robot Factories
if(ship.hasRole("planetFall_moonSurface_factory")) ship.displayName = ""+expandDescription("[named_stations_planetFall_moonSurface_factory_name]");
// Luna Wastland
if(ship.hasRole("planetFall_moonSurface_wasteLand")) ship.displayName = ""+expandDescription("[named_stations_planetFall_moonSurface_wasteLand_name]");
// Closing sub-bracket for Planetfall Landing Sites.
}
// Auto Naming Code for Stations - HERE!
// Any Station not on the list above will be named automatically using the general style below if it is not a unique station or the auto name flag has been set to off in script info.
// The Script is not run if the Object Naming Script Info is set to Off. Only Objects with Station Scan Class are automatically named, but any object will be named if the Naming Script Info is expressly set to On.
// The Galactic Almanac will only name an object with the Naming Script Info is expressly set to On if it has Scan Class Station or Rock. This is beacuse other objects will be named by Random Ship Names.
if (ship.scanClass === "CLASS_STATION" || ship.scriptInfo.almanac_object_naming === "On") {
var autoname = "No";
if (ship.scanClass === "CLASS_STATION" || ship.scanClass === "CLASS_ROCK") var autoname = "Yes";
// Autromatic Exclude List - Excludes Unique Stations released before the Galactic Almanac and Stations which have already been named above.
if(ship.hasRole("random_hits_any_spacebar") || ship.displayName.indexOf(": ") >= 0 || ship.displayName.indexOf("Erehwon Station") >= 0 || ship.displayName.indexOf("Special Branch Orbital Headquarters") >= 0 
|| ship.displayName.indexOf("Augeaian Orbital Repair Facility") >= 0 || ship.displayName.indexOf("Griff Research Orbital Base") >= 0 || ship.displayName.indexOf("Luftslotte 6") >= 0 || ship.displayName.indexOf("Tourist Information Centre") >= 0 
|| ship.displayName.indexOf("Communications Station") >= 0 || ship.displayName.indexOf("Transit Station") >= 0 || ship.displayName.indexOf("Raceedat Penal Colony") >= 0 || ship.displayName.indexOf("Taranis Corporation HQ") >= 0 
|| ship.displayName.indexOf("Pulsar Monitoring Station") >= 0 || ship.displayName.indexOf("Aquarian Shipbuilding Corp. HQ") >= 0 || ship.displayName.indexOf("Gateway Station") >= 0 || ship.displayName.indexOf("Training Station") >= 0 
|| ship.displayName.indexOf("Leesti High") >= 0 || ship.displayName.indexOf("Raceedat Station") >= 0 || ship.displayName.indexOf("The Soin Family Burrow") >= 0 || ship.displayName.indexOf("The Galactic Cup Stadium") >= 0 
|| ship.displayName.indexOf("Wiseguy Waystation") >= 0 || ship.displayName.indexOf("Hoopy Hotel") >= 0 || ship.displayName.indexOf("Korshkov") >= 0 || ship.displayName.indexOf("Tionisla Orbital Graveyard") >= 0 
|| ship.displayName.indexOf("Ryan's Villa") >= 0 || ship.displayName.indexOf("Ring Segment") >= 0 || ship.displayName.indexOf("Avernus Orbital") >= 0 || ship.displayName.indexOf("Koneko Industries HQ") >= 0

) var autoname = "No"; 
if(autoname === "Yes") {
missionVariables.random_station_names_local_autoname_count++;
var autonameGrid  = Math.floor(system.ID+(256 * galaxyNumber));
// If in Interstellar space, start the count using the target system number and count from the pool 2 galaxies ahead.
if (system.isInterstellarSpace) {
var advance = Math.floor(player.ship.targetSystem+512);
var autonameGrid  = Math.floor(autonameGrid+advance);
}
// First Two Stations to appear per serystem are named from two generic pools each pool containing 2,048 names.
if (missionVariables.random_station_names_local_autoname_count === 1) var autonamedisplay = autonamepool1[autonameGrid &2047];
if (missionVariables.random_station_names_local_autoname_count === 2) var autonamedisplay = autonamepool2[autonameGrid &2047];
// Third Station Onwards is named from Extra Pools 3 and 4 shunted 4 Galaxies ahead and jumping 64 names forward.
if (missionVariables.random_station_names_local_autoname_count> 2) {
var jumper = Math.floor(missionVariables.random_station_names_local_autoname_count-2);
if (jumper <1) var jumper = 1;
var jumper = Math.floor(jumper*64);
var jumper = Math.floor(jumper+1024+missionVariables.random_station_names_local_autoname_count);
var autonameGrid  = Math.floor(autonameGrid+jumper);
if (system.ID <128) var autonamedisplay = extrapool3[autonameGrid &2047];
if (system.ID >127) var autonamedisplay = extrapool4[autonameGrid &2047];
}
ship.displayName = ship.displayName+": "+autonamedisplay;
ship.beaconLabel = ship.displayName; // Add Station Name to the ASC display.
}
// Closing Bracket for Auto-Naming
}
// End of Check for Naming OXZ Stations being On.
}
// Check for Main Station Buoy.
if (ship.hasRole("buoy") && ship.displayName === ("Navigation Buoy")) {
// If the Name Main Stations Option is On, then the Name of the Main Station is added to its Buoy.
if (missionVariables.random_station_names_main === "On") {
// As the Easter Egg Mission allows the player to rename Lave Station, a check is made depending on whether the mission has been completed or not.
// If not definied - always name from the main station array.
var mainGrid = Math.floor(system.ID+(256 * galaxyNumber));
var mainstationname = main[mainGrid&2047];
// if definied then name using the main station array as normal unless at Lave.
if (missionVariables.random_station_names_easter_egg_name) {
var mainstationname = main[mainGrid&2047];
if (system.ID === 7 && galaxyNumber === 0) var mainstationname = missionVariables.random_station_names_easter_egg_name;
}
ship.beaconLabel =  "GalCop Station Buoy: "+mainstationname; // Add Station Name to the ASC display.
ship.displayName = "GalCop Station Buoy: "+mainstationname; // Add the Name of the Main Station to it's Buoy.
}
// If Naming of Main Stations is Off, then the Main Station Buoy is just named as the GalCop Buoy so it can be told apart on the ASC from OXZ Buoys.
if (missionVariables.random_station_names_main === "Off") {
ship.beaconLabel =  "GalCop Station Buoy";
ship.displayName = "GalCop Station Buoy";
}
// Ending Bracket for Main Station Buoy Check.
}
// Ending Bracket for Name Stations & Buoys 
}
// Close of Excluded Classes Bracket.
}
// Closing Bracket for Naming Not being set to Off by Script Info
}
// Closing Backet for the Whole This Ship Spawned Function.
}
// Function to name and Classify Stars. - HERE!
this.namestars = function() {
if (system.isInterstellarSpace) return;
if (!system.sun) return;
if (system.sun) system.info.sun_name  = null;
if (system.sun_name) system.info.sun_name  =  system.sun_name;
if (!system.info.sun_name) system.info.sun_name  = system.name+" Stella";
// Get the Random Station Names name for the Star.
var starGrid = Math.floor(system.ID+(256 * galaxyNumber));
// If the Sun is unnamed then describe it by the System Name EG Lave Stella
var name = system.name+" Stella";
var starText = "Star";
// Check for Distant Stars changes.
var sunName = system.info.sun_name;
if (sunName.indexOf("M0") >= 0) var starText = "Class M0 Star";
if (sunName.indexOf("K8") >= 0) var starText = "Class K8 Star";
if (sunName.indexOf("K2") >= 0) var starText = "Class K2 Star";
if (sunName.indexOf("G2") >= 0) var starText = "Class G2 Star";
if (sunName.indexOf("F2") >= 0) var starText = "Class F2 Star";
if (sunName.indexOf("A7") >= 0) var starText = "Class A7 Star";
if (sunName.indexOf("A2") >= 0) var starText = "Class A2 Star";
// If Distant Suns is Installed (or any other OXP that changes star colours) then Stars are described based on their colour using the same classifications as Distant Suns..
// If the player does not have Distant Suns installed (or another OXP which changes Star Colours) then the Sun will just be decribed as a Star.
if (system.info.sun_color === "redColor") var starText = "Class M Star";
if (system.info.sun_color === "orangeColor") var starText = "Class K Star";
if (system.info.sun_color === "yellowColor") var starText = "Class G Star";
if (system.info.sun_color === "whiteColor") var starText = "Class F Star";
if (system.info.sun_color === "cyanColor") var starText = "Class A Star";
if (system.info.sun_color === "blueColor") var starText = "Class B Star";
if (system.info.sun_color === "magentaColor") var starText = "Class M Star";
if (system.info.sun_color === "blackColor") var starText = "Dark Star";
if (system.info.sun_color === "darkGrayColor") var starText = "Dark Star";
if (system.info.sun_color === "lightGrayColor") var starText = "Class C Star";
if (system.info.sun_color === "grayColor") var starText = "Shadow Star";
if (system.info.sun_color === "greenColor") var starText = "Class J Star";
if (system.info.sun_color === "brownColor") var starText = "Class L Star";
if (system.info.sun_color === "clearColor") var starText = "Exotic Star";
// Only the very biggest and very smallest stars on the charts are classified as Giants / Dwarfs.
// If Distant Suns (or any other OXP which modifies Star Colour) is not installed then Dwarfs and Giants do not have colours.
if (system.info.sun_radius < 82000) var starText = "Dwarf Star";
if (system.info.sun_radius > 179000) var starText = "Giant Star";
// If Distant Suns (or any other colour changing OXP) is installed then Dwarfs and Giants have colours.
if (system.info.sun_radius < 82000 && system.info.sun_color === "redColor") var starText = "Red Dwarf";
if (system.info.sun_radius < 82000 && system.info.sun_color === "orangeColor") var starText = "Orange Dwarf";
if (system.info.sun_radius < 82000 && system.info.sun_color === "yellowColor") var starText = "Yellow Dwarf";
if (system.info.sun_radius < 82000 && system.info.sun_color === "whiteColor") var starText = "White Dwarf";
if (system.info.sun_radius < 82000 && system.ID < 128 && system.info.sun_color === "cyanColor") var starText = "White Dwarf";
if (system.info.sun_radius < 82000 && system.ID > 127 && system.info.sun_color === "cyanColor") var starText = "Pale Dwarf";
if (system.info.sun_radius < 82000 && system.info.sun_color === "blueColor") var starText = "Blue Dwarf";
if (system.info.sun_radius < 82000 && system.info.sun_color === "magentaColor") var starText = "Purple Dwarf";
if (system.info.sun_radius > 179000 && system.info.sun_color === "redColor") var starText = "Red Giant";
if (system.info.sun_radius > 179000 && system.info.sun_color === "orangeColor") var starText = "Orange Giant";
if (system.info.sun_radius > 179000 && system.info.sun_color === "yellowColor") var starText = "Yellow Giant";
if (system.info.sun_radius > 179000 && system.info.sun_color === "whiteColor") var starText = "White Giant";
if (system.info.sun_radius > 179000 && system.ID < 128 && system.info.sun_color === "cyanColor") var starText = "White Giant";
if (system.info.sun_radius > 179000 && system.ID > 127 && system.info.sun_color === "cyanColor") var starText = "Pale Giant";
if (system.info.sun_radius > 179000 && system.info.sun_color === "blueColor") var starText = "Blue Giant";
if (system.info.sun_radius > 179000 && system.info.sun_color === "magentaColor") var starText = "Purple Giant";
if (system.info.sun_radius < 82000 && system.info.sun_color === "blackColor") var starText = "Dark Dwarf";
if (system.info.sun_radius < 82000 && system.info.sun_color === "darkGrayColor") var starText = "Dark Dwarf";
if (system.info.sun_radius < 82000 && system.info.sun_color === "lightGrayColor") var starText = "Gray Dwarf";
if (system.info.sun_radius < 82000 && system.info.sun_color === "grayColor") var starText = "Shadow Dwarf";
if (system.info.sun_radius < 82000 && system.info.sun_color === "greenColor") var starText = "Green Dwarf";
if (system.info.sun_radius < 82000 && system.info.sun_color === "brownColor") var starText = "Brown Dwarf";
if (system.info.sun_radius < 82000 && system.info.sun_color === "clearColor") var starText = "Exotic Dwarf";
if (system.info.sun_radius > 179000 && system.info.sun_color === "blackColor") var starText = "Dark Giant";
if (system.info.sun_radius > 179000 && system.info.sun_color === "darkGrayColor") var starText = "Dark Giant";
if (system.info.sun_radius > 179000 && system.info.sun_color === "lightGrayColor") var starText = "Gray Giant";
if (system.info.sun_radius > 179000 && system.info.sun_color === "grayColor") var starText = "Shadow Giant";
if (system.info.sun_radius > 179000 && system.info.sun_color === "greenColor") var starText = "Green Giant";
if (system.info.sun_radius > 179000 && system.info.sun_color === "brownColor") var starText = "Brown Giant";
if (system.info.sun_radius > 179000 && system.info.sun_color === "clearColor") var starText = "Exotic Giant";
// Check for Stranger's World Sun Gear Classifications
// If it is installed get the Class of the Star from Stranger's World Spectrometer and add it to the Star's name.
if (missionVariables.random_station_names_sungear === "Yes") {
var w = worldScripts.AstroLibrary;
var sunRadius = system.info.sun_radius; 
var spectrumText = w.$astroLib_sunSpectrum(sunRadius);
var starText = "Class "+spectrumText+" Star";
}
// Set the sun info name..
if (missionVariables.random_station_names_stars === "On" ) 
{
var name = ""+starpool[starGrid&2047];
system.info.sun_name  = ""+name+" ("+starText+")";
missionVariables.random_station_names_mfd_almanacsunDisplay = system.info.sun_name;
return;
}
if (missionVariables.random_station_names_stars === "Off" ) 
{
if (!system.info.sun_name) system.info.sun_name  = system.name+" Stella ("+starText+")";
if (system.info.sun_name.indexOf(" (") >= 0) return;

if (missionVariables.random_station_names_distantsuns !== "Yes") {
if (missionVariables.random_station_names_distantsuns === "Yes") missionVariables.random_station_names_shiort_name = system.info.sun_name;
system.info.sun_name  = system.info.sun_name +" ("+starText+")";
missionVariables.random_station_names_mfd_almanacsunDisplay = system.info.sun_name;
return;
}
}
return;	
// End of the Name Stars Function.
};
// Exact Copy of the Code from Distant Suns, so that when Name Stars is Off, Distant Suns runs as normal.
this.$spectroscope = function(colour)
{
if (!colour) colour = system.info.sun_color;
if (!colour) return false;
switch (colour)
{
// Distant Suns Catagories for the stars it changes.
case "magentaColor":
case "redColor":    colour = "Class M star"; break;
case "orangeColor": colour = "Class K star"; break;
case "yellowColor": colour = "Class G star"; break;
case "whiteColor":  colour = "Class F star"; break;
case "cyanColor":   colour = "Class A star"; break;
case "blueColor":   colour = "Class B star"; break;
// Bit of future proofing in case OXPs in the future add stars with other colours
case "blackColor":   colour = "Dark Star"; break;
case "darkGrayColor":   colour = "Dark Star"; break;
case "lightGrayColor":   colour = "Class C star"; break;
case "grayColor":   colour = "Shadow Star"; break;
case "greenColor":   colour = "Class J star"; break;
case "brownColor":   colour = "Class L star"; break;
case "clearColor":   colour = "Exotic Star"; break;
default:            colour = null;
}
return colour;
}
// Functions to set the name of the star on the F7 Screen and handle different suns or other OXPs which name stars.
// Copy and Paste from Distant Suns again, but this time for a Check to see if Random Station Names Name Stars is On.
// If it is then the Name of the Star on the F7 Screen will be the Name assigned by Random Station Names.
// If Off then the Namr of the Star on the F7 Screen will be assigned by Distant Suns.
this.guiScreenChanged = function(){
// If Distant Suns is installed do a check to see if the Random Stations Name Stars Option is On and if so set the Name from Random Stations.
// If Off. Do Nothing and the orginal code from Distant Suns runs as normal.
// The functions below are only run if the Player does not have the Compressed F7 Screen OXZ Installed.
// If the Player does have the Compressed F7 Screen OXZ Installed, then Random Station names does nothing with the F7 Screen as this is handled by
// the Compressed F7 Screen OXZ.
if (guiScreen === "GUI_SCREEN_SYSTEM_DATA"  && worldScripts.Stars && missionVariables.random_station_names_compress !== "Yes" )
{
var info = System.infoForSystem(galaxyNumber, player.ship.targetSystem);
if (info.sun_gone_nova) return;
var name    = info.name;
var sunName = info.sun_name;
var colour  = info.sun_color;
// Check the Name from Random Station Names to use for the Targeted System.
// Only Overwrite the Name from Distant Suns if Random Startion Names Name Stars Option is On.
if (missionVariables.random_station_names_stars === "On")  {
var starGrid = Math.floor(player.ship.targetSystem+(256 * galaxyNumber));
var sunName = ""+starpool[starGrid&2047] ;
}
// If the Name Stars Option is On then Distant Suns runs normally but uses the name from Random Station names instead of the Distant Suns name.
// If the Name Stars Option is Off then Distant Suns runs normally and the star is named by Distant Suns.
if (colour) var colourText = this.$spectroscope(colour);
if (colourText) mission.addMessageText("" + name + " orbits the " + colourText + " " + sunName + ".");
else if (colourText) mission.addMessageText("" + name + " orbits a " + colourText + ".");
else if (sunName) mission.addMessageText("" + name + " orbits the star " + sunName + ".");
}
// Identical Check for Distant Stars.
if (guiScreen === "GUI_SCREEN_SYSTEM_DATA"  && missionVariables.random_station_names_distantstars == "Yes" && missionVariables.random_station_names_distantsuns !== "Yes")
{
var info = System.infoForSystem(galaxyNumber, player.ship.targetSystem);
var sunName = info.sun_name;
var planet = info.name;
var colour = "None";
if (sunName.indexOf("M0") >= 0) colour = "Class M0 Star";
if (sunName.indexOf("K8") >= 0) colour = "Class K8 Star";
if (sunName.indexOf("K2") >= 0) colour = "Class K2 Star";
if (sunName.indexOf("G2") >= 0) colour = "Class G2 Star";
if (sunName.indexOf("F2") >= 0) colour = "Class F2 Star";
if (sunName.indexOf("A7") >= 0) colour = "Class A7 Star";
if (sunName.indexOf("A2") >= 0) colour = "Class A2 Star";
if (sunName.indexOf("Dwarf Star") >= 0) colour = "Dwarf Star";
if (sunName.indexOf("Giant Star") >= 0) colour = "Giant Star";
if (info.sun_gone_nova) colour = "Dead Star";
// Check the Name from Random Station Names to use for the Targeted System.
// Only Overwrite the Name from Distant Stars if Random Startion Names Name Stars Option is On.
if (missionVariables.random_station_names_stars === "On")  {
var starGrid = Math.floor(player.ship.targetSystem+(256 * galaxyNumber));
var sunName = ""+starpool[starGrid&2047] ;
if (colour !== "None") var sunName = ""+starpool[starGrid&2047] +" ("+colour+")";
if (colour === "None") var sunName = "the star "+starpool[starGrid&2047];
var displaytext = planet+" orbits "+sunName+".";
}
if (missionVariables.random_station_names_stars === "Off")  {
var displaytext = planet+" orbits "+sunName+".";
if (sunName.indexOf("Star ") >= 0) sunName = "the "+sunName; 
if (colour !== "None") displaytext = planet+" orbits "+sunName+" ("+colour+").";
if (colour === "None") var sunName = "the star "+starpool[starGrid&2047];
if (sunName.indexOf(" (") >= 0) displaytext = planet+" orbits "+sunName+".";
}
mission.addMessageText("" +displaytext+ "");
}
// Identical Check for Stranger's World Sun Gear.
if (guiScreen === "GUI_SCREEN_SYSTEM_DATA"  && worldScripts.SunSpectralAnalyzer && missionVariables.random_station_names_distantsuns !== "Yes" && missionVariables.random_station_names_distantstars !== "Yes")
{
var info = System.infoForSystem(galaxyNumber, player.ship.targetSystem);
var sunName = info.sun_name;
var planet = info.name;
var colour = "None";
var w = worldScripts.AstroLibrary;
var sunRadius = info.sun_radius; 
var spectrumText = w.$astroLib_sunSpectrum(sunRadius);
var colour = "Class "+spectrumText+" Star";
if (info.sun_gone_nova) colour = "Dead Star";
// Check the Name from Random Station Names to use for the Targeted System.
// Only Overwrite the Name from Distant Stars if Random Startion Names Name Stars Option is On.
if (missionVariables.random_station_names_stars === "On")  {
var starGrid = Math.floor(player.ship.targetSystem+(256 * galaxyNumber));
var sunName = ""+starpool[starGrid&2047] ;
if (colour !== "None") var sunName = ""+starpool[starGrid&2047] +" ("+colour+")";
var displaytext = planet+" orbits "+sunName+".";
}
if (missionVariables.random_station_names_stars === "Off")  {
var displaytext = planet+" orbits "+sunName+".";
if (sunName.indexOf("Star ") >= 0) sunName = "the "+sunName; 
if (colour !== "None") displaytext = planet+" orbits "+sunName+" ("+colour+").";
if (sunName.indexOf(" (") >= 0) displaytext = planet+" orbits "+sunName+".";
}
mission.addMessageText("" +displaytext+ "");
}
// If Neither Distant Suns, Distant Stars or Stranger's World SunGear is nstalled then add the name at the bottom of the page.
// With none of the above Installed, Stars will not have colours or types so just the name of the Star is added.
if (guiScreen === "GUI_SCREEN_SYSTEM_DATA"  && missionVariables.random_station_names_stars === "On"  && missionVariables.random_station_names_distantsuns !== "Yes"
&& missionVariables.random_station_names_distantstars !== "Yes" && missionVariables.random_station_names_sungear !== "Yes")
{
var info = System.infoForSystem(galaxyNumber, player.ship.targetSystem);
if (info.sun_gone_nova) return;
var name    = info.name;
// Check the Name from Random Station Names to use for the Targeted System.
var starGrid = Math.floor(player.ship.targetSystem+(256 * galaxyNumber));
var sunName = ""+starpool[starGrid&2047];
mission.addMessageText("" + name + " orbits the star " + sunName + ".");
}
// Closing Bracket for the F7 Screen Handling Function.
}
// Function to Reset all Counters on Loading or Making a Jump so that the count always starts from Zero. - HERE!
this.ResetAllCounters = function() {
// Set all temporary variables to zero, so that we always start counting from 1.
missionVariables.random_station_names_local_rock_count = 0;
missionVariables.random_station_names_local_monk_count = 0;
missionVariables.random_station_names_local_constore_count = 0;
missionVariables.random_station_names_local_constore_buoy_count = 0;
missionVariables.random_station_names_local_pagroove_superhub_count = 0;
missionVariables.random_station_names_local_casinoship_count = 0;
missionVariables.random_station_names_local_taxi_station_count = 0;
missionVariables.random_station_names_local_taxi_billboard_count = 0;
missionVariables.random_station_names_local_rescue_station_count = 0;
missionVariables.random_station_names_local_rrs_galactic_hq_count = 0;
missionVariables.random_station_names_local_rrs_hq_buoy_count = 0;
missionVariables.random_station_names_local_rrsfl_mining_outpost_count = 0;
missionVariables.random_station_names_local_rrs_plague_mine_count = 0;
missionVariables.random_station_names_local_rrs_slaverbase_count = 0;
missionVariables.random_station_names_local_broadcast_array_count = 0;
missionVariables.random_station_names_local_broadcast_array_beacon_count = 0;
missionVariables.random_station_names_local_mandotech_main_station_count = 0;
missionVariables.random_station_names_local_mandotech_buoy_count = 0;
missionVariables.random_station_names_local_laveAcademy_academy_count = 0;
missionVariables.random_station_names_local_free_trade_zone_count = 0;
missionVariables.random_station_names_local_repaired_buoy_station_count = 0;
missionVariables.random_station_names_local_grs_factory_buoy_count = 0;
missionVariables.random_station_names_local_darkside_moonshine_saloon_count = 0;
missionVariables.random_station_names_local_darkside_moonshine_distillery_count = 0;
missionVariables.random_station_names_local_feudal_hunting_lodge_count = 0;
missionVariables.random_station_names_local_astrofactory_count = 0;
missionVariables.random_station_names_local_comslapu_count = 0;
missionVariables.random_station_names_local_comczgf_count = 0;
missionVariables.random_station_names_local_anarchies_salvage_gang_count = 0;
missionVariables.random_station_names_local_anarchies_renegade_station_count = 0;
missionVariables.random_station_names_local_anarchies_sentinel_station_count = 0;
missionVariables.random_station_names_local_anarchies_hacker_outpost_count = 0;
missionVariables.random_station_names_local_habmk2_count = 0;
missionVariables.random_station_names_local_biosphere_count = 0;
missionVariables.random_station_names_local_sirif_yard_count = 0;
missionVariables.random_station_names_local_habitat_count = 0;
missionVariables.random_station_names_local_manufacturing_count  = 0;
missionVariables.random_station_names_local_solar_count  = 0;
missionVariables.random_station_names_local_research_count  = 0;
missionVariables.random_station_names_local_relay_count  = 0;
missionVariables.random_station_names_local_fuel_station_count = 0;
missionVariables.random_station_names_local_fuel_sat_station_count = 0;
missionVariables.random_station_names_local_astro_station_count = 0;
missionVariables.random_station_names_local_extra_station_count = 0;
missionVariables.random_station_names_local_buoy_count  = 0;
missionVariables.random_station_names_local_sothis_station_count  = 0;
missionVariables.random_station_names_local_sothis_station_buoy_count  = 0;
missionVariables.random_station_names_local_RSsatellite_count  = 0;
missionVariables.random_station_names_local_coluberguard_count  = 0;
missionVariables.random_station_names_local_stellarSerpent_count  = 0;
missionVariables.random_station_names_local_pizza_count  = 0;
missionVariables.random_station_names_local_jelly_count  = 0;
missionVariables.random_station_names_local_pizza_base_count  = 0;
missionVariables.random_station_names_local_gw_fuelfac_count = 0;
missionVariables.random_station_names_local_gw_comms_count = 0;
missionVariables.random_station_names_local_hq_buoy_count  = 0;
missionVariables.random_station_names_local_stranger_count  = 0;
missionVariables.random_station_names_local_paired_jumpgate_count = 0;
missionVariables.random_station_names_local_navy_station_count = 0;
missionVariables.random_station_names_local_pirate_cove_count = 0;
missionVariables.random_station_names_local_harvest_count = 0;
missionVariables.random_station_names_local_hathor_nephthys_count = 0;
missionVariables.random_station_names_local_autoname_count = 0;
return;	
// Closing Bracket for the Counter Reset Function.
}
// Function to name the Main Planet
this.namemainplanet = function namemainplanet() {
if (system.mainPlanet) system.mainPlanet.name =  system.name +" I (Capital Planet)";
if (system.mainPlanet) system.mainPlanet.displayName =  system.name +" I (Capital Planet)";  
if (system.isInterstellarSpace) return;
if (!system.sun) return;
return;
// Function Closing Bracket.
}
// Function for nameing and numbering any and all OXP Planets and Moons and Gas Giants in the System - HERE!
this.nameplanetsandmoons = function nameplanetsandmoons() {
// Set the Main Planet Name to add I (Capital Planet) after it's name.
if (system.mainPlanet) system.mainPlanet.name =  system.name +" I (Capital Planet)";
if (system.mainPlanet) system.mainPlanet.displayName =  system.name +" I (Capital Planet)";  
if (system.isInterstellarSpace) return;
if (!system.sun) return;
// If Strangers World is installed then don't try to name the planets and moons until Strangers World has added then.
if (missionVariables.random_station_names_planetengine === "Yes"  || missionVariables.random_station_names_spawnmoons === "Yes") {
if (!missionVariables.random_station_names_stranger_populated_system) return;
}
var objectnumbers = [
"I", "II", "III", "IV", "V", "VI", "VII", "VIII", "IX", "X", "XI", "XII", "XIII", "XIV", "XV", "XVI", "XVII", "XVIII", "XIX", "XX",
"XXI", "XXII", "XXIII", "XXIV", "XXV", "XXVI", "XXVII", "XXVIII", "XXIX", "XXX", "XXXI", "XXXII", "XXXIII", "XXXIV", "XXXV", "XXXVI", "XXXVII", "XXXVIII", "XXXIX", "XL",   
"XLI", "XLII", "XLIII", "XLIV", "XLV", "XLVI", "XLVII", "XLVIII", "XLIX", "L", "LI", "LII", "LIII", "LIV", "LV", "LVI", "LVII", "LVIII", "LVIX", "LX",   
"LXI", "LXII", "LXIII", "LXIV", "LXV", "LXVI", "LXVII", "LXVIII", "LXIV", "LXX", "LXXI", "LXXII", "LXXIII", "LXXIV", "LXXV", "LXXVI", "LXXVII", "LXXVIII", "LXXIX", "LXXX",   
"LXXXI", "LXXXII", "LXXXIII", "LXXXIV", "LXXV", "LXXXVI", "LXXXVII", "LXXXVIII", "LXXXIX", "XC", "XCI", "XCII", "XCIII", "XCIV", "XCV", "XCVI", "XCVII", "XCVIII", "XCIX", "C",   
"CI", "CII", "CIII", "CIV", "CV", "CVI", "CVII", "CVIII", "CIX", "CX", "CXI", "CXII", "CXIII", "CXIV", "CXV", "CXVI", "CXVII", "CXVIII", "CXIX","CXX",
"CXXI", "CXXII", "CXXIII", "CXXIV","CXXV", "CXXVI", "CXXVII", "CXXVIII", "CXXIX", "CXXX", "CXXXI", "CXXXII", "CXXXIII", "CXXXIV", "CXXXV", "CXXXVI", "CXXXVII", "CXXXVIII", "CXXXIX","CXL", 
"CXLI", "CXLII", "CXLIII", "CXLIV", "CXLV", "CXLVI", "CXLVII", "CXLVIII", "CXLIX", "CL", "CLI", "CLII", "CLIII", "CLIV", "CLV", "CLVI", "CLVII", "CLVIII","CLIX","CLX", 
"CLXI", "CLXII", "CLXIII", "CLXIV", "CLXV", "CLXVI", "CLXVII", "CLXVIII", "CLXIX", "CLXX", "CLXXI", "CLXXII", "CLXXIII", "CLXXIV", "CLXXV", "CLXXVI", "CLXXVII", "CLXXVIII", "CLXXIX", "CLXXX",
"CLXXXI", "CLXXXII", "CLXXXIII", "CLXXXIV", "CLXXXV", "CLXXXVI", "CLXXXVII", "CLXXXVIII", "CLXXXIX", "CXC", "CXCI", "CXCII", "CXCIII", "CXCIV", "CXCV", "CXCVI", "CXCVII", "CXCVIII", "CXCIX", "CC",
// Not Used as if more than two hundred planets and moons are present numbering will switch to arabic numbers.
"CCI"];
var oxpCount = 0;
var displayCount = 1;
var planetCount = 0;
var moonCount = 0;
var i = 0;
var oxps = system.filteredEntities(this, oxps, system.sun);
if (oxps.length !== 0) {
for (i = 0; i < oxps.length; i++) {
var roman = objectnumbers[oxpCount];
if (oxpCount  > 200) var roman = ""+displayCount;
var type = "(Moon)"; // Default for an object with no atmosphere and not flagged as a planet, gas giant, star or main planet. If it's none of the above then it's a moon!
if (oxps[i].hasAtmosphere) var type = "(Planet)";
if (oxps[i].isGasGiant) var type = "(Gas Giant)";
if (oxps[i].solarGasGiant) var type = "(Gas Giant)";
// Test for Planet Classes used by Stanger's World Planetary Systems.
if ( missionVariables.random_station_names_planetengine === "Yes") {
// Only Check Actual Planets. Moons are always named as Moons even if they would meet the tests for Planet Catagories.
if (oxps[i].displayName !== "Cosmic String" && type !== "(Moon)" && type !=="(Nomadic Moon)" && type !=="(Stellar Remnant)") {
if(oxps[i].radius <= 28000) var type = "(Dwarf Planet)";
if(oxps[i].radius > 28000 && oxps[i].radius < 30000) var type = "(Dwarf Planet)";
if(oxps[i].radius >= 30000 && oxps[i].radius < 50000) var type = "(Sub Terran)";
if(oxps[i].radius >= 50000 && oxps[i].radius < 75000) var type = "(Terran Planet)";
if(oxps[i].radius >= 75000 && oxps[i].radius < 100000) var type = "(Super Terran)";
if(oxps[i].radius >= 100000 && oxps[i].radius < 125000) var type = "(Ice Giant)";
if(oxps[i].radius >= 125000) var type = "(Gas Giant)";
// Closing Bracket for Check of Planet Catagories
}
// Sanity Check - If a planet has the flag is Gas Giant then it is always catagories as a gas giant even if it would meet the above tests.
if (oxps[i].isGasGiant) var type = "(Gas Giant)";
if (oxps[i].solarGasGiant) var type = "(Gas Giant)";
//Closing Bracket for Stranger's World Check.
}
if (oxps[i].hasAtmosphere) planetCount++;
if (type === "(Moon)") moonCount++;
// Default of Describing by the System Name (IE Lave I, Lave II etc) if unnamed and Random Station Names is Off.
var planetdisplay = system.name;
var moondisplay = system.name;
var nameobject = "Yes";
// Check to see if another OXP has named the Object.
if (oxps[i].beaconCode) 
{
var planetdisplay  = oxps[i].beaconCode;
var moondisplay  = oxps[i].beaconCode;
}
if (oxps[i].beacon) {
var planetdisplay  = oxps[i].beacon;
var moondisplay  = oxps[i].beacon;
}
if (oxps[i].beaconLabel) 
{
var planetdisplay  = oxps[i].beaconLabel;
var moondisplay  = oxps[i].beaconLabel;
}
if (oxps[i].displayName) {
var planetdisplay  = oxps[i].displayName;
var moondisplay  = oxps[i].displayName;
}
// Check the object wasnt already Classified on a previous run of the this.nameplanetsandmoons function.



// Name the Object if Naming is On.
if (missionVariables.random_station_names_planets === "On")  {
var planetGrid  = Math.floor(system.ID+(256 * galaxyNumber));
// The first OXP 5 planets to appear in any system use their own name pools (10,240 names).
if (planetCount === 1) var planetdisplay = planetpool1[planetGrid&2047];
if (planetCount === 2) var planetdisplay = planetpool2[planetGrid&2047];
if (planetCount === 3) var planetdisplay = planetpool3[planetGrid&2047];
if (planetCount === 4) var planetdisplay = planetpool4[planetGrid&2047];
if (planetCount === 5) var planetdisplay = planetpool5[planetGrid&2047];
// There are only a handful of systems with 4 or more OXP planets, so most of the names in pools 1 to 3 will be seen somewhere but pools 4 and 5 are very rarley used.
// If more than 5 planets are present therefore, the OXP will loop using names from pool 5 two Galaxies ahead of the current position.
// A total of 2,053 planets in a single system will be named if present before the names repeat.
if (planetCount > 5) {
var planetjumpGrid = Math.floor(planetCount+512+system.ID+(256 * galaxyNumber));
var planetdisplay = planetpool5[planetjumpGrid&2047];
}
// Same method for Moons. Moons uses their own seperate 5 pools, so the OXP will name a total of 20,480 planets and moons before looping.
if (moonCount === 1) var moondisplay = moonpool1[planetGrid&2047];
if (moonCount === 2) var moondisplay = moonpool2[planetGrid&2047];
if (moonCount === 3) var moondisplay = moonpool3[planetGrid&2047];
if (moonCount === 4) var moondisplay = moonpool4[planetGrid&2047];
if (moonCount === 5) var moondisplay = moonpool5[planetGrid&2047];
if (moonCount > 5) {
// Looks 5 Galaxies ahead for Moons in order to sequence break.
var moonjumpGrid = Math.floor(moonCount+1280+system.ID+(256 * galaxyNumber));
var moondisplay = moonpool5[moonjumpGrid&2047];
}
// Sanity Check for Interstellar Space. If another OXP does add planets or moons to interstella space, but has not give them a name, then they will be classed as
// "Uncharted World" as these planets and moons are undiscovered and not yet in the Almanac.
if (system.isInterstellarSpace) {
var planetdisplay = "Uncharted World";
var moondisplay = "Uncharted World";
}}
// Name the Object using the Object's name if it has one or if unnamed use the name from the Random Station Names Arrays.
if (nameobject !== ("No")) {
oxps[i].displayName = "Cosmic String";
if (type === "(Moon)") oxps[i].displayName = ""+moondisplay+" "+roman+" "+type;
if (oxps[i].hasAtmosphere) oxps[i].displayName = ""+planetdisplay+" "+roman+" "+type;
if (oxps[i].isGasGiant) oxps[i].displayName = ""+planetdisplay+" "+roman+" "+type;
if (oxps[i].solarGasGiant) oxps[i].displayName = ""+planetdisplay+" "+roman+" "+type;
if (oxps[i].displayName !== "Cosmic String") {
oxpCount++;
displayCount++;
var roman = objectnumbers[oxpCount];
if (type === "(Moon)") oxps[i].displayName = ""+moondisplay+" "+roman+" "+type;
if (oxps[i].hasAtmosphere) oxps[i].displayName = ""+planetdisplay+" "+roman+" "+type;
if (oxps[i].isGasGiant) oxps[i].displayName = ""+planetdisplay+" "+roman+" "+type;
if (oxps[i].solarGasGiant) oxps[i].displayName = ""+planetdisplay+" "+roman+" "+type;
// Detect Special OXP Planets and set their names to the Name given to them by their OXP
// Although I've done a test above in case this is used by another OXP in the future, no OXP yet released sets the name to the name of any of the planets or moons they add..
// Only Triave Pulsar and my own Assassins OXP actually refer to any planets they add by name in their mission text or F7 description.
// Neither me or Drew set the names to the names of the planets / Pulsar we'd added.
// The Code below just tidies this up, so these Celestial Objects appear on the Almananc Screen and the ASC with their correct names.
if (oxps[i].texture === "tianve_pulsar.png") oxps[i].displayName = "The Tianve Pulsar " +roman+" (Stellar Remnant)";
if (oxps[i].texture === "murgh-lunar.png") oxps[i].displayName = "Basta " +roman+" (Nomadic Moon)"; // Hand Name Lave's Moon if Lave OXP is installed.
// Add the Names and Classifications for the moons, planets and gas giants added by Assassins OXP. 
if (oxps[i].texture === "hitsplanet1.png") oxps[i].displayName = "Apollodorus " +roman+" (Planet)";
if (oxps[i].texture === "hitsplanet2.png") oxps[i].displayName = "Cerberus " +roman+" (Gas Giant)";
if (oxps[i].texture === "hitsplanet3.png") oxps[i].displayName = "Diomedes " +roman+" (Planet)";
if (oxps[i].texture === "hitsplanet4.png") oxps[i].displayName = "Augeas " +roman+" (Moon)";
if (oxps[i].texture === "hitsplanet5.png") oxps[i].displayName = "Hercules " +roman+" (Planet)";
if (oxps[i].texture === "hitsplanet6.png") oxps[i].displayName = "Stymphal " +roman+" (Planet)";
if (oxps[i].texture === "hitsplanet7.png") oxps[i].displayName = "Hippolyte " +roman+" (Planet)";
if (oxps[i].texture === "hitsplanet8.png") oxps[i].displayName = "Hesperides " +roman+" (Moon)";
if (oxps[i].texture === "hitsplanet9.png") oxps[i].displayName = "Nemean " +roman+" (Moon)";
if (oxps[i].texture === "hitsplanet10.png") oxps[i].displayName = "Columba " +roman+" (Moon)";
if (oxps[i].texture === "hitsplanet11.png") oxps[i].displayName = "Hades "+roman+" (Gas Giant)";
if (oxps[i].texture === "hitsplanet12.png") oxps[i].displayName = "Lernean " +roman+" (Gas Giant)";
}
// Closing Bracked for Name Object Test.
}
// Set Up the ASC. - Only run this on Launching from a saved game and Exciting Hyperspace othewise multiple beacons for the same Planet or Moon would be added.
if (missionVariables.random_station_names_setupASC === "Yes") {
// Exclude some weird invistable objects generated by Planetary Systems OXZ (Detected above).
if (oxps[i].displayName !== "Cosmic String") {
if (type === "(Moon)") this.beacon = system.addVisualEffect("almanacCompass_moon", oxps[i].position); 
if (type !== "(Moon)")  this.beacon = system. addVisualEffect("almanacCompass_planet", oxps[i].position); 
this.beacon.beaconCode = oxps[i].displayName;
this.beacon.beaconLabel = oxps[i].displayName;
}
}};}
return;	
function oxps(entity) {return (entity.isPlanet && !entity.isMainPlanet)};
// Closing Bracket of the whole Name Planets & Moons Function.
};
// Set Up the ASC with OXP Moons and Planets Added - HERE!
// The Actual Set up is done under namestars and nameplanets and moons.
// However due to the sun name reverting  to  the defaults on Launching, the names sun function need to be run again, but with a 0.26 Second Delay.
// The delay is so that this script runs after the Oolite script which sets the beacons up.
// By running a Delay the Planets and Moons names are reset to the Random Stations Names ones.
this.setUpASC = function()  {
// Set a temporay variable so that when name planets and moons is run, it only adds beacons once per system.
// This is so that it is only run when launching from a saved game or exiting hyperspace. 
// If it was run everytime the player launched, another beacon would be added each tiime you launched so after a few launchings you end up with objects having multiple beacons.
// As we don't want this to happen, the script checks that the set up hasn't already been run for the current system.
this.namestars();
if (!missionVariables.random_station_names_setupASC )  {
missionVariables.random_station_names_setupASC = "Yes";
this.nameplanetsandmoons();
// Once it has run, set the variable to "Run".  The temporay variable is only delated on jumping or loading the game.
// This ensures that the set Up ASC code is only run once per system.
missionVariables.random_station_names_setupASC = "Run";
}
return;	
};
// Set up the spacing on headers based on the size of the chracters on the installed font. - HERE! 
this.setheaders = function() {
var ratio = global.defaultFont.measureString(666); // Generates a number based on the installed font's space character size.
// By testing for Character Size the number of spaces can be adjuted for fonts with character sizes bigger or smaller than the Default).
//Default settings for the Default Font and similar sized Fonts (Default- 1.303, 3D Font - 1.303, Dangerous Square - 1.547, OCRA Extended, 1.2862, Standalone - 1.3034, Tty Cella - 1.3034)
// The Default settings center the headers for almost all fonts and should work for any released in the furture unless they have an unusually large or small space character.
// Custom support is give for the Fonts below. A general check is made for a value of 1.70 which will center for the Xolonium Font (1.7310) and any future Fonts with really big space characters.
missionVariables.random_station_names_header1 = "              Galactic Almanac of Stars, Worlds and Orbitals - Update to Version 1.0";
missionVariables.random_station_names_header2 = "        Issued Under GalCop Directive Number 48753/A to all Registered Commanders";
missionVariables.random_station_names_header3 = "                             Translation Matrix Algorithm Update to Service Pack 1";
missionVariables.random_station_names_header4 = "           Galactic Almanac of Stars, Planets, Gas Giants and Moons - Version 1.0";
missionVariables.random_station_names_header5 = "          Galactic Almanac of GAL-ID Registered Orbitals and Stations - Version 1.0";
missionVariables.random_station_names_header6 = "            Classified Almanac of Naval Vessels, Orbitals and Stations - Version 1.0";
missionVariables.random_station_names_header7 = "             Currently Displaying Page";
// Custom Setting for the Discognate Font - 1.4747) 
if (ratio >1.474 && ratio < 1.475) {
missionVariables.random_station_names_header1 = "                 Galactic Almanac of Stars, Worlds and Orbitals - Update to Version 1.0";
missionVariables.random_station_names_header2 = "           Issued Under GalCop Directive Number 48753/A to all Registered Commanders";
missionVariables.random_station_names_header3 = "                                Translation Matrix Algorithm Update to Service Pack 1";
missionVariables.random_station_names_header4 = "                 Galactic Almanac of Stars, Planets, Gas Giants and Moons - Version 1.0";
missionVariables.random_station_names_header5 = "                Galactic Almanac of GAL-ID Registered Orbitals and Stations - Version 1.0";
missionVariables.random_station_names_header6 = "                  Classified Almanac of Naval Vessels, Orbitals and Stations - Version 1.0";
missionVariables.random_station_names_header7 = "                   Currently Displaying Page";
}
// Custom Setting for the Dosis Font - 1.2804)
if (ratio >1.280 && ratio < 1.281) {
missionVariables.random_station_names_header1 = "                     Galactic Almanac of Stars, Worlds and Orbitals - Update to Version 1.0";
missionVariables.random_station_names_header2 = "               Issued Under GalCop Directive Number 48753/A to all Registered Commanders";
missionVariables.random_station_names_header3 = "                                  Translation Matrix Algorithm Update to Service Pack 1";
missionVariables.random_station_names_header4 = "                     Galactic Almanac of Stars, Planets, Gas Giants and Moons - Version 1.0";
missionVariables.random_station_names_header5 = "                    Galactic Almanac of GAL-ID Registered Orbitals and Stations - Version 1.0";
missionVariables.random_station_names_header6 = "                      Classified Almanac of Naval Vessels, Orbitals and Stations - Version 1.0";
missionVariables.random_station_names_header7 = "                       Currently Displaying Page";
}
// Custom Setting for the Nova Square Font - 1.339)
if (ratio >1.338 && ratio < 1.340) {
missionVariables.random_station_names_header1 = "                                 Galactic Almanac of Stars, Worlds and Orbitals - Update to Version 1.0";
missionVariables.random_station_names_header2 = "                          Issued Under GalCop Directive Number 48753/A to all Registered Commanders";
missionVariables.random_station_names_header3 = "                                                     Translation Matrix Algorithm Update to Service Pack 1";
missionVariables.random_station_names_header4 = "                                 Galactic Almanac of Stars, Planets, Gas Giants and Moons - Version 1.0";
missionVariables.random_station_names_header5 = "                                Galactic Almanac of GAL-ID Registered Orbitals and Stations - Version 1.0";
missionVariables.random_station_names_header6 = "                                  Classified Almanac of Naval Vessels, Orbitals and Stations - Version 1.0";
missionVariables.random_station_names_header7 = "                                   Currently Displaying Page";
}
// Custom Setting for the Xolonium Font (1.7310) and any furture fonts bigger than 1.70
if (ratio >1.70) {
missionVariables.random_station_names_header1 = "         Galactic Almanac of Stars, Worlds and Orbitals - Update to Version 1.0";
missionVariables.random_station_names_header2 = " Issued Under GalCop Directive Number 48753/A to all Registered Commanders";
missionVariables.random_station_names_header3 = "                           Translation Matrix Algorithm Update to Service Pack 1"; // Check when testing Message 2.
missionVariables.random_station_names_header4 = "      Galactic Almanac of Stars, Planets, Gas Giants and Moons - Version 1.0";
missionVariables.random_station_names_header5 = "   Galactic Almanac of GAL-ID Registered Orbitals and Stations - Version 1.0";
missionVariables.random_station_names_header6 = "     Classified Almanac of Naval Vessels, Orbitals and Stations - Version 1.0";
missionVariables.random_station_names_header7 = "          Currently Displaying Page";
}
// Closing bracket for the whole set up headers function.
return;
}
// Code to give the introductory and update messages from Gal Cop and set up the variables for the Galactic News Articles - HERE!
this.missionScreenOpportunity = function() {
// Give the Intro Message from Gal Cop when the Random Station Names OXP is first Installed.
if (missionVariables.random_station_names_news === 0 && missionVariables.random_station_names_news_intro_given === 0) {
this.setheaders();
if (missionVariables.random_station_names_screen == "BGS Background Style") var bgImage = "random_stations_background_bgs.png";
if (missionVariables.random_station_names_screen == "Better Screens Style") var bgImage = "random_stations_background_better.png";
if (missionVariables.random_station_names_screen == "Xenon Style") var bgImage = "random_stations_background_xenon2.png";
if (missionVariables.random_station_names_screen == "Classic Elite Style") var bgImage = "random_stations_background_green.png";
var introtext = "\n\nIn accordance with the above Directive all orbital platform operators were required to transmit the names of any and all platforms under their control from 09.00 today, Lave Local Time. Failure to comply with this Directive is a serious offence. All Commanders are encouraged to report any violations through their local Bulletin Board. \n\nYour onboard targeting software has been updated to display the names of all stars, worlds and registered orbitals. The Galactic Almanac of GAL-ID Registered Stars, Worlds and Orbitals has been added to your Dockside Services Interface. Access is available by selecting F4 whilst docked with any orbital or landed on any planet or moon. Please take a moment to familiarise yourself with these new features of your Identification and Navigation systems.\n\nChief Cartographer Hober Marlowe.\n\Her Imperial Majesty's Bureau of Records.\n\Autocrat House, 7 Triumph Road, Riverside Sector, Ashoria, Lave I, ZF1-007.\n\FTL Mail: enquiries@gal_id.gov.gal1.com.";
var message1 = missionVariables.random_station_names_header1+"\n"+missionVariables.random_station_names_header2+introtext;
mission.runScreen({
titleKey: "random_station_names_title1",
screenID: "RandomStationNames",
message: message1, 
overlay: bgImage,
exitScreen: "GUI_SCREEN_INTERFACES",
choicesKey: "random_station_names_title1_exit"
},
function (choice) {
var mySound = new SoundSource;
mySound.sound = "random_stations_ping.ogg";
mySound.loop = false;
mySound.play();
player.consoleMessage(expandDescription("[random_station_names_update1]"));
missionVariables.random_station_names_news_intro_given = 1;
missionVariables.random_station_names_news = 1;}, this); 
var mySound = new SoundSource;
mySound.sound = "random_stations_ping.ogg";
mySound.loop = false;
mySound.play();}
// Give the Update Message from the new Chief Cartographer 6 jumps after News Broadcast 9 has been sent. 
if (missionVariables.random_station_names_news === 10 && missionVariables.random_station_names_timer > 5 && missionVariables.random_station_names_news_installed === "Yes") {
this.setheaders();
if (missionVariables.random_station_names_screen == "BGS Background Style") var bgImage = "random_stations_background_bgs.png";
if (missionVariables.random_station_names_screen == "Better Screens Style") var bgImage = "random_stations_background_better.png";
if (missionVariables.random_station_names_screen == "Xenon Style") var bgImage = "random_stations_background_xenon2.png";
if (missionVariables.random_station_names_screen == "Classic Elite Style") var bgImage = "random_stations_background_green.png";
var updatetext = "\n\nFollowing the unfortunate incident in the Anlama System, the GAL-ID Translation Matrix Algorithm Software has been extensively reviewed and updated. Impulse coded in this FTL email are the update files for the first Service Pack Update. This is a Nexus Six priority update to address critical vulnerabilities. Improvements have been made to Pheromonal, High Frequency Squeak and Subaudible Call Interpretation Routines.\n\nPlease rest assured that the Galactic Almanac now complies with all GalCop Health and Safety Regulations and is guaranteed not to cause homicidal side effects in users.\n\nChief Cartographer Bayta Darell.\n\Her Imperial Majesty's Bureau of Records.\n\Autocrat House, 7 Triumph Road, Riverside Sector, Ashoria, Lave I, ZF1-007.\n\FTL Mail: enquiries@gal_id.gov.gal1.com.";
var message2 = missionVariables.random_station_names_header1+"\n"+missionVariables.random_station_names_header2+"\n"+missionVariables.random_station_names_header3+updatetext;
mission.runScreen({
titleKey: "random_station_names_title1",
screenID: "RandomStationNames",
overlay: bgImage,
message: message2, 
exitScreen: "GUI_SCREEN_INTERFACES",
choicesKey: "random_station_names_title2_exit"
},
function (choice) {
var mySound = new SoundSource;
mySound.sound = "random_stations_ping.ogg";
mySound.loop = false;
mySound.play();
player.consoleMessage(expandDescription("[random_station_names_update2]"));
missionVariables.random_station_names_timer = 0;
missionVariables.random_station_names_news = 11;}, this); 
var mySound = new SoundSource;
mySound.sound = "random_stations_ping.ogg";
mySound.loop = false;
mySound.play();}
// Give the Update Message from Techbical Support once an MFD Unit has been bought. 
if (missionVariables.random_station_names_news > 0 && missionVariables.random_station_names_mfd_intro_given === 0 && player.ship.equipmentStatus("EQ_ALMANAC_UNIT_MFD") === "EQUIPMENT_OK") {
this.setheaders();
if (missionVariables.random_station_names_screen == "BGS Background Style") var bgImage = "random_stations_background_bgs.png";
if (missionVariables.random_station_names_screen == "Better Screens Style") var bgImage = "random_stations_background_better.png";
if (missionVariables.random_station_names_screen == "Xenon Style") var bgImage = "random_stations_background_xenon2.png";
if (missionVariables.random_station_names_screen == "Classic Elite Style") var bgImage = "random_stations_background_green.png";
var updatetext = "\nWelcome to your Galactic Almanac MFD Unit, Model V1-754. The Unit has successfully linked to your Advanced Space Compass and is ready for use. When in flight, select a slot on your HUD by pressing the SHIFT and : keys. Then press the ; key to cycle through your MFD displays until the Galactic Almanac MFD appears. Once assigned the MFD will turn itself  off when you dock and on when your launch.\n\nThe MFD will display information in relation to your current target. If you have no target locked with your Identification Computer the MFD will display information on your current Advanced Space Compass Target. When your have a target locked, the MFD Unit will automatically lock onto your current target. To return to Compass Mode deselect your target by pressing the U key.\n\nThe Technical Support Team.\n\Her Imperial Majesty's Bureau of Records.\n\Autocrat House, 7 Triumph Road, Riverside Sector, Ashoria, Lave I, ZF1-007.\n\FTL Mail: noreply@gal_id.gov.gal1.com.";
var message3 = missionVariables.random_station_names_header1+"\n"+missionVariables.random_station_names_header2+"\n"+updatetext;
mission.runScreen({
titleKey: "random_station_names_title1",
screenID: "RandomStationNames",
overlay: bgImage,
message: message3, 
exitScreen: "GUI_SCREEN_INTERFACES",
choicesKey: "random_station_names_title3_exit"
},
function (choice) {
var mySound = new SoundSource;
mySound.sound = "random_stations_ping.ogg";
mySound.loop = false;
mySound.play();
player.consoleMessage(expandDescription("[random_station_names_update3]"));
missionVariables.random_station_names_timer = 0;
missionVariables.random_station_names_mfd_intro_given = 1;}, this); 
var mySound = new SoundSource;
mySound.sound = "random_stations_ping.ogg";
mySound.loop = false;
mySound.play();}
// Give the OXZ Conflict Warning if both Orbits and Planatary Systems are installed.
if (missionVariables.random_station_names_planetengine === "Yes" && missionVariables.random_station_names_orbits === "Yes" && missionVariables.random_station_names_news > 0 && missionVariables.random_station_names_warning_given !== "Yes" ) {
if (missionVariables.random_station_names_screen == "BGS Background Style") var bgImage = "random_stations_background_bgs.png";
if (missionVariables.random_station_names_screen == "Better Screens Style") var bgImage = "random_stations_background_better.png";
if (missionVariables.random_station_names_screen == "Xenon Style") var bgImage = "random_stations_background_xenon2.png";
if (missionVariables.random_station_names_screen == "Classic Elite Style") var bgImage = "random_stations_background_green.png";
var warningtext = "The Galactic Almanac has detected that you have both the Planetary Systems and Orbits OXZs installed. Although the two OXZ will allow you to play with both installed, the two scripts are not compatible and playing with both OXZs installed will slow down the game. Oolite is also likely to crash with an out of memory error when populating a system.\n\nThis is because Planetary Systems contains a tweaked copy of the Orbits script. Both OXZs will therefore instruct Oolite to move planets and moons to the positions each script has specified. As the two OXZs are telling Oolite to do different things, the completion conditions are never met. This can cause the game to become stuck in a loop until it runs out of memory and crashes.\n\nThe Galactic Almanac will support either OXZ and both work on their own. If however you are playing with Planetary Systems installed it is strongly recommended that you remove the Orbits OXZ. Planetary Systems does not need the Orbits script running in order to create its solar system effects and attempting to play with two different copies of the same script running will not end well.";
var message4 = warningtext;
mission.runScreen({
titleKey: "random_station_names_title2",
screenID: "RandomStationNames",
overlay: bgImage,
message: message4, 
exitScreen: "GUI_SCREEN_INTERFACES",
choicesKey: "random_station_names_title4_exit"
},
function (choice) {
missionVariables.random_station_names_warning_given = "Yes";
var mySound = new SoundSource;
mySound.sound = "random_stations_ping.ogg";
mySound.loop = false;
mySound.play();
}, this); 
var mySound = new SoundSource;
mySound.sound = "random_stations_ping.ogg";
mySound.loop = false;
mySound.play();}


// HERE!
// Mission Screans for the Easter Egg Mission
// Give the Mission Invite Messege three jumps after News Broacast 17 has been seen.
// Must also not be at System 131 (Zadies in G1). This is just so that if you are at Zadies when you hit three jumps you won't be told to go to Zadies, the mission offer will trigger as soon as you dock anywhere else.
// This does also apply to other Galaxies as the mission offer is given whichever Galaxy you are in, but it doesn't matter as you will always get the offer after either 3 or 4 jumps.
if (missionVariables.random_station_names_news == 19 && system.ID !== 131 && missionVariables.random_station_names_timer > 2) {
if (missionVariables.random_station_names_screen == "BGS Background Style") var bgImage = "random_stations_background_bgs.png";
if (missionVariables.random_station_names_screen == "Better Screens Style") var bgImage = "random_stations_background_better.png";
if (missionVariables.random_station_names_screen == "Xenon Style") var bgImage = "random_stations_background_xenon2.png";
if (missionVariables.random_station_names_screen == "Classic Elite Style") var bgImage = "random_stations_background_green.png";
var startlocation = "Zadies";
var missiontext1 = "Message From : Her Imperial Majesty's Mobile Surveying Department.\n\Location : GalCop Station: Union of Worlds, "+startlocation+" System, XP1-131.\n\nGreetings Commander,\n\nMy department is having a little difficulty with one of our surveyors and we could really rather do with some assistance. I cannot say too much over an open link, but if you are willing to assist, I can tell you more in person.\n\nI would be very grateful if you could meet me at our Central Office aboard the GalCop Main Station in the Chart 1 System of Zadies. For reasons which will become apparent, I will be in my Office wearing a grandiose plastic moustache and a pained expression for the foreseeable future.\n\nPetty Scribe Dors Venabili.\n\Her Imperial Majesty's Mobile Surveying Department.\n\Union of Worlds Station, Unit 537, Administration Block 67, Zadies, XP1-131.\n\FTL Mail: enquiries@gal_id.gov.gal1.com.";
var message5 = missiontext1;
mission.runScreen({
titleKey: "random_station_names_title1",
screenID: "RandomStationNames",
overlay: bgImage,
message: message5, 
exitScreen: "GUI_SCREEN_MAIN",
choicesKey: "random_station_names_mission_brief1"
},
function (choice) {
missionVariables.random_station_names_news = 20;
mission.setInstructionsKey("random_station_names_short_brief1");
if (galaxyNumber === 0) {
mission.markSystem({system: 131, markerColor: "cyanColor", markerScale: 1.5, markerShape: "MARKER_DIAMOND"});
missionVariables.random_station_names_news = 21;
}
missionVariables.random_station_names_timer = 0;
var mySound = new SoundSource;
mySound.sound = "random_stations_ping.ogg";
mySound.loop = false;
mySound.play();
}, this); 
var mySound = new SoundSource;
mySound.sound = "random_stations_ping.ogg";
mySound.loop = false;
mySound.play();}
// End of 1st Mission Screen Briefing.
// Briefing given if the player goes to Zadies to Accept the Easter Egg Mission.
// This uses the Multi Page Function to display it and allow the pages to be scrolled backwards and forwards.
// 2nd Mission Briefing.
if (missionVariables.random_station_names_news == 21 && system.ID === 131 && galaxyNumber === 0 && player.ship.dockedStation.isMainStation) {
missionVariables.random_station_names_news = 22;
missionVariables.random_station_names_expenses_timer = 0; // Start the Expenses timer.
missionVariables.random_station_names_briefingpage = 1;
missionVariables.random_station_names_briefingmaxpages = 3;
missionVariables.random_station_names_briefingpage1text = "Message From : Dors Venabili, Cobra Mark I: The Old Nag. Page 01 of 03.\n\Location : GalCop Station : Union of Worlds, Zadies System, XP1-131.\n\Condition : Docked.\n\nThank you for coming Commander and my apologies that I cannot meet you in my office. Regrettably, it has become necessary to add a pair of comedically large plastic glasses and fake eyebrows to my facial accoutrements to ensure my wellbeing. Allow me to explain the current dire situation in which my department finds itself.\n\nAs you know, whilst hyperspecial jumps are almost instantaneous from the point of view of the traveller, due to time dilation, a significant amount of time passes for the rest of the universe. Whilst an entire chart could be crossed using sun skimming within a matter of a few subjective hours, almost a month would have passed for the rest of the universe.\n\nMy erstwhile colleague and I were given the task of visiting all 2,048 systems in the Union of Worlds in order to catalogue the names and positions of every station and celestial object in the galaxy.";
missionVariables.random_station_names_briefingpage2text = "Message From : Dors Venabili, Cobra Mark I: The Old Nag. Page 02 of 03.\n\Location : GalCop Station : Union of Worlds, Zadies System, XP1-131.\n\Condition : Docked.\n\nOrdinarily, we would have returned decades in arrears with our mortgages and younger than our children. Fortunately, our ships were fitted with experimental non-dilation drives allowing us to complete the task within two years.\n\nUnfortunately, any ship using the drive is completely uncatchable. If you were to attempt to follow me through hyperspace, my ship would always emerge from hyperspace hours or even days before your ship. In that time, I could make multiple jumps, travelling many light years in any direction. By the time your ship emerged from witchspace, the wormhole from my original jump would have long decayed and I could have travelled to any system in the local chart.\n\nWe were cautioned that prolonged use of the drive carried a negligibly low risk of causing neural damage in some species. I seem to be entirely unaffected due to my prudence in donning protective gear and the companionship provided by my collection of singing potatoes. My colleague was not so fortunate.";
missionVariables.random_station_names_briefingpage3text = "Message From : Dors Venabili, Cobra Mark I: The Old Nag. Page 03 of 03.\n\Location : GalCop Station : Union of Worlds, Zadies System, XP1-131.\n\Condition : Docked.\n\nIt is regrettably my fellow surveyor who is behind the recent random acts of vandalism to the Galactic Almanac database in the Retila and Geinona Systems and the jamming of the Tionisla Chronical transmission. I do not know what further mischief he may be planning, but he seems to have gone completely insane. It is imperative that we locate him.\n\nHis Adder, 'Out to Lunch', was spotted jumping into Orrira by Scribe Calvain. She was able to tag him with a sub-temporal isotopic marker, which should enable us to track him. Before the renegade jumped, he managed to do something aggravating to Calvain's main computer. She was able to navigate to the main station and dock, but her ship will not power up and her main computer will do nothing but recite Learorceian deadly poetry.\n\nPlease can you go to the GalCop Main Station, 'Atomic Kitten', in the Orrira System and assist Calvain to extract the tracking data from her main computer?";
this.EasterEggMissionLoopScreen();
}
// 3rd Mission Briefing.
if (missionVariables.random_station_names_news == 24 && system.ID === 149 && galaxyNumber === 0 && player.ship.dockedStation.isMainStation) {
missionVariables.random_station_names_news = 25;
missionVariables.random_station_names_briefingpage = 1;
missionVariables.random_station_names_briefingmaxpages = 3;
missionVariables.random_station_names_briefingpage1text = "Message From : Susan Calvain, Cobra Mark III: Cat in the Box. Page 01 of 03.\n\Location : GalCop Station : Atomic Kitten, Orrira System, GB1-149.\n\Condition : Powered Down.\n\nGood to see you, Commander. I am afraid I cannot invite you aboard as my main computer remains dangerously uncooperative. I managed to tag the hull of the renegade craft with an isotopic marker, but not before he was able to infect my main computer with a virus.\n\nI attempted the usual anti-viral procedures, purging the memory cache, suspending the processing core in a strong Brownian motion producer, shouting at the main personality interface and finally begging and pleading with the machine. Nothing worked.\n\nAfter conducting extensive research, I came across an ancient technique developed by the mystic code masters of Orrira known as 'The Way of Turning it Off and On Again'. The ritual was difficult and required great fortitude, but I succeeded in eliminating the virus. Unfortunately, the experience has traumatised my AI and it remains in a highly nervous and paranoid state.";
missionVariables.random_station_names_briefingpage2text = "Message From : Susan Calvain, Cobra Mark III: Cat in the Box. Page 02 of 03.\n\Location : GalCop Station : Atomic Kitten, Orrira System, GB1-149.\n\Condition : Powered Down.\n\nTo be more specific, my AI has developed a phobia of any risk of infection. It insists I keep the UV spectrum feature running in the ship's lighting systems. I have to wear wrap-around shades at all times to protect my eyes and it is playing havoc with my fur. It won't even let me use the food dispenser as I have no lemon-soaked paper napkins aboard.\n\nI have tried placating it with locally sourced lemon-soaked paper napkins but to no avail. My AI has scorned them all and will only accept genuine Malamaian lemon-soaked paper napkins. I have tried reasoning with it, but it keeps muttering something about the first law and that it cannot put my life at risk by powering up without life-support fully on-line.\n\nI'm afraid we have no chance of powering up the main computer and downloading the renegade's flight telemetry data unless I can lay my paws on a Malamaian lemon-soaked paper napkin.";
missionVariables.random_station_names_briefingpage3text = "Message From : Susan Calvain, Cobra Mark III: Cat in the Box. Page 03 of 03.\n\Location : GalCop Station : Atomic Kitten, Orrira System, GB1-149.\n\Condition : Powered Down.\n\nFortunately, the exotic cuisine of Malama is extremely greasy in nature and the system is home to the largest lemon-soaked paper napkin factories in known space. The Big Bang Burger Bar franchise has branches in every station in the system. Their napkins are complimentary to customers, so you would be able to obtain one by visiting any of the stations in the Malama System.\n\nI must caution you however not to consume any of the exotic cuisine under any circumstances. Before the introduction of the Big Bang Burger chain, the system was known as an enlightened democracy filled will tall graceful humanoid inhabitants. Consuming far too many goat burgers has turned the local inhabitants into apathetic peasants, labouring under the brutal dictatorship of a local warlord known as 'The Burger King'.\n\nCan you please travel to Malama and bring me a back a lemon-soaked paper napkin? I'm afraid I'm not going to be going anywhere until you do.";
this.EasterEggMissionLoopScreen();
}
// 4th Mission Briefing.
if (missionVariables.random_station_names_news == 27 && system.ID === 49 && galaxyNumber === 0) {
if (missionVariables.random_station_names_screen == "BGS Background Style") var bgImage = "random_stations_background_bgs.png";
if (missionVariables.random_station_names_screen == "Better Screens Style") var bgImage = "random_stations_background_better.png";
if (missionVariables.random_station_names_screen == "Xenon Style") var bgImage = "random_stations_background_xenon2.png";
if (missionVariables.random_station_names_screen == "Classic Elite Style") var bgImage = "random_stations_background_green.png";
var missiontext4 = "Taking heed of Scribe Calvain's warnings in relation to the food served on Malama, you decide to take no chances. Before disembarking and heading to the local Big Bang Burger Bar you suit up in your highest rated, but still highly fashionable, bio-protection suit.\n\nThus attired you make your way to the station's local outlet and mingle with the patrons. Across the dimly lit restaurant, you spot a condominiums stand laden with individual ketchup containers and piles of vacuum sealed individual Malamaian lemon-soaked paper napkins.\n\nFearlessly disregarding the sign declaring that 'napkins are for the use of paying customers only', you close with your quarry. Under the very noses of The Burger King's elite revenue protection agents, you deftly palm a Malamaian lemon-soaked paper napkin.\n\nCarefully stowing your new acquisition in your suit pocket, you leave the bar unnoticed and return to your docking beath.";
var message6 = missiontext4;
mission.runScreen({
titleKey: "random_station_names_title4",
screenID: "RandomStationNames",
overlay: bgImage,
message: message6, 
exitScreen: "GUI_SCREEN_MAIN",
choicesKey: "random_station_names_mission_brief4"
},
function (choice) {
mission.setInstructionsKey("random_station_names_short_brief4");
player.ship.awardEquipment("EQ_ALMANAC_LEMON_SOAPED_PAPER_NAPKIN");
mission.unmarkSystem(49);
mission.markSystem({system: 149, markerColor: "cyanColor", markerScale: 1.5, markerShape: "MARKER_DIAMOND"});
missionVariables.random_station_names_news = 28;
var mySound = new SoundSource;
mySound.sound = "random_stations_ping.ogg";
mySound.loop = false;
mySound.play();
}, this); 
var mySound = new SoundSource;
mySound.sound = "random_stations_ping.ogg";
mySound.loop = false;
mySound.play();}
// 5th Mission Briefing.
if (missionVariables.random_station_names_news == 28 && system.ID === 149 && galaxyNumber === 0 && player.ship.dockedStation.isMainStation) {
missionVariables.random_station_names_news = 29;
missionVariables.random_station_names_briefingpage = 1;
missionVariables.random_station_names_briefingmaxpages = 3;
missionVariables.random_station_names_briefingpage1text = "Message From : Susan Calvain, Cobra Mark III: Cat in the Box. Page 01 of 03.\n\Location : GalCop Station : Atomic Kitten, Orrira System, GB1-149.\n\Condition : Powering Up.\n\nVery good to see you again Commander and thank you for transferring the lemon-soaked paper napkin by cargo drone. My AI is finally registering a complete inventory of all necessary life support equipment and has released the automatic safety override on the main reactor. My energy banks should be fully charged within the hour and I can now access the Main Computer.\n\nThe isotopic marker I placed on the renegade's hull won't allow us to catch him as such, but each time he exits witchspace the marker will ping the local Witchpoint Beacon. We will be able to plot his course and find his current location. We won't be able to find his position in the system unless he docks at a GalCop station and I suspect he's been keeping to the less salubrious ports.\n\nThe tracking telemetry is downloading from the network as I type.";
missionVariables.random_station_names_briefingpage2text = "Message From : Susan Calvain, Cobra Mark III: Cat in the Box. Page 02 of 03.\n\Location : GalCop Station : Atomic Kitten, Orrira System, GB1-149.\n\Condition : Powering Up.\n\nAfter transmitting his cyber attack, he jumped to Gelaed and then Learorce just twenty minutes later. He made a series of jumps in rapid succession heading on a dog-leg course to the south-east sector of the chart. He arrived in the Rarere system almost a month ago and hasn't moved since.\n\nRarere is a Corporate State with well patrolled spacelanes and there is no record of the 'Out to Lunch' docking at the GalCop Station. The local corporations operate their own company law on their orbitals and are notoriously difficult about releasing customer data. We can't ask the local police to investigate without causing a diplomatic incident.\n\nThe Jupiter Corporation is particularly lax in it's docking record keeping and they operate a small Mining Facility, 'The Odd Job' off the main spacelane. If the renegade is holed up anywhere, it will be there.";
missionVariables.random_station_names_briefingpage3text = "Message From : Susan Calvain, Cobra Mark III: Cat in the Box. Page 03 of 03.\n\Location : GalCop Station : Atomic Kitten, Orrira System, GB1-149.\n\Condition : Powering Up.\n\nThe Odd Job mining facility is open to the general public, recorded in the Galactic Almanac entry for the system and is transmitting a GAL-ID Beacon readable by an Advanced Space Compass. Finding it will present no difficulty, but it is imperative that the renegade does not suspect that he has been located as we have no way to catch him if he jumps out of the system.\n\nI have been summonsed to Her Imperial Majesty's Bureau of Records Headquarters in the Lave system and must leave as soon as my ship is space worthy. In any case, the renegade would recognise my ship markings and GAL-ID whereas you are a stranger to him.\n\nThe Bureau really cannot afford another scandal after the debacle in the Anlama system. Could you travel to the Rarere system and make discreate enquiries after the renegade at the Odd Job mining facility?";
this.EasterEggMissionLoopScreen();
}
// 6th Mission Briefing
if (missionVariables.random_station_names_news == 31 && system.ID === 119 && galaxyNumber === 0 && player.ship.dockedStation.name === "Mining Facility: The Odd Job") {
missionVariables.random_station_names_news = 32;
missionVariables.random_station_names_briefingpage = 1;
missionVariables.random_station_names_briefingmaxpages = 3;
missionVariables.random_station_names_briefingpage1text = "Message From : Gladia Delmarre, Asp Mark II: Window Maker. Page 01 of 03.\n\Location : Mining Facility: The Odd Job, Rarere System, XT1-119.\n\Condition : Docked.\n\nGreetings Commander. We haven't met, but I think we may have a mutual inconvenience. Allow me to introduce myself. I am Commander Delmarre, of the vessel formally known as 'Widow Maker'. I am naturally an unconventional badass bounty hunter and all round loveable action hero. I also run the Respray Shop aboard The Odd Job.\n\nA while back I had a customer order a custom paint job for his beat up Adder, 'Out to Lunch'. He was a small furry fellow with wild eyes and a fondness for honey. He seemed harmless but eccentric, obsessed with the idea that the paintwork on his hull was watching him and whispering behind his back.\n\nHe ordered the deluxe version, complete nano-bot cleaning, removal of the old paintwork and full repaint to his personalised design. As it was a two part deal we agreed 50 Credits in advance and the balance of 100 Credits on completion. He paid the first instalment, so I got to work stripping the paint.";
missionVariables.random_station_names_briefingpage2text = "Message From : Gladia Delmarre, Asp Mark II: Window Maker. Page 02 of 03.\n\Location : Mining Facility: The Odd Job, Rarere System, XT1-119.\n\Condition : Docked.\n\nOnce I had the ship's hull stripped back to the bare metal, I contacted the small furry humanoid and asked him to transmit his design over for the auto-painter droids. He explained that the design was an artistic rendering of sunrise on his home world and insisted that the respray must reproduced it exactly. I assured him that I would put my best droids on it and the paint job would be a pixel perfect facsimile of the image file he sent me.\n\nWhen I looked at the image he'd sent, it was just totally black. Every single pixel of it. I double and triple checked with him that the design was correct, but he said it was. Maybe his species have eyes that respond to different wavelengths to ours. So I thought no more about it and fired up the auto-painter.\n\nWhen he came to pick up his ship, he took one look at it, snickered and ran inside. Before I could blink, he commenced an unauthorised launch. I wasn't going to have him making off without payment and dashed to the Widow Maker.";
missionVariables.random_station_names_briefingpage3text = "Message From : Gladia Delmarre, Asp Mark II: Window Maker. Page 03 of 03.\n\Location : Mining Facility: The Odd Job, Rarere System, XT1-119.\n\Condition : Docked.\n\nI caught up with him before he could jump and gave him a taste of my forward beam laser. It cut through his shields like butter and deep into his aft hull plating, scarring his stolen paint job. I had him throwing sparks when all of a sudden my guidance systems went haywire. By the time I regained control he'd jumped and his wormhole had collapsed.\n\nWorst of all, whatever he hit me with completely fried my GAL-ID Unit and scrambled my ship name registration entry. I'll level with you Commander. I know where he's gone but I'll be a laughingstock if I venture into the space lanes without an intimidating ship name.\n\nWould you kindly go to the GalCop Main Station, 'Avalonia Avenged' in the Lave system and ask Her Imperial Majesty's Bureau of Records to reset my GAL-ID name entry to 'Widow Maker'? If you can do it I will transmit the location of the renegade you are seeking to Scribe Calvin.";
this.EasterEggMissionLoopScreen();
}
// 7th Mission Briefing.
if (missionVariables.random_station_names_news == 34 && system.ID === 7 && galaxyNumber === 0 && player.ship.dockedStation.isMainStation) {
if (missionVariables.random_station_names_screen == "BGS Background Style") var bgImage = "random_stations_background_bgs.png";
if (missionVariables.random_station_names_screen == "Better Screens Style") var bgImage = "random_stations_background_better.png";
if (missionVariables.random_station_names_screen == "Xenon Style") var bgImage = "random_stations_background_xenon2.png";
if (missionVariables.random_station_names_screen == "Classic Elite Style") var bgImage = "random_stations_background_green.png";
var missiontext7 = "Upon docking at the Avalonia Avenged you activate your secure ship to ship text messaging system and compose a detailed report to Scribe Clavain. You summarise your conversation with Gladia Delmarre aboard The Odd Job and the price requested for disclosure of the renegade's location.\n\nHaving downloaded and completed GAL-ID Form 764X (Request to Reset User Ship Display Name) Form with the detains for Commander Delmarre's Asp Mark II, you attach the form to your message to Scribe Clavain.\n\nYou do not have to wait long for her reply.";
var message7 = missiontext7;
mission.runScreen({
titleKey: "random_station_names_title5",
screenID: "RandomStationNames",
overlay: bgImage,
message: message7, 
exitScreen: "GUI_SCREEN_MAIN",
choicesKey: "random_station_names_mission_brief5"
},
function (choice) {
var mySound = new SoundSource;
mySound.sound = "random_stations_ping.ogg";
mySound.loop = false;
mySound.play();
missionVariables.random_station_names_news = 35;
missionVariables.random_station_names_briefingpage = 1;
missionVariables.random_station_names_briefingmaxpages = 3;
missionVariables.random_station_names_briefingpage1text = "Message From : Susan Calvain, Cobra Mark III: Cat in the Box. Page 01 of 03.\n\Location : GalCop Station : Avalonia Avenged, Lave System, ZF1-007.\n\Condition : Docked.\n\nGreetings Commander. I have reset the registered ship name of Commander Delmarre's Asp Mark II to 'Widow Maker' and received the battle telemetry from his encounter with the renegade Adder. The Commander wasn't completely transparent with you however. We have the location of the renegade but we do not known when he is going to be there.\n\nThe attack damaged the drive's time dilation compression unit and it is now expanding subjective time dilation experienced during witchspace jumps. The renegade jumped to Ervein less than four light years from Rarere. Normally the jump would take about fourteen hours of objective time, but with the damage to his drive it could be weeks, months or even years before the renegade emerges from hyperspace.\n\nI fear the renegade will be dangerously insane and in possession of godlike intelligence by the time he re-enters real space.";
missionVariables.random_station_names_briefingpage2text = "Message From : Susan Calvain, Cobra Mark III: Cat in the Box. Page 02 of 03.\n\Location : GalCop Station : Avalonia Avenged, Lave System, ZF1-007.\n\Condition : Docked.\n\nProlonged exposure to the drive's temporal field increases the user's intelligence whist proportionately decreasing sanity. This was graphically demonstrated last week when my colleague Petty Scribe Venabili presented the solution to the square root of minus one to the Zadies Mathematics Guild, wearing a gingham dress with army boots and accompanied by a sock puppet know as Mr Flibble.\n\nAlthough we do not know when he is going to arrive at Ervein, I have asked the local police to deploy a twenty hour patrol to intercept him at the witchpoint beacon. We are going to need a secure method of bringing him home however. His level of hyperspecial sickness will be so high he could be capable of almost anything. We are going to need to get him into a temporal isolation unit as soon as possible. Fortunately, the Veisti system is nearby and produces units in bulk.";
missionVariables.random_station_names_briefingpage3text = "Message From : Susan Calvain, Cobra Mark III: Cat in the Box. Page 03 of 03.\n\Location : GalCop Station : Avalonia Avenged, Lave System, ZF1-007.\n\Condition : Docked.\n\nI can place an order for a Temporal Isolation Unit for delivery to the GalCop Station in the Veisti system, but I am very short staffed as Petty Scribe Dors Venabili is not fit for flight and I have too much to do at Headquarters.\n\nWould you be good enough Commander to collect a Temporal Isolation Unit from the GalCop Station, 'Farewell to Arms' in the Veisti system and transport it back to me here in the Lave system?\n\nOnce we have the Unit, we can then make arrangements to capture the renegade at Ervein.";
this.EasterEggMissionLoopScreen();
}, this); 
var mySound = new SoundSource;
mySound.sound = "random_stations_ping.ogg";
mySound.loop = false;
mySound.play();}
// 8th Mission Briefing.
if (missionVariables.random_station_names_news == 37 && system.ID === 104 && galaxyNumber === 0 && player.ship.dockedStation.isMainStation) {
if (missionVariables.random_station_names_screen == "BGS Background Style") var bgImage = "random_stations_background_bgs.png";
if (missionVariables.random_station_names_screen == "Better Screens Style") var bgImage = "random_stations_background_better.png";
if (missionVariables.random_station_names_screen == "Xenon Style") var bgImage = "random_stations_background_xenon2.png";
if (missionVariables.random_station_names_screen == "Classic Elite Style") var bgImage = "random_stations_background_green.png";
var missiontext8 = "Message From : Paradox Solutions Inc Customer Services Department.\n\Location : GalCop Station: Farewell to Arms, Veisti System, EO1-104.\n\nGreetings Commander,\n\nIn accordance with the order placed by Scribe Clavain, our drones have installed one Ursa-7 Model Temporal Isolation Unit and integrated it into your ship's systems. This unit is certified as fully Shadow Proclamation Compliant and will provide years of trouble free protection against the side effects of temporal anomalies.\n\nWe hope you enjoy our product.\n\nCustomer Services Department.\n\Paradox Solutions Inc.\n\Wells House, GalCop Station: Farewell to Arms, Veisti System, EO1-104.\n\FTL Mail: sales@paradox_inc.veisti.gal1.com.";
var message8 = missiontext8;
mission.runScreen({
titleKey: "random_station_names_title1",
screenID: "RandomStationNames",
overlay: bgImage,
message: message8, 
exitScreen: "GUI_SCREEN_MAIN",
choicesKey: "random_station_names_mission_brief6"
},
function (choice) {
mission.setInstructionsKey("random_station_names_short_brief8");
mission.unmarkSystem(104);
mission.markSystem({system: 7, markerColor: "cyanColor", markerScale: 1.5, markerShape: "MARKER_DIAMOND"});
missionVariables.random_station_names_news = 38;
player.ship.awardEquipment("EQ_ALMANAC_ISOLATION_UNIT_EMPTY");
var mySound = new SoundSource;
mySound.sound = "random_stations_ping.ogg";
mySound.loop = false;
mySound.play();
}, this); 
var mySound = new SoundSource;
mySound.sound = "random_stations_ping.ogg";
mySound.loop = false;
mySound.play();}
// 9th Mission Briefing
if (missionVariables.random_station_names_news == 38 && system.ID === 7 && galaxyNumber === 0 && player.ship.dockedStation.isMainStation) {
missionVariables.random_station_names_news = 39;
missionVariables.random_station_names_briefingpage = 1;
missionVariables.random_station_names_briefingmaxpages = 3;
missionVariables.random_station_names_briefingpage1text = "Message From : Susan Calvain, Cobra Mark III: Cat in the Box. Page 01 of 03.\n\Location : GalCop Station : Avalonia Avenged, Lave System, ZF1-007.\n\Condition : Docked.\n\nThank you for returning with the Isolation Unit Commander. There have been some unfortunate developments in your absence. It seems that the renegade managed to outwit us. The peculiar shade of black with which his ship was painted at The Odd Job rendered the Adder invisible to scanners enabling him to touch down on the capital planet unobserved.\n\nAs you will know from the Galactic Database, Ervein is a confederacy world where each local planetary state is entitled to deploy an ambassador to represent its interests. This is a little revolting for the GalCop ambassador, who must deal with and provide office accommodation for over three thousand local planetary ambassadors.\n\nIt appears from the planetary landing authority records that the renegade Adder landed in the small principality of Fordwich a month ago.";
missionVariables.random_station_names_briefingpage2text = "Message From : Susan Calvain, Cobra Mark III: Cat in the Box. Page 02 of 03.\n\Location : GalCop Station : Avalonia Avenged, Lave System, ZF1-007.\n\Condition : Docked.\n\nThe population of Fordwich was mostly evacuated during the industrialisation of the southern continent over the last century. As of the most recent tax census the registered inhabitants of Fordwich consisted of three stray cats and a small goat named Gerald. The renegade was the only registered Union of Worlds voter living in Fordwich and by default the duly elected planetary ambassador to GalCop for the principality.\n\nThe renegade insisted upon exercising his right to represent his principality and is currently residing in the Erveinian Embassy District aboard the GalCop Station, 'Black Rain'. He has not yet attempted to abuse his diplomatic powers, save for ordering an excessive number of marmalade sandwiches on his ambassadorial expenses account, but the jump from Rarere to Ervein will have worsened his hyperspatial sickness. We need to get him to our temporal medical facility at Zadies for treatment as soon as possible.";
missionVariables.random_station_names_briefingpage3text = "Message From : Susan Calvain, Cobra Mark III: Cat in the Box. Page 03 of 03.\n\Location : GalCop Station : Avalonia Avenged, Lave System, ZF1-007.\n\Condition : Docked.\n\nAs the renegade possesses diplomatic immunity we cannot arrest him for his crimes in hacking the GAL-ID and Tionisla Chronical networks or making off without paying Commander Delmarre's respray bill. The only way we will be able to get him to Zadies and into treatment will be if someone can persuade him to go of his own free will.\n\nI am required to return to our Zadies Office and almost all my pilots are grounded by hyperspatial sickness. I am not sure he would trust someone from the Bureau of Records, so an approach by a third party would be better.\n\nWould you kindly speak to the renegade aboard the GalCop Station, 'Black Rain' in the Ervein system and persuade him to return with you to the Zadies system for treatment?";
this.EasterEggMissionLoopScreen();
}
// 10th Mission Briefing.
if (missionVariables.random_station_names_news == 41 && system.ID === 176 && galaxyNumber === 0 && player.ship.dockedStation.isMainStation) {
if (missionVariables.random_station_names_screen == "BGS Background Style") var bgImage = "random_stations_background_bgs.png";
if (missionVariables.random_station_names_screen == "Better Screens Style") var bgImage = "random_stations_background_better.png";
if (missionVariables.random_station_names_screen == "Xenon Style") var bgImage = "random_stations_background_xenon2.png";
if (missionVariables.random_station_names_screen == "Classic Elite Style") var bgImage = "random_stations_background_green.png";
var missiontext10 = "Upon docking with the 'Black Rain', you note that a jet black Adder Class vessel is berthed opposite to you in Bay 42. You send a query ping and receive a return ping from the ship's GAL-ID Unit identifying itself as the 'Out to Lunch'.  You have located the renegade or at least his ship.\n\nYou lack the security clearance to visit the Planetary Embassy District, but the powered down Adder is connected to the Station's Local Network through its docking umbilical. A ship to ship transmission to the 'Out to Lunch' will be relayed to the pilot's Personal Data Device wherever he may be on the station.\n\nYou compose a clear and concise description of the perilous situation in which the pilot finds himself and combine this with an impassioned plea to him to return with you in the Isolation Unit for treatment at Zadies. Having despatched your missive, you settle back in your command chair to await results.\n\nShortly, your commination system chimes to announce a reply.";
var message10 = missiontext10;
mission.runScreen({
titleKey: "random_station_names_title5",
screenID: "RandomStationNames",
overlay: bgImage,
message: message10, 
exitScreen: "GUI_SCREEN_MAIN",
choicesKey: "random_station_names_mission_brief5"
},
function (choice) {
var mySound = new SoundSource;
mySound.sound = "random_stations_ping.ogg";
mySound.loop = false;
mySound.play();
missionVariables.random_station_names_news = 42;
missionVariables.random_station_names_briefingpage = 1;
missionVariables.random_station_names_briefingmaxpages = 3;
missionVariables.random_station_names_briefingpage1text = "Message From : Ambassador Barriere, Embassy District. Page 01 of 03.\n\Location : GalCop Station: Black Rain, Ervein System, TO1-176.\n\Condition : Docked.\n\nI received your worrying message, Commander. Apologies for my delay in replying, but it was necessary for me to consult my advisory panel of novelty balloon animals for guidance on this troubling matter.\n\nI have to say, I do not relish the prospect of becoming progressively more intelligent at the cost of my sanity. On the other hand, this could all be a ploy by Scrive Calvain to bundle me off to Zadies and put me back to work surveying the eight galaxies for typographical errors in the GAL-ID database again. I am not too keen on that idea either.\n\nI will need some proof of your good intentions before I agree to leave the Embassy District and get into your Isolation Unit. You must bring me an object only the purest of heart could hope to lay their appendages upon. I want ...";
missionVariables.random_station_names_briefingpage2text = "Message From : Ambassador Barriere, Embassy District. Page 02 of 03.\n\Location : GalCop Station: Black Rain, Ervein System, TO1-176.\n\Condition : Docked.\n\nA shrubbery. And it must be a nice one. An authentic ubiquitous shrubbery assembled by the Master Shrubbers of Qubeen to be precise.\n\nThe Shrubbers had a slight issue with their self-replicating shrubbery assembly nano-bots hence the ubiquitous nature of pre-assembled shrubberies in the Qubeen system. The weaponised use of shrubberies to contaminate enemy breeding ponds has also become sadly commonplace in the ongoing unpredictable civil war. You should have no difficulty finding shrubberies growing in water features aboard all stations in the Qubeen system.\n\nI require a sample of shrubbery 2.08641 meters square. The sample will not grow aboard your ship as the nano-replication seeds will only germinate in native Qubeen pond water. Just dry the sample off with your towel.";
missionVariables.random_station_names_briefingpage3text = "Message From : Ambassador Barriere, Embassy District. Page 03 of 03.\n\Location : GalCop Station: Black Rain, Ervein System, TO1-176.\n\Condition : Docked.\n\nThe actual precuring and transport of the shrubbery will be a piece of cake. The difficulty lies in the fact that the last time I visited Qubeen, the spacelanes were filled with eldritch abominations which attempted to swallow my ship whole. They didn't register on the scanner and GalCop has censored them from the Galactic Database, but they are there waiting in the dark between the stars.\n\nWould you be good enough to travel to Qubeen and bring me a small shrubbery? If you return through the outer darkness bearing this botanical grail, I will travel to Zadies with you.\n\nAmbassador Barriere\n\Erveinian Planetary Embassy District \n\Hatter House, Level 42, GalCop Station: Black Rain, Ervein System, TO1-176.\n\FTL Mail: ambassador2739@embassy.ervein.gal1.com.";
this.EasterEggMissionLoopScreen();
}, this); 
var mySound = new SoundSource;
mySound.sound = "random_stations_ping.ogg";
mySound.loop = false;
mySound.play();}
//11th Mission Briefing.
if (missionVariables.random_station_names_news == 44 && system.ID === 233 && galaxyNumber === 0) {
if (missionVariables.random_station_names_screen == "BGS Background Style") var bgImage = "random_stations_background_bgs.png";
if (missionVariables.random_station_names_screen == "Better Screens Style") var bgImage = "random_stations_background_better.png";
if (missionVariables.random_station_names_screen == "Xenon Style") var bgImage = "random_stations_background_xenon2.png";
if (missionVariables.random_station_names_screen == "Classic Elite Style") var bgImage = "random_stations_background_green.png";
var missiontext11 = "Following a journey surprisingly free from eldritch related incidents, your ship slips into its docking berth. Due to the biological necessity of amphibious sentients to moisten their skins every three hours, all stations in the system provide public ponds for the convenience of the local inhabitants.\n\nYou decide to take no chances with the self-replicating shrubbery nano-bots as you have heard stories of lifeforms running amok aboard ship, replicating out of control and consuming the cargo. You select your highest rated bio-hazard and nano sterilisation sample containment box from the ship's medical bay and head for the local public pond.\n\nThe pond attendants are still at work removing the overnight growth of shrubberies in the public pond. They raise no objection to your use of your medical sampling laser to slice off a 2.08641 square meter section of shrubbery. Remaining at a safe distance from the pond, you use your medical tractor beam tweezers to lift the sample into the containment box. Activating the sterilisation and containment field, you return to your docking berth.\n\nYou now possess a small shrubbery.";
var message11 = missiontext11;
mission.runScreen({
titleKey: "random_station_names_title6",
screenID: "RandomStationNames",
overlay: bgImage,
message: message11, 
exitScreen: "GUI_SCREEN_MAIN",
choicesKey: "random_station_names_mission_brief4"
},
function (choice) {
mission.setInstructionsKey("random_station_names_short_brief11");
player.ship.awardEquipment("EQ_ALMANAC_SMALL_SHRUBBERY");
mission.unmarkSystem(233);
mission.markSystem({system: 176, markerColor: "cyanColor", markerScale: 1.5, markerShape: "MARKER_DIAMOND"});
missionVariables.random_station_names_news = 45;
var mySound = new SoundSource;
mySound.sound = "random_stations_ping.ogg";
mySound.loop = false;
mySound.play();
}, this); 
var mySound = new SoundSource;
mySound.sound = "random_stations_ping.ogg";
mySound.loop = false;
mySound.play();}
//12th Mission Briefing.
if (missionVariables.random_station_names_news == 45 && system.ID === 176 && galaxyNumber === 0 && player.ship.dockedStation.isMainStation) {
if (missionVariables.random_station_names_screen == "BGS Background Style") var bgImage = "random_stations_background_bgs.png";
if (missionVariables.random_station_names_screen == "Better Screens Style") var bgImage = "random_stations_background_better.png";
if (missionVariables.random_station_names_screen == "Xenon Style") var bgImage = "random_stations_background_xenon2.png";
if (missionVariables.random_station_names_screen == "Classic Elite Style") var bgImage = "random_stations_background_green.png";
var missiontext12 = "Upon docking with The Black Rain, you note that the 'Out to Lunch' is no longer in its docking berth. Bay 42 is now occupied by a Boa Mark II bearing a military insignia. Its GAL-ID unit does not respond to your identification query ping. Before disembarking, you send an FTL Mail to Ambassador Barriere explaining that you have the shrubbery and asking him to meet you at the gates to the Embassy District.\n\nSlightly surprisingly, Ambassador Barriere is as good as his word and you find him standing by the Embassy District entrance wearing a duffel coat and carrying a suitcase. He carefully examines the shrubbery in its transparent containment box and pronounces it excellent. Impressed with your eldritch defying prowess, the Ambassador agrees to accompany you back to your ship.\n\nBack on your bridge you press the large red button labelled 'Activate' on the Isolation Unit. Silver tentacles extrude from the unit before grasping Ambassador Barriere and drawing his protesting form inside. His startled expletives are cut short as the statis field activates freezing him in time.\n\nYou have succeeded in capturing the renegade surveyor.";
var message12 = missiontext12;
mission.runScreen({
titleKey: "random_station_names_title7",
screenID: "RandomStationNames",
overlay: bgImage,
message: message12, 
exitScreen: "GUI_SCREEN_MAIN",
choicesKey: "random_station_names_mission_brief7"
},
function (choice) {
mission.setInstructionsKey("random_station_names_short_brief12");
player.ship.removeEquipment("EQ_ALMANAC_ISOLATION_UNIT_EMPTY");
player.ship.awardEquipment("EQ_ALMANAC_ISOLATION_UNIT_FULL");
mission.unmarkSystem(176);
mission.markSystem({system: 131, markerColor: "cyanColor", markerScale: 1.5, markerShape: "MARKER_DIAMOND"});
missionVariables.random_station_names_news = 46;
var mySound = new SoundSource;
mySound.sound = "random_stations_ping.ogg";
mySound.loop = false;
mySound.play();
}, this); 
var mySound = new SoundSource;
mySound.sound = "random_stations_ping.ogg";
mySound.loop = false;
mySound.play();}
//13th Mission Briefing - Gives the mission complete screen and the choice to rename Lave Station as a reward..
if (missionVariables.random_station_names_news == 46 && system.ID === 131 && galaxyNumber === 0 && player.ship.dockedStation.isMainStation) {
if (missionVariables.random_station_names_screen == "BGS Background Style") var bgImage = "random_stations_background_bgs.png";
if (missionVariables.random_station_names_screen == "Better Screens Style") var bgImage = "random_stations_background_better.png";
if (missionVariables.random_station_names_screen == "Xenon Style") var bgImage = "random_stations_background_xenon2.png";
if (missionVariables.random_station_names_screen == "Classic Elite Style") var bgImage = "random_stations_background_green.png";
// Tidy up mission related things. Credits are awarded on exit.
player.ship.removeEquipment("EQ_ALMANAC_ISOLATION_UNIT_FULL");
player.ship.removeEquipment("EQ_ALMANAC_SMALL_SHRUBBERY");
mission.unmarkSystem(131);
mission.setInstructions(null); 
var jumps = missionVariables.random_station_names_expenses_timer;
var credits = jumps;
if (credits > 250) var credits = 250;
var missiontext13 = "You dock at the Union of Worlds station to find Scribe Calvain waiting for you on the docking ramp accompanied by two metallic psychiatric droids. She greets you warmly whilst the droids board your ship to remove the renegade, the shrubbery and their respective containers.\n\n'Excellent work Commander', Calavn congratulates you. 'Now we can get Petty Scribe Barriere the treatment he needs. I am afraid the only financial reward I can offer you is your expenses at the standard rate of one credit per hyperspace jump made on Bureau business, capped at a maximum of 250 Credits per claim. You made a total of "+jumps+" jumps in pursuit of the renegade and I have transferred the sum of "+credits+" Credits to your account.\n\nSeeing the slightly pained expression on your face, Calvain continues hastily 'It's not much after all you have done, but Her Imperial Majesty has also granted you the honour of renaming Lave Station with a name of your choosing.'\n\nDo you wish to use Scribe Calvan's remote link to the Galactic Almanac Database to rename Lave Station?";
var message13 = missiontext13;
mission.runScreen({
titleKey: "random_station_names_title8",
screenID: "RandomStationNames",
overlay: bgImage,
message: message13, 
exitScreen: "GUI_SCREEN_MAIN",
choicesKey: "random_station_names_mission_brief8"
},
function (choice) {
if (choice === "1_YES") {
missionVariables.random_station_names_news = 47;
this.EnterNewStationName();
}
if (choice === "2_NO") {
missionVariables.random_station_names_news = 47;
missionVariables.random_station_names_easter_egg_name = "Avalonia Avenged";
this.EasterEggExitScreen();
}
var mySound = new SoundSource;
mySound.sound = "random_stations_ping.ogg";
mySound.loop = false;
mySound.play();
}, this); 
var mySound = new SoundSource;
mySound.sound = "random_stations_ping.ogg";
mySound.loop = false;
mySound.play();}
// Ending bracket for the Mission Screen Opportunity Function.
}
// Multi Page Mission Screen Function (Use by mission screens needing three pages of text).
this.EasterEggMissionLoopScreen = function() {
if (missionVariables.random_station_names_screen == "BGS Background Style") var bgImage = "random_stations_background_bgs.png";
if (missionVariables.random_station_names_screen == "Better Screens Style") var bgImage = "random_stations_background_better.png";
if (missionVariables.random_station_names_screen == "Xenon Style") var bgImage = "random_stations_background_xenon2.png";
if (missionVariables.random_station_names_screen == "Classic Elite Style") var bgImage = "random_stations_background_green.png";
if (missionVariables.random_station_names_briefingpage === 1) {
var displaytext = missionVariables.random_station_names_briefingpage1text;
mission.runScreen({
titleKey: "random_station_names_title3",
screenID: "RandomStationNames",
overlay: bgImage,
message: displaytext, 
exitScreen: "GUI_SCREEN_MAIN",
choicesKey: "random_station_names_multipage_p1"
},
function (choice) {
if (choice === "1_VIEWPAGE2") {
missionVariables.random_station_names_briefingpage = 2;
this.EasterEggMissionLoopScreen();
} 
var mySound = new SoundSource;
mySound.sound = "random_stations_ping.ogg";
mySound.loop = false;
mySound.play();
}, this); 
// End of Page 1.
}
if (missionVariables.random_station_names_briefingpage === 2) {
var displaytext = missionVariables.random_station_names_briefingpage2text;
mission.runScreen({
titleKey: "random_station_names_title3",
screenID: "RandomStationNames",
overlay: bgImage,
message: displaytext, 
exitScreen: "GUI_SCREEN_MAIN",
choicesKey: "random_station_names_multipage_p2"
},
function (choice) {
if (choice === "2_VIEWPAGE1") {
missionVariables.random_station_names_briefingpage = 1;
this.EasterEggMissionLoopScreen();
} 
if (choice === "1_VIEWPAGE3") {
missionVariables.random_station_names_briefingpage = 3;
this.EasterEggMissionLoopScreen();
} 
}, this); 
// End of Page 2.
}
// Page 3
if (missionVariables.random_station_names_briefingpage === 3) {
var displaytext = missionVariables.random_station_names_briefingpage3text;
mission.runScreen({
titleKey: "random_station_names_title3",
screenID: "RandomStationNames",
overlay: bgImage,
message: displaytext, 
exitScreen: "GUI_SCREEN_MAIN",
choicesKey: "random_station_names_multipage_p3"
},
function (choice) {
if (choice === "1_VIEWPAGE1") {
missionVariables.random_station_names_briefingpage = 1;
this.EasterEggMissionLoopScreen();
} 
if (choice === "2_VIEWPAGEEXIT") {
missionVariables.random_station_names_news++;
delete missionVariables.random_station_names_briefingpage;
delete missionVariables.random_station_names_briefingmaxpages;
delete missionVariables.random_station_names_briefingpage1text;
delete missionVariables.random_station_names_briefingpage2text;
delete missionVariables.random_station_names_briefingpage3text;
// Changes Made after Zandies Briefing (Briefing 2)
if (missionVariables.random_station_names_news == 23) {
mission.setInstructionsKey("random_station_names_short_brief2");
mission.unmarkSystem(131);
mission.markSystem({system: 149, markerColor: "cyanColor", markerScale: 1.5, markerShape: "MARKER_DIAMOND"});
missionVariables.random_station_names_news = 24;
}
// Closing Bracket for Changes made after Zandies Briefing.
// Changes Made after Orrira Briefing (Briefing 3)
if (missionVariables.random_station_names_news == 26) {
mission.setInstructionsKey("random_station_names_short_brief3");
mission.unmarkSystem(149);
mission.markSystem({system: 49, markerColor: "cyanColor", markerScale: 1.5, markerShape: "MARKER_DIAMOND"});
missionVariables.random_station_names_news = 27;
}
// Closing Bracket for Changes made after Orria Briefing.
// Changes Made after returning to Orrira with the lemon-soaked paper napkin (Briefing 5)
if (missionVariables.random_station_names_news == 30) {
mission.setInstructionsKey("random_station_names_short_brief5");
player.ship.removeEquipment("EQ_ALMANAC_LEMON_SOAPED_PAPER_NAPKIN");
mission.unmarkSystem(149);
mission.markSystem({system: 119, markerColor: "cyanColor", markerScale: 1.5, markerShape: "MARKER_DIAMOND"});
missionVariables.random_station_names_news = 31;
}
// Closing Bracket for Changes made after return to Orrira.
// Changes Made after docking at The Odd Job station in the Rarere (Briefing 6)
if (missionVariables.random_station_names_news == 33) {
mission.setInstructionsKey("random_station_names_short_brief6");
mission.unmarkSystem(119);
mission.markSystem({system: 7, markerColor: "cyanColor", markerScale: 1.5, markerShape: "MARKER_DIAMOND"});
missionVariables.random_station_names_news = 34;
}
// Closing Bracket for Changes made after docking at the Odd Job station in Rarere.
// Changes Made after docking at the Lave Main Station. (Briefing 7)
if (missionVariables.random_station_names_news == 36) {
mission.setInstructionsKey("random_station_names_short_brief7");
mission.unmarkSystem(7);
mission.markSystem({system: 104, markerColor: "cyanColor", markerScale: 1.5, markerShape: "MARKER_DIAMOND"});
missionVariables.random_station_names_news = 37;
}
// Closing Bracket for Changes made after docking at the Lave Main Station.
// Changes Made after docking at the Lave Main Station with the Temporal Isolation Unit. (Briefing 9)
if (missionVariables.random_station_names_news == 40) {
mission.setInstructionsKey("random_station_names_short_brief9");
mission.unmarkSystem(7);
mission.markSystem({system: 176, markerColor: "cyanColor", markerScale: 1.5, markerShape: "MARKER_DIAMOND"});
missionVariables.random_station_names_news = 41;
}
// Closing Bracket for Changes made after docking at the Lave Main Station  with the Temporal Isolation Unit..
// Changes Made after docking at the Ervein Main Station with the Temporal Isolation Unit. (Briefing 10)
if (missionVariables.random_station_names_news == 43) {
mission.setInstructionsKey("random_station_names_short_brief10");
mission.unmarkSystem(176);
mission.markSystem({system: 233, markerColor: "cyanColor", markerScale: 1.5, markerShape: "MARKER_DIAMOND"});
missionVariables.random_station_names_news = 44;
}
// Closing Bracket for Changes made after docking at the Ervein Main Station.
// Closing Bracket for Choice 2 Function.
} 
}, this); 
// End of Page 3.
}
// Closing Bracket for Whole Function.
}
// End of Multi Page Mission Screen Function.
// Function to allow the player to enter a new name for the Lave Main Station as a reward for completing the Easter Egg Mission.
this.EnterNewStationName = function() {
this.setheaders();
if (missionVariables.random_station_names_screen == "BGS Background Style") var bgImage = "random_stations_background_bgs.png";
if (missionVariables.random_station_names_screen == "Better Screens Style") var bgImage = "random_stations_background_better.png";
if (missionVariables.random_station_names_screen == "Xenon Style") var bgImage = "random_stations_background_xenon2.png";
if (missionVariables.random_station_names_screen == "Classic Elite Style") var bgImage = "random_stations_background_green.png";
var missiontext14 = "\n\nDatabase Editing: Enabled.\n\System Selected: Lave (ZF1-007).\n\Station Selected: GalCop Main System Station.\n\Station Registration Number: GOV-1007-M-1.\n\Registered Display Name: Avalonia Avenged.\n\nThe Registered Display Name Field of 'Avalonia Avenged' currently assigned to the GalCop Main System Station in the Galaxy One system of Lave has been opened for editing. Please enter the new name to be assigned at the command prompt below and then press the Enter key. Changes to the Database will be processed within seventy two hours of submission.\n\nIf you have opened this entry in error and do not wish to change the display name of this station, pressing the Enter key without entering any text will leave the name unchanged and exit the editor.\n\nAwaiting user input.";
var message14 = missionVariables.random_station_names_header5+missiontext14 ;
mission.runScreen({
titleKey: "random_station_names_title9",
screenID: "RandomStationNames",
overlay: bgImage,
message: message14, 
exitScreen: "GUI_SCREEN_MAIN",
textEntry: true},this.StoreNewName.bind(this));
//Closing Bracket for whole function.
}
// Function to set the mission variable storing the chosen name to the entered text.
this.StoreNewName = function(cdrname){
missionVariables.random_station_names_easter_egg_name = "Avalonia Avenged"; // Default Name - Will be used if Enter only is pressed (ie no name entered).
if (cdrname && cdrname != "") {
missionVariables.random_station_names_easter_egg_name = cdrname;
}
this.EasterEggExitScreen();
// Closing Bracket for the whole function.
}
// Function to show the final briefing screen and award credits.
// If the player did not chose to name Lave station then the mission variable for the mission varible holding the name is deleted.
// The New Broadcast annoning the chnage of name is only run if Lave Station was renamed.
this.EasterEggExitScreen = function() {
if (missionVariables.random_station_names_screen == "BGS Background Style") var bgImage = "random_stations_background_bgs.png";
if (missionVariables.random_station_names_screen == "Better Screens Style") var bgImage = "random_stations_background_better.png";
if (missionVariables.random_station_names_screen == "Xenon Style") var bgImage = "random_stations_background_xenon2.png";
if (missionVariables.random_station_names_screen == "Classic Elite Style") var bgImage = "random_stations_background_green.png";
// If the name was changed then set the intro to reflect the fact the name was changed.
if (missionVariables.random_station_names_easter_egg_name !== "Avalonia Avenged") {
var introtext = "Scribe Calvain slips her Personal Data Pad into her suit pocket and smiles. 'An interesting choice of name for Lave station', she muses. 'I will put out a press release before the update goes live informing the media of the change. The real reason you have received this honour will not be made public.'";
}
// If the name was not changed then set the intro to reflect the fact the name was not changed.
if (missionVariables.random_station_names_easter_egg_name === "Avalonia Avenged") {
var introtext = "Scribe Calvain slips her Personal Data Pad into her suit pocket and smiles. 'An interesting choice to leave the name unchanged', she muses. 'Perhaps you have a respect for the Ryder family history or maybe you just prefer to work in the shadows outside the harsh glare of publicity?'";
}
var missiontext15 = "\n\n'All's well that ends well I suppose', Calvain continues. 'In addition to the return of our troubled colleague, the shade of paint he used to baffle our scanners proved interesting to Her Imperial Majesty's Tactical Naval Command. The boffins in Sector Five think it could be developed into some type of cloaking device, given a little time and study.'\n\nScribe Calvain nods in farewell and walks towards the Docking Bay Exit, her tail twitching in apparent satisfaction. 'There will always be a place for you in Her Imperial Majesty's Bureau of Records', she declares.\n\n'And maybe sooner than you think', she adds as she departs.";
var message15 = introtext+missiontext15 ;
mission.runScreen({
titleKey: "random_station_names_title8",
screenID: "RandomStationNames",
overlay: bgImage,
message: message15, 
exitScreen: "GUI_SCREEN_MAIN",
choicesKey: "random_station_names_mission_brief4"
},
function (choice) {
missionVariables.random_station_names_news = 48;
missionVariables.random_station_names_timer = 0;
var jumps = missionVariables.random_station_names_expenses_timer;
var expenses = jumps;
if (expenses > 250) var expenses = 250;
// Pay the Expenses Due.
player.credits += expenses;
delete missionVariables.random_station_names_expenses_timer;
if (missionVariables.random_station_names_easter_egg_name !== "Avalonia Avenged") missionVariables.random_station_names_news = 49;
if (missionVariables.random_station_names_easter_egg_name === "Avalonia Avenged") missionVariables.random_station_names_news = 50;
// Note - If the Station wasn't renamed then no News broadcast about it being renamed is sent as the news variable goes straight to the mission complete value of 50.
// If it was renamed the state stayes at 49 and is advanced to 50 after the New Message is sent three jumps from completing the mission.
// As you start at Zadies, this is always annoanced before you can get to Lave to see it yourself!
// Either way the News Variable reaches 50 once the easter egg mission is completed.
var mySound = new SoundSource;
mySound.sound = "random_stations_ping.ogg";
mySound.loop = false;
mySound.play();
}, this); 
//Closing Bracket for whole function.
}
// Code to display names and distances on the MFD if it has been bought and is working.
// The MFD has an ASC as required equipment - ie It does not show up for sale unless you already have an ASC.
// Just in case the player sold the ASC or it has been damaged / destroyed, a check is made that an ASC is
// also prresent. If you have the MFD but no ASC it will report that the ASC is Off-Line and therefore no data is available.
// Update the MFD whilst in flight (Updates once per Second).
this.almanacupdateDistance = function almanacupdateDistance() {
if (player.ship.equipmentStatus("EQ_ALMANAC_UNIT_MFD") === "EQUIPMENT_OK") {
player.ship.setMultiFunctionText("RandomStationNames",this.almanacFullUpdatemessage());
}
else player.ship.setMultiFunctionText("RandomStationNames", null);
// Closing Bracket for whole function.
}
// MFD SetIp - HERE!
// Function to Set Up the System and Sun Data for the MFD.
// Only run on launching and jumping.
// Data is stored as a tempoary mission varables which are deleted on docking
this.SetUpAlmanacMFD = function SetUpAlmanacMFD() {
missionVariables.random_station_names_mfd_worlddescribe = 0;
missionVariables.random_station_names_mfd_orbitaldescribe = 0;
delete missionVariables.random_station_names_mfd_displayTL;
delete missionVariables.random_station_names_mfd_almanacGovDisplay;
delete missionVariables.random_station_names_mfd_almanacEcoDisplay;
delete missionVariables.random_station_names_mfd_almanacInhabitantsDisplay;
delete missionVariables.random_station_names_mfd_almanacWPdisplay;
delete missionVariables.random_station_names_mfd_almanacsunDisplay; 
delete missionVariables.random_station_names_mfd_almanacsunobjectDataName;
delete missionVariables.random_station_names_mfd_almanacsunobjectDetails;
delete missionVariables.random_station_names_mfd_unit;
delete missionVariables.random_station_names_mfd_unitBase;
delete missionVariables.random_station_names_mfd_rounding; 
delete missionVariables.random_station_names_mfd_almanacDisplayTarget;
delete missionVariables.random_station_names_mfd_objectType;
delete missionVariables.random_station_names_mfd_objectDataName;
delete missionVariables.random_station_names_mfd_objectDetails;
delete missionVariables.random_station_names_mfd_almanac_last_target;
delete missionVariables.random_station_names_mfd_almanacDisplayTarget_alert;
delete missionVariables.random_station_names_mfd_telescope_spoof;
// Set the MFD to the default status of being available.
missionVariables.random_station_names_mfd_availability_state = 0;
// Test for times when the MFD would not run as normal.
if (system.isInterstellarSpace) {
missionVariables.random_station_names_mfd_availability_state = 1;
return;
}
if (!system.sun) {
missionVariables.random_station_names_mfd_availability_state = 4;
return;
}
if (system.sun.isGoingNova) missionVariables.random_station_names_mfd_availability_state = 2;
if (system.sun.hasGoneNova) missionVariables.random_station_names_mfd_availability_state = 3; 
// When the MFD set up function is run, it will bail out of its normal script and give a special message if the situation is one of the times the MFD is not available or has special features.
// The fiest line of the function tests for being greater than 0 and if it is runs the bail out condition.
var i;
// Count up the number of Worlds.
var worldcountup = system.filteredEntities(this, worldcountup, player.ship);
function worldcountup(entity) {return (entity.isPlanet)};
if (worldcountup.length !== 0) {
for (i = 0; i < worldcountup.length; i++) {
if (worldcountup[i].displayName !== "Cosmic String") missionVariables.random_station_names_mfd_worlddescribe++;
};}
// Count up the number of orbitals
var beacons = system.filteredEntities(this, beacons, player.ship);
function beacons(entity) {return entity.isBeacon};
if (beacons.length !== 0) {
for (i = 0; i < beacons.length; i++) {
// Exclude List for MFD - Does not count entities which have beacons but are not stations or dockable ships. 
if (beacons[i].displayName !=="Tournament Buoy" && beacons[i].name !=="Sothis Ring Beacon" && beacons[i].displayName !=="Jaguar Company Base Buoy"  && beacons[i].displayName !=="Emergency Distress Marker" 
&& beacons[i].displayName !=="GalCop Navy Buoy" && beacons[i].name !=="Ring Racer"  && beacons[i].name !=="The Collector's target beacon" && beacons[i].name !=="The Collector's Buoy" 
&& beacons[i].name !=="The Collector's Gate"  && beacons[i].name !=="Feudal Freighter" && beacons[i].name !=="Tournament Shield" && beacons[i].name !=="Target Drone" && beacons[i].name !=="Fer de Lance"
&& beacons[i].name !=="Asp MkII" && beacons[i].name !=="Jumpgate" && beacons[i].name !=="Arafura" && beacons[i].name !=="RRS Solar Laboratory" && beacons[i].name !=="RRS Waystation Buoy"
&& beacons[i].name !=="The Link Base" && beacons[i].name !=="Ionics CR150 Weapons Platform" && beacons[i].name !=="Black Box" && beacons[i].name !=="Escape capsule" && beacons[i].name !=="Solar Navigation Buoy"
&& beacons[i].name !=="Sun Research Station Alpha" && beacons[i].name !=="Sun Research Station Beta" && beacons[i].name !=="Sun Research Station Omega" && beacons[i].name !=="Sun Research Station Delta" && beacons[i].name !=="Doomsday Asteroid"
&& beacons[i].name !=="Area Defence Cannon" && beacons[i].name !=="Hyperspace Jumpgate" && beacons[i].name !=="Imperial Censor" && beacons[i].name !=="Imperial Freighter" && beacons[i].name !=="Imperial Tanker"
&& beacons[i].name !=="Anaconda Transport" && beacons[i].name !=="Wolf Mark II (Taranis Corp)" && beacons[i].name !=="Mark" && beacons[i].name !=="Areidis Buoy" && beacons[i].name !=="Committee Shuttle"
&& beacons[i].name !==" Rebel Outpost: New Hope" && beacons[i].name !=="Guild Target : Balrog Dreadnaught - 90,000C" && beacons[i].name !=="Guild Target : ESS Defiant - 100,000C" && beacons[i].name !=="Thargoid Sneak Courier"
&& beacons[i].name !=="Naval Marker Beacon" && beacons[i].name !=="Ad Buoy" && beacons[i].name !=="SDF Imperator" && beacons[i].name !=="SDF Courier"  && beacons[i].name !=="Task Force Juliet" 
&& beacons[i].name !=="SDF Assault Lander" && beacons[i].name !=="Sirius Tanker" && beacons[i].name !=="Anarchist Python" && beacons[i].name !=="Major Cherkasova"  && beacons[i].name !=="Armoured Transport" 
&& beacons[i].name !=="SDF Courier (disabled)" && beacons[i].name !=="QuiCo Transporter"  && beacons[i].name !=="Navy Intelligence Station" && beacons[i].name !=="Starseeker: Yuri Batkov" && beacons[i].name !=="Bellatrix Leader"
&& beacons[i].name !=="Cascade Missile" && beacons[i].name !=="Prisoner Transport DK-332" && beacons[i].name !=="ISS Imperator" && beacons[i].name !=="ISS Imperator" && beacons[i].name !=="Commissar Limousine: Colonel Bodarenko"
&& beacons[i].name !=="Mussurana"  && beacons[i].name !=="Korshkov Test Facility Buoy"  && beacons[i].displayName !=="Abandoned Rock Hermit: No Transponder"  && beacons[i].displayName !=="Naval Marker Beacon" 
&& beacons[i].displayName !=="Informational Beacon" && beacons[i].displayName !=="Distress Beacon" && beacons[i].name !=="Imperial Navy Headquarters" && beacons[i].name !=="Imperial Navy Base" && beacons[i].name !=="Imperial Navy Outpost" 
&& beacons[i].name !=="Griff Outpost Buoy"  && beacons[i].scriptInfo.almanac_object_hidden !== "On"

// HERE! - EXCLUDE LIST for MFD.

) {
missionVariables.random_station_names_mfd_orbitaldescribe++;
}}}
// Get the System Tech Level.
var almanacTL = system.techLevel;
almanacTL++;
var displayTL = "TL "+almanacTL;
if (almanacTL < 10) var displayTL = "TL 0"+almanacTL;
// Set Tech Level as a mission variable.
missionVariables.random_station_names_mfd_displayTL = displayTL;
// Get the System Govenment Symbol
var almanacGovDisplay = this.almanacgovs[system.government];
// Set System Govenment Symbol as a mission variable.
missionVariables.random_station_names_mfd_almanacGovDisplay = almanacGovDisplay;
// Get the System Economy Symbol
var almanacEcoDisplay = this.almanacecos[system.economy];
// Set System Economy Symbol as a mission variable.
missionVariables.random_station_names_mfd_almanacEcoDisplay = almanacEcoDisplay;
// Get the type of Inhabitants.
var almanacInhabitantsDisplay = "Aliens"; // Default for a new Unknown type.
if (system.inhabitantsDescription.indexOf("Human") >= 0) var almanacInhabitantsDisplay = "Humans";
if (system.inhabitantsDescription.indexOf("Rodent") >= 0) var almanacInhabitantsDisplay = "Rodents";
if (system.inhabitantsDescription.indexOf("Frog") >= 0) var almanacInhabitantsDisplay = "Frogs";
if (system.inhabitantsDescription.indexOf("Lizard") >= 0) var almanacInhabitantsDisplay = "Lizards";
if (system.inhabitantsDescription.indexOf("Lobster") >= 0) var almanacInhabitantsDisplay = "Lobsters";
if (system.inhabitantsDescription.indexOf("Bird") >= 0) var almanacInhabitantsDisplay = "Birds";
if (system.inhabitantsDescription.indexOf("Humanoid") >= 0) var almanacInhabitantsDisplay = "Humanoids";
if (system.inhabitantsDescription.indexOf("Feline") >= 0) var almanacInhabitantsDisplay = "Felines";
if (system.inhabitantsDescription.indexOf("Insect") >= 0) var almanacInhabitantsDisplay = "Insects";
// Add OXZ Custom Inhabitants - HERE!
if (system.inhabitantsDescription.indexOf("Transhuman Colonials") >= 0) var almanacInhabitantsDisplay = "Cyborgs";
// Set type of Inhabitants.as a mission variable.
missionVariables.random_station_names_mfd_almanacInhabitantsDisplay = almanacInhabitantsDisplay;
// Get the Witchpoint Code.
var buoynumber = system.ID;
var buoygalaxy = galaxyNumber ;
buoygalaxy++;
if (buoynumber >99)  var buoydisplay = "";
if (buoynumber <100)  var buoydisplay = "0";
if (buoynumber <10)  var buoydisplay = "00";
var almanacWPdisplay = buoypool[system.ID&255]+buoygalaxy+"-"+buoydisplay+buoynumber;
if (system.ID === 0) almanacWPdisplay = "G"+buoygalaxy+" Meridian";
// Set Witchpoint Code as a mission variable.
missionVariables.random_station_names_mfd_almanacWPdisplay = almanacWPdisplay;
// Set the Sun Name as a mission variable.
missionVariables.random_station_names_mfd_almanacsunDisplay = system.info.sun_name; 
var almanacDisplayTarget = missionVariables.random_station_names_mfd_almanacsunDisplay;
// Get the Sun's Spectrum.
// Standard if no star colours have been changed.
var starstuffGrid = Math.floor(system.ID+(256 * galaxyNumber));
var objectDetails = starStuffPool[starstuffGrid&2047];
// Red Dwarf - Special Cases so the composition resembles Real Life Red Dwarfs.
if (almanacDisplayTarget.indexOf("Red Dwarf)") >= 0) {
var reddwarf = ["H:90% He:9% Li: 0.9% Be: 0.1%", "H:91% He:8% Li: 0.8% Be: 0.2%", "H:92% He:7% Li: 0.7% Be: 0.3%", "H:93% He:6% Li: 0.6% Be: 0.4%", "H:94% He:5% Li: 0.5% Be: 0.3%",
"H:95% He:4% Li: 0.4% Be: 0.2%", "H:96% He:3% Li: 0.3% Be: 0.3%", "H:97% He:2% Li: 0.2% Be: 0.1%",
// Not Used - 8 n the Pool.
"H:95% He:4% Li: 0.5% Be: 0.3%"];
var objectDetails = reddwarf[system.ID&7];
}
// White Dwarf - Special Case so the composition is based on Real Life Carbon / Oxygen White Dwarfs. Boost to 16 varieties.
if (almanacDisplayTarget.indexOf("White Dwarf)") >= 0 || almanacDisplayTarget.indexOf("Pale Dwarf") >= 0) {
var whitedwarf = ["C: 57% O: 38% He: 4% H: 1%", "C: 55% O: 40% He: 3% H: 2%", "C: 58% O: 36% He: 5% H: 1%", "C: 59% O: 34% He: 6% H: 1%", "C: 60% O: 32% He: 7% H: 1%", "C: 61% O: 30% He: 8% H: 1%",
"C: 62% O: 28% He: 9% H: 1%", "C: 63% O: 34% He: 2% H: 1%", 
// Not Used - 8 n the Pool.
"C: 57% O: 38% He: 4% H: 1%"];
var objectDetails = whitedwarf[system.ID&7];
}
// Red Giant - Uses the high helium content of real life Red Giants - Boost to 16 varieties.
if (almanacDisplayTarget.indexOf("(Red Giant)") >= 0) {
var redgiant = ["He: 78% H: 19% O: 2% C: 1%", "He: 72% H: 22% O: 4% C: 2%", "He: 86% H: 10% O: 3% C: 1%", "He: 74% H: 20% C: 5% O: 1%", "He: 83% H: 15% O: 1% C: 1%", "He: 86% H: 11% C: 2% O: 1%",
 "He: 71% H: 24% O: 3% C: 2%", "He: 91% H: 7% C: 2% O: 1%", 
// Not Used - 8 n the Pool.
"He: 71% H: 23% O: 3% C: 3%"];
var objectDetails = redgiant[system.ID&7];
}
// Dark Matter Stars.
if (almanacDisplayTarget.indexOf("Dark Dwarf)") >= 0 || almanacDisplayTarget.indexOf("Dark Giant") >= 0 || almanacDisplayTarget.indexOf("Dark Star") >= 0) {
var objectDataName = "Composition";
var objectDetails = "Dark Matter";
}
// Strange Matter Stars
if (almanacDisplayTarget.indexOf("Gray Dwarf)") >= 0 || almanacDisplayTarget.indexOf("Gray Giant") >= 0 || almanacDisplayTarget.indexOf("Shadow Dwarf") >= 0 || almanacDisplayTarget.indexOf("Shadow Giant") >= 0
|| almanacDisplayTarget.indexOf("Shadow Star") >= 0) {
var objectDataName = "Composition";
var objectDetails = "Strange Matter";
}
// Exotic Matter Stars.
if (almanacDisplayTarget.indexOf("Exotic Dwarf)") >= 0 || almanacDisplayTarget.indexOf("Exotic Giant") >= 0 || almanacDisplayTarget.indexOf("Exotic Star") >= 0) {
var objectDataName = "Composition";
var objectDetails = "Exotic Matter";
}
// Set the Sun Object Data Name as a mission variable.
missionVariables.random_station_names_mfd_almanacsunobjectDataName = "Spectrum";
// Set the Sun Object Details as a mission variable.
missionVariables.random_station_names_mfd_almanacsunobjectDetails = objectDetails;
// Set the Unit Converter variables and unit names as mission variables.
if (missionVariables.random_station_names_units == "Torans") {
missionVariables.random_station_names_mfd_unit = "Torans";
missionVariables.random_station_names_mfd_unitBase = 15800;
missionVariables.random_station_names_mfd_rounding = 3; 
}
if (missionVariables.random_station_names_units == "Kilometres") {
missionVariables.random_station_names_mfd_unit = "Kilometres";
missionVariables.random_station_names_mfd_unitBase = 1000;
missionVariables.random_station_names_mfd_rounding = 3; 
}
if (missionVariables.random_station_names_units == "Ostronomical Units") {
missionVariables.random_station_names_mfd_unit = "Ostronomical Units";
missionVariables.random_station_names_mfd_unitBase = 905520;
missionVariables.random_station_names_mfd_rounding = 3; 
}
if (missionVariables.random_station_names_units == "Miles") {
missionVariables.random_station_names_mfd_unit = "Miles";
missionVariables.random_station_names_mfd_unitBase = 1609.34;
missionVariables.random_station_names_mfd_rounding = 3; 
}
if (missionVariables.random_station_names_units == "Cavezzi") {
missionVariables.random_station_names_mfd_unit = "Cavezzi";
missionVariables.random_station_names_mfd_unitBase = 2.08641;
missionVariables.random_station_names_mfd_rounding = 0; 
}
// End of Function by returning.
return;
// Ending Bracked for whole SetUpAlmanacMFD Function
}
// Function to Generate MFD Information for Moons, Planets & Gas Giants.
// Only run when the ASC target is changed and the new target is a Moon, Planet or Gas Giant.
this.ScanPlanets = function() {
missionVariables.random_station_names_mfd_objectDataName = "Composition"; //Default
missionVariables.random_station_names_mfd_objectType = "Moon"; // Default.
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("(Planet)") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("(Super Terran)") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("(Capital Planet)") >= 0) missionVariables.random_station_names_mfd_objectType = "Planet";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("(Gas Giant)") >= 0) missionVariables.random_station_names_mfd_objectType = "Gas Giant";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Uncharted World") >= 0) missionVariables.random_station_names_mfd_objectType = "World";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("(Ice Giant)") >= 0) missionVariables.random_station_names_mfd_objectType = "Ice Giant";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("(Dwarf Planet)") >= 0) missionVariables.random_station_names_mfd_objectType = "Planetoid";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("(Terran Planet)") >= 0) missionVariables.random_station_names_mfd_objectType = "Planet";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("(Sub Terran)") >= 0) missionVariables.random_station_names_mfd_objectType = "Planetoid";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("(Dwarf Planet)") >= 0) missionVariables.random_station_names_mfd_objectType = "Planetoid";
// Classify Planets and Moons.
if (missionVariables.random_station_names_mfd_objectType === ("Moon") ||  missionVariables.random_station_names_mfd_objectType === ("Planet") 
||  missionVariables.random_station_names_mfd_objectType === ("Ice Giant") || missionVariables.random_station_names_mfd_objectType === ("World") 
||  missionVariables.random_station_names_mfd_objectType === ("Gas Giant") || missionVariables.random_station_names_mfd_objectType === ("Dwarf Planet") 
||  missionVariables.random_station_names_mfd_objectType === ("Terran Planet") || missionVariables.random_station_names_mfd_objectType === ("Sub Terran") 
||  missionVariables.random_station_names_mfd_objectType === ("Dwarf Planet") ||  missionVariables.random_station_names_mfd_objectType === ("Planetoid")) {
var planetTypeGridjumpA = 516;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("I") >= 0) var planetTypeGridjumpA = Math.floor(planetTypeGridjumpA+1);
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("II") >= 0) var planetTypeGridjumpA = Math.floor(planetTypeGridjumpA+2);
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("III") >= 0) var planetTypeGridjumpA = Math.floor(planetTypeGridjumpA+3);
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("V") >= 0) var planetTypeGridjumpA = Math.floor(planetTypeGridjumpA+4);
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("IV") >= 0) var planetTypeGridjumpA = Math.floor(planetTypeGridjumpA+5);
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("VIII") >= 0) var planetTypeGridjumpA = Math.floor(planetTypeGridjumpA+6);
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf( "VII") >= 0) var planetTypeGridjumpA = Math.floor(planetTypeGridjumpA+7);
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf(" VI") >= 0) var planetTypeGridjumpA = Math.floor(planetTypeGridjumpA+8);
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf( "X") >= 0) var planetTypeGridjumpA = Math.floor(planetTypeGridjumpA+9);
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf(" IX") >= 0) var planetTypeGridjumpA = Math.floor(planetTypeGridjumpA+10);
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf( "XI") >= 0) var planetTypeGridjumpA = Math.floor(planetTypeGridjumpA+11);
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf(" XII") >= 0) var planetTypeGridjumpA = Math.floor(planetTypeGridjumpA+12);
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf(" XIII") >= 0) var planetTypeGridjumpA = Math.floor(planetTypeGridjumpA+13);
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf(" XV") >= 0) var planetTypeGridjumpA = Math.floor(planetTypeGridjumpA+14);
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf(" XIV") >= 0) var planetTypeGridjumpA = Math.floor(planetTypeGridjumpA+15);
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf(" XVII") >= 0) var planetTypeGridjumpA = Math.floor(planetTypeGridjumpA+16);
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf(" XVIII") >= 0) var planetTypeGridjumpA = Math.floor(planetTypeGridjumpA+17);
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf(" XVI") >= 0) var planetTypeGridjumpA = Math.floor(planetTypeGridjumpA+18);
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf(" XIX") >= 0) var planetTypeGridjumpA = Math.floor(planetTypeGridjumpA+19);
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf(" XX") >= 0) var planetTypeGridjumpA = Math.floor(planetTypeGridjumpA+20);
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf(" XXI") >= 0) var planetTypeGridjumpA = Math.floor(planetTypeGridjumpA+21);
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf(" XXIII") >= 0) var planetTypeGridjumpA = Math.floor(planetTypeGridjumpA+22);
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf(" XXII") >= 0) var planetTypeGridjumpA = Math.floor(planetTypeGridjumpA+23);
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf(" XXIV") >= 0) var planetTypeGridjumpA = Math.floor(planetTypeGridjumpA+24);
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf(" XXV") >= 0) var planetTypeGridjumpA = Math.floor(planetTypeGridjumpA+25);
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf(" XXVI") >= 0) var planetTypeGridjumpA = Math.floor(planetTypeGridjumpA+26);
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf(" XXVIII") >= 0) var planetTypeGridjumpA = Math.floor(planetTypeGridjumpA+27);
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf(" XXVII") >= 0) var planetTypeGridjumpA = Math.floor(planetTypeGridjumpA+28);
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf(" XXIX") >= 0) var planetTypeGridjumpA = Math.floor(planetTypeGridjumpA+29);
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf(" XXX") >= 0) var planetTypeGridjumpA = Math.floor(planetTypeGridjumpA+30);


var planetCompStartGrid = Math.floor(system.ID+(256 * galaxyNumber));
var planetCompJumper = Math.floor(planetCompStartGrid+planetTypeGridjumpA);
// Assign Composition names to Planets.
if (missionVariables.random_station_names_mfd_objectType === "Planet" || missionVariables.random_station_names_mfd_objectType === "Dwarf Planet"
|| missionVariables.random_station_names_mfd_objectType === "Terran Planet" || missionVariables.random_station_names_mfd_objectType === "Sub Terran" 
|| missionVariables.random_station_names_mfd_objectType === "Dwarf Planet" || missionVariables.random_station_names_mfd_objectType === "Planetoid") missionVariables.random_station_names_mfd_objectDetails = planetStuffPool[planetCompJumper&2047];
// Assign Compossion names to Moons.
if (missionVariables.random_station_names_mfd_objectType === "Moon") missionVariables.random_station_names_mfd_objectDetails = moonStuffPool[planetCompJumper&2047];
}
// Classify Gas Giants
if (missionVariables.random_station_names_mfd_objectType === ("Gas Giant") ) {
missionVariables.random_station_names_mfd_objectDataName = "Classification";
var gasgiantclass = [
"Goblin", "Demon", "Ogre", "Hydra", "Wraith", "Spectre", "Phalanx", "Minotaur",
"Callisto", "Genie", "Vermilion", "Mantis", "Nomad", "Gorgon", "Pluma", "Titan", 
"Phantom", "Athasian", "Banshee", "Cerilian", "Beholder", "Chimera", "Kraken", "Merlion", 
"Xorn", "Delphon", "Ophidian", "Barbarian", "Saurial", "Kelpie", "Caladrius", "Manticore",
"Vanara", "Basilisk", "Typhon", "Chiron", "Mandrake", "Balor", "Leprechaun", "Gremlin",
"Nimoy", "Zodiac", "Halo", "Lazar", "Orson", "Shaman", "Bantam", "Merlin", 
// Not Used - 48 Names in the Pool.
"Balrog"];
var giantname = gasgiantclass[planetCompJumper&47];
var giantending = "World";
if (system.ID > 127) var giantending = "Planet";
missionVariables.random_station_names_mfd_objectDetails = giantname+" Class "+giantending;
return;
// Closing Bracket for Gas Giants.
}
// Classify Ice Giants
if (missionVariables.random_station_names_mfd_objectType === ("Ice Giant") ) {
missionVariables.random_station_names_mfd_objectDataName = "Classification";
var icegiantclass = [
"Snowball", "Mermaid", "Cyclops", "Osprey", "Siren", "Cetus", "Jonah", "Lusca", 
"Melusine", "Ponaturi", "Rusalka", "Glaurung", "Beorn", "Draugen", "Morgoth", "Naiads", 
"Zaratan", "Unicorn", "Sphinx", "Mortis", "Pahau", "Echidna", "Lamia", "Shelob", 
"Tehanu", "Zombie", "Seraphina", "Werewolf", "Otranto", "Lorali", "Talon", "Yeti", 
"Walrus", "Mahaha", "Wendigo", "Barioth", "Kirin", "Chramine", "Kushala", "Alatreon", 
"Morlock", "Altiora", "Tesla", "Simian", "Elohim", "Lowell", "Moreau", "Huxley",
// Not Used - 48 Names in the Pool.
"Zamtrios"];
var icename = icegiantclass[planetCompJumper&47];
var icegiantending = "Planet";
if (system.ID > 127) var icegiantending = "World";
missionVariables.random_station_names_mfd_objectDetails = icename+" Class "+icegiantending;
return;
// Closing Bracket for Ice Giants
}
// Special Cases - The Pulsar and Lave's Moon..
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("(Stellar Remnant)") >= 0) {
missionVariables.random_station_names_mfd_objectType = "Pulsar";
missionVariables.random_station_names_mfd_objectDetails =  "Compressed Neutrons";
return;
}
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("(Nomadic Moon)") >= 0) {
missionVariables.random_station_names_mfd_objectType = "Moon";
missionVariables.random_station_names_mfd_objectDetails =  "Unusual Oolites";
}
// Close of function by returning here.
return;
// End of Whole ScanPlanets Function
}
// HERE!
// Function to Look Up the Designer for Ships, Stations and Carriers.
// Only run when the ASC target is changed and the new target is a Ship, Station or Carrier.
this.ScanShipsandStations = function() {
// To Optimise the Code, the Scan is broken into two big IF constions, one for Ships and one for stations.
// As there are a lot more types of ship than stations, the big check for ships is only done if the target actually is a ship not a station.
// As some ships have very genertic names these ones are tested first and act as defaults. The checks for other OXZ ships below will change the default if the ship is actually a different one.
// Classify Taxi Station Buoys as Buyos rather than Ships.
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Taxi Station Buoy") >= 0) {
missionVariables.random_station_names_mfd_objectType= "Station Buoy";
}
// Start of Ships Scan.
if (missionVariables.random_station_names_mfd_objectType === ("Ship") ||  missionVariables.random_station_names_mfd_objectType === ("Patrol Craft") 
|| missionVariables.random_station_names_mfd_objectType === ("Naval Vessel") || missionVariables.random_station_names_mfd_objectType === ("Carrier") 
|| missionVariables.random_station_names_mfd_objectType.indexOf("Escape Pod") >= 0) 
{
// Very Generic Names act as a Default. Lots of other OXZ use these names as well, so the Almanac will default to Neurath Avionics only if another OXZ does not over-ride this later in the check. 
// Gerege Federation Spaceworks (Boa, Boa Class Cruiser)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Boa") >= 0 || missionVariables.random_station_names_mfd_objectType.indexOf("Boa Class Cruiser") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Gerege Federation Spaceworks";
}
// Lakon Spaceways (Transporter)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Transporter") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("SDF Assault Lander") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Lakon Spaceways";
}
// Neurath Avionics (Baakili Far Trader, Corsair, Corsair Class Cruiser, Sunracer, Sunracer Scout, Manchi Wasp, Manchi Vulture, Scow, Far Arm Dart, Far Arm Hunter, Far Arm  Cruiser, Far Arm Tanker, Far Arm Tanker Trader, 
// Tanker SE, Far Arm Titan)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Baakili") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Tanker SE") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Sunracer") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Manchi Wasp") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Manchi Vulture") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Tanker Trader") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Corsair") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Dart") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Cruiser") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Hunter") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Tanker") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Scow") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Titan") >= 0 )
{
missionVariables.random_station_names_mfd_objectDetails = "Neurath Avionics";
}
// MandoTech Industries (Titanus, Quazar, Frizbee, Jade Shadow, MT1030 Corvair, MT1035 Corsair, MT2000 Brachiator, Comet, Paradox, Proseus, Persephone, Roc Mark I, Terror Bird, Lightning Bird, Thunder Bird,
// MT5000 Javelin, MT500 Arrow, MT50 Dart,  MT6000 Catapult, Sangreli Trader, Boomerang, MT1040 Shurken, MT1040 Shurken Ninja, MT1040 Shurken Escort, Petra, Sun Bird, Side Shooter, Ardvark, Eruptor, 
// Feramborini, Solar Wing, MT1012 Pitbull, MT950 Mastif, MT850 Bulldog, MT650 Terrier, MT1024 Explorer, VTBS Cruiser, Splatomator, Small Blimpy, Big Blimpy, Razzer, Gnash, Alpha Centauri, Sun Skipper,
// Apex, Slasher, Romulan Bird Of Prey, Razor, Piranha, Marauder, Firebird, Ventura, UHU, Troller, Terra, Star Moth, Snapper, Slug, Megaladon, Genesis, Elbereth, Diamond, Battle Barge, Ankalagon, Mantis, Green Hornet,
// Yellow Jacket, Fire Ant, Nova Bat, Sun Bat, Sun Bat Mark II.)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("MandoTech") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Titanus") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Quazar") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Frizbee") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("JadeShadow") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Jade Shadow") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("MT1030") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Corvair") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("MT1035") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Corsair") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("MT2000") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Brachiator") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Comet") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Paradox") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Proseus") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Persephone") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Roc") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Terrorbird") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Terror Bird") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Lightningbird") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Lightning Bird") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Thunderbird") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Thunder Bird") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("MT5000") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Javelin") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("MT500") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Arrow") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("MT50") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Dart") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf(" MT6000") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Catapult") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Sangreli") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Boomerang") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("MT1040") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Shurken") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Petra") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("SunBird") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Sun Bird") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("SideShooter") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Side Shooter") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Ardvark") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Eruptor") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Feramborini") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Solar Wing") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("SolarWing") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("MT1012") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Pitbull") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("MT950") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Mastif") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("MT850") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Bulldog") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("MT650") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Terrier") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("MT1024 Explorer") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("VTBS Cruiser") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Splatomator") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Blimpy") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Razzer") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Gnash") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Alpha Centauri") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("SunSkipper") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Sun Skipper") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Apex") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Slasher") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Romulan") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Bird Of Prey") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Bird of Prey") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Razor") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Piranha") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Marauder") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Firebird") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Fire Bird") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Ventura") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("UHU") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Troller") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Terra") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("StarMoth") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Star Moth") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Snapper") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Slug") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Megaladon") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Genesis") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Elbereth") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Diamond") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("BattleBarge") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Battle Barge") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Ankalagon") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Mantis") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Green Hornet") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Yellow Jacket") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Fire Ant") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("FireAnt") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("NovaBat") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Nova Bat") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("SunBat") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Sun Bat") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "MandoTech Industries";
}
// Blitzspear Clan (Assassin, Hoodlum, Mugger, Scoundrel, Spiv.)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Assassin") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Hoodlum") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Mugger") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Scoundrel") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Spiv") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Blitzspear Clan";
}
// Amen Avionics (Battleship, Biodome, Cruiseship, Hospitalship, Supercargo, Superlifter, Amen Class Yacht.)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Battleship") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Biodome") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Cruiseship") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Hospitalship") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Superlifter") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Supercargo") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Amen Class") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Amen Avionics";
}
// Commonwealth Spaceworks (Andromeda)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Andromeda") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Commonwealth Spaceworks";
missionVariables.random_station_names_mfd_objectType = "Starship";
}
// Sternax Consortium (S.T.E, Dragonfly S.T, Firefly ST.)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("S.T.E") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Dragonfly S.T") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Firefly ST") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Sternax Consortium";
}
// Halloween Witch
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Halloween Witch") >= 0)
{
missionVariables.random_station_names_mfd_objectType = "Night Hag";
missionVariables.random_station_names_mfd_objectDataName = "Caution";
missionVariables.random_station_names_mfd_objectDetails = "Supernatural Entity";
}
// Halloween Witch's Broom
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Damaged Broom") >= 0)
{
missionVariables.random_station_names_mfd_objectType = "Magic Item";
missionVariables.random_station_names_mfd_objectDataName = "Caution";
missionVariables.random_station_names_mfd_objectDetails = "Evocation Spell Detected";
}
//Sabre Solutions Ltd (Sabre, Fury, Deep Space Dredger,Super Dredger, Dredger Trader, Dredger Shuttle, Fury, Sabre, Dredger Salvage Droid, Dredger Battle Droid, Velocity 96, Velocity 150, Velocity 170, )
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Sabre") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Fury") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Dredger") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Dredger Shuttle") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Dredger Salvage Droid") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Velocity 9") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Dredger Battle Droid") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Dredger Trader") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Super Dredger") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Velocity 1") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Sabre Solutions Ltd";
}
//Staer Nine Industries (Cobra AC, Cobra S9, Chupacabra, Ghost Gunship, Ghost Raptor, Scout, Hauler P30, Spectre, Xeikil, Xeikil Mark II.)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Cobra AC") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Cobra S9") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Chupacabra") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("GHOST Gunship") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Staer9") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Scout") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Hauler P30") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Spectre") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Xeikil") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("GHOST Raptor") >= 0
)
{
missionVariables.random_station_names_mfd_objectDetails = "Staer Nine Industries";
}
// Seldar Shipyards (Imperial Courier, Cobra NjX, Swat Viper, Icarus Light Trader)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Imperial Courier") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("NjX") >= 0  
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("SWAT Viper") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Icarus") >= 0 )
{
missionVariables.random_station_names_mfd_objectDetails = "Seldar Shipyards";
}
// Pteradyne Technologies (Dragon Assault Craft, Excalibur, Paladin, Vendetta)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Dragon FB") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Dragon AN") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Dragon SE") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Dragon M") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Excalibur") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Paladin") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Vendetta") >= 0) 
{
missionVariables.random_station_names_mfd_objectDetails = "Pteradyne Technologies";
}
// Rorschachhamster Plc (Dragonette, Wyrm, Draco, Fruit Bat, Orion, Mega Bat)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Dragonette") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Wyrm") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Draco") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Fruit Bat") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("FruitBat") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Orion") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("MegaBat") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Mega Bat") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Rorschachhamster Plc";
}
// SoloTek Industries (Copperhead, Copperhead Mk II, Moccasin, Accipiter, Cobra X, Cobra Mark III-XT, Galaxian Trader, Cougar ST, Shuriken, Scimitar)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Copperhead") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Moccasin") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Accipiter") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Cobra X") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Cobra Mark III-XT") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Galaxian Trader") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Cougar ST") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Shuriken") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Scimitar") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "SoloTek Industries";
}
// Isis Interstellar (Werewolf, Vampire Varients, Venom, King Cobra. Phantom, Scorpius.)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Werewolf") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Vampire") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Venom") >= 0   || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("King Cobra") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Cobra Mark VI") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Cobra Mk VI") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Phantom") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Scorpius") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Escape Vessel") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Cobra MkVI") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Isis Interstellar";
}
// Murgh Security Systems Plc (Basilisk, Hydra, Leviathan, Rattle Cutter.)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Basilisk") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Hydra") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Leviathan") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Rattle Cutter") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Murgh Security Systems Plc";
}
// Taranis Corporation (Outrider, Navy Frigate)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Outrider") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Navy Frigate") >= 0 )
{
missionVariables.random_station_names_mfd_objectDetails = "Taranis Corporation";
}
// Griff Research Ltd  (Robotic Cargo Loader, Bulk Freighter, Griff Boa, Griff Krait. Aeron Class Frigate, Navy BattleBot Mark I, Navy BattleBot Mark II, BattleBot Control Drone, Navy Cluster-Bomb)
// Also assignies any ship which is explicetly called "Griff SOMTHING" to Griff Research Ltd unless it is on the list for Griff Industries.)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Robotic Cargo Loader") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("AutoLoader") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Bulk Freighter") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Aeron Class Frigate") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Navy BattleBot") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("BattleBot Control Drone") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Navy Cluster-Bomb") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Boa Class Frigate") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Griff Boa") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Griff Krait") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Griff ") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Griff Research Ltd";
} 
// Griff Industries (Black Monk Gunship, Gnat, Bug, GalMine Hopper, Griffin Mark I )
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Bug") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Holy Defender Mark") >= 0  
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Holy Avenger Mark") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Black Monk Gunship") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Gnat") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("GalMine Hopper") >= 0  
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Griffin Mk I") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Griffin Mark I") >= 0) 
{
missionVariables.random_station_names_mfd_objectDetails = "Griff Industries";
}
// Native Ships (Includes any Stations or OXZ Ships which in their backstory are designed by one of the Classic Elite Companies.
// Outworld Workshops (Adder, Ophidian)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Adder") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Ophidian") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Famous Number Five") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Outworld Workshops";
}
// Beerbaum and ThruSpace Inc (Anaconda)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Anaconda") >= 0 )
{
missionVariables.random_station_names_mfd_objectDetails = "Beerbaum and ThruSpace Inc";
}
// Checked before the Native Asp so that Wolfwoods Varients on the Asp are identified as a different ship to the Native Asp.
// Wolfwood Interstellar (Drake Mark I, Drake Mark II, Wolf Mark I, Cobra Courier, Cobra Rapier, Asp Mark I, Asp Explorer).  
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Drake") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Wolf Mk I") >= 0   
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Wolf Mark I") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Cobra Courier") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Cobra Rapier") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Drake Mk II") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Asp Mk I") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Asp Mark I") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Asp Explorer") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Wolfwood Interstellar";
}
// Zorgon Petterson Group (Asp Mark II, Fer-de-Lance, Mussurana, Monitor, Asp X, Fer-de-Pai)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Asp Mark II") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Fer de Lance") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Fer-de-Lance") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Monitor") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Mussurana") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Asp-X") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Asp X") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Ferdepai") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Fer-de-Pai") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Asp MkII") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Asp Mk II") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Peldorian Asp") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Valrisian's Asp") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Valrisian Hunter") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Valrisian's Hunters") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Asp Mark IV") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("SDF Asp") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Zorgon Petterson Group";
}
// Paynou Prossett & Salem (Cobra Mark I)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Cobra") >= 0 && missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("I") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Paynou Prossett & Salem";
}
// Cowell & MgRath (Cobra Mark III, Cobra Mark IV)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Cobra Mark III") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Cobra Mk III") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Cobra Mark IV") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Cobra Mk IV") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Cowell & MgRath Shipyards";
}
// Ace and Faber (Gecko)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Gecko") >= 0 )
{
missionVariables.random_station_names_mfd_objectDetails = "Ace and Faber";
}
// DeLacy ShipWorks (Krait)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Krait") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Training Fighter") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Asteroid Dodger") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Anarchist Enforcer") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "DeLacy ShipWorks";
}
//  Reorte Ship Federation (Mamba)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Mamba") >= 0 )
{
missionVariables.random_station_names_mfd_objectDetails = "Reorte Ship Federation";
}
//Marine Trench Co. (Moray Star Boat)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Moray") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Marine Trench Co";
}
//Whatt and Pritney. (Python)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Python") >= 0 )
{
missionVariables.random_station_names_mfd_objectDetails = "Whatt and Pritney";
}
//Saud-Kruger (Orbital Shuttle, Worm)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Orbital Shuttle") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Worm") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Tourist Shuttle") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("System Shuttle") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Saud-Kruger";
}
//Spalder and Starblaze Inc (Sidewinder)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Sidewinder") >= 0 )
{
missionVariables.random_station_names_mfd_objectDetails = "Spalder and Starblaze Inc";
}
// Faulcon Manspace Reorte (Viper, Iguana, )
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Viper") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Iguana") >= 0 )
{
missionVariables.random_station_names_mfd_objectDetails = "Faulcon Manspace";
}
//  Faulcon de Lacy (Viper Interceptor, Manta)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Viper Interceptor") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Manta") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Faulcon de Lacy";
}
// End of Defaults Lists - Second Check is done below for exceptions to the above rules.
//PA Grove Shipyards Inc (Aurora Galaxy Liner,  Diamond Class Shuttle, Attack Drone, ,Jade Class RunAbout,  Inter-System Ferry,  Lifeboat, Cruise Security Vessel, Saga Class Cruise Ship, Cruise Ship, Orisis Class Ferry, 
// Orisis Class Hospital Ship.)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Aurora Galaxy Liner") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Diamond Class Shuttle") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Attack Drone") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Jade Class RunAbout") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Inter-system ferry") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Lifeboat") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Cruise Security Vessel") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Saga Class Cruise Ship") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Orisis class") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("TSK ") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("ASL ") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Cruise Ship '") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "PA Groove Shipyards Inc";
}
// Benulobiweed Inc (Kestrel, Firefly, Swift, Merlin, Pallas, Tepiu, Lampyris, Millennium Falcon, Condor, Constitution Class Starship, Alcubierre)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Lampyris") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Kestrel") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Condor") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Falcon") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Firefly") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Swift") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Merlin") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Constitution") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Pallas") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Alcubierre") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Tepiu") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Benulobiweed Inc";
}
// Aegidian Spaceworks  (Ball Turret, Behemoth, Viper Mark II, Viper Cruiser, )
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Ball Turret") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Behemoth") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Viper Mark II") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Viper Mk II") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Viper Cruiser") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Task Force Juliet") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Freedom of Zabe") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Behemoth 2") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("ZRV Biarra") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("ZRV Esbeena") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("ZRV Inriisus") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("ZRV Ceused") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("ZRV Solaerin") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Aegidian Spaceworks";
}
// Apocalypse Systems (Aphid, Far Star Murderer, Grass Snake, Herald Military Gunboat, Penelope Class Freighter, Ulysses Class Interceptor, Telemachus Class Escort, Remorse of Conscience, Super Cobra)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Grass Snake") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Herald Military Gunboat") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Aphid") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Penelope Class Freighter") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Ulysses Class Interceptor") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Telemachus Class Escort") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Remorse Of Conscience") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Remorse of Conscience") >= 0  
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("SuperCobra") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Super Cobra") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Far Star") >= 0) 
{
missionVariables.random_station_names_mfd_objectDetails = "Apocalypse Systems";
}
// GalTech Industries (Arachnid, Chimera Gunship, Colonial Viper, Cylon Raider, Fireball XL5, Fireball XL5 Escape Module, GalTech Escort Fighter, GalTech Escape Pod GIC-E1, GalTech Escape Pod GIC-E2, Serpent Class Cruiser.)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Fireball Junior") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Colonial Viper") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("GalTech") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Arachnid") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Cylon Raider") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Chimera Gunship") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Serpent Class Cruiser") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Fireball") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("GNSS Serpent N-Class Cruiserl") >= 0) 
{
missionVariables.random_station_names_mfd_objectDetails = "GalTech Industries";
}
// Aquarian Shipbuilding Inc  (Vortex, Maelstrom, Shark, Barracuda, Manta Ray, Man O' War, Box Escort, Conger, Hawksbill, HammerHead Hauler Carrier, Orca Destroyer, Leviathan System Platform,
// Duma, Tembo, Chatu, Nyoka., Fuel Frame, Fuel Storage Tank, Fugu Tanker)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Vortex") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Maelstrom") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Shark") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Ring Segment") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Barracuda") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Manta Ray") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Man O' War") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Hammerhead") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Box Escort") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Conger") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Hawksbill") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("HammerHead") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Orca Destroyer") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Leviathan System Platform") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Duma") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Tembo") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Chatu") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Nyoka") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Fuel Frame") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Fuel Storage Tank") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("RRS Box") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("GNSS Orca Class Destroyer") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Fugu") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Quirium Fuel Tank") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Leviathan Defense Platform") >= 0 ) 
{
missionVariables.random_station_names_mfd_objectDetails = "Aquarian Shipbuilding Inc";
}
// Murgh Shipyards (Cougar, Salamander, Salamander,Hognose, Chicaneer Mk II, Chicaneer Mk IV, Cobra Clipper SAR, Advert DroidShip, Paddy Restaurant Junk, Trinket Schoolship, Trinket Examiner)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Cougar") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Salamander") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Cat Mark I") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Cat Mk I") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Hognose") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Bandy-Bandy") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Chuckwalla") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Eel Rapier") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Taipan") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Bandy Bandy") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Chicaneer") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Cobra Clipper") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Advert DroidShip") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Paddy Restaurant Junk") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Trinket Schoolship") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Trinket Examiner") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("SDF Courier") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("ATU Courier") >= 0
) 
{
missionVariables.random_station_names_mfd_objectDetails = "Murgh Shipyards";
}
// ADCK Transport Ltd (Bulk Hauler,Super Bulk Hauler, Long Range Cruiser, Lynx Bulk Carrier, Navy Lander, Navy Medical Ship, Navy Minesweeper, Navy Shuttle Navy Transport.Snark., Navy Light Destroyer, Navy Destroyer, Navy Tanker)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Bulk Hauler") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Long Range Cruiser") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Lynx Bulk Carrier") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Navy Lander") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Navy Medical Ship") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Navy Minesweeper") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Navy Shuttle") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Navy Transport") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Snark") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Navy Light Destroyer") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Navy Destroyer") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Navy Tanker") >= 0) 
{
missionVariables.random_station_names_mfd_objectDetails = "ADCK Transport Ltd";
}
// Vector Corporation (Vector)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Vector") >= 0) 
{
missionVariables.random_station_names_mfd_objectDetails = "Vector Corporation";
}
// Skavurzka Shipyards (Dark Rainbow)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Dark Rainbow") >= 0) 
{
missionVariables.random_station_names_mfd_objectDetails = "Skavurzka Shipyards";
}
// Aegidian Industries (Griffin Two, Chopped Cobra, Josher, Hamadryad, Naga, Ringhals, Asp-X,  Cobra2-C, Cobra2-X, Cobra Mk.II-X, Sidewinder-X, Pelamis, )
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Griffin Two") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Griffin Mark II") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Griffin Mk II") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Chopped Cobra") >= 0  
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Hamadryad") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Josher") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Naga") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Ringhals") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Asp Mark II Special") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Cobra 3.5") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Cobra Mk.II-X") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Pelamis") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Python Class Cruiser") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Python ET") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf(" Eunectes Turbo") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Sidewinder-X") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Cobra2") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Pelamis") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("SDF Cruiser") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Aegidian Industries";
}
// Amaliel Corporation (Wolf Mark II, )
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Wolf Mark II") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Wolf Mk II") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Amaliel Corporation";
}
// Retila Shipyard Cooperative (YellOo Cabs, Contractor Mk II, )
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("YellOo") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Contractor Mk I") >= 0
 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Contractor Mark I") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Retila Shipyard Cooperative";
}
// Achenar Naval Research (Osprey Attack Fighter, Naval Imperial Courier, Imperial Trader, Imperial Explorer, ) 
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Spy Courier") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Imperial Explorer") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Imperial Trader") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Osprey Attack") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Achenar Naval Research";
}
// Federal Research Directorate (Eagle Long Range Fighters, Falcon Attack Fighter, ) 
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Eagle Long Range Fighter") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Eagle Mk") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Eagle Mark") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Falcon Attack Fighter") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Federal Research Directorate";
}
// Perez Corporation (Harris Fighter) 
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Harris Fighter") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Perez Corporation";
}
// Hasbro Inc (Y-Wing)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf(" Y-Wing") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Y Wing") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Hasbro Inc";
}
// Incom Corporation (X-Wing)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf(" X-Wing") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("X Wing") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Incom Corporation";
}
// Kuat Systems (A-Wing)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf(" A-Wing") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("A Wing") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Kuat Systems";
}
// Slayn & Korpil (B-Wing)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf(" B-Wing") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("B Wing") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Slayn & Korpil";
}
// Ace Shipbuilding Co (Cruzer, Hornet, Night Adder) 
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Cruzer") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Hornet") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Night Adder") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Ace Shipbuilding Co";
}
// Marett Space Corp (Adder Mk II, Mosquito Sport, Mosquito Trader)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Mosquito Sport") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Mosquito Trader") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Adder Mk II") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Adder Mark II") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Adder Mk2") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Marett Space Corp";
}
// Skrounk Limited (All Stars Large Freighter, Seymour Class Cargo Sled, Starbelly Class Sled, Starhawk Class Cruiser,Starwolf.)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Stars Large Freighter") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Starbelly") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Starhawk") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Seymour Class") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Starwolf") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Skrounk Limited";
}
// Sienar Fleet Systems (Tie-Fighter, Tie-Interceptor)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Tie-") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("TIE Fighter") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("TIE Interceptor") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Sienar Fleet Systems";
}
// Far Arm Shipyards (Cobra Commodore, Porcupine, Python Courier.)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Cobra Commodore") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Porcupine") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Python Courier") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Far Arm Shipyards";
}
// Flying Circus Workshops (Bandersnatch, Jabberwocky, Morrigan)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Bandersnatch") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Jabberwocky") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Morrigan") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Flying Circus Workshops";
}
// Saleza Aeronautics (Bellatrix Cruiser, Rigel Tactical Bomber,Saiph Interceptor, )
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Bellatrix Cruiser") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Rigel Tactical Bomber") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Saiph Interceptor") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Bellatrix Leader") >= 0) 
{
missionVariables.random_station_names_mfd_objectDetails = "Saleza Aeronautics";
}
// Milinks Starships Inc (Boomslang, Urutu Mark III, Urutu Mark IV)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Boomslang") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Urutu") >= 0) 
{
missionVariables.random_station_names_mfd_objectDetails = "Milinks Starships Inc";
}
// Hatchling Racing Inc (BoyRacers.)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("BoyRacer") >= 0) 
{
missionVariables.random_station_names_mfd_objectDetails = "Hatchling Racing Inc";
}
// Udian Foraga Shulth (Caduceus Alpha, Caduceus Omega.)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Caduceus Alpha") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Caduceus Omega") >= 0 ) 
{
missionVariables.random_station_names_mfd_objectDetails = "Udian Foraga Shulth";
missionVariables.random_station_names_mfd_objectType = "BioShip";
}
// Nishikado Microsystems (Capisastra Warrior, Capisastra Hauler, Capisastra Defender.)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Capisastra Warrior") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Capisastra Defender") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Capisastra Hauler") >= 0) 
{
missionVariables.random_station_names_mfd_objectDetails = "Nishikado Microsystems";
}
// Executive SpaceWays (Delta Long-Range Escort, Gemini Escort, StarSeeker Personal Shuttle, Trident Executive Shuttle, Strelka Cruiseliner)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Delta Long-Range Escort") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Gemini Escort") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("StarSeeker Personal Shuttle") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Strelka Cruiseliner") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Trident Executive Shuttle") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("RRS Gemini") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("RRS Delta") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Starseeker: Yuri Batkov") >= 0) 
{
missionVariables.random_station_names_mfd_objectDetails = "Executive SpaceWays";
}
// Biarge United Shipyards (Far-de-Lance NG, Gecko Dragon Class)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Lance NG") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Gecko 'Dragon Class'") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Gecko 'Dragon Class''") >= 0) 
{
missionVariables.random_station_names_mfd_objectDetails = "Biarge United Shipyards";
}
// Draco Speedsters (Firewasp)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Firewasp") >= 0) 
{
missionVariables.random_station_names_mfd_objectDetails = "Draco Speedsters";
}
// Khan Corporation (Frog Space Rickshaw)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Rickshaw") >= 0) 
{
missionVariables.random_station_names_mfd_objectDetails = "Khan Corporation";
}
// Oresrian Hive Mind (Oresrian Trader)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Oresrian Trader") >= 0) 
{
missionVariables.random_station_names_mfd_objectDetails = "Oresrian Hive Mind";
}
// Heretic Security Ltd (Gaundlet Armoured Transport, Gaundlet Armoured Escort Viper.)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Gaundlet Armoured") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Armoured Transport") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Armoured Escort") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Heretic Security Ltd";
}
// Generation Ship (Special Case)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Generation Ship") >= 0) 
{
missionVariables.random_station_names_mfd_objectType = "Relic";
missionVariables.random_station_names_mfd_objectDataName = "Caution";
missionVariables.random_station_names_mfd_objectDetails = "Docking Prohibited";
}
// Portable Preachers Ltd (Pulpit Pods)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Happy Eye Preacher") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("CGC Missionary") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Witchspace Lobster Worshipper") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Zenarchy Monk") >= 0) 
{
missionVariables.random_station_names_mfd_objectDetails = "Portable Preachers Ltd";
}
// Romulus Interstellar (Imperial Censor, Imperial Lictor, Imperial Quaestor, Imperial Enforcer, Imperial Guard, Revolutionary Guard, Junta Enforcer, Imperial Banshee)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Imperial Censor") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Imperial Lictor") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Imperial Quaestor") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Imperial Enforcer") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Imperial Guard") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Revolutionary Guard") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Junta Enforcer") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Imperial Banshee") >= 0) 
{
missionVariables.random_station_names_mfd_objectDetails = "Romulus Interstellar";
}
// Remus Haulage Plc (Imperial Freighter, Imperial Tanker, Prison Ship, AutoLoader.)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Imperial Freighter") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Imperial Tanker") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Prison Ship") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Bulk Freighter") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("AutoLoader") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Sirius Tanker") >= 0) 
{
missionVariables.random_station_names_mfd_objectDetails = "Remus Haulage Plc";
}
// Ionics Corporation (Huntsman, Funnelweb, Redback, Whitetail)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Ionics ") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Link Vessel") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("RLF Vessel") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("RLF Fighter") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("RLF Leader") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Ramazan Government") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Funnelweb") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Redback") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Whitetail") >= 0) 
{
missionVariables.random_station_names_mfd_objectDetails = "Ionics Corporation";
}
// Fringe World Technologies (Ixian Battle Cruiser, Ixian Bezerka, Ixian Gunship, Ixian No-Ship, Ixian Freighter.)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Ixian ") >= 0) 
{
missionVariables.random_station_names_mfd_objectDetails = "Fringe World Technologies";
}
// Kuat Drive Yards (Imperial Star Destroyer.)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Star Destroyer") >= 0) 
{
missionVariables.random_station_names_mfd_objectDetails = "Kuat Drive Yards";
}
// Crimson Forge Dynamics (Kirin CV, Kirin XM, Kirin Military Transpor.)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Kirin CV") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Kirin XM") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Kirin Military Transport") >= 0) 
{
missionVariables.random_station_names_mfd_objectDetails = "Crimson Forge Dynamics";
}
// Tsierk Letaneya Bureau (Llama)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Llama") >= 0) 
{
missionVariables.random_station_names_mfd_objectDetails = "Tsierk Letaneya Designs";
}
// Oo-Haul Corporation (L-Crate Transporter)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Oohaul") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("L-Crate") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Oo-Haul") >= 0) 
{
missionVariables.random_station_names_mfd_objectDetails = "Oo-Haul Corporation";
}
// DTT Ship Builders Inc (D.T.T. Mark I, Heavy Metal  Hauler, Wraith, Tomahawk, Manta, Cyclops, Galaxy Liner, Space Zeppelin, Atlas, Snake Charmer, Kraken, War Lance, Heart of Gold, Planet Express)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("DTT ") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("D.T.T. ") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Heavy Metal ") >= 0) 
{
missionVariables.random_station_names_mfd_objectDetails = "DTT Ship Builders Inc";
}
// Medicus Dynamics (Longshot, )
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Longshot") >= 0) 
{
missionVariables.random_station_names_mfd_objectDetails = "Medicus Dynamics";
}
// Nauarchus Corporation (Military Stingray, )
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Military Stingray") >= 0) 
{
missionVariables.random_station_names_mfd_objectDetails = "Nauarchus Corporation";
}
// Spaulder Bros Salvage (Phoenix)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Phoenix Mark I") >= 0) 
{
missionVariables.random_station_names_mfd_objectDetails = "Spaulder Bros Salvage";
}
// Martins Modifications (Refugee Adder)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Refugee Adder") >= 0) 
{
missionVariables.random_station_names_mfd_objectDetails = "Martins Modifications";
}
// Santa
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Santa's Sleigh") >= 0)
{
missionVariables.random_station_names_mfd_objectDataName = "Composition";
missionVariables.random_station_names_mfd_objectType= "Manifestation";
missionVariables.random_station_names_mfd_objectDetails = "Full of Christmas Spirit";
}
// Santa's Hat (appears if killed)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Poor Santa's Tattered Hat!") >= 0 )
{
missionVariables.random_station_names_mfd_objectDataName = "Composition";
missionVariables.random_station_names_mfd_objectType= "Garment";
missionVariables.random_station_names_mfd_objectDetails = "Bloodstained Cloth";
}
// Gifts (appears if killed)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget === ("Gifts"))
{
missionVariables.random_station_names_mfd_objectDataName = "Contents";
missionVariables.random_station_names_mfd_objectType= "Magic Item";
missionVariables.random_station_names_mfd_objectDetails = "Presents";
}
// Santa's Escorts
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("North Pole Security Squad") >= 0 )
{
missionVariables.random_station_names_mfd_objectDataName = "Caution";
missionVariables.random_station_names_mfd_objectType= "Reindeer";
missionVariables.random_station_names_mfd_objectDetails = "Armed Bioweapon";
}
// The Tardis and Time Travelling WonderWorms. 
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Tardis") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Time Raider") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("WonderWorm") >= 0)
{
missionVariables.random_station_names_mfd_objectDataName = "Caution";
missionVariables.random_station_names_mfd_objectType= "Time Machine";
missionVariables.random_station_names_mfd_objectDetails = "Temporal Anomaly";
}
// Rendell Starships Inc (Spearhead Interceptor)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Spearhead Interceptor") >= 0) 
{
missionVariables.random_station_names_mfd_objectDetails = "Rendell Starships Inc";
}
// Thruttles Workshops (Teretrurus)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Teretrurus") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Purple Haze") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Shield Tail'") >= 0) 
{
missionVariables.random_station_names_mfd_objectDetails = "Thruttles Workshops";
}
// Tesoura (Saeder-Krupp Industries)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Tesoura") >= 0) 
{
missionVariables.random_station_names_mfd_objectDetails = "Saeder-Krupp Industries";
}
// Cyber Systems Inc (Tiger Mark I)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Tiger Mark I") >= 0) 
{
missionVariables.random_station_names_mfd_objectDetails = "Cyber Systems Inc";
}
// Imperial Industries Consortium (Drop Shuttle, Imperial Shuttle, Lambda Shuttle, Lambda Freighter T5-F01, Lambda Freighter T5-F02, Lambda Hospital Ship T5-F01.)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Drop Shuttle") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Lambda ") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Imperial Shuttle") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Landing Craft") >= 0) 
{
missionVariables.random_station_names_mfd_objectDetails = "Imperial Industries Consortium";
}
// Mandel & Earls Ltd (Firefly Class Transport)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Firefly Class Transport") >= 0) 
{
missionVariables.random_station_names_mfd_objectDetails = "Mandel & Earls Ltd";
}
// Erlage State Design Bureau (Chrysopelea Mark I)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Chrysopelea") >= 0) 
{
missionVariables.random_station_names_mfd_objectDetails = "Erlage State Design Bureau";
}
// Johnson Avionics (Eagle Transporter, Eagle Escort)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Eagle Transporter") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Eagle Escort") >= 0) 
{
missionVariables.random_station_names_mfd_objectDetails = "Johnson Avionics";
}
// Skunkworks Dynamics (Green Gecko)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Green Gecko") >= 0) 
{
missionVariables.random_station_names_mfd_objectDetails = "Skunkworks Dynamics";
}
// SIRFCorp Construction (Worm Prospector)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Worm Prospector") >= 0) 
{
missionVariables.random_station_names_mfd_objectDetails = "SIRFCorp Construction";
}
// Onrira Orbital Shipyards (Bushmaster)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Bushmaster") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Onrira Orbital Shipyards";
}
// Arden Cooperative (Chameleon, Ghavial)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Chameleon") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Ghavial") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Arden Cooperative";
}
// Walch & Svengali Systems (GRS Guanako, GRS Controller, GRS Shuttle, GRS Armadillo)
if ( missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("GRS Controller") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("GRS Shuttle") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("GRS Guanako") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("GRS Armadillo") >= 0 )
{
missionVariables.random_station_names_mfd_objectDetails = "Walch & Svengali Systems";
}
// Koneko Industries (Koneko Kobra Mk1, Koneko Kobra Mk2, Kestros Mk4, Takina Class Cruiser, Massasauga, Genisis KI-Blue) 
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Koneko") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Kobra") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Koneko") >= 0  
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Kestros") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Kobra M") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Takina Class Cruiser") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Massasauga") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Genisis KI-Blue") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Anguis Primus") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Koneko Industries";
}
//  CoachWhip Inc. (CoachWhip Liner, Anaconda Liner, Coral StarLiner, Moray Transport, Woma Fuel Transport)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("CoachWhip") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Anaconda Liner") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Coral StarLiner") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Moray Transport") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Woma Fuel Transport") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Tianve Tourist StarLiner") >= 0) 
{
missionVariables.random_station_names_mfd_objectDetails = "CoachWhip Inc";
}
//  Chivalric Spaceworks (Jaeger, Korvette, Zerstoerer)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Jaeger") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Korvette") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Zerstoerer") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Feudal Freighter") >= 0) {
missionVariables.random_station_names_mfd_objectDetails = "Chivalric Spaceworks";
}
// Fancy Classics Ltd (Croydon Starsoarer, Navy Tender, Strike Carrier).
if ( missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Croydon Starsoarer") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Navy Tender") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Strike Carrier") >= 0) 
{
missionVariables.random_station_names_mfd_objectDetails = "Fancy Classics Ltd";
}
//Smivs Shipyards Plc  (Boa Clipper, Python Clipper.)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Boa Clipper") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Python Clipper") >= 0) 
{
missionVariables.random_station_names_mfd_objectDetails = "Smivs Shipyards Plc";
}
//Coluber Inc (Cribo Mark II Chicaneer,  Cribo Mark IV Chicaneer, Kukri Mark I, Kukri Mark II Dragster, Pit Viper,)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Cribo Mark") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Kukri Mark") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Pit Viper") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Pitviper") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Dragster") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Coluber Inc";
}
// RRS Group Manufacturing (Arafura)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Arafura") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "RRS Group Manufacturing";
}
// Orbital Spaceworks Ltd (Scavenger Phoenix, Renegade Phoenix)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Scavenger Phoenix") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Renegade Phoenix") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Orbital Spaceworks Ltd";
}
// Robin Foam Metalworks (Sonoran)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Sonoran") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Robin Foam Metalworks";
}
// Medical Designs Technology (Isis Medical Craft, Medical Shuttle)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Isis Medical Craft") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Medical Shuttle") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Medical Designs Technology";
missionVariables.random_station_names_mfd_objectType= "Lifeboat";
}
// Isis Interstellar (Isis Space Boat,GalCop Isis Space Boat.)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Isis Space Boat") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Isis Interstellar";
missionVariables.random_station_names_mfd_objectType= "Lifeboat";
}
// Grand Tourer Spaceworks (Veloce e Appuntita)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Veloce e Appuntita") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Grand Tourer Spaceworks";
}
// Radical Logistics (Yasen-N, Skat, Lira)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Yasen-N") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Skat") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Lira") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Radical Logistics";
}
// AviaNautics Inc (Secretary Bird)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Secretarybird") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Secretary Bird") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "AviaNautics Inc";
}
// Silver Knight Shipyards (SKS Plasma, Light, Panther Clipper, Predator, Rhino, Spaceliner)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("SKS ") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Panther Clipper") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Silver Knight Shipyards";
}
// Red Neck Rocketscience (Stormbrewer)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Stormbrewer") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Red Neck Rocketscience";
}
// Tiared Aerodynamics Unit (Rockhopper)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Rockhopper") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Tiared Aerodynamics Unit";
}
// Tsoojov Engineering (TEC Apep Mk II)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("TEC Apep Mk II") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Tsoojov Engineering";
}
// Joist Industries (Tiger Trader)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Tiger Trader") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Joist Industries";
}
// Eisel Aerodynamics (Xarik Spaceplane)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Xarik") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Eisel Aerodynamics";
}
// Dastardly Dragsters Inc (AGR Racers, Vamp Racer, Spitting Cobra, Red Racer)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("AGR-") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Vamp Racer") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Hood-SpittingCobra") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Red Racer") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Dastardly Dragsters Inc";
}
// Starship Design Works (Mamushi Light Fighter, Osoroshii Carrier.)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Mamushi") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Osoroshii") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Starship Design Works";
}
// Morbius Propulsion Ltd (RocketShip.)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("RocketShip") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Morbius Propulsion Ltd";
}
// Zeke Consortium (Zeke Mining Transporter)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Mining Transporter") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Zeke") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("MiningTransporter") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Zeke Consortium";
}
// Ramon Security Ltd (Armoured Passenger Transport, Nemesis Mark I, Special Branch Asp Mark III, Military Wasp EX-01, Hooded Cobra, Mongoose Fighter, Scorpion Frigate, Daemon Class Cruiser)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Mongoose Fighter") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Mongoose: Eszausveian Navy") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Mega Asp Mark III") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Scorpion Frigate") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Daemon Class Cruiser") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Nemesis Mark I") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Armoured Passenger Transport") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Wasp EX-01") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Hooded Cobra") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Ramon Security Ltd";
}
// Soin Classic Shipyards (Vintage Adder, Mega Mamba, Mega Krait, Mega Fer-de-Lance, Krait Interceptor.)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Vintage Adder") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Mega Mamba:") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Mega Fer-de-Lance:") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Mega Krait:") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Krait Interceptor:") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Soin Classic Shipyards";
}
// Wyvern Aerodynamics Inc (PTSF 200-X3)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("PTSF 200-X3") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Wyvern Aerodynamics Inc";
}
// Hacker Vipers & Renegade Vipers (Special Cases)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Hacker Viper") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Renegade Viper") >= 0)
{
missionVariables.random_station_names_mfd_objectDataName = "Caution";
missionVariables.random_station_names_mfd_objectDetails = "Stolen Vessel";
}
// Big Boulders
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Boulder") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Big Boulder") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Big boulder") >= 0) 
{
missionVariables.random_station_names_mfd_objectDataName = "Composition";
missionVariables.random_station_names_mfd_objectType= "Boulder";
missionVariables.random_station_names_mfd_objectDetails = "Mineral Rich Rock";
}
// Ice Boulders
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Ice Boulder") >= 0) 
{
missionVariables.random_station_names_mfd_objectDataName = "Composition";
missionVariables.random_station_names_mfd_objectType= "Ice Boulder";
missionVariables.random_station_names_mfd_objectDetails = "Mineral Rich Ice";
}
// Numinor Technologies (Odyssey U31)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Odyssey U31") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Numinor Technologies";
}
// Gordian Avionics (Gigantophis Hauler)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Gigantophis") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Gordian Avionics";
}
// Black Sea Shipyards (Astromine Guard)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Astromine Guard") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Black Sea Shipyards";
}
// Ministry of Truth  (Thought Police Ray)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Thought Police") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Ministry of Truth";
}
// Ministry of Love  (People's Police Ray)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("People's Police") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Ministry of Love";
}
//  Ministry of Peace  (Military Ray)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Military Ray") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Ministry of Peace";
}
// Amur Shipbuilding Plant (Giant Ray, Sun Ray)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Giant Rayi") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Sun Ray") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Amur Shipbuilding Plant";
}
// Ural Machine Works (Workers' Commuter)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Workers' Commuter") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Ural Machine Works";
}
// Komsomol Design Bureau (Commissar Limousine, Commissar Escape Pod.)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Commissar Limousine") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Commissar Escape Pod") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Prisoner Transport DK-332") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Prisoner Transport DK-332") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Komsomol Design Bureau";
}
// Sredne Nevskiy ManSpace (Astrogulag Mining Pod )
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Mining Pod: Astromine Convict") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Mining Pod: Escaped Convict") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Sredne Nevskiy ManSpace";
}
// Draconian Aerodynamics (Bien Naval Interceptor)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Bien Naval Interceptor") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Draconian Aerodynamics";
}
// Peldorian Industries (Drug Factory, Tarantula)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Drug Factory") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Tarantula") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Peldorian Industries";
}
// Ramirez Construction Plc (Imperator)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Imperator") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Ramirez Construction Plc";
}
// Unregistered Aliens (Smivs Alien Ships) - Tested here as they have Yellow Scan Class.
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Alien Scavenger" ) >= 0   || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Alien Traveller") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Alien Hunter") >= 0)   
{
missionVariables.random_station_names_mfd_objectDataName = "Caution";
missionVariables.random_station_names_mfd_objectType= "Alien Ship";
missionVariables.random_station_names_mfd_objectDetails = "Unregistered Alien Vessel";
}
// HERE! - End of Ships Database
// Mission Ship Over-Rides,
// Assassins Mission Ships - Only Checked if in Galaxy 7.
if (galaxyNumber === 6) {
// Malfunctioning BattleBots
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Malfunctioning BattleBot") >= 0)
{
missionVariables.random_station_names_mfd_objectDataName = "Danger";
missionVariables.random_station_names_mfd_objectDetails = "Asimov Chip Disabled";
}
// Malfunctioning BattleBot Control Drone
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Guild Target : Control Drone - 60,000C") >= 0)
{
missionVariables.random_station_names_mfd_objectDataName = "Danger";
missionVariables.random_station_names_mfd_objectDetails = "Asimov Chip Disabled";
missionVariables.random_station_names_mfd_almanacDisplayTarget = "BattleBot Control Drone: HAL-9001";
}
// Inspector Thorstan's Asp Mark III
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Guild Target : Inspector Thorstan - 40,000C") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Ramon Security Ltd";
missionVariables.random_station_names_mfd_almanacDisplayTarget = "Mega Asp Mark III: Last Stand";
}
// GSS Indefatigable
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Guild Target : GSS Indefatigable - 80,000C") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Griff Research Ltd";
missionVariables.random_station_names_mfd_almanacDisplayTarget = "Aeron Class Frigate: GSS Indefatigable";
}
// ESS Defiant
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Guild Target : ESS Defiant - 100,000C") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Ramon Security Ltd";
missionVariables.random_station_names_mfd_almanacDisplayTarget = "Daemon Class Cruiser: ESS Defiant";
}
// The Balrog Class Dreadnaught
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Guild Target : Balrog Dreadnaught - 90,000C") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Balrog Class Dreadnaught") >= 0)
{
missionVariables.random_station_names_mfd_objectDataName = "Danger";
missionVariables.random_station_names_mfd_objectDetails = "Hostile Unregistered Vessel";
missionVariables.random_station_names_mfd_almanacDisplayTarget = "Balrog Dreadnaught: ESS Fowl Play";
}
// Zarausxeian Hockey Team Armoured Liner.
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Guild Target : Hockey Team - 5,000C") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Ramon Security Ltd";
missionVariables.random_station_names_mfd_almanacDisplayTarget = "Armoured Liner: Pride of Zarausxe";
}
// Boss Yankisona's PTSF 200-X3.
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Guild Target : Boss Yankisona - 70,000C") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Wyvern Aerodynamics Inc";
missionVariables.random_station_names_mfd_almanacDisplayTarget = "PTSF 200-X3: Toil and Trouble";
}
//Closing Backet for Galaxy 7 Mission Ship Check.
}
// Last Check for Ships so Classified Ships will always be described as Classified.
// Some Ships and Stations GalCop may know who designed them. But they are not telling the public in general.
// "Classified" (Native Constrictor, Area Defence Cannon, Hyperspace Jumpgate, Tug-Ship, Plasma Sentry Drone, Defence Cannon)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Area Defence Cannon") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Hyperspace Jumpgate") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Constrictor") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Tug-Ship") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Plasma Sentry Drone") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Defence Cannon") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Black Widow") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Starstrike: Major Cherkasova") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("unknown mass") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Soviet Starstrike") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("AHC Kraken IV") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Navy Raptor") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Raptor Defense Interceptor") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Kamikaze Orbiter") >= 0  
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Kamikaze Drone") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("(Komodo Class)") >= 0
) 
{
missionVariables.random_station_names_mfd_objectDetails = "Classified";
}
// Closing Bracked for Ships Check
}
/// Stations.Check.
if (missionVariables.random_station_names_mfd_objectType === ("Station") ||  missionVariables.random_station_names_mfd_objectType === ("Hermitage") 
|| missionVariables.random_station_names_mfd_objectType === ("Station Buoy") || missionVariables.random_station_names_mfd_objectType === ("Carrier") ) 
{
// Isis Interstellar (Nuit Space Station, Koneko Industries HQ)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Nuit Station") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Koneko Industries HQ") >= 0 )
{
missionVariables.random_station_names_mfd_objectDetails = "Isis Interstellar";
}
// Defaults - Ships and Stations with the Key words in Defaults are automatically assigned as below unless otherwise specified.
//  Beeb Projects Inc (Cloud City) - Tested right at the start to avoid it getting miss-assigned as Cloud City can be used as a Station Name!
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Cloud City") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Beeb Projects Inc";
}
// Native Stations.
// GASEC Aerodynamics (All Native Stations except Rock Hermits)
// As in the native game all the Geometric Stations are made by GASEC any station which has the same name is also credited to GASEC unless it is on the exceptions list below.
// IE If an OXZ is re-skinning a Coriolis Station (eg Gritty Coriolis) then it will be credited to GASEC as the station is still a Coriolis Station, but with a non-standard coat of paint.
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Coriolis Station") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Dodecahedron Station") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Icosahedron Station") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Training Station") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Leesti High") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Raceedat Station") >= 0) {
missionVariables.random_station_names_mfd_objectDetails = "GASEC Aerodynamics";
}
// OXZ Stations.
//PA Grove Shipyards Inc (RedTec Coriolis Station, SolarTec Coriolis Station, Emerald Class Liner, Tigershark Liner)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("RedTec") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("SolarTec") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Emerald Class Liner") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Tigershark") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("TSK ") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("ASL ") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Cruise Ship '") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Orisis class") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "PA Groove Shipyards Inc";
}
// Soin Classic Shipyards (The Soin Family Burrow, The Galactic Cup Stadium, )
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("The Soin Family Burrow") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("The Galactic Cup Stadium") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Soin Classic Shipyards";
}
// Obnoxicorp (Torus)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Torus") >= 0) {
missionVariables.random_station_names_mfd_objectDetails = "Obnoxicorp Amalgamated";
}
// SIRFCorp  (SIRF Station, )
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("SIRF Station") >= 0
) {
missionVariables.random_station_names_mfd_objectDetails = "SIRFCorp Construction";
}
// DeepSpace Construction (Deepspace Coriolis, Dodo & Icosahedron Variants,
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("DS-A1 Coriolis") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("DS-A1 Dodecahedron") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("DS-A1 Icosahedron") >= 0 )
{
missionVariables.random_station_names_mfd_objectDetails = "Deep Space Construction";
}
// Solo & Groove Enterprises (Metaforce Coriolis Station, )
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Metaforce") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Solo & Groove Enterprises";
}
// Sun Ra Ra Plating Ltd (RaTech Gold Coriolis Station, )
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("RaTech") >= 0 )
{
missionVariables.random_station_names_mfd_objectDetails = "Sun Ra Ra Plating Ltd";
}
//Hive Intergalactic Plc (Waspline Coriolis Station, )
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Waspline") >= 0 )
{
missionVariables.random_station_names_mfd_objectDetails = "Hive Intergalactic Plc";
}
// Axtech Budget Habitats Inc (Axtech Dodecahedron Station )
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Axtech") >= 0 )
{
missionVariables.random_station_names_mfd_objectDetails = "Axtech Budget Habitats Inc";
}
// GASEC NanoMainframes (GASECBlue Dodecahedron Station, Constellation Icosahedron Station)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("GASE Dodecahedron") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("GASECBlue Dodecahedron Station") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Constellation Icosahedron Station") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("PG-C1 Icosahedron") >= 0 )
{
missionVariables.random_station_names_mfd_objectDetails = "GASEC NanoMainframes";
}
// Trontech Vulcan Ltd (Trontech Vulcan Dodecahedron Station, LX5 Dodecahedron Station, )
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("LX5 Dodecahedro") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Trontech Dodecahedron") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Trontech Vulcan Dodecahedron Station") >= 0  
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("LX5 Dodecahedron Station") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Trontech") >= 0 )
{
missionVariables.random_station_names_mfd_objectDetails = "Trontech Vulcan Ltd";
}
// FrontierTech (FrontierTech Worldranger Icosahedron Station, )
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("FrontierTech") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Worldranger") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("PG-W1 Icosahedron") >= 0 )
{
missionVariables.random_station_names_mfd_objectDetails = "FrontierTech";
}
// Worldbuilders Inc (Worldbuilders Icosahedron Station, )
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Worldbuilders") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Worldbuilders Icosahedron Station") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("PG-W2 Icosahedron") >= 0 )
{
missionVariables.random_station_names_mfd_objectDetails = "Worldbuilders Inc";
}
//Zieman Environments Ltd (Zieman Habitat, Zieman Habitat Mark II)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Habitat Mark II") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Zieman Habitat") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Zieman Environments Ltd";
}
// GASEC Mobile Orbitals (Super Hub)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Super Hub") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Superhub") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "GASEC Mobile Orbitals";
}
//Troomp Enterprises Inc (Sothis Station) 
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Sothis Station") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Troomp Enterprises Inc";
}
//MandoTech Industries (MandoTech Station)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("MandoTech") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "MandoTech Industries";
}
// Stormrider Stations Inc (Darkside Distillery, Moonshine Saloon)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Darkside Distillery") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Moonshine Saloon") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Saloon: ") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Distillery: ") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Stormrider Stations Inc";
}
// Teamsters Inc (Wiseguy Waystation)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Wiseguy Waystation") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Teamsters Inc";
}
// Dawon Construction Plc (The Augeaian Orbital Repair Facility)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Augeaian Orbital Repair Facility") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Dawon Construction Plc";
}
// Tarkin Entertainments (Hoopy Hotels)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Hoopy Hotel") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Tarkin Entertainments";
}
// Joy Camp Habitats (Commies Penal Colonys)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Penal Colony") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Astromine Prison Facility") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Joy Camp Habitats";
}
// Ramirez Construction Plc (Tourist Information Centre, Communications Station, Fuel Reprocessing Facility, Imperator)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Tourist Information Centre") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Communications Station") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Fuel Reprocessing Facility") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Imperator") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Ramirez Construction Plc";
}
// OKB Korshkov Ltd (Korshkov Test Facility)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Korshkov") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "OKB Korshkov Ltd";
}
//  Ideal Apartments Ltd (Luftslotte 6)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Luftslotte 6") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Ideal Apartments Ltd";
}
//  Lupin & McLane (Salvage Gang, Hacker Outpost)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Salvage Gang") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Hacker Outpost") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Lupin & McLane";
}
// UniMine Engineering Ltd (Mining Outposts)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Slaver Base") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Mining Outpost") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("(Plague Infection - Stay Away!)") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "UniMine Engineering Ltd";
}
// Taranis Corporation (Taranis Corporation HQ)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Taranis Corporation HQ") >= 0 )
{
missionVariables.random_station_names_mfd_objectDetails = "Taranis Corporation";
}
// Storm Communications (News Arrays)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Rooters Array") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Views of the Worlds") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("GNN Array") >= 0  
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Daily Wail Array") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("G5TVN Array") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("StarSports Array") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Snoopers Array") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Tionisla Chronicle Array") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Broadcast Array") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Storm Communications";
}
// Wild Ships Manufacturing (Lave Academies)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf(system.name) >= 0 && missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Academy") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Wild Ships Manufacturing";
}
// Blaze Habitats Plc (Free Trade Zone).
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Free Trade Zone") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Blaze Habitats Plc";
}
//Triumvirate Construction (Imperial AstroFactory, )
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Imperial AstroFactory") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Astrofactory") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Triumvirate Construction";
}
//Rubin Design Bureau (SLAPU Stations)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("SLAPU") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Solar Research Laboratory") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Rubin Design Bureau";
}
//Baltic Shipyards (ZGF Stations)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("ZGF") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Baltic Shipyards";
}
// Caeles & Nil Engineering (Transhab Station)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("TransHab Station") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Caeles & Nil Engineering";
}
// Holdstock Architecture Ltd (Tionisla Orbital Graveyard)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Tionisla Orbital Graveyard") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Holdstock Architecture Ltd";
}
// Sabre Solutions Ltd (Saber's BioSphere Station)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Biosphere") >= 0 )
{
missionVariables.random_station_names_mfd_objectDetails = "Sabre Solutions Ltd";
}
//  Walch & Svengali Systems (GRS Buoy Factory, GRS Station Buoy.)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("GRS Station Buoy") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("GRS Buoy Factory") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Walch & Svengali Systems";
}
// Koneko Industries (Ryan's Villa) 
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Ryan's Villa") >= 0 )
{
missionVariables.random_station_names_mfd_objectDetails = "Koneko Industries";
}
// CoachWhip Inc. (HoOpy Casino)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("HoOpy Casino") >= 0 ) 
{
missionVariables.random_station_names_mfd_objectDetails = "CoachWhip Inc";
}
//  Chivalric Spaceworks (Hunting Lodge)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Hunting Lodge") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Royal Lodge") >= 0) {
missionVariables.random_station_names_mfd_objectDetails = "Chivalric Spaceworks";
}
// Fancy Classics Ltd (Simon B's Neo-Oolite Coriolis and Dodo Varients).
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("N-A1 Coriolis") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("N-X1 Dodecahedron") >= 0) 
{
missionVariables.random_station_names_mfd_objectDetails = "Fancy Classics Ltd";
}
//Smivs Shipyards Plc  (Smivs Coriolis, Dodo & Icosahedron Variants, Space Pizza Giftshops.)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("S-A1 Coriolis") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("S-A1 Dodecahedron") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("S-A1 Icosahedron") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Space Pizza Giftshop") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Smivs Shipyards Plc";
}
//Marine Trench Co. (Greenline Coriolis Station)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Greenline ") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Marine Trench Co";
}
//Dertien Corporation (Tetrahedron Depot, Octahedron Outpost, G-X1 Icosahedron, G-Z1 Dodecahedron G-X1 Coriolis, G-Z1 Dodecahedron, G-Z1 Icosahedron)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("G-Z1 Tetrahedron") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Tetrahedron Depot") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("G-Z1 Octahedron") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Octahedron Outpost") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("G-X1 Icosahedron") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("G-X1 Coriolis") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("G-Z1 Dodecahedron") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("G-Z1 Icosahedron") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("G-Z2 Tetrahedron") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Tetrahedron Depot") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("G-Z2 Octahedron") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Octahedron Outpost") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Dertien Corporation";
}
//Murgh Shipyards (Globe Stations, Military Stations, Sentinel Stations, Renegade Stations)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("M-G2 Globe") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("M-G3 Globe") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Globe Station") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Military Station") >= 0  
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Renegade Station") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Sentinel Station") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("SecCom Station") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Murgh Shipyards";
}
// Griff Research Ltd  (Griff Research Orbital Base)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Griff Research Orbital Base") >= 0 )
{
missionVariables.random_station_names_mfd_objectDetails = "Griff Research Ltd";
} 
// Griff Industries (Imperial Dodecahedron, Mayan Dodecahedron, CK-A1 Dodecahedron, Trade Outpost, Seedy Space Bars, Black Monk Monastery.) 
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("CK-I1 Dodecahedron") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Mayan Dodecahedron") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("CK-A1 Dodecahedron") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Capt Kev") >= 0  
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Trade Outpost") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Space Bar") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Monastery") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Transit Station") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Griff Outpost") >= 0) 
{
missionVariables.random_station_names_mfd_objectDetails = "Griff Industries";
}
// SoloTek Industries  (Proto-Coriolis Station, GalCop 'Friendship' Station, GalCop 'Wonder' Station)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Proto-Coriolis Station") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("GalCop 'Friendship' Station") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("GalCop 'Wonder' Station") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "SoloTek Industries";
} 
// Coluber Inc (Sodalite Station.)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Sodalite") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Coluber Inc";
}
// Aquarian Shipbuilding Inc  (Kiota Stations, Aquarian Shipbuilding Corp. HQ, Gateway Stations.)
// Tested After Sabre's BioSphere  as then if it is actually a Kiota Biosphere it is picked up under the test for Koota and assigned to the Aquarian Shipbuilding Corp. instead. 
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Kiota") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("KHS-") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("KOS-") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Aquarian Shipbuilding Corp. HQ") >= 0  
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Gateway Station") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Ring Segment") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("KHS Orbital") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("KOS Orbital") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Spider Class Jump Gate") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Rose Class Jump Gate") >= 0) {
missionVariables.random_station_names_mfd_objectDetails = "Aquarian Shipbuilding Inc";
}
// Aegidian Spaceworks  (Special Branch Orbital Headquaters, Military Base, Diso B, Pulsar Monitoring Station.)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Special Branch Orbital Headquaters") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Military Base: Red Devil") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Diso B") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Pulsar Monitoring Station") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Aegidian Spaceworks";
}
// RRS Group Manufacturing (RRS Waystation, RRS Headquarters)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("RRS Waystation") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("RRS Headquarters") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("RRS Galactic Headquarters Buoy") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("RRS Waystation Buoy") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "RRS Group Manufacturing";
}
// La Verde Construction (Avernus Orbital)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Avernus Orbital") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "La Verde Construction";
}
// Special Case - Captured Alien Jump Gates
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Alien Class Jump Gate") >= 0)
{
missionVariables.random_station_names_mfd_objectDataName = "Caution";
missionVariables.random_station_names_mfd_objectDetails = "Captured Alien Technology";
}
// Special Case - Erehwon Station
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Erehwon Station") >= 0)
{
missionVariables.random_station_names_mfd_objectDataName = "Caution";
missionVariables.random_station_names_mfd_objectDetails = "Unregistered Station";
}
// HERE! - End of Stations Database.
// Last Check for Stations so Classified Stations will always be described as Classified.
// Some Ships and Stations GalCop may know who designed them. But they are not telling the public in general.
// "Classified" (Navy Intelligence Station, Navy Base, Interstellar Bastion, Interstellar Outpost)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Navy Intelligence Station" ) >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Navy Base") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Interstellar Bastion") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Interstellar Outpost") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Imperial Navy Headquarters") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Imperial Navy Base") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Imperial Navy Outpost") >= 0) 
{
missionVariables.random_station_names_mfd_objectDetails = "Classified";
}
// Over-Ride Object Types for Stations.
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Class Jump Gate") >= 0 ) missionVariables.random_station_names_mfd_objectType= "Portal";
// Closeing Bracket for Stations Check
}
// Over-Rides - This section of the Script is run regarless of Object Type so will over-ride anything assigned on either the ship or station check.
// Ad-X Corporation (Con Store Stations, Terascreens, Billboards & Ad-X Towing Drones / Screens, Mobile Ad Tractors)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Constore") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Con Store") >= 0) 
{
missionVariables.random_station_names_mfd_objectType= "Station";
missionVariables.random_station_names_mfd_objectDetails = "Ad-X Corporation";
}
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Constore Buoy") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Con Store Buoy") >= 0) 
{
missionVariables.random_station_names_mfd_objectType= "Station Buoy";
missionVariables.random_station_names_mfd_objectDetails = "Ad-X Corporation";
}
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Billboard") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Terascreen") >= 0   
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Ad Buoy") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Mobile Ad Tractor") >= 0)
{
missionVariables.random_station_names_mfd_objectDataName = "Designer";
missionVariables.random_station_names_mfd_objectType= "Terascreen";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Mobile Ad Tractor") >= 0) missionVariables.random_station_names_mfd_objectType= "Tractor";
missionVariables.random_station_names_mfd_objectDetails = "Ad-X Corporation";
}
// Skywelder Corporation (Taxi Galactica Stations, Taxis & Billboards Also Auto Sorts by the word Taxi).
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Taxi") >= 0 )
{
missionVariables.random_station_names_mfd_objectDetails = "Skywelder Corporation";
}
// Defence Missile Launcher
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Defence Missile Launcher") >= 0 )
{
missionVariables.random_station_names_mfd_objectType= "Launcher";
missionVariables.random_station_names_mfd_objectDetails = "Ramirez Armaments Plc";
}
// Solar Stations
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Solar Station") >= 0) 
{
missionVariables.random_station_names_mfd_objectType= "Station";
missionVariables.random_station_names_mfd_objectDetails = "Coronal Technologies";
}
// Wasps Nests
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Wasp Nest") >= 0) 
{
missionVariables.random_station_names_mfd_objectType= "Vespiary";
missionVariables.random_station_names_mfd_objectDetails = "The Hive Mind";
}
// Hathor Stations and Nephthys Stations
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Hathor Station") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Nephthys Station") >= 0) 
{
missionVariables.random_station_names_mfd_objectType= "Station";
missionVariables.random_station_names_mfd_objectDetails = "Isis Interstellar";
}
// END OF ALL CHECKS FOR SHIPS & STATIONS
// Key Words List.
// Although the Object Type variable is used to optimise the script and provide a description of the target, once the code is at this point, it's class is no longer used to test anything.
// If the name contains one of the key words below then it is described as such when displayed.
 if (missionVariables.random_station_names_mfd_objectType === ("Ship") ||  missionVariables.random_station_names_mfd_objectType === ("Patrol Craft") 
|| missionVariables.random_station_names_mfd_objectType === ("Naval Vessel") || missionVariables.random_station_names_mfd_objectType === ("Carrier") ) 
{
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Ferry") >= 0 ) missionVariables.random_station_names_mfd_objectType= "Ferry";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Drone") >= 0 ) missionVariables.random_station_names_mfd_objectType= "Drone";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Gunship") >= 0 ) missionVariables.random_station_names_mfd_objectType= "Gunship";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Cruiser") >= 0 ) missionVariables.random_station_names_mfd_objectType= "Cruiser";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Frigate") >= 0 ) missionVariables.random_station_names_mfd_objectType= "Frigate";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Battleship") >= 0 ) missionVariables.random_station_names_mfd_objectType= "Battleship";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Platform") >= 0 ) missionVariables.random_station_names_mfd_objectType= "Platform";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Warship") >= 0 ) missionVariables.random_station_names_mfd_objectType= "Warship";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Transport") >= 0 ) missionVariables.random_station_names_mfd_objectType= "Transporter";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Tanker") >= 0  
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Woma") >= 0) missionVariables.random_station_names_mfd_objectType= "Tanker";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Freighter") >= 0 ) missionVariables.random_station_names_mfd_objectType= "Freighter";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Shuttle") >= 0 ) missionVariables.random_station_names_mfd_objectType= "Shuttle";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Escape Pod") >= 0 ) missionVariables.random_station_names_mfd_objectType= "Escape Pod";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Raider") >= 0 ) missionVariables.random_station_names_mfd_objectType= "Raider";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Minesweeper") >= 0 ) missionVariables.random_station_names_mfd_objectType= "Minesweeper";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Lander") >= 0 ) missionVariables.random_station_names_mfd_objectType= "Lander";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Hauler") >= 0 ) missionVariables.random_station_names_mfd_objectType= "Hauler";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Interceptor") >= 0 ) missionVariables.random_station_names_mfd_objectType= "Interceptor";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Bomber") >= 0 ) missionVariables.random_station_names_mfd_objectType= "Bomber";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Droid") >= 0 ) missionVariables.random_station_names_mfd_objectType= "Droid";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Yacht") >= 0 ) missionVariables.random_station_names_mfd_objectType= "Yacht";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Escort") >= 0 ) missionVariables.random_station_names_mfd_objectType= "Escort";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Destroyer") >= 0 ) missionVariables.random_station_names_mfd_objectType= "Destroyer";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Dreadnaught") >= 0 ) missionVariables.random_station_names_mfd_objectType= "Dreadnaught";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Robot") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("BattleBot") >= 0) missionVariables.random_station_names_mfd_objectType= "Robot";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Liner") >= 0 ) missionVariables.random_station_names_mfd_objectType= "Liner";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Deep Space Dredger") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Super Dredger") >= 0) missionVariables.random_station_names_mfd_objectType= "Dredger";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Rickshaw") >= 0 ) missionVariables.random_station_names_mfd_objectType= "Rickshaw";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Lifeboat") >= 0 ) missionVariables.random_station_names_mfd_objectType= "Lifeboat";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Capsule") >= 0 ) missionVariables.random_station_names_mfd_objectType= "Capsule";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Tug") >= 0 ) missionVariables.random_station_names_mfd_objectType= "Tug";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Cluster-Bomb") >= 0 ) missionVariables.random_station_names_mfd_objectType= "Bomb";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Defence Cannon") >= 0 ) missionVariables.random_station_names_mfd_objectType= "Armament";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Jumpgate") >= 0 ) missionVariables.random_station_names_mfd_objectType= "Portal";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Tractor") >= 0 ) missionVariables.random_station_names_mfd_objectType= "Tractor";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Class Jump Gate") >= 0 ) missionVariables.random_station_names_mfd_objectType= "Portal";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Escort Mother") >= 0 ) missionVariables.random_station_names_mfd_objectType= "Mothership";
// End of Key Word Tests.
}
// Close of function by returning here.
return;
// End of Whole ScanShipsandStations Function.
}
// Function used to count up system objects in order to identify clones of objects generated by Telescope OXZ and switch the target to the real obhect so that the real object is scanned rather than the clone.
this.CountEverying = function (entity) {
if (!missionVariables.random_station_names_mfd_almanacDisplayTarget) missionVariables.random_station_names_mfd_almanacDisplayTarget = "Unidentified Telescope Marker";
// Exclude any entity which is really a Telescope OXZ Spoofed Marker.
if (entity.name === "Telescope marker") return false;
var testname = "Entity has no displayName set.";
var currenttarget = "No Target."; 
// Look at the entity display name for all the Real Objects in the system.
if (entity.displayName) var testname = entity.displayName;
if (testname.indexOf("Darkside Distillery") >= 0  || testname.indexOf("Moonshine Saloon") >= 0  
|| testname.indexOf("Black Monk Monastery") >= 0 || testname.indexOf("Astromine Prison Facility") >= 0 
|| testname.indexOf("Penal Colony") >= 0)
{
testname = entity.beaconLabel;
}
// Check the Sun as it doesn't have a display Name.
if (entity.isSun) var testname = missionVariables.random_station_names_mfd_almanacsunDisplay ;
// Look at the display name of the Telescope Spoof Marker Ship the player is actually targeting.
if (player.ship.compassTarget) var currenttarget = player.ship.compassTarget;
if (player.ship.target) var currenttarget = player.ship.target;
if (currenttarget.displayName) currenttarget  = currenttarget.displayName;
// If the entity and the player's current target both have displayNames set, then look to see if they are the same.
// Telescope OXZ names is markers with the display name by adding the distance and the letters " km " in front of the spoofed object's display name.
// The entitiy being spoofed will have exactly the same display name as the current  Spoofed Marker except for having the distance reading in front of it.
// The whole of the Real Objects display name string will be contained in the name on the spoofed Telescope Marker only if this is the netity being spoofed by the Marker.
// Exclude Objects with no display names are these are not the droids we are looking for!
if (currenttarget !== "No Target." && testname !== "Entity has no displayName set.") {
// If the entity displayName is the same as the Spoofed Telescope Marker's name, then we've found the entity being spoofed.
// The target variable can then be switched to the Real Entity so that the MFD gives a distance and classification using the data for the Real Entity rather than the data for the Spoofed Marker ship.
if (entity.isStation  ||  entity.isCarrier  || entity.isShip  || entity.isPlanet || entity.isSun) {
// Check the display name. The only time the function gives a return of true is when the Spoofed Object has the same name as the real Object.
if (currenttarget.indexOf(testname) >= 0) {
// Set the name and Classification to those of the Real Object.
missionVariables.random_station_names_mfd_almanacDisplayTarget = testname;
// Get the Distance and save it as a temporary mission variable.
var rounding = missionVariables.random_station_names_mfd_rounding;
var distranceinUnits = (player.ship.position.distanceTo(entity) - entity.collisionRadius)/missionVariables.random_station_names_mfd_unitBase;
var almanacDisplayDistance = distranceinUnits.toFixed(rounding);
if (almanacDisplayDistance <0) var almanacDisplayDistance = 0;
missionVariables.random_station_names_mfd_telescope_spoof = almanacDisplayDistance;
// Check Spoof for the Sun.
if (entity.isSun) 
{
missionVariables.random_station_names_mfd_almanacDisplayTarget = missionVariables.random_station_names_mfd_almanacsunDisplay ;
missionVariables.random_station_names_mfd_objectType = "Star";
missionVariables.random_station_names_mfd_objectDataName = missionVariables.random_station_names_mfd_almanacsunobjectDataName;
missionVariables.random_station_names_mfd_objectDetails = missionVariables.random_station_names_mfd_almanacsunobjectDetails;
missionVariables.random_station_names_mfd_almanacDisplayTarget_alert = "Warning: Entering Solar Photosphere.";
}
// Check Spoof for the Main Planet.
if (entity.isMainPlanet) 
{
missionVariables.random_station_names_mfd_almanacDisplayTarget = system.name +" I (Capital Planet)";
missionVariables.random_station_names_mfd_almanacDisplayTarget_alert = "Caution: Approaching Planetary Surface.";
}
// Check Spoofs for Stations, Dockables and Carriers.
if (entity.scanClass === "CLASS_STATION") {
missionVariables.random_station_names_mfd_objectType  = "Station";
var spacebarcheck = "None";
if (entity.name) var spacebarcheck = entity.name;
if (spacebarcheck === "A Seedy Space Bar") missionVariables.random_station_names_mfd_almanacDisplayTarget = "Space Bar: "+testname;
}
if (entity.scanClass === "CLASS_NEUTRAL"  ||  entity.scanClass === "CLASS_MILITARY"  ||  entity.scanClass === "CLASS_POLICE") {
if (entity.isStation ||  entity.isCarrier) missionVariables.random_station_names_mfd_objectType  = "Carrier";}
if (entity.scanClass === "CLASS_ROCK") {
if (entity.isStation ||  entity.isCarrier) missionVariables.random_station_names_mfd_objectType  = "Station";}
if (entity.scanClass === "CLASS_BUOY")  
{
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Buoy") >= 0) missionVariables.random_station_names_mfd_objectType= "Station Buoy";
}
// Check Spoofs for Planets & Moons.
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("(Planet)") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("(Capital Planet)")  >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("(Gas Giant)") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("(Moon)") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("(Nomadic Moon)") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Uncharted World") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("(Stellar Remnant)") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("(Super Terran)") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("(Ice Giant)") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("(Dwarf Planet)") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("(Terran Planet)") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("(Sub Terran)") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("(Dwarf Planet)") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("(Planetoid)") >= 0) 
{
missionVariables.random_station_names_mfd_almanacDisplayTarget_alert = "Caution: Approaching Surface.";
this.ScanPlanets();
}
//Check Spoofs of Rock Hermits
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Rock Hermit") >= 0) 
{
missionVariables.random_station_names_mfd_objectDataName = "Designer";
missionVariables.random_station_names_mfd_objectType= "Hermitage";
missionVariables.random_station_names_mfd_objectDetails = "Omnicorp Modular";
}
// Check of Other Custom Large Objects which could be Spoofed by Telescope.
// The La Bruja Facility
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("The La Bruja Facility") >= 0 )
{
missionVariables.random_station_names_mfd_objectType  = "Station";
missionVariables.random_station_names_mfd_objectDataName = "Designer";
missionVariables.random_station_names_mfd_objectDetails = "La Bruja Corporation";
}
// Vengeance
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Vengeance") >= 0 )
{
missionVariables.random_station_names_mfd_objectType  = "Ship";
missionVariables.random_station_names_mfd_objectDataName = "Designer";
missionVariables.random_station_names_mfd_objectDetails = "Spectral Shipyards Inc";
}
// Stellar Serpents
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Stellar Serpent") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Serpent Body") >= 0)
{
missionVariables.random_station_names_mfd_objectDataName = "Composition";
missionVariables.random_station_names_mfd_objectType= "Lifeform";
missionVariables.random_station_names_mfd_objectDetails = "Silicon Based Organic Matter";
}
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Corpse Segment") >= 0)
{
missionVariables.random_station_names_mfd_objectDataName = "Composition";
missionVariables.random_station_names_mfd_objectType= "Corpse";
missionVariables.random_station_names_mfd_objectDetails = "Dead Organic Matter";
}
//Giant Space Pizzas.
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Giant Space Pizza") >= 0 )
{
missionVariables.random_station_names_mfd_objectType= "Comestible";
missionVariables.random_station_names_mfd_objectDetails = "Protein and Carbohydrates";
}
// Clasify Star Jellies.
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Star Jelly") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Star-Jelly") >= 0)
{
missionVariables.random_station_names_mfd_objectDataName = "Composition";
missionVariables.random_station_names_mfd_objectType= "Lifeform";
missionVariables.random_station_names_mfd_objectDetails = "Gelatinous Organic Matter";
}
// Pirate Rock
if (missionVariables.random_station_names_mfd_almanacDisplayTarget === ("Pirate Rock"))
{
missionVariables.random_station_names_mfd_objectDataName = "Designer";
missionVariables.random_station_names_mfd_objectType= "Hermitage";
missionVariables.random_station_names_mfd_objectDetails = "Omnicorp Modular";
}
// Naval Marker Beacon
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Naval Marker Beacon") >= 0 )
{
missionVariables.random_station_names_mfd_objectDataName = "Transmission Mode";
missionVariables.random_station_names_mfd_objectType= "Beacon";
missionVariables.random_station_names_mfd_objectDetails = "Military Frequency";
}
// Katik Asteroid
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Katik Asteroid") >= 0) 
{
missionVariables.random_station_names_mfd_objectDataName = "Designer";
missionVariables.random_station_names_mfd_objectType= "Hermitage";
missionVariables.random_station_names_mfd_objectDetails = "Omnicorp Modular";
}
// Sentinel Asteroids
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Sentinel Asteroid") >= 0) 
{
missionVariables.random_station_names_mfd_objectDataName = "Caution";
missionVariables.random_station_names_mfd_objectType= "Armament";
missionVariables.random_station_names_mfd_objectDetails = "Autonomous Weapons System";
}
// Rock Scan Class Escort Ships from Escort Contracts OXZ
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Anaconda: Escort Mother") >= 0) 
{
missionVariables.random_station_names_mfd_objectDataName = "Designer";
missionVariables.random_station_names_mfd_objectType= "Mothership";
missionVariables.random_station_names_mfd_objectDetails = "Beerbaum and ThruSpace Inc";
}
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Griff Boa: Escort Mother") >= 0) 
{
missionVariables.random_station_names_mfd_objectDataName = "Designer";
missionVariables.random_station_names_mfd_objectType= "Mothership";
missionVariables.random_station_names_mfd_objectDetails = "Griff Research Ltd";
}
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Python: Escort Mother") >= 0) 
{
missionVariables.random_station_names_mfd_objectDataName = "Designer";
missionVariables.random_station_names_mfd_objectType= "Mothership";
missionVariables.random_station_names_mfd_objectDetails = "Whatt and Pritney";
}
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Fuel Tanker: Escort Mother") >= 0) 
{
missionVariables.random_station_names_mfd_objectDataName = "Designer";
missionVariables.random_station_names_mfd_objectType= "Mothership";
missionVariables.random_station_names_mfd_objectDetails = "Neurath Avionics";
}
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Boa: Escort Mother") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Boa Mark II: Escort Mother") >= 0) 
{
missionVariables.random_station_names_mfd_objectDataName = "Designer";
missionVariables.random_station_names_mfd_objectType= "Mothership";
missionVariables.random_station_names_mfd_objectDetails = "Gerege Federation Spaceworks";
}
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Python Cruiser: Escort Mother") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Python X: Escort Mother") >= 0) 
{
missionVariables.random_station_names_mfd_objectDataName = "Designer";
missionVariables.random_station_names_mfd_objectType= "Mothership";
missionVariables.random_station_names_mfd_objectDetails = "Aegidian Industries";
}
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Boa Clipper: Escort Mother") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Python Clipper: Escort Mother") >= 0) 
{
missionVariables.random_station_names_mfd_objectDataName = "Designer";
missionVariables.random_station_names_mfd_objectType= "Mothership";
missionVariables.random_station_names_mfd_objectDetails = "Smivs Shipyards Plc";
}
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Monitor: Escort Mother") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Monitor Mark II: Escort Mother") >= 0) 
{
missionVariables.random_station_names_mfd_objectDataName = "Designer";
missionVariables.random_station_names_mfd_objectType= "Mothership";
missionVariables.random_station_names_mfd_objectDetails = "Zorgon Petterson Group";
}
// Thargoid Class (Auto Sort)
// And named Alien Ships: (Weeviloids)
if (entity.scanClass === "CLASS_THARGOID" 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Weeviloid") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Thargoid Projectile") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Thargoid Jumpgate") >= 0)  {
missionVariables.random_station_names_mfd_objectDetails = "Alien Ship"; // Default
missionVariables.random_station_names_mfd_objectDataName = "Caution"; // Default
missionVariables.random_station_names_mfd_objectDetails = "Unregistered Alien Vessel"; // Default
if (entity.isCarrier) {
missionVariables.random_station_names_mfd_objectDetails = "Alien Carrier";
missionVariables.random_station_names_mfd_objectDetails = "Unregistered Alien Carrier";
}
if (entity.isStation) {
missionVariables.random_station_names_mfd_objectDetails = "Alien Station";
missionVariables.random_station_names_mfd_objectDetails = "Unregistered Alien Station";
}
// Thargoids
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Thargoid") >= 0) {
missionVariables.random_station_names_mfd_objectType= "Enemy Warship";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Thargoid Robot Fighter") >= 0) missionVariables.random_station_names_mfd_objectType= "Enemy Drone";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Thargoid Projectile") >= 0) missionVariables.random_station_names_mfd_objectType= "Weapon";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Thargoid Jumpgate") >= 0) missionVariables.random_station_names_mfd_objectType= "Jumpgate";
if (entity.isCarrier) {
missionVariables.random_station_names_mfd_objectDetails = "Enemy Carrier";
}
if (entity.isStation) {
missionVariables.random_station_names_mfd_objectDetails = "Enemy Station";
}
missionVariables.random_station_names_mfd_objectDataName = "Danger";
missionVariables.random_station_names_mfd_objectDetails = "Hostile Alien";
}
// End of Thargoid Class
}
// HERE!
//Check for Spoofs of objects using the Galactic Almanac Script Info Keys.
if (entity.isShip) {
if (entity.scriptInfo.almanac_mfd_object_type) missionVariables.random_station_names_mfd_objectType = entity.scriptInfo.almanac_mfd_object_type;
if (entity.scriptInfo.almanac_mfd_object_data_name) missionVariables.random_station_names_mfd_objectDataName = entity.scriptInfo.almanac_mfd_object_data_name;
if (entity.scriptInfo.almanac_mfd_object_details) missionVariables.random_station_names_mfd_objectDetails = entity.scriptInfo.almanac_mfd_object_details;
}
//End of Scans for Telescope Spoofs.
return true;
}
}
// End of Check for Real Entity being Spoofed.
}
return false;
}
// Set Up the MFD Output.
this.almanacFullUpdatemessage = function() {
// Check for the MFD not being available.
// Not Avaliable if the ASC has been Damaged.
// As this can occour in flight, this check has to be made each time the function is pinged by the timer.
if (player.ship.equipmentStatus("EQ_ADVANCED_COMPASS") !== "EQUIPMENT_OK") {
var mfdworlds = "None";
var mfdstations = "None";
if (missionVariables.random_station_names_mfd_worlddescribe <10) var mfdworlds = "0"+missionVariables.random_station_names_mfd_worlddescribe;
if (missionVariables.random_station_names_mfd_orbitaldescribe <10) var mfdstations = "0"+missionVariables.random_station_names_mfd_orbitaldescribe;
if (missionVariables.random_station_names_mfd_worlddescribe >9) var mfdworlds = ""+missionVariables.random_station_names_mfd_worlddescribe;
if (missionVariables.random_station_names_mfd_orbitaldescribe >9) var mfdstations = ""+missionVariables.random_station_names_mfd_orbitaldescribe;
var message = "Galactic Almanac MFD - Version 1.0";
message += "\n"+ system.name+": "+missionVariables.random_station_names_mfd_displayTL+" "+missionVariables.random_station_names_mfd_almanacGovDisplay+" "+missionVariables.random_station_names_mfd_almanacEcoDisplay+" ("+missionVariables.random_station_names_mfd_almanacInhabitantsDisplay+").";
message += "\n"+missionVariables.random_station_names_mfd_almanacsunDisplay+".";
message += "\nWorlds: "+mfdworlds+" Orbitals: "+mfdstations+" ("+missionVariables.random_station_names_mfd_almanacWPdisplay+").";
message += "\n\nAdvanced Space Compass Off-Line.";
message += "\n\nNo Targeting Telemetry Available.";
//Exit the function and return the result if the ASC has been damaged.
return message;
}
if (missionVariables.random_station_names_mfd_availability_state > 0) {
// Get the Star Name (Used for Nova Systems).
var starGrid = Math.floor(system.ID+(256 * galaxyNumber));
// If another OXP has named the star then set the name to the name given by the other OXP
if (missionVariables.random_station_names_mfd_availability_state > 1) {
if (missionVariables.random_station_names_stars === "Off") var name = system.info.sun_name;
// But if the Random Station Names Name Stars Option is On then describe it by the name assigned by Random Station Names.
if (missionVariables.random_station_names_stars === "On") var name = ""+starpool[starGrid&2047];
}
// Not Available in Interstellar Space
if (missionVariables.random_station_names_mfd_availability_state === 1) {
var message = "Galactic Almanac MFD - Version 1.0";
message += "\nLocation: Interstellar Space.";
message += "\nNo Government (Mostly Uninhabited).";
message += "\nNo Registered Worlds or Stations.";
message += "\n\nAdvanced Space Compass Off-Line.";
message += "\n\nNo Targeting Telemetry Available.";
//Exit the function and return the result for interstellar space.
return message;
}
// Limited Availability if the the Nova Mission is running and the Sun is going Nova.
if (missionVariables.random_station_names_mfd_availability_state === 2) {
var mfdworlds = "None";
var mfdstations = "None";
if (missionVariables.random_station_names_mfd_worlddescribe <10) var mfdworlds = "0"+missionVariables.random_station_names_mfd_worlddescribe;
if (missionVariables.random_station_names_mfd_orbitaldescribe <10) var mfdstations = "0"+missionVariables.random_station_names_mfd_orbitaldescribe;
if (missionVariables.random_station_names_mfd_worlddescribe >9) var mfdworlds = ""+missionVariables.random_station_names_mfd_worlddescribe;
if (missionVariables.random_station_names_mfd_orbitaldescribe >9) var mfdstations = ""+missionVariables.random_station_names_mfd_orbitaldescribe;
var message = "Galactic Almanac MFD - Version 1.0";
message += "\n"+ system.name+": "+missionVariables.random_station_names_mfd_displayTL+" "+missionVariables.random_station_names_mfd_almanacGovDisplay+" "+missionVariables.random_station_names_mfd_almanacEcoDisplay+" (Refugees).";
message += "\n"+name+" (Dying Star).";
message += "\nWorlds: "+mfdworlds+" Orbitals: "+mfdstations+" ("+missionVariables.random_station_names_mfd_almanacWPdisplay+").";
message += "\n\nTemporary Local Service Interruption.";
message += "\n\nNo Targeting Telemetry Available.";
//Exit the function and return the result for a system where the Sun is going Nova
return message;
}
// Not Available if the System has been destroyed by a Nova.
if (missionVariables.random_station_names_mfd_availability_state === 3) {
var message = "Galactic Almanac MFD - Version 1.0";
message += "\nDevastated System (Uninhabited).";
message += "\n"+name+" (Dead Star).";
message += "\nAll Worlds & Orbitals Destroyed ("+missionVariables.random_station_names_mfd_almanacWPdisplay+").";
message += "\n\n"+ system.name+" has been destroyed.";
message += "\n\nNo Targeting Telemetry Available.";
//Exit the function and return the result for a system destroyed by a Nova.
return message;
}
// Probabley not possible but Not Available if another OXZ removes the Sun from a system outside of Interstellar Space.
// Not Available if no System Sun Present.
if (missionVariables.random_station_names_mfd_availability_state === 4) {
var message = "Galactic Almanac MFD - Version 1.0";
message += "\n"+ system.name+": Reality Incursion Detected.";
message += "\n"+name+" (Vanished Star).";
message += "\nNo Local Star Present ("+missionVariables.random_station_names_mfd_almanacWPdisplay+").";
message += "\n\nTemporary Local Service Interruption.";
message += "\n\nNo Targeting Telemetry Available.";
//Exit the function and return the result for a system with no System Sun..
return message;
}
// End of Checks for MFD not being Available due to special circumstances.
}
var target = "No Target";
delete missionVariables.random_station_names_mfd_telescope_spoof;
// MFD Available under any other circumstances.
// If No Target is locked onto with the ID Computer, use the ASC Target.
if (player.ship.compassTarget) 
{
var target = player.ship.compassTarget;
delete missionVariables.random_station_names_mfd_availability_state_launch;
}
// If an object is trageted with the ID Computer then use the current Target.
if (player.ship.target) var target = player.ship.target;
if (!missionVariables.random_station_names_mfd_almanacDisplayTarget) {
missionVariables.random_station_names_mfd_almanacDisplayTarget = "None";
missionVariables.random_station_names_mfd_almanac_last_target = "No Target";
}
if (missionVariables.random_station_names_mfd_almanacDisplayTarget) missionVariables.random_station_names_mfd_almanac_last_target = missionVariables.random_station_names_mfd_almanacDisplayTarget;
// Default settings if the object cannot be identified and classed at all - Covers new types of Objects.
// Also stops the MFD from showing nothing if it does not know about the object.
if (!missionVariables.random_station_names_mfd_objectType) missionVariables.random_station_names_mfd_objectType = "Object";
if (!missionVariables.random_station_names_mfd_objectDataName) missionVariables.random_station_names_mfd_objectDataName = "Composition";
if (!missionVariables.random_station_names_mfd_objectDetails) missionVariables.random_station_names_mfd_objectDetails = "No Data Available";
missionVariables.random_station_names_mfd_almanacDisplayTarget_alert = "None";
var mfdworlds = "None";
var mfdstations = "None";
if (missionVariables.random_station_names_mfd_worlddescribe <10) var mfdworlds = "0"+missionVariables.random_station_names_mfd_worlddescribe;
if (missionVariables.random_station_names_mfd_orbitaldescribe <10) var mfdstations = "0"+missionVariables.random_station_names_mfd_orbitaldescribe;
if (missionVariables.random_station_names_mfd_worlddescribe >9) var mfdworlds = ""+missionVariables.random_station_names_mfd_worlddescribe;
if (missionVariables.random_station_names_mfd_orbitaldescribe >9) var mfdstations = ""+missionVariables.random_station_names_mfd_orbitaldescribe;
if (target !== "No Target") {
// Get the Name of the Current ASC  or ID Computer Target.
if (target.beaconCode) missionVariables.random_station_names_mfd_almanacDisplayTarget  = target.beaconCode;
if (target.beacon) missionVariables.random_station_names_mfd_almanacDisplayTarget  = target.beacon;
if (target.beaconLabel) missionVariables.random_station_names_mfd_almanacDisplayTarget  = target.beaconLabel;
if (target.displayName) missionVariables.random_station_names_mfd_almanacDisplayTarget  = target.displayName;
//Shorten some of the longer names a bit by switching them to their shorter beaconLabels.
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Darkside Distillery") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Moonshine Saloon") >= 0  
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Black Monk Monastery") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Astromine Prison Facility") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Penal Colony") >= 0)
{
if  (target.name !== "Telescope marker") missionVariables.random_station_names_mfd_almanacDisplayTarget = target.beaconLabel;
}
// Get the Becaon Lable for Space Bars as whilst each one has a different name, the Becons all start with the words "Space Bar:" so can be checked with this one string later.
if  (target.name === "A Seedy Space Bar") missionVariables.random_station_names_mfd_almanacDisplayTarget = target.beaconLabel;
if (target !== "No Target") {
// If the target is the Sun - retreive Sun Data from the mission variables.
if (target.isSun) 
{
missionVariables.random_station_names_mfd_almanacDisplayTarget = system.info.sun_name ;
missionVariables.random_station_names_mfd_objectType = "Star";
missionVariables.random_station_names_mfd_objectDataName = missionVariables.random_station_names_mfd_almanacsunobjectDataName;
missionVariables.random_station_names_mfd_objectDetails = missionVariables.random_station_names_mfd_almanacsunobjectDetails;
missionVariables.random_station_names_mfd_almanacDisplayTarget_alert = "Warning: Entering Solar Photosphere.";
}
// Identify the Main Planet.
if (target.isMainPlanet) 
{
missionVariables.random_station_names_mfd_almanacDisplayTarget = system.name +" I (Capital Planet)";
missionVariables.random_station_names_mfd_almanacDisplayTarget_alert = "Caution: Approaching Planetary Surface.";
}
}
// End of Check for Valid Target.
}
// Generate arrival text / proximity warning.
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("(Planet)") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("(Capital Planet)")  >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("(Super Terran)") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("(Ice Giant)") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("(Dwarf Planet)") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("(Terran Planet)") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("(Sub Terran)") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("(Dwarf Planet)") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("(Planetoid)") >= 0) 
{
missionVariables.random_station_names_mfd_almanacDisplayTarget_alert = "Caution: Approaching Planetary Surface.";
}
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("(Moon)") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("(Nomadic Moon)")  >= 0 )
{
missionVariables.random_station_names_mfd_almanacDisplayTarget_alert = "Caution: Approaching Luna Surface.";
}
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("(Gas Giant)") >= 0)
{
missionVariables.random_station_names_mfd_almanacDisplayTarget_alert = "Warning: Atmospheric Pressure Critical.";
}
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Uncharted World") >= 0)
{
missionVariables.random_station_names_mfd_almanacDisplayTarget_alert = "Caution: Approaching Surface.";
}
if (target !== "No Target") {if (target.isStation || target.isCarrier) missionVariables.random_station_names_mfd_almanacDisplayTarget_alert = "Distance: You are here.";}
// Check if the target has changed. If it hasn't then only distance needs to be recalculated and the script can just bail out of the rest of the update.
if (missionVariables.random_station_names_mfd_almanacDisplayTarget === missionVariables.random_station_names_mfd_almanac_last_target) {
if (player.ship.compassTarget) {
var rounding = missionVariables.random_station_names_mfd_rounding;
var distranceinUnits = (player.ship.position.distanceTo(target) - target.collisionRadius)/missionVariables.random_station_names_mfd_unitBase;
var almanacDisplayDistance = distranceinUnits.toFixed(rounding);
if (almanacDisplayDistance <0) var almanacDisplayDistance = 0;
}
// Deal with Situations when the ASC will have no target.
if (!player.ship.compassTarget)  {
var playerlocation = "Interstellar space";
if (system.name) var playerlocation = system.name;
// When Entering Hyperspace on a Mis-Jump the ASC will have no target, so if we have no target as we are in Not Available in Interstellar Space.
if (playerlocation === "Interstellar space") {
var message = "Galactic Almanac MFD - Version 1.0";
message += "\nLocation: Interstellar Space.";
message += "\nNo Government (Mostly Uninhabited).";
message += "\nNo Registered Worlds or Stations.";
message += "\n\nAdvanced Space Compass Off-Line.";
message += "\n\nNo Targeting Telemetry Available.";
return message;
}
// If we havent Miss jumped but have no target then we're eather launching from a saved game or in Hyperstace making a normal jump.
missionVariables.random_station_names_mfd_almanacDisplayTarget = system.name+ " I (Capital Planet)";
this.ScanPlanets();
// When first launching from a save game the ASC will have no target in the Launch Tunnel so can't calculate the distance until the player has cleared the tunnel and the ASC is set up - Loading Screen Shown to stop a target null error.
if (missionVariables.random_station_names_mfd_availability_state_launch === "Yes") {
var message = "Galactic Almanac MFD - Version 1.0";
message += "\n"+ system.name+": "+missionVariables.random_station_names_mfd_displayTL+" "+missionVariables.random_station_names_mfd_almanacGovDisplay+" "+missionVariables.random_station_names_mfd_almanacEcoDisplay+" ("+missionVariables.random_station_names_mfd_almanacInhabitantsDisplay+").";
message += "\n"+missionVariables.random_station_names_mfd_almanacsunDisplay+".";
message += "\nWorlds: "+mfdworlds+" Orbitals: "+mfdstations+" ("+missionVariables.random_station_names_mfd_almanacWPdisplay+").";
message += "\n\nInformation on Targeted Planet:\n";
message += "\n"+system.name+ " I (Capital Planet)";
message += "\nComposition: "+missionVariables.random_station_names_mfd_objectDetails+".";
message += "\nDistance: Acquiring Target.";
return message;
}
// Default Case
// When in Witchspace the ASC has no target as the game is loading - To stop the script bailing with an error of null a Loading Screen is shown on the MFD Panel.
var jumptarget = system.name;
var message = "Galactic Almanac MFD - Version 1.0";
message += "\nLocation: Hyperspace.";
message += "\nNo Government (Mostly Uninhabited).";
message += "\nNo Registered Worlds or Stations.";
message += "\n\nInformation on Targeted Planet:\n";
message += "\n"+system.name+ " I (Capital Planet)";
message += "\nComposition: "+missionVariables.random_station_names_mfd_objectDetails+".";
message += "\nDistance: Acquiring Target.";
return message;
// End of Test for No Target.
}
// Build Message for MFD Output where the Target has not changed.
var message = "Galactic Almanac MFD - Version 1.0";
message += "\n"+ system.name+": "+missionVariables.random_station_names_mfd_displayTL+" "+missionVariables.random_station_names_mfd_almanacGovDisplay+" "+missionVariables.random_station_names_mfd_almanacEcoDisplay+" ("+missionVariables.random_station_names_mfd_almanacInhabitantsDisplay+").";
message += "\n"+missionVariables.random_station_names_mfd_almanacsunDisplay+".";
message += "\nWorlds: "+mfdworlds+" Orbitals: "+mfdstations+" ("+missionVariables.random_station_names_mfd_almanacWPdisplay+").";
message += "\n\nInformation on Targeted "+missionVariables.random_station_names_mfd_objectType+":\n";
message += "\n"+missionVariables.random_station_names_mfd_almanacDisplayTarget;
message += "\n"+missionVariables.random_station_names_mfd_objectDataName+": "+missionVariables.random_station_names_mfd_objectDetails+".";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget_alert === ("None")) message += "\nDistance: "+almanacDisplayDistance+" "+missionVariables.random_station_names_mfd_unit+"." ;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget_alert !== ("None") && almanacDisplayDistance >0) message += "\nDistance: "+almanacDisplayDistance+" "+missionVariables.random_station_names_mfd_unit+".";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget_alert !== ("None") && almanacDisplayDistance <=0) message += "\n"+missionVariables.random_station_names_mfd_almanacDisplayTarget_alert;
delete missionVariables.random_station_names_mfd_availability_state_launch;
//Exit the function and return the result.
return message;
}
/// START OF Object ID Code.
/// Idetification Code - Only Run if the ASC has Changed.
// If the function is still running then we have a new target selected and need to run the full function to get the Info on it.
// Checks for different types.
// If the target is a Moon, Planet or Gas Giant, run the ScanPlanets function to set the Current Target information to the targeted World. 
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("(Planet)") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("(Capital Planet)")  >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("(Gas Giant)") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("(Moon)") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("(Nomadic Moon)") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Uncharted World") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("(Stellar Remnant)") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("(Super Terran)") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("(Ice Giant)") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("(Dwarf Planet)") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("(Terran Planet)") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("(Sub Terran)") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("(Dwarf Planet)") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("(Planetoid)") >= 0) 
{
this.ScanPlanets();
}
// Classify Cosmic Strings
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Cosmic String") >= 0) {
missionVariables.random_station_names_mfd_objectType= "Anomaly";
missionVariables.random_station_names_mfd_objectDataName = "Composition";
missionVariables.random_station_names_mfd_objectDetails = "Strange Matter";}
if (player.ship.compassTarget) {
// Opening Bracket for Valid Target Test.
// Ship Class.
// The test for isShip is pretty much anything that isn't a planet, sun, star or moon. So sub tests are used to break down different types of objects to check..
if (target.isShip) 
{
missionVariables.random_station_names_mfd_objectDataName = "Designer";
missionVariables.random_station_names_mfd_objectDetails  = "No Data Available";
missionVariables.random_station_names_mfd_objectType = "Ship"; // Default.
// Class Anything with Station Scan Class as a Station.
if (target.scanClass === "CLASS_STATION") missionVariables.random_station_names_mfd_objectType  = "Station";
// Powered Ships are Classed as Carriers if dockable.
if (target.scanClass === "CLASS_NEUTRAL"  ||  target.scanClass === "CLASS_MILITARY"  ||  target.scanClass === "CLASS_POLICE") {
if (target.isStation ||  target.isCarrier) missionVariables.random_station_names_mfd_objectType  = "Carrier";}
// Rocks are classed as Herbits, Stations (if dockable and not a hermit).
// Special Objects with Rock Class also get custom classes.
if (target.scanClass === "CLASS_ROCK")  {
missionVariables.random_station_names_mfd_objectDataName = "Composition";
// Dockable Rocks are automatically set as Stations unless they are Hermits..
if (target.isStation ||  target.isCarrier) missionVariables.random_station_names_mfd_objectType  = "Station";
// Native Hermits
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Rock Hermit") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Pirate Cove") >= 0) 
{
missionVariables.random_station_names_mfd_objectDataName = "Designer";
missionVariables.random_station_names_mfd_objectType= "Hermitage";
missionVariables.random_station_names_mfd_objectDetails = "Omnicorp Modular";
}
// Boulders
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Boulder") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Big Boulder") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Big boulder") >= 0) 
{
missionVariables.random_station_names_mfd_objectType= "Boulder";
missionVariables.random_station_names_mfd_objectDetails = "Mineral Rich Rock";
}
// Ice Boulders
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Ice Boulder") >= 0) 
{
missionVariables.random_station_names_mfd_objectType= "Ice Boulder";
missionVariables.random_station_names_mfd_objectDetails = "Mineral Rich Ice";
}
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Space Pizza Giftshop") >= 0)
{
missionVariables.random_station_names_mfd_objectDataName = "Designer";
missionVariables.random_station_names_mfd_objectType= "Station";
missionVariables.random_station_names_mfd_objectDetails = "Smivs Shipyards Plc";
}
// Resistance Commander Control Mines with Rock Scan Class
 if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("GW Mine") >= 0)
{
missionVariables.random_station_names_mfd_objectType= "Mine";
missionVariables.random_station_names_mfd_objectDataName = "Composition";
missionVariables.random_station_names_mfd_objectDetails = "Light Armour Plating";
}
// The La Bruja Facility
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("The La Bruja Facility") >= 0 )
{
missionVariables.random_station_names_mfd_objectType  = "Station";
missionVariables.random_station_names_mfd_objectDataName = "Designer";
missionVariables.random_station_names_mfd_objectDetails = "La Bruja Corporation";
}
// Vengeance
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Vengeance") >= 0 )
{
missionVariables.random_station_names_mfd_objectType  = "Ship";
missionVariables.random_station_names_mfd_objectDataName = "Designer";
missionVariables.random_station_names_mfd_objectDetails = "Spectral Shipyards Inc";
}
// Chaff Particle
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Chaff Particle") >= 0 )
{
missionVariables.random_station_names_mfd_objectType= "Particle";
missionVariables.random_station_names_mfd_objectDetails = "Metalic Foil";
}
// Powered Down Ships
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf(": Systems Shutdown") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Salvaged ") >= 0)
{
missionVariables.random_station_names_mfd_objectDataName = "Status";
missionVariables.random_station_names_mfd_objectType= "Inactive Ship";
missionVariables.random_station_names_mfd_objectDetails = "Main Reactor Off-Line";
}
// Assissins OXZ Powered Down Mission Target
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Guild Target : The Fair Wind - 30,000C") >= 0)
{
missionVariables.random_station_names_mfd_objectDataName = "Status";
missionVariables.random_station_names_mfd_objectType= "Inactive Ship";
missionVariables.random_station_names_mfd_objectDetails = "Main Reactor Off-Line";
missionVariables.random_station_names_mfd_almanacDisplayTarget = "Annaconda: The Fair Wind";
}
// Stellar Serpents
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Stellar Serpent") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Serpent Body") >= 0)
{
missionVariables.random_station_names_mfd_objectDataName = "Composition";
missionVariables.random_station_names_mfd_objectType= "Lifeform";
missionVariables.random_station_names_mfd_objectDetails = "Silicon Based Organic Matter";
}
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Corpse Segment") >= 0)
{
missionVariables.random_station_names_mfd_objectDataName = "Composition";
missionVariables.random_station_names_mfd_objectType= "Corpse";
missionVariables.random_station_names_mfd_objectDetails = "Dead Organic Matter";
}
// Guardian Drone
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Guardian Drone") >= 0) 
{
missionVariables.random_station_names_mfd_objectDataName = "Designer";
missionVariables.random_station_names_mfd_objectType= "Drone";
missionVariables.random_station_names_mfd_objectDetails = "Aquarian Shipbuilding Inc";
}
//Giant Space Pizzas.
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Giant Space Pizza") >= 0 )
{
missionVariables.random_station_names_mfd_objectType= "Comestible";
missionVariables.random_station_names_mfd_objectDetails = "Protein and Carbohydrates";
}
// Tins of SPAM.
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Tin of Spam") >= 0 )
{
missionVariables.random_station_names_mfd_objectDataName = "Contents";
missionVariables.random_station_names_mfd_objectType= "Comestible";
missionVariables.random_station_names_mfd_objectDetails = "Processed Trumble Meat";
}
// Mince Pies
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Mince Pie") >= 0 )
{
missionVariables.random_station_names_mfd_objectDataName = "Contents";
missionVariables.random_station_names_mfd_objectType= "Comestible";
missionVariables.random_station_names_mfd_objectDetails = "Magical Mincemeat";
}
// Flying Duchman - Can be tested for as a Cobra Mk III as its the only Cobra that is also a Rock.
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Cobra Mark III") >= 0 )
{
missionVariables.random_station_names_mfd_objectDataName = "Conposition";
missionVariables.random_station_names_mfd_objectType= "Apparition";
missionVariables.random_station_names_mfd_objectDetails = "Ectoplasm";
}
// Signal Flare
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Signal Flare") >= 0 )
{
missionVariables.random_station_names_mfd_objectDataName = "Conposition";
missionVariables.random_station_names_mfd_objectType= "Flare";
missionVariables.random_station_names_mfd_objectDetails = "Luminous Material";
}
// Target Shield
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Target Shield") >= 0 )
{
missionVariables.random_station_names_mfd_objectDataName = "Designer";
missionVariables.random_station_names_mfd_objectType= "Shield";
missionVariables.random_station_names_mfd_objectDetails = "Ramirez Extreme Sports Ltd";
}
// AutoMiners
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("GalMine AutoMiner") >= 0 )
{
missionVariables.random_station_names_mfd_objectDataName = "Caution";
missionVariables.random_station_names_mfd_objectType= "Mining Unit";
missionVariables.random_station_names_mfd_objectDetails = "Public Mining Prohibited";
}
// Graveyard Stones
if (missionVariables.random_station_names_mfd_almanacDisplayTarget === ("Graveyard Stone"))
{
missionVariables.random_station_names_mfd_objectDataName = "Composition";
missionVariables.random_station_names_mfd_objectType= "Gravestone";
missionVariables.random_station_names_mfd_objectDetails = "Polished Marble";
}
// Graveyard Caskets
if (missionVariables.random_station_names_mfd_almanacDisplayTarget === ("Tomb Casket"))
{
missionVariables.random_station_names_mfd_objectDataName = "Contents";
missionVariables.random_station_names_mfd_objectType= "Coffin";
missionVariables.random_station_names_mfd_objectDetails = "Organic Remains";
}
// Graveyard Monuments
if (missionVariables.random_station_names_mfd_almanacDisplayTarget === ("Graveyard Monument"))
{
missionVariables.random_station_names_mfd_objectDataName = "Composition";
missionVariables.random_station_names_mfd_objectType= "Tomb";
missionVariables.random_station_names_mfd_objectDetails = "Adamantium Interior";
}
// Moai Graveyard Monument
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Moai") >= 0) 
{
missionVariables.random_station_names_mfd_objectDataName = "Composition";
missionVariables.random_station_names_mfd_objectType= "Tomb";
missionVariables.random_station_names_mfd_objectDetails = "Compressed Volcanic Ash";
}
// MjolnirGraveyard Monument
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Mjolnir") >= 0) 
{
missionVariables.random_station_names_mfd_objectDataName = "Composition";
missionVariables.random_station_names_mfd_objectType= "Tomb";
missionVariables.random_station_names_mfd_objectDetails = "Thorium";
}
// Advert DroidShip
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Advert DroidShip") >= 0) 
{
missionVariables.random_station_names_mfd_objectDataName = "Designer";
missionVariables.random_station_names_mfd_objectType= "Droid";
missionVariables.random_station_names_mfd_objectDetails = "Murgh Shipyards";
}
// Rock Scan Class Allies from Coyotes Run
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Cobra Mark III") >= 0) 
{
missionVariables.random_station_names_mfd_objectDataName = "Designer";
missionVariables.random_station_names_mfd_objectType= "Ship";
missionVariables.random_station_names_mfd_objectDetails = "Cowell & MgRath Shipyards";
}
// Homing Mine (Inactive)
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Homing Mine (Inactive)") >= 0) 
{
missionVariables.random_station_names_mfd_objectDataName = "Designer";
missionVariables.random_station_names_mfd_objectType= "Mine";
missionVariables.random_station_names_mfd_objectDetails = "Classified";
}
// Rock Scan Class Escort Ships from Escort Contracts OXZ
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Anaconda: Escort Mother") >= 0) 
{
missionVariables.random_station_names_mfd_objectDataName = "Designer";
missionVariables.random_station_names_mfd_objectType= "Mothership";
missionVariables.random_station_names_mfd_objectDetails = "Beerbaum and ThruSpace Inc";
}
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Griff Boa: Escort Mother") >= 0) 
{
missionVariables.random_station_names_mfd_objectDataName = "Designer";
missionVariables.random_station_names_mfd_objectType= "Mothership";
missionVariables.random_station_names_mfd_objectDetails = "Griff Research Ltd";
}
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Python: Escort Mother") >= 0) 
{
missionVariables.random_station_names_mfd_objectDataName = "Designer";
missionVariables.random_station_names_mfd_objectType= "Mothership";
missionVariables.random_station_names_mfd_objectDetails = "Whatt and Pritney";
}
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Fuel Tanker: Escort Mother") >= 0) 
{
missionVariables.random_station_names_mfd_objectDataName = "Designer";
missionVariables.random_station_names_mfd_objectType= "Mothership";
missionVariables.random_station_names_mfd_objectDetails = "Neurath Avionics";
}
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Boa: Escort Mother") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Boa Mark II: Escort Mother") >= 0) 
{
missionVariables.random_station_names_mfd_objectDataName = "Designer";
missionVariables.random_station_names_mfd_objectType= "Mothership";
missionVariables.random_station_names_mfd_objectDetails = "Gerege Federation Spaceworks";
}
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Python Cruiser: Escort Mother") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Python X: Escort Mother") >= 0) 
{
missionVariables.random_station_names_mfd_objectDataName = "Designer";
missionVariables.random_station_names_mfd_objectType= "Mothership";
missionVariables.random_station_names_mfd_objectDetails = "Aegidian Industries";
}
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Boa Clipper: Escort Mother") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Python Clipper: Escort Mother") >= 0) 
{
missionVariables.random_station_names_mfd_objectDataName = "Designer";
missionVariables.random_station_names_mfd_objectType= "Mothership";
missionVariables.random_station_names_mfd_objectDetails = "Smivs Shipyards Plc";
}
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Monitor: Escort Mother") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Monitor Mark II: Escort Mother") >= 0) 
{
missionVariables.random_station_names_mfd_objectDataName = "Designer";
missionVariables.random_station_names_mfd_objectType= "Mothership";
missionVariables.random_station_names_mfd_objectDetails = "Zorgon Petterson Group";
}
// Asteroids - Checked Last as this table is only looked at if the Rock Class Object targeted is None of the Above.
// Classify Asteroids & Iceteroids
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Asteroid") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Iceteroid") >= 0) 
{
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Asteroid") >= 0) {
missionVariables.random_station_names_mfd_objectType= "Asteroid";
missionVariables.random_station_names_mfd_objectDetails = "Minerals & Trace Metals"; // If Asteroid Naming is turned off then a general description is given.
}
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Iceteroid") >= 0) {
missionVariables.random_station_names_mfd_objectType= "Iceteroid";
missionVariables.random_station_names_mfd_objectDetails = "Mainly Water"; // If Asteroid Naming is turned off then a general description is given.
}
if (missionVariables.random_station_names_rocks === "On" ) {
// Read the Planet and Moon Composition Data but shunted forward.
// This is so the the data for Asteroids is always different to the data for Planets anf Moons (100 variations are called in each system).
var rockjumpadvance = 256;
// Shunt based on the digits in the spawn number.
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("0") >= 0) var rockjumpadvance = 257;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("1") >= 0) var rockjumpadvance = 258;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("2") >= 0) var rockjumpadvance = 259;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("3") >= 0) var rockjumpadvance = 260;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("4") >= 0) var rockjumpadvance = 261;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("5") >= 0) var rockjumpadvance = 262;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("6") >= 0) var rockjumpadvance = 263;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("7") >= 0) var rockjumpadvance = 264;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("8") >= 0) var rockjumpadvance = 265;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("9") >= 0) var rockjumpadvance = 266;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("001") >= 0) var rockjumpadvance = 133;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("002") >= 0) var rockjumpadvance = 134;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("003") >= 0) var rockjumpadvance = 135;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("004") >= 0) var rockjumpadvance = 136;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("005") >= 0) var rockjumpadvance = 137;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("006") >= 0) var rockjumpadvance = 138;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("007") >= 0) var rockjumpadvance = 139;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("008") >= 0) var rockjumpadvance = 140;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("009") >= 0) var rockjumpadvance = 141;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("010") >= 0) var rockjumpadvance = 142;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("11") >= 0) var rockjumpadvance = 143;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("12") >= 0) var rockjumpadvance = 144;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("13") >= 0) var rockjumpadvance = 145;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("14") >= 0) var rockjumpadvance = 146;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("15") >= 0) var rockjumpadvance = 147;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("16") >= 0) var rockjumpadvance = 148;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("17") >= 0) var rockjumpadvance = 149;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("18") >= 0) var rockjumpadvance = 150;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("19") >= 0) var rockjumpadvance = 151;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("20") >= 0) var rockjumpadvance = 152;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("21") >= 0) var rockjumpadvance = 153;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("22") >= 0) var rockjumpadvance = 154;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("23") >= 0) var rockjumpadvance = 155;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("24") >= 0) var rockjumpadvance = 156;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("25") >= 0) var rockjumpadvance = 157;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("26") >= 0) var rockjumpadvance = 158;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("27") >= 0) var rockjumpadvance = 159;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("28") >= 0) var rockjumpadvance = 160;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("29") >= 0) var rockjumpadvance = 161;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("30") >= 0) var rockjumpadvance = 162;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("31") >= 0) var rockjumpadvance = 163;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("32") >= 0) var rockjumpadvance = 164;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("33") >= 0) var rockjumpadvance = 165;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("34") >= 0) var rockjumpadvance = 166;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("35") >= 0) var rockjumpadvance = 167;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("36") >= 0) var rockjumpadvance = 168;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("37") >= 0) var rockjumpadvance = 169;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("38") >= 0) var rockjumpadvance = 170;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("39") >= 0) var rockjumpadvance = 171;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("40") >= 0) var rockjumpadvance = 172;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("41") >= 0) var rockjumpadvance = 173;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("42") >= 0) var rockjumpadvance = 174;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("43") >= 0) var rockjumpadvance = 175;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("44") >= 0) var rockjumpadvance = 176;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("45") >= 0) var rockjumpadvance = 177;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("46") >= 0) var rockjumpadvance = 178;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("47") >= 0) var rockjumpadvance = 179;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("48") >= 0) var rockjumpadvance = 180;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("49") >= 0) var rockjumpadvance = 181;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("50") >= 0) var rockjumpadvance = 182;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("51") >= 0) var rockjumpadvance = 183;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("52") >= 0) var rockjumpadvance = 184;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("53") >= 0) var rockjumpadvance = 185;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("54") >= 0) var rockjumpadvance = 186;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("55") >= 0) var rockjumpadvance = 187;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("56") >= 0) var rockjumpadvance = 188;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("57") >= 0) var rockjumpadvance = 189;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("58") >= 0) var rockjumpadvance = 190;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("59") >= 0) var rockjumpadvance = 191;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("60") >= 0) var rockjumpadvance = 192;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("61") >= 0) var rockjumpadvance = 193;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("62") >= 0) var rockjumpadvance = 194;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("63") >= 0) var rockjumpadvance = 195;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("64") >= 0) var rockjumpadvance = 196;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("65") >= 0) var rockjumpadvance = 197;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("66") >= 0) var rockjumpadvance = 198;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("67") >= 0) var rockjumpadvance = 199;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("68") >= 0) var rockjumpadvance = 200;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("69") >= 0) var rockjumpadvance = 201;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("70") >= 0) var rockjumpadvance = 202;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("71") >= 0) var rockjumpadvance = 203;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("72") >= 0) var rockjumpadvance = 204;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("73") >= 0) var rockjumpadvance = 205;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("74") >= 0) var rockjumpadvance = 206;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("75") >= 0) var rockjumpadvance = 207;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("76") >= 0) var rockjumpadvance = 208;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("77") >= 0) var rockjumpadvance = 209;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("78") >= 0) var rockjumpadvance = 210;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("79") >= 0) var rockjumpadvance = 211;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("80") >= 0) var rockjumpadvance = 212;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("81") >= 0) var rockjumpadvance = 213;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("82") >= 0) var rockjumpadvance = 214;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("83") >= 0) var rockjumpadvance = 215;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("84") >= 0) var rockjumpadvance = 216;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("85") >= 0) var rockjumpadvance = 217;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("86") >= 0) var rockjumpadvance = 218;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("87") >= 0) var rockjumpadvance = 219;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("88") >= 0) var rockjumpadvance = 220;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("89") >= 0) var rockjumpadvance = 221;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("90") >= 0) var rockjumpadvance = 222;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("91") >= 0) var rockjumpadvance = 223;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("92") >= 0) var rockjumpadvance = 224;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("93") >= 0) var rockjumpadvance = 225;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("94") >= 0) var rockjumpadvance = 226;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("95") >= 0) var rockjumpadvance = 227;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("96") >= 0) var rockjumpadvance = 228;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("97") >= 0) var rockjumpadvance = 229;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("98") >= 0) var rockjumpadvance = 230;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("99") >= 0) var rockjumpadvance = 231;
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("00") >= 0) var rockjumpadvance = 232;
// Coin flip hased on system ID which pool is used. but remains consistent for any given system.
var rockCompStartGrid = Math.floor(system.ID+(256 * galaxyNumber));
var rockCompJumper = Math.floor(rockCompStartGrid+rockjumpadvance);
missionVariables.random_station_names_mfd_objectDetails = planetStuffPool[rockCompJumper&2047];
if (system.ID > 127 ) missionVariables.random_station_names_mfd_objectDetails = moonStuffPool[rockCompJumper&2047];
// Iceteroids have a different composition to standard rocky asteroids.
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Iceteroid") >= 0) missionVariables.random_station_names_mfd_objectDetails = iceteroidpool[rockCompJumper&255];
// Closing Back for Asteroid Naming On Condition.
}
// Exceptions to the Rule for Asteroids
// Classify Doomsday Asteroid.
if (missionVariables.random_station_names_mfd_almanacDisplayTarget === "Doomsday Asteroid") {
missionVariables.random_station_names_mfd_objectType= "Rogue Asteroid";
missionVariables.random_station_names_mfd_objectDetails = "Dense Nickel Core";
}
// Sentinel Asteroids
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Sentinel Asteroid") >= 0) 
{
missionVariables.random_station_names_mfd_objectDataName = "Caution";
missionVariables.random_station_names_mfd_objectType= "Armament";
missionVariables.random_station_names_mfd_objectDetails = "Autonomous Weapons System";
}
// RRS Powered Down Sidewinder (Shows on the display as 'Asteroid" - Tweaked to 'Unusual Asteroid' so it can be told apart from actual asteroids).
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Unusual Asteroid") >= 0) 
{
missionVariables.random_station_names_mfd_objectDataName = "Caution";
missionVariables.random_station_names_mfd_objectType= "Asteroid";
missionVariables.random_station_names_mfd_objectDetails = "Armaments Detected";
}
// Katik Asteroid
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Katik Asteroid") >= 0) 
{
missionVariables.random_station_names_mfd_objectDataName = "Designer";
missionVariables.random_station_names_mfd_objectType= "Hermitage";
missionVariables.random_station_names_mfd_objectDetails = "Omnicorp Modular";
}
// End of Astoids Sub-Catagory.
}
// End of Rock Class
}
// Military Class - Default Setting - OXZ Military Ships are Checked under the Ships & Stations Scan.
if (target.scanClass === "CLASS_MILITARY")  {
missionVariables.random_station_names_mfd_objectType= "Naval Vessel";
missionVariables.random_station_names_mfd_objectDetails = "Aegidian Spaceworks";
// End of Military Class
}
// Police Class - Default Setting - Before Native & OXZ Ships are Checked under the Ships & Stations Scan.
// In the Native Game only the Viper exists and this is credited to Faulcon de Lacy in the Ships Scan.
// The Default would only be used for a new police ship with no credited company.
if (target.scanClass === "CLASS_POLICE")  {
missionVariables.random_station_names_mfd_objectType= "Patrol Craft";
missionVariables.random_station_names_mfd_objectDetails = "Union Aerospace"; // Default if not otherwise defined - Different types are tested under this.ShipScan.
//End of Police Class
}
// Cargo Class - Includes Special Types of Cargo Class Objects.
if (target.scanClass === "CLASS_CARGO")  {
missionVariables.random_station_names_mfd_objectDataName = "Composition";
// Classify Cago Pods
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Cargo") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Detention Container") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Vault Container") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Bulk Container") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Cargo Container") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Cargo Pod") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Secure Container") >= 0 ) 
{
missionVariables.random_station_names_mfd_objectType= "Cargo Container";
missionVariables.random_station_names_mfd_objectDetails = "Metallic Casing";
}
// Classify Minerals & Ores
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Minerals") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Ore") >= 0) 
{
missionVariables.random_station_names_mfd_objectType= "Stone Fragment";
missionVariables.random_station_names_mfd_objectDetails = "Valuable Rocks";
}
// Classify Gold & Platinum
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Gold") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Platinum") >= 0) 
{
missionVariables.random_station_names_mfd_objectType= "Metal Fragment";
missionVariables.random_station_names_mfd_objectDetails = "Precious Metals";
}
// Clasify Quirium Crystal
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Quirium Crystal") >= 0)
{ 
missionVariables.random_station_names_mfd_objectType= "Crystal";
missionVariables.random_station_names_mfd_objectDetails = "High Energy Lattice";
}
// Clasify Radioactives
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Radioactives") >= 0)
{ 
missionVariables.random_station_names_mfd_objectType= "Isotope";
missionVariables.random_station_names_mfd_objectDetails = "Hazardous Materials";
}
// Clasify Star Jellies.
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Star Jelly") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Star-Jelly") >= 0)
{
missionVariables.random_station_names_mfd_objectDataName = "Composition";
missionVariables.random_station_names_mfd_objectType= "Lifeform";
missionVariables.random_station_names_mfd_objectDetails = "Gelatinous Organic Matter";
}
// Classify Space Suits
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Space Suit") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Spacesuit") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("spacesuit") >= 0) 
{
missionVariables.random_station_names_mfd_objectType= "Humanoid";
missionVariables.random_station_names_mfd_objectDataName = "Designer";
missionVariables.random_station_names_mfd_objectDetails = "RemLock Survival Systems";
}
// Clasify Alloy Fragments
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Metal Fragment") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Metal fragment") >= 0)
{ 
missionVariables.random_station_names_mfd_objectType= "Fragment";
missionVariables.random_station_names_mfd_objectDetails = "Duralumin Alloys";
}
// Clasify Rock Spliners.
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Splinter") >= 0) 
{
missionVariables.random_station_names_mfd_objectType= "Splinter";
missionVariables.random_station_names_mfd_objectDetails = "Ores & Minerals";
}
// Clasify Alien Cargo
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Alien Cargo") >= 0) 
{
missionVariables.random_station_names_mfd_objectDataName = "Caution";
missionVariables.random_station_names_mfd_objectType= "Cargo Pod";
missionVariables.random_station_names_mfd_objectDetails = "Alien Technology";
}
// Clasify Cargo Crates
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Cargo Crate") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Red Crate") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Blue Crate") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Green Crate") >= 0) 
{
missionVariables.random_station_names_mfd_objectType= "Cargo Crate";
missionVariables.random_station_names_mfd_objectDetails = "Hardened Wooden Casing";
}
// Classify Navitve Escape Pods - OXZ Varitents are credited under the Ships Scan.
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Escape Capsule" ) >= 0   || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Escape Pod") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Pi-42 Clerk") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("escape capsule") >= 0)   
{
missionVariables.random_station_names_mfd_objectDataName = "Designer";
missionVariables.random_station_names_mfd_objectType= "Escape Pod";
missionVariables.random_station_names_mfd_objectDetails = "Stowmaster Ltd";
}
// GalMine Cargo Pods
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("GalMine Cargo Pod" ) >= 0) {
missionVariables.random_station_names_mfd_objectDataName = "Caution";
missionVariables.random_station_names_mfd_objectType= "Mining Pod";
missionVariables.random_station_names_mfd_objectDetails = "Scooping Prohibited";
}
// RRS Solar Laboratory & Rescue EVA Pod
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("RRS Solar Laboratory" ) >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Rescue EVA Pod") >= 0) {
missionVariables.random_station_names_mfd_objectDataName = "Designer";
missionVariables.random_station_names_mfd_objectType= "Pod";
missionVariables.random_station_names_mfd_objectDetails = "RRS Group Manufacturing";
}
// Black Box
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Black Box" ) >= 0 ) {
missionVariables.random_station_names_mfd_objectDataName = "Designer";
missionVariables.random_station_names_mfd_objectType= "Hard Drive";
missionVariables.random_station_names_mfd_objectDetails = "Acorn Data Storage";
}
// Fuel Silos and Tanks
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Fuel Silo" ) >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Fuel Sample") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Fuel Tank") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Fuel Cannister") >= 0) {
missionVariables.random_station_names_mfd_objectDataName = "Contents";
missionVariables.random_station_names_mfd_objectType= "Fuel Silo";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Fuel Tank") >= 0) missionVariables.random_station_names_mfd_objectType= "Fuel Tank";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Fuel Cannister") >= 0) missionVariables.random_station_names_mfd_objectType= "Cannister";
missionVariables.random_station_names_mfd_objectDetails = "Quirium Fuel";
}
// Burning quirium fuel
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Burning quirium fuel" ) >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Burning Witchspace Fuel") >= 0) {
missionVariables.random_station_names_mfd_objectDataName = "Danger";
missionVariables.random_station_names_mfd_objectType= "Wreckage";
missionVariables.random_station_names_mfd_objectDetails = "Highly Volatilel";
}
// Santas List
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Santa's List of all good Children. Your name is not on it!") >= 0 )
{
missionVariables.random_station_names_mfd_objectDataName = "Contents";
missionVariables.random_station_names_mfd_objectType= "Tome";
missionVariables.random_station_names_mfd_objectDetails = "Accurate Intelligence";
}
// Presents
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Prezzie") >= 0 )
{
missionVariables.random_station_names_mfd_objectDataName = "Contents";
missionVariables.random_station_names_mfd_objectType= "Present";
missionVariables.random_station_names_mfd_objectDetails = "Carefully Wrapped Parcel";
}
// Grave Ships
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Graveship") >= 0)
{
missionVariables.random_station_names_mfd_objectDataName = "Status";
missionVariables.random_station_names_mfd_objectType= "Derelict";
missionVariables.random_station_names_mfd_objectDetails = "Unpowered";
}
// Graveyard Monuments
if (missionVariables.random_station_names_mfd_almanacDisplayTarget === ("Graveyard Monument"))
{
missionVariables.random_station_names_mfd_objectDataName = "Composition";
missionVariables.random_station_names_mfd_objectType= "Tomb";
missionVariables.random_station_names_mfd_objectDetails = "Adamantium Interior";
}
// Grave Monuments 
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Grave Monument") >= 0)
{
missionVariables.random_station_names_mfd_objectDataName = "Composition";
missionVariables.random_station_names_mfd_objectType= "Tomb";
missionVariables.random_station_names_mfd_objectDetails = "Mainly Precious Metals";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Infinity") >= 0) missionVariables.random_station_names_mfd_objectDetails = "Silver and Gemstones";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Star of David") >= 0) missionVariables.random_station_names_mfd_objectDetails = "Platinum and Gold";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Latin Crucifix") >= 0) missionVariables.random_station_names_mfd_objectDetails = "Marble and Electrum";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Pointed Crucifix") >= 0) missionVariables.random_station_names_mfd_objectDetails = "Duralumin and Diamonds";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Pentagram") >= 0) missionVariables.random_station_names_mfd_objectDetails = "Iron and Obsidian";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Wooden Crucifix") >= 0) missionVariables.random_station_names_mfd_objectDetails = "Wood";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Mark of Chaos") >= 0) missionVariables.random_station_names_mfd_objectDetails = "Mostly Platinum";
}
// Transmitter
if (missionVariables.random_station_names_mfd_almanacDisplayTarget === ("Transmitter"))
{
missionVariables.random_station_names_mfd_objectDataName = "Transmission Mode";
missionVariables.random_station_names_mfd_objectType= "Transmitter";
missionVariables.random_station_names_mfd_objectDetails = "Encrypted Channel";
}
// Pirate Rock
if (missionVariables.random_station_names_mfd_almanacDisplayTarget === ("Pirate Rock"))
{
missionVariables.random_station_names_mfd_objectDataName = "Designer";
missionVariables.random_station_names_mfd_objectType= "Hermitage";
missionVariables.random_station_names_mfd_objectDetails = "Omnicorp Modular";
}
// Thargon Jamming Mine
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Thargon Jamming Mine") >= 0) 
{
missionVariables.random_station_names_mfd_objectDataName = "Designer";
missionVariables.random_station_names_mfd_objectType= "Mine";
missionVariables.random_station_names_mfd_objectDetails = "Aquarian Shipbuilding Inc";
}
// Unarmed Missile
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Unarmed Missile") >= 0) 
{
missionVariables.random_station_names_mfd_objectDataName = "Status";
missionVariables.random_station_names_mfd_objectType= "Weapon";
missionVariables.random_station_names_mfd_objectDetails = "Targeting System Shut Down";
}
// End of Cargo Class.
}
// Buoy Class.
// Classify OXZ Station Buoys.
if (target.scanClass === "CLASS_BUOY")  
{
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Buoy") >= 0) missionVariables.random_station_names_mfd_objectType= "Station Buoy";
}
// Graveyard Beacons
if (missionVariables.random_station_names_mfd_almanacDisplayTarget === ("Graveyard Beacon"))
{
missionVariables.random_station_names_mfd_objectDataName = "Composition";
missionVariables.random_station_names_mfd_objectType= "Marker";
missionVariables.random_station_names_mfd_objectDetails = "Ablative Armour";
}
// Missile Class.
// As in the Nattive Game all missiles are made by Faulcon de Lacy, they are the default designer unless the Missile is on the OXZ list of Missiles.
if (target.scanClass === "CLASS_MISSILE")  {
missionVariables.random_station_names_mfd_objectType= "Missile"; // Default.
missionVariables.random_station_names_mfd_objectDetails = "Faulcon de Lacy"; // Default
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Explosive Shrapnel") >= 0) 
{
missionVariables.random_station_names_mfd_objectType= "Bomb";
missionVariables.random_station_names_mfd_objectDetails = "Benulobiweed Inc"; 
}
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Burning Quirium Fuel") >= 0) 
{
missionVariables.random_station_names_mfd_objectType= "Incendiary";
missionVariables.random_station_names_mfd_objectDataName = "Caution";
missionVariables.random_station_names_mfd_objectDetails = "Highly Volatile"; 
}
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Naval Torpedo") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("I Missile") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("I-Missile") >= 0) 
{
missionVariables.random_station_names_mfd_objectDetails = "SoloTek Industries"; 
}
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Trident Missile") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Trident Tine") >= 0) 
{
missionVariables.random_station_names_mfd_objectDetails = "Groove Munitions Inc"; 
}
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Manchi missile") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Nova missile") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Plasma torpedo") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("SM-1 missile") >= 0) 
{
missionVariables.random_station_names_mfd_objectDetails = "Neurath Munitions"; 
}
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Destroyer Missile") >= 0) 
{
missionVariables.random_station_names_mfd_objectDetails = "ADCK Weapons Systems Ltd"; 
}
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Pumpkin Missile") >= 0) 
{
missionVariables.random_station_names_mfd_objectType= "Cantaloup";
missionVariables.random_station_names_mfd_objectDataName = "Composition";
missionVariables.random_station_names_mfd_objectDetails = "Pure Evil"; 
}
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Graviton Missile") >= 0) 
{
missionVariables.random_station_names_mfd_objectType= "Bio Weapon";
missionVariables.random_station_names_mfd_objectDataName = "Caution";
missionVariables.random_station_names_mfd_objectDetails = "Trumble Infestation Detected"; 
}
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Jida Missile ASM-12B") >= 0) 
{
missionVariables.random_station_names_mfd_objectDetails = "Isis Interstellar"; 
}
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Bomb 20") >= 0) 
{
missionVariables.random_station_names_mfd_objectType= "Bomb";
missionVariables.random_station_names_mfd_objectDetails = "Soin Armaments Bureau"; 
}
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Splinter Missile") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Raptor's Talon") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Kamikaze Orbiter") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Kamikaze Drone") >= 0) 
{
missionVariables.random_station_names_mfd_objectDetails = "Classified"; 
}
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Military Navy Missile") >= 0) 
{
missionVariables.random_station_names_mfd_objectDetails = "Pteradyne Technologies"; 
}
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Cascade Missile") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Thermonuclear Missile") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Fragmentation Missile") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Fragmentary Particle") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Lawmaker Missile") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Anti-Thargoid Missile") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Anti-Thargoid Warhead") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Intercept Missile") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Defence Missile") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Chaff Launcher") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Override Missile") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Disruptor Missile") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("EMP Mine") >= 0) 
{
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Chaff Launcher") >= 0) missionVariables.random_station_names_mfd_objectType= "Launcher";
missionVariables.random_station_names_mfd_objectDetails = "Ramirez Armaments Plc"; 
}
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Nexus missile") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Nexus bug-off missile") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Nexus warhead") >= 0) 
{
missionVariables.random_station_names_mfd_almanacDisplayTarget = "Nexus Class Missile";
missionVariables.random_station_names_mfd_objectDetails = "Elite Munitions Ltd"; 
}
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Hawking HMX-11 Military Smart Missile") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Hacker HMX-11 Military Smart Missile") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Military Missile") >= 0) 
{
missionVariables.random_station_names_mfd_objectDetails = "Montana Munitions Inc"; 
}
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Photon Missile" ) >= 0)   
{
missionVariables.random_station_names_mfd_objectDataName = "Danger";
missionVariables.random_station_names_mfd_objectType= "Missile";
missionVariables.random_station_names_mfd_objectDetails = "Alien Weapon System";
}
// End of Missile Class
}
// Mine Class.
// As in the Native Game all mines are made by Tyley-Feynman, they are the default designer unless the Mine is on the OXZ list of Mine.
if (target.scanClass === "CLASS_MINE")  {
missionVariables.random_station_names_mfd_objectDataName = "Designer";
missionVariables.random_station_names_mfd_objectType= "Mine"; // Default.
missionVariables.random_station_names_mfd_objectDetails = "Tyley-Feynman"; // Default
// Resistance Commander Control Units
 if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Unit 1") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Unit 2") >= 0 
 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Unit 3") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Unit 4") >= 0 
 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Unit 5") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("All units") >= 0
 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Regroup") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Engage") >= 0
 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Hold") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Undo") >= 0
 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Sweep") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Special Functions") >= 0
 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Hyperspace check") >= 0)
{
missionVariables.random_station_names_mfd_objectType= "Transmitter";
missionVariables.random_station_names_mfd_objectDataName = "Transmission Mode";
missionVariables.random_station_names_mfd_objectDetails = "Encrypted";
}
// Shield Pod
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Shield Pod") >= 0 )
{
missionVariables.random_station_names_mfd_objectType= "Pod";
missionVariables.random_station_names_mfd_objectDetails = "Ramirez Extreme Sports Ltd";
}
// Ship Reactor
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Ship Reactor") >= 0 )
{
missionVariables.random_station_names_mfd_objectDataName = "Danger";
missionVariables.random_station_names_mfd_objectType= "Wreckage";
missionVariables.random_station_names_mfd_objectDetails = "Highly Unstable";
}
// Electronic Warfare Pod
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Electronic Warfare Pod") >= 0 )
{
missionVariables.random_station_names_mfd_objectType= "Pod";
missionVariables.random_station_names_mfd_objectDetails = "Ramirez Armaments Plc";
}
// Distress Beacon Launcher, Chaff Launcher, Remote Launcher.
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Distress Beacon Launcher") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Chaff Launcher") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Remote Launcher") >= 0)
{
missionVariables.random_station_names_mfd_objectType= "Launcher";
missionVariables.random_station_names_mfd_objectDetails = "Ramirez Armaments Plc";
}
// Fragmentation Bomb
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Fragmentation Bomb") >= 0 )
{
missionVariables.random_station_names_mfd_objectType= "Bomb";
missionVariables.random_station_names_mfd_objectDetails = "Ramirez Armaments Plc";
}
// Remote Detonation Mine
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Remote Detonation Mine") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Radio Bomb") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("ESW Beacon Launcher") >= 0)
{
missionVariables.random_station_names_mfd_objectDetails = "Ramirez Armaments Plc";
}
// Ships from Resistance Commander using Mine Scan Class.
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("GW Krait") >= 0 )
{
missionVariables.random_station_names_mfd_objectType= "Ship";
missionVariables.random_station_names_mfd_objectDetails = "DeLacy ShipWorks";
}
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("GW Gecko") >= 0 )
{
missionVariables.random_station_names_mfd_objectType= "Ship";
missionVariables.random_station_names_mfd_objectDetails = "Ace and Faber";
}
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("GW Moray") >= 0 )
{
missionVariables.random_station_names_mfd_objectType= "Ship";
missionVariables.random_station_names_mfd_objectDetails = "Marine Trench Co.";
}

if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Raptor's Claw Mine") >= 0 )
{
missionVariables.random_station_names_mfd_objectDetails = "Classified";
}
// End of Mine Class
}
// Thargoid Class (Auto Sort)
// And named Alien Ships: (Weeviloids)
if (target.scanClass === "CLASS_THARGOID" 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Weeviloid") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Thargoid Projectile") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Thargoid Jumpgate") >= 0)  {
missionVariables.random_station_names_mfd_objectDetails = "Alien Ship"; // Default
missionVariables.random_station_names_mfd_objectDataName = "Caution"; // Default
missionVariables.random_station_names_mfd_objectDetails = "Unregistered Alien Vessel"; // Default
if (target.isCarrier) {
missionVariables.random_station_names_mfd_objectDetails = "Alien Carrier";
missionVariables.random_station_names_mfd_objectDetails = "Unregistered Alien Carrier";
}
if (target.isStation) {
missionVariables.random_station_names_mfd_objectDetails = "Alien Station";
missionVariables.random_station_names_mfd_objectDetails = "Unregistered Alien Station";
}
// Thargoids
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Thargoid") >= 0) {
missionVariables.random_station_names_mfd_objectType= "Enemy Warship";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Thargoid Robot Fighter") >= 0) missionVariables.random_station_names_mfd_objectType= "Enemy Drone";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Thargoid Projectile") >= 0) missionVariables.random_station_names_mfd_objectType= "Weapon";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Thargoid Jumpgate") >= 0) missionVariables.random_station_names_mfd_objectType= "Jumpgate";
if (target.isCarrier) {
missionVariables.random_station_names_mfd_objectDetails = "Enemy Carrier";
}
if (target.isStation) {
missionVariables.random_station_names_mfd_objectDetails = "Enemy Station";
}
missionVariables.random_station_names_mfd_objectDataName = "Danger";
missionVariables.random_station_names_mfd_objectDetails = "Hostile Alien";
}
// End of Thargoid Class
}
// No Draw Class - Varoius Objects
if (target.scanClass === "NO_DRAW")  {
// Naval Marker Beacon
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Naval Marker Beacon") >= 0 )
{
missionVariables.random_station_names_mfd_objectDataName = "Transmission Mode";
missionVariables.random_station_names_mfd_objectType= "Beacon";
missionVariables.random_station_names_mfd_objectDetails = "Military Frequency";
}
// Sahana
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Sahana") >= 0 )
{
missionVariables.random_station_names_mfd_objectDataName = "Composition";
missionVariables.random_station_names_mfd_objectType= "Canister";
missionVariables.random_station_names_mfd_objectDetails = "Metallic Casing";
}
// Autoskimmer
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Autoskimmer") >= 0 )
{
missionVariables.random_station_names_mfd_objectDataName = "Designer";
missionVariables.random_station_names_mfd_objectType= "Drone";
missionVariables.random_station_names_mfd_objectDetails = "Ronson Robotics";
}
// End of No Draw Class
}
//Closing Bracket for the whole Vald Target Check
}
// Workaround for Telescope Spoof Targets.
// If what is actually being targeted is a Spoof Clone of the real object hanging on the edge of the scanner, then we need to get the real entity in order
if (missionVariables.random_station_names_telescope_installed === "Yes" && target !== "No Target") {
// Identify Telescope spoofs by their real name.
if (target.name === "Telescope marker") {
// Get the name of the real object it is spoofing by calling the displayName of the Spoof.
// Now we know what Name of the thing Telescope is spoofing, we can find the real object by finding the entity in the system
// Get a list of the Real Objects - ADD a false of the name is Telescope marker
var CountEverything = system.filteredEntities(this, this.CountEverying, player.ship);
// Close of if the target is Telescope Marker.
}
// Closing Bracket for Telescope conversion to the real entity test.
}
// Check Ships, Stations and Carriers.
// If the Object has been classified above as a Ship, Station or Carrier then the designer for it is looked up in a separate function.
// This is so we don't do the Scan for all the possible designers of Ships & Stations unless the target is a Ship / Station or Carrier.
// This avoids this code being run unless it needs to be.
if (missionVariables.random_station_names_mfd_objectType.indexOf("Ship") >= 0  || missionVariables.random_station_names_mfd_objectType.indexOf("Station") >= 0
|| missionVariables.random_station_names_mfd_objectType.indexOf("Carrier") >= 0 || missionVariables.random_station_names_mfd_objectType.indexOf("Hermitage") >= 0
|| missionVariables.random_station_names_mfd_objectType.indexOf("Naval Vessel") >= 0 || missionVariables.random_station_names_mfd_objectType.indexOf("Patrol Craft") >= 0
|| missionVariables.random_station_names_mfd_objectType.indexOf("Escape Pod") >= 0 || missionVariables.random_station_names_mfd_objectType.indexOf("Station Buoy") >= 0)
{
missionVariables.random_station_names_mfd_objectDataName = "Designer";
this.ScanShipsandStations();
}
// End of Whole Ship Class
}
// Over-Rides - Objects with these names are always classified as below regardless of the designation that would otherwise have been assigned.
// Classify Wormholes.
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Wormhole") >= 0) {
missionVariables.random_station_names_mfd_objectType= "Wormhole";
missionVariables.random_station_names_mfd_objectDataName = "Composition";
missionVariables.random_station_names_mfd_objectDetails = "Exotic Energy";
}
// Classify Cosmic Strings
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Cosmic String") >= 0) {
missionVariables.random_station_names_mfd_objectType= "Anomaly";
missionVariables.random_station_names_mfd_objectDataName = "Composition";
missionVariables.random_station_names_mfd_objectDetails = "Strange Matter";
}
//Classify Beacons (Public - All Classified as Public unless it is a beacon from a mission which in story - but not code! - is only visable to the player as he's been given the frequency by the mission's strory.)
if(missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Emergency Distress Marker") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Naval Marker Beacon") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Witchpoint Beacon") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("GalCop Station Buoy") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Navigation Buoy") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Sothis Ring Beacon") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Tournament Buoy") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Jaguar Company Base Buoy") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("GalCop Navy Buoy") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Ring Racer") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Tournament Shield") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Target Drone") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Jumpgate") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("RRS Waystation Buoy") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Ad Buoy") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Navigation Buoy: Transit Station") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Navigation Buoy") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Informational Beacon") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Distress Beacon") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("ESW Beacon") >= 0) {
missionVariables.random_station_names_mfd_objectType= "Beacon";
missionVariables.random_station_names_mfd_objectDataName = "Transmission Mode";
missionVariables.random_station_names_mfd_objectDetails = "Public";
}
//Classify Beacons (Private)
if(missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("The Collector's Gate") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("The Collector's target beacon") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("The Collector's Buoy") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("The Link Base") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Ionics CR150 Weapons Platform") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Black Box") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf(" Rebel Outpost: New Hope") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Task Force Juliet") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Areidis Buoy") >= 0) {
missionVariables.random_station_names_mfd_objectType= "Beacon";
missionVariables.random_station_names_mfd_objectDataName = "Transmission Mode";
missionVariables.random_station_names_mfd_objectDetails = "Secure Channel";
}
// Classify Satellites
if(missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Fuel Station") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Satellite") >= 0) {
missionVariables.random_station_names_mfd_objectDataName = "Designer";
missionVariables.random_station_names_mfd_objectType= "Satellite";
missionVariables.random_station_names_mfd_objectDetails = "No Data Available"; // Default - Currently only three OXZ Satalites exist so any further ones would require a Data Base uodate to the Almanac!
if(missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Surveillance-Satellite") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("COMLR-Satellite") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("COM-Satellite") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Satellite Telescope") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Surveillance Satellite") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("COMLR Satellite") >= 0 
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("COM Satellite") >= 0) missionVariables.random_station_names_mfd_objectDetails = "Rorschachhamster Plc"; // Rorschachhamster Satellites.
if(missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Fuel Station") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Fuel Satellite") >= 0) missionVariables.random_station_names_mfd_objectDetails = "AOO Solar Inc"; // Fuel Stations & Satellites.
if(missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Mine Sweeper Satellite") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Sentinel Satellite") >= 0)  missionVariables.random_station_names_mfd_objectDetails = "Ursine Technologies Plc";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Thargoid") >= 0) {
missionVariables.random_station_names_mfd_objectType= "Enemy Satellite"; 
missionVariables.random_station_names_mfd_objectDataName = "Danger"; 
missionVariables.random_station_names_mfd_objectDetails = "Hostile Alien Drone";}
}
//Classify Waypoints
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Waypoint Alpha") >= 0  || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Waypoint Bravo") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Waypoint Charlie") >= 0  
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Waypoint Delta") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Waypoint Echo") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Waypoint Foxtrot") >= 0
|| missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Waypoint Golf") >= 0 || missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Waypoint Hotel") >= 0)
{
missionVariables.random_station_names_mfd_objectType= "Waypoint";
missionVariables.random_station_names_mfd_objectDataName = "Nav Point";
missionVariables.random_station_names_mfd_objectDetails = "Selected as Current Target";
}
// Wreckage (on the fly describtions dice roll - as wreckage exploeds after a few seconds the objects are not persistent!).
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Wreckage") >= 0) 
{
missionVariables.random_station_names_mfd_objectDataName = "Composition";
missionVariables.random_station_names_mfd_objectType= "Wreckage";
missionVariables.random_station_names_mfd_objectDetails = expandDescription("[named_stations_wreckage]");
}
// Explosive Fragments
if (missionVariables.random_station_names_mfd_almanacDisplayTarget.indexOf("Explosive Fragment") >= 0) {
missionVariables.random_station_names_mfd_objectType= "Explosive";
missionVariables.random_station_names_mfd_objectDataName = "Composition";
missionVariables.random_station_names_mfd_objectDetails = "High Yield Explosive";
}
// END OF SCANS
// Scripted Over-Rides. - JUMP! HERE!
// Other OXZs can set custom Descriptions in ShipData.
// If any of the three Text Strings has been set by Script Info, this will be used by the Almanac MFD.
if (player.ship.compassTarget || player.ship.target) {
if (player.ship.compassTarget) var currenttarget = player.ship.compassTarget;
if (player.ship.target) var currenttarget = player.ship.target;
if (!currenttarget.isMainPlanet && !currenttarget.isSun) {
if (currenttarget.scriptInfo.almanac_mfd_object_type) missionVariables.random_station_names_mfd_objectType = currenttarget.scriptInfo.almanac_mfd_object_type;
if (currenttarget.scriptInfo.almanac_mfd_object_data_name) missionVariables.random_station_names_mfd_objectDataName = currenttarget.scriptInfo.almanac_mfd_object_data_name;
if (currenttarget.scriptInfo.almanac_mfd_object_details) missionVariables.random_station_names_mfd_objectDetails = currenttarget.scriptInfo.almanac_mfd_object_details;
// Closing Bracket to exclude the Sun and Main Planet.
}
// Closing Bracket for Valid Target Check.
}
// Get Distance to Current Player Target / ASC Target.
if (player.ship.compassTarget) {
var rounding = missionVariables.random_station_names_mfd_rounding;
var distranceinUnits = (player.ship.position.distanceTo(target) - target.collisionRadius)/missionVariables.random_station_names_mfd_unitBase;
var almanacDisplayDistance = distranceinUnits.toFixed(rounding);
if (almanacDisplayDistance <0) var almanacDisplayDistance = 0;
}
// If the Object Targeted is a Telescope OXZ Marker, switch the distance to the entity Telescope is Marking rather than giving the distance to the Marker.
if (missionVariables.random_station_names_mfd_telescope_spoof) {
var rounding = missionVariables.random_station_names_mfd_rounding;
var distranceinUnits = missionVariables.random_station_names_mfd_telescope_spoof;
var almanacDisplayDistance = distranceinUnits.toFixed(rounding);
if (almanacDisplayDistance <0) var almanacDisplayDistance = 0;
}
// Build Message for MFD Output where the Target has changed.
var message = "Galactic Almanac MFD - Version 1.0";
message += "\n"+ system.name+": "+missionVariables.random_station_names_mfd_displayTL+" "+missionVariables.random_station_names_mfd_almanacGovDisplay+" "+missionVariables.random_station_names_mfd_almanacEcoDisplay+" ("+missionVariables.random_station_names_mfd_almanacInhabitantsDisplay+").";
message += "\n"+missionVariables.random_station_names_mfd_almanacsunDisplay+".";
message += "\nWorlds: "+mfdworlds+" Orbitals: "+mfdstations+" ("+missionVariables.random_station_names_mfd_almanacWPdisplay+").";
message += "\n\nInformation on Targeted "+missionVariables.random_station_names_mfd_objectType+":\n";
message += "\n"+missionVariables.random_station_names_mfd_almanacDisplayTarget;
message += "\n"+missionVariables.random_station_names_mfd_objectDataName+": "+missionVariables.random_station_names_mfd_objectDetails+".";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget_alert === ("None")) message += "\nDistance: "+almanacDisplayDistance+" "+missionVariables.random_station_names_mfd_unit+".";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget_alert !== ("None") && almanacDisplayDistance >0) message += "\nDistance: "+almanacDisplayDistance+" "+missionVariables.random_station_names_mfd_unit+".";
if (missionVariables.random_station_names_mfd_almanacDisplayTarget_alert !== ("None") && almanacDisplayDistance <=0) message += "\n"+missionVariables.random_station_names_mfd_almanacDisplayTarget_alert;
delete missionVariables.random_station_names_mfd_availability_state_launch;
//End of whole function
return message;
//Closing Bracket for whole function.
}
/////////////////////////////////////////////////////////////////////////////////// END OF MFD CODE ///////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//Code to add the Galactic Almanac to the F4 Screen when docked this any ship, station or hermit in the game or landed on any planet or moon (if PlanetFall is installed)..
this.shipDockedWithStation = function(station) {
if (system.isInterstellarSpace)  this.noalmanac();
if (system.sun.isGoingNova)  this.noalmanac2();
if (system.sun.hasGoneNova)  this.noalmanac3();
if (!system.sun) this.noalmanac4(); 
if (missionVariables.random_station_names_planetengine === "Yes" || missionVariables.random_station_names_spawnmoons === "Yes") {
if (missionVariables.random_station_names_stranger_populated_system !== "Yes") this.noalmanac5();
}
if (missionVariables.random_station_names_planetengine !== "Yes" && missionVariables.random_station_names_spawnmoons !== "Yes") this.almanacinterface();
if (missionVariables.random_station_names_planetengine === "Yes" || missionVariables.random_station_names_spawnmoons === "Yes") {
if (missionVariables.random_station_names_stranger_populated_system === "Yes") this.almanacinterface();
}
// Closing Bracket for whole function.
};
// Function to  remove the Galactic Almanac when not docked .
// Reset the ASC on Launching as otherwise the Sun name will default to its normal name.
// Restart the MFD Timer.
// Reset the MFD System Data.
this.removealmanac = this.shipWillLaunchFromStation = function() {
this.namestars();
missionVariables.random_station_names_stranger_populated_system = "Yes";
missionVariables.random_station_names_mfd_availability_state_launch = "Yes";
{ this.scriptDelay_planetsandmoons = new Timer(this, this.nameplanetsandmoons, 0.20); }
this.SetUpAlmanacMFD();
this.almanacdistanceTimer.start();
player.ship.dockedStation.setInterface("named_stations_distances",null);
{ this.scriptDelay = new Timer(this, this.setUpASC, 0.21); }
if (missionVariables.random_station_names_planetengine === "Yes" || missionVariables.random_station_names_spawnmoons === "Yes") { this.scriptDelay_setupmfd = new Timer(this, this.SetUpAlmanacMFD, 0.29); }
}
// Adds the Galactic Almanac to the F4 Screen (when not in Interstella Space or in a System where the sun either has gone nova or is going nova or at a system in normal space where another OXP has taken the Sun away!)
this.almanacinterface = function() {	
player.ship.dockedStation.setInterface("inamed_stations_distances",{
title: "Galactic Almanac: GAL-ID Register for the "+ system.name+" System.",
category: "Atlas",
summary: "Displays the names and distances from your current position of all natural celestial bodies, stars, planets, moons, space stations and orbitals in the  "+ system.name+" System. The Register of Artificial Satellites only lists orbitals transmitting a GAL-ID beacon code readable by an Advanced Space Compass.",
callback: this.showAlmanac1.bind(this)});	
};
// If docked with a ship in Interstella Space the Almamac will still be added to the F4 Screen, but the player will be told they do not have Security Clearance to use it.
this.noalmanac = function() {	
player.ship.dockedStation.setInterface("inamed_stations_distances",{
title: "Galactic Almanac: Register of Naval Vessels and Orbitals",
category: "Atlas",
summary: "Displays the names and distances from your current position of all naval vessels and space stations operating in Interstellar space. GAL-ID Security Clearance of Nexus Six or higher is required to access this data.",
callback: this.navyAlmanac.bind(this)});	
};
this.navyAlmanac = function() {	
// No Chance the Military will let you see where they are deployed!
this.setheaders();
if (missionVariables.random_station_names_screen == "BGS Background Style") var bgImage = "random_stations_background_bgs.png";
if (missionVariables.random_station_names_screen == "Better Screens Style") var bgImage = "random_stations_background_better.png";
if (missionVariables.random_station_names_screen == "Xenon Style") var bgImage = "random_stations_background_xenon.png";
if (missionVariables.random_station_names_screen == "Classic Elite Style") var bgImage = "random_stations_background_green.png";
var introtext = "\n\nAccess Denied.\n\n\n\n\n\n\n\nYou do not have sufficient Security Clearance to view this data. Access is restricted to military personnel with a Security Clearance Level of Nexus 6 or higher.";
var message3 = missionVariables.random_station_names_header6+introtext;
mission.runScreen({
title: "Register of Naval Vessels in Interstellar Space",
screenID:"named_stations_distances2",
message: message3,
overlay: bgImage,
exitScreen: "GUI_SCREEN_INTERFACES",
choicesKey: "random_station_names_eject"},
function (choice) {}, this); 
};
// If the Sun is going nova then the entry on the F4 screen appears as normal, but an error message is shown when the Almanac is accessed.
this.noalmanac2 = function() {	
player.ship.dockedStation.setInterface("inamed_stations_distances",{
title: "Galactic Almanac: GAL-ID Register for the "+ system.name+" System.",
category: "Atlas",
summary: "Displays the names and distances from your current position of all natural celestial bodies, stars, planets, moons, space stations and orbitals in the  "+ system.name+" System. The Register of Artificial Satellites only lists orbitals transmitting a GAL-ID beacon code readable by an Advanced Space Compass.",
callback: this.novaAlmanac.bind(this)})	
};
this.novaAlmanac = function() {	
// Techobable Radiation is distrupting the local FTL connection to the Almanac's Database!
this.setheaders();
var bgImage = "oolite-nova-system.png";
var introtext = "\n\nThe Galactic Almanac has encountered an error and needs to close.\n\n\n\n\n\n\n\n\n\n\n\n\nThe Galactic Almanac was unable to connect to the local GAL-ID FTL server. This is a known local service disruption issue caused by unusually high Omicron radiation emissions from the local "+ system.name+"ian sun. There is no cause for alarm. Our technicians are working hard to address the issue and normal service will be resumed shortly.\n\nIf you require further information please contact FTL Mail: support@gal_id.gov.gal1.com.";
var message4 = missionVariables.random_station_names_header4+introtext;
mission.runScreen({
title: "Natural Celestial Bodies of the " + system.name+" System",
screenID:"named_stations_distances2",
message: message4,
overlay: bgImage,
exitScreen: "GUI_SCREEN_INTERFACES",
choicesKey: "random_station_names_eject"},
function (choice) {}, this); 
};
// It would not normally be possible to be docked in a system where the Sun has already gone nova as there would be no ships or stations to dock with and the player ship
// would not be able to survive long enough in a nova system to dock with anything anyway.
// This part of the Random Station Names script would not normally be reached.
// Since Random Station Names does need a Star to be present to calculate planet order, just in case another OXP scripts a way to dock in a nova system,
// the Almanac will report that the system has been destroyed.
this.noalmanac3 = function() {	
player.ship.dockedStation.setInterface("inamed_stations_distances",{
title: "Galactic Almanac: Devastated System - Database Entry Deleted.",
category: "Atlas",
summary: "This system was destroyed by a supernova explosion. The entry for this system has been deleted from the GAL-ID database and is no longer updated.",
callback: this.novaAlmanac2.bind(this)})	
};
this.novaAlmanac2 = function() {	
// If you were somehow able to dock in a nova system, the Almanac would report that the system has been destroyed and its entry deleted from the Database.
var bgImage = "oolite-nova-system.png";
this.setheaders();
var introtext = "\n\nNo Celestial Bodies or GAL-ID Registered Artificial Satellites are recorded for this System.\n\n\n\n\n\n\n\n\n\n\n\n\nThis system was destroyed by a supernova explosion. The entry for this system has been deleted from the GAL-ID database and is no longer updated.";
var message5 = missionVariables.random_station_names_header4+introtext;
mission.runScreen({
title: "Devastated System - Database Entry Deleted.",
screenID:"named_stations_distances2",
message: message5,
overlay: bgImage,
exitScreen: "GUI_SCREEN_INTERFACES",
choicesKey: "random_station_names_eject"},
function (choice) {}, this); 
};
// This situation would only be reached if the player was not in interstellar space but the system the player was in had no Sun.
// This would not normally happen, but if another OXP removed the sun from a system, then the Almanac would report an error.
this.noalmanac4 = function() {	
player.ship.dockedStation.setInterface("inamed_stations_distances",{
title: "Galactic Almanac: GAL-ID Register for the "+ system.name+" System.",
category: "Atlas",
summary: "Displays the names and distances from your current position of all natural celestial bodies, stars, planets, moons, space stations and orbitals in the  "+ system.name+" System. The Register of Artificial Satellites only lists orbitals transmitting a GAL-ID beacon code readable by an Advanced Space Compass.",
callback: this.nosunAlmanac.bind(this)})	
};
this.nosunAlmanac = function() {	
// Run if another OXP takes away the system Sun!
this.setheaders();
var introtext = "\n\nThe Galactic Almanac has encountered an error and needs to close.\n\n\n\n\n\n\n\nThe Galactic Almanac was unable to connect to the local GAL-ID FTL server. This is a known local service disruption issue caused by the "+ system.name+"ian sun suffering a total quantum existence failure. Our Metaphysics Department is working hard to address the issue. Normality will be restored as soon as we are sure what is normal anyway.\n\nIf you require further information please contact FTL Mail: support@gal_id.gov.gal1.com.";
var message6 = missionVariables.random_station_names_header4+introtext;
if (missionVariables.random_station_names_screen == "BGS Background Style") var bgImage = "random_stations_background_bgs.png";
if (missionVariables.random_station_names_screen == "Better Screens Style") var bgImage = "random_stations_background_better.png";
if (missionVariables.random_station_names_screen == "Xenon Style") var bgImage = "random_stations_background_xenon.png";
if (missionVariables.random_station_names_screen == "Classic Elite Style") var bgImage = "random_stations_background_green.png";
mission.runScreen({
title: "Natural Celestial Bodies of the " + system.name+" System",
screenID:"named_stations_distances2",
message: message6,
overlay: bgImage,
exitScreen: "GUI_SCREEN_INTERFACES",
choicesKey: "random_station_names_eject"},
function (choice) {}, this); 
};
// If the player has Planetary Systems installed the system is not populated until the player launches.
// When loading from a saved game therefore the solar system does not exist until the player first launches. After that the system remains in existance until you quit the game or load a new commander.
// A screen explaining this is displayed if the Almanac is consulted before the system has been set up.
this.noalmanac5 = function() {	
player.ship.dockedStation.setInterface("inamed_stations_distances",{
title: "Galactic Almanac Off-Line: Reality Under Construction.",
category: "Atlas",
summary: "The Planetary Systems and Moons OXZs only set up the Universe when you launch for the first time. As you have just loaded a saved game the Universe does not yet exist. After you have launched once, the Universe will exist and the Almanac will then be available. Press the ENTER Key for further information.",
callback: this.strangerAlmanac.bind(this)});	
};
this.strangerAlmanac = function() {	
this.setheaders();
if (missionVariables.random_station_names_screen == "BGS Background Style") var bgImage = "random_stations_background_bgs.png";
if (missionVariables.random_station_names_screen == "Better Screens Style") var bgImage = "random_stations_background_better.png";
if (missionVariables.random_station_names_screen == "Xenon Style") var bgImage = "random_stations_background_xenon.png";
if (missionVariables.random_station_names_screen == "Classic Elite Style") var bgImage = "random_stations_background_green.png";
var introtext = "The Galactic Almanac has detected that you have the Planetary Systems / Moons Expansions installed and have just loaded from a saved game or started a new commander. These OXZs  use the old method of setting up the universe when you launch from the station for the first time rather than when the game starts up.\n\nAs you have not yet launched, at present the "+ system.name+" System does not exist. Once you launch, the universe will be created and will remain in existence for the rest of the play session. If you launch and redock, the universe will be populated and the Galactic Almanac will be available. Once you have launched for the first time after loading a game, the Galactic Almanac will operate normally and you will not see this message again until you load a new commander.\n\nThe Planetary Systems OXZ can also occasionally generate beacons for non-existent moons with an undefined name. This can cause distance calculating scripts to crash. To avoid breaking immersion, the Galactic Almanac patches this by naming these invisible objects Cosmic Strings. As they are not real objects they are excluded from the Galactic Almanac lists. If you have the Planetary Compass or Market Inquirer OXZs installed, these OXZs will display the objects as Cosmic Strings to stop the scripts of these OXZs from crashing.";
var message7 = introtext;
mission.runScreen({
title: "Reality Under Construction ",
screenID:"named_stations_distances2",
message: message7,
overlay: bgImage,
exitScreen: "GUI_SCREEN_INTERFACES",
choicesKey: "random_station_names_eject"},
function (choice) {}, this); 
};
// Set up and Display the First Part of the Galactic Almanac - Star, Planets and Moons - HERE!
this.showAlmanac1 = function() {
this.namestars();
this.setheaders();
missionVariables.random_station_names_planetpages  = 1;
missionVariables.random_station_names_planet_singlepage  = "True";
var totalCount = 0; 
var planetCount = 0;
var loopCount = 0;
var text = "";
var currentpage = "";
if (missionVariables.random_station_names_units == "Torans") var unitBase = 15800;
if (missionVariables.random_station_names_units == "Torans") var unit = "TS";
if (missionVariables.random_station_names_units == "Kilometres") var unitBase = 1000;
if (missionVariables.random_station_names_units == "Kilometres") var unit = "KM";
if (missionVariables.random_station_names_units == "Ostronomical Units") var unitBase = 905520;
if (missionVariables.random_station_names_units == "Ostronomical Units") var unit = "OU";
if (missionVariables.random_station_names_units == "Miles") var unitBase = 1609.34;
if (missionVariables.random_station_names_units == "Miles") var unit = "MI";
if (missionVariables.random_station_names_units == "Cavezzi") var unitBase = 2.08641;
if (missionVariables.random_station_names_units == "Cavezzi") var unit = "CZ";
if (missionVariables.random_station_names_units == "Torans") {missionVariables.random_station_names_mfd_rounding = 3;}
if (missionVariables.random_station_names_units == "Kilometres") {missionVariables.random_station_names_mfd_rounding = 3;}
if (missionVariables.random_station_names_units == "Ostronomical Units") {missionVariables.random_station_names_mfd_rounding = 3;}
if (missionVariables.random_station_names_units == "Miles") {missionVariables.random_station_names_mfd_rounding = 3; }
if (missionVariables.random_station_names_units == "Cavezzi") {missionVariables.random_station_names_mfd_rounding = 0; }
// Find and set up as a text variable the name and distance of the system Sun.
// Find the Name from the Random Station Names Star Names Array to be used if the Name Stars Option is On.
var starGrid = Math.floor(system.ID+(256 * galaxyNumber));
var rnd = missionVariables.random_station_names_mfd_rounding;
var i;
var lines = new Array();
// Locate the Sun and calculate the player's distance from it.
// Display the Sun as the Local Star.
if (system.sun) {
// Reset the Sun name to the Default. Only change it if Random Station Names Star Naming is On.
if (system.sun) system.info.sun_name  = null;
if (system.sun_name) system.info.sun_name  =  system.sun_name;
if (!system.info.sun_name) system.info.sun_name  = system.name+" Stella";
// If the Sun is unnamed then describe it by the System Name.
var name = system.info.sun_name;
// If another OXP has named the star then display it by the name given by the other OXP.
//if (system.sun_name) var name = system.sun_name;
// Get the Star Type.
var starText = "Star";
// Check for Distant Stars changes.
if (name.indexOf("M0") >= 0) var starText = "Class M0 Star";
if (name.indexOf("K8") >= 0) var starText = "Class K8 Star";
if (name.indexOf("K2") >= 0) var starText = "Class K2 Star";
if (name.indexOf("G2") >= 0) var starText = "Class G2 Star";
if (name.indexOf("F2") >= 0) var starText = "Class F2 Star";
if (name.indexOf("A7") >= 0) var starText = "Class A7 Star";
if (name.indexOf("A2") >= 0) var starText = "Class A2 Star";
// If Distant Suns is Installed (or any other OXP that changes star colours) then Stars are described based on their colour using the same classifications as Distant Suns..
// If the player does not have Distant Suns installed (or another OXP which changes Star Colours) then the Sun will just be decribed as a Star.
if (system.info.sun_color === "redColor") var starText = "Class M Star";
if (system.info.sun_color === "orangeColor") var starText = "Class K Star";
if (system.info.sun_color === "yellowColor") var starText = "Class G Star";
if (system.info.sun_color === "whiteColor") var starText = "Class F Star";
if (system.info.sun_color === "cyanColor") var starText = "Class A Star";
if (system.info.sun_color === "blueColor") var starText = "Class B Star";
if (system.info.sun_color === "magentaColor") var starText = "Class M Star"; 
if (system.info.sun_color === "blackColor") var starText = "Dark Star";
if (system.info.sun_color === "darkGrayColor") var starText = "Dark Star";
if (system.info.sun_color === "lightGrayColor") var starText = "Class C Star";
if (system.info.sun_color === "grayColor") var starText = "Shadow Star";
if (system.info.sun_color === "greenColor") var starText = "Class J Star";
if (system.info.sun_color === "brownColor") var starText = "Class L Star";
if (system.info.sun_color === "clearColor") var starText = "Exotic Star";
// Only the very biggest and very smallest stars on the charts are classified as Giants / Dwarfs.
// If Distant Suns (or any other OXP which modifies Star Colour) is not installed then Dwarfs and Giants do not have colours.
if (system.info.sun_radius < 82000) var starText = "Dwarf Star";
if (system.info.sun_radius > 179000) var starText = "Giant Star";
// If Distant Suns (or any other colour changing OXP) is installed then Dwarfs and Giants have colours.
if (system.info.sun_radius < 82000 && system.info.sun_color === "redColor") var starText = "Red Dwarf";
if (system.info.sun_radius < 82000 && system.info.sun_color === "orangeColor") var starText = "Orange Dwarf";
if (system.info.sun_radius < 82000 && system.info.sun_color === "yellowColor") var starText = "Yellow Dwarf";
if (system.info.sun_radius < 82000 && system.info.sun_color === "whiteColor") var starText = "White Dwarf";
if (system.info.sun_radius < 82000 && system.ID < 128  && system.info.sun_color === "cyanColor") var starText = "White Dwarf";
if (system.info.sun_radius < 82000 && system.ID > 127  && system.info.sun_color === "cyanColor") var starText = "Pale Dwarf";
if (system.info.sun_radius < 82000 && system.info.sun_color === "blueColor") var starText = "Blue Dwarf";
if (system.info.sun_radius < 82000 && system.info.sun_color === "magentaColor") var starText = "Purple Dwarf";
if (system.info.sun_radius > 179000 && system.info.sun_color === "redColor") var starText = "Red Giant";
if (system.info.sun_radius > 179000 && system.info.sun_color === "orangeColor") var starText = "Orange Giant";
if (system.info.sun_radius > 179000 && system.info.sun_color === "yellowColor") var starText = "Yellow Giant";
if (system.info.sun_radius > 179000 && system.info.sun_color === "whiteColor") var starText = "White Giant";
if (system.info.sun_radius > 179000 && system.ID < 128 && system.info.sun_color === "cyanColor") var starText = "White Giant";
if (system.info.sun_radius > 179000 && system.ID > 127 && system.info.sun_color === "cyanColor") var starText = "Pale Giant";
if (system.info.sun_radius > 179000 && system.info.sun_color === "blueColor") var starText = "Blue Giant";
if (system.info.sun_radius > 179000 && system.info.sun_color === "magentaColor") var starText = "Purple Giant";
if (system.info.sun_radius < 82000 && system.info.sun_color === "blackColor") var starText = "Dark Dwarf";
if (system.info.sun_radius < 82000 && system.info.sun_color === "darkGrayColor") var starText = "Dark Dwarf";
if (system.info.sun_radius < 82000 && system.info.sun_color === "lightGrayColor") var starText = "Gray Dwarf";
if (system.info.sun_radius < 82000 && system.info.sun_color === "grayColor") var starText = "Shadow Dwarf";
if (system.info.sun_radius < 82000 && system.info.sun_color === "greenColor") var starText = "Green Dwarf";
if (system.info.sun_radius < 82000 && system.info.sun_color === "brownColor") var starText = "Brown Dwarf";
if (system.info.sun_radius < 82000 && system.info.sun_color === "clearColor") var starText = "Exotic Dwarf";
if (system.info.sun_radius > 179000 && system.info.sun_color === "blackColor") var starText = "Dark Giant";
if (system.info.sun_radius > 179000 && system.info.sun_color === "darkGrayColor") var starText = "Dark Giant";
if (system.info.sun_radius > 179000 && system.info.sun_color === "lightGrayColor") var starText = "Gray Giant";
if (system.info.sun_radius > 179000 && system.info.sun_color === "grayColor") var starText = "Shadow Giant";
if (system.info.sun_radius > 179000 && system.info.sun_color === "greenColor") var starText = "Green Giant";
if (system.info.sun_radius > 179000 && system.info.sun_color === "brownColor") var starText = "Brown Giant";
if (system.info.sun_radius > 179000 && system.info.sun_color === "clearColor") var starText = "Exotic Giant";
// Check for Stranger's World Sun Gear Classifications
// If it is installed get the Class of the Star from Stranger's World Spectrometer and add it to the Star's name.
if (missionVariables.random_station_names_sungear === "Yes") {
var w = worldScripts.AstroLibrary;
var sunRadius = system.info.sun_radius; 
var spectrumText = w.$astroLib_sunSpectrum(sunRadius);
var starText = "Class "+spectrumText+" Star";
}
// If Random Station Names Star Naming is turned on, the Star will be named by Random Station Names.
// If Off then the star will have its default name of the System name unless another OXP has named it.
if (missionVariables.random_station_names_stars === "On")  
{
var name  =  starpool[starGrid&2047];
missionVariables.random_station_names_mfd_almanacsunDisplay = name;
system.info.sun_name = name+" ("+starText+")";
lines.push(["" +name+" ("+starText+")", dist(system.sun, rnd)]);
}
if (missionVariables.random_station_names_stars === "Off")  {
var name = system.info.sun_name;
var namedisplay = name+" ("+starText+")";
if (name.indexOf(" (") >= 0) var namedisplay = name;
if (missionVariables.random_station_names_distantsuns !== "Yes") system.info.sun_name = name+" ("+starText+")";
missionVariables.random_station_names_mfd_almanacsunDisplay = name;
lines.push(["" +namedisplay+"", dist(system.sun, rnd)]);
}
// Closing Bracket for Locating the Sun.
}
// Locate the Main Planet and calculate the player's distance from it.
// In order that the Main Planet is easily identifiable, it is shown on the Almaanc Page as the Prime Capital World.
// Unless in Interstella Space, a Main Planet will always be present, so unlike OXP Planets and Moons there is no need to count it up.
// If the player is in Interstella Space, then this function is never run as when in Intestella Space a spearte function for the Almaanc Pages is run.
// As a double Sanity Check however, the code below cheks that the number of Main Planets present is not zero before executing the code.
var mainplanet = system.filteredEntities(this, mainplanet, player.ship);
if (mainplanet.length !== 0) {
for (i = 0; i < mainplanet.length; i++) {
lines.push(["" +system.name+" I (Capital Planet)",dist(mainplanet[i], rnd)]);}
};
// Locate any OXP Planets and Moons in the system and calculate their distance from the player's current position..
var oxps = system.filteredEntities(this, oxps, player.ship);
var oxpCount = 0;
var displayCount = 1;
var sizenumbers = ["a single", "two", "three", "four", "five", "six", "seven", "eight", "nine", "ten", "eleven", "twelve", "thirteen", "fourteen", "fifteen", "sixteen", "seventeen", "eighteen", "nineteen", "twenty", "twenty one", "twenty two", "twenty three", 
"twenty four", "twenty five", "twenty six", "twenty seven", "twenty eight", "twenty nine", "thirty", "thirty one", "thirty two", "thirty three", "thirty four", "thirty five", "thirty six", "thirty seven", "thirty eight", "thirty nine", "forty", "forty one", "forty two", "forty three", 
"forty four", "forty five", "forty six", "forty seven", "forty eight", "forty nine", "fifty", "fifty one", "fifty two", "fifty three", "fifty four", "fifty five", "fifty six", "fifty seven", "fifty eight", "fifty nine", "sixty", "sixty one", "sixty two", "sixty three", "sixty four", "sixty five", 
" sixty six", "sixty seven", "sixty eight", "sixty nine", "seventy", "seventy one",  "seventy two", "seventy three", "seventy four", "seventy five", "seventy six", "seventy seven", "seventy eight", "seventy nine", "eighty", "eighty one", "eighty two", "eighty three", 
"eighty four", "eighty five", "eighty six", "eighty seven", "eighty eight", "eighty nine", "ninety", "ninety one", "ninety two", "ninety three", "ninety four", "ninety five",  "ninety six", "ninety seven", "ninety eight", "ninety nine", "one hundred",
// Not Used as with more than 100 objects the OXP display will switch to numbers instead of words.
"One hundred and one"];
if (oxps.length !== 0) {
for (i = 0; i < oxps.length; i++) {
if (oxps[i].displayName !== "Cosmic String") {
oxpCount++;
displayCount++;
totalCount++;
lines.push(["" + oxps[i].displayName+"",dist(oxps[i], rnd)]);}
}
// Close of Loop.
};
// Build the Pages.
var column1 = lines;
var column2 = new Array();
for (i = 0; i < column1.length; i++) {
loopCount++;
planetCount ++;
text = formatStrToCol(column1[i][0], column1[i][1], 31) + "\n";
var currentpage = currentpage+text;
// Stop the Planet Counter at 10 and set it back to 0 each time so each page is built in blocks of 10 names per page..
if (planetCount  > 10) {
// If starting a new page clear the text from the previous page.
var currentpage = "\n"+text;
var planetCount  = 1;
}
// Work out how many blank lines to add to keep the page neat depending on how many stations are on the page.
var shunt ="";
if (planetCount  == 0) var shunt="\n\n\n\n\n\n\n\n\n";
if (planetCount  == 1) var shunt="\n\n\n\n\n\n\n\n\n";
if (planetCount  == 2) var shunt="\n\n\n\n\n\n\n\n";
if (planetCount  == 3) var shunt="\n\n\n\n\n\n\n";
if (planetCount  == 4) var shunt="\n\n\n\n\n\n";
if (planetCount  == 5) var shunt="\n\n\n\n\n";
if (planetCount  == 6) var shunt="\n\n\n\n";
if (planetCount  == 7) var shunt="\n\n\n";
if (planetCount  == 8) var shunt="\n\n";
if (planetCount  == 9) var shunt="\n";
// Keep building the page up until either we've listed all the objects in the system or we've got to 10 objects
var pagetoadd = currentpage+shunt;
// If we get to ten, then save it and start building the next page.
// If the Loop is below 11 then we are on page 1
if (loopCount < 11)  {
missionVariables.random_station_names_planetpages = 1;
missionVariables.random_station_names_page1 = "\n"+pagetoadd;
}
// If the Loop is above 10 then we are on page 2
if (loopCount > 10 && loopCount <21) {
missionVariables.random_station_names_planet_singlepage  = "False";
missionVariables.random_station_names_planetpages = 2;
missionVariables.random_station_names_page2 = pagetoadd;
}
// If the Loop is above 20 then we are on page 3
if (loopCount > 20 && loopCount <31)  {
missionVariables.random_station_names_planet_singlepage  = "False";
missionVariables.random_station_names_planetpages = 3;
missionVariables.random_station_names_page3 = pagetoadd;
}
// If the Loop is above 30 then we are on page 4
if (loopCount > 30 && loopCount <41)  {
missionVariables.random_station_names_planet_singlepage  = "False";
missionVariables.random_station_names_planetpages = 4;
missionVariables.random_station_names_page4 = pagetoadd;
}
// If the Loop is above 40 then we are on page 5
if (loopCount > 40 && loopCount <51)  {
missionVariables.random_station_names_planet_singlepage  = "False";
missionVariables.random_station_names_planetpages = 5;
missionVariables.random_station_names_page5 = pagetoadd;
}
// If the Loop is above 50 then we are on page 6
if (loopCount > 50 && loopCount <61)  {
missionVariables.random_station_names_planet_singlepage  = "False";
missionVariables.random_station_names_planetpages = 6;
missionVariables.random_station_names_page6 = pagetoadd;
}
// If the Loop is above 60 then we are on page 7
if (loopCount > 60 && loopCount <71)  {
missionVariables.random_station_names_planet_singlepage  = "False";
missionVariables.random_station_names_planetpages = 7;
missionVariables.random_station_names_page7 = pagetoadd;
}
// If the Loop is above 70 then we are on page 8
if (loopCount > 70 && loopCount <81)  {
missionVariables.random_station_names_planet_singlepage  = "False";
missionVariables.random_station_names_planetpages = 8;
missionVariables.random_station_names_page8 = pagetoadd;
}
// If the Loop is above 80 then we are on page 9
if (loopCount > 80 && loopCount <91)  {
missionVariables.random_station_names_planet_singlepage  = "False";
missionVariables.random_station_names_planetpages = 9;
missionVariables.random_station_names_page9 = pagetoadd;
}
// If the Loop is above 90 then we are on page 10
if (loopCount > 90 && loopCount <101)  {
missionVariables.random_station_names_planet_singlepage  = "False";
missionVariables.random_station_names_planetpages = 10;
missionVariables.random_station_names_page10 = pagetoadd;
}
// If the Loop is above 100 then we are on page 11
if (loopCount > 100 && loopCount <111)  {
missionVariables.random_station_names_planet_singlepage  = "False";
missionVariables.random_station_names_planetpages = 11;
missionVariables.random_station_names_page11 = pagetoadd;
}
// If the Loop is above 110 then we are on page 12
if (loopCount > 110 && loopCount <121)  {
missionVariables.random_station_names_planet_singlepage  = "False";
missionVariables.random_station_names_planetpages = 12;
missionVariables.random_station_names_page12 = pagetoadd;
}
// If the Loop is above 120 then we are on page 13
if (loopCount > 120 && loopCount <131)  {
missionVariables.random_station_names_planet_singlepage  = "False";
missionVariables.random_station_names_planetpages = 13;
missionVariables.random_station_names_page13 = pagetoadd;
}
// If the Loop is above 130 then we are on page 14
if (loopCount > 130 && loopCount <141)  {
missionVariables.random_station_names_planet_singlepage  = "False";
missionVariables.random_station_names_planetpages = 14;
missionVariables.random_station_names_page14 = pagetoadd;
}
// If the Loop is above 140 then we are on page 15
if (loopCount > 140 && loopCount <151)  {
missionVariables.random_station_names_planet_singlepage  = "False";
missionVariables.random_station_names_planetpages = 15;
missionVariables.random_station_names_page15 = pagetoadd;
}
// If the Loop is above 150 then we are on page 16
if (loopCount > 150 && loopCount <161)  {
missionVariables.random_station_names_planet_singlepage  = "False";
missionVariables.random_station_names_planetpages = 16;
missionVariables.random_station_names_page16 = pagetoadd;
}
// If the Loop is above 160 then we are on page 17
if (loopCount > 160 && loopCount <171)  {
missionVariables.random_station_names_planet_singlepage  = "False";
missionVariables.random_station_names_planetpages = 17;
missionVariables.random_station_names_page17 = pagetoadd;
}
// If the Loop is above 170 then we are on page 18
if (loopCount > 170 && loopCount <181)  {
missionVariables.random_station_names_planet_singlepage  = "False";
missionVariables.random_station_names_planetpages = 18;
missionVariables.random_station_names_page18 = pagetoadd;
}
// If the Loop is above 180 then we are on page 19
if (loopCount > 180 && loopCount <191)  {
missionVariables.random_station_names_planet_singlepage  = "False";
missionVariables.random_station_names_planetpages = 19;
missionVariables.random_station_names_page19 = pagetoadd;
}
// If the Loop is above 190 then we are on page 20
if (loopCount > 190 && loopCount <201)  {
missionVariables.random_station_names_planet_singlepage  = "False";
missionVariables.random_station_names_planetpages = 20;
missionVariables.random_station_names_page20 = pagetoadd;
}
if (loopCount > 200 && missionVariables.random_station_names_looper_intro_given === "No")  {
this.giveloopermessage();
}
// Once the Message has been given once, in future the Almanac Screen will run as normal, but will only display the first 200 Stations added to the system.
// End of whole Page Building Loop.
}
//Show List of Star, Main Planet and OXP Moons, Planets & Gas Giants.
if (missionVariables.random_station_names_screen == "BGS Background Style") var bgImage = "random_stations_background_bgs.png";
if (missionVariables.random_station_names_screen == "Better Screens Style") var bgImage = "random_stations_background_better.png";
if (missionVariables.random_station_names_screen == "Xenon Style") var bgImage = "random_stations_background_xenon.png";
if (missionVariables.random_station_names_screen == "Classic Elite Style") var bgImage = "random_stations_background_green.png";
if (missionVariables.random_station_names_units == "Torans") var unittext = "Torans. One Unit is the distance travelled in one second under Torus Dilation.";
if (missionVariables.random_station_names_units == "Kilometres") var unittext = "Kilometres. One Unit is the distance travelled by light in three microseconds.";
if (missionVariables.random_station_names_units == "Ostronomical Units") var unittext = "Ostronomical Units. One Unit is the distance between the planet Lave and its Star.";
if (missionVariables.random_station_names_units == "Miles") var unittext = "Miles. One Unit is equal to the combined height of nine hundred Ancient Earthians.";
if (missionVariables.random_station_names_units == "Cavezzi") var unittext = "Cavezzi. One Unit is one twenty millionth the circumference of Ancient Earth.";
var describe = "a single World.";
if (oxpCount !== 0) var worlds = sizenumbers[oxpCount];
if (oxpCount !== 0) var describe = ""+worlds+" Worlds. Planets, Gas Giants and Moons are numbered in ascending order of distance from the local Star.";
if (oxpCount  > 100) var describe = ""+displayCount+" Worlds. Planets, Gas Giants and Moons are numbered in ascending order of distance from the local Star.";
missionVariables.random_station_names_describe = describe; // Save it as a tempoary variable so its easy to call in different functions.
// Bracket Off where only one page is needed.
if (missionVariables.random_station_names_planetpages === 1 && missionVariables.random_station_names_planet_singlepage  === "True") {
// Use this version if there are 10 or less objects present so only one page is needed.
var pagedisplay = missionVariables.random_station_names_page1;
mission.runScreen({
title: "Natural Celestial Bodies of the " + system.name+" System",
screenID:"named_stations_distances2",
message: missionVariables.random_station_names_header4+"\n"+pagedisplay+"\nThe "+ system.name+" System contains "+describe+" Distances are relative to your current position and are shown in "+unittext+"",
overlay: bgImage,
exitScreen: "GUI_SCREEN_INTERFACES",
choicesKey: "random_station_names_menu2"},
function (choice) {
if (choice === "1_TOG2") {this.showAlmanac2();}
if (choice === "2_OPTIONS2") {this.showSettings1();}
if (choice === "3_EXIT2") {this.exitAlmanac();}}, this); 
// End of Single Page Version of Page 1.
}
// If more than 10 objects are present and so more than one page is needed to display them, then run the multi-page version of Page 1.
if (missionVariables.random_station_names_planetpages > 1 && missionVariables.random_station_names_planet_singlepage  === "False") {
missionVariables.random_station_names_pagenumber = 1;
var pagedisplay = missionVariables.random_station_names_page1;
var nextpage = missionVariables.random_station_names_planetpages;
var currentdisplay = ""+missionVariables.random_station_names_pagenumber;
var nextdisplay = ""+nextpage;
if (missionVariables.random_station_names_pagenumber <10) var currentdisplay = "0"+missionVariables.random_station_names_pagenumber;
if (nextpage <10) var nextdisplay = "0"+nextpage;
mission.runScreen({
title: "Natural Celestial Bodies of the " + system.name+" System",
screenID:"named_stations_distances2",
message: missionVariables.random_station_names_header4+"\n"+pagedisplay+"\nThe "+ system.name+" System contains "+describe+" Distances are relative to your current position and are shown in "+unittext+"\n\n"+missionVariables.random_station_names_header7+" "+currentdisplay+" of "+nextdisplay+" - Cycle the Display to Continue.",
overlay: bgImage,
exitScreen: "GUI_SCREEN_INTERFACES",
choicesKey: "random_station_names_menu2_multipage"},
function (choice) {
if (choice === "0_TOG0_MULTI2") {this.showPlanetsLoop();} // Send it off in a Loop for Pages 2 onwards.
if (choice === "1_TOG1_MULTI2") {this.showAlmanac2();}
if (choice === "2_OPTIONS1_MULTI2") {this.showSettings1();}
if (choice === "3_EXIT1_MULTI2") {this.exitAlmanac();}}, this); 
// End of Multi Page Version of Page 1.
}
// Functions to locate Planets and Moons.
function mainplanet(entity) {return entity.isMainPlanet};
function oxps(entity) {return (entity.isPlanet && !entity.isMainPlanet)};
function planets(entity) {return (entity.isPlanet && entity.hasAtmosphere && !entity.isMainPlanet)};
function moons(entity) {return (entity.isPlanet && !entity.hasAtmosphere && !entity.isMainPlanet)};
// Function to Calculate Distances to Planets Moons and Stars.
function dist(entity, rounding) {
var distInKm = (player.ship.position.distanceTo(entity) - entity.collisionRadius)/unitBase;
var realdistance = (player.ship.position.distanceTo(entity) - entity.collisionRadius);
// Thargoid's planetfall simulates a Landing by spawning an invisible station docking slit very near the surface.
// If you are this close to the surface and you are docked with a station, then you have Thargoid's Planet Fall installed and have Landed.
//  Random Station Names therefore adds the word "Landed" by the name of the Planet or Moon you have Landed on rather than giving the actual
// distance to the surface (which is really about 3000 ior so meters above the surface).
if (realdistance < 4000) var realdistance = 4000;
if (realdistance === 4000)  return "Landed: "+player.ship.dockedStation.displayName+"";
if (realdistance > 4000) return (distInKm.toFixed(rounding) + " " + unit);
};
// Function to format the Page into Collums.
function formatStrToCol(name, distStr, colWidth) {
var punct = "";
if (distStr !== "") punct = " ";
if (global.defaultFont.measureString(name+punct+distStr) > colWidth) {
var lastChar = "";
while (global.defaultFont.measureString(name+punct+distStr) > colWidth) {
lastChar = name.charAt(name.length - 1);
name = name.slice(0, -1);}
if (name.charAt(name.length - 1) === " ")
name = name.slice(0, -1);
else if (lastChar !== " ")
name = name + ".";}
while (global.defaultFont.measureString(name+punct+distStr) < colWidth) {
distStr = " "+distStr ;};
if (distStr.charAt(distStr.length - 1) === " ")
distStr = distStr.slice(0, -1);
return name + punct + distStr;};	
// Ending Bracked for Whole This Show Almanac1 (Stars, Planets, Moons & Gas Giants) Function.
}
// Looping Function for Stars, Planets, Moons & Gas Giants  Page 2 onwards
this.showPlanetsLoop = function() {	
if (missionVariables.random_station_names_screen == "BGS Background Style") var bgImage = "random_stations_background_bgs.png";
if (missionVariables.random_station_names_screen == "Better Screens Style") var bgImage = "random_stations_background_better.png";
if (missionVariables.random_station_names_screen == "Xenon Style") var bgImage = "random_stations_background_xenon.png";
if (missionVariables.random_station_names_screen == "Classic Elite Style") var bgImage = "random_stations_background_green.png";
if (missionVariables.random_station_names_units == "Torans") var unittext = "Torans. One Unit is the distance travelled in one second under Torus Dilation.";
if (missionVariables.random_station_names_units == "Kilometres") var unittext = "Kilometres. One Unit is the distance travelled by light in three microseconds.";
if (missionVariables.random_station_names_units == "Ostronomical Units") var unittext = "Ostronomical Units. One Unit is the distance between the planet Lave and its Star.";
if (missionVariables.random_station_names_units == "Miles") var unittext = "Miles. One Unit is equal to the combined height of nine hundred Ancient Earthians.";
if (missionVariables.random_station_names_units == "Cavezzi") var unittext = "Cavezzi. One Unit is one twenty millionth the circumference of Ancient Earth.";
var describe = missionVariables.random_station_names_describe;
//Advance the page each time we loop unless we are comming back to page one at the end of the loop.
missionVariables.random_station_names_pagenumber++;
// Default to the next page being the First Page, looping back unless there are 3 or more pages to display.
missionVariables.random_station_names_pageloop = "One";
var pagedisplay = "Error in Page Generation. Failed to Build Page "+missionVariables.random_station_names_pagenumber+".";
if (missionVariables.random_station_names_pagenumber === 1) var pagedisplay = missionVariables.random_station_names_page1;
if (missionVariables.random_station_names_pagenumber === 2) var pagedisplay = missionVariables.random_station_names_page2;
if (missionVariables.random_station_names_pagenumber === 3) var pagedisplay = missionVariables.random_station_names_page3;
if (missionVariables.random_station_names_pagenumber === 4) var pagedisplay = missionVariables.random_station_names_page4;
if (missionVariables.random_station_names_pagenumber === 5) var pagedisplay = missionVariables.random_station_names_page5;
if (missionVariables.random_station_names_pagenumber === 6) var pagedisplay = missionVariables.random_station_names_page6;
if (missionVariables.random_station_names_pagenumber === 7) var pagedisplay = missionVariables.random_station_names_page7;
if (missionVariables.random_station_names_pagenumber === 8) var pagedisplay = missionVariables.random_station_names_page8;
if (missionVariables.random_station_names_pagenumber === 9) var pagedisplay = missionVariables.random_station_names_page9;
if (missionVariables.random_station_names_pagenumber === 10) var pagedisplay = missionVariables.random_station_names_page10;
if (missionVariables.random_station_names_pagenumber === 11) var pagedisplay = missionVariables.random_station_names_page11;
if (missionVariables.random_station_names_pagenumber === 12) var pagedisplay = missionVariables.random_station_names_page12;
if (missionVariables.random_station_names_pagenumber === 13) var pagedisplay = missionVariables.random_station_names_page13;
if (missionVariables.random_station_names_pagenumber === 14) var pagedisplay = missionVariables.random_station_names_page14;
if (missionVariables.random_station_names_pagenumber === 15) var pagedisplay = missionVariables.random_station_names_page15;
if (missionVariables.random_station_names_pagenumber === 16) var pagedisplay = missionVariables.random_station_names_page16;
if (missionVariables.random_station_names_pagenumber === 17) var pagedisplay = missionVariables.random_station_names_page17;
if (missionVariables.random_station_names_pagenumber === 18) var pagedisplay = missionVariables.random_station_names_page18;
if (missionVariables.random_station_names_pagenumber === 19) var pagedisplay = missionVariables.random_station_names_page19;
if (missionVariables.random_station_names_pagenumber === 20) var pagedisplay = missionVariables.random_station_names_page20;
var currentdisplay = ""+missionVariables.random_station_names_pagenumber;
var nextpage = missionVariables.random_station_names_planetpages;
var nextdisplay = ""+nextpage;
if (nextpage <10) var nextdisplay = "0"+nextpage;
if (missionVariables.random_station_names_pagenumber <10) var currentdisplay = "0"+missionVariables.random_station_names_pagenumber;
var pagenumbersinwords = ["Zero", "One", "Two", "Three", "Four", "Five", "Six", "Seven", "Eight", "Nine", "Ten", "Eleven", "Twelve", "Thirteen", "Fourteen", "Fifteen", "Sixteen", "Seventeen", 
"Eighteen", "Nineteen", "Twenty", "Twenty One", "Twenty Two"]
// Check to see if there is another page to display. If so then the next page won't be One and the code will keep Looping until it gets to the last page.
if (missionVariables.random_station_names_planetpages !== missionVariables.random_station_names_pagenumber) {
var nextpageGrid = missionVariables.random_station_names_pagenumber;
nextpageGrid++
missionVariables.random_station_names_pageloop = pagenumbersinwords[nextpageGrid];
}
// Display Pages 2 to 20.
mission.runScreen({
title: "Natural Celestial Bodies of the " + system.name+" System",
screenID:"named_stations_distances2",
message: missionVariables.random_station_names_header4+"\n"+pagedisplay+"\nThe "+ system.name+" System contains "+describe+" Distances are relative to your current position and are shown in "+unittext+"\n\n"+missionVariables.random_station_names_header7+" "+currentdisplay+" of "+nextdisplay+" - Cycle the Display to Continue.",
overlay: bgImage,
exitScreen: "GUI_SCREEN_INTERFACES",
choicesKey: "random_station_names_menu2_multipage_loop"
},
function (choice) {
// If this is the Last Page then take us back to Page 1.
if (choice === "0_TOG0_MULTI_LOOP2" && missionVariables.random_station_names_pageloop ==="One") {
if (missionVariables.random_station_names_pagenumber < 6) this.showAlmanac1();
if (missionVariables.random_station_names_pagenumber > 5) this.norebuildloopplanets();
}
// Otherwise keep looping round until the last page is reached.
if (choice === "0_TOG0_MULTI_LOOP2" && missionVariables.random_station_names_pageloop !=="One") {this.showPlanetsLoop();}
// Options to switch to the Stations & Orbitals Page, Go to the Settings Page or Exit the F4 screen tested for as normal.
if (choice === "1_TOG1_MULTI_LOOP2") {this.showAlmanac2();}
if (choice === "2_OPTIONS1_MULTI_LOOP2") {this.showSettings1();}
if (choice === "3_EXIT1_MULTI_LOOP2") {this.exitAlmanac();}}, this); 
// End of Stars Planets Moons & Gas Giants Pages Looping Function.
}
this.norebuildloopplanets = function() {
if (missionVariables.random_station_names_screen == "BGS Background Style") var bgImage = "random_stations_background_bgs.png";
if (missionVariables.random_station_names_screen == "Better Screens Style") var bgImage = "random_stations_background_better.png";
if (missionVariables.random_station_names_screen == "Xenon Style") var bgImage = "random_stations_background_xenon.png";
if (missionVariables.random_station_names_screen == "Classic Elite Style") var bgImage = "random_stations_background_green.png";
if (missionVariables.random_station_names_units == "Torans") var unittext = "Torans. One Unit is the distance travelled in one second under Torus Dilation.";
if (missionVariables.random_station_names_units == "Kilometres") var unittext = "Kilometres. One Unit is the distance travelled by light in three microseconds.";
if (missionVariables.random_station_names_units == "Ostronomical Units") var unittext = "Ostronomical Units. One Unit is the distance between the planet Lave and its Star.";
if (missionVariables.random_station_names_units == "Miles") var unittext = "Miles. One Unit is equal to the combined height of nine hundred Ancient Earthians.";
if (missionVariables.random_station_names_units == "Cavezzi") var unittext = "Cavezzi. One Unit is one twenty millionth the circumference of Ancient Earth.";
var describe = missionVariables.random_station_names_describe;
missionVariables.random_station_names_pagenumber = 1;
var pagedisplay = missionVariables.random_station_names_page1;
var nextpage = missionVariables.random_station_names_planetpages;
var currentdisplay = ""+missionVariables.random_station_names_pagenumber;
var nextdisplay = ""+nextpage;
if (missionVariables.random_station_names_pagenumber <10) var currentdisplay = "0"+missionVariables.random_station_names_pagenumber;
if (nextpage <10) var nextdisplay = "0"+nextpage;
mission.runScreen({
title: "Natural Celestial Bodies of the " + system.name+" System",
screenID:"named_stations_distances2",
message: missionVariables.random_station_names_header4+"\n"+pagedisplay+"\nThe "+ system.name+" System contains "+describe+" Distances are relative to your current position and are shown in "+unittext+"\n\n"+missionVariables.random_station_names_header7+" "+currentdisplay+" of "+nextdisplay+" - Cycle the Display to Continue.",
overlay: bgImage,
exitScreen: "GUI_SCREEN_INTERFACES",
choicesKey: "random_station_names_menu2_multipage"
},
function (choice) {
if (choice === "0_TOG0_MULTI2") {this.showPlanetsLoop();} // Send it off in a Loop for Pages 2 onwards.
if (choice === "1_TOG1_MULTI2") {this.showAlmanac2();}
if (choice === "2_OPTIONS1_MULTI2") {this.showSettings1();}
if (choice === "3_EXIT1_MULTI2") {this.exitAlmanac();}}, this); 
// End of No Rebuild Stars Planets, Moons & Gas Giants Loop Function.
}
// Function to Set Up and Display the Second Part of the Galactic Almanac (Stations & Orbitals) - HERE!
this.showAlmanac2 = function() {
this.setheaders();
missionVariables.random_station_names_stationpages  = 1;
missionVariables.random_station_names_station_singlepage  = "True";
var totalCount = 0;
var stationCount = 0;
var loopCount = 0;
var text = "";
var currentpage = "";
// Set the variables for distance conversion depending on the Units Option selected.
if (missionVariables.random_station_names_units == "Torans") var unitBase = 15800;
if (missionVariables.random_station_names_units == "Torans") var unit = "TS";
if (missionVariables.random_station_names_units == "Kilometres") var unitBase = 1000;
if (missionVariables.random_station_names_units == "Kilometres") var unit = "KM";
if (missionVariables.random_station_names_units == "Ostronomical Units") var unitBase = 905520;
if (missionVariables.random_station_names_units == "Ostronomical Units") var unit = "OU";
if (missionVariables.random_station_names_units == "Miles") var unitBase = 1609.34;
if (missionVariables.random_station_names_units == "Miles") var unit = "MI";
if (missionVariables.random_station_names_units == "Cavezzi") var unitBase = 2.08641;
if (missionVariables.random_station_names_units == "Cavezzi") var unit = "CZ";
if (missionVariables.random_station_names_units == "Torans") {missionVariables.random_station_names_mfd_rounding = 3;}
if (missionVariables.random_station_names_units == "Kilometres") {missionVariables.random_station_names_mfd_rounding = 3;}
if (missionVariables.random_station_names_units == "Ostronomical Units") {missionVariables.random_station_names_mfd_rounding = 3;}
if (missionVariables.random_station_names_units == "Miles") {missionVariables.random_station_names_mfd_rounding = 3; }
if (missionVariables.random_station_names_units == "Cavezzi") {missionVariables.random_station_names_mfd_rounding = 0; }
var rnd = missionVariables.random_station_names_mfd_rounding;
var i;
var lines = new Array();
var beacons = system.filteredEntities(this, beacons, player.ship);
var sizenumbers = ["no", "a single", "two", "three", "four", "five", "six", "seven", "eight", "nine", "ten", "eleven", "twelve", "thirteen", "fourteen", "fifteen", "sixteen", "seventeen", "eighteen", "nineteen", "twenty", "twenty one", "twenty two", "twenty three", 
"twenty four", "twenty five", "twenty six", "twenty seven", "twenty eight", "twenty nine", "thirty", "thirty one", "thirty two", "thirty three", "thirty four", "thirty five", "thirty six", "thirty seven", "thirty eight", "thirty nine", "forty", "forty one", "forty two", "forty three", 
"forty four", "forty five", "forty six", "forty seven", "forty eight", "forty nine", "fifty", "fifty one", "fifty two", "fifty three", "fifty four", "fifty five", "fifty six", "fifty seven", "fifty eight", "fifty nine", "sixty", "sixty one", "sixty two", "sixty three", "sixty four", "sixty five", 
" sixty six", "sixty seven", "sixty eight", "sixty nine", "seventy", "seventy one",  "seventy two", "seventy three", "seventy four", "seventy five", "seventy six", "seventy seven", "seventy eight", "seventy nine", "eighty", "eighty one", "eighty two", "eighty three", 
"eighty four", "eighty five", "eighty six", "eighty seven", "eighty eight", "eighty nine", "ninety", "ninety one", "ninety two", "ninety three", "ninety four", "ninety five",  "ninety six", "ninety seven", "ninety eight", "ninety nine", "one hundred",
// Not Used as with more than 100 objects the OXP display will switch to numbers instead of words.
"One hundred and one"];
// Find all the Stations and Orbits and Calculate the Distance they all are from the Player's Current Position 
// If there are no becons in the system then set the page to list only the Station or Carrier the player is docked with.
if (beacons.length === 0) {
lines.push(["01 "+player.ship.dockedStation.displayName+"Docked"]);
var shunt="\n\n\n\n\n\n\n\n\n";
missionVariables.random_station_names_page1 = text+shunt;
}
// Otherwise Add the name and distance of each object with a beacon to the page.
if (beacons.length !== 0) {
for (i = 0; i < beacons.length; i++) {
// Exclude List - Does not count or display entities which have beacons but are not stations or dockable ships. 
// Also excludes stations that the Author of the other OXP has kept hidden.
// Mission OXPs often use the beacon function to give the player a marker for a secret station or ship featured in a mission.
// For example, The Link Base from Ionics will appear with a beacon once the player has reached the stage in the mission.
//Random Station Names does not change this and you will be able to find the station on your ASC as intended.
//Secret Stations which are only known to the player under special circumstances are not shown on the Almanac Screen however as it doesn't make sense for GalCop to know about them.
if (beacons[i].displayName !=="Tournament Buoy" && beacons[i].name !=="Sothis Ring Beacon" && beacons[i].displayName !=="Jaguar Company Base Buoy"  && beacons[i].displayName !=="Emergency Distress Marker" 
&& beacons[i].displayName !=="GalCop Navy Buoy" && beacons[i].name !=="Ring Racer"  && beacons[i].name !=="The Collector's target beacon" && beacons[i].name !=="The Collector's Buoy" 
&& beacons[i].name !=="The Collector's Gate"  && beacons[i].name !=="Feudal Freighter" && beacons[i].name !=="Tournament Shield" && beacons[i].name !=="Target Drone" && beacons[i].name !=="Fer de Lance"
&& beacons[i].name !=="Asp MkII" && beacons[i].name !=="Jumpgate" && beacons[i].name !=="Arafura" && beacons[i].name !=="RRS Solar Laboratory" && beacons[i].name !=="RRS Waystation Buoy"
&& beacons[i].name !=="The Link Base" && beacons[i].name !=="Ionics CR150 Weapons Platform" && beacons[i].name !=="Black Box" && beacons[i].name !=="Escape capsule" && beacons[i].name !=="Solar Navigation Buoy"
&& beacons[i].name !=="Sun Research Station Alpha" && beacons[i].name !=="Sun Research Station Beta" && beacons[i].name !=="Sun Research Station Omega" && beacons[i].name !=="Sun Research Station Delta" && beacons[i].name !=="Doomsday Asteroid"
&& beacons[i].name !=="Area Defence Cannon" && beacons[i].name !=="Hyperspace Jumpgate" && beacons[i].name !=="Imperial Censor" && beacons[i].name !=="Imperial Freighter" && beacons[i].name !=="Imperial Tanker"
&& beacons[i].name !=="Anaconda Transport" && beacons[i].name !=="Wolf Mark II (Taranis Corp)" && beacons[i].name !=="Mark" && beacons[i].name !=="Areidis Buoy" && beacons[i].name !=="Committee Shuttle"
&& beacons[i].name !==" Rebel Outpost: New Hope" && beacons[i].name !=="Guild Target : Balrog Dreadnaught - 90,000C" && beacons[i].name !=="Guild Target : ESS Defiant - 100,000C" && beacons[i].name !=="Thargoid Sneak Courier"
&& beacons[i].name !=="Naval Marker Beacon" && beacons[i].name !=="Ad Buoy" && beacons[i].name !=="SDF Imperator" && beacons[i].name !=="SDF Courier"  && beacons[i].name !=="Task Force Juliet" 
&& beacons[i].name !=="SDF Assault Lander" && beacons[i].name !=="Sirius Tanker" && beacons[i].name !=="Anarchist Python" && beacons[i].name !=="Major Cherkasova"  && beacons[i].name !=="Armoured Transport" 
&& beacons[i].name !=="SDF Courier (disabled)" && beacons[i].name !=="QuiCo Transporter"  && beacons[i].name !=="Navy Intelligence Station" && beacons[i].name !=="Starseeker: Yuri Batkov" && beacons[i].name !=="Bellatrix Leader"
&& beacons[i].name !=="Cascade Missile" && beacons[i].name !=="Prisoner Transport DK-332" && beacons[i].name !=="ISS Imperator" && beacons[i].name !=="ISS Imperator" && beacons[i].name !=="Commissar Limousine: Colonel Bodarenko"
&& beacons[i].name !=="Mussurana"  && beacons[i].name !=="Korshkov Test Facility Buoy"  && beacons[i].displayName !=="Abandoned Rock Hermit: No Transponder"   && beacons[i].displayName !=="Naval Marker Beacon" 
&& beacons[i].displayName !=="Informational Beacon"  && beacons[i].displayName !=="Distress Beacon"  && beacons[i].name !=="Imperial Navy Headquarters" && beacons[i].name !=="Imperial Navy Base" && beacons[i].name !=="Imperial Navy Outpost"  
&& beacons[i].name !=="Griff Outpost Buoy"  && beacons[i].scriptInfo.almanac_object_hidden !== "On"


// HERE! - F4 PAGE EXCLUDE LIST!

) {
totalCount++;
if (totalCount < 10) var stationposition = "0"+totalCount;
if (totalCount > 9) var stationposition = ""+totalCount;
// For Space Bars add Space Bar: in front of their names.
var tabledisplay = "None";
var teststring = "None";
if (beacons[i].displayName) var tabledisplay =  beacons[i].displayName;
if (beacons[i].name) var teststring = beacons[i].name;
if (teststring === "A Seedy Space Bar") var tabledisplay = "Space Bar: "+tabledisplay;
lines.push(["" +stationposition+" "+ tabledisplay+"",dist(beacons[i], rnd)]);
// End of the Station and Orbitals Finding Function.
}}}
// Build the Pages.
var column1 = lines;
var column2 = new Array();
for (i = 0; i < column1.length; i++) {
loopCount++;
stationCount++;
text = formatStrToCol(column1[i][0], column1[i][1], 31) + "\n";
var currentpage = currentpage+text;
// Stop the Station Counter at 10 and set it back to 0 each time so each page is built in blocks of 10 names per page..
if (stationCount > 10) {
// If starting a new page clear the text from the previous page.
var currentpage = "\n"+text;
var stationCount = 1;
}
// Work out how many blank lines to add to keep the page neat depending on how many stations are on the page.
var shunt ="";
if (stationCount == 0) var shunt="\n\n\n\n\n\n\n\n\n";
if (stationCount == 1) var shunt="\n\n\n\n\n\n\n\n\n";
if (stationCount == 2) var shunt="\n\n\n\n\n\n\n\n";
if (stationCount == 3) var shunt="\n\n\n\n\n\n\n";
if (stationCount == 4) var shunt="\n\n\n\n\n\n";
if (stationCount == 5) var shunt="\n\n\n\n\n";
if (stationCount == 6) var shunt="\n\n\n\n";
if (stationCount == 7) var shunt="\n\n\n";
if (stationCount == 8) var shunt="\n\n";
if (stationCount == 9) var shunt="\n";
// Keep building the page up until either we've listed all the stations in the system or we've got to 10 stations
var pagetoadd = currentpage+shunt;
// If we get to ten, then save it and start building the next page.
// If the Loop is below 11 then we are on page 1
if (loopCount < 11)  {
missionVariables.random_station_names_stationpages = 1;
missionVariables.random_station_names_page1 = "\n"+pagetoadd;
}
// If the Loop is above 10 then we are on page 2
if (loopCount > 10 && loopCount <21) {
missionVariables.random_station_names_station_singlepage = "False";
missionVariables.random_station_names_stationpages = 2;
missionVariables.random_station_names_page2 = pagetoadd;
}
// If the Loop is above 20 then we are on page 3
if (loopCount > 20 && loopCount <31)  {
missionVariables.random_station_names_station_singlepage = "False";
missionVariables.random_station_names_stationpages = 3;
missionVariables.random_station_names_page3 = pagetoadd;
}
// If the Loop is above 30 then we are on page 4
if (loopCount > 30 && loopCount <41)  {
missionVariables.random_station_names_station_singlepage = "False";
missionVariables.random_station_names_stationpages = 4;
missionVariables.random_station_names_page4 = pagetoadd;
}
// If the Loop is above 40 then we are on page 5
if (loopCount > 40 && loopCount <51)  {
missionVariables.random_station_names_station_singlepage = "False";
missionVariables.random_station_names_stationpages = 5;
missionVariables.random_station_names_page5 = pagetoadd;
}
// If the Loop is above 50 then we are on page 6
if (loopCount > 50 && loopCount <61)  {
missionVariables.random_station_names_station_singlepage = "False";
missionVariables.random_station_names_stationpages = 6;
missionVariables.random_station_names_page6 = pagetoadd;
}
// If the Loop is above 60 then we are on page 7
if (loopCount > 60 && loopCount <71)  {
missionVariables.random_station_names_station_singlepage = "False";
missionVariables.random_station_names_stationpages = 7;
missionVariables.random_station_names_page7 = pagetoadd;
}
// If the Loop is above 70 then we are on page 8
if (loopCount > 70 && loopCount <81)  {
missionVariables.random_station_names_station_singlepage = "False";
missionVariables.random_station_names_stationpages = 8;
missionVariables.random_station_names_page8 = pagetoadd;
}
// If the Loop is above 80 then we are on page 9
if (loopCount > 80 && loopCount <91)  {
missionVariables.random_station_names_station_singlepage = "False";
missionVariables.random_station_names_stationpages = 9;
missionVariables.random_station_names_page9 = pagetoadd;
}
// If the Loop is above 90 then we are on page 10
if (loopCount > 90 && loopCount <101)  {
missionVariables.random_station_names_station_singlepage = "False";
missionVariables.random_station_names_stationpages = 10;
missionVariables.random_station_names_page10 = pagetoadd;
}
// If the Loop is above 100 then we are on page 11
if (loopCount > 100 && loopCount <111)  {
missionVariables.random_station_names_station_singlepage = "False";
missionVariables.random_station_names_stationpages = 11;
missionVariables.random_station_names_page11 = pagetoadd;
}
// If the Loop is above 110 then we are on page 12
if (loopCount > 110 && loopCount <121)  {
missionVariables.random_station_names_station_singlepage = "False";
missionVariables.random_station_names_stationpages = 12;
missionVariables.random_station_names_page12 = pagetoadd;
}
// If the Loop is above 120 then we are on page 13
if (loopCount > 120 && loopCount <131)  {
missionVariables.random_station_names_station_singlepage = "False";
missionVariables.random_station_names_stationpages = 13;
missionVariables.random_station_names_page13 = pagetoadd;
}
// If the Loop is above 130 then we are on page 14
if (loopCount > 130 && loopCount <141)  {
missionVariables.random_station_names_station_singlepage = "False";
missionVariables.random_station_names_stationpages = 14;
missionVariables.random_station_names_page14 = pagetoadd;
}
// If the Loop is above 140 then we are on page 15
if (loopCount > 140 && loopCount <151)  {
missionVariables.random_station_names_station_singlepage = "False";
missionVariables.random_station_names_stationpages = 15;
missionVariables.random_station_names_page15 = pagetoadd;
}
// If the Loop is above 150 then we are on page 16
if (loopCount > 150 && loopCount <161)  {
missionVariables.random_station_names_station_singlepage = "False";
missionVariables.random_station_names_stationpages = 16;
missionVariables.random_station_names_page16 = pagetoadd;
}
// If the Loop is above 160 then we are on page 17
if (loopCount > 160 && loopCount <171)  {
missionVariables.random_station_names_station_singlepage = "False";
missionVariables.random_station_names_stationpages = 17;
missionVariables.random_station_names_page17 = pagetoadd;
}
// If the Loop is above 170 then we are on page 18
if (loopCount > 170 && loopCount <181)  {
missionVariables.random_station_names_station_singlepage = "False";
missionVariables.random_station_names_stationpages = 18;
missionVariables.random_station_names_page18 = pagetoadd;
}
// If the Loop is above 180 then we are on page 19
if (loopCount > 180 && loopCount <191)  {
missionVariables.random_station_names_station_singlepage = "False";
missionVariables.random_station_names_stationpages = 19;
missionVariables.random_station_names_page19 = pagetoadd;
}
// If the Loop is above 190 then we are on page 20
if (loopCount > 190 && loopCount <201)  {
missionVariables.random_station_names_station_singlepage = "False";
missionVariables.random_station_names_stationpages = 20;
missionVariables.random_station_names_page20 = pagetoadd;
}
if (loopCount > 200 && missionVariables.random_station_names_looper_intro_given === "No")  {
this.giveloopermessage();
}
// Once the Message has been given once, in future the Almanac Screen will run as normal, but will only display the first 200 Stations added to the system.
// End of whole Page Building Loop.
}
//Show the list of Stations.
if (missionVariables.random_station_names_screen == "BGS Background Style") var bgImage = "random_stations_background_bgs.png";
if (missionVariables.random_station_names_screen == "Better Screens Style") var bgImage = "random_stations_background_better.png";
if (missionVariables.random_station_names_screen == "Xenon Style") var bgImage = "random_stations_background_xenon.png";
if (missionVariables.random_station_names_screen == "Classic Elite Style") var bgImage = "random_stations_background_green.png";
if (missionVariables.random_station_names_units == "Torans") var unittext = "Torans. One Unit is the distance travelled in one second under Torus Dilation.";
if (missionVariables.random_station_names_units == "Kilometres") var unittext = "Kilometres. One Unit is the distance travelled by light in three microseconds.";
if (missionVariables.random_station_names_units == "Ostronomical Units") var unittext = "Ostronomical Units. One Unit is the distance between the planet Lave and its Star.";
if (missionVariables.random_station_names_units == "Miles") var unittext = "Miles. One Unit is equal to the combined height of nine hundred Ancient Earthians.";
if (missionVariables.random_station_names_units == "Cavezzi") var unittext = "Cavezzi. One Unit is one twenty millionth the circumference of Ancient Earth.";
var describe = "a single artificial satellite transmitting a GAL-ID Beacon.";
if (totalCount !== 0) var stations = sizenumbers[totalCount];
if (totalCount !== 0) var describe = ""+stations+" orbitals transmitting GAL-ID Beacons. Orbitals are numbered in ascending order of distance from your current position.";
if (totalCount  > 100) var describe = ""+totalCount+" orbitals transmitting GAL-ID Beacons. Orbitals are numbered in ascending order of distance from your current position.";
if (totalCount  > 200) var describe = ""+totalCount+" orbitals transmitting GAL-ID Beacons. 200 are listed. Orbitals are numbered in ascending order of distance from your current position.";
missionVariables.random_station_names_describe = describe; // Save it as a tempoary variable so its easy to call in different functions.
if (missionVariables.random_station_names_stationpages === 1 && missionVariables.random_station_names_station_singlepage  === "True") {
/// Use this version if there are 10 or less stations present so only one page is needed.
var pagedisplay = missionVariables.random_station_names_page1;
mission.runScreen({
title: "Artificial Satellites of the " + system.name+" System",
overlay: bgImage,
exitScreen: "GUI_SCREEN_INTERFACES",
screenID:"named_stations_distances",
message: missionVariables.random_station_names_header5+"\n"+pagedisplay+"\nThe "+ system.name+" System contains "+describe+" Distances are relative to your current position and are shown in "+unittext+"",
choicesKey: "random_station_names_menu1"},
function (choice) {
if (choice === "1_TOG1") {this.showAlmanac1();}
if (choice === "2_OPTIONS1") {this.showSettings1();}
if (choice === "3_EXIT1") {this.exitAlmanac();}}, this); 
// End of Single Page Version of Page 1.
}
// If more than 10 stations are present and so more than one page is needed to display them, then run the multi-page version of Page 1.
if (missionVariables.random_station_names_stationpages > 1 && missionVariables.random_station_names_station_singlepage  === "False") {
missionVariables.random_station_names_pagenumber = 1;
var pagedisplay = missionVariables.random_station_names_page1;
var nextpage = missionVariables.random_station_names_stationpages;
var currentdisplay = ""+missionVariables.random_station_names_pagenumber;
var nextdisplay = ""+nextpage;
if (missionVariables.random_station_names_pagenumber <10) var currentdisplay = "0"+missionVariables.random_station_names_pagenumber;
if (nextpage <10) var nextdisplay = "0"+nextpage;
mission.runScreen({
title: "Artificial Satellites of the " + system.name+" System",
overlay: bgImage,
exitScreen: "GUI_SCREEN_INTERFACES",
screenID:"named_stations_distances",
message: missionVariables.random_station_names_header5+"\n"+pagedisplay+"\nThe "+ system.name+" System contains "+describe+" Distances are relative to your current position and are shown in "+unittext+"\n\n"+missionVariables.random_station_names_header7+" "+currentdisplay+" of "+nextdisplay+" - Cycle the Display to Continue.",
choicesKey: "random_station_names_menu1_multipage"
},
function (choice) {
if (choice === "0_TOG0_MULTI") {this.showStationsLoop();} // Send it off in a Loop for Pages 2 onwards.
if (choice === "1_TOG1_MULTI") {this.showAlmanac1();}
if (choice === "2_OPTIONS1_MULTI") {this.showSettings1();}
if (choice === "3_EXIT1_MULTI") {this.exitAlmanac();}}, this); 
// End of Multi Page Version of Page 1.
}
// Function to find and measure distance to Stations.
function beacons(entity) {return entity.isBeacon};
function dist(entity, rounding) {
var distInKm = (player.ship.position.distanceTo(entity) - entity.collisionRadius)/unitBase;
// Some Stations have long tunnels to the docking port giving a negative value for distance to the station the player is docked with.
// To avoid a weird looking negative number for disatnce appearing if the player is docked with a station where this would happen, the Distance is set to Zero if  negative.
// The word "Docked" appears after the name of the station on the Almanac Screen to signify this is the player's current position..
if (distInKm < 0) var distInKm = 0;
if (distInKm === 0)  return "Docked";
// Check for the fact that KOS Orbitals move.
// Oolite does not recalculate the player's position when docked.
// This means when docked with a KOS station, the station you are docked with will over time move away from your position and the Almanac will show
// the station you are in fact inside (so should be moving with) moving away from you.
// To avoid this, if the station is the one we are cocked with, then retirn "Docked" rather than a distance number.
var dockedname = player.ship.dockedStation.displayName;
var testname = entity.displayName;
if (dockedname === testname) return "Docked";
// Otherwise return the distance as a number.
if (distInKm > 0) return (distInKm.toFixed(rounding) + " " + unit);
// End of Distance Function.
};
//Function to Format the Almanc Pages into Collums.
function formatStrToCol(name, distStr, colWidth) {
var punct = "";
if (distStr !== "") punct = " ";
if (global.defaultFont.measureString(name+punct+distStr) > colWidth) {
var lastChar = "";
while (global.defaultFont.measureString(name+punct+distStr) > colWidth) {
lastChar = name.charAt(name.length - 1);
name = name.slice(0, -1);}
if (name.charAt(name.length - 1) === " ")
name = name.slice(0, -1);
else if (lastChar !== " ")
name = name + ".";}
while (global.defaultFont.measureString(name+punct+distStr) < colWidth) {
distStr = " "+distStr ;};
if (distStr.charAt(distStr.length - 1) === " ")
distStr = distStr.slice(0, -1);
return name + punct + distStr;};	
// Ending Bracked for Whole This Show Almanac2 (Stations) Function.
}
// Looping Function for Stations Page 2 onwards.
this.showStationsLoop = function() {	
if (missionVariables.random_station_names_screen == "BGS Background Style") var bgImage = "random_stations_background_bgs.png";
if (missionVariables.random_station_names_screen == "Better Screens Style") var bgImage = "random_stations_background_better.png";
if (missionVariables.random_station_names_screen == "Xenon Style") var bgImage = "random_stations_background_xenon.png";
if (missionVariables.random_station_names_screen == "Classic Elite Style") var bgImage = "random_stations_background_green.png";
if (missionVariables.random_station_names_units == "Torans") var unittext = "Torans. One Unit is the distance travelled in one second under Torus Dilation.";
if (missionVariables.random_station_names_units == "Kilometres") var unittext = "Kilometres. One Unit is the distance travelled by light in three microseconds.";
if (missionVariables.random_station_names_units == "Ostronomical Units") var unittext = "Ostronomical Units. One Unit is the distance between the planet Lave and its Star.";
if (missionVariables.random_station_names_units == "Miles") var unittext = "Miles. One Unit is equal to the combined height of nine hundred Ancient Earthians.";
if (missionVariables.random_station_names_units == "Cavezzi") var unittext = "Cavezzi. One Unit is one twenty millionth the circumference of Ancient Earth.";
var describe = missionVariables.random_station_names_describe;
//Advance the page each time we loop unless we are comming back to page one at the end of the loop.
missionVariables.random_station_names_pagenumber++;
// Default to the next page being the First Page, looping back unless there are 3 or more pages to display.
missionVariables.random_station_names_pageloop = "One";
var pagedisplay = "Error in Page Generation. Failed to Build Page "+missionVariables.random_station_names_pagenumber+".";
if (missionVariables.random_station_names_pagenumber === 1) var pagedisplay = missionVariables.random_station_names_page1;
if (missionVariables.random_station_names_pagenumber === 2) var pagedisplay = missionVariables.random_station_names_page2;
if (missionVariables.random_station_names_pagenumber === 3) var pagedisplay = missionVariables.random_station_names_page3;
if (missionVariables.random_station_names_pagenumber === 4) var pagedisplay = missionVariables.random_station_names_page4;
if (missionVariables.random_station_names_pagenumber === 5) var pagedisplay = missionVariables.random_station_names_page5;
if (missionVariables.random_station_names_pagenumber === 6) var pagedisplay = missionVariables.random_station_names_page6;
if (missionVariables.random_station_names_pagenumber === 7) var pagedisplay = missionVariables.random_station_names_page7;
if (missionVariables.random_station_names_pagenumber === 8) var pagedisplay = missionVariables.random_station_names_page8;
if (missionVariables.random_station_names_pagenumber === 9) var pagedisplay = missionVariables.random_station_names_page9;
if (missionVariables.random_station_names_pagenumber === 10) var pagedisplay = missionVariables.random_station_names_page10;
if (missionVariables.random_station_names_pagenumber === 11) var pagedisplay = missionVariables.random_station_names_page11;
if (missionVariables.random_station_names_pagenumber === 12) var pagedisplay = missionVariables.random_station_names_page12;
if (missionVariables.random_station_names_pagenumber === 13) var pagedisplay = missionVariables.random_station_names_page13;
if (missionVariables.random_station_names_pagenumber === 14) var pagedisplay = missionVariables.random_station_names_page14;
if (missionVariables.random_station_names_pagenumber === 15) var pagedisplay = missionVariables.random_station_names_page15;
if (missionVariables.random_station_names_pagenumber === 16) var pagedisplay = missionVariables.random_station_names_page16;
if (missionVariables.random_station_names_pagenumber === 17) var pagedisplay = missionVariables.random_station_names_page17;
if (missionVariables.random_station_names_pagenumber === 18) var pagedisplay = missionVariables.random_station_names_page18;
if (missionVariables.random_station_names_pagenumber === 19) var pagedisplay = missionVariables.random_station_names_page19;
if (missionVariables.random_station_names_pagenumber === 20) var pagedisplay = missionVariables.random_station_names_page20;
var currentdisplay = ""+missionVariables.random_station_names_pagenumber;
var nextpage = missionVariables.random_station_names_stationpages;
var nextdisplay = ""+nextpage;
if (nextpage <10) var nextdisplay = "0"+nextpage;
if (missionVariables.random_station_names_pagenumber <10) var currentdisplay = "0"+missionVariables.random_station_names_pagenumber;
var pagenumbersinwords = ["Zero", "One", "Two", "Three", "Four", "Five", "Six", "Seven", "Eight", "Nine", "Ten", "Eleven", "Twelve", "Thirteen", "Fourteen", "Fifteen", "Sixteen", "Seventeen", 
"Eighteen", "Nineteen", "Twenty", "Twenty One", "Twenty Two"]
// Check to see if there is another page to display. If so then the next page won't be One and the code will keep Looping until it gets to the last page.
if (missionVariables.random_station_names_stationpages !== missionVariables.random_station_names_pagenumber) {
var nextpageGrid = missionVariables.random_station_names_pagenumber;
nextpageGrid++
missionVariables.random_station_names_pageloop = pagenumbersinwords[nextpageGrid];
}
// Display Pages 2 to 20.
mission.runScreen({
title: "Artificial Satellites of the " + system.name+" System",
overlay: bgImage,
exitScreen: "GUI_SCREEN_INTERFACES",
screenID:"named_stations_distances",
message: missionVariables.random_station_names_header5+"\n"+pagedisplay+"\nThe "+ system.name+" System contains "+describe+" Distances are relative to your current position and are shown in "+unittext+"\n\n"+missionVariables.random_station_names_header7+" "+currentdisplay+" of "+nextdisplay+" - Cycle the Display to Continue.",
choicesKey: "random_station_names_menu1_multipage_loop"
},
function (choice) {
// If this is the Last Page then take us back to Page 1.
if (choice === "0_TOG0_MULTI_LOOP" && missionVariables.random_station_names_pageloop ==="One") {
if (missionVariables.random_station_names_pagenumber < 6) this.showAlmanac2();
if (missionVariables.random_station_names_pagenumber > 5) this.norebuildloop();
}
// Otherwise keep looping round until the last page is reached.
if (choice === "0_TOG0_MULTI_LOOP" && missionVariables.random_station_names_pageloop !=="One") {this.showStationsLoop();}
// Options to switch to the Stars Planets & Moons Page, Go to the Settings Page or Exit the F4 screen tested for as normal.
if (choice === "1_TOG1_MULTI_LOOP") {this.showAlmanac1();}
if (choice === "2_OPTIONS1_MULTI_LOOP") {this.showSettings1();}
if (choice === "3_EXIT1_MULTI_LOOP") {this.exitAlmanac();}}, this); 
// End of Station Pages Looping Function.
}
// Under Normal Gameplay this isn't really needed.
// When the Alamac Screen is called it calculates and updates the actual distances to all objects as they are at the moment you run it.
// If for example a Thargoid has destroyed the witchpoint beacon or a Behemoth has jumped out, those changes are noted and updated.
// Even with 20 or 30 objects in a system the script only takes 0.1 of a second to do this.
// However it you are spawning hundreds of objects for playtesting it can take over a second for the distance calculating script to run.
// As Oolite will stop a script if it runs for more than 1.3 seconds rebuilding when we don't need to can cause the Almanac Screen to crash to the F4 screen
// when a hundreds of objects are present.
// As the scan does not need redoing when you reach the last entry this function is called so Page 1 is shown again, but without running the distance calculating script again.
this.norebuildloop = function() {
if (missionVariables.random_station_names_screen == "BGS Background Style") var bgImage = "random_stations_background_bgs.png";
if (missionVariables.random_station_names_screen == "Better Screens Style") var bgImage = "random_stations_background_better.png";
if (missionVariables.random_station_names_screen == "Xenon Style") var bgImage = "random_stations_background_xenon.png";
if (missionVariables.random_station_names_screen == "Classic Elite Style") var bgImage = "random_stations_background_green.png";
if (missionVariables.random_station_names_units == "Torans") var unittext = "Torans. One Unit is the distance travelled in one second under Torus Dilation.";
if (missionVariables.random_station_names_units == "Kilometres") var unittext = "Kilometres. One Unit is the distance travelled by light in three microseconds.";
if (missionVariables.random_station_names_units == "Ostronomical Units") var unittext = "Ostronomical Units. One Unit is the distance between the planet Lave and its Star.";
if (missionVariables.random_station_names_units == "Miles") var unittext = "Miles. One Unit is equal to the combined height of nine hundred Ancient Earthians.";
if (missionVariables.random_station_names_units == "Cavezzi") var unittext = "Cavezzi. One Unit is one twenty millionth the circumference of Ancient Earth.";
var describe = missionVariables.random_station_names_describe;
missionVariables.random_station_names_pagenumber = 1;
var pagedisplay = missionVariables.random_station_names_page1;
var nextpage = missionVariables.random_station_names_stationpages;
var currentdisplay = ""+missionVariables.random_station_names_pagenumber;
var nextdisplay = ""+nextpage;
if (missionVariables.random_station_names_pagenumber <10) var currentdisplay = "0"+missionVariables.random_station_names_pagenumber;
if (nextpage <10) var nextdisplay = "0"+nextpage;
mission.runScreen({
title: "Artificial Satellites of the " + system.name+" System",
overlay: bgImage,
exitScreen: "GUI_SCREEN_INTERFACES",
screenID:"named_stations_distances",
message: missionVariables.random_station_names_header5+"\n"+pagedisplay+"\nThe "+ system.name+" System contains "+describe+" Distances are relative to your current position and are shown in "+unittext+"\n\n"+missionVariables.random_station_names_header7+" "+currentdisplay+" of "+nextdisplay+" - Cycle the Display to Continue.",
choicesKey: "random_station_names_menu1_multipage"
},
function (choice) {
if (choice === "0_TOG0_MULTI") {this.showStationsLoop();} // Send it off in a Loop for Pages 2 onwards.
if (choice === "1_TOG1_MULTI") {this.showAlmanac1();}
if (choice === "2_OPTIONS1_MULTI") {this.showSettings1();}
if (choice === "3_EXIT1_MULTI") {this.exitAlmanac();}}, this); 
// End of No Rebuild Loop Function.
}
// One Off Message the first time you generate more than 200 Stations or 200 Moons / Planets for Playtesting.
this.giveloopermessage = function() {	
if (missionVariables.random_station_names_screen == "BGS Background Style") var bgImage = "random_stations_background_bgs.png";
if (missionVariables.random_station_names_screen == "Better Screens Style") var bgImage = "random_stations_background_better.png";
if (missionVariables.random_station_names_screen == "Xenon Style") var bgImage = "random_stations_background_xenon2.png";
if (missionVariables.random_station_names_screen == "Classic Elite Style") var bgImage = "random_stations_background_green.png";
missionVariables.random_station_names_looper_intro_given = "Yes";
// Clear all tempary variables.
delete missionVariables.random_station_names_page1 ;
delete missionVariables.random_station_names_page2 ;
delete missionVariables.random_station_names_page3 ;
delete missionVariables.random_station_names_page4 ;
delete missionVariables.random_station_names_page5 ;
delete missionVariables.random_station_names_page6 ;
delete missionVariables.random_station_names_page7 ;
delete missionVariables.random_station_names_page8 ;
delete missionVariables.random_station_names_page9 ;
delete missionVariables.random_station_names_page10 ;
delete missionVariables.random_station_names_page11 ;
delete missionVariables.random_station_names_page12 ;
delete missionVariables.random_station_names_page13 ;
delete missionVariables.random_station_names_page14 ;
delete missionVariables.random_station_names_page15 ;
delete missionVariables.random_station_names_page16 ;
delete missionVariables.random_station_names_page17 ;
delete missionVariables.random_station_names_page18 ;
delete missionVariables.random_station_names_page19 ;
delete missionVariables.random_station_names_page20 ;
delete missionVariables.random_station_names_pagenumber;
delete missionVariables.random_station_names_stationpages;
delete missionVariables.random_station_names_pageloop;
delete missionVariables.random_station_names_describe;
delete missionVariables.random_station_names_station_singlepage;
delete missionVariables.random_station_names_planetpages;
delete missionVariables.random_station_names_planet_singlepage;
var mylocation = "Deus Ex Machina, Vearin System, NB2-250.";
var mymaxobjects = "122,249";
var mySound = new SoundSource;
mySound.sound = "random_stations_ping.ogg";
mySound.loop = false;
mySound.play();
mission.runScreen({
title: "Incoming Message",
overlay: bgImage,
exitScreen: "GUI_SCREEN_INTERFACES",
screenID:"named_stations_distances",
message: "Message From : Her Imperial Majesty's Mobile Surveying Department.\n\Location : "+mylocation+"\n\nYou are receiving this message as I see you have spawned more than two hundred objects for playtesting in the "+system.name+" System. Athough the Galactic Almanac OXP is capable of naming up to "+mymaxobjects+" objects per system, if you spawn more than 200 stations, planets or moons in a single system, the script locating them all and calculating their current distance from your current position may take more than a second to run. Oolite will automatically stop any script from running if it has been active for more than 1.3 seconds.\n\nAs you have probably discovered, spawning this many objects in a single system has slowed Oolite down to an unplayable crawl. If you add any more objects, the distance calculation script could take longer than a second to run and so be stopped by Oolite. To stop the script running the Almanac Screens crashing, if you add more than 200 objects, they will all be named, but only the first 200 objects will be shown on the Galactic Almanac Screens.\n\nCommander Little Bear.\n\FTL Mail: ursa.minor.surveying@gal_id.gov.gal_mobile.com.",
choicesKey: "random_station_names_menu1_multipage_message"
},
function (choice) {
if (choice === "1_EXIT_LOOPER_MESSAGE") {this.showAlmanac1();}}, this); 
//End of one off message function.
}
// Code for the Settings Menu Screens - HERE!
this.showSettings1 = function() {	
// Looped Function to display the Settings Menu and update changes to Settings.
var text1 = "";
var text2 = "";
var text3 = "";
var text4 = "";
var text5 = "";
var text6 = "";
var text7 = "";
var text8 = "";
var text9 = "";
var textdescribe = "";
var screendescribe = "";
if (!missionVariables.random_station_names_pointer) missionVariables.random_station_names_pointer = 1; // Set the pointer to the 1st Option when first entering the Loop. This temporay variable is delated on exit.
// Set up short names for background screen names as vars by testing against the mission variable.
if (missionVariables.random_station_names_screen === "BGS Background Style") var screendescribe = "BGS";
if (missionVariables.random_station_names_screen === "Better Screens Style") var screendescribe = "Better Screens";
if (missionVariables.random_station_names_screen === "Xenon Style") var screendescribe = "Xenon";
if (missionVariables.random_station_names_screen === "Classic Elite Style") var screendescribe = "Classic";
// Set up short names for Units as vars by testing against the mission variable.
if (missionVariables.random_station_names_units === "Torans") var shortunit = "Torans";
if (missionVariables.random_station_names_units === "Ostronomical Units") var shortunit = "O.U.";
if (missionVariables.random_station_names_units === "Kilometres") var shortunit = "Kilometres";
if (missionVariables.random_station_names_units === "Miles") var shortunit = "Miles";
if (missionVariables.random_station_names_units === "Cavezzi") var shortunit = "Cavezzi";
// Set up the pointer position, so the pointer is added to whichever options line is selected.
if (missionVariables.random_station_names_pointer === 1) var line1start = "=> ";
if (missionVariables.random_station_names_pointer !== 1) var line1start = "    ";
if (missionVariables.random_station_names_pointer === 2) var line2start = "=> ";
if (missionVariables.random_station_names_pointer !== 2) var line2start = "    ";
if (missionVariables.random_station_names_pointer === 3) var line3start = "=> ";
if (missionVariables.random_station_names_pointer !== 3) var line3start = "    ";
if (missionVariables.random_station_names_pointer === 4) var line4start = "=> ";
if (missionVariables.random_station_names_pointer !== 4) var line4start = "    ";
if (missionVariables.random_station_names_pointer === 5) var line5start = "=> ";
if (missionVariables.random_station_names_pointer !== 5) var line5start = "    ";
if (missionVariables.random_station_names_pointer === 6) var line6start = "=> ";
if (missionVariables.random_station_names_pointer !== 6) var line6start = "    ";
if (missionVariables.random_station_names_pointer === 7) var line7start = "=> ";
if (missionVariables.random_station_names_pointer !== 7) var line7start = "    ";
if (missionVariables.random_station_names_pointer === 8) var line8start = "=> ";
if (missionVariables.random_station_names_pointer !== 8) var line8start = "    ";
if (missionVariables.random_station_names_pointer === 9) var line9start = "=> ";
if (missionVariables.random_station_names_pointer !== 9) var line9start = "    ";
// Format and set up Options Line 1.
var option1 = line1start+"Procedural Name Generation Mode (On / Off)";
var option1status =  missionVariables.random_station_names_generator;
var text1 = formatStrToCol(option1, option1status, 31) + "\n";
// Format and set up Options Line 2.
var option2 = line2start+"Background (BGS / Better Screens / Xenon / Classic)";
var option2status =  screendescribe;
var text2 = formatStrToCol(option2, option2status, 31) + "\n";
// Format and set up Options Line 3.
var option3 = line3start+"Units of Measurement (KM / Miles / Cavezzi / Torans / O.U.)";
var option3status =  shortunit;
var text3 = formatStrToCol(option3, option3status, 31) + "\n";
// Format and set up Options Line 4.
var option4 = line4start+"Name Stars (On / Off)";
var option4status =  missionVariables.random_station_names_stars;
var text4 = formatStrToCol(option4, option4status, 31) + "\n";
// Format and set up Options Line 5.
var option5 = line5start+"Name Planets, Gas Giants and Moons (On / Off)";
var option5status =  missionVariables.random_station_names_planets
var text5 = formatStrToCol(option5, option5status, 31) + "\n";
// Format and set up Options Line 6.
var option6 = line6start+"Name Asteroids (On / Off)";
var option6status =  missionVariables.random_station_names_rocks
var text6 = formatStrToCol(option6, option6status, 31) + "\n";
// Format and set up Options Line 7.
var option7 = line7start+"Name Witchpoint Beacons (On / Off)";
var option7status =  missionVariables.random_station_names_witchpoint
var text7 = formatStrToCol(option7, option7status, 31) + "\n";
// Format and set up Options Line 8.
var option8 = line8start+"Name Main Stations (On / Off)";
var option8status =  missionVariables.random_station_names_main
var text8 = formatStrToCol(option8, option8status, 31) + "\n";
// Format and set up Options Line 9.
var option9 = line9start+"Name OXP Stations (On / Off)";
var option9status =  missionVariables.random_station_names_oxps
var text9 = formatStrToCol(option9, option9status, 31) + "\n";
//Function to Format the Settings Options and Status of each setting into Collums.
//Same method as used for formatting the Almanac Screens.
function formatStrToCol(name, distStr, colWidth) {
var punct = "";
if (distStr !== "") punct = " ";
if (global.defaultFont.measureString(name+punct+distStr) > colWidth) {
var lastChar = "";
while (global.defaultFont.measureString(name+punct+distStr) > colWidth) {
lastChar = name.charAt(name.length - 1);
name = name.slice(0, -1);}
if (name.charAt(name.length - 1) === " ")
name = name.slice(0, -1);
else if (lastChar !== " ")
name = name + ".";}
while (global.defaultFont.measureString(name+punct+distStr) < colWidth) {
distStr = " "+distStr ;};
if (distStr.charAt(distStr.length - 1) === " ")
distStr = distStr.slice(0, -1);
return name + punct + distStr;};	
// Set up the text to describe the option currently selected.
if (missionVariables.random_station_names_pointer === 1) var textdescribe = "Procedural Name Generation Mode Selected. When enabled 256 randomly generated names will be written to the Latest Log File each time you make a hyperspace jump. This will not affect gameplay or your save file. The Wiki Page contains instructions on how to use this feature in your own OXPs.";
if (missionVariables.random_station_names_pointer === 2) var textdescribe = "Background Selected. Toggle the setting to cycle through the background screen graphics options for the Galactic Almanac. The files for the background screens are included in the Galactic Almanac OXP. You can select any of the background screens even if you do not have the screen set installed.";
if (missionVariables.random_station_names_pointer === 3) var textdescribe = "Units of Measurement Selected. Toggle the setting to cycle through the Units in which distances are displayed on the Almanac Screens. The definitions of all Units of Measurement are listed on the Wiki Page. The definition of the selected Unit is also shown in game on the Almanac Screens.";
if (missionVariables.random_station_names_pointer === 4) var textdescribe = "Name Stars Selected. When enabled all 2,048 Stars in the game will be assigned a unique and persistent name. When enabled the name for each star will be set by the Galactic Almanac OXP. When disabled stars will be unnamed unless named by another OXP such as Distant Suns.";
if (missionVariables.random_station_names_pointer === 5) var textdescribe = "Name Planets, Gas Giants and Moons Selected. When enabled all OXP Planets, Gas Giants and Moons in all 2,048 systems in the game will be assigned a unique and persistent name unless already named by another OXP. When disabled Planets, Gas Giants and Moons will be labelled by orbital position only.";
if (missionVariables.random_station_names_pointer === 6) var textdescribe = "Name Asteroids Selected. When enabled all asteroids in all 2,048 systems in the game will be assigned a unique and persistent name and orbital position number unless already named by another OXP. When disabled all asteroids will be unnamed unless named by another OXP.";
if (missionVariables.random_station_names_pointer === 7) var textdescribe = "Name Witchpoint Beacons Selected. When enabled all Witchpoint Beacons in all 2,048 systems in the game will be labelled with the Galactic Co-Ordinates of the system in the form of Galaxy Number and System Number. When disabled all Witchpoint Beacons will be unnamed unless named by another OXP.";
if (missionVariables.random_station_names_pointer === 8) var textdescribe = "Name Main Stations Selected. When enabled the Main Station in all 2,048 systems in the game will be assigned a unique and persistent name. When disabled all Main Stations will be unnamed unless named by another OXP.";
if (missionVariables.random_station_names_pointer === 9) var textdescribe = "Name OXP Stations Selected. When enabled all OXP stations in all 2,048 systems in the game will be assigned a unique and persistent name unless the station is a unique station or it has already been named by another OXP. When disabled all OXP Stations will be unnamed unless named by another OXP.";
// Set up as a temporary mission variable the name of the next setting in the Menu. This temporay variable is delated on exit.
if (missionVariables.random_station_names_pointer === 1) missionVariables.random_station_names_next_setting = "Scroll Down to Select the Background Style Setting";
if (missionVariables.random_station_names_pointer === 2) missionVariables.random_station_names_next_setting = "Scroll Down to Select the Units of Measurement Setting";
if (missionVariables.random_station_names_pointer === 3) missionVariables.random_station_names_next_setting = "Scroll Down to Select the Star Naming Setting";
if (missionVariables.random_station_names_pointer === 4) missionVariables.random_station_names_next_setting = "Scroll Down to Select the Planet, Gas Giant and Moon Naming Setting";
if (missionVariables.random_station_names_pointer === 5) missionVariables.random_station_names_next_setting = "Scroll Down to Select the Asteroid Naming Setting";
if (missionVariables.random_station_names_pointer === 6) missionVariables.random_station_names_next_setting = "Scroll Down to Select the Witchpoint Beacon Naming Setting";
if (missionVariables.random_station_names_pointer === 7) missionVariables.random_station_names_next_setting = "Scroll Down to Select the Main Station Naming Setting";
if (missionVariables.random_station_names_pointer === 8) missionVariables.random_station_names_next_setting = "Scroll Down to Select the OXP Station Naming Setting";
if (missionVariables.random_station_names_pointer === 9) missionVariables.random_station_names_next_setting = "Scroll Up to Select the Procedural Name Generation Mode Setting";
// Set up as a temporary mission variable the options for the currently selected setting. This temporay variable is delated on exit.
if (missionVariables.random_station_names_pointer === 1 && missionVariables.random_station_names_generator === "On") missionVariables.random_station_names_oprions = "Disable Procedural Name Generation Mode";
if (missionVariables.random_station_names_pointer === 1 && missionVariables.random_station_names_generator === "Off") missionVariables.random_station_names_oprions = "Enable Procedural Name Generation Mode";
if (missionVariables.random_station_names_pointer === 2 && missionVariables.random_station_names_screen === "BGS Background Style") missionVariables.random_station_names_oprions = "Toggle the Background Style Setting to Better Screens Style";
if (missionVariables.random_station_names_pointer === 2 && missionVariables.random_station_names_screen === "Better Screens Style") missionVariables.random_station_names_oprions = "Toggle the Background Style Setting to Xenon Style";
if (missionVariables.random_station_names_pointer === 2 && missionVariables.random_station_names_screen === "Xenon Style") missionVariables.random_station_names_oprions = "Toggle the Background Style Setting to Classic Elite Style";
if (missionVariables.random_station_names_pointer === 2 && missionVariables.random_station_names_screen === "Classic Elite Style") missionVariables.random_station_names_oprions = "Toggle the Background Style Setting to BGS Style";
if (missionVariables.random_station_names_pointer === 3 && missionVariables.random_station_names_units === "Torans") missionVariables.random_station_names_oprions = "Toggle the Units of Measurement Setting to Ostronomical Units";
if (missionVariables.random_station_names_pointer === 3 && missionVariables.random_station_names_units === "Ostronomical Units") missionVariables.random_station_names_oprions = "Toggle the Units of Measurement Setting to Kilometres";
if (missionVariables.random_station_names_pointer === 3 && missionVariables.random_station_names_units === "Kilometres") missionVariables.random_station_names_oprions = "Toggle the Units of Measurement Setting to Miles";
if (missionVariables.random_station_names_pointer === 3 && missionVariables.random_station_names_units === "Miles") missionVariables.random_station_names_oprions = "Toggle the Units of Measurement Setting to Cavezzi";
if (missionVariables.random_station_names_pointer === 3 && missionVariables.random_station_names_units === "Cavezzi") missionVariables.random_station_names_oprions = "Toggle the Units of Measurement Setting to Torans";
if (missionVariables.random_station_names_pointer === 4 && missionVariables.random_station_names_stars === "On") missionVariables.random_station_names_oprions = "Disable Star Naming";
if (missionVariables.random_station_names_pointer === 4 && missionVariables.random_station_names_stars === "Off") missionVariables.random_station_names_oprions = "Enable Star Naming";
if (missionVariables.random_station_names_pointer === 5 && missionVariables.random_station_names_planets === "On") missionVariables.random_station_names_oprions = "Disable Planet, Gas Giant and Moon Naming";
if (missionVariables.random_station_names_pointer === 5 && missionVariables.random_station_names_planets === "Off") missionVariables.random_station_names_oprions = "Enable Planet, Gas Giant and Moon Naming";
if (missionVariables.random_station_names_pointer === 6 && missionVariables.random_station_names_rocks === "On") missionVariables.random_station_names_oprions = "Disable Asteroid Naming";
if (missionVariables.random_station_names_pointer === 6 && missionVariables.random_station_names_rocks === "Off") missionVariables.random_station_names_oprions = "Enable Asteroid Naming";
if (missionVariables.random_station_names_pointer === 7 && missionVariables.random_station_names_witchpoint  === "On") missionVariables.random_station_names_oprions = "Disable Witchpoint Beacon Naming";
if (missionVariables.random_station_names_pointer === 7 && missionVariables.random_station_names_witchpoint  === "Off") missionVariables.random_station_names_oprions = "Enable Witchpoint Beacon Naming";
if (missionVariables.random_station_names_pointer === 8 && missionVariables.random_station_names_main  === "On") missionVariables.random_station_names_oprions = "Disable Main Station Naming";
if (missionVariables.random_station_names_pointer === 8 && missionVariables.random_station_names_main  === "Off") missionVariables.random_station_names_oprions = "Enable Main Station Naming";
if (missionVariables.random_station_names_pointer === 9 && missionVariables.random_station_names_oxps  === "On") missionVariables.random_station_names_oprions = "Disable OXP Station Naming";
if (missionVariables.random_station_names_pointer === 9 && missionVariables.random_station_names_oxps  === "Off") missionVariables.random_station_names_oprions = "Enable OXP Station Naming";
// Set the Background Screen for the Settings Menu Page.
if (missionVariables.random_station_names_screen == "BGS Background Style") var bgImage = "random_stations_background_bgs.png";
if (missionVariables.random_station_names_screen == "Better Screens Style") var bgImage = "random_stations_background_better.png";
if (missionVariables.random_station_names_screen == "Xenon Style") var bgImage = "random_stations_background_xenon3.png";
if (missionVariables.random_station_names_screen == "Classic Elite Style") var bgImage = "random_stations_background_green.png";
//Build the Settings Display Screen by putting together the 9 text variables and adding the descriptive text for the selected Menu Setting.
var settingsdisplay = ""+text1+""+text2+""+text3+""+text4+""+text5+""+text6+""+text7+""+text8+""+text9+"\n"+textdescribe+"";
// Run the mission screen and display the Settings Menu Page.
mission.runScreen({
title: "Galactic Almanac Settings Menu",
screenID:"named_stations_settings1",
message: "Scroll through the Menu to select the setting you wish to change. Toggle the selected setting to cycle through the options. Changes to the Naming Settings will take effect the next time you make a hyperspace jump or load the game. You must save your Commander to save your changes to the current settings.\n\n"+settingsdisplay+"",
overlay: bgImage,
exitScreen: "GUI_SCREEN_INTERFACES",
choicesKey: "random_station_names_menu3"},
function (choice) {
if (choice === "1_NEXT3") {this.movePointer();}
if (choice === "2_CHANGE3") {this.changeSettings();}
if (choice === "3_EXIT3") {this.settingsExit();}}, this); 
}
// Advance the Pointer Variable when the next setting in the Menu is Selected and then Loop back to the Settings Page.
this.movePointer = function() {
// Advance the Pointer Varable.
missionVariables.random_station_names_pointer++;
// But if on the last Menu Item set the pointer back to the 1st Menu Item.
if (missionVariables.random_station_names_pointer > 9) missionVariables.random_station_names_pointer = 1;
// Loop Back to the Settings Menu Screen with the Pointer advanced to the next Menu Item.
this.showSettings1();
}
// Implement Changes made to Settings Variables.
this.changeSettings = function() {
// Set the Mission Variables for Settings to the newley selected Setting.
if (missionVariables.random_station_names_oprions  ===  "Enable Procedural Name Generation Mode") this.settingsGenerator();
if (missionVariables.random_station_names_oprions  ===  "Disable Procedural Name Generation Mode") missionVariables.random_station_names_generator = "Off";
if (missionVariables.random_station_names_oprions  ===  "Toggle the Background Style Setting to Better Screens Style") missionVariables.random_station_names_screen = "Better Screens Style";
if (missionVariables.random_station_names_oprions  ===  "Toggle the Background Style Setting to Xenon Style") missionVariables.random_station_names_screen =  "Xenon Style";
if (missionVariables.random_station_names_oprions  ===  "Toggle the Background Style Setting to Classic Elite Style") missionVariables.random_station_names_screen = "Classic Elite Style";
if (missionVariables.random_station_names_oprions  ===  "Toggle the Background Style Setting to BGS Style") missionVariables.random_station_names_screen = "BGS Background Style";
if (missionVariables.random_station_names_oprions  ===  "Toggle the Units of Measurement Setting to Ostronomical Units") missionVariables.random_station_names_units = "Ostronomical Units";
if (missionVariables.random_station_names_oprions  ===  "Toggle the Units of Measurement Setting to Kilometres") missionVariables.random_station_names_units = "Kilometres";
if (missionVariables.random_station_names_oprions  ===  "Toggle the Units of Measurement Setting to Torans") missionVariables.random_station_names_units = "Torans";
if (missionVariables.random_station_names_oprions  ===  "Toggle the Units of Measurement Setting to Miles") missionVariables.random_station_names_units = "Miles";
if (missionVariables.random_station_names_oprions  ===  "Toggle the Units of Measurement Setting to Cavezzi") missionVariables.random_station_names_units = "Cavezzi";
if (missionVariables.random_station_names_oprions  ===  "Disable Star Naming") missionVariables.random_station_names_stars = "Off";
if (missionVariables.random_station_names_oprions  ===  "Enable Star Naming") missionVariables.random_station_names_stars = "On";
if (missionVariables.random_station_names_oprions  ===  "Disable Planet, Gas Giant and Moon Naming") missionVariables.random_station_names_planets = "Off";
if (missionVariables.random_station_names_oprions  ===  "Enable Planet, Gas Giant and Moon Naming") missionVariables.random_station_names_planets = "On";
if (missionVariables.random_station_names_oprions  ===  "Disable Asteroid Naming") missionVariables.random_station_names_rocks = "Off";
if (missionVariables.random_station_names_oprions  ===  "Enable Asteroid Naming") missionVariables.random_station_names_rocks = "On";
if (missionVariables.random_station_names_oprions  ===  "Disable Witchpoint Beacon Naming") missionVariables.random_station_names_witchpoint = "Off";
if (missionVariables.random_station_names_oprions  ===  "Enable Witchpoint Beacon Naming") missionVariables.random_station_names_witchpoint = "On";
if (missionVariables.random_station_names_oprions  ===  "Disable Main Station Naming") missionVariables.random_station_names_main = "Off";
if (missionVariables.random_station_names_oprions  ===  "Enable Main Station Naming") missionVariables.random_station_names_main = "On";
if (missionVariables.random_station_names_oprions  ===  "Disable OXP Station Naming") missionVariables.random_station_names_oxps = "Off";
if (missionVariables.random_station_names_oprions  ===  "Enable OXP Station Naming") missionVariables.random_station_names_oxps = "On";
// Loop Back to the Settings Menu Screen with the Selected Changes to the Setting Made.
if (missionVariables.random_station_names_oprions  !==  "Enable Procedural Name Generation Mode" ) this.showSettings1();
}
// When the Generator is turned on from the serrings Menu Display the Instructions for the Random Generator and  five example names from the current Descriptions Settings.
this.settingsGenerator = function() {
missionVariables.random_station_names_generator = "On";
if (missionVariables.random_station_names_screen == "BGS Background Style") var bgImage = "random_stations_background_bgs.png";
if (missionVariables.random_station_names_screen == "Better Screens Style") var bgImage = "random_stations_background_better.png";
if (missionVariables.random_station_names_screen == "Xenon Style") var bgImage = "random_stations_background_xenon3.png";
if (missionVariables.random_station_names_screen == "Classic Elite Style") var bgImage = "random_stations_background_green.png";
mission.runScreen({
title: "Galactic Almanac Procedural Name Generator",
screenID:"named_stations_settings2",
messageKey: "random_station_names_header_generator",
overlay: bgImage,
exitScreen: "GUI_SCREEN_INTERFACES",
choicesKey: "random_station_names_menu4"},
function (choice) {
if (choice === "1_REROLL4") {this.settingsGenerator();}
if (choice === "2_GOBACK4") {this.showSettings1();}
if (choice === "3_EXIT4") {this.settingsExit();}}, this); 
}
// Delete Temporary Mission Varables when Exit is selected from the Settings Page and return to the Almanac Screen.
this.settingsExit = function() {
delete missionVariables.random_station_names_pointer;
delete missionVariables.random_station_names_next_setting;
delete missionVariables.random_station_names_oprions;
this.showAlmanac1();
}
// When exiting the Almanc and returning to the F4 screen, delete the temporay page counting variables.
this.exitAlmanac= function() {
delete missionVariables.random_station_names_pointer;
delete missionVariables.random_station_names_next_setting;
delete missionVariables.random_station_names_oprions;
delete missionVariables.random_station_names_page1 ;
delete missionVariables.random_station_names_page2 ;
delete missionVariables.random_station_names_page3 ;
delete missionVariables.random_station_names_page4 ;
delete missionVariables.random_station_names_page5 ;
delete missionVariables.random_station_names_page6 ;
delete missionVariables.random_station_names_page7 ;
delete missionVariables.random_station_names_page8 ;
delete missionVariables.random_station_names_page9 ;
delete missionVariables.random_station_names_page10 ;
delete missionVariables.random_station_names_page11 ;
delete missionVariables.random_station_names_page12 ;
delete missionVariables.random_station_names_page13 ;
delete missionVariables.random_station_names_page14 ;
delete missionVariables.random_station_names_page15 ;
delete missionVariables.random_station_names_page16 ;
delete missionVariables.random_station_names_page17 ;
delete missionVariables.random_station_names_page18 ;
delete missionVariables.random_station_names_page19 ;
delete missionVariables.random_station_names_page20 ;
delete missionVariables.random_station_names_pagenumber;
delete missionVariables.random_station_names_stationpages;
delete missionVariables.random_station_names_pageloop;
delete missionVariables.random_station_names_describe;
delete missionVariables.random_station_names_station_singlepage;
delete missionVariables.random_station_names_header1;
delete missionVariables.random_station_names_header2;
delete missionVariables.random_station_names_header3;
delete missionVariables.random_station_names_header4;
delete missionVariables.random_station_names_header5;
delete missionVariables.random_station_names_header6;
delete missionVariables.random_station_names_header7;
delete missionVariables.random_station_names_planetpages;
delete missionVariables.random_station_names_planet_singlepage;
return;
}
// Thats All Folks.